﻿/**
 * @file hv_comm_shell_hvconfig.h
 * @brief Header file of mute module.
 *
 * @verbatim
 * ==============================================================================
 *                        ##### How to use #####
 * ==============================================================================
 *
 * @endverbatim
 *
 * @author HiView SoC Software Team
 * @version 1.0.0
 * @date 2022-09-09
 */

#ifndef     __HV_SHELL_HV_CONFIG_H__
#define     __HV_SHELL_HV_CONFIG_H__

#include "hv_comm_shell.h"

#ifdef SHELL_ENABLE
#define     HV_SHELL_INIT()                         userShellInit()
#define     HV_SHELL_EXPORT_CMD(cmd, func, desc)    SHELL_EXPORT_CMD(cmd, func, desc)

/**
* @brief shell task handle.
* @param[in] Void param.
* @return None.
*/
void Hv_Debug_ShellTaskHandle(void *param);

#else
#define     HV_SHELL_INIT()
#define     HV_SHELL_EXPORT_CMD(cmd, func, desc)

#endif
#endif

