#ifndef _HV_PAGE_HT7315_AGING_MODE_01_H_
#define _HV_PAGE_HT7315_AGING_MODE_01_H_

#ifndef HV_AGING_MODE_01_BASE_ADDRESS
    #define HV_AGING_MODE_01_BASE_ADDRESS                                         0x11044A00
#endif


#define RX_AGING_MODE_01_00                                              (HV_AGING_MODE_01_BASE_ADDRESS + 0x00)

#define RX_AGING_MODE_01_00_struct                                       rs_rx_aging_mode_01_00

typedef struct _rs_rx_aging_mode_01_00  rs_rx_aging_mode_01_00;
struct _rs_rx_aging_mode_01_00 {
    unsigned int reg_01_35                                  : 8;
    unsigned int reg_01_36                                  : 8;
    unsigned int reg_01_37                                  : 8;
    unsigned int reg_01_38                                  : 8;
};
#define rx_aging_mode_01_00(val) ((rs_rx_aging_mode_01_00*)&(val))



#define RX_AGING_MODE_01_04                                              (HV_AGING_MODE_01_BASE_ADDRESS + 0x04)

#define RX_AGING_MODE_01_04_struct                                       rs_rx_aging_mode_01_04

typedef struct _rs_rx_aging_mode_01_04  rs_rx_aging_mode_01_04;
struct _rs_rx_aging_mode_01_04 {
    unsigned int reg_01_39                                  : 8;
    unsigned int reg_01_40                                  : 8;
    unsigned int reg_01_41                                  : 8;
    unsigned int reg_01_42                                  : 8;
};
#define rx_aging_mode_01_04(val) ((rs_rx_aging_mode_01_04*)&(val))



#define RX_AGING_MODE_01_08                                              (HV_AGING_MODE_01_BASE_ADDRESS + 0x08)

#define RX_AGING_MODE_01_08_struct                                       rs_rx_aging_mode_01_08

typedef struct _rs_rx_aging_mode_01_08  rs_rx_aging_mode_01_08;
struct _rs_rx_aging_mode_01_08 {
    unsigned int reg_01_43                                  : 8;
    unsigned int reg_01_44                                  : 8;
    unsigned int reg_01_45                                  : 8;
    unsigned int reg_01_46                                  : 8;
};
#define rx_aging_mode_01_08(val) ((rs_rx_aging_mode_01_08*)&(val))



#define RX_AGING_MODE_01_0C                                              (HV_AGING_MODE_01_BASE_ADDRESS + 0x0C)

#define RX_AGING_MODE_01_0C_struct                                       rs_rx_aging_mode_01_0c

typedef struct _rs_rx_aging_mode_01_0c  rs_rx_aging_mode_01_0c;
struct _rs_rx_aging_mode_01_0c {
    unsigned int reg_01_47                                  : 8;
    unsigned int reg_01_48                                  : 8;
    unsigned int reg_01_49                                  : 8;
    unsigned int reg_01_50                                  : 8;
};
#define rx_aging_mode_01_0c(val) ((rs_rx_aging_mode_01_0c*)&(val))



#define RX_AGING_MODE_01_10                                              (HV_AGING_MODE_01_BASE_ADDRESS + 0x10)

#define RX_AGING_MODE_01_10_struct                                       rs_rx_aging_mode_01_10

typedef struct _rs_rx_aging_mode_01_10  rs_rx_aging_mode_01_10;
struct _rs_rx_aging_mode_01_10 {
    unsigned int reg_01_51                                  : 8;
    unsigned int reg_01_52                                  : 8;
    unsigned int reg_01_53                                  : 8;
    unsigned int reg_01_54                                  : 8;
};
#define rx_aging_mode_01_10(val) ((rs_rx_aging_mode_01_10*)&(val))



#define RX_AGING_MODE_01_14                                              (HV_AGING_MODE_01_BASE_ADDRESS + 0x14)

#define RX_AGING_MODE_01_14_struct                                       rs_rx_aging_mode_01_14

typedef struct _rs_rx_aging_mode_01_14  rs_rx_aging_mode_01_14;
struct _rs_rx_aging_mode_01_14 {
    unsigned int reg_01_55                                  : 8;
    unsigned int reg_01_56                                  : 8;
    unsigned int reg_01_57                                  : 8;
    unsigned int reg_01_58                                  : 8;
};
#define rx_aging_mode_01_14(val) ((rs_rx_aging_mode_01_14*)&(val))



#define RX_AGING_MODE_01_18                                              (HV_AGING_MODE_01_BASE_ADDRESS + 0x18)

#define RX_AGING_MODE_01_18_struct                                       rs_rx_aging_mode_01_18

typedef struct _rs_rx_aging_mode_01_18  rs_rx_aging_mode_01_18;
struct _rs_rx_aging_mode_01_18 {
    unsigned int reg_01_59                                  : 8;
    unsigned int reg_01_60                                  : 8;
    unsigned int reg_01_61                                  : 8;
    unsigned int reg_01_62                                  : 8;
};
#define rx_aging_mode_01_18(val) ((rs_rx_aging_mode_01_18*)&(val))



#define RX_AGING_MODE_01_1C                                              (HV_AGING_MODE_01_BASE_ADDRESS + 0x1C)

#define RX_AGING_MODE_01_1C_struct                                       rs_rx_aging_mode_01_1c

typedef struct _rs_rx_aging_mode_01_1c  rs_rx_aging_mode_01_1c;
struct _rs_rx_aging_mode_01_1c {
    unsigned int reg_01_63                                  : 8;
    unsigned int reg_01_64                                  : 8;
    unsigned int reg_01_65                                  : 8;
    unsigned int reg_01_66                                  : 8;
};
#define rx_aging_mode_01_1c(val) ((rs_rx_aging_mode_01_1c*)&(val))



#define RX_AGING_MODE_01_20                                              (HV_AGING_MODE_01_BASE_ADDRESS + 0x20)

#define RX_AGING_MODE_01_20_struct                                       rs_rx_aging_mode_01_20

typedef struct _rs_rx_aging_mode_01_20  rs_rx_aging_mode_01_20;
struct _rs_rx_aging_mode_01_20 {
    unsigned int reg_01_67                                  : 8;
    unsigned int reg_01_68                                  : 8;
    unsigned int reg_01_69                                  : 8;
    unsigned int reg_01_70                                  : 8;
};
#define rx_aging_mode_01_20(val) ((rs_rx_aging_mode_01_20*)&(val))



#define RX_AGING_MODE_01_24                                              (HV_AGING_MODE_01_BASE_ADDRESS + 0x24)

#define RX_AGING_MODE_01_24_struct                                       rs_rx_aging_mode_01_24

typedef struct _rs_rx_aging_mode_01_24  rs_rx_aging_mode_01_24;
struct _rs_rx_aging_mode_01_24 {
    unsigned int reg_01_71                                  : 8;
    unsigned int reg_01_72                                  : 8;
    unsigned int reg_01_73                                  : 8;
    unsigned int reg_01_74                                  : 8;
};
#define rx_aging_mode_01_24(val) ((rs_rx_aging_mode_01_24*)&(val))



#define RX_AGING_MODE_01_28                                              (HV_AGING_MODE_01_BASE_ADDRESS + 0x28)

#define RX_AGING_MODE_01_28_struct                                       rs_rx_aging_mode_01_28

typedef struct _rs_rx_aging_mode_01_28  rs_rx_aging_mode_01_28;
struct _rs_rx_aging_mode_01_28 {
    unsigned int reg_01_75                                  : 8;
    unsigned int reg_01_76                                  : 8;
    unsigned int reg_01_77                                  : 8;
    unsigned int reg_01_78                                  : 8;
};
#define rx_aging_mode_01_28(val) ((rs_rx_aging_mode_01_28*)&(val))



#endif