#ifndef _HV_PAGE_HT7315_AUDIO_DAC_TOP_H_
#define _HV_PAGE_HT7315_AUDIO_DAC_TOP_H_

#ifndef HV_AUDIO_DAC_TOP_BASE_ADDRESS
    #define HV_AUDIO_DAC_TOP_BASE_ADDRESS                                         0x11030000
#endif


#define AUDIO_DAC_AUDIO_DAC_TOP_00                                       (HV_AUDIO_DAC_TOP_BASE_ADDRESS + 0x00)

#define AUDIO_DAC_AUDIO_DAC_TOP_00_struct                                rs_audio_dac_audio_dac_top_00

typedef struct _rs_audio_dac_audio_dac_top_00  rs_audio_dac_audio_dac_top_00;
struct _rs_audio_dac_audio_dac_top_00 {
    unsigned int reg_DACAVL                                 : 5;
    unsigned int reserved                                   :27;
};
#define audio_dac_audio_dac_top_00(val) ((rs_audio_dac_audio_dac_top_00*)&(val))



#define AUDIO_DAC_AUDIO_DAC_TOP_04                                       (HV_AUDIO_DAC_TOP_BASE_ADDRESS + 0x04)

#define AUDIO_DAC_AUDIO_DAC_TOP_04_struct                                rs_audio_dac_audio_dac_top_04

typedef struct _rs_audio_dac_audio_dac_top_04  rs_audio_dac_audio_dac_top_04;
struct _rs_audio_dac_audio_dac_top_04 {
    unsigned int reg_DACAVR                                 : 5;
    unsigned int reserved                                   :27;
};
#define audio_dac_audio_dac_top_04(val) ((rs_audio_dac_audio_dac_top_04*)&(val))



#define AUDIO_DAC_AUDIO_DAC_TOP_08                                       (HV_AUDIO_DAC_TOP_BASE_ADDRESS + 0x08)

#define AUDIO_DAC_AUDIO_DAC_TOP_08_struct                                rs_audio_dac_audio_dac_top_08

typedef struct _rs_audio_dac_audio_dac_top_08  rs_audio_dac_audio_dac_top_08;
struct _rs_audio_dac_audio_dac_top_08 {
    unsigned int reg_PLLBYP                                 : 1;
    unsigned int reg_PDPLL                                  : 1;
    unsigned int reg_PDFRA                                  : 1;
    unsigned int reg_PDRBUF                                 : 1;
    unsigned int reg_PDSCR                                  : 1;
    unsigned int reg_PDLBUF                                 : 1;
    unsigned int reg_PDSCL                                  : 1;
    unsigned int reg_SCMUTE                                 : 1;
    unsigned int reserved                                   :24;
};
#define audio_dac_audio_dac_top_08(val) ((rs_audio_dac_audio_dac_top_08*)&(val))



#define AUDIO_DAC_AUDIO_DAC_TOP_0C                                       (HV_AUDIO_DAC_TOP_BASE_ADDRESS + 0x0C)

#define AUDIO_DAC_AUDIO_DAC_TOP_0C_struct                                rs_audio_dac_audio_dac_top_0c

typedef struct _rs_audio_dac_audio_dac_top_0c  rs_audio_dac_audio_dac_top_0c;
struct _rs_audio_dac_audio_dac_top_0c {
    unsigned int reg_ICTRL                                  : 5;
    unsigned int reg_RVMID                                  : 1;
    unsigned int reg_VROI                                   : 1;
    unsigned int reg_PDBIAS                                 : 1;
    unsigned int reserved                                   :24;
};
#define audio_dac_audio_dac_top_0c(val) ((rs_audio_dac_audio_dac_top_0c*)&(val))



#define AUDIO_DAC_AUDIO_DAC_TOP_10                                       (HV_AUDIO_DAC_TOP_BASE_ADDRESS + 0x10)

#define AUDIO_DAC_AUDIO_DAC_TOP_10_struct                                rs_audio_dac_audio_dac_top_10

typedef struct _rs_audio_dac_audio_dac_top_10  rs_audio_dac_audio_dac_top_10;
struct _rs_audio_dac_audio_dac_top_10 {
    unsigned int reg_DACMUTER                               : 1;
    unsigned int reg_DACMUTEL                               : 1;
    unsigned int reg_DACMONO                                : 2;
    unsigned int reg_DACEN                                  : 1;
    unsigned int reg_DAOSR                                  : 1;
    unsigned int reserved                                   :26;
};
#define audio_dac_audio_dac_top_10(val) ((rs_audio_dac_audio_dac_top_10*)&(val))



#define AUDIO_DAC_AUDIO_DAC_TOP_14                                       (HV_AUDIO_DAC_TOP_BASE_ADDRESS + 0x14)

#define AUDIO_DAC_AUDIO_DAC_TOP_14_struct                                rs_audio_dac_audio_dac_top_14

typedef struct _rs_audio_dac_audio_dac_top_14  rs_audio_dac_audio_dac_top_14;
struct _rs_audio_dac_audio_dac_top_14 {
    unsigned int reg_DACVOLL                                : 8;
    unsigned int reserved                                   :24;
};
#define audio_dac_audio_dac_top_14(val) ((rs_audio_dac_audio_dac_top_14*)&(val))



#define AUDIO_DAC_AUDIO_DAC_TOP_18                                       (HV_AUDIO_DAC_TOP_BASE_ADDRESS + 0x18)

#define AUDIO_DAC_AUDIO_DAC_TOP_18_struct                                rs_audio_dac_audio_dac_top_18

typedef struct _rs_audio_dac_audio_dac_top_18  rs_audio_dac_audio_dac_top_18;
struct _rs_audio_dac_audio_dac_top_18 {
    unsigned int reg_DACVOLR                                : 8;
    unsigned int reserved                                   :24;
};
#define audio_dac_audio_dac_top_18(val) ((rs_audio_dac_audio_dac_top_18*)&(val))



#define AUDIO_DAC_AUDIO_DAC_TOP_1C                                       (HV_AUDIO_DAC_TOP_BASE_ADDRESS + 0x1C)

#define AUDIO_DAC_AUDIO_DAC_TOP_1C_struct                                rs_audio_dac_audio_dac_top_1c

typedef struct _rs_audio_dac_audio_dac_top_1c  rs_audio_dac_audio_dac_top_1c;
struct _rs_audio_dac_audio_dac_top_1c {
    unsigned int reg_PLLRSTN                                : 1;
    unsigned int reg_DAFRSTN                                : 1;
    unsigned int reserved                                   :30;
};
#define audio_dac_audio_dac_top_1c(val) ((rs_audio_dac_audio_dac_top_1c*)&(val))



#define AUDIO_DAC_AUDIO_DAC_TOP_20                                       (HV_AUDIO_DAC_TOP_BASE_ADDRESS + 0x20)

#define AUDIO_DAC_AUDIO_DAC_TOP_20_struct                                rs_audio_dac_audio_dac_top_20

typedef struct _rs_audio_dac_audio_dac_top_20  rs_audio_dac_audio_dac_top_20;
struct _rs_audio_dac_audio_dac_top_20 {
    unsigned int reg_DAI2SMODE                              : 1;
    unsigned int reg_I2SBW                                  : 1;
    unsigned int reserved                                   :30;
};
#define audio_dac_audio_dac_top_20(val) ((rs_audio_dac_audio_dac_top_20*)&(val))



#define AUDIO_DAC_AUDIO_DAC_TOP_2C                                       (HV_AUDIO_DAC_TOP_BASE_ADDRESS + 0x2C)

#define AUDIO_DAC_AUDIO_DAC_TOP_2C_struct                                rs_audio_dac_audio_dac_top_2c

typedef struct _rs_audio_dac_audio_dac_top_2c  rs_audio_dac_audio_dac_top_2c;
struct _rs_audio_dac_audio_dac_top_2c {
    unsigned int reg_DM                                     : 8;
    unsigned int reserved                                   :24;
};
#define audio_dac_audio_dac_top_2c(val) ((rs_audio_dac_audio_dac_top_2c*)&(val))



#define AUDIO_DAC_AUDIO_DAC_TOP_30                                       (HV_AUDIO_DAC_TOP_BASE_ADDRESS + 0x30)

#define AUDIO_DAC_AUDIO_DAC_TOP_30_struct                                rs_audio_dac_audio_dac_top_30

typedef struct _rs_audio_dac_audio_dac_top_30  rs_audio_dac_audio_dac_top_30;
struct _rs_audio_dac_audio_dac_top_30 {
    unsigned int reg_DN                                     : 8;
    unsigned int reserved                                   :24;
};
#define audio_dac_audio_dac_top_30(val) ((rs_audio_dac_audio_dac_top_30*)&(val))



#define AUDIO_DAC_AUDIO_DAC_TOP_34                                       (HV_AUDIO_DAC_TOP_BASE_ADDRESS + 0x34)

#define AUDIO_DAC_AUDIO_DAC_TOP_34_struct                                rs_audio_dac_audio_dac_top_34

typedef struct _rs_audio_dac_audio_dac_top_34  rs_audio_dac_audio_dac_top_34;
struct _rs_audio_dac_audio_dac_top_34 {
    unsigned int reg_DPADC                                  : 8;
    unsigned int reserved                                   :24;
};
#define audio_dac_audio_dac_top_34(val) ((rs_audio_dac_audio_dac_top_34*)&(val))



#define AUDIO_DAC_AUDIO_DAC_TOP_38                                       (HV_AUDIO_DAC_TOP_BASE_ADDRESS + 0x38)

#define AUDIO_DAC_AUDIO_DAC_TOP_38_struct                                rs_audio_dac_audio_dac_top_38

typedef struct _rs_audio_dac_audio_dac_top_38  rs_audio_dac_audio_dac_top_38;
struct _rs_audio_dac_audio_dac_top_38 {
    unsigned int reg_DPDAC                                  : 8;
    unsigned int reserved                                   :24;
};
#define audio_dac_audio_dac_top_38(val) ((rs_audio_dac_audio_dac_top_38*)&(val))



#define AUDIO_DAC_AUDIO_DAC_TOP_3C                                       (HV_AUDIO_DAC_TOP_BASE_ADDRESS + 0x3C)

#define AUDIO_DAC_AUDIO_DAC_TOP_3C_struct                                rs_audio_dac_audio_dac_top_3c

typedef struct _rs_audio_dac_audio_dac_top_3c  rs_audio_dac_audio_dac_top_3c;
struct _rs_audio_dac_audio_dac_top_3c {
    unsigned int reg_FRAC_H                                 : 8;
    unsigned int reserved                                   :24;
};
#define audio_dac_audio_dac_top_3c(val) ((rs_audio_dac_audio_dac_top_3c*)&(val))



#define AUDIO_DAC_AUDIO_DAC_TOP_40                                       (HV_AUDIO_DAC_TOP_BASE_ADDRESS + 0x40)

#define AUDIO_DAC_AUDIO_DAC_TOP_40_struct                                rs_audio_dac_audio_dac_top_40

typedef struct _rs_audio_dac_audio_dac_top_40  rs_audio_dac_audio_dac_top_40;
struct _rs_audio_dac_audio_dac_top_40 {
    unsigned int reg_FRAC_M                                 : 8;
    unsigned int reserved                                   :24;
};
#define audio_dac_audio_dac_top_40(val) ((rs_audio_dac_audio_dac_top_40*)&(val))



#define AUDIO_DAC_AUDIO_DAC_TOP_44                                       (HV_AUDIO_DAC_TOP_BASE_ADDRESS + 0x44)

#define AUDIO_DAC_AUDIO_DAC_TOP_44_struct                                rs_audio_dac_audio_dac_top_44

typedef struct _rs_audio_dac_audio_dac_top_44  rs_audio_dac_audio_dac_top_44;
struct _rs_audio_dac_audio_dac_top_44 {
    unsigned int reg_FRAC_L                                 : 8;
    unsigned int reserved                                   :24;
};
#define audio_dac_audio_dac_top_44(val) ((rs_audio_dac_audio_dac_top_44*)&(val))



#endif