#ifndef _HV_PAGE_HT7315_AUDIO_TOP1_H_
#define _HV_PAGE_HT7315_AUDIO_TOP1_H_

#ifndef HV_AUDIO_TOP1_BASE_ADDRESS
    #define HV_AUDIO_TOP1_BASE_ADDRESS                                         0x11045100
#endif


#define RX_AUDIO_TOP1_00                                                 (HV_AUDIO_TOP1_BASE_ADDRESS + 0x00)

#define RX_AUDIO_TOP1_00_struct                                          rs_rx_audio_top1_00

typedef struct _rs_rx_audio_top1_00  rs_rx_audio_top1_00;
struct _rs_rx_audio_top1_00 {
    unsigned int reg_audio_spdif_tx_aux_l_0                 : 4;
    unsigned int reg_audio_spdif_tx_aux_l_1                 : 4;
    unsigned int reg_audio_spdif_tx_aux_l_2                 : 4;
    unsigned int reg_audio_spdif_tx_aux_l_3                 : 4;
    unsigned int reg_audio_spdif_tx_aux_r_0                 : 4;
    unsigned int reg_audio_spdif_tx_aux_r_1                 : 4;
    unsigned int reg_audio_spdif_tx_aux_r_2                 : 4;
    unsigned int reg_audio_spdif_tx_aux_r_3                 : 4;
};
#define rx_audio_top1_00(val) ((rs_rx_audio_top1_00*)&(val))



#define RX_AUDIO_TOP1_04                                                 (HV_AUDIO_TOP1_BASE_ADDRESS + 0x04)

#define RX_AUDIO_TOP1_04_struct                                          rs_rx_audio_top1_04

typedef struct _rs_rx_audio_top1_04  rs_rx_audio_top1_04;
struct _rs_rx_audio_top1_04 {
    unsigned int reg_audio_spdif_tx_en                      : 1;
    unsigned int reg_audio_spdif_tx_inv_0                   : 1;
    unsigned int reg_audio_spdif_tx_inv_1                   : 1;
    unsigned int reg_audio_spdif_tx_inv_2                   : 1;
    unsigned int reg_audio_spdif_tx_inv_3                   : 1;
    unsigned int reg_audio_spdif_tx_parity_bit_inv_0        : 1;
    unsigned int reg_audio_spdif_tx_parity_bit_inv_1        : 1;
    unsigned int reg_audio_spdif_tx_parity_bit_inv_2        : 1;
    unsigned int reg_audio_spdif_tx_parity_bit_inv_3        : 1;
    unsigned int reg_audio_spdif_tx_user_data_l_0           : 1;
    unsigned int reg_audio_spdif_tx_user_data_l_1           : 1;
    unsigned int reg_audio_spdif_tx_user_data_l_2           : 1;
    unsigned int reg_audio_spdif_tx_user_data_l_3           : 1;
    unsigned int reg_audio_spdif_tx_user_data_r_0           : 1;
    unsigned int reg_audio_spdif_tx_user_data_r_1           : 1;
    unsigned int reg_audio_spdif_tx_user_data_r_2           : 1;
    unsigned int reg_audio_spdif_tx_user_data_r_3           : 1;
    unsigned int reg_audio_spdif_tx_valid_flag_l_0          : 1;
    unsigned int reg_audio_spdif_tx_valid_flag_l_1          : 1;
    unsigned int reg_audio_spdif_tx_valid_flag_l_2          : 1;
    unsigned int reg_audio_spdif_tx_valid_flag_l_3          : 1;
    unsigned int reg_audio_spdif_tx_valid_flag_r_0          : 1;
    unsigned int reg_audio_spdif_tx_valid_flag_r_1          : 1;
    unsigned int reg_audio_spdif_tx_valid_flag_r_2          : 1;
    unsigned int reg_audio_spdif_tx_valid_flag_r_3          : 1;
    unsigned int reserved                                   : 7;
};
#define rx_audio_top1_04(val) ((rs_rx_audio_top1_04*)&(val))



#define RX_AUDIO_TOP1_10                                                 (HV_AUDIO_TOP1_BASE_ADDRESS + 0x10)

#define RX_AUDIO_TOP1_10_struct                                          rs_rx_audio_top1_10

typedef struct _rs_rx_audio_top1_10  rs_rx_audio_top1_10;
struct _rs_rx_audio_top1_10 {
    unsigned int reg_audio_spdif_tx_channel_status_l_0_0    :32;
};
#define rx_audio_top1_10(val) ((rs_rx_audio_top1_10*)&(val))



#define RX_AUDIO_TOP1_1C                                                 (HV_AUDIO_TOP1_BASE_ADDRESS + 0x1C)

#define RX_AUDIO_TOP1_1C_struct                                          rs_rx_audio_top1_1c

typedef struct _rs_rx_audio_top1_1c  rs_rx_audio_top1_1c;
struct _rs_rx_audio_top1_1c {
    unsigned int reg_audio_spdif_tx_channel_status_l_0_1    :32;
};
#define rx_audio_top1_1c(val) ((rs_rx_audio_top1_1c*)&(val))



#define RX_AUDIO_TOP1_20                                                 (HV_AUDIO_TOP1_BASE_ADDRESS + 0x20)

#define RX_AUDIO_TOP1_20_struct                                          rs_rx_audio_top1_20

typedef struct _rs_rx_audio_top1_20  rs_rx_audio_top1_20;
struct _rs_rx_audio_top1_20 {
    unsigned int reg_audio_spdif_tx_channel_status_l_0_2    :32;
};
#define rx_audio_top1_20(val) ((rs_rx_audio_top1_20*)&(val))



#define RX_AUDIO_TOP1_24                                                 (HV_AUDIO_TOP1_BASE_ADDRESS + 0x24)

#define RX_AUDIO_TOP1_24_struct                                          rs_rx_audio_top1_24

typedef struct _rs_rx_audio_top1_24  rs_rx_audio_top1_24;
struct _rs_rx_audio_top1_24 {
    unsigned int reg_audio_spdif_tx_channel_status_l_0_3    :32;
};
#define rx_audio_top1_24(val) ((rs_rx_audio_top1_24*)&(val))



#define RX_AUDIO_TOP1_2C                                                 (HV_AUDIO_TOP1_BASE_ADDRESS + 0x2C)

#define RX_AUDIO_TOP1_2C_struct                                          rs_rx_audio_top1_2c

typedef struct _rs_rx_audio_top1_2c  rs_rx_audio_top1_2c;
struct _rs_rx_audio_top1_2c {
    unsigned int reg_audio_spdif_tx_channel_status_l_0_4    :32;
};
#define rx_audio_top1_2c(val) ((rs_rx_audio_top1_2c*)&(val))



#define RX_AUDIO_TOP1_30                                                 (HV_AUDIO_TOP1_BASE_ADDRESS + 0x30)

#define RX_AUDIO_TOP1_30_struct                                          rs_rx_audio_top1_30

typedef struct _rs_rx_audio_top1_30  rs_rx_audio_top1_30;
struct _rs_rx_audio_top1_30 {
    unsigned int reg_audio_spdif_tx_channel_status_l_0_5    :32;
};
#define rx_audio_top1_30(val) ((rs_rx_audio_top1_30*)&(val))



#define RX_AUDIO_TOP1_34                                                 (HV_AUDIO_TOP1_BASE_ADDRESS + 0x34)

#define RX_AUDIO_TOP1_34_struct                                          rs_rx_audio_top1_34

typedef struct _rs_rx_audio_top1_34  rs_rx_audio_top1_34;
struct _rs_rx_audio_top1_34 {
    unsigned int reg_audio_spdif_tx_channel_status_l_1_0    :32;
};
#define rx_audio_top1_34(val) ((rs_rx_audio_top1_34*)&(val))



#define RX_AUDIO_TOP1_38                                                 (HV_AUDIO_TOP1_BASE_ADDRESS + 0x38)

#define RX_AUDIO_TOP1_38_struct                                          rs_rx_audio_top1_38

typedef struct _rs_rx_audio_top1_38  rs_rx_audio_top1_38;
struct _rs_rx_audio_top1_38 {
    unsigned int reg_audio_spdif_tx_channel_status_l_1_1    :32;
};
#define rx_audio_top1_38(val) ((rs_rx_audio_top1_38*)&(val))



#define RX_AUDIO_TOP1_3C                                                 (HV_AUDIO_TOP1_BASE_ADDRESS + 0x3C)

#define RX_AUDIO_TOP1_3C_struct                                          rs_rx_audio_top1_3c

typedef struct _rs_rx_audio_top1_3c  rs_rx_audio_top1_3c;
struct _rs_rx_audio_top1_3c {
    unsigned int reg_audio_spdif_tx_channel_status_l_1_2    :32;
};
#define rx_audio_top1_3c(val) ((rs_rx_audio_top1_3c*)&(val))



#define RX_AUDIO_TOP1_40                                                 (HV_AUDIO_TOP1_BASE_ADDRESS + 0x40)

#define RX_AUDIO_TOP1_40_struct                                          rs_rx_audio_top1_40

typedef struct _rs_rx_audio_top1_40  rs_rx_audio_top1_40;
struct _rs_rx_audio_top1_40 {
    unsigned int reg_audio_spdif_tx_channel_status_l_1_3    :32;
};
#define rx_audio_top1_40(val) ((rs_rx_audio_top1_40*)&(val))



#define RX_AUDIO_TOP1_44                                                 (HV_AUDIO_TOP1_BASE_ADDRESS + 0x44)

#define RX_AUDIO_TOP1_44_struct                                          rs_rx_audio_top1_44

typedef struct _rs_rx_audio_top1_44  rs_rx_audio_top1_44;
struct _rs_rx_audio_top1_44 {
    unsigned int reg_audio_spdif_tx_channel_status_l_1_4    :32;
};
#define rx_audio_top1_44(val) ((rs_rx_audio_top1_44*)&(val))



#define RX_AUDIO_TOP1_48                                                 (HV_AUDIO_TOP1_BASE_ADDRESS + 0x48)

#define RX_AUDIO_TOP1_48_struct                                          rs_rx_audio_top1_48

typedef struct _rs_rx_audio_top1_48  rs_rx_audio_top1_48;
struct _rs_rx_audio_top1_48 {
    unsigned int reg_audio_spdif_tx_channel_status_l_1_5    :32;
};
#define rx_audio_top1_48(val) ((rs_rx_audio_top1_48*)&(val))



#define RX_AUDIO_TOP1_4C                                                 (HV_AUDIO_TOP1_BASE_ADDRESS + 0x4C)

#define RX_AUDIO_TOP1_4C_struct                                          rs_rx_audio_top1_4c

typedef struct _rs_rx_audio_top1_4c  rs_rx_audio_top1_4c;
struct _rs_rx_audio_top1_4c {
    unsigned int reg_audio_spdif_tx_channel_status_l_2_0    :32;
};
#define rx_audio_top1_4c(val) ((rs_rx_audio_top1_4c*)&(val))



#define RX_AUDIO_TOP1_50                                                 (HV_AUDIO_TOP1_BASE_ADDRESS + 0x50)

#define RX_AUDIO_TOP1_50_struct                                          rs_rx_audio_top1_50

typedef struct _rs_rx_audio_top1_50  rs_rx_audio_top1_50;
struct _rs_rx_audio_top1_50 {
    unsigned int reg_audio_spdif_tx_channel_status_l_2_1    :32;
};
#define rx_audio_top1_50(val) ((rs_rx_audio_top1_50*)&(val))



#define RX_AUDIO_TOP1_54                                                 (HV_AUDIO_TOP1_BASE_ADDRESS + 0x54)

#define RX_AUDIO_TOP1_54_struct                                          rs_rx_audio_top1_54

typedef struct _rs_rx_audio_top1_54  rs_rx_audio_top1_54;
struct _rs_rx_audio_top1_54 {
    unsigned int reg_audio_spdif_tx_channel_status_l_2_2    :32;
};
#define rx_audio_top1_54(val) ((rs_rx_audio_top1_54*)&(val))



#define RX_AUDIO_TOP1_58                                                 (HV_AUDIO_TOP1_BASE_ADDRESS + 0x58)

#define RX_AUDIO_TOP1_58_struct                                          rs_rx_audio_top1_58

typedef struct _rs_rx_audio_top1_58  rs_rx_audio_top1_58;
struct _rs_rx_audio_top1_58 {
    unsigned int reg_audio_spdif_tx_channel_status_l_2_3    :32;
};
#define rx_audio_top1_58(val) ((rs_rx_audio_top1_58*)&(val))



#define RX_AUDIO_TOP1_5C                                                 (HV_AUDIO_TOP1_BASE_ADDRESS + 0x5C)

#define RX_AUDIO_TOP1_5C_struct                                          rs_rx_audio_top1_5c

typedef struct _rs_rx_audio_top1_5c  rs_rx_audio_top1_5c;
struct _rs_rx_audio_top1_5c {
    unsigned int reg_audio_spdif_tx_channel_status_l_2_4    :32;
};
#define rx_audio_top1_5c(val) ((rs_rx_audio_top1_5c*)&(val))



#define RX_AUDIO_TOP1_60                                                 (HV_AUDIO_TOP1_BASE_ADDRESS + 0x60)

#define RX_AUDIO_TOP1_60_struct                                          rs_rx_audio_top1_60

typedef struct _rs_rx_audio_top1_60  rs_rx_audio_top1_60;
struct _rs_rx_audio_top1_60 {
    unsigned int reg_audio_spdif_tx_channel_status_l_2_5    :32;
};
#define rx_audio_top1_60(val) ((rs_rx_audio_top1_60*)&(val))



#define RX_AUDIO_TOP1_64                                                 (HV_AUDIO_TOP1_BASE_ADDRESS + 0x64)

#define RX_AUDIO_TOP1_64_struct                                          rs_rx_audio_top1_64

typedef struct _rs_rx_audio_top1_64  rs_rx_audio_top1_64;
struct _rs_rx_audio_top1_64 {
    unsigned int reg_audio_spdif_tx_channel_status_l_3_0    :32;
};
#define rx_audio_top1_64(val) ((rs_rx_audio_top1_64*)&(val))



#define RX_AUDIO_TOP1_68                                                 (HV_AUDIO_TOP1_BASE_ADDRESS + 0x68)

#define RX_AUDIO_TOP1_68_struct                                          rs_rx_audio_top1_68

typedef struct _rs_rx_audio_top1_68  rs_rx_audio_top1_68;
struct _rs_rx_audio_top1_68 {
    unsigned int reg_audio_spdif_tx_channel_status_l_3_1    :32;
};
#define rx_audio_top1_68(val) ((rs_rx_audio_top1_68*)&(val))



#define RX_AUDIO_TOP1_6C                                                 (HV_AUDIO_TOP1_BASE_ADDRESS + 0x6C)

#define RX_AUDIO_TOP1_6C_struct                                          rs_rx_audio_top1_6c

typedef struct _rs_rx_audio_top1_6c  rs_rx_audio_top1_6c;
struct _rs_rx_audio_top1_6c {
    unsigned int reg_audio_spdif_tx_channel_status_l_3_2    :32;
};
#define rx_audio_top1_6c(val) ((rs_rx_audio_top1_6c*)&(val))



#define RX_AUDIO_TOP1_70                                                 (HV_AUDIO_TOP1_BASE_ADDRESS + 0x70)

#define RX_AUDIO_TOP1_70_struct                                          rs_rx_audio_top1_70

typedef struct _rs_rx_audio_top1_70  rs_rx_audio_top1_70;
struct _rs_rx_audio_top1_70 {
    unsigned int reg_audio_spdif_tx_channel_status_l_3_3    :32;
};
#define rx_audio_top1_70(val) ((rs_rx_audio_top1_70*)&(val))



#define RX_AUDIO_TOP1_74                                                 (HV_AUDIO_TOP1_BASE_ADDRESS + 0x74)

#define RX_AUDIO_TOP1_74_struct                                          rs_rx_audio_top1_74

typedef struct _rs_rx_audio_top1_74  rs_rx_audio_top1_74;
struct _rs_rx_audio_top1_74 {
    unsigned int reg_audio_spdif_tx_channel_status_l_3_4    :32;
};
#define rx_audio_top1_74(val) ((rs_rx_audio_top1_74*)&(val))



#define RX_AUDIO_TOP1_78                                                 (HV_AUDIO_TOP1_BASE_ADDRESS + 0x78)

#define RX_AUDIO_TOP1_78_struct                                          rs_rx_audio_top1_78

typedef struct _rs_rx_audio_top1_78  rs_rx_audio_top1_78;
struct _rs_rx_audio_top1_78 {
    unsigned int reg_audio_spdif_tx_channel_status_l_3_5    :32;
};
#define rx_audio_top1_78(val) ((rs_rx_audio_top1_78*)&(val))



#define RX_AUDIO_TOP1_7C                                                 (HV_AUDIO_TOP1_BASE_ADDRESS + 0x7C)

#define RX_AUDIO_TOP1_7C_struct                                          rs_rx_audio_top1_7c

typedef struct _rs_rx_audio_top1_7c  rs_rx_audio_top1_7c;
struct _rs_rx_audio_top1_7c {
    unsigned int reg_audio_spdif_tx_channel_status_r_0_0    :32;
};
#define rx_audio_top1_7c(val) ((rs_rx_audio_top1_7c*)&(val))



#define RX_AUDIO_TOP1_80                                                 (HV_AUDIO_TOP1_BASE_ADDRESS + 0x80)

#define RX_AUDIO_TOP1_80_struct                                          rs_rx_audio_top1_80

typedef struct _rs_rx_audio_top1_80  rs_rx_audio_top1_80;
struct _rs_rx_audio_top1_80 {
    unsigned int reg_audio_spdif_tx_channel_status_r_0_1    :32;
};
#define rx_audio_top1_80(val) ((rs_rx_audio_top1_80*)&(val))



#define RX_AUDIO_TOP1_84                                                 (HV_AUDIO_TOP1_BASE_ADDRESS + 0x84)

#define RX_AUDIO_TOP1_84_struct                                          rs_rx_audio_top1_84

typedef struct _rs_rx_audio_top1_84  rs_rx_audio_top1_84;
struct _rs_rx_audio_top1_84 {
    unsigned int reg_audio_spdif_tx_channel_status_r_0_2    :32;
};
#define rx_audio_top1_84(val) ((rs_rx_audio_top1_84*)&(val))



#define RX_AUDIO_TOP1_88                                                 (HV_AUDIO_TOP1_BASE_ADDRESS + 0x88)

#define RX_AUDIO_TOP1_88_struct                                          rs_rx_audio_top1_88

typedef struct _rs_rx_audio_top1_88  rs_rx_audio_top1_88;
struct _rs_rx_audio_top1_88 {
    unsigned int reg_audio_spdif_tx_channel_status_r_0_3    :32;
};
#define rx_audio_top1_88(val) ((rs_rx_audio_top1_88*)&(val))



#define RX_AUDIO_TOP1_8C                                                 (HV_AUDIO_TOP1_BASE_ADDRESS + 0x8C)

#define RX_AUDIO_TOP1_8C_struct                                          rs_rx_audio_top1_8c

typedef struct _rs_rx_audio_top1_8c  rs_rx_audio_top1_8c;
struct _rs_rx_audio_top1_8c {
    unsigned int reg_audio_spdif_tx_channel_status_r_0_4    :32;
};
#define rx_audio_top1_8c(val) ((rs_rx_audio_top1_8c*)&(val))



#define RX_AUDIO_TOP1_90                                                 (HV_AUDIO_TOP1_BASE_ADDRESS + 0x90)

#define RX_AUDIO_TOP1_90_struct                                          rs_rx_audio_top1_90

typedef struct _rs_rx_audio_top1_90  rs_rx_audio_top1_90;
struct _rs_rx_audio_top1_90 {
    unsigned int reg_audio_spdif_tx_channel_status_r_0_5    :32;
};
#define rx_audio_top1_90(val) ((rs_rx_audio_top1_90*)&(val))



#define RX_AUDIO_TOP1_94                                                 (HV_AUDIO_TOP1_BASE_ADDRESS + 0x94)

#define RX_AUDIO_TOP1_94_struct                                          rs_rx_audio_top1_94

typedef struct _rs_rx_audio_top1_94  rs_rx_audio_top1_94;
struct _rs_rx_audio_top1_94 {
    unsigned int reg_audio_spdif_tx_channel_status_r_1_0    :32;
};
#define rx_audio_top1_94(val) ((rs_rx_audio_top1_94*)&(val))



#define RX_AUDIO_TOP1_98                                                 (HV_AUDIO_TOP1_BASE_ADDRESS + 0x98)

#define RX_AUDIO_TOP1_98_struct                                          rs_rx_audio_top1_98

typedef struct _rs_rx_audio_top1_98  rs_rx_audio_top1_98;
struct _rs_rx_audio_top1_98 {
    unsigned int reg_audio_spdif_tx_channel_status_r_1_1    :32;
};
#define rx_audio_top1_98(val) ((rs_rx_audio_top1_98*)&(val))



#define RX_AUDIO_TOP1_9C                                                 (HV_AUDIO_TOP1_BASE_ADDRESS + 0x9C)

#define RX_AUDIO_TOP1_9C_struct                                          rs_rx_audio_top1_9c

typedef struct _rs_rx_audio_top1_9c  rs_rx_audio_top1_9c;
struct _rs_rx_audio_top1_9c {
    unsigned int reg_audio_spdif_tx_channel_status_r_1_2    :32;
};
#define rx_audio_top1_9c(val) ((rs_rx_audio_top1_9c*)&(val))



#define RX_AUDIO_TOP1_A0                                                 (HV_AUDIO_TOP1_BASE_ADDRESS + 0xA0)

#define RX_AUDIO_TOP1_A0_struct                                          rs_rx_audio_top1_a0

typedef struct _rs_rx_audio_top1_a0  rs_rx_audio_top1_a0;
struct _rs_rx_audio_top1_a0 {
    unsigned int reg_audio_spdif_tx_channel_status_r_1_3    :32;
};
#define rx_audio_top1_a0(val) ((rs_rx_audio_top1_a0*)&(val))



#define RX_AUDIO_TOP1_A4                                                 (HV_AUDIO_TOP1_BASE_ADDRESS + 0xA4)

#define RX_AUDIO_TOP1_A4_struct                                          rs_rx_audio_top1_a4

typedef struct _rs_rx_audio_top1_a4  rs_rx_audio_top1_a4;
struct _rs_rx_audio_top1_a4 {
    unsigned int reg_audio_spdif_tx_channel_status_r_1_4    :32;
};
#define rx_audio_top1_a4(val) ((rs_rx_audio_top1_a4*)&(val))



#define RX_AUDIO_TOP1_A8                                                 (HV_AUDIO_TOP1_BASE_ADDRESS + 0xA8)

#define RX_AUDIO_TOP1_A8_struct                                          rs_rx_audio_top1_a8

typedef struct _rs_rx_audio_top1_a8  rs_rx_audio_top1_a8;
struct _rs_rx_audio_top1_a8 {
    unsigned int reg_audio_spdif_tx_channel_status_r_1_5    :32;
};
#define rx_audio_top1_a8(val) ((rs_rx_audio_top1_a8*)&(val))



#define RX_AUDIO_TOP1_AC                                                 (HV_AUDIO_TOP1_BASE_ADDRESS + 0xAC)

#define RX_AUDIO_TOP1_AC_struct                                          rs_rx_audio_top1_ac

typedef struct _rs_rx_audio_top1_ac  rs_rx_audio_top1_ac;
struct _rs_rx_audio_top1_ac {
    unsigned int reg_audio_spdif_tx_channel_status_r_2_0    :32;
};
#define rx_audio_top1_ac(val) ((rs_rx_audio_top1_ac*)&(val))



#define RX_AUDIO_TOP1_B0                                                 (HV_AUDIO_TOP1_BASE_ADDRESS + 0xB0)

#define RX_AUDIO_TOP1_B0_struct                                          rs_rx_audio_top1_b0

typedef struct _rs_rx_audio_top1_b0  rs_rx_audio_top1_b0;
struct _rs_rx_audio_top1_b0 {
    unsigned int reg_audio_spdif_tx_channel_status_r_2_1    :32;
};
#define rx_audio_top1_b0(val) ((rs_rx_audio_top1_b0*)&(val))



#define RX_AUDIO_TOP1_B4                                                 (HV_AUDIO_TOP1_BASE_ADDRESS + 0xB4)

#define RX_AUDIO_TOP1_B4_struct                                          rs_rx_audio_top1_b4

typedef struct _rs_rx_audio_top1_b4  rs_rx_audio_top1_b4;
struct _rs_rx_audio_top1_b4 {
    unsigned int reg_audio_spdif_tx_channel_status_r_2_2    :32;
};
#define rx_audio_top1_b4(val) ((rs_rx_audio_top1_b4*)&(val))



#define RX_AUDIO_TOP1_B8                                                 (HV_AUDIO_TOP1_BASE_ADDRESS + 0xB8)

#define RX_AUDIO_TOP1_B8_struct                                          rs_rx_audio_top1_b8

typedef struct _rs_rx_audio_top1_b8  rs_rx_audio_top1_b8;
struct _rs_rx_audio_top1_b8 {
    unsigned int reg_audio_spdif_tx_channel_status_r_2_3    :32;
};
#define rx_audio_top1_b8(val) ((rs_rx_audio_top1_b8*)&(val))



#define RX_AUDIO_TOP1_BC                                                 (HV_AUDIO_TOP1_BASE_ADDRESS + 0xBC)

#define RX_AUDIO_TOP1_BC_struct                                          rs_rx_audio_top1_bc

typedef struct _rs_rx_audio_top1_bc  rs_rx_audio_top1_bc;
struct _rs_rx_audio_top1_bc {
    unsigned int reg_audio_spdif_tx_channel_status_r_2_4    :32;
};
#define rx_audio_top1_bc(val) ((rs_rx_audio_top1_bc*)&(val))



#define RX_AUDIO_TOP1_C0                                                 (HV_AUDIO_TOP1_BASE_ADDRESS + 0xC0)

#define RX_AUDIO_TOP1_C0_struct                                          rs_rx_audio_top1_c0

typedef struct _rs_rx_audio_top1_c0  rs_rx_audio_top1_c0;
struct _rs_rx_audio_top1_c0 {
    unsigned int reg_audio_spdif_tx_channel_status_r_2_5    :32;
};
#define rx_audio_top1_c0(val) ((rs_rx_audio_top1_c0*)&(val))



#define RX_AUDIO_TOP1_C4                                                 (HV_AUDIO_TOP1_BASE_ADDRESS + 0xC4)

#define RX_AUDIO_TOP1_C4_struct                                          rs_rx_audio_top1_c4

typedef struct _rs_rx_audio_top1_c4  rs_rx_audio_top1_c4;
struct _rs_rx_audio_top1_c4 {
    unsigned int reg_audio_spdif_tx_channel_status_r_3_0    :32;
};
#define rx_audio_top1_c4(val) ((rs_rx_audio_top1_c4*)&(val))



#define RX_AUDIO_TOP1_C8                                                 (HV_AUDIO_TOP1_BASE_ADDRESS + 0xC8)

#define RX_AUDIO_TOP1_C8_struct                                          rs_rx_audio_top1_c8

typedef struct _rs_rx_audio_top1_c8  rs_rx_audio_top1_c8;
struct _rs_rx_audio_top1_c8 {
    unsigned int reg_audio_spdif_tx_channel_status_r_3_1    :32;
};
#define rx_audio_top1_c8(val) ((rs_rx_audio_top1_c8*)&(val))



#define RX_AUDIO_TOP1_CC                                                 (HV_AUDIO_TOP1_BASE_ADDRESS + 0xCC)

#define RX_AUDIO_TOP1_CC_struct                                          rs_rx_audio_top1_cc

typedef struct _rs_rx_audio_top1_cc  rs_rx_audio_top1_cc;
struct _rs_rx_audio_top1_cc {
    unsigned int reg_audio_spdif_tx_channel_status_r_3_2    :32;
};
#define rx_audio_top1_cc(val) ((rs_rx_audio_top1_cc*)&(val))



#define RX_AUDIO_TOP1_D0                                                 (HV_AUDIO_TOP1_BASE_ADDRESS + 0xD0)

#define RX_AUDIO_TOP1_D0_struct                                          rs_rx_audio_top1_d0

typedef struct _rs_rx_audio_top1_d0  rs_rx_audio_top1_d0;
struct _rs_rx_audio_top1_d0 {
    unsigned int reg_audio_spdif_tx_channel_status_r_3_3    :32;
};
#define rx_audio_top1_d0(val) ((rs_rx_audio_top1_d0*)&(val))



#define RX_AUDIO_TOP1_D4                                                 (HV_AUDIO_TOP1_BASE_ADDRESS + 0xD4)

#define RX_AUDIO_TOP1_D4_struct                                          rs_rx_audio_top1_d4

typedef struct _rs_rx_audio_top1_d4  rs_rx_audio_top1_d4;
struct _rs_rx_audio_top1_d4 {
    unsigned int reg_audio_spdif_tx_channel_status_r_3_4    :32;
};
#define rx_audio_top1_d4(val) ((rs_rx_audio_top1_d4*)&(val))



#define RX_AUDIO_TOP1_D8                                                 (HV_AUDIO_TOP1_BASE_ADDRESS + 0xD8)

#define RX_AUDIO_TOP1_D8_struct                                          rs_rx_audio_top1_d8

typedef struct _rs_rx_audio_top1_d8  rs_rx_audio_top1_d8;
struct _rs_rx_audio_top1_d8 {
    unsigned int reg_audio_spdif_tx_channel_status_r_3_5    :32;
};
#define rx_audio_top1_d8(val) ((rs_rx_audio_top1_d8*)&(val))



#define RX_AUDIO_TOP1_DC                                                 (HV_AUDIO_TOP1_BASE_ADDRESS + 0xDC)

#define RX_AUDIO_TOP1_DC_struct                                          rs_rx_audio_top1_dc

typedef struct _rs_rx_audio_top1_dc  rs_rx_audio_top1_dc;
struct _rs_rx_audio_top1_dc {
    unsigned int reg_audio_i2s_tx_en                        : 1;
    unsigned int reg_audio_i2s_tx_sck_inv_0                 : 1;
    unsigned int reg_audio_i2s_tx_sck_inv_1                 : 1;
    unsigned int reg_audio_i2s_tx_sck_inv_2                 : 1;
    unsigned int reg_audio_i2s_tx_sck_inv_3                 : 1;
    unsigned int reg_audio_i2s_tx_ws_inv_0                  : 1;
    unsigned int reg_audio_i2s_tx_ws_inv_1                  : 1;
    unsigned int reg_audio_i2s_tx_ws_inv_2                  : 1;
    unsigned int reg_audio_i2s_tx_ws_inv_3                  : 1;
    unsigned int reg_audio_i2s_tx_ws_mode                   : 2;
    unsigned int reg_audio_tx_i2s_mclk_sel                  : 6;
    unsigned int reserved                                   :15;
};
#define rx_audio_top1_dc(val) ((rs_rx_audio_top1_dc*)&(val))



#define RX_AUDIO_TOP1_E8                                                 (HV_AUDIO_TOP1_BASE_ADDRESS + 0xE8)

#define RX_AUDIO_TOP1_E8_struct                                          rs_rx_audio_top1_e8

typedef struct _rs_rx_audio_top1_e8  rs_rx_audio_top1_e8;
struct _rs_rx_audio_top1_e8 {
    unsigned int reg_audio_tx_i2s_pcm_sel                   : 2;
    unsigned int reg_audio_tx_i2s_pcm_sel0                  : 3;
    unsigned int reg_audio_tx_i2s_pcm_sel1                  : 3;
    unsigned int reg_audio_tx_i2s_pcm_sel2                  : 3;
    unsigned int reg_audio_tx_i2s_pcm_sel3                  : 3;
    unsigned int reg_audio_tx_i2s_pcm_sel4                  : 3;
    unsigned int reg_audio_tx_i2s_pcm_sel5                  : 3;
    unsigned int reg_audio_tx_i2s_pcm_sel6                  : 3;
    unsigned int reg_audio_tx_i2s_pcm_sel7                  : 3;
    unsigned int reserved                                   : 6;
};
#define rx_audio_top1_e8(val) ((rs_rx_audio_top1_e8*)&(val))



#define RX_AUDIO_TOP1_EC                                                 (HV_AUDIO_TOP1_BASE_ADDRESS + 0xEC)

#define RX_AUDIO_TOP1_EC_struct                                          rs_rx_audio_top1_ec

typedef struct _rs_rx_audio_top1_ec  rs_rx_audio_top1_ec;
struct _rs_rx_audio_top1_ec {
    unsigned int reg_audio_tx_spdif_pcm_sel                 : 2;
    unsigned int reg_audio_tx_spdif_pcm_sel0                : 3;
    unsigned int reg_audio_tx_spdif_pcm_sel1                : 3;
    unsigned int reg_audio_tx_spdif_pcm_sel2                : 3;
    unsigned int reg_audio_tx_spdif_pcm_sel3                : 3;
    unsigned int reg_audio_tx_spdif_pcm_sel4                : 3;
    unsigned int reg_audio_tx_spdif_pcm_sel5                : 3;
    unsigned int reg_audio_tx_spdif_pcm_sel6                : 3;
    unsigned int reg_audio_tx_spdif_pcm_sel7                : 3;
    unsigned int reserved                                   : 6;
};
#define rx_audio_top1_ec(val) ((rs_rx_audio_top1_ec*)&(val))



#define RX_AUDIO_TOP1_F0                                                 (HV_AUDIO_TOP1_BASE_ADDRESS + 0xF0)

#define RX_AUDIO_TOP1_F0_struct                                          rs_rx_audio_top1_f0

typedef struct _rs_rx_audio_top1_f0  rs_rx_audio_top1_f0;
struct _rs_rx_audio_top1_f0 {
    unsigned int reg_audio_tx_dac_pcm_sel                   : 2;
    unsigned int reg_audio_tx_dac_pcm_sel0                  : 3;
    unsigned int reg_audio_tx_dac_pcm_sel1                  : 3;
    unsigned int reg_audio_tx_dac_pcm_sel2                  : 3;
    unsigned int reg_audio_tx_dac_pcm_sel3                  : 3;
    unsigned int reg_audio_tx_dac_pcm_sel4                  : 3;
    unsigned int reg_audio_tx_dac_pcm_sel5                  : 3;
    unsigned int reg_audio_tx_dac_pcm_sel6                  : 3;
    unsigned int reg_audio_tx_dac_pcm_sel7                  : 3;
    unsigned int reserved                                   : 6;
};
#define rx_audio_top1_f0(val) ((rs_rx_audio_top1_f0*)&(val))



#define RX_AUDIO_TOP1_F4                                                 (HV_AUDIO_TOP1_BASE_ADDRESS + 0xF4)

#define RX_AUDIO_TOP1_F4_struct                                          rs_rx_audio_top1_f4

typedef struct _rs_rx_audio_top1_f4  rs_rx_audio_top1_f4;
struct _rs_rx_audio_top1_f4 {
    unsigned int reg_audio_tx_earc_pcm_sel                  : 2;
    unsigned int reg_audio_tx_earc_pcm_sel0                 : 3;
    unsigned int reg_audio_tx_earc_pcm_sel1                 : 3;
    unsigned int reg_audio_tx_earc_pcm_sel2                 : 3;
    unsigned int reg_audio_tx_earc_pcm_sel3                 : 3;
    unsigned int reg_audio_tx_earc_pcm_sel4                 : 3;
    unsigned int reg_audio_tx_earc_pcm_sel5                 : 3;
    unsigned int reg_audio_tx_earc_pcm_sel6                 : 3;
    unsigned int reg_audio_tx_earc_pcm_sel7                 : 3;
    unsigned int reserved                                   : 6;
};
#define rx_audio_top1_f4(val) ((rs_rx_audio_top1_f4*)&(val))



#define RX_AUDIO_TOP1_F8                                                 (HV_AUDIO_TOP1_BASE_ADDRESS + 0xF8)

#define RX_AUDIO_TOP1_F8_struct                                          rs_rx_audio_top1_f8

typedef struct _rs_rx_audio_top1_f8  rs_rx_audio_top1_f8;
struct _rs_rx_audio_top1_f8 {
    unsigned int reg_eng_ldo18                              : 5;
    unsigned int reg_pd_ldo18                               : 1;
    unsigned int reg_pulldn_enb_ldo18                       : 1;
    unsigned int reg_ref_adj_ldo18                          : 3;
    unsigned int reg_soft_start_enb_ldo18                   : 1;
    unsigned int regr_rdy_ldo18                             : 1;
    unsigned int reserved                                   :20;
};
#define rx_audio_top1_f8(val) ((rs_rx_audio_top1_f8*)&(val))



#endif