#ifndef _HV_PAGE_HT7315_BLK3_TOP_REG_H_
#define _HV_PAGE_HT7315_BLK3_TOP_REG_H_

#ifndef HV_BLK3_TOP_REG_BASE_ADDRESS
    #define HV_BLK3_TOP_REG_BASE_ADDRESS                                         0x11011F00
#endif


#define SYS_BLK3_TOP_REG_00                                              (HV_BLK3_TOP_REG_BASE_ADDRESS + 0x00)

#define SYS_BLK3_TOP_REG_00_struct                                       rs_sys_blk3_top_reg_00

typedef struct _rs_sys_blk3_top_reg_00  rs_sys_blk3_top_reg_00;
struct _rs_sys_blk3_top_reg_00 {
    unsigned int reg_int_disp_vtotal_0                      :16;
    unsigned int reg_int_disp_vtotal_1                      :16;
};
#define sys_blk3_top_reg_00(val) ((rs_sys_blk3_top_reg_00*)&(val))



#define SYS_BLK3_TOP_REG_04                                              (HV_BLK3_TOP_REG_BASE_ADDRESS + 0x04)

#define SYS_BLK3_TOP_REG_04_struct                                       rs_sys_blk3_top_reg_04

typedef struct _rs_sys_blk3_top_reg_04  rs_sys_blk3_top_reg_04;
struct _rs_sys_blk3_top_reg_04 {
    unsigned int reg_int_disp_vtotal_2                      :16;
    unsigned int reg_int_disp_vtotal_3                      :16;
};
#define sys_blk3_top_reg_04(val) ((rs_sys_blk3_top_reg_04*)&(val))



#define SYS_BLK3_TOP_REG_08                                              (HV_BLK3_TOP_REG_BASE_ADDRESS + 0x08)

#define SYS_BLK3_TOP_REG_08_struct                                       rs_sys_blk3_top_reg_08

typedef struct _rs_sys_blk3_top_reg_08  rs_sys_blk3_top_reg_08;
struct _rs_sys_blk3_top_reg_08 {
    unsigned int reg_int_disp_vtotal_4                      :16;
    unsigned int reg_int_disp_vtotal_5                      :16;
};
#define sys_blk3_top_reg_08(val) ((rs_sys_blk3_top_reg_08*)&(val))



#define SYS_BLK3_TOP_REG_0C                                              (HV_BLK3_TOP_REG_BASE_ADDRESS + 0x0C)

#define SYS_BLK3_TOP_REG_0C_struct                                       rs_sys_blk3_top_reg_0c

typedef struct _rs_sys_blk3_top_reg_0c  rs_sys_blk3_top_reg_0c;
struct _rs_sys_blk3_top_reg_0c {
    unsigned int reg_int_disp_vtotal_6                      :16;
    unsigned int reg_int_disp_vtotal_7                      :16;
};
#define sys_blk3_top_reg_0c(val) ((rs_sys_blk3_top_reg_0c*)&(val))



#define SYS_BLK3_TOP_REG_10                                              (HV_BLK3_TOP_REG_BASE_ADDRESS + 0x10)

#define SYS_BLK3_TOP_REG_10_struct                                       rs_sys_blk3_top_reg_10

typedef struct _rs_sys_blk3_top_reg_10  rs_sys_blk3_top_reg_10;
struct _rs_sys_blk3_top_reg_10 {
    unsigned int reg_int_disp_vtotal_8                      :16;
    unsigned int reg_int_disp_vtotal_9                      :16;
};
#define sys_blk3_top_reg_10(val) ((rs_sys_blk3_top_reg_10*)&(val))



#define SYS_BLK3_TOP_REG_14                                              (HV_BLK3_TOP_REG_BASE_ADDRESS + 0x14)

#define SYS_BLK3_TOP_REG_14_struct                                       rs_sys_blk3_top_reg_14

typedef struct _rs_sys_blk3_top_reg_14  rs_sys_blk3_top_reg_14;
struct _rs_sys_blk3_top_reg_14 {
    unsigned int reg_int_disp_vtotal_10                     :16;
    unsigned int reg_int_disp_vtotal_11                     :16;
};
#define sys_blk3_top_reg_14(val) ((rs_sys_blk3_top_reg_14*)&(val))



#define SYS_BLK3_TOP_REG_18                                              (HV_BLK3_TOP_REG_BASE_ADDRESS + 0x18)

#define SYS_BLK3_TOP_REG_18_struct                                       rs_sys_blk3_top_reg_18

typedef struct _rs_sys_blk3_top_reg_18  rs_sys_blk3_top_reg_18;
struct _rs_sys_blk3_top_reg_18 {
    unsigned int reg_int_disp_vtotal_12                     :16;
    unsigned int reg_int_disp_vtotal_13                     :16;
};
#define sys_blk3_top_reg_18(val) ((rs_sys_blk3_top_reg_18*)&(val))



#define SYS_BLK3_TOP_REG_1C                                              (HV_BLK3_TOP_REG_BASE_ADDRESS + 0x1C)

#define SYS_BLK3_TOP_REG_1C_struct                                       rs_sys_blk3_top_reg_1c

typedef struct _rs_sys_blk3_top_reg_1c  rs_sys_blk3_top_reg_1c;
struct _rs_sys_blk3_top_reg_1c {
    unsigned int reg_int_disp_vtotal_14                     :16;
    unsigned int reg_int_disp_vtotal_15                     :16;
};
#define sys_blk3_top_reg_1c(val) ((rs_sys_blk3_top_reg_1c*)&(val))



#define SYS_BLK3_TOP_REG_20                                              (HV_BLK3_TOP_REG_BASE_ADDRESS + 0x20)

#define SYS_BLK3_TOP_REG_20_struct                                       rs_sys_blk3_top_reg_20

typedef struct _rs_sys_blk3_top_reg_20  rs_sys_blk3_top_reg_20;
struct _rs_sys_blk3_top_reg_20 {
    unsigned int reg_int_disp_vtotal_16                     :16;
    unsigned int reg_int_disp_vtotal_17                     :16;
};
#define sys_blk3_top_reg_20(val) ((rs_sys_blk3_top_reg_20*)&(val))



#define SYS_BLK3_TOP_REG_24                                              (HV_BLK3_TOP_REG_BASE_ADDRESS + 0x24)

#define SYS_BLK3_TOP_REG_24_struct                                       rs_sys_blk3_top_reg_24

typedef struct _rs_sys_blk3_top_reg_24  rs_sys_blk3_top_reg_24;
struct _rs_sys_blk3_top_reg_24 {
    unsigned int reg_int_disp_vtotal_18                     :16;
    unsigned int reg_int_disp_vtotal_19                     :16;
};
#define sys_blk3_top_reg_24(val) ((rs_sys_blk3_top_reg_24*)&(val))



#define SYS_BLK3_TOP_REG_28                                              (HV_BLK3_TOP_REG_BASE_ADDRESS + 0x28)

#define SYS_BLK3_TOP_REG_28_struct                                       rs_sys_blk3_top_reg_28

typedef struct _rs_sys_blk3_top_reg_28  rs_sys_blk3_top_reg_28;
struct _rs_sys_blk3_top_reg_28 {
    unsigned int reg_int_disp_vtotal_20                     :16;
    unsigned int reg_int_disp_vtotal_21                     :16;
};
#define sys_blk3_top_reg_28(val) ((rs_sys_blk3_top_reg_28*)&(val))



#define SYS_BLK3_TOP_REG_2C                                              (HV_BLK3_TOP_REG_BASE_ADDRESS + 0x2C)

#define SYS_BLK3_TOP_REG_2C_struct                                       rs_sys_blk3_top_reg_2c

typedef struct _rs_sys_blk3_top_reg_2c  rs_sys_blk3_top_reg_2c;
struct _rs_sys_blk3_top_reg_2c {
    unsigned int reg_int_disp_vtotal_22                     :16;
    unsigned int reg_int_disp_vtotal_23                     :16;
};
#define sys_blk3_top_reg_2c(val) ((rs_sys_blk3_top_reg_2c*)&(val))



#define SYS_BLK3_TOP_REG_30                                              (HV_BLK3_TOP_REG_BASE_ADDRESS + 0x30)

#define SYS_BLK3_TOP_REG_30_struct                                       rs_sys_blk3_top_reg_30

typedef struct _rs_sys_blk3_top_reg_30  rs_sys_blk3_top_reg_30;
struct _rs_sys_blk3_top_reg_30 {
    unsigned int reg_int_disp_wclr_hs_24                    :24;
    unsigned int reserved                                   : 8;
};
#define sys_blk3_top_reg_30(val) ((rs_sys_blk3_top_reg_30*)&(val))



#define SYS_BLK3_TOP_REG_34                                              (HV_BLK3_TOP_REG_BASE_ADDRESS + 0x34)

#define SYS_BLK3_TOP_REG_34_struct                                       rs_sys_blk3_top_reg_34

typedef struct _rs_sys_blk3_top_reg_34  rs_sys_blk3_top_reg_34;
struct _rs_sys_blk3_top_reg_34 {
    unsigned int reg_int_disp_en_hs_24                      :24;
    unsigned int reserved                                   : 8;
};
#define sys_blk3_top_reg_34(val) ((rs_sys_blk3_top_reg_34*)&(val))



#define SYS_BLK3_TOP_REG_38                                              (HV_BLK3_TOP_REG_BASE_ADDRESS + 0x38)

#define SYS_BLK3_TOP_REG_38_struct                                       rs_sys_blk3_top_reg_38

typedef struct _rs_sys_blk3_top_reg_38  rs_sys_blk3_top_reg_38;
struct _rs_sys_blk3_top_reg_38 {
    unsigned int regr_int_disp_pending_hs_24                :24;
    unsigned int reg_uart0_sin_sel                          : 1;
    unsigned int reserved                                   : 7;
};
#define sys_blk3_top_reg_38(val) ((rs_sys_blk3_top_reg_38*)&(val))



#endif