#ifndef _HV_PAGE_HT7315_CA_SPCH_REGISTER_PAGE1_01_H_
#define _HV_PAGE_HT7315_CA_SPCH_REGISTER_PAGE1_01_H_

#ifndef HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS
    #define HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS                                         0x11022300
#endif


#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_00                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0x00)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_00_struct                     rs_disp_top_ca_spch_register_page1_01_00

typedef struct _rs_disp_top_ca_spch_register_page1_01_00  rs_disp_top_ca_spch_register_page1_01_00;
struct _rs_disp_top_ca_spch_register_page1_01_00 {
    unsigned int reg_01_en                                  : 1;
    unsigned int reg_01_en_no_latch                         : 1;
    unsigned int reserved                                   :30;
};
#define disp_top_ca_spch_register_page1_01_00(val) ((rs_disp_top_ca_spch_register_page1_01_00*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_04                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0x04)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_04_struct                     rs_disp_top_ca_spch_register_page1_01_04

typedef struct _rs_disp_top_ca_spch_register_page1_01_04  rs_disp_top_ca_spch_register_page1_01_04;
struct _rs_disp_top_ca_spch_register_page1_01_04 {
    unsigned int reg_01_sp_tb_mode                          : 1;
    unsigned int reg_01_sp_in_vsize                         :12;
    unsigned int reg_01_sp_in_hsize                         :13;
    unsigned int reserved                                   : 6;
};
#define disp_top_ca_spch_register_page1_01_04(val) ((rs_disp_top_ca_spch_register_page1_01_04*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_08                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0x08)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_08_struct                     rs_disp_top_ca_spch_register_page1_01_08

typedef struct _rs_disp_top_ca_spch_register_page1_01_08  rs_disp_top_ca_spch_register_page1_01_08;
struct _rs_disp_top_ca_spch_register_page1_01_08 {
    unsigned int reg_01_sp_window_stv                       :12;
    unsigned int reg_01_sp_window_sth                       :12;
    unsigned int reserved                                   : 8;
};
#define disp_top_ca_spch_register_page1_01_08(val) ((rs_disp_top_ca_spch_register_page1_01_08*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_0C                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0x0C)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_0C_struct                     rs_disp_top_ca_spch_register_page1_01_0c

typedef struct _rs_disp_top_ca_spch_register_page1_01_0c  rs_disp_top_ca_spch_register_page1_01_0c;
struct _rs_disp_top_ca_spch_register_page1_01_0c {
    unsigned int reg_01_sp_window_edv                       :12;
    unsigned int reg_01_sp_window_edh                       :12;
    unsigned int reg_01_sp_diff_lc_min_y                    : 8;
};
#define disp_top_ca_spch_register_page1_01_0c(val) ((rs_disp_top_ca_spch_register_page1_01_0c*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_10                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0x10)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_10_struct                     rs_disp_top_ca_spch_register_page1_01_10

typedef struct _rs_disp_top_ca_spch_register_page1_01_10  rs_disp_top_ca_spch_register_page1_01_10;
struct _rs_disp_top_ca_spch_register_page1_01_10 {
    unsigned int regr_01_sp_cc0                             :32;
};
#define disp_top_ca_spch_register_page1_01_10(val) ((rs_disp_top_ca_spch_register_page1_01_10*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_14                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0x14)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_14_struct                     rs_disp_top_ca_spch_register_page1_01_14

typedef struct _rs_disp_top_ca_spch_register_page1_01_14  rs_disp_top_ca_spch_register_page1_01_14;
struct _rs_disp_top_ca_spch_register_page1_01_14 {
    unsigned int regr_01_sp_cc1                             :32;
};
#define disp_top_ca_spch_register_page1_01_14(val) ((rs_disp_top_ca_spch_register_page1_01_14*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_18                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0x18)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_18_struct                     rs_disp_top_ca_spch_register_page1_01_18

typedef struct _rs_disp_top_ca_spch_register_page1_01_18  rs_disp_top_ca_spch_register_page1_01_18;
struct _rs_disp_top_ca_spch_register_page1_01_18 {
    unsigned int regr_01_sp_cc2                             :32;
};
#define disp_top_ca_spch_register_page1_01_18(val) ((rs_disp_top_ca_spch_register_page1_01_18*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_1C                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0x1C)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_1C_struct                     rs_disp_top_ca_spch_register_page1_01_1c

typedef struct _rs_disp_top_ca_spch_register_page1_01_1c  rs_disp_top_ca_spch_register_page1_01_1c;
struct _rs_disp_top_ca_spch_register_page1_01_1c {
    unsigned int regr_01_sp_cc3                             :32;
};
#define disp_top_ca_spch_register_page1_01_1c(val) ((rs_disp_top_ca_spch_register_page1_01_1c*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_20                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0x20)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_20_struct                     rs_disp_top_ca_spch_register_page1_01_20

typedef struct _rs_disp_top_ca_spch_register_page1_01_20  rs_disp_top_ca_spch_register_page1_01_20;
struct _rs_disp_top_ca_spch_register_page1_01_20 {
    unsigned int regr_01_sp_cc4                             :32;
};
#define disp_top_ca_spch_register_page1_01_20(val) ((rs_disp_top_ca_spch_register_page1_01_20*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_24                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0x24)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_24_struct                     rs_disp_top_ca_spch_register_page1_01_24

typedef struct _rs_disp_top_ca_spch_register_page1_01_24  rs_disp_top_ca_spch_register_page1_01_24;
struct _rs_disp_top_ca_spch_register_page1_01_24 {
    unsigned int regr_01_sp_cc5                             :32;
};
#define disp_top_ca_spch_register_page1_01_24(val) ((rs_disp_top_ca_spch_register_page1_01_24*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_28                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0x28)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_28_struct                     rs_disp_top_ca_spch_register_page1_01_28

typedef struct _rs_disp_top_ca_spch_register_page1_01_28  rs_disp_top_ca_spch_register_page1_01_28;
struct _rs_disp_top_ca_spch_register_page1_01_28 {
    unsigned int regr_01_sp_cc6                             :32;
};
#define disp_top_ca_spch_register_page1_01_28(val) ((rs_disp_top_ca_spch_register_page1_01_28*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_2C                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0x2C)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_2C_struct                     rs_disp_top_ca_spch_register_page1_01_2c

typedef struct _rs_disp_top_ca_spch_register_page1_01_2c  rs_disp_top_ca_spch_register_page1_01_2c;
struct _rs_disp_top_ca_spch_register_page1_01_2c {
    unsigned int regr_01_sp_cc7                             :32;
};
#define disp_top_ca_spch_register_page1_01_2c(val) ((rs_disp_top_ca_spch_register_page1_01_2c*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_30                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0x30)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_30_struct                     rs_disp_top_ca_spch_register_page1_01_30

typedef struct _rs_disp_top_ca_spch_register_page1_01_30  rs_disp_top_ca_spch_register_page1_01_30;
struct _rs_disp_top_ca_spch_register_page1_01_30 {
    unsigned int regr_01_sp_cc8                             :32;
};
#define disp_top_ca_spch_register_page1_01_30(val) ((rs_disp_top_ca_spch_register_page1_01_30*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_34                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0x34)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_34_struct                     rs_disp_top_ca_spch_register_page1_01_34

typedef struct _rs_disp_top_ca_spch_register_page1_01_34  rs_disp_top_ca_spch_register_page1_01_34;
struct _rs_disp_top_ca_spch_register_page1_01_34 {
    unsigned int regr_01_sp_cc9                             :32;
};
#define disp_top_ca_spch_register_page1_01_34(val) ((rs_disp_top_ca_spch_register_page1_01_34*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_38                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0x38)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_38_struct                     rs_disp_top_ca_spch_register_page1_01_38

typedef struct _rs_disp_top_ca_spch_register_page1_01_38  rs_disp_top_ca_spch_register_page1_01_38;
struct _rs_disp_top_ca_spch_register_page1_01_38 {
    unsigned int regr_01_sp_cc10                            :32;
};
#define disp_top_ca_spch_register_page1_01_38(val) ((rs_disp_top_ca_spch_register_page1_01_38*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_3C                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0x3C)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_3C_struct                     rs_disp_top_ca_spch_register_page1_01_3c

typedef struct _rs_disp_top_ca_spch_register_page1_01_3c  rs_disp_top_ca_spch_register_page1_01_3c;
struct _rs_disp_top_ca_spch_register_page1_01_3c {
    unsigned int regr_01_sp_cc11                            :32;
};
#define disp_top_ca_spch_register_page1_01_3c(val) ((rs_disp_top_ca_spch_register_page1_01_3c*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_40                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0x40)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_40_struct                     rs_disp_top_ca_spch_register_page1_01_40

typedef struct _rs_disp_top_ca_spch_register_page1_01_40  rs_disp_top_ca_spch_register_page1_01_40;
struct _rs_disp_top_ca_spch_register_page1_01_40 {
    unsigned int regr_01_sp_cc12                            :32;
};
#define disp_top_ca_spch_register_page1_01_40(val) ((rs_disp_top_ca_spch_register_page1_01_40*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_44                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0x44)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_44_struct                     rs_disp_top_ca_spch_register_page1_01_44

typedef struct _rs_disp_top_ca_spch_register_page1_01_44  rs_disp_top_ca_spch_register_page1_01_44;
struct _rs_disp_top_ca_spch_register_page1_01_44 {
    unsigned int regr_01_sp_cc13                            :32;
};
#define disp_top_ca_spch_register_page1_01_44(val) ((rs_disp_top_ca_spch_register_page1_01_44*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_48                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0x48)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_48_struct                     rs_disp_top_ca_spch_register_page1_01_48

typedef struct _rs_disp_top_ca_spch_register_page1_01_48  rs_disp_top_ca_spch_register_page1_01_48;
struct _rs_disp_top_ca_spch_register_page1_01_48 {
    unsigned int regr_01_sp_cc14                            :32;
};
#define disp_top_ca_spch_register_page1_01_48(val) ((rs_disp_top_ca_spch_register_page1_01_48*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_4C                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0x4C)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_4C_struct                     rs_disp_top_ca_spch_register_page1_01_4c

typedef struct _rs_disp_top_ca_spch_register_page1_01_4c  rs_disp_top_ca_spch_register_page1_01_4c;
struct _rs_disp_top_ca_spch_register_page1_01_4c {
    unsigned int regr_01_sp_cc15                            :32;
};
#define disp_top_ca_spch_register_page1_01_4c(val) ((rs_disp_top_ca_spch_register_page1_01_4c*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_50                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0x50)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_50_struct                     rs_disp_top_ca_spch_register_page1_01_50

typedef struct _rs_disp_top_ca_spch_register_page1_01_50  rs_disp_top_ca_spch_register_page1_01_50;
struct _rs_disp_top_ca_spch_register_page1_01_50 {
    unsigned int regr_01_sp_cc16                            :32;
};
#define disp_top_ca_spch_register_page1_01_50(val) ((rs_disp_top_ca_spch_register_page1_01_50*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_54                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0x54)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_54_struct                     rs_disp_top_ca_spch_register_page1_01_54

typedef struct _rs_disp_top_ca_spch_register_page1_01_54  rs_disp_top_ca_spch_register_page1_01_54;
struct _rs_disp_top_ca_spch_register_page1_01_54 {
    unsigned int regr_01_sp_cc17                            :32;
};
#define disp_top_ca_spch_register_page1_01_54(val) ((rs_disp_top_ca_spch_register_page1_01_54*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_58                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0x58)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_58_struct                     rs_disp_top_ca_spch_register_page1_01_58

typedef struct _rs_disp_top_ca_spch_register_page1_01_58  rs_disp_top_ca_spch_register_page1_01_58;
struct _rs_disp_top_ca_spch_register_page1_01_58 {
    unsigned int regr_01_sp_cc18                            :32;
};
#define disp_top_ca_spch_register_page1_01_58(val) ((rs_disp_top_ca_spch_register_page1_01_58*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_5C                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0x5C)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_5C_struct                     rs_disp_top_ca_spch_register_page1_01_5c

typedef struct _rs_disp_top_ca_spch_register_page1_01_5c  rs_disp_top_ca_spch_register_page1_01_5c;
struct _rs_disp_top_ca_spch_register_page1_01_5c {
    unsigned int regr_01_sp_cc19                            :32;
};
#define disp_top_ca_spch_register_page1_01_5c(val) ((rs_disp_top_ca_spch_register_page1_01_5c*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_60                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0x60)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_60_struct                     rs_disp_top_ca_spch_register_page1_01_60

typedef struct _rs_disp_top_ca_spch_register_page1_01_60  rs_disp_top_ca_spch_register_page1_01_60;
struct _rs_disp_top_ca_spch_register_page1_01_60 {
    unsigned int regr_01_sp_cc20                            :32;
};
#define disp_top_ca_spch_register_page1_01_60(val) ((rs_disp_top_ca_spch_register_page1_01_60*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_64                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0x64)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_64_struct                     rs_disp_top_ca_spch_register_page1_01_64

typedef struct _rs_disp_top_ca_spch_register_page1_01_64  rs_disp_top_ca_spch_register_page1_01_64;
struct _rs_disp_top_ca_spch_register_page1_01_64 {
    unsigned int regr_01_sp_cc21                            :32;
};
#define disp_top_ca_spch_register_page1_01_64(val) ((rs_disp_top_ca_spch_register_page1_01_64*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_68                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0x68)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_68_struct                     rs_disp_top_ca_spch_register_page1_01_68

typedef struct _rs_disp_top_ca_spch_register_page1_01_68  rs_disp_top_ca_spch_register_page1_01_68;
struct _rs_disp_top_ca_spch_register_page1_01_68 {
    unsigned int regr_01_sp_cc22                            :32;
};
#define disp_top_ca_spch_register_page1_01_68(val) ((rs_disp_top_ca_spch_register_page1_01_68*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_6C                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0x6C)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_6C_struct                     rs_disp_top_ca_spch_register_page1_01_6c

typedef struct _rs_disp_top_ca_spch_register_page1_01_6c  rs_disp_top_ca_spch_register_page1_01_6c;
struct _rs_disp_top_ca_spch_register_page1_01_6c {
    unsigned int regr_01_sp_cc23                            :32;
};
#define disp_top_ca_spch_register_page1_01_6c(val) ((rs_disp_top_ca_spch_register_page1_01_6c*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_70                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0x70)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_70_struct                     rs_disp_top_ca_spch_register_page1_01_70

typedef struct _rs_disp_top_ca_spch_register_page1_01_70  rs_disp_top_ca_spch_register_page1_01_70;
struct _rs_disp_top_ca_spch_register_page1_01_70 {
    unsigned int regr_01_sp_cc24                            :32;
};
#define disp_top_ca_spch_register_page1_01_70(val) ((rs_disp_top_ca_spch_register_page1_01_70*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_74                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0x74)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_74_struct                     rs_disp_top_ca_spch_register_page1_01_74

typedef struct _rs_disp_top_ca_spch_register_page1_01_74  rs_disp_top_ca_spch_register_page1_01_74;
struct _rs_disp_top_ca_spch_register_page1_01_74 {
    unsigned int regr_01_sp_cc25                            :32;
};
#define disp_top_ca_spch_register_page1_01_74(val) ((rs_disp_top_ca_spch_register_page1_01_74*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_78                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0x78)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_78_struct                     rs_disp_top_ca_spch_register_page1_01_78

typedef struct _rs_disp_top_ca_spch_register_page1_01_78  rs_disp_top_ca_spch_register_page1_01_78;
struct _rs_disp_top_ca_spch_register_page1_01_78 {
    unsigned int regr_01_sp_cc26                            :32;
};
#define disp_top_ca_spch_register_page1_01_78(val) ((rs_disp_top_ca_spch_register_page1_01_78*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_7C                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0x7C)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_7C_struct                     rs_disp_top_ca_spch_register_page1_01_7c

typedef struct _rs_disp_top_ca_spch_register_page1_01_7c  rs_disp_top_ca_spch_register_page1_01_7c;
struct _rs_disp_top_ca_spch_register_page1_01_7c {
    unsigned int regr_01_sp_cc27                            :32;
};
#define disp_top_ca_spch_register_page1_01_7c(val) ((rs_disp_top_ca_spch_register_page1_01_7c*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_80                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0x80)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_80_struct                     rs_disp_top_ca_spch_register_page1_01_80

typedef struct _rs_disp_top_ca_spch_register_page1_01_80  rs_disp_top_ca_spch_register_page1_01_80;
struct _rs_disp_top_ca_spch_register_page1_01_80 {
    unsigned int regr_01_sp_cc28                            :32;
};
#define disp_top_ca_spch_register_page1_01_80(val) ((rs_disp_top_ca_spch_register_page1_01_80*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_84                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0x84)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_84_struct                     rs_disp_top_ca_spch_register_page1_01_84

typedef struct _rs_disp_top_ca_spch_register_page1_01_84  rs_disp_top_ca_spch_register_page1_01_84;
struct _rs_disp_top_ca_spch_register_page1_01_84 {
    unsigned int regr_01_sp_cc29                            :32;
};
#define disp_top_ca_spch_register_page1_01_84(val) ((rs_disp_top_ca_spch_register_page1_01_84*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_88                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0x88)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_88_struct                     rs_disp_top_ca_spch_register_page1_01_88

typedef struct _rs_disp_top_ca_spch_register_page1_01_88  rs_disp_top_ca_spch_register_page1_01_88;
struct _rs_disp_top_ca_spch_register_page1_01_88 {
    unsigned int regr_01_sp_cc30                            :32;
};
#define disp_top_ca_spch_register_page1_01_88(val) ((rs_disp_top_ca_spch_register_page1_01_88*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_8C                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0x8C)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_8C_struct                     rs_disp_top_ca_spch_register_page1_01_8c

typedef struct _rs_disp_top_ca_spch_register_page1_01_8c  rs_disp_top_ca_spch_register_page1_01_8c;
struct _rs_disp_top_ca_spch_register_page1_01_8c {
    unsigned int regr_01_sp_cc31                            :32;
};
#define disp_top_ca_spch_register_page1_01_8c(val) ((rs_disp_top_ca_spch_register_page1_01_8c*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_90                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0x90)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_90_struct                     rs_disp_top_ca_spch_register_page1_01_90

typedef struct _rs_disp_top_ca_spch_register_page1_01_90  rs_disp_top_ca_spch_register_page1_01_90;
struct _rs_disp_top_ca_spch_register_page1_01_90 {
    unsigned int regr_01_sp_lc0                             :32;
};
#define disp_top_ca_spch_register_page1_01_90(val) ((rs_disp_top_ca_spch_register_page1_01_90*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_94                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0x94)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_94_struct                     rs_disp_top_ca_spch_register_page1_01_94

typedef struct _rs_disp_top_ca_spch_register_page1_01_94  rs_disp_top_ca_spch_register_page1_01_94;
struct _rs_disp_top_ca_spch_register_page1_01_94 {
    unsigned int regr_01_sp_lc1                             :32;
};
#define disp_top_ca_spch_register_page1_01_94(val) ((rs_disp_top_ca_spch_register_page1_01_94*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_98                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0x98)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_98_struct                     rs_disp_top_ca_spch_register_page1_01_98

typedef struct _rs_disp_top_ca_spch_register_page1_01_98  rs_disp_top_ca_spch_register_page1_01_98;
struct _rs_disp_top_ca_spch_register_page1_01_98 {
    unsigned int regr_01_sp_lc2                             :32;
};
#define disp_top_ca_spch_register_page1_01_98(val) ((rs_disp_top_ca_spch_register_page1_01_98*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_9C                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0x9C)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_9C_struct                     rs_disp_top_ca_spch_register_page1_01_9c

typedef struct _rs_disp_top_ca_spch_register_page1_01_9c  rs_disp_top_ca_spch_register_page1_01_9c;
struct _rs_disp_top_ca_spch_register_page1_01_9c {
    unsigned int regr_01_sp_lc3                             :32;
};
#define disp_top_ca_spch_register_page1_01_9c(val) ((rs_disp_top_ca_spch_register_page1_01_9c*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_A0                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0xA0)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_A0_struct                     rs_disp_top_ca_spch_register_page1_01_a0

typedef struct _rs_disp_top_ca_spch_register_page1_01_a0  rs_disp_top_ca_spch_register_page1_01_a0;
struct _rs_disp_top_ca_spch_register_page1_01_a0 {
    unsigned int regr_01_sp_lc4                             :32;
};
#define disp_top_ca_spch_register_page1_01_a0(val) ((rs_disp_top_ca_spch_register_page1_01_a0*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_A4                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0xA4)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_A4_struct                     rs_disp_top_ca_spch_register_page1_01_a4

typedef struct _rs_disp_top_ca_spch_register_page1_01_a4  rs_disp_top_ca_spch_register_page1_01_a4;
struct _rs_disp_top_ca_spch_register_page1_01_a4 {
    unsigned int regr_01_sp_lc5                             :32;
};
#define disp_top_ca_spch_register_page1_01_a4(val) ((rs_disp_top_ca_spch_register_page1_01_a4*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_A8                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0xA8)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_A8_struct                     rs_disp_top_ca_spch_register_page1_01_a8

typedef struct _rs_disp_top_ca_spch_register_page1_01_a8  rs_disp_top_ca_spch_register_page1_01_a8;
struct _rs_disp_top_ca_spch_register_page1_01_a8 {
    unsigned int regr_01_sp_lc6                             :32;
};
#define disp_top_ca_spch_register_page1_01_a8(val) ((rs_disp_top_ca_spch_register_page1_01_a8*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_AC                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0xAC)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_AC_struct                     rs_disp_top_ca_spch_register_page1_01_ac

typedef struct _rs_disp_top_ca_spch_register_page1_01_ac  rs_disp_top_ca_spch_register_page1_01_ac;
struct _rs_disp_top_ca_spch_register_page1_01_ac {
    unsigned int regr_01_sp_lc7                             :32;
};
#define disp_top_ca_spch_register_page1_01_ac(val) ((rs_disp_top_ca_spch_register_page1_01_ac*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_B0                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0xB0)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_B0_struct                     rs_disp_top_ca_spch_register_page1_01_b0

typedef struct _rs_disp_top_ca_spch_register_page1_01_b0  rs_disp_top_ca_spch_register_page1_01_b0;
struct _rs_disp_top_ca_spch_register_page1_01_b0 {
    unsigned int regr_01_sp_lc8                             :32;
};
#define disp_top_ca_spch_register_page1_01_b0(val) ((rs_disp_top_ca_spch_register_page1_01_b0*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_B4                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0xB4)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_B4_struct                     rs_disp_top_ca_spch_register_page1_01_b4

typedef struct _rs_disp_top_ca_spch_register_page1_01_b4  rs_disp_top_ca_spch_register_page1_01_b4;
struct _rs_disp_top_ca_spch_register_page1_01_b4 {
    unsigned int regr_01_sp_lc9                             :32;
};
#define disp_top_ca_spch_register_page1_01_b4(val) ((rs_disp_top_ca_spch_register_page1_01_b4*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_B8                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0xB8)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_B8_struct                     rs_disp_top_ca_spch_register_page1_01_b8

typedef struct _rs_disp_top_ca_spch_register_page1_01_b8  rs_disp_top_ca_spch_register_page1_01_b8;
struct _rs_disp_top_ca_spch_register_page1_01_b8 {
    unsigned int regr_01_sp_lc10                            :32;
};
#define disp_top_ca_spch_register_page1_01_b8(val) ((rs_disp_top_ca_spch_register_page1_01_b8*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_BC                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0xBC)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_BC_struct                     rs_disp_top_ca_spch_register_page1_01_bc

typedef struct _rs_disp_top_ca_spch_register_page1_01_bc  rs_disp_top_ca_spch_register_page1_01_bc;
struct _rs_disp_top_ca_spch_register_page1_01_bc {
    unsigned int regr_01_sp_lc11                            :32;
};
#define disp_top_ca_spch_register_page1_01_bc(val) ((rs_disp_top_ca_spch_register_page1_01_bc*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_C0                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0xC0)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_C0_struct                     rs_disp_top_ca_spch_register_page1_01_c0

typedef struct _rs_disp_top_ca_spch_register_page1_01_c0  rs_disp_top_ca_spch_register_page1_01_c0;
struct _rs_disp_top_ca_spch_register_page1_01_c0 {
    unsigned int regr_01_sp_lc12                            :32;
};
#define disp_top_ca_spch_register_page1_01_c0(val) ((rs_disp_top_ca_spch_register_page1_01_c0*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_C4                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0xC4)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_C4_struct                     rs_disp_top_ca_spch_register_page1_01_c4

typedef struct _rs_disp_top_ca_spch_register_page1_01_c4  rs_disp_top_ca_spch_register_page1_01_c4;
struct _rs_disp_top_ca_spch_register_page1_01_c4 {
    unsigned int regr_01_sp_lc13                            :32;
};
#define disp_top_ca_spch_register_page1_01_c4(val) ((rs_disp_top_ca_spch_register_page1_01_c4*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_C8                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0xC8)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_C8_struct                     rs_disp_top_ca_spch_register_page1_01_c8

typedef struct _rs_disp_top_ca_spch_register_page1_01_c8  rs_disp_top_ca_spch_register_page1_01_c8;
struct _rs_disp_top_ca_spch_register_page1_01_c8 {
    unsigned int regr_01_sp_lc14                            :32;
};
#define disp_top_ca_spch_register_page1_01_c8(val) ((rs_disp_top_ca_spch_register_page1_01_c8*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_CC                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0xCC)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_CC_struct                     rs_disp_top_ca_spch_register_page1_01_cc

typedef struct _rs_disp_top_ca_spch_register_page1_01_cc  rs_disp_top_ca_spch_register_page1_01_cc;
struct _rs_disp_top_ca_spch_register_page1_01_cc {
    unsigned int regr_01_sp_lc15                            :32;
};
#define disp_top_ca_spch_register_page1_01_cc(val) ((rs_disp_top_ca_spch_register_page1_01_cc*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_D0                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0xD0)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_D0_struct                     rs_disp_top_ca_spch_register_page1_01_d0

typedef struct _rs_disp_top_ca_spch_register_page1_01_d0  rs_disp_top_ca_spch_register_page1_01_d0;
struct _rs_disp_top_ca_spch_register_page1_01_d0 {
    unsigned int regr_01_sp_lc16                            :32;
};
#define disp_top_ca_spch_register_page1_01_d0(val) ((rs_disp_top_ca_spch_register_page1_01_d0*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_D4                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0xD4)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_D4_struct                     rs_disp_top_ca_spch_register_page1_01_d4

typedef struct _rs_disp_top_ca_spch_register_page1_01_d4  rs_disp_top_ca_spch_register_page1_01_d4;
struct _rs_disp_top_ca_spch_register_page1_01_d4 {
    unsigned int regr_01_sp_lc17                            :32;
};
#define disp_top_ca_spch_register_page1_01_d4(val) ((rs_disp_top_ca_spch_register_page1_01_d4*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_D8                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0xD8)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_D8_struct                     rs_disp_top_ca_spch_register_page1_01_d8

typedef struct _rs_disp_top_ca_spch_register_page1_01_d8  rs_disp_top_ca_spch_register_page1_01_d8;
struct _rs_disp_top_ca_spch_register_page1_01_d8 {
    unsigned int regr_01_sp_lc18                            :32;
};
#define disp_top_ca_spch_register_page1_01_d8(val) ((rs_disp_top_ca_spch_register_page1_01_d8*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_DC                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0xDC)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_DC_struct                     rs_disp_top_ca_spch_register_page1_01_dc

typedef struct _rs_disp_top_ca_spch_register_page1_01_dc  rs_disp_top_ca_spch_register_page1_01_dc;
struct _rs_disp_top_ca_spch_register_page1_01_dc {
    unsigned int regr_01_sp_lc19                            :32;
};
#define disp_top_ca_spch_register_page1_01_dc(val) ((rs_disp_top_ca_spch_register_page1_01_dc*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_E0                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0xE0)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_E0_struct                     rs_disp_top_ca_spch_register_page1_01_e0

typedef struct _rs_disp_top_ca_spch_register_page1_01_e0  rs_disp_top_ca_spch_register_page1_01_e0;
struct _rs_disp_top_ca_spch_register_page1_01_e0 {
    unsigned int regr_01_sp_lc20                            :32;
};
#define disp_top_ca_spch_register_page1_01_e0(val) ((rs_disp_top_ca_spch_register_page1_01_e0*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_E4                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0xE4)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_E4_struct                     rs_disp_top_ca_spch_register_page1_01_e4

typedef struct _rs_disp_top_ca_spch_register_page1_01_e4  rs_disp_top_ca_spch_register_page1_01_e4;
struct _rs_disp_top_ca_spch_register_page1_01_e4 {
    unsigned int regr_01_sp_lc21                            :32;
};
#define disp_top_ca_spch_register_page1_01_e4(val) ((rs_disp_top_ca_spch_register_page1_01_e4*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_E8                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0xE8)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_E8_struct                     rs_disp_top_ca_spch_register_page1_01_e8

typedef struct _rs_disp_top_ca_spch_register_page1_01_e8  rs_disp_top_ca_spch_register_page1_01_e8;
struct _rs_disp_top_ca_spch_register_page1_01_e8 {
    unsigned int regr_01_sp_lc22                            :32;
};
#define disp_top_ca_spch_register_page1_01_e8(val) ((rs_disp_top_ca_spch_register_page1_01_e8*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_EC                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0xEC)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_EC_struct                     rs_disp_top_ca_spch_register_page1_01_ec

typedef struct _rs_disp_top_ca_spch_register_page1_01_ec  rs_disp_top_ca_spch_register_page1_01_ec;
struct _rs_disp_top_ca_spch_register_page1_01_ec {
    unsigned int regr_01_sp_lc23                            :32;
};
#define disp_top_ca_spch_register_page1_01_ec(val) ((rs_disp_top_ca_spch_register_page1_01_ec*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_F0                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0xF0)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_F0_struct                     rs_disp_top_ca_spch_register_page1_01_f0

typedef struct _rs_disp_top_ca_spch_register_page1_01_f0  rs_disp_top_ca_spch_register_page1_01_f0;
struct _rs_disp_top_ca_spch_register_page1_01_f0 {
    unsigned int regr_01_sp_lc24                            :32;
};
#define disp_top_ca_spch_register_page1_01_f0(val) ((rs_disp_top_ca_spch_register_page1_01_f0*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_F4                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0xF4)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_F4_struct                     rs_disp_top_ca_spch_register_page1_01_f4

typedef struct _rs_disp_top_ca_spch_register_page1_01_f4  rs_disp_top_ca_spch_register_page1_01_f4;
struct _rs_disp_top_ca_spch_register_page1_01_f4 {
    unsigned int regr_01_sp_lc25                            :32;
};
#define disp_top_ca_spch_register_page1_01_f4(val) ((rs_disp_top_ca_spch_register_page1_01_f4*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_F8                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0xF8)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_F8_struct                     rs_disp_top_ca_spch_register_page1_01_f8

typedef struct _rs_disp_top_ca_spch_register_page1_01_f8  rs_disp_top_ca_spch_register_page1_01_f8;
struct _rs_disp_top_ca_spch_register_page1_01_f8 {
    unsigned int regr_01_sp_lc26                            :32;
};
#define disp_top_ca_spch_register_page1_01_f8(val) ((rs_disp_top_ca_spch_register_page1_01_f8*)&(val))



#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_FC                            (HV_CA_SPCH_REGISTER_PAGE1_01_BASE_ADDRESS + 0xFC)

#define DISP_TOP_CA_SPCH_REGISTER_PAGE1_01_FC_struct                     rs_disp_top_ca_spch_register_page1_01_fc

typedef struct _rs_disp_top_ca_spch_register_page1_01_fc  rs_disp_top_ca_spch_register_page1_01_fc;
struct _rs_disp_top_ca_spch_register_page1_01_fc {
    unsigned int regr_01_sp_lc27                            :32;
};
#define disp_top_ca_spch_register_page1_01_fc(val) ((rs_disp_top_ca_spch_register_page1_01_fc*)&(val))



#endif