#ifndef _HV_PAGE_HT7315_COMBOTX_PHY_1_H_
#define _HV_PAGE_HT7315_COMBOTX_PHY_1_H_

#ifndef HV_COMBOTX_PHY_1_BASE_ADDRESS
    #define HV_COMBOTX_PHY_1_BASE_ADDRESS                                         0x1105F100
#endif


#define TX_COMBOTX_PHY_1_00                                              (HV_COMBOTX_PHY_1_BASE_ADDRESS + 0x00)

#define TX_COMBOTX_PHY_1_00_struct                                       rs_tx_combotx_phy_1_00

typedef struct _rs_tx_combotx_phy_1_00  rs_tx_combotx_phy_1_00;
struct _rs_tx_combotx_phy_1_00 {
    unsigned int reg_txphy_00_pd                            : 1;
    unsigned int reg_txphy_00_p2s_rstn                      : 1;
    unsigned int reg_txphy_00_drv_en                        : 4;
    unsigned int reserved                                   : 3;
    unsigned int reg_txphy_00_mlvds_en                      : 1;
    unsigned int reg_txphy_00_pmos_en                       : 1;
    unsigned int reg_txphy_00_nmos_en                       : 1;
    unsigned int reg_txphy_00_ckvco_test_en                 : 1;
    unsigned int reg_txphy_00_ck_sel                        : 4;
    unsigned int reserved_1                                 : 3;
    unsigned int reg_txphy_00_res_diff                      : 4;
    unsigned int reg_txphy_00_res_pg                        : 4;
    unsigned int reg_txphy_00_clk_rd_inv                    : 1;
    unsigned int reg_txphy_00_pll_right_left_sel            : 1;
    unsigned int reserved_2                                 : 2;
};
#define tx_combotx_phy_1_00(val) ((rs_tx_combotx_phy_1_00*)&(val))



#define TX_COMBOTX_PHY_1_04                                              (HV_COMBOTX_PHY_1_BASE_ADDRESS + 0x04)

#define TX_COMBOTX_PHY_1_04_struct                                       rs_tx_combotx_phy_1_04

typedef struct _rs_tx_combotx_phy_1_04  rs_tx_combotx_phy_1_04;
struct _rs_tx_combotx_phy_1_04 {
    unsigned int reg_txphy_00_dctest_en                     : 4;
    unsigned int reserved                                   :28;
};
#define tx_combotx_phy_1_04(val) ((rs_tx_combotx_phy_1_04*)&(val))



#define TX_COMBOTX_PHY_1_08                                              (HV_COMBOTX_PHY_1_BASE_ADDRESS + 0x08)

#define TX_COMBOTX_PHY_1_08_struct                                       rs_tx_combotx_phy_1_08

typedef struct _rs_tx_combotx_phy_1_08  rs_tx_combotx_phy_1_08;
struct _rs_tx_combotx_phy_1_08 {
    unsigned int reg_txphy_00_dctest_0                      :20;
    unsigned int reserved                                   :12;
};
#define tx_combotx_phy_1_08(val) ((rs_tx_combotx_phy_1_08*)&(val))



#define TX_COMBOTX_PHY_1_0C                                              (HV_COMBOTX_PHY_1_BASE_ADDRESS + 0x0C)

#define TX_COMBOTX_PHY_1_0C_struct                                       rs_tx_combotx_phy_1_0c

typedef struct _rs_tx_combotx_phy_1_0c  rs_tx_combotx_phy_1_0c;
struct _rs_tx_combotx_phy_1_0c {
    unsigned int reg_txphy_00_dctest_1                      :20;
    unsigned int reserved                                   :12;
};
#define tx_combotx_phy_1_0c(val) ((rs_tx_combotx_phy_1_0c*)&(val))



#define TX_COMBOTX_PHY_1_10                                              (HV_COMBOTX_PHY_1_BASE_ADDRESS + 0x10)

#define TX_COMBOTX_PHY_1_10_struct                                       rs_tx_combotx_phy_1_10

typedef struct _rs_tx_combotx_phy_1_10  rs_tx_combotx_phy_1_10;
struct _rs_tx_combotx_phy_1_10 {
    unsigned int reg_txphy_00_dctest_2                      :20;
    unsigned int reserved                                   :12;
};
#define tx_combotx_phy_1_10(val) ((rs_tx_combotx_phy_1_10*)&(val))



#define TX_COMBOTX_PHY_1_14                                              (HV_COMBOTX_PHY_1_BASE_ADDRESS + 0x14)

#define TX_COMBOTX_PHY_1_14_struct                                       rs_tx_combotx_phy_1_14

typedef struct _rs_tx_combotx_phy_1_14  rs_tx_combotx_phy_1_14;
struct _rs_tx_combotx_phy_1_14 {
    unsigned int reg_txphy_00_dctest_3                      :20;
    unsigned int reserved                                   :12;
};
#define tx_combotx_phy_1_14(val) ((rs_tx_combotx_phy_1_14*)&(val))



#define TX_COMBOTX_PHY_1_20                                              (HV_COMBOTX_PHY_1_BASE_ADDRESS + 0x20)

#define TX_COMBOTX_PHY_1_20_struct                                       rs_tx_combotx_phy_1_20

typedef struct _rs_tx_combotx_phy_1_20  rs_tx_combotx_phy_1_20;
struct _rs_tx_combotx_phy_1_20 {
    unsigned int reg_txphy_00_pre_emphasis_en               : 4;
    unsigned int reserved                                   :28;
};
#define tx_combotx_phy_1_20(val) ((rs_tx_combotx_phy_1_20*)&(val))



#define TX_COMBOTX_PHY_1_24                                              (HV_COMBOTX_PHY_1_BASE_ADDRESS + 0x24)

#define TX_COMBOTX_PHY_1_24_struct                                       rs_tx_combotx_phy_1_24

typedef struct _rs_tx_combotx_phy_1_24  rs_tx_combotx_phy_1_24;
struct _rs_tx_combotx_phy_1_24 {
    unsigned int reg_txphy_00_swing_main_0                  : 5;
    unsigned int reg_txphy_00_swing_main_1                  : 5;
    unsigned int reg_txphy_00_swing_main_2                  : 5;
    unsigned int reg_txphy_00_swing_main_3                  : 5;
    unsigned int reserved                                   :12;
};
#define tx_combotx_phy_1_24(val) ((rs_tx_combotx_phy_1_24*)&(val))



#define TX_COMBOTX_PHY_1_28                                              (HV_COMBOTX_PHY_1_BASE_ADDRESS + 0x28)

#define TX_COMBOTX_PHY_1_28_struct                                       rs_tx_combotx_phy_1_28

typedef struct _rs_tx_combotx_phy_1_28  rs_tx_combotx_phy_1_28;
struct _rs_tx_combotx_phy_1_28 {
    unsigned int reg_txphy_00_swing_tapi_0                  : 4;
    unsigned int reg_txphy_00_swing_tapi_1                  : 4;
    unsigned int reg_txphy_00_swing_tapi_2                  : 4;
    unsigned int reg_txphy_00_swing_tapi_3                  : 4;
    unsigned int reg_txphy_00_swing_tapii_0                 : 2;
    unsigned int reg_txphy_00_swing_tapii_1                 : 2;
    unsigned int reg_txphy_00_swing_tapii_2                 : 2;
    unsigned int reg_txphy_00_swing_tapii_3                 : 2;
    unsigned int reg_txphy_00_tapi_inv                      : 1;
    unsigned int reg_txphy_00_tapii_inv                     : 1;
    unsigned int reserved                                   : 6;
};
#define tx_combotx_phy_1_28(val) ((rs_tx_combotx_phy_1_28*)&(val))



#define TX_COMBOTX_PHY_1_34                                              (HV_COMBOTX_PHY_1_BASE_ADDRESS + 0x34)

#define TX_COMBOTX_PHY_1_34_struct                                       rs_tx_combotx_phy_1_34

typedef struct _rs_tx_combotx_phy_1_34  rs_tx_combotx_phy_1_34;
struct _rs_tx_combotx_phy_1_34 {
    unsigned int reg_txphy_00_dcd_en                        : 1;
    unsigned int reg_txphy_00_dcd_adj                       : 2;
    unsigned int reg_txphy_00_pn_sw                         : 4;
    unsigned int reg_txphy_00_duty_up                       : 1;
    unsigned int reg_txphy_00_duty_down                     : 1;
    unsigned int reg_txphy_00_ib_source_adj                 : 4;
    unsigned int reg_txphy_00_vcm_adj                       : 5;
    unsigned int reg_txphy_00_clklink_a_inv                 : 1;
    unsigned int reg_txphy_00_pulldn_b                      : 4;
    unsigned int reg_txphy_00_dcd_fb_sel                    : 1;
    unsigned int reg_txphy_00_bias_db                       : 4;
    unsigned int reg_txphy_00_dcd_vpf_test_en               : 1;
    unsigned int reg_txphy_00_dcd_vnf_test_en               : 1;
    unsigned int reserved                                   : 2;
};
#define tx_combotx_phy_1_34(val) ((rs_tx_combotx_phy_1_34*)&(val))



#define TX_COMBOTX_PHY_1_38                                              (HV_COMBOTX_PHY_1_BASE_ADDRESS + 0x38)

#define TX_COMBOTX_PHY_1_38_struct                                       rs_tx_combotx_phy_1_38

typedef struct _rs_tx_combotx_phy_1_38  rs_tx_combotx_phy_1_38;
struct _rs_tx_combotx_phy_1_38 {
    unsigned int reg_txphy_00_eng_0                         : 8;
    unsigned int reg_txphy_00_eng_1                         : 8;
    unsigned int reg_txphy_00_eng_2                         : 8;
    unsigned int reg_txphy_00_eng_3                         : 8;
};
#define tx_combotx_phy_1_38(val) ((rs_tx_combotx_phy_1_38*)&(val))



#define TX_COMBOTX_PHY_1_40                                              (HV_COMBOTX_PHY_1_BASE_ADDRESS + 0x40)

#define TX_COMBOTX_PHY_1_40_struct                                       rs_tx_combotx_phy_1_40

typedef struct _rs_tx_combotx_phy_1_40  rs_tx_combotx_phy_1_40;
struct _rs_tx_combotx_phy_1_40 {
    unsigned int reg_txphy_01_pd                            : 1;
    unsigned int reg_txphy_01_p2s_rstn                      : 1;
    unsigned int reg_txphy_01_drv_en                        : 4;
    unsigned int reserved                                   : 3;
    unsigned int reg_txphy_01_mlvds_en                      : 1;
    unsigned int reg_txphy_01_pmos_en                       : 1;
    unsigned int reg_txphy_01_nmos_en                       : 1;
    unsigned int reg_txphy_01_ckvco_test_en                 : 1;
    unsigned int reg_txphy_01_ck_sel                        : 4;
    unsigned int reserved_1                                 : 3;
    unsigned int reg_txphy_01_res_diff                      : 4;
    unsigned int reg_txphy_01_res_pg                        : 4;
    unsigned int reg_txphy_01_clk_rd_inv                    : 1;
    unsigned int reg_txphy_01_pll_right_left_sel            : 1;
    unsigned int reserved_2                                 : 2;
};
#define tx_combotx_phy_1_40(val) ((rs_tx_combotx_phy_1_40*)&(val))



#define TX_COMBOTX_PHY_1_44                                              (HV_COMBOTX_PHY_1_BASE_ADDRESS + 0x44)

#define TX_COMBOTX_PHY_1_44_struct                                       rs_tx_combotx_phy_1_44

typedef struct _rs_tx_combotx_phy_1_44  rs_tx_combotx_phy_1_44;
struct _rs_tx_combotx_phy_1_44 {
    unsigned int reg_txphy_01_dctest_en                     : 4;
    unsigned int reserved                                   :28;
};
#define tx_combotx_phy_1_44(val) ((rs_tx_combotx_phy_1_44*)&(val))



#define TX_COMBOTX_PHY_1_48                                              (HV_COMBOTX_PHY_1_BASE_ADDRESS + 0x48)

#define TX_COMBOTX_PHY_1_48_struct                                       rs_tx_combotx_phy_1_48

typedef struct _rs_tx_combotx_phy_1_48  rs_tx_combotx_phy_1_48;
struct _rs_tx_combotx_phy_1_48 {
    unsigned int reg_txphy_01_dctest_0                      :20;
    unsigned int reserved                                   :12;
};
#define tx_combotx_phy_1_48(val) ((rs_tx_combotx_phy_1_48*)&(val))



#define TX_COMBOTX_PHY_1_4C                                              (HV_COMBOTX_PHY_1_BASE_ADDRESS + 0x4C)

#define TX_COMBOTX_PHY_1_4C_struct                                       rs_tx_combotx_phy_1_4c

typedef struct _rs_tx_combotx_phy_1_4c  rs_tx_combotx_phy_1_4c;
struct _rs_tx_combotx_phy_1_4c {
    unsigned int reg_txphy_01_dctest_1                      :20;
    unsigned int reserved                                   :12;
};
#define tx_combotx_phy_1_4c(val) ((rs_tx_combotx_phy_1_4c*)&(val))



#define TX_COMBOTX_PHY_1_50                                              (HV_COMBOTX_PHY_1_BASE_ADDRESS + 0x50)

#define TX_COMBOTX_PHY_1_50_struct                                       rs_tx_combotx_phy_1_50

typedef struct _rs_tx_combotx_phy_1_50  rs_tx_combotx_phy_1_50;
struct _rs_tx_combotx_phy_1_50 {
    unsigned int reg_txphy_01_dctest_2                      :20;
    unsigned int reserved                                   :12;
};
#define tx_combotx_phy_1_50(val) ((rs_tx_combotx_phy_1_50*)&(val))



#define TX_COMBOTX_PHY_1_54                                              (HV_COMBOTX_PHY_1_BASE_ADDRESS + 0x54)

#define TX_COMBOTX_PHY_1_54_struct                                       rs_tx_combotx_phy_1_54

typedef struct _rs_tx_combotx_phy_1_54  rs_tx_combotx_phy_1_54;
struct _rs_tx_combotx_phy_1_54 {
    unsigned int reg_txphy_01_dctest_3                      :20;
    unsigned int reserved                                   :12;
};
#define tx_combotx_phy_1_54(val) ((rs_tx_combotx_phy_1_54*)&(val))



#define TX_COMBOTX_PHY_1_60                                              (HV_COMBOTX_PHY_1_BASE_ADDRESS + 0x60)

#define TX_COMBOTX_PHY_1_60_struct                                       rs_tx_combotx_phy_1_60

typedef struct _rs_tx_combotx_phy_1_60  rs_tx_combotx_phy_1_60;
struct _rs_tx_combotx_phy_1_60 {
    unsigned int reg_txphy_01_pre_emphasis_en               : 4;
    unsigned int reserved                                   :28;
};
#define tx_combotx_phy_1_60(val) ((rs_tx_combotx_phy_1_60*)&(val))



#define TX_COMBOTX_PHY_1_64                                              (HV_COMBOTX_PHY_1_BASE_ADDRESS + 0x64)

#define TX_COMBOTX_PHY_1_64_struct                                       rs_tx_combotx_phy_1_64

typedef struct _rs_tx_combotx_phy_1_64  rs_tx_combotx_phy_1_64;
struct _rs_tx_combotx_phy_1_64 {
    unsigned int reg_txphy_01_swing_main_0                  : 5;
    unsigned int reg_txphy_01_swing_main_1                  : 5;
    unsigned int reg_txphy_01_swing_main_2                  : 5;
    unsigned int reg_txphy_01_swing_main_3                  : 5;
    unsigned int reserved                                   :12;
};
#define tx_combotx_phy_1_64(val) ((rs_tx_combotx_phy_1_64*)&(val))



#define TX_COMBOTX_PHY_1_68                                              (HV_COMBOTX_PHY_1_BASE_ADDRESS + 0x68)

#define TX_COMBOTX_PHY_1_68_struct                                       rs_tx_combotx_phy_1_68

typedef struct _rs_tx_combotx_phy_1_68  rs_tx_combotx_phy_1_68;
struct _rs_tx_combotx_phy_1_68 {
    unsigned int reg_txphy_01_swing_tapi_0                  : 4;
    unsigned int reg_txphy_01_swing_tapi_1                  : 4;
    unsigned int reg_txphy_01_swing_tapi_2                  : 4;
    unsigned int reg_txphy_01_swing_tapi_3                  : 4;
    unsigned int reg_txphy_01_swing_tapii_0                 : 2;
    unsigned int reg_txphy_01_swing_tapii_1                 : 2;
    unsigned int reg_txphy_01_swing_tapii_2                 : 2;
    unsigned int reg_txphy_01_swing_tapii_3                 : 2;
    unsigned int reg_txphy_01_tapi_inv                      : 1;
    unsigned int reg_txphy_01_tapii_inv                     : 1;
    unsigned int reserved                                   : 6;
};
#define tx_combotx_phy_1_68(val) ((rs_tx_combotx_phy_1_68*)&(val))



#define TX_COMBOTX_PHY_1_74                                              (HV_COMBOTX_PHY_1_BASE_ADDRESS + 0x74)

#define TX_COMBOTX_PHY_1_74_struct                                       rs_tx_combotx_phy_1_74

typedef struct _rs_tx_combotx_phy_1_74  rs_tx_combotx_phy_1_74;
struct _rs_tx_combotx_phy_1_74 {
    unsigned int reg_txphy_01_dcd_en                        : 1;
    unsigned int reg_txphy_01_dcd_adj                       : 2;
    unsigned int reg_txphy_01_pn_sw                         : 4;
    unsigned int reg_txphy_01_duty_up                       : 1;
    unsigned int reg_txphy_01_duty_down                     : 1;
    unsigned int reg_txphy_01_ib_source_adj                 : 4;
    unsigned int reg_txphy_01_vcm_adj                       : 5;
    unsigned int reg_txphy_01_clklink_a_inv                 : 1;
    unsigned int reg_txphy_01_pulldn_b                      : 4;
    unsigned int reg_txphy_01_dcd_fb_sel                    : 1;
    unsigned int reg_txphy_01_bias_db                       : 4;
    unsigned int reg_txphy_01_dcd_vpf_test_en               : 1;
    unsigned int reg_txphy_01_dcd_vnf_test_en               : 1;
    unsigned int reserved                                   : 2;
};
#define tx_combotx_phy_1_74(val) ((rs_tx_combotx_phy_1_74*)&(val))



#define TX_COMBOTX_PHY_1_78                                              (HV_COMBOTX_PHY_1_BASE_ADDRESS + 0x78)

#define TX_COMBOTX_PHY_1_78_struct                                       rs_tx_combotx_phy_1_78

typedef struct _rs_tx_combotx_phy_1_78  rs_tx_combotx_phy_1_78;
struct _rs_tx_combotx_phy_1_78 {
    unsigned int reg_txphy_01_eng_0                         : 8;
    unsigned int reg_txphy_01_eng_1                         : 8;
    unsigned int reg_txphy_01_eng_2                         : 8;
    unsigned int reg_txphy_01_eng_3                         : 8;
};
#define tx_combotx_phy_1_78(val) ((rs_tx_combotx_phy_1_78*)&(val))



#define TX_COMBOTX_PHY_1_80                                              (HV_COMBOTX_PHY_1_BASE_ADDRESS + 0x80)

#define TX_COMBOTX_PHY_1_80_struct                                       rs_tx_combotx_phy_1_80

typedef struct _rs_tx_combotx_phy_1_80  rs_tx_combotx_phy_1_80;
struct _rs_tx_combotx_phy_1_80 {
    unsigned int reg_txphy_02_pd                            : 1;
    unsigned int reg_txphy_02_p2s_rstn                      : 1;
    unsigned int reg_txphy_02_drv_en                        : 4;
    unsigned int reserved                                   : 3;
    unsigned int reg_txphy_02_mlvds_en                      : 1;
    unsigned int reg_txphy_02_pmos_en                       : 1;
    unsigned int reg_txphy_02_nmos_en                       : 1;
    unsigned int reg_txphy_02_ckvco_test_en                 : 1;
    unsigned int reg_txphy_02_ck_sel                        : 4;
    unsigned int reserved_1                                 : 3;
    unsigned int reg_txphy_02_res_diff                      : 4;
    unsigned int reg_txphy_02_res_pg                        : 4;
    unsigned int reg_txphy_02_clk_rd_inv                    : 1;
    unsigned int reg_txphy_02_pll_right_left_sel            : 1;
    unsigned int reserved_2                                 : 2;
};
#define tx_combotx_phy_1_80(val) ((rs_tx_combotx_phy_1_80*)&(val))



#define TX_COMBOTX_PHY_1_84                                              (HV_COMBOTX_PHY_1_BASE_ADDRESS + 0x84)

#define TX_COMBOTX_PHY_1_84_struct                                       rs_tx_combotx_phy_1_84

typedef struct _rs_tx_combotx_phy_1_84  rs_tx_combotx_phy_1_84;
struct _rs_tx_combotx_phy_1_84 {
    unsigned int reg_txphy_02_dctest_en                     : 4;
    unsigned int reserved                                   :28;
};
#define tx_combotx_phy_1_84(val) ((rs_tx_combotx_phy_1_84*)&(val))



#define TX_COMBOTX_PHY_1_88                                              (HV_COMBOTX_PHY_1_BASE_ADDRESS + 0x88)

#define TX_COMBOTX_PHY_1_88_struct                                       rs_tx_combotx_phy_1_88

typedef struct _rs_tx_combotx_phy_1_88  rs_tx_combotx_phy_1_88;
struct _rs_tx_combotx_phy_1_88 {
    unsigned int reg_txphy_02_dctest_0                      :20;
    unsigned int reserved                                   :12;
};
#define tx_combotx_phy_1_88(val) ((rs_tx_combotx_phy_1_88*)&(val))



#define TX_COMBOTX_PHY_1_8C                                              (HV_COMBOTX_PHY_1_BASE_ADDRESS + 0x8C)

#define TX_COMBOTX_PHY_1_8C_struct                                       rs_tx_combotx_phy_1_8c

typedef struct _rs_tx_combotx_phy_1_8c  rs_tx_combotx_phy_1_8c;
struct _rs_tx_combotx_phy_1_8c {
    unsigned int reg_txphy_02_dctest_1                      :20;
    unsigned int reserved                                   :12;
};
#define tx_combotx_phy_1_8c(val) ((rs_tx_combotx_phy_1_8c*)&(val))



#define TX_COMBOTX_PHY_1_90                                              (HV_COMBOTX_PHY_1_BASE_ADDRESS + 0x90)

#define TX_COMBOTX_PHY_1_90_struct                                       rs_tx_combotx_phy_1_90

typedef struct _rs_tx_combotx_phy_1_90  rs_tx_combotx_phy_1_90;
struct _rs_tx_combotx_phy_1_90 {
    unsigned int reg_txphy_02_dctest_2                      :20;
    unsigned int reserved                                   :12;
};
#define tx_combotx_phy_1_90(val) ((rs_tx_combotx_phy_1_90*)&(val))



#define TX_COMBOTX_PHY_1_94                                              (HV_COMBOTX_PHY_1_BASE_ADDRESS + 0x94)

#define TX_COMBOTX_PHY_1_94_struct                                       rs_tx_combotx_phy_1_94

typedef struct _rs_tx_combotx_phy_1_94  rs_tx_combotx_phy_1_94;
struct _rs_tx_combotx_phy_1_94 {
    unsigned int reg_txphy_02_dctest_3                      :20;
    unsigned int reserved                                   :12;
};
#define tx_combotx_phy_1_94(val) ((rs_tx_combotx_phy_1_94*)&(val))



#define TX_COMBOTX_PHY_1_A0                                              (HV_COMBOTX_PHY_1_BASE_ADDRESS + 0xA0)

#define TX_COMBOTX_PHY_1_A0_struct                                       rs_tx_combotx_phy_1_a0

typedef struct _rs_tx_combotx_phy_1_a0  rs_tx_combotx_phy_1_a0;
struct _rs_tx_combotx_phy_1_a0 {
    unsigned int reg_txphy_02_pre_emphasis_en               : 4;
    unsigned int reserved                                   :28;
};
#define tx_combotx_phy_1_a0(val) ((rs_tx_combotx_phy_1_a0*)&(val))



#define TX_COMBOTX_PHY_1_A4                                              (HV_COMBOTX_PHY_1_BASE_ADDRESS + 0xA4)

#define TX_COMBOTX_PHY_1_A4_struct                                       rs_tx_combotx_phy_1_a4

typedef struct _rs_tx_combotx_phy_1_a4  rs_tx_combotx_phy_1_a4;
struct _rs_tx_combotx_phy_1_a4 {
    unsigned int reg_txphy_02_swing_main_0                  : 5;
    unsigned int reg_txphy_02_swing_main_1                  : 5;
    unsigned int reg_txphy_02_swing_main_2                  : 5;
    unsigned int reg_txphy_02_swing_main_3                  : 5;
    unsigned int reserved                                   :12;
};
#define tx_combotx_phy_1_a4(val) ((rs_tx_combotx_phy_1_a4*)&(val))



#define TX_COMBOTX_PHY_1_A8                                              (HV_COMBOTX_PHY_1_BASE_ADDRESS + 0xA8)

#define TX_COMBOTX_PHY_1_A8_struct                                       rs_tx_combotx_phy_1_a8

typedef struct _rs_tx_combotx_phy_1_a8  rs_tx_combotx_phy_1_a8;
struct _rs_tx_combotx_phy_1_a8 {
    unsigned int reg_txphy_02_swing_tapi_0                  : 4;
    unsigned int reg_txphy_02_swing_tapi_1                  : 4;
    unsigned int reg_txphy_02_swing_tapi_2                  : 4;
    unsigned int reg_txphy_02_swing_tapi_3                  : 4;
    unsigned int reg_txphy_02_swing_tapii_0                 : 2;
    unsigned int reg_txphy_02_swing_tapii_1                 : 2;
    unsigned int reg_txphy_02_swing_tapii_2                 : 2;
    unsigned int reg_txphy_02_swing_tapii_3                 : 2;
    unsigned int reg_txphy_02_tapi_inv                      : 1;
    unsigned int reg_txphy_02_tapii_inv                     : 1;
    unsigned int reserved                                   : 6;
};
#define tx_combotx_phy_1_a8(val) ((rs_tx_combotx_phy_1_a8*)&(val))



#define TX_COMBOTX_PHY_1_B4                                              (HV_COMBOTX_PHY_1_BASE_ADDRESS + 0xB4)

#define TX_COMBOTX_PHY_1_B4_struct                                       rs_tx_combotx_phy_1_b4

typedef struct _rs_tx_combotx_phy_1_b4  rs_tx_combotx_phy_1_b4;
struct _rs_tx_combotx_phy_1_b4 {
    unsigned int reg_txphy_02_dcd_en                        : 1;
    unsigned int reg_txphy_02_dcd_adj                       : 2;
    unsigned int reg_txphy_02_pn_sw                         : 4;
    unsigned int reg_txphy_02_duty_up                       : 1;
    unsigned int reg_txphy_02_duty_down                     : 1;
    unsigned int reg_txphy_02_ib_source_adj                 : 4;
    unsigned int reg_txphy_02_vcm_adj                       : 5;
    unsigned int reg_txphy_02_clklink_a_inv                 : 1;
    unsigned int reg_txphy_02_pulldn_b                      : 4;
    unsigned int reg_txphy_02_dcd_fb_sel                    : 1;
    unsigned int reg_txphy_02_bias_db                       : 4;
    unsigned int reg_txphy_02_dcd_vpf_test_en               : 1;
    unsigned int reg_txphy_02_dcd_vnf_test_en               : 1;
    unsigned int reserved                                   : 2;
};
#define tx_combotx_phy_1_b4(val) ((rs_tx_combotx_phy_1_b4*)&(val))



#define TX_COMBOTX_PHY_1_B8                                              (HV_COMBOTX_PHY_1_BASE_ADDRESS + 0xB8)

#define TX_COMBOTX_PHY_1_B8_struct                                       rs_tx_combotx_phy_1_b8

typedef struct _rs_tx_combotx_phy_1_b8  rs_tx_combotx_phy_1_b8;
struct _rs_tx_combotx_phy_1_b8 {
    unsigned int reg_txphy_02_eng_0                         : 8;
    unsigned int reg_txphy_02_eng_1                         : 8;
    unsigned int reg_txphy_02_eng_2                         : 8;
    unsigned int reg_txphy_02_eng_3                         : 8;
};
#define tx_combotx_phy_1_b8(val) ((rs_tx_combotx_phy_1_b8*)&(val))



#endif