#ifndef _HV_PAGE_HT7315_DISP_CTRL_TOP_H_
#define _HV_PAGE_HT7315_DISP_CTRL_TOP_H_

#ifndef HV_DISP_CTRL_TOP_BASE_ADDRESS
    #define HV_DISP_CTRL_TOP_BASE_ADDRESS                                         0x11052C00
#endif


#define TX_DISP_CTRL_TOP_00                                              (HV_DISP_CTRL_TOP_BASE_ADDRESS + 0x00)

#define TX_DISP_CTRL_TOP_00_struct                                       rs_tx_disp_ctrl_top_00

typedef struct _rs_tx_disp_ctrl_top_00  rs_tx_disp_ctrl_top_00;
struct _rs_tx_disp_ctrl_top_00 {
    unsigned int reg_dummy_degen_pix_gate_en                : 1;
    unsigned int reg_frm_rate_det_pix_gate_en               : 1;
    unsigned int reserved                                   : 1;
    unsigned int reg_demu_axi_gate_en                       : 1;
    unsigned int reg_ktx_patt_pix_gate_en                   : 1;
    unsigned int reg_cursor_pix_gate_en                     : 1;
    unsigned int reg_demu_apb_clk_en                        : 1;
    unsigned int reg_wva_apb_clk_en                         : 1;
    unsigned int reg_kcpr_apb_clk_en                        : 1;
    unsigned int reg_odcpr_axi_gate_en                      : 1;
    unsigned int reg_odcpr_pix_gate_en                      : 1;
    unsigned int reg_kod_clk_en                             : 1;
    unsigned int reg_kod_mem_clk_gating_en                  : 2;
    unsigned int reg_kod_mem_csn_gating_en                  : 1;
    unsigned int reg_disp_ctrl_kpd_apb_clk                  : 1;
    unsigned int reg_dither_apb_clk_en                      : 1;
    unsigned int reg_cellmapping_0_blank_gating_en          : 1;
    unsigned int reg_cellmapping_0_insert_debug_clk_en      : 1;
    unsigned int reg_cellmapping_0_vbpch_gating_en          : 1;
    unsigned int reg_cellmapping_1_blank_gating_en          : 1;
    unsigned int reg_cellmapping_1_insert_debug_clk_en      : 1;
    unsigned int reg_cellmapping_1_vbpch_gating_en          : 1;
    unsigned int reg_cellmapping_rev_blank_gating_en        : 1;
    unsigned int reg_cellmapping_rev_insert_debug_clk_en    : 1;
    unsigned int reg_cellmapping_rev_vbpch_gating_en        : 1;
    unsigned int reg_cellmapping_0_rb_swap                  : 1;
    unsigned int reg_cellmapping_1_rb_swap                  : 1;
    unsigned int reg_cellmapping_rev_insert_rb_swap         : 1;
    unsigned int reg_klod_apb_clk_en                        : 1;
    unsigned int reg_disp_ctrl_demu_axi_rstn_en             : 1;
    unsigned int reg_disp_ctrl_cpr_axi_rstn_en              : 1;
};
#define tx_disp_ctrl_top_00(val) ((rs_tx_disp_ctrl_top_00*)&(val))



#define TX_DISP_CTRL_TOP_04                                              (HV_DISP_CTRL_TOP_BASE_ADDRESS + 0x04)

#define TX_DISP_CTRL_TOP_04_struct                                       rs_tx_disp_ctrl_top_04

typedef struct _rs_tx_disp_ctrl_top_04  rs_tx_disp_ctrl_top_04;
struct _rs_tx_disp_ctrl_top_04 {
    unsigned int reg_disp_ctrl_mux0_sel                     : 2;
    unsigned int reg_disp_ctrl_mux1_sel                     : 2;
    unsigned int reg_disp_ctrl_mux2_sel                     : 2;
    unsigned int reg_disp_ctrl_mux3_sel                     : 2;
    unsigned int reg_disp_ctrl_mux4_sel                     : 1;
    unsigned int reg_ktx_pre_proc_lod_bypass                : 1;
    unsigned int reg_disp_ctrl_mux6_sel                     : 1;
    unsigned int reg_disp_ctrl_mux7_sel                     : 2;
    unsigned int reg_disp_ctrl_mux8_sel                     : 1;
    unsigned int reg_disp_ctrl_mux5_sel                     : 1;
    unsigned int reg_disp_ctrl_cursor_fd_sel                : 2;
    unsigned int reg_disp_ctrl_post_cursor_fd_sel           : 2;
    unsigned int reg_disp_ctrl_src_sel                      : 1;
    unsigned int reg_disp_ctrl_pre_de_sel                   : 1;
    unsigned int reserved                                   : 9;
    unsigned int reg_disp_ctrl_int_vs_sel                   : 1;
    unsigned int reg_disp_ctrl_int_hs_sel                   : 1;
};
#define tx_disp_ctrl_top_04(val) ((rs_tx_disp_ctrl_top_04*)&(val))



#define TX_DISP_CTRL_TOP_08                                              (HV_DISP_CTRL_TOP_BASE_ADDRESS + 0x08)

#define TX_DISP_CTRL_TOP_08_struct                                       rs_tx_disp_ctrl_top_08

typedef struct _rs_tx_disp_ctrl_top_08  rs_tx_disp_ctrl_top_08;
struct _rs_tx_disp_ctrl_top_08 {
    unsigned int reg_disp_ctrl_brg_init_en                  : 1;
    unsigned int reserved                                   : 3;
    unsigned int reg_disp_ctrl_brg_init_mode                : 4;
    unsigned int reg_disp_ctrl_brg_dept_thr                 : 4;
    unsigned int reg_disp_ctrl_brg_port_num                 : 4;
    unsigned int regr_disp_ctrl_brg_overflow                : 1;
    unsigned int reserved_1                                 :15;
};
#define tx_disp_ctrl_top_08(val) ((rs_tx_disp_ctrl_top_08*)&(val))



#define TX_DISP_CTRL_TOP_0C                                              (HV_DISP_CTRL_TOP_BASE_ADDRESS + 0x0C)

#define TX_DISP_CTRL_TOP_0C_struct                                       rs_tx_disp_ctrl_top_0c

typedef struct _rs_tx_disp_ctrl_top_0c  rs_tx_disp_ctrl_top_0c;
struct _rs_tx_disp_ctrl_top_0c {
    unsigned int reg_disp_ctrl_dummy_htotal                 :15;
    unsigned int reg_disp_ctrl_dummy_htotal_mode            : 1;
    unsigned int reserved                                   :16;
};
#define tx_disp_ctrl_top_0c(val) ((rs_tx_disp_ctrl_top_0c*)&(val))



#define TX_DISP_CTRL_TOP_10                                              (HV_DISP_CTRL_TOP_BASE_ADDRESS + 0x10)

#define TX_DISP_CTRL_TOP_10_struct                                       rs_tx_disp_ctrl_top_10

typedef struct _rs_tx_disp_ctrl_top_10  rs_tx_disp_ctrl_top_10;
struct _rs_tx_disp_ctrl_top_10 {
    unsigned int reg_disp_ctrl_vact                         :15;
    unsigned int reserved                                   : 1;
    unsigned int reg_disp_ctrl_hact                         :15;
    unsigned int reserved_1                                 : 1;
};
#define tx_disp_ctrl_top_10(val) ((rs_tx_disp_ctrl_top_10*)&(val))



#define TX_DISP_CTRL_TOP_14                                              (HV_DISP_CTRL_TOP_BASE_ADDRESS + 0x14)

#define TX_DISP_CTRL_TOP_14_struct                                       rs_tx_disp_ctrl_top_14

typedef struct _rs_tx_disp_ctrl_top_14  rs_tx_disp_ctrl_top_14;
struct _rs_tx_disp_ctrl_top_14 {
    unsigned int reg_disp_ctrl_dummy_num                    : 8;
    unsigned int reg_disp_ctrl_vs_pos                       : 8;
    unsigned int reg_disp_ctrl_vs_mode                      : 1;
    unsigned int reserved                                   :15;
};
#define tx_disp_ctrl_top_14(val) ((rs_tx_disp_ctrl_top_14*)&(val))



#define TX_DISP_CTRL_TOP_18                                              (HV_DISP_CTRL_TOP_BASE_ADDRESS + 0x18)

#define TX_DISP_CTRL_TOP_18_struct                                       rs_tx_disp_ctrl_top_18

typedef struct _rs_tx_disp_ctrl_top_18  rs_tx_disp_ctrl_top_18;
struct _rs_tx_disp_ctrl_top_18 {
    unsigned int reg_disp_ctrl_mapping_en                   : 1;
    unsigned int reg_disp_ctrl_mapping_xsb                  : 1;
    unsigned int reserved                                   : 2;
    unsigned int reg_disp_ctrl_mapping_pair                 : 6;
    unsigned int reserved_1                                 : 2;
    unsigned int reg_disp_ctrl_mapping_port                 : 2;
    unsigned int reserved_2                                 :18;
};
#define tx_disp_ctrl_top_18(val) ((rs_tx_disp_ctrl_top_18*)&(val))



#define TX_DISP_CTRL_TOP_34                                              (HV_DISP_CTRL_TOP_BASE_ADDRESS + 0x34)

#define TX_DISP_CTRL_TOP_34_struct                                       rs_tx_disp_ctrl_top_34

typedef struct _rs_tx_disp_ctrl_top_34  rs_tx_disp_ctrl_top_34;
struct _rs_tx_disp_ctrl_top_34 {
    unsigned int reg_disp_ctrl_pre_cursor_3d                : 1;
    unsigned int reg_disp_ctrl_pre_cursor_color             : 3;
    unsigned int reserved                                   : 1;
    unsigned int reg_disp_ctrl_pre_cursor_en                : 1;
    unsigned int reg_disp_ctrl_pre_cursor_lr                : 1;
    unsigned int reg_disp_ctrl_pre_cursor_step_en           : 1;
    unsigned int reg_disp_ctrl_pre_cursor_fcnt              :11;
    unsigned int reserved_1                                 :13;
};
#define tx_disp_ctrl_top_34(val) ((rs_tx_disp_ctrl_top_34*)&(val))



#define TX_DISP_CTRL_TOP_38                                              (HV_DISP_CTRL_TOP_BASE_ADDRESS + 0x38)

#define TX_DISP_CTRL_TOP_38_struct                                       rs_tx_disp_ctrl_top_38

typedef struct _rs_tx_disp_ctrl_top_38  rs_tx_disp_ctrl_top_38;
struct _rs_tx_disp_ctrl_top_38 {
    unsigned int reg_disp_ctrl_pre_cursor_hcnt              :16;
    unsigned int reg_disp_ctrl_pre_cursor_hstep             : 6;
    unsigned int reserved                                   : 2;
    unsigned int reg_disp_ctrl_pre_cursor_hwidth            : 4;
    unsigned int reserved_1                                 : 4;
};
#define tx_disp_ctrl_top_38(val) ((rs_tx_disp_ctrl_top_38*)&(val))



#define TX_DISP_CTRL_TOP_3C                                              (HV_DISP_CTRL_TOP_BASE_ADDRESS + 0x3C)

#define TX_DISP_CTRL_TOP_3C_struct                                       rs_tx_disp_ctrl_top_3c

typedef struct _rs_tx_disp_ctrl_top_3c  rs_tx_disp_ctrl_top_3c;
struct _rs_tx_disp_ctrl_top_3c {
    unsigned int reg_disp_ctrl_pre_cursor_vcnt              :16;
    unsigned int reg_disp_ctrl_pre_cursor_vstep             : 6;
    unsigned int reserved                                   : 2;
    unsigned int reg_disp_ctrl_pre_cursor_vwidth            : 4;
    unsigned int reserved_1                                 : 4;
};
#define tx_disp_ctrl_top_3c(val) ((rs_tx_disp_ctrl_top_3c*)&(val))



#define TX_DISP_CTRL_TOP_40                                              (HV_DISP_CTRL_TOP_BASE_ADDRESS + 0x40)

#define TX_DISP_CTRL_TOP_40_struct                                       rs_tx_disp_ctrl_top_40

typedef struct _rs_tx_disp_ctrl_top_40  rs_tx_disp_ctrl_top_40;
struct _rs_tx_disp_ctrl_top_40 {
    unsigned int regr_disp_ctrl_pre_cursor_bd_31_0          :32;
};
#define tx_disp_ctrl_top_40(val) ((rs_tx_disp_ctrl_top_40*)&(val))



#define TX_DISP_CTRL_TOP_44                                              (HV_DISP_CTRL_TOP_BASE_ADDRESS + 0x44)

#define TX_DISP_CTRL_TOP_44_struct                                       rs_tx_disp_ctrl_top_44

typedef struct _rs_tx_disp_ctrl_top_44  rs_tx_disp_ctrl_top_44;
struct _rs_tx_disp_ctrl_top_44 {
    unsigned int regr_disp_ctrl_pre_cursor_bd_35_32         : 4;
    unsigned int reserved                                   :28;
};
#define tx_disp_ctrl_top_44(val) ((rs_tx_disp_ctrl_top_44*)&(val))



#define TX_DISP_CTRL_TOP_48                                              (HV_DISP_CTRL_TOP_BASE_ADDRESS + 0x48)

#define TX_DISP_CTRL_TOP_48_struct                                       rs_tx_disp_ctrl_top_48

typedef struct _rs_tx_disp_ctrl_top_48  rs_tx_disp_ctrl_top_48;
struct _rs_tx_disp_ctrl_top_48 {
    unsigned int regr_disp_ctrl_pre_cursor_fd_31_0          :32;
};
#define tx_disp_ctrl_top_48(val) ((rs_tx_disp_ctrl_top_48*)&(val))



#define TX_DISP_CTRL_TOP_4C                                              (HV_DISP_CTRL_TOP_BASE_ADDRESS + 0x4C)

#define TX_DISP_CTRL_TOP_4C_struct                                       rs_tx_disp_ctrl_top_4c

typedef struct _rs_tx_disp_ctrl_top_4c  rs_tx_disp_ctrl_top_4c;
struct _rs_tx_disp_ctrl_top_4c {
    unsigned int regr_disp_ctrl_pre_cursor_fd_35_32         : 4;
    unsigned int reserved                                   :28;
};
#define tx_disp_ctrl_top_4c(val) ((rs_tx_disp_ctrl_top_4c*)&(val))



#define TX_DISP_CTRL_TOP_50                                              (HV_DISP_CTRL_TOP_BASE_ADDRESS + 0x50)

#define TX_DISP_CTRL_TOP_50_struct                                       rs_tx_disp_ctrl_top_50

typedef struct _rs_tx_disp_ctrl_top_50  rs_tx_disp_ctrl_top_50;
struct _rs_tx_disp_ctrl_top_50 {
    unsigned int reg_disp_ctrl_cursor_3d                    : 1;
    unsigned int reg_disp_ctrl_cursor_color                 : 3;
    unsigned int reserved                                   : 1;
    unsigned int reg_disp_ctrl_cursor_en                    : 1;
    unsigned int reg_disp_ctrl_cursor_lr                    : 1;
    unsigned int reg_disp_ctrl_cursor_step_en               : 1;
    unsigned int reg_disp_ctrl_cursor_fcnt                  :11;
    unsigned int reserved_1                                 :13;
};
#define tx_disp_ctrl_top_50(val) ((rs_tx_disp_ctrl_top_50*)&(val))



#define TX_DISP_CTRL_TOP_54                                              (HV_DISP_CTRL_TOP_BASE_ADDRESS + 0x54)

#define TX_DISP_CTRL_TOP_54_struct                                       rs_tx_disp_ctrl_top_54

typedef struct _rs_tx_disp_ctrl_top_54  rs_tx_disp_ctrl_top_54;
struct _rs_tx_disp_ctrl_top_54 {
    unsigned int reg_disp_ctrl_cursor_hcnt                  :16;
    unsigned int reg_disp_ctrl_cursor_hstep                 : 6;
    unsigned int reserved                                   : 2;
    unsigned int reg_disp_ctrl_cursor_hwidth                : 4;
    unsigned int reserved_1                                 : 4;
};
#define tx_disp_ctrl_top_54(val) ((rs_tx_disp_ctrl_top_54*)&(val))



#define TX_DISP_CTRL_TOP_58                                              (HV_DISP_CTRL_TOP_BASE_ADDRESS + 0x58)

#define TX_DISP_CTRL_TOP_58_struct                                       rs_tx_disp_ctrl_top_58

typedef struct _rs_tx_disp_ctrl_top_58  rs_tx_disp_ctrl_top_58;
struct _rs_tx_disp_ctrl_top_58 {
    unsigned int reg_disp_ctrl_cursor_vcnt                  :16;
    unsigned int reg_disp_ctrl_cursor_vstep                 : 6;
    unsigned int reserved                                   : 2;
    unsigned int reg_disp_ctrl_cursor_vwidth                : 4;
    unsigned int reserved_1                                 : 4;
};
#define tx_disp_ctrl_top_58(val) ((rs_tx_disp_ctrl_top_58*)&(val))



#define TX_DISP_CTRL_TOP_5C                                              (HV_DISP_CTRL_TOP_BASE_ADDRESS + 0x5C)

#define TX_DISP_CTRL_TOP_5C_struct                                       rs_tx_disp_ctrl_top_5c

typedef struct _rs_tx_disp_ctrl_top_5c  rs_tx_disp_ctrl_top_5c;
struct _rs_tx_disp_ctrl_top_5c {
    unsigned int regr_disp_ctrl_cursor_bd_31_0              :32;
};
#define tx_disp_ctrl_top_5c(val) ((rs_tx_disp_ctrl_top_5c*)&(val))



#define TX_DISP_CTRL_TOP_60                                              (HV_DISP_CTRL_TOP_BASE_ADDRESS + 0x60)

#define TX_DISP_CTRL_TOP_60_struct                                       rs_tx_disp_ctrl_top_60

typedef struct _rs_tx_disp_ctrl_top_60  rs_tx_disp_ctrl_top_60;
struct _rs_tx_disp_ctrl_top_60 {
    unsigned int regr_disp_ctrl_cursor_bd_35_32             : 4;
    unsigned int reserved                                   :28;
};
#define tx_disp_ctrl_top_60(val) ((rs_tx_disp_ctrl_top_60*)&(val))



#define TX_DISP_CTRL_TOP_64                                              (HV_DISP_CTRL_TOP_BASE_ADDRESS + 0x64)

#define TX_DISP_CTRL_TOP_64_struct                                       rs_tx_disp_ctrl_top_64

typedef struct _rs_tx_disp_ctrl_top_64  rs_tx_disp_ctrl_top_64;
struct _rs_tx_disp_ctrl_top_64 {
    unsigned int regr_disp_ctrl_cursor_fd_31_0              :32;
};
#define tx_disp_ctrl_top_64(val) ((rs_tx_disp_ctrl_top_64*)&(val))



#define TX_DISP_CTRL_TOP_68                                              (HV_DISP_CTRL_TOP_BASE_ADDRESS + 0x68)

#define TX_DISP_CTRL_TOP_68_struct                                       rs_tx_disp_ctrl_top_68

typedef struct _rs_tx_disp_ctrl_top_68  rs_tx_disp_ctrl_top_68;
struct _rs_tx_disp_ctrl_top_68 {
    unsigned int regr_disp_ctrl_cursor_fd_35_32             : 4;
    unsigned int reserved                                   :28;
};
#define tx_disp_ctrl_top_68(val) ((rs_tx_disp_ctrl_top_68*)&(val))



#define TX_DISP_CTRL_TOP_7C                                              (HV_DISP_CTRL_TOP_BASE_ADDRESS + 0x7C)

#define TX_DISP_CTRL_TOP_7C_struct                                       rs_tx_disp_ctrl_top_7c

typedef struct _rs_tx_disp_ctrl_top_7c  rs_tx_disp_ctrl_top_7c;
struct _rs_tx_disp_ctrl_top_7c {
    unsigned int regr_disp_ctrl_mon_data0                   :32;
};
#define tx_disp_ctrl_top_7c(val) ((rs_tx_disp_ctrl_top_7c*)&(val))



#define TX_DISP_CTRL_TOP_80                                              (HV_DISP_CTRL_TOP_BASE_ADDRESS + 0x80)

#define TX_DISP_CTRL_TOP_80_struct                                       rs_tx_disp_ctrl_top_80

typedef struct _rs_tx_disp_ctrl_top_80  rs_tx_disp_ctrl_top_80;
struct _rs_tx_disp_ctrl_top_80 {
    unsigned int regr_disp_ctrl_mon_data1                   :32;
};
#define tx_disp_ctrl_top_80(val) ((rs_tx_disp_ctrl_top_80*)&(val))



#define TX_DISP_CTRL_TOP_84                                              (HV_DISP_CTRL_TOP_BASE_ADDRESS + 0x84)

#define TX_DISP_CTRL_TOP_84_struct                                       rs_tx_disp_ctrl_top_84

typedef struct _rs_tx_disp_ctrl_top_84  rs_tx_disp_ctrl_top_84;
struct _rs_tx_disp_ctrl_top_84 {
    unsigned int reg_disp_ctrl_mon                          : 4;
    unsigned int reg_disp_ctrl_mon_mode                     : 4;
    unsigned int reg_disp_ctrl_mon_vcnt                     :16;
    unsigned int reg_disp_ctrl_mon_tcnt                     : 4;
    unsigned int reg_disp_ctrl_mon_bcnt                     : 4;
};
#define tx_disp_ctrl_top_84(val) ((rs_tx_disp_ctrl_top_84*)&(val))



#define TX_DISP_CTRL_TOP_88                                              (HV_DISP_CTRL_TOP_BASE_ADDRESS + 0x88)

#define TX_DISP_CTRL_TOP_88_struct                                       rs_tx_disp_ctrl_top_88

typedef struct _rs_tx_disp_ctrl_top_88  rs_tx_disp_ctrl_top_88;
struct _rs_tx_disp_ctrl_top_88 {
    unsigned int reg_disp_ctrl_mem_reg_00                   :32;
};
#define tx_disp_ctrl_top_88(val) ((rs_tx_disp_ctrl_top_88*)&(val))



#define TX_DISP_CTRL_TOP_8C                                              (HV_DISP_CTRL_TOP_BASE_ADDRESS + 0x8C)

#define TX_DISP_CTRL_TOP_8C_struct                                       rs_tx_disp_ctrl_top_8c

typedef struct _rs_tx_disp_ctrl_top_8c  rs_tx_disp_ctrl_top_8c;
struct _rs_tx_disp_ctrl_top_8c {
    unsigned int reg_disp_ctrl_mem_reg_01                   :32;
};
#define tx_disp_ctrl_top_8c(val) ((rs_tx_disp_ctrl_top_8c*)&(val))



#define TX_DISP_CTRL_TOP_90                                              (HV_DISP_CTRL_TOP_BASE_ADDRESS + 0x90)

#define TX_DISP_CTRL_TOP_90_struct                                       rs_tx_disp_ctrl_top_90

typedef struct _rs_tx_disp_ctrl_top_90  rs_tx_disp_ctrl_top_90;
struct _rs_tx_disp_ctrl_top_90 {
    unsigned int reg_disp_ctrl_mem_reg_02                   :32;
};
#define tx_disp_ctrl_top_90(val) ((rs_tx_disp_ctrl_top_90*)&(val))



#define TX_DISP_CTRL_TOP_94                                              (HV_DISP_CTRL_TOP_BASE_ADDRESS + 0x94)

#define TX_DISP_CTRL_TOP_94_struct                                       rs_tx_disp_ctrl_top_94

typedef struct _rs_tx_disp_ctrl_top_94  rs_tx_disp_ctrl_top_94;
struct _rs_tx_disp_ctrl_top_94 {
    unsigned int reg_disp_ctrl_mem_reg_03                   :32;
};
#define tx_disp_ctrl_top_94(val) ((rs_tx_disp_ctrl_top_94*)&(val))



#define TX_DISP_CTRL_TOP_98                                              (HV_DISP_CTRL_TOP_BASE_ADDRESS + 0x98)

#define TX_DISP_CTRL_TOP_98_struct                                       rs_tx_disp_ctrl_top_98

typedef struct _rs_tx_disp_ctrl_top_98  rs_tx_disp_ctrl_top_98;
struct _rs_tx_disp_ctrl_top_98 {
    unsigned int reg_disp_ctrl_mem_reg_04                   :32;
};
#define tx_disp_ctrl_top_98(val) ((rs_tx_disp_ctrl_top_98*)&(val))



#define TX_DISP_CTRL_TOP_A0                                              (HV_DISP_CTRL_TOP_BASE_ADDRESS + 0xA0)

#define TX_DISP_CTRL_TOP_A0_struct                                       rs_tx_disp_ctrl_top_a0

typedef struct _rs_tx_disp_ctrl_top_a0  rs_tx_disp_ctrl_top_a0;
struct _rs_tx_disp_ctrl_top_a0 {
    unsigned int reg_disp_ctrl_mem_ema_00                   :32;
};
#define tx_disp_ctrl_top_a0(val) ((rs_tx_disp_ctrl_top_a0*)&(val))



#define TX_DISP_CTRL_TOP_A4                                              (HV_DISP_CTRL_TOP_BASE_ADDRESS + 0xA4)

#define TX_DISP_CTRL_TOP_A4_struct                                       rs_tx_disp_ctrl_top_a4

typedef struct _rs_tx_disp_ctrl_top_a4  rs_tx_disp_ctrl_top_a4;
struct _rs_tx_disp_ctrl_top_a4 {
    unsigned int reg_disp_ctrl_mem_ema_01                   :32;
};
#define tx_disp_ctrl_top_a4(val) ((rs_tx_disp_ctrl_top_a4*)&(val))



#define TX_DISP_CTRL_TOP_A8                                              (HV_DISP_CTRL_TOP_BASE_ADDRESS + 0xA8)

#define TX_DISP_CTRL_TOP_A8_struct                                       rs_tx_disp_ctrl_top_a8

typedef struct _rs_tx_disp_ctrl_top_a8  rs_tx_disp_ctrl_top_a8;
struct _rs_tx_disp_ctrl_top_a8 {
    unsigned int reg_disp_ctrl_mem_ema_02                   :32;
};
#define tx_disp_ctrl_top_a8(val) ((rs_tx_disp_ctrl_top_a8*)&(val))



#define TX_DISP_CTRL_TOP_AC                                              (HV_DISP_CTRL_TOP_BASE_ADDRESS + 0xAC)

#define TX_DISP_CTRL_TOP_AC_struct                                       rs_tx_disp_ctrl_top_ac

typedef struct _rs_tx_disp_ctrl_top_ac  rs_tx_disp_ctrl_top_ac;
struct _rs_tx_disp_ctrl_top_ac {
    unsigned int reg_disp_ctrl_mem_ema_03                   :32;
};
#define tx_disp_ctrl_top_ac(val) ((rs_tx_disp_ctrl_top_ac*)&(val))



#define TX_DISP_CTRL_TOP_B0                                              (HV_DISP_CTRL_TOP_BASE_ADDRESS + 0xB0)

#define TX_DISP_CTRL_TOP_B0_struct                                       rs_tx_disp_ctrl_top_b0

typedef struct _rs_tx_disp_ctrl_top_b0  rs_tx_disp_ctrl_top_b0;
struct _rs_tx_disp_ctrl_top_b0 {
    unsigned int reg_disp_ctrl_mem_ema_04                   :32;
};
#define tx_disp_ctrl_top_b0(val) ((rs_tx_disp_ctrl_top_b0*)&(val))



#define TX_DISP_CTRL_TOP_B4                                              (HV_DISP_CTRL_TOP_BASE_ADDRESS + 0xB4)

#define TX_DISP_CTRL_TOP_B4_struct                                       rs_tx_disp_ctrl_top_b4

typedef struct _rs_tx_disp_ctrl_top_b4  rs_tx_disp_ctrl_top_b4;
struct _rs_tx_disp_ctrl_top_b4 {
    unsigned int reg_disp_ctrl_mem_ema_05                   :32;
};
#define tx_disp_ctrl_top_b4(val) ((rs_tx_disp_ctrl_top_b4*)&(val))



#define TX_DISP_CTRL_TOP_B8                                              (HV_DISP_CTRL_TOP_BASE_ADDRESS + 0xB8)

#define TX_DISP_CTRL_TOP_B8_struct                                       rs_tx_disp_ctrl_top_b8

typedef struct _rs_tx_disp_ctrl_top_b8  rs_tx_disp_ctrl_top_b8;
struct _rs_tx_disp_ctrl_top_b8 {
    unsigned int reg_disp_ctrl_mem_ema_06                   :32;
};
#define tx_disp_ctrl_top_b8(val) ((rs_tx_disp_ctrl_top_b8*)&(val))



#define TX_DISP_CTRL_TOP_BC                                              (HV_DISP_CTRL_TOP_BASE_ADDRESS + 0xBC)

#define TX_DISP_CTRL_TOP_BC_struct                                       rs_tx_disp_ctrl_top_bc

typedef struct _rs_tx_disp_ctrl_top_bc  rs_tx_disp_ctrl_top_bc;
struct _rs_tx_disp_ctrl_top_bc {
    unsigned int reg_disp_ctrl_mem_ema_07                   :32;
};
#define tx_disp_ctrl_top_bc(val) ((rs_tx_disp_ctrl_top_bc*)&(val))



#define TX_DISP_CTRL_TOP_C0                                              (HV_DISP_CTRL_TOP_BASE_ADDRESS + 0xC0)

#define TX_DISP_CTRL_TOP_C0_struct                                       rs_tx_disp_ctrl_top_c0

typedef struct _rs_tx_disp_ctrl_top_c0  rs_tx_disp_ctrl_top_c0;
struct _rs_tx_disp_ctrl_top_c0 {
    unsigned int reg_disp_ctrl_mem_ema_08                   :32;
};
#define tx_disp_ctrl_top_c0(val) ((rs_tx_disp_ctrl_top_c0*)&(val))



#define TX_DISP_CTRL_TOP_C4                                              (HV_DISP_CTRL_TOP_BASE_ADDRESS + 0xC4)

#define TX_DISP_CTRL_TOP_C4_struct                                       rs_tx_disp_ctrl_top_c4

typedef struct _rs_tx_disp_ctrl_top_c4  rs_tx_disp_ctrl_top_c4;
struct _rs_tx_disp_ctrl_top_c4 {
    unsigned int reg_disp_ctrl_mem_ema_09                   :32;
};
#define tx_disp_ctrl_top_c4(val) ((rs_tx_disp_ctrl_top_c4*)&(val))



#define TX_DISP_CTRL_TOP_D0                                              (HV_DISP_CTRL_TOP_BASE_ADDRESS + 0xD0)

#define TX_DISP_CTRL_TOP_D0_struct                                       rs_tx_disp_ctrl_top_d0

typedef struct _rs_tx_disp_ctrl_top_d0  rs_tx_disp_ctrl_top_d0;
struct _rs_tx_disp_ctrl_top_d0 {
    unsigned int regr_disp_ctrl_mem_comm                    :16;
    unsigned int reserved                                   :12;
    unsigned int regr_disp_ctrl_mem_ro                      : 4;
};
#define tx_disp_ctrl_top_d0(val) ((rs_tx_disp_ctrl_top_d0*)&(val))



#define TX_DISP_CTRL_TOP_D4                                              (HV_DISP_CTRL_TOP_BASE_ADDRESS + 0xD4)

#define TX_DISP_CTRL_TOP_D4_struct                                       rs_tx_disp_ctrl_top_d4

typedef struct _rs_tx_disp_ctrl_top_d4  rs_tx_disp_ctrl_top_d4;
struct _rs_tx_disp_ctrl_top_d4 {
    unsigned int regr_disp_ctrl_mem_mbist_faultinfo         :32;
};
#define tx_disp_ctrl_top_d4(val) ((rs_tx_disp_ctrl_top_d4*)&(val))



#define TX_DISP_CTRL_TOP_E0                                              (HV_DISP_CTRL_TOP_BASE_ADDRESS + 0xE0)

#define TX_DISP_CTRL_TOP_E0_struct                                       rs_tx_disp_ctrl_top_e0

typedef struct _rs_tx_disp_ctrl_top_e0  rs_tx_disp_ctrl_top_e0;
struct _rs_tx_disp_ctrl_top_e0 {
    unsigned int regr_disp_ctrl_mem_ro_00                   :32;
};
#define tx_disp_ctrl_top_e0(val) ((rs_tx_disp_ctrl_top_e0*)&(val))



#define TX_DISP_CTRL_TOP_E8                                              (HV_DISP_CTRL_TOP_BASE_ADDRESS + 0xE8)

#define TX_DISP_CTRL_TOP_E8_struct                                       rs_tx_disp_ctrl_top_e8

typedef struct _rs_tx_disp_ctrl_top_e8  rs_tx_disp_ctrl_top_e8;
struct _rs_tx_disp_ctrl_top_e8 {
    unsigned int regr_disp_ctrl_mem_ro_01                   :32;
};
#define tx_disp_ctrl_top_e8(val) ((rs_tx_disp_ctrl_top_e8*)&(val))



#define TX_DISP_CTRL_TOP_EC                                              (HV_DISP_CTRL_TOP_BASE_ADDRESS + 0xEC)

#define TX_DISP_CTRL_TOP_EC_struct                                       rs_tx_disp_ctrl_top_ec

typedef struct _rs_tx_disp_ctrl_top_ec  rs_tx_disp_ctrl_top_ec;
struct _rs_tx_disp_ctrl_top_ec {
    unsigned int regr_disp_ctrl_mem_ro_02                   :32;
};
#define tx_disp_ctrl_top_ec(val) ((rs_tx_disp_ctrl_top_ec*)&(val))



#define TX_DISP_CTRL_TOP_F0                                              (HV_DISP_CTRL_TOP_BASE_ADDRESS + 0xF0)

#define TX_DISP_CTRL_TOP_F0_struct                                       rs_tx_disp_ctrl_top_f0

typedef struct _rs_tx_disp_ctrl_top_f0  rs_tx_disp_ctrl_top_f0;
struct _rs_tx_disp_ctrl_top_f0 {
    unsigned int regr_disp_ctrl_mem_ro_03                   :32;
};
#define tx_disp_ctrl_top_f0(val) ((rs_tx_disp_ctrl_top_f0*)&(val))



#define TX_DISP_CTRL_TOP_F4                                              (HV_DISP_CTRL_TOP_BASE_ADDRESS + 0xF4)

#define TX_DISP_CTRL_TOP_F4_struct                                       rs_tx_disp_ctrl_top_f4

typedef struct _rs_tx_disp_ctrl_top_f4  rs_tx_disp_ctrl_top_f4;
struct _rs_tx_disp_ctrl_top_f4 {
    unsigned int regr_disp_ctrl_mem_ro_04                   :32;
};
#define tx_disp_ctrl_top_f4(val) ((rs_tx_disp_ctrl_top_f4*)&(val))



#define TX_DISP_CTRL_TOP_F8                                              (HV_DISP_CTRL_TOP_BASE_ADDRESS + 0xF8)

#define TX_DISP_CTRL_TOP_F8_struct                                       rs_tx_disp_ctrl_top_f8

typedef struct _rs_tx_disp_ctrl_top_f8  rs_tx_disp_ctrl_top_f8;
struct _rs_tx_disp_ctrl_top_f8 {
    unsigned int regr_disp_ctrl_mem_ro_05                   :32;
};
#define tx_disp_ctrl_top_f8(val) ((rs_tx_disp_ctrl_top_f8*)&(val))



#define TX_DISP_CTRL_TOP_FC                                              (HV_DISP_CTRL_TOP_BASE_ADDRESS + 0xFC)

#define TX_DISP_CTRL_TOP_FC_struct                                       rs_tx_disp_ctrl_top_fc

typedef struct _rs_tx_disp_ctrl_top_fc  rs_tx_disp_ctrl_top_fc;
struct _rs_tx_disp_ctrl_top_fc {
    unsigned int regr_disp_ctrl_mem_ro_06                   : 4;
    unsigned int reserved                                   :28;
};
#define tx_disp_ctrl_top_fc(val) ((rs_tx_disp_ctrl_top_fc*)&(val))



#endif