#ifndef _HV_PAGE_HT7315_EDPTX_PPS_REG_01_H_
#define _HV_PAGE_HT7315_EDPTX_PPS_REG_01_H_

#ifndef HV_EDPTX_PPS_REG_01_BASE_ADDRESS
    #define HV_EDPTX_PPS_REG_01_BASE_ADDRESS                                         0x1105FD00
#endif


#define TX_EDPTX_PPS_REG_01_00                                           (HV_EDPTX_PPS_REG_01_BASE_ADDRESS + 0x00)

#define TX_EDPTX_PPS_REG_01_00_struct                                    rs_tx_edptx_pps_reg_01_00

typedef struct _rs_tx_edptx_pps_reg_01_00  rs_tx_edptx_pps_reg_01_00;
struct _rs_tx_edptx_pps_reg_01_00 {
    unsigned int reg_01_edptx_pps_0                         :32;
};
#define tx_edptx_pps_reg_01_00(val) ((rs_tx_edptx_pps_reg_01_00*)&(val))



#define TX_EDPTX_PPS_REG_01_04                                           (HV_EDPTX_PPS_REG_01_BASE_ADDRESS + 0x04)

#define TX_EDPTX_PPS_REG_01_04_struct                                    rs_tx_edptx_pps_reg_01_04

typedef struct _rs_tx_edptx_pps_reg_01_04  rs_tx_edptx_pps_reg_01_04;
struct _rs_tx_edptx_pps_reg_01_04 {
    unsigned int reg_01_edptx_pps_1                         :32;
};
#define tx_edptx_pps_reg_01_04(val) ((rs_tx_edptx_pps_reg_01_04*)&(val))



#define TX_EDPTX_PPS_REG_01_08                                           (HV_EDPTX_PPS_REG_01_BASE_ADDRESS + 0x08)

#define TX_EDPTX_PPS_REG_01_08_struct                                    rs_tx_edptx_pps_reg_01_08

typedef struct _rs_tx_edptx_pps_reg_01_08  rs_tx_edptx_pps_reg_01_08;
struct _rs_tx_edptx_pps_reg_01_08 {
    unsigned int reg_01_edptx_pps_2                         :32;
};
#define tx_edptx_pps_reg_01_08(val) ((rs_tx_edptx_pps_reg_01_08*)&(val))



#define TX_EDPTX_PPS_REG_01_0C                                           (HV_EDPTX_PPS_REG_01_BASE_ADDRESS + 0x0C)

#define TX_EDPTX_PPS_REG_01_0C_struct                                    rs_tx_edptx_pps_reg_01_0c

typedef struct _rs_tx_edptx_pps_reg_01_0c  rs_tx_edptx_pps_reg_01_0c;
struct _rs_tx_edptx_pps_reg_01_0c {
    unsigned int reg_01_edptx_pps_3                         :32;
};
#define tx_edptx_pps_reg_01_0c(val) ((rs_tx_edptx_pps_reg_01_0c*)&(val))



#define TX_EDPTX_PPS_REG_01_10                                           (HV_EDPTX_PPS_REG_01_BASE_ADDRESS + 0x10)

#define TX_EDPTX_PPS_REG_01_10_struct                                    rs_tx_edptx_pps_reg_01_10

typedef struct _rs_tx_edptx_pps_reg_01_10  rs_tx_edptx_pps_reg_01_10;
struct _rs_tx_edptx_pps_reg_01_10 {
    unsigned int reg_01_edptx_pps_4                         :32;
};
#define tx_edptx_pps_reg_01_10(val) ((rs_tx_edptx_pps_reg_01_10*)&(val))



#define TX_EDPTX_PPS_REG_01_14                                           (HV_EDPTX_PPS_REG_01_BASE_ADDRESS + 0x14)

#define TX_EDPTX_PPS_REG_01_14_struct                                    rs_tx_edptx_pps_reg_01_14

typedef struct _rs_tx_edptx_pps_reg_01_14  rs_tx_edptx_pps_reg_01_14;
struct _rs_tx_edptx_pps_reg_01_14 {
    unsigned int reg_01_edptx_pps_5                         :32;
};
#define tx_edptx_pps_reg_01_14(val) ((rs_tx_edptx_pps_reg_01_14*)&(val))



#define TX_EDPTX_PPS_REG_01_18                                           (HV_EDPTX_PPS_REG_01_BASE_ADDRESS + 0x18)

#define TX_EDPTX_PPS_REG_01_18_struct                                    rs_tx_edptx_pps_reg_01_18

typedef struct _rs_tx_edptx_pps_reg_01_18  rs_tx_edptx_pps_reg_01_18;
struct _rs_tx_edptx_pps_reg_01_18 {
    unsigned int reg_01_edptx_pps_6                         :32;
};
#define tx_edptx_pps_reg_01_18(val) ((rs_tx_edptx_pps_reg_01_18*)&(val))



#define TX_EDPTX_PPS_REG_01_1C                                           (HV_EDPTX_PPS_REG_01_BASE_ADDRESS + 0x1C)

#define TX_EDPTX_PPS_REG_01_1C_struct                                    rs_tx_edptx_pps_reg_01_1c

typedef struct _rs_tx_edptx_pps_reg_01_1c  rs_tx_edptx_pps_reg_01_1c;
struct _rs_tx_edptx_pps_reg_01_1c {
    unsigned int reg_01_edptx_pps_7                         :32;
};
#define tx_edptx_pps_reg_01_1c(val) ((rs_tx_edptx_pps_reg_01_1c*)&(val))



#define TX_EDPTX_PPS_REG_01_20                                           (HV_EDPTX_PPS_REG_01_BASE_ADDRESS + 0x20)

#define TX_EDPTX_PPS_REG_01_20_struct                                    rs_tx_edptx_pps_reg_01_20

typedef struct _rs_tx_edptx_pps_reg_01_20  rs_tx_edptx_pps_reg_01_20;
struct _rs_tx_edptx_pps_reg_01_20 {
    unsigned int reg_01_edptx_pps_8                         :32;
};
#define tx_edptx_pps_reg_01_20(val) ((rs_tx_edptx_pps_reg_01_20*)&(val))



#define TX_EDPTX_PPS_REG_01_24                                           (HV_EDPTX_PPS_REG_01_BASE_ADDRESS + 0x24)

#define TX_EDPTX_PPS_REG_01_24_struct                                    rs_tx_edptx_pps_reg_01_24

typedef struct _rs_tx_edptx_pps_reg_01_24  rs_tx_edptx_pps_reg_01_24;
struct _rs_tx_edptx_pps_reg_01_24 {
    unsigned int reg_01_edptx_pps_9                         :32;
};
#define tx_edptx_pps_reg_01_24(val) ((rs_tx_edptx_pps_reg_01_24*)&(val))



#define TX_EDPTX_PPS_REG_01_28                                           (HV_EDPTX_PPS_REG_01_BASE_ADDRESS + 0x28)

#define TX_EDPTX_PPS_REG_01_28_struct                                    rs_tx_edptx_pps_reg_01_28

typedef struct _rs_tx_edptx_pps_reg_01_28  rs_tx_edptx_pps_reg_01_28;
struct _rs_tx_edptx_pps_reg_01_28 {
    unsigned int reg_01_edptx_pps_10                        :32;
};
#define tx_edptx_pps_reg_01_28(val) ((rs_tx_edptx_pps_reg_01_28*)&(val))



#define TX_EDPTX_PPS_REG_01_2C                                           (HV_EDPTX_PPS_REG_01_BASE_ADDRESS + 0x2C)

#define TX_EDPTX_PPS_REG_01_2C_struct                                    rs_tx_edptx_pps_reg_01_2c

typedef struct _rs_tx_edptx_pps_reg_01_2c  rs_tx_edptx_pps_reg_01_2c;
struct _rs_tx_edptx_pps_reg_01_2c {
    unsigned int reg_01_edptx_pps_11                        :32;
};
#define tx_edptx_pps_reg_01_2c(val) ((rs_tx_edptx_pps_reg_01_2c*)&(val))



#define TX_EDPTX_PPS_REG_01_30                                           (HV_EDPTX_PPS_REG_01_BASE_ADDRESS + 0x30)

#define TX_EDPTX_PPS_REG_01_30_struct                                    rs_tx_edptx_pps_reg_01_30

typedef struct _rs_tx_edptx_pps_reg_01_30  rs_tx_edptx_pps_reg_01_30;
struct _rs_tx_edptx_pps_reg_01_30 {
    unsigned int reg_01_edptx_pps_12                        :32;
};
#define tx_edptx_pps_reg_01_30(val) ((rs_tx_edptx_pps_reg_01_30*)&(val))



#define TX_EDPTX_PPS_REG_01_34                                           (HV_EDPTX_PPS_REG_01_BASE_ADDRESS + 0x34)

#define TX_EDPTX_PPS_REG_01_34_struct                                    rs_tx_edptx_pps_reg_01_34

typedef struct _rs_tx_edptx_pps_reg_01_34  rs_tx_edptx_pps_reg_01_34;
struct _rs_tx_edptx_pps_reg_01_34 {
    unsigned int reg_01_edptx_pps_13                        :32;
};
#define tx_edptx_pps_reg_01_34(val) ((rs_tx_edptx_pps_reg_01_34*)&(val))



#define TX_EDPTX_PPS_REG_01_38                                           (HV_EDPTX_PPS_REG_01_BASE_ADDRESS + 0x38)

#define TX_EDPTX_PPS_REG_01_38_struct                                    rs_tx_edptx_pps_reg_01_38

typedef struct _rs_tx_edptx_pps_reg_01_38  rs_tx_edptx_pps_reg_01_38;
struct _rs_tx_edptx_pps_reg_01_38 {
    unsigned int reg_01_edptx_pps_14                        :32;
};
#define tx_edptx_pps_reg_01_38(val) ((rs_tx_edptx_pps_reg_01_38*)&(val))



#define TX_EDPTX_PPS_REG_01_3C                                           (HV_EDPTX_PPS_REG_01_BASE_ADDRESS + 0x3C)

#define TX_EDPTX_PPS_REG_01_3C_struct                                    rs_tx_edptx_pps_reg_01_3c

typedef struct _rs_tx_edptx_pps_reg_01_3c  rs_tx_edptx_pps_reg_01_3c;
struct _rs_tx_edptx_pps_reg_01_3c {
    unsigned int reg_01_edptx_pps_15                        :32;
};
#define tx_edptx_pps_reg_01_3c(val) ((rs_tx_edptx_pps_reg_01_3c*)&(val))



#define TX_EDPTX_PPS_REG_01_40                                           (HV_EDPTX_PPS_REG_01_BASE_ADDRESS + 0x40)

#define TX_EDPTX_PPS_REG_01_40_struct                                    rs_tx_edptx_pps_reg_01_40

typedef struct _rs_tx_edptx_pps_reg_01_40  rs_tx_edptx_pps_reg_01_40;
struct _rs_tx_edptx_pps_reg_01_40 {
    unsigned int reg_01_edptx_pps_16                        :32;
};
#define tx_edptx_pps_reg_01_40(val) ((rs_tx_edptx_pps_reg_01_40*)&(val))



#define TX_EDPTX_PPS_REG_01_44                                           (HV_EDPTX_PPS_REG_01_BASE_ADDRESS + 0x44)

#define TX_EDPTX_PPS_REG_01_44_struct                                    rs_tx_edptx_pps_reg_01_44

typedef struct _rs_tx_edptx_pps_reg_01_44  rs_tx_edptx_pps_reg_01_44;
struct _rs_tx_edptx_pps_reg_01_44 {
    unsigned int reg_01_edptx_pps_17                        :32;
};
#define tx_edptx_pps_reg_01_44(val) ((rs_tx_edptx_pps_reg_01_44*)&(val))



#define TX_EDPTX_PPS_REG_01_48                                           (HV_EDPTX_PPS_REG_01_BASE_ADDRESS + 0x48)

#define TX_EDPTX_PPS_REG_01_48_struct                                    rs_tx_edptx_pps_reg_01_48

typedef struct _rs_tx_edptx_pps_reg_01_48  rs_tx_edptx_pps_reg_01_48;
struct _rs_tx_edptx_pps_reg_01_48 {
    unsigned int reg_01_edptx_pps_18                        :32;
};
#define tx_edptx_pps_reg_01_48(val) ((rs_tx_edptx_pps_reg_01_48*)&(val))



#define TX_EDPTX_PPS_REG_01_4C                                           (HV_EDPTX_PPS_REG_01_BASE_ADDRESS + 0x4C)

#define TX_EDPTX_PPS_REG_01_4C_struct                                    rs_tx_edptx_pps_reg_01_4c

typedef struct _rs_tx_edptx_pps_reg_01_4c  rs_tx_edptx_pps_reg_01_4c;
struct _rs_tx_edptx_pps_reg_01_4c {
    unsigned int reg_01_edptx_pps_19                        :32;
};
#define tx_edptx_pps_reg_01_4c(val) ((rs_tx_edptx_pps_reg_01_4c*)&(val))



#define TX_EDPTX_PPS_REG_01_50                                           (HV_EDPTX_PPS_REG_01_BASE_ADDRESS + 0x50)

#define TX_EDPTX_PPS_REG_01_50_struct                                    rs_tx_edptx_pps_reg_01_50

typedef struct _rs_tx_edptx_pps_reg_01_50  rs_tx_edptx_pps_reg_01_50;
struct _rs_tx_edptx_pps_reg_01_50 {
    unsigned int reg_01_edptx_pps_20                        :32;
};
#define tx_edptx_pps_reg_01_50(val) ((rs_tx_edptx_pps_reg_01_50*)&(val))



#define TX_EDPTX_PPS_REG_01_54                                           (HV_EDPTX_PPS_REG_01_BASE_ADDRESS + 0x54)

#define TX_EDPTX_PPS_REG_01_54_struct                                    rs_tx_edptx_pps_reg_01_54

typedef struct _rs_tx_edptx_pps_reg_01_54  rs_tx_edptx_pps_reg_01_54;
struct _rs_tx_edptx_pps_reg_01_54 {
    unsigned int reg_01_edptx_pps_21                        :32;
};
#define tx_edptx_pps_reg_01_54(val) ((rs_tx_edptx_pps_reg_01_54*)&(val))



#define TX_EDPTX_PPS_REG_01_58                                           (HV_EDPTX_PPS_REG_01_BASE_ADDRESS + 0x58)

#define TX_EDPTX_PPS_REG_01_58_struct                                    rs_tx_edptx_pps_reg_01_58

typedef struct _rs_tx_edptx_pps_reg_01_58  rs_tx_edptx_pps_reg_01_58;
struct _rs_tx_edptx_pps_reg_01_58 {
    unsigned int reg_01_edptx_pps_22                        :32;
};
#define tx_edptx_pps_reg_01_58(val) ((rs_tx_edptx_pps_reg_01_58*)&(val))



#define TX_EDPTX_PPS_REG_01_5C                                           (HV_EDPTX_PPS_REG_01_BASE_ADDRESS + 0x5C)

#define TX_EDPTX_PPS_REG_01_5C_struct                                    rs_tx_edptx_pps_reg_01_5c

typedef struct _rs_tx_edptx_pps_reg_01_5c  rs_tx_edptx_pps_reg_01_5c;
struct _rs_tx_edptx_pps_reg_01_5c {
    unsigned int reg_01_edptx_pps_23                        :32;
};
#define tx_edptx_pps_reg_01_5c(val) ((rs_tx_edptx_pps_reg_01_5c*)&(val))



#define TX_EDPTX_PPS_REG_01_60                                           (HV_EDPTX_PPS_REG_01_BASE_ADDRESS + 0x60)

#define TX_EDPTX_PPS_REG_01_60_struct                                    rs_tx_edptx_pps_reg_01_60

typedef struct _rs_tx_edptx_pps_reg_01_60  rs_tx_edptx_pps_reg_01_60;
struct _rs_tx_edptx_pps_reg_01_60 {
    unsigned int reg_01_edptx_pps_24                        :32;
};
#define tx_edptx_pps_reg_01_60(val) ((rs_tx_edptx_pps_reg_01_60*)&(val))



#define TX_EDPTX_PPS_REG_01_64                                           (HV_EDPTX_PPS_REG_01_BASE_ADDRESS + 0x64)

#define TX_EDPTX_PPS_REG_01_64_struct                                    rs_tx_edptx_pps_reg_01_64

typedef struct _rs_tx_edptx_pps_reg_01_64  rs_tx_edptx_pps_reg_01_64;
struct _rs_tx_edptx_pps_reg_01_64 {
    unsigned int reg_01_edptx_pps_25                        :32;
};
#define tx_edptx_pps_reg_01_64(val) ((rs_tx_edptx_pps_reg_01_64*)&(val))



#define TX_EDPTX_PPS_REG_01_68                                           (HV_EDPTX_PPS_REG_01_BASE_ADDRESS + 0x68)

#define TX_EDPTX_PPS_REG_01_68_struct                                    rs_tx_edptx_pps_reg_01_68

typedef struct _rs_tx_edptx_pps_reg_01_68  rs_tx_edptx_pps_reg_01_68;
struct _rs_tx_edptx_pps_reg_01_68 {
    unsigned int reg_01_edptx_pps_26                        :32;
};
#define tx_edptx_pps_reg_01_68(val) ((rs_tx_edptx_pps_reg_01_68*)&(val))



#define TX_EDPTX_PPS_REG_01_6C                                           (HV_EDPTX_PPS_REG_01_BASE_ADDRESS + 0x6C)

#define TX_EDPTX_PPS_REG_01_6C_struct                                    rs_tx_edptx_pps_reg_01_6c

typedef struct _rs_tx_edptx_pps_reg_01_6c  rs_tx_edptx_pps_reg_01_6c;
struct _rs_tx_edptx_pps_reg_01_6c {
    unsigned int reg_01_edptx_pps_27                        :32;
};
#define tx_edptx_pps_reg_01_6c(val) ((rs_tx_edptx_pps_reg_01_6c*)&(val))



#define TX_EDPTX_PPS_REG_01_70                                           (HV_EDPTX_PPS_REG_01_BASE_ADDRESS + 0x70)

#define TX_EDPTX_PPS_REG_01_70_struct                                    rs_tx_edptx_pps_reg_01_70

typedef struct _rs_tx_edptx_pps_reg_01_70  rs_tx_edptx_pps_reg_01_70;
struct _rs_tx_edptx_pps_reg_01_70 {
    unsigned int reg_01_edptx_pps_28                        :32;
};
#define tx_edptx_pps_reg_01_70(val) ((rs_tx_edptx_pps_reg_01_70*)&(val))



#define TX_EDPTX_PPS_REG_01_74                                           (HV_EDPTX_PPS_REG_01_BASE_ADDRESS + 0x74)

#define TX_EDPTX_PPS_REG_01_74_struct                                    rs_tx_edptx_pps_reg_01_74

typedef struct _rs_tx_edptx_pps_reg_01_74  rs_tx_edptx_pps_reg_01_74;
struct _rs_tx_edptx_pps_reg_01_74 {
    unsigned int reg_01_edptx_pps_29                        :32;
};
#define tx_edptx_pps_reg_01_74(val) ((rs_tx_edptx_pps_reg_01_74*)&(val))



#define TX_EDPTX_PPS_REG_01_78                                           (HV_EDPTX_PPS_REG_01_BASE_ADDRESS + 0x78)

#define TX_EDPTX_PPS_REG_01_78_struct                                    rs_tx_edptx_pps_reg_01_78

typedef struct _rs_tx_edptx_pps_reg_01_78  rs_tx_edptx_pps_reg_01_78;
struct _rs_tx_edptx_pps_reg_01_78 {
    unsigned int reg_01_edptx_pps_30                        :32;
};
#define tx_edptx_pps_reg_01_78(val) ((rs_tx_edptx_pps_reg_01_78*)&(val))



#define TX_EDPTX_PPS_REG_01_7C                                           (HV_EDPTX_PPS_REG_01_BASE_ADDRESS + 0x7C)

#define TX_EDPTX_PPS_REG_01_7C_struct                                    rs_tx_edptx_pps_reg_01_7c

typedef struct _rs_tx_edptx_pps_reg_01_7c  rs_tx_edptx_pps_reg_01_7c;
struct _rs_tx_edptx_pps_reg_01_7c {
    unsigned int reg_01_edptx_pps_31                        :32;
};
#define tx_edptx_pps_reg_01_7c(val) ((rs_tx_edptx_pps_reg_01_7c*)&(val))



#define TX_EDPTX_PPS_REG_01_A0                                           (HV_EDPTX_PPS_REG_01_BASE_ADDRESS + 0xA0)

#define TX_EDPTX_PPS_REG_01_A0_struct                                    rs_tx_edptx_pps_reg_01_a0

typedef struct _rs_tx_edptx_pps_reg_01_a0  rs_tx_edptx_pps_reg_01_a0;
struct _rs_tx_edptx_pps_reg_01_a0 {
    unsigned int reg_01_edptx_pps_hb0                       : 8;
    unsigned int reg_01_edptx_pps_hb1                       : 8;
    unsigned int reg_01_edptx_pps_hb2                       : 8;
    unsigned int reg_01_edptx_pps_hb3                       : 8;
};
#define tx_edptx_pps_reg_01_a0(val) ((rs_tx_edptx_pps_reg_01_a0*)&(val))



#define TX_EDPTX_PPS_REG_01_A4                                           (HV_EDPTX_PPS_REG_01_BASE_ADDRESS + 0xA4)

#define TX_EDPTX_PPS_REG_01_A4_struct                                    rs_tx_edptx_pps_reg_01_a4

typedef struct _rs_tx_edptx_pps_reg_01_a4  rs_tx_edptx_pps_reg_01_a4;
struct _rs_tx_edptx_pps_reg_01_a4 {
    unsigned int reg_01_edptx_pps_hpb0                      : 8;
    unsigned int reg_01_edptx_pps_hpb1                      : 8;
    unsigned int reg_01_edptx_pps_hpb2                      : 8;
    unsigned int reg_01_edptx_pps_hpb3                      : 8;
};
#define tx_edptx_pps_reg_01_a4(val) ((rs_tx_edptx_pps_reg_01_a4*)&(val))



#endif