#ifndef _HV_PAGE_HT7315_EDPTX_SDP_REG_01_H_
#define _HV_PAGE_HT7315_EDPTX_SDP_REG_01_H_

#ifndef HV_EDPTX_SDP_REG_01_BASE_ADDRESS
    #define HV_EDPTX_SDP_REG_01_BASE_ADDRESS                                         0x1105FE00
#endif


#define TX_EDPTX_SDP_REG_01_00                                           (HV_EDPTX_SDP_REG_01_BASE_ADDRESS + 0x00)

#define TX_EDPTX_SDP_REG_01_00_struct                                    rs_tx_edptx_sdp_reg_01_00

typedef struct _rs_tx_edptx_sdp_reg_01_00  rs_tx_edptx_sdp_reg_01_00;
struct _rs_tx_edptx_sdp_reg_01_00 {
    unsigned int reg_01_edptx_sdp_0                         :32;
};
#define tx_edptx_sdp_reg_01_00(val) ((rs_tx_edptx_sdp_reg_01_00*)&(val))



#define TX_EDPTX_SDP_REG_01_04                                           (HV_EDPTX_SDP_REG_01_BASE_ADDRESS + 0x04)

#define TX_EDPTX_SDP_REG_01_04_struct                                    rs_tx_edptx_sdp_reg_01_04

typedef struct _rs_tx_edptx_sdp_reg_01_04  rs_tx_edptx_sdp_reg_01_04;
struct _rs_tx_edptx_sdp_reg_01_04 {
    unsigned int reg_01_edptx_sdp_1                         :32;
};
#define tx_edptx_sdp_reg_01_04(val) ((rs_tx_edptx_sdp_reg_01_04*)&(val))



#define TX_EDPTX_SDP_REG_01_08                                           (HV_EDPTX_SDP_REG_01_BASE_ADDRESS + 0x08)

#define TX_EDPTX_SDP_REG_01_08_struct                                    rs_tx_edptx_sdp_reg_01_08

typedef struct _rs_tx_edptx_sdp_reg_01_08  rs_tx_edptx_sdp_reg_01_08;
struct _rs_tx_edptx_sdp_reg_01_08 {
    unsigned int reg_01_edptx_sdp_2                         :32;
};
#define tx_edptx_sdp_reg_01_08(val) ((rs_tx_edptx_sdp_reg_01_08*)&(val))



#define TX_EDPTX_SDP_REG_01_0C                                           (HV_EDPTX_SDP_REG_01_BASE_ADDRESS + 0x0C)

#define TX_EDPTX_SDP_REG_01_0C_struct                                    rs_tx_edptx_sdp_reg_01_0c

typedef struct _rs_tx_edptx_sdp_reg_01_0c  rs_tx_edptx_sdp_reg_01_0c;
struct _rs_tx_edptx_sdp_reg_01_0c {
    unsigned int reg_01_edptx_sdp_3                         :32;
};
#define tx_edptx_sdp_reg_01_0c(val) ((rs_tx_edptx_sdp_reg_01_0c*)&(val))



#define TX_EDPTX_SDP_REG_01_10                                           (HV_EDPTX_SDP_REG_01_BASE_ADDRESS + 0x10)

#define TX_EDPTX_SDP_REG_01_10_struct                                    rs_tx_edptx_sdp_reg_01_10

typedef struct _rs_tx_edptx_sdp_reg_01_10  rs_tx_edptx_sdp_reg_01_10;
struct _rs_tx_edptx_sdp_reg_01_10 {
    unsigned int reg_01_edptx_sdp_4                         :32;
};
#define tx_edptx_sdp_reg_01_10(val) ((rs_tx_edptx_sdp_reg_01_10*)&(val))



#define TX_EDPTX_SDP_REG_01_14                                           (HV_EDPTX_SDP_REG_01_BASE_ADDRESS + 0x14)

#define TX_EDPTX_SDP_REG_01_14_struct                                    rs_tx_edptx_sdp_reg_01_14

typedef struct _rs_tx_edptx_sdp_reg_01_14  rs_tx_edptx_sdp_reg_01_14;
struct _rs_tx_edptx_sdp_reg_01_14 {
    unsigned int reg_01_edptx_sdp_5                         :32;
};
#define tx_edptx_sdp_reg_01_14(val) ((rs_tx_edptx_sdp_reg_01_14*)&(val))



#define TX_EDPTX_SDP_REG_01_18                                           (HV_EDPTX_SDP_REG_01_BASE_ADDRESS + 0x18)

#define TX_EDPTX_SDP_REG_01_18_struct                                    rs_tx_edptx_sdp_reg_01_18

typedef struct _rs_tx_edptx_sdp_reg_01_18  rs_tx_edptx_sdp_reg_01_18;
struct _rs_tx_edptx_sdp_reg_01_18 {
    unsigned int reg_01_edptx_sdp_6                         :32;
};
#define tx_edptx_sdp_reg_01_18(val) ((rs_tx_edptx_sdp_reg_01_18*)&(val))



#define TX_EDPTX_SDP_REG_01_1C                                           (HV_EDPTX_SDP_REG_01_BASE_ADDRESS + 0x1C)

#define TX_EDPTX_SDP_REG_01_1C_struct                                    rs_tx_edptx_sdp_reg_01_1c

typedef struct _rs_tx_edptx_sdp_reg_01_1c  rs_tx_edptx_sdp_reg_01_1c;
struct _rs_tx_edptx_sdp_reg_01_1c {
    unsigned int reg_01_edptx_sdp_7                         :32;
};
#define tx_edptx_sdp_reg_01_1c(val) ((rs_tx_edptx_sdp_reg_01_1c*)&(val))



#define TX_EDPTX_SDP_REG_01_20                                           (HV_EDPTX_SDP_REG_01_BASE_ADDRESS + 0x20)

#define TX_EDPTX_SDP_REG_01_20_struct                                    rs_tx_edptx_sdp_reg_01_20

typedef struct _rs_tx_edptx_sdp_reg_01_20  rs_tx_edptx_sdp_reg_01_20;
struct _rs_tx_edptx_sdp_reg_01_20 {
    unsigned int reg_01_edptx_sdp_1_0                       :32;
};
#define tx_edptx_sdp_reg_01_20(val) ((rs_tx_edptx_sdp_reg_01_20*)&(val))



#define TX_EDPTX_SDP_REG_01_24                                           (HV_EDPTX_SDP_REG_01_BASE_ADDRESS + 0x24)

#define TX_EDPTX_SDP_REG_01_24_struct                                    rs_tx_edptx_sdp_reg_01_24

typedef struct _rs_tx_edptx_sdp_reg_01_24  rs_tx_edptx_sdp_reg_01_24;
struct _rs_tx_edptx_sdp_reg_01_24 {
    unsigned int reg_01_edptx_sdp_1_1                       :32;
};
#define tx_edptx_sdp_reg_01_24(val) ((rs_tx_edptx_sdp_reg_01_24*)&(val))



#define TX_EDPTX_SDP_REG_01_28                                           (HV_EDPTX_SDP_REG_01_BASE_ADDRESS + 0x28)

#define TX_EDPTX_SDP_REG_01_28_struct                                    rs_tx_edptx_sdp_reg_01_28

typedef struct _rs_tx_edptx_sdp_reg_01_28  rs_tx_edptx_sdp_reg_01_28;
struct _rs_tx_edptx_sdp_reg_01_28 {
    unsigned int reg_01_edptx_sdp_1_2                       :32;
};
#define tx_edptx_sdp_reg_01_28(val) ((rs_tx_edptx_sdp_reg_01_28*)&(val))



#define TX_EDPTX_SDP_REG_01_2C                                           (HV_EDPTX_SDP_REG_01_BASE_ADDRESS + 0x2C)

#define TX_EDPTX_SDP_REG_01_2C_struct                                    rs_tx_edptx_sdp_reg_01_2c

typedef struct _rs_tx_edptx_sdp_reg_01_2c  rs_tx_edptx_sdp_reg_01_2c;
struct _rs_tx_edptx_sdp_reg_01_2c {
    unsigned int reg_01_edptx_sdp_1_3                       :32;
};
#define tx_edptx_sdp_reg_01_2c(val) ((rs_tx_edptx_sdp_reg_01_2c*)&(val))



#define TX_EDPTX_SDP_REG_01_30                                           (HV_EDPTX_SDP_REG_01_BASE_ADDRESS + 0x30)

#define TX_EDPTX_SDP_REG_01_30_struct                                    rs_tx_edptx_sdp_reg_01_30

typedef struct _rs_tx_edptx_sdp_reg_01_30  rs_tx_edptx_sdp_reg_01_30;
struct _rs_tx_edptx_sdp_reg_01_30 {
    unsigned int reg_01_edptx_sdp_1_4                       :32;
};
#define tx_edptx_sdp_reg_01_30(val) ((rs_tx_edptx_sdp_reg_01_30*)&(val))



#define TX_EDPTX_SDP_REG_01_34                                           (HV_EDPTX_SDP_REG_01_BASE_ADDRESS + 0x34)

#define TX_EDPTX_SDP_REG_01_34_struct                                    rs_tx_edptx_sdp_reg_01_34

typedef struct _rs_tx_edptx_sdp_reg_01_34  rs_tx_edptx_sdp_reg_01_34;
struct _rs_tx_edptx_sdp_reg_01_34 {
    unsigned int reg_01_edptx_sdp_1_5                       :32;
};
#define tx_edptx_sdp_reg_01_34(val) ((rs_tx_edptx_sdp_reg_01_34*)&(val))



#define TX_EDPTX_SDP_REG_01_38                                           (HV_EDPTX_SDP_REG_01_BASE_ADDRESS + 0x38)

#define TX_EDPTX_SDP_REG_01_38_struct                                    rs_tx_edptx_sdp_reg_01_38

typedef struct _rs_tx_edptx_sdp_reg_01_38  rs_tx_edptx_sdp_reg_01_38;
struct _rs_tx_edptx_sdp_reg_01_38 {
    unsigned int reg_01_edptx_sdp_1_6                       :32;
};
#define tx_edptx_sdp_reg_01_38(val) ((rs_tx_edptx_sdp_reg_01_38*)&(val))



#define TX_EDPTX_SDP_REG_01_3C                                           (HV_EDPTX_SDP_REG_01_BASE_ADDRESS + 0x3C)

#define TX_EDPTX_SDP_REG_01_3C_struct                                    rs_tx_edptx_sdp_reg_01_3c

typedef struct _rs_tx_edptx_sdp_reg_01_3c  rs_tx_edptx_sdp_reg_01_3c;
struct _rs_tx_edptx_sdp_reg_01_3c {
    unsigned int reg_01_edptx_sdp_1_7                       :32;
};
#define tx_edptx_sdp_reg_01_3c(val) ((rs_tx_edptx_sdp_reg_01_3c*)&(val))



#endif