#ifndef _HV_PAGE_HT7315_EDPTX_TOP_REG_01_H_
#define _HV_PAGE_HT7315_EDPTX_TOP_REG_01_H_

#ifndef HV_EDPTX_TOP_REG_01_BASE_ADDRESS
    #define HV_EDPTX_TOP_REG_01_BASE_ADDRESS                                         0x1105FC00
#endif


#define TX_EDPTX_TOP_REG_01_00                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0x00)

#define TX_EDPTX_TOP_REG_01_00_struct                                    rs_tx_edptx_top_reg_01_00

typedef struct _rs_tx_edptx_top_reg_01_00  rs_tx_edptx_top_reg_01_00;
struct _rs_tx_edptx_top_reg_01_00 {
    unsigned int reserved                                   : 2;
    unsigned int reg_01_edptx_dsc_en                        : 1;
    unsigned int reg_01_edptx_data_symbol_num               :15;
    unsigned int reg_01_edptx_datapack_sel                  : 1;
    unsigned int reg_01_edptx_param_auto_cal_en             : 1;
    unsigned int reserved_1                                 : 6;
    unsigned int reg_01_edptx_force_ml_st                   : 5;
    unsigned int reg_01_edptx_fcnt_clr                      : 1;
};
#define tx_edptx_top_reg_01_00(val) ((rs_tx_edptx_top_reg_01_00*)&(val))



#define TX_EDPTX_TOP_REG_01_04                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0x04)

#define TX_EDPTX_TOP_REG_01_04_struct                                    rs_tx_edptx_top_reg_01_04

typedef struct _rs_tx_edptx_top_reg_01_04  rs_tx_edptx_top_reg_01_04;
struct _rs_tx_edptx_top_reg_01_04 {
    unsigned int reg_01_edptx_bs                            : 8;
    unsigned int reg_01_edptx_be                            : 8;
    unsigned int reg_01_edptx_fs                            : 8;
    unsigned int reg_01_edptx_fe                            : 8;
};
#define tx_edptx_top_reg_01_04(val) ((rs_tx_edptx_top_reg_01_04*)&(val))



#define TX_EDPTX_TOP_REG_01_08                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0x08)

#define TX_EDPTX_TOP_REG_01_08_struct                                    rs_tx_edptx_top_reg_01_08

typedef struct _rs_tx_edptx_top_reg_01_08  rs_tx_edptx_top_reg_01_08;
struct _rs_tx_edptx_top_reg_01_08 {
    unsigned int reg_01_edptx_mvid                          :24;
    unsigned int reg_01_edptx_dummy_data                    : 8;
};
#define tx_edptx_top_reg_01_08(val) ((rs_tx_edptx_top_reg_01_08*)&(val))



#define TX_EDPTX_TOP_REG_01_0C                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0x0C)

#define TX_EDPTX_TOP_REG_01_0C_struct                                    rs_tx_edptx_top_reg_01_0c

typedef struct _rs_tx_edptx_top_reg_01_0c  rs_tx_edptx_top_reg_01_0c;
struct _rs_tx_edptx_top_reg_01_0c {
    unsigned int reg_01_edptx_msa_htotal                    :16;
    unsigned int reg_01_edptx_msa_vtotal                    :16;
};
#define tx_edptx_top_reg_01_0c(val) ((rs_tx_edptx_top_reg_01_0c*)&(val))



#define TX_EDPTX_TOP_REG_01_10                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0x10)

#define TX_EDPTX_TOP_REG_01_10_struct                                    rs_tx_edptx_top_reg_01_10

typedef struct _rs_tx_edptx_top_reg_01_10  rs_tx_edptx_top_reg_01_10;
struct _rs_tx_edptx_top_reg_01_10 {
    unsigned int reg_01_edptx_msa_hact                      :16;
    unsigned int reg_01_edptx_msa_vact                      :16;
};
#define tx_edptx_top_reg_01_10(val) ((rs_tx_edptx_top_reg_01_10*)&(val))



#define TX_EDPTX_TOP_REG_01_14                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0x14)

#define TX_EDPTX_TOP_REG_01_14_struct                                    rs_tx_edptx_top_reg_01_14

typedef struct _rs_tx_edptx_top_reg_01_14  rs_tx_edptx_top_reg_01_14;
struct _rs_tx_edptx_top_reg_01_14 {
    unsigned int reg_01_edptx_msa_hbporch                   :16;
    unsigned int reg_01_edptx_msa_vbporch                   :16;
};
#define tx_edptx_top_reg_01_14(val) ((rs_tx_edptx_top_reg_01_14*)&(val))



#define TX_EDPTX_TOP_REG_01_18                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0x18)

#define TX_EDPTX_TOP_REG_01_18_struct                                    rs_tx_edptx_top_reg_01_18

typedef struct _rs_tx_edptx_top_reg_01_18  rs_tx_edptx_top_reg_01_18;
struct _rs_tx_edptx_top_reg_01_18 {
    unsigned int reg_01_edptx_msa_hs_width                  :15;
    unsigned int reg_01_edptx_msa_vs_width                  :15;
    unsigned int reg_01_edptx_msa_hs_polarity               : 1;
    unsigned int reg_01_edptx_msa_vs_polarity               : 1;
};
#define tx_edptx_top_reg_01_18(val) ((rs_tx_edptx_top_reg_01_18*)&(val))



#define TX_EDPTX_TOP_REG_01_1C                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0x1C)

#define TX_EDPTX_TOP_REG_01_1C_struct                                    rs_tx_edptx_top_reg_01_1c

typedef struct _rs_tx_edptx_top_reg_01_1c  rs_tx_edptx_top_reg_01_1c;
struct _rs_tx_edptx_top_reg_01_1c {
    unsigned int reg_01_edptx_ss                            : 8;
    unsigned int reg_01_edptx_se                            : 8;
    unsigned int reg_01_edptx_sr                            : 8;
    unsigned int reg_01_edptx_seg_num                       : 3;
    unsigned int reg_01_edptx_lane_num                      : 3;
    unsigned int reg_01_edptx_frame_mode                    : 1;
    unsigned int reg_01_edptx_setting_vs_latch_en           : 1;
};
#define tx_edptx_top_reg_01_1c(val) ((rs_tx_edptx_top_reg_01_1c*)&(val))



#define TX_EDPTX_TOP_REG_01_20                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0x20)

#define TX_EDPTX_TOP_REG_01_20_struct                                    rs_tx_edptx_top_reg_01_20

typedef struct _rs_tx_edptx_top_reg_01_20  rs_tx_edptx_top_reg_01_20;
struct _rs_tx_edptx_top_reg_01_20 {
    unsigned int reg_01_edptx_misc0                         : 8;
    unsigned int reg_01_edptx_misc1                         : 8;
    unsigned int reg_01_edptx_cp                            : 8;
    unsigned int reserved                                   : 4;
    unsigned int reg_01_edptx_datai_mode                    : 2;
    unsigned int reg_01_edptx_sdp_mode                      : 1;
    unsigned int reg_01_edptx_pps_mode                      : 1;
};
#define tx_edptx_top_reg_01_20(val) ((rs_tx_edptx_top_reg_01_20*)&(val))



#define TX_EDPTX_TOP_REG_01_24                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0x24)

#define TX_EDPTX_TOP_REG_01_24_struct                                    rs_tx_edptx_top_reg_01_24

typedef struct _rs_tx_edptx_top_reg_01_24  rs_tx_edptx_top_reg_01_24;
struct _rs_tx_edptx_top_reg_01_24 {
    unsigned int reg_01_edptx_psr_exit_insert_dummy_en      : 1;
    unsigned int reg_01_edptx_psr_exit_insert_dummy_val     : 3;
    unsigned int reg_01_edptx_psr_exit_insert_dummy_cnt     : 8;
    unsigned int reg_01_edptx_psr_exit_insert_dummy_sel     : 1;
    unsigned int reserved                                   : 9;
    unsigned int reg_01_edptx_maud                          : 8;
    unsigned int reg_01_edptx_hdcp_bypass                   : 1;
    unsigned int reg_01_edptx_hdcp_en                       : 1;
};
#define tx_edptx_top_reg_01_24(val) ((rs_tx_edptx_top_reg_01_24*)&(val))



#define TX_EDPTX_TOP_REG_01_28                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0x28)

#define TX_EDPTX_TOP_REG_01_28_struct                                    rs_tx_edptx_top_reg_01_28

typedef struct _rs_tx_edptx_top_reg_01_28  rs_tx_edptx_top_reg_01_28;
struct _rs_tx_edptx_top_reg_01_28 {
    unsigned int reg_01_edptx_assr_lfsr0                    :16;
    unsigned int reg_01_edptx_assr_lfsr1                    :16;
};
#define tx_edptx_top_reg_01_28(val) ((rs_tx_edptx_top_reg_01_28*)&(val))



#define TX_EDPTX_TOP_REG_01_2C                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0x2C)

#define TX_EDPTX_TOP_REG_01_2C_struct                                    rs_tx_edptx_top_reg_01_2c

typedef struct _rs_tx_edptx_top_reg_01_2c  rs_tx_edptx_top_reg_01_2c;
struct _rs_tx_edptx_top_reg_01_2c {
    unsigned int reg_01_edptx_tu_total_size                 : 8;
    unsigned int reg_01_edptx_tu_data_size                  :18;
    unsigned int reg_01_edptx_tu_diff_thro                  : 6;
};
#define tx_edptx_top_reg_01_2c(val) ((rs_tx_edptx_top_reg_01_2c*)&(val))



#define TX_EDPTX_TOP_REG_01_30                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0x30)

#define TX_EDPTX_TOP_REG_01_30_struct                                    rs_tx_edptx_top_reg_01_30

typedef struct _rs_tx_edptx_top_reg_01_30  rs_tx_edptx_top_reg_01_30;
struct _rs_tx_edptx_top_reg_01_30 {
    unsigned int reg_01_edptx_irq_en                        : 8;
    unsigned int reg_01_edptx_irq_wclr                      : 8;
    unsigned int reg_01_edptx_irq_width                     : 8;
    unsigned int reg_01_edptx_sw_irq                        : 1;
    unsigned int reserved                                   : 7;
};
#define tx_edptx_top_reg_01_30(val) ((rs_tx_edptx_top_reg_01_30*)&(val))



#define TX_EDPTX_TOP_REG_01_34                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0x34)

#define TX_EDPTX_TOP_REG_01_34_struct                                    rs_tx_edptx_top_reg_01_34

typedef struct _rs_tx_edptx_top_reg_01_34  rs_tx_edptx_top_reg_01_34;
struct _rs_tx_edptx_top_reg_01_34 {
    unsigned int regr_01_edptx_irq                          : 8;
    unsigned int regr_01_edptx_irq_cnt                      :16;
    unsigned int reserved                                   : 8;
};
#define tx_edptx_top_reg_01_34(val) ((rs_tx_edptx_top_reg_01_34*)&(val))



#define TX_EDPTX_TOP_REG_01_38                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0x38)

#define TX_EDPTX_TOP_REG_01_38_struct                                    rs_tx_edptx_top_reg_01_38

typedef struct _rs_tx_edptx_top_reg_01_38  rs_tx_edptx_top_reg_01_38;
struct _rs_tx_edptx_top_reg_01_38 {
    unsigned int reg_01_edptx_lic                           :16;
    unsigned int reg_01_edptx_bit_mode                      : 3;
    unsigned int reg_01_edptx_eq_done                       : 1;
    unsigned int reg_01_edptx_aux_from_pin                  : 2;
    unsigned int reg_01_aux_preamble_num                    : 8;
    unsigned int reserved                                   : 2;
};
#define tx_edptx_top_reg_01_38(val) ((rs_tx_edptx_top_reg_01_38*)&(val))



#define TX_EDPTX_TOP_REG_01_4C                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0x4C)

#define TX_EDPTX_TOP_REG_01_4C_struct                                    rs_tx_edptx_top_reg_01_4c

typedef struct _rs_tx_edptx_top_reg_01_4c  rs_tx_edptx_top_reg_01_4c;
struct _rs_tx_edptx_top_reg_01_4c {
    unsigned int regr_01_edptx_tu_data_size                 :18;
    unsigned int reserved                                   :14;
};
#define tx_edptx_top_reg_01_4c(val) ((rs_tx_edptx_top_reg_01_4c*)&(val))



#define TX_EDPTX_TOP_REG_01_50                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0x50)

#define TX_EDPTX_TOP_REG_01_50_struct                                    rs_tx_edptx_top_reg_01_50

typedef struct _rs_tx_edptx_top_reg_01_50  rs_tx_edptx_top_reg_01_50;
struct _rs_tx_edptx_top_reg_01_50 {
    unsigned int reg_01_edptx_vbid                          :16;
    unsigned int reg_01_edptx_vbid_sin_bit_ctrl_en          : 1;
    unsigned int reserved                                   :15;
};
#define tx_edptx_top_reg_01_50(val) ((rs_tx_edptx_top_reg_01_50*)&(val))



#define TX_EDPTX_TOP_REG_01_54                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0x54)

#define TX_EDPTX_TOP_REG_01_54_struct                                    rs_tx_edptx_top_reg_01_54

typedef struct _rs_tx_edptx_top_reg_01_54  rs_tx_edptx_top_reg_01_54;
struct _rs_tx_edptx_top_reg_01_54 {
    unsigned int reg_01_edptx_bf                            : 8;
    unsigned int reg_01_edptx_addr_map                      :16;
    unsigned int reg_01_edptx_lane_swap                     : 8;
};
#define tx_edptx_top_reg_01_54(val) ((rs_tx_edptx_top_reg_01_54*)&(val))



#define TX_EDPTX_TOP_REG_01_58                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0x58)

#define TX_EDPTX_TOP_REG_01_58_struct                                    rs_tx_edptx_top_reg_01_58

typedef struct _rs_tx_edptx_top_reg_01_58  rs_tx_edptx_top_reg_01_58;
struct _rs_tx_edptx_top_reg_01_58 {
    unsigned int reg_01_edptx_lane_en                       : 4;
    unsigned int reg_01_edptx_force_minus_en0               : 4;
    unsigned int reg_01_edptx_force_plus_en0                : 4;
    unsigned int reg_01_edptx_force_minus_en1               : 4;
    unsigned int reg_01_edptx_force_plus_en1                : 4;
    unsigned int reg_01_edptx_alternate_sr                  : 1;
    unsigned int reg_01_edptx_scramb_dis                    : 1;
    unsigned int reg_01_edptx_sdp_en                        : 1;
    unsigned int reg_01_edptx_pps_en                        : 1;
    unsigned int reg_01_edptx_msa_en                        : 1;
    unsigned int reg_01_edptx_sdp_1_en                      : 1;
    unsigned int reg_01_edptx_sdp_glb_en                    : 2;
    unsigned int reg_01_edptx_tps2_patt_mode                : 2;
    unsigned int reg_01_edptx_idle_patt_en                  : 1;
    unsigned int reg_01_edptx_re_train_en                   : 1;
};
#define tx_edptx_top_reg_01_58(val) ((rs_tx_edptx_top_reg_01_58*)&(val))



#define TX_EDPTX_TOP_REG_01_5C                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0x5C)

#define TX_EDPTX_TOP_REG_01_5C_struct                                    rs_tx_edptx_top_reg_01_5c

typedef struct _rs_tx_edptx_top_reg_01_5c  rs_tx_edptx_top_reg_01_5c;
struct _rs_tx_edptx_top_reg_01_5c {
    unsigned int reg_01_edptx_lane0_skew_num                : 4;
    unsigned int reg_01_edptx_lane1_skew_num                : 4;
    unsigned int reg_01_edptx_lane2_skew_num                : 4;
    unsigned int reg_01_edptx_lane3_skew_num                : 4;
    unsigned int reg_01_edptx_sdp_byte_num                  : 8;
    unsigned int reg_01_edptx_sdp_1_byte_num                : 8;
};
#define tx_edptx_top_reg_01_5c(val) ((rs_tx_edptx_top_reg_01_5c*)&(val))



#define TX_EDPTX_TOP_REG_01_60                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0x60)

#define TX_EDPTX_TOP_REG_01_60_struct                                    rs_tx_edptx_top_reg_01_60

typedef struct _rs_tx_edptx_top_reg_01_60  rs_tx_edptx_top_reg_01_60;
struct _rs_tx_edptx_top_reg_01_60 {
    unsigned int reg_01_edptx_eq_mode                       : 2;
    unsigned int reg_01_edptx_bs_mode                       : 1;
    unsigned int reg_01_edptx_train_mode                    : 1;
    unsigned int reg_01_edptx_msa_line_idx                  :14;
    unsigned int reg_01_edptx_sdp_line_idx                  :14;
};
#define tx_edptx_top_reg_01_60(val) ((rs_tx_edptx_top_reg_01_60*)&(val))



#define TX_EDPTX_TOP_REG_01_64                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0x64)

#define TX_EDPTX_TOP_REG_01_64_struct                                    rs_tx_edptx_top_reg_01_64

typedef struct _rs_tx_edptx_top_reg_01_64  rs_tx_edptx_top_reg_01_64;
struct _rs_tx_edptx_top_reg_01_64 {
    unsigned int reg_01_edptx_pix_symbol_num                :15;
    unsigned int reg_01_edptx_pps_line_idx                  :14;
    unsigned int reserved                                   : 3;
};
#define tx_edptx_top_reg_01_64(val) ((rs_tx_edptx_top_reg_01_64*)&(val))



#define TX_EDPTX_TOP_REG_01_68                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0x68)

#define TX_EDPTX_TOP_REG_01_68_struct                                    rs_tx_edptx_top_reg_01_68

typedef struct _rs_tx_edptx_top_reg_01_68  rs_tx_edptx_top_reg_01_68;
struct _rs_tx_edptx_top_reg_01_68 {
    unsigned int reg_01_edptx_dummy_cnt                     :16;
    unsigned int reg_01_edptx_dummy_cnt_clr_sel             : 2;
    unsigned int reg_01_edptx_ecc_pix_idx                   :14;
};
#define tx_edptx_top_reg_01_68(val) ((rs_tx_edptx_top_reg_01_68*)&(val))



#define TX_EDPTX_TOP_REG_01_6C                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0x6C)

#define TX_EDPTX_TOP_REG_01_6C_struct                                    rs_tx_edptx_top_reg_01_6c

typedef struct _rs_tx_edptx_top_reg_01_6c  rs_tx_edptx_top_reg_01_6c;
struct _rs_tx_edptx_top_reg_01_6c {
    unsigned int reg_01_edptx_tps1_cycles                   :32;
};
#define tx_edptx_top_reg_01_6c(val) ((rs_tx_edptx_top_reg_01_6c*)&(val))



#define TX_EDPTX_TOP_REG_01_70                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0x70)

#define TX_EDPTX_TOP_REG_01_70_struct                                    rs_tx_edptx_top_reg_01_70

typedef struct _rs_tx_edptx_top_reg_01_70  rs_tx_edptx_top_reg_01_70;
struct _rs_tx_edptx_top_reg_01_70 {
    unsigned int reg_01_edptx_tps2_cycles                   :32;
};
#define tx_edptx_top_reg_01_70(val) ((rs_tx_edptx_top_reg_01_70*)&(val))



#define TX_EDPTX_TOP_REG_01_74                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0x74)

#define TX_EDPTX_TOP_REG_01_74_struct                                    rs_tx_edptx_top_reg_01_74

typedef struct _rs_tx_edptx_top_reg_01_74  rs_tx_edptx_top_reg_01_74;
struct _rs_tx_edptx_top_reg_01_74 {
    unsigned int reg_01_edptx_tps3_cycles                   :32;
};
#define tx_edptx_top_reg_01_74(val) ((rs_tx_edptx_top_reg_01_74*)&(val))



#define TX_EDPTX_TOP_REG_01_78                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0x78)

#define TX_EDPTX_TOP_REG_01_78_struct                                    rs_tx_edptx_top_reg_01_78

typedef struct _rs_tx_edptx_top_reg_01_78  rs_tx_edptx_top_reg_01_78;
struct _rs_tx_edptx_top_reg_01_78 {
    unsigned int reg_01_edptx_tps4_cycles                   :32;
};
#define tx_edptx_top_reg_01_78(val) ((rs_tx_edptx_top_reg_01_78*)&(val))



#define TX_EDPTX_TOP_REG_01_7C                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0x7C)

#define TX_EDPTX_TOP_REG_01_7C_struct                                    rs_tx_edptx_top_reg_01_7c

typedef struct _rs_tx_edptx_top_reg_01_7c  rs_tx_edptx_top_reg_01_7c;
struct _rs_tx_edptx_top_reg_01_7c {
    unsigned int reg_01_edptx_sdp_hb0                       : 8;
    unsigned int reg_01_edptx_sdp_hb1                       : 8;
    unsigned int reg_01_edptx_sdp_hb2                       : 8;
    unsigned int reg_01_edptx_sdp_hb3                       : 8;
};
#define tx_edptx_top_reg_01_7c(val) ((rs_tx_edptx_top_reg_01_7c*)&(val))



#define TX_EDPTX_TOP_REG_01_80                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0x80)

#define TX_EDPTX_TOP_REG_01_80_struct                                    rs_tx_edptx_top_reg_01_80

typedef struct _rs_tx_edptx_top_reg_01_80  rs_tx_edptx_top_reg_01_80;
struct _rs_tx_edptx_top_reg_01_80 {
    unsigned int regr_01_edptx_mvid                         :24;
    unsigned int reserved                                   : 8;
};
#define tx_edptx_top_reg_01_80(val) ((rs_tx_edptx_top_reg_01_80*)&(val))



#define TX_EDPTX_TOP_REG_01_84                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0x84)

#define TX_EDPTX_TOP_REG_01_84_struct                                    rs_tx_edptx_top_reg_01_84

typedef struct _rs_tx_edptx_top_reg_01_84  rs_tx_edptx_top_reg_01_84;
struct _rs_tx_edptx_top_reg_01_84 {
    unsigned int reg_01_edptx_ecc_line_idx                  :14;
    unsigned int reg_01_edptx_mvid_mode                     : 3;
    unsigned int reg_01_edptx_switch_res                    : 1;
    unsigned int reg_01_edptx_prbs_en                       : 1;
    unsigned int reg_01_edptx_prbs_sel                      : 3;
    unsigned int reg_01_prbs_msb_inv                        : 1;
    unsigned int reg_01_edptx_ecc_intlv_en                  : 1;
    unsigned int reg_01_edptx_en                            : 1;
    unsigned int reg_01_edptx_tps1_done                     : 1;
    unsigned int reserved                                   : 3;
    unsigned int reg_01_edptx_tps4_patt_mode                : 2;
    unsigned int reg_01_edptx_pif_2buf_apply_en             : 1;
};
#define tx_edptx_top_reg_01_84(val) ((rs_tx_edptx_top_reg_01_84*)&(val))



#define TX_EDPTX_TOP_REG_01_88                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0x88)

#define TX_EDPTX_TOP_REG_01_88_struct                                    rs_tx_edptx_top_reg_01_88

typedef struct _rs_tx_edptx_top_reg_01_88  rs_tx_edptx_top_reg_01_88;
struct _rs_tx_edptx_top_reg_01_88 {
    unsigned int reg_01_edptx_nvid                          :24;
    unsigned int reg_01_edptx_dh_den_sta_en                 : 1;
    unsigned int reg_01_edptx_dh_den_end_en                 : 1;
    unsigned int reg_01_edptx_dv_den_sta_en                 : 1;
    unsigned int reg_01_edptx_dv_den_end_en                 : 1;
    unsigned int reg_01_edptx_patt_en                       : 1;
    unsigned int reg_01_edptx_patt                          : 3;
};
#define tx_edptx_top_reg_01_88(val) ((rs_tx_edptx_top_reg_01_88*)&(val))



#define TX_EDPTX_TOP_REG_01_8C                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0x8C)

#define TX_EDPTX_TOP_REG_01_8C_struct                                    rs_tx_edptx_top_reg_01_8c

typedef struct _rs_tx_edptx_top_reg_01_8c  rs_tx_edptx_top_reg_01_8c;
struct _rs_tx_edptx_top_reg_01_8c {
    unsigned int reg_01_edptx_dh_den_sta                    :16;
    unsigned int reg_01_edptx_dh_den_end                    :16;
};
#define tx_edptx_top_reg_01_8c(val) ((rs_tx_edptx_top_reg_01_8c*)&(val))



#define TX_EDPTX_TOP_REG_01_90                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0x90)

#define TX_EDPTX_TOP_REG_01_90_struct                                    rs_tx_edptx_top_reg_01_90

typedef struct _rs_tx_edptx_top_reg_01_90  rs_tx_edptx_top_reg_01_90;
struct _rs_tx_edptx_top_reg_01_90 {
    unsigned int reg_01_edptx_dv_den_sta                    :16;
    unsigned int reg_01_edptx_dv_den_end                    :16;
};
#define tx_edptx_top_reg_01_90(val) ((rs_tx_edptx_top_reg_01_90*)&(val))



#define TX_EDPTX_TOP_REG_01_94                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0x94)

#define TX_EDPTX_TOP_REG_01_94_struct                                    rs_tx_edptx_top_reg_01_94

typedef struct _rs_tx_edptx_top_reg_01_94  rs_tx_edptx_top_reg_01_94;
struct _rs_tx_edptx_top_reg_01_94 {
    unsigned int reg_01_edptx_sdp_1_line_idx                :14;
    unsigned int reg_01_edptx_sr_cnt_thro                   :16;
    unsigned int reg_01_edptx_double_buf_en                 : 1;
    unsigned int reg_01_edptx_ktx_2buf_apply_en             : 1;
};
#define tx_edptx_top_reg_01_94(val) ((rs_tx_edptx_top_reg_01_94*)&(val))



#define TX_EDPTX_TOP_REG_01_98                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0x98)

#define TX_EDPTX_TOP_REG_01_98_struct                                    rs_tx_edptx_top_reg_01_98

typedef struct _rs_tx_edptx_top_reg_01_98  rs_tx_edptx_top_reg_01_98;
struct _rs_tx_edptx_top_reg_01_98 {
    unsigned int reg_01_edptx_sdp_1_hb0                     : 8;
    unsigned int reg_01_edptx_sdp_1_hb1                     : 8;
    unsigned int reg_01_edptx_sdp_1_hb2                     : 8;
    unsigned int reg_01_edptx_sdp_1_hb3                     : 8;
};
#define tx_edptx_top_reg_01_98(val) ((rs_tx_edptx_top_reg_01_98*)&(val))



#define TX_EDPTX_TOP_REG_01_9C                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0x9C)

#define TX_EDPTX_TOP_REG_01_9C_struct                                    rs_tx_edptx_top_reg_01_9c

typedef struct _rs_tx_edptx_top_reg_01_9c  rs_tx_edptx_top_reg_01_9c;
struct _rs_tx_edptx_top_reg_01_9c {
    unsigned int regr_01_edptx_data_symbol_num              :15;
    unsigned int reserved                                   :17;
};
#define tx_edptx_top_reg_01_9c(val) ((rs_tx_edptx_top_reg_01_9c*)&(val))



#define TX_EDPTX_TOP_REG_01_A0                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0xA0)

#define TX_EDPTX_TOP_REG_01_A0_struct                                    rs_tx_edptx_top_reg_01_a0

typedef struct _rs_tx_edptx_top_reg_01_a0  rs_tx_edptx_top_reg_01_a0;
struct _rs_tx_edptx_top_reg_01_a0 {
    unsigned int reg_01_aux_s2pclk_ratio                    :10;
    unsigned int reserved                                   : 6;
    unsigned int reg_01_aux_sync_symbol                     : 8;
    unsigned int reg_01_aux_stop_symbol                     : 8;
};
#define tx_edptx_top_reg_01_a0(val) ((rs_tx_edptx_top_reg_01_a0*)&(val))



#define TX_EDPTX_TOP_REG_01_A4                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0xA4)

#define TX_EDPTX_TOP_REG_01_A4_struct                                    rs_tx_edptx_top_reg_01_a4

typedef struct _rs_tx_edptx_top_reg_01_a4  rs_tx_edptx_top_reg_01_a4;
struct _rs_tx_edptx_top_reg_01_a4 {
    unsigned int reg_01_aux_trans_type                      : 4;
    unsigned int reg_01_aux_rx_inv                          : 1;
    unsigned int reg_01_aux_tx_inv                          : 1;
    unsigned int reg_01_force_rsp_clk_ratio                 : 1;
    unsigned int reg_01_aux_glitch_th                       : 6;
    unsigned int reg_01_aux_wake_en                         : 2;
    unsigned int reg_01_hpd_sw_en                           : 2;
    unsigned int reg_01_aux_trans_clr                       : 1;
    unsigned int reg_01_hpd_inv                             : 1;
    unsigned int reg_01_aux_train_times                     : 5;
    unsigned int reserved                                   : 8;
};
#define tx_edptx_top_reg_01_a4(val) ((rs_tx_edptx_top_reg_01_a4*)&(val))



#define TX_EDPTX_TOP_REG_01_A8                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0xA8)

#define TX_EDPTX_TOP_REG_01_A8_struct                                    rs_tx_edptx_top_reg_01_a8

typedef struct _rs_tx_edptx_top_reg_01_a8  rs_tx_edptx_top_reg_01_a8;
struct _rs_tx_edptx_top_reg_01_a8 {
    unsigned int reg_01_aux_chan_timeout                    :32;
};
#define tx_edptx_top_reg_01_a8(val) ((rs_tx_edptx_top_reg_01_a8*)&(val))



#define TX_EDPTX_TOP_REG_01_AC                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0xAC)

#define TX_EDPTX_TOP_REG_01_AC_struct                                    rs_tx_edptx_top_reg_01_ac

typedef struct _rs_tx_edptx_top_reg_01_ac  rs_tx_edptx_top_reg_01_ac;
struct _rs_tx_edptx_top_reg_01_ac {
    unsigned int reg_01_hpd_irq_thr_l                       :32;
};
#define tx_edptx_top_reg_01_ac(val) ((rs_tx_edptx_top_reg_01_ac*)&(val))



#define TX_EDPTX_TOP_REG_01_B0                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0xB0)

#define TX_EDPTX_TOP_REG_01_B0_struct                                    rs_tx_edptx_top_reg_01_b0

typedef struct _rs_tx_edptx_top_reg_01_b0  rs_tx_edptx_top_reg_01_b0;
struct _rs_tx_edptx_top_reg_01_b0 {
    unsigned int reg_01_hpd_irq_thr_h                       :32;
};
#define tx_edptx_top_reg_01_b0(val) ((rs_tx_edptx_top_reg_01_b0*)&(val))



#define TX_EDPTX_TOP_REG_01_B4                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0xB4)

#define TX_EDPTX_TOP_REG_01_B4_struct                                    rs_tx_edptx_top_reg_01_b4

typedef struct _rs_tx_edptx_top_reg_01_b4  rs_tx_edptx_top_reg_01_b4;
struct _rs_tx_edptx_top_reg_01_b4 {
    unsigned int reg_01_hpd_evt_thr_l                       :32;
};
#define tx_edptx_top_reg_01_b4(val) ((rs_tx_edptx_top_reg_01_b4*)&(val))



#define TX_EDPTX_TOP_REG_01_B8                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0xB8)

#define TX_EDPTX_TOP_REG_01_B8_struct                                    rs_tx_edptx_top_reg_01_b8

typedef struct _rs_tx_edptx_top_reg_01_b8  rs_tx_edptx_top_reg_01_b8;
struct _rs_tx_edptx_top_reg_01_b8 {
    unsigned int reg_01_aux_trans_addr                      :20;
    unsigned int reg_01_aux_trans_len                       : 8;
    unsigned int reg_01_aux_trans_start                     : 1;
    unsigned int reg_01_hpd_int_clr                         : 1;
    unsigned int reg_01_aux_sout_init_sel                   : 1;
    unsigned int reg_01_aux_st_rst                          : 1;
};
#define tx_edptx_top_reg_01_b8(val) ((rs_tx_edptx_top_reg_01_b8*)&(val))



#define TX_EDPTX_TOP_REG_01_BC                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0xBC)

#define TX_EDPTX_TOP_REG_01_BC_struct                                    rs_tx_edptx_top_reg_01_bc

typedef struct _rs_tx_edptx_top_reg_01_bc  rs_tx_edptx_top_reg_01_bc;
struct _rs_tx_edptx_top_reg_01_bc {
    unsigned int regr_01_aux_trans_rsp                      : 4;
    unsigned int regr_01_aux_trans_done                     : 1;
    unsigned int regr_01_aux_rsp_timeout                    : 1;
    unsigned int regr_01_aux_state                          : 2;
    unsigned int regr_01_aux_rsp_len                        : 8;
    unsigned int regr_01_edptx_hpd                          : 1;
    unsigned int regr_01_edptx_hpd_irq                      : 1;
    unsigned int regr_01_edptx_hpd_evt                      : 1;
    unsigned int regr_01_edptx_ml_state                     : 4;
    unsigned int reserved                                   : 9;
};
#define tx_edptx_top_reg_01_bc(val) ((rs_tx_edptx_top_reg_01_bc*)&(val))



#define TX_EDPTX_TOP_REG_01_C0                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0xC0)

#define TX_EDPTX_TOP_REG_01_C0_struct                                    rs_tx_edptx_top_reg_01_c0

typedef struct _rs_tx_edptx_top_reg_01_c0  rs_tx_edptx_top_reg_01_c0;
struct _rs_tx_edptx_top_reg_01_c0 {
    unsigned int reg_01_aux_trans_wdata0                    : 8;
    unsigned int reg_01_aux_trans_wdata1                    : 8;
    unsigned int reg_01_aux_trans_wdata2                    : 8;
    unsigned int reg_01_aux_trans_wdata3                    : 8;
};
#define tx_edptx_top_reg_01_c0(val) ((rs_tx_edptx_top_reg_01_c0*)&(val))



#define TX_EDPTX_TOP_REG_01_C4                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0xC4)

#define TX_EDPTX_TOP_REG_01_C4_struct                                    rs_tx_edptx_top_reg_01_c4

typedef struct _rs_tx_edptx_top_reg_01_c4  rs_tx_edptx_top_reg_01_c4;
struct _rs_tx_edptx_top_reg_01_c4 {
    unsigned int reg_01_aux_trans_wdata4                    : 8;
    unsigned int reg_01_aux_trans_wdata5                    : 8;
    unsigned int reg_01_aux_trans_wdata6                    : 8;
    unsigned int reg_01_aux_trans_wdata7                    : 8;
};
#define tx_edptx_top_reg_01_c4(val) ((rs_tx_edptx_top_reg_01_c4*)&(val))



#define TX_EDPTX_TOP_REG_01_C8                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0xC8)

#define TX_EDPTX_TOP_REG_01_C8_struct                                    rs_tx_edptx_top_reg_01_c8

typedef struct _rs_tx_edptx_top_reg_01_c8  rs_tx_edptx_top_reg_01_c8;
struct _rs_tx_edptx_top_reg_01_c8 {
    unsigned int reg_01_aux_trans_wdata8                    : 8;
    unsigned int reg_01_aux_trans_wdata9                    : 8;
    unsigned int reg_01_aux_trans_wdata10                   : 8;
    unsigned int reg_01_aux_trans_wdata11                   : 8;
};
#define tx_edptx_top_reg_01_c8(val) ((rs_tx_edptx_top_reg_01_c8*)&(val))



#define TX_EDPTX_TOP_REG_01_CC                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0xCC)

#define TX_EDPTX_TOP_REG_01_CC_struct                                    rs_tx_edptx_top_reg_01_cc

typedef struct _rs_tx_edptx_top_reg_01_cc  rs_tx_edptx_top_reg_01_cc;
struct _rs_tx_edptx_top_reg_01_cc {
    unsigned int reg_01_aux_trans_wdata12                   : 8;
    unsigned int reg_01_aux_trans_wdata13                   : 8;
    unsigned int reg_01_aux_trans_wdata14                   : 8;
    unsigned int reg_01_aux_trans_wdata15                   : 8;
};
#define tx_edptx_top_reg_01_cc(val) ((rs_tx_edptx_top_reg_01_cc*)&(val))



#define TX_EDPTX_TOP_REG_01_D0                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0xD0)

#define TX_EDPTX_TOP_REG_01_D0_struct                                    rs_tx_edptx_top_reg_01_d0

typedef struct _rs_tx_edptx_top_reg_01_d0  rs_tx_edptx_top_reg_01_d0;
struct _rs_tx_edptx_top_reg_01_d0 {
    unsigned int regr_01_aux_trans_rdata0                   : 8;
    unsigned int regr_01_aux_trans_rdata1                   : 8;
    unsigned int regr_01_aux_trans_rdata2                   : 8;
    unsigned int regr_01_aux_trans_rdata3                   : 8;
};
#define tx_edptx_top_reg_01_d0(val) ((rs_tx_edptx_top_reg_01_d0*)&(val))



#define TX_EDPTX_TOP_REG_01_D4                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0xD4)

#define TX_EDPTX_TOP_REG_01_D4_struct                                    rs_tx_edptx_top_reg_01_d4

typedef struct _rs_tx_edptx_top_reg_01_d4  rs_tx_edptx_top_reg_01_d4;
struct _rs_tx_edptx_top_reg_01_d4 {
    unsigned int regr_01_aux_trans_rdata4                   : 8;
    unsigned int regr_01_aux_trans_rdata5                   : 8;
    unsigned int regr_01_aux_trans_rdata6                   : 8;
    unsigned int regr_01_aux_trans_rdata7                   : 8;
};
#define tx_edptx_top_reg_01_d4(val) ((rs_tx_edptx_top_reg_01_d4*)&(val))



#define TX_EDPTX_TOP_REG_01_D8                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0xD8)

#define TX_EDPTX_TOP_REG_01_D8_struct                                    rs_tx_edptx_top_reg_01_d8

typedef struct _rs_tx_edptx_top_reg_01_d8  rs_tx_edptx_top_reg_01_d8;
struct _rs_tx_edptx_top_reg_01_d8 {
    unsigned int regr_01_aux_trans_rdata8                   : 8;
    unsigned int regr_01_aux_trans_rdata9                   : 8;
    unsigned int regr_01_aux_trans_rdata10                  : 8;
    unsigned int regr_01_aux_trans_rdata11                  : 8;
};
#define tx_edptx_top_reg_01_d8(val) ((rs_tx_edptx_top_reg_01_d8*)&(val))



#define TX_EDPTX_TOP_REG_01_DC                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0xDC)

#define TX_EDPTX_TOP_REG_01_DC_struct                                    rs_tx_edptx_top_reg_01_dc

typedef struct _rs_tx_edptx_top_reg_01_dc  rs_tx_edptx_top_reg_01_dc;
struct _rs_tx_edptx_top_reg_01_dc {
    unsigned int regr_01_aux_trans_rdata12                  : 8;
    unsigned int regr_01_aux_trans_rdata13                  : 8;
    unsigned int regr_01_aux_trans_rdata14                  : 8;
    unsigned int regr_01_aux_trans_rdata15                  : 8;
};
#define tx_edptx_top_reg_01_dc(val) ((rs_tx_edptx_top_reg_01_dc*)&(val))



#define TX_EDPTX_TOP_REG_01_E0                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0xE0)

#define TX_EDPTX_TOP_REG_01_E0_struct                                    rs_tx_edptx_top_reg_01_e0

typedef struct _rs_tx_edptx_top_reg_01_e0  rs_tx_edptx_top_reg_01_e0;
struct _rs_tx_edptx_top_reg_01_e0 {
    unsigned int reg_01_edptx_prbs_pat0_0                   :30;
    unsigned int reserved                                   : 2;
};
#define tx_edptx_top_reg_01_e0(val) ((rs_tx_edptx_top_reg_01_e0*)&(val))



#define TX_EDPTX_TOP_REG_01_E4                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0xE4)

#define TX_EDPTX_TOP_REG_01_E4_struct                                    rs_tx_edptx_top_reg_01_e4

typedef struct _rs_tx_edptx_top_reg_01_e4  rs_tx_edptx_top_reg_01_e4;
struct _rs_tx_edptx_top_reg_01_e4 {
    unsigned int reg_01_edptx_prbs_pat0_1                   :30;
    unsigned int reserved                                   : 2;
};
#define tx_edptx_top_reg_01_e4(val) ((rs_tx_edptx_top_reg_01_e4*)&(val))



#define TX_EDPTX_TOP_REG_01_E8                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0xE8)

#define TX_EDPTX_TOP_REG_01_E8_struct                                    rs_tx_edptx_top_reg_01_e8

typedef struct _rs_tx_edptx_top_reg_01_e8  rs_tx_edptx_top_reg_01_e8;
struct _rs_tx_edptx_top_reg_01_e8 {
    unsigned int reg_01_edptx_prbs_pat0_2                   :30;
    unsigned int reserved                                   : 2;
};
#define tx_edptx_top_reg_01_e8(val) ((rs_tx_edptx_top_reg_01_e8*)&(val))



#define TX_EDPTX_TOP_REG_01_EC                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0xEC)

#define TX_EDPTX_TOP_REG_01_EC_struct                                    rs_tx_edptx_top_reg_01_ec

typedef struct _rs_tx_edptx_top_reg_01_ec  rs_tx_edptx_top_reg_01_ec;
struct _rs_tx_edptx_top_reg_01_ec {
    unsigned int reg_01_edptx_prbs_pat0_3                   :30;
    unsigned int reserved                                   : 2;
};
#define tx_edptx_top_reg_01_ec(val) ((rs_tx_edptx_top_reg_01_ec*)&(val))



#define TX_EDPTX_TOP_REG_01_F0                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0xF0)

#define TX_EDPTX_TOP_REG_01_F0_struct                                    rs_tx_edptx_top_reg_01_f0

typedef struct _rs_tx_edptx_top_reg_01_f0  rs_tx_edptx_top_reg_01_f0;
struct _rs_tx_edptx_top_reg_01_f0 {
    unsigned int reg_01_edptx_prbs_pat1_0                   :30;
    unsigned int reserved                                   : 2;
};
#define tx_edptx_top_reg_01_f0(val) ((rs_tx_edptx_top_reg_01_f0*)&(val))



#define TX_EDPTX_TOP_REG_01_F4                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0xF4)

#define TX_EDPTX_TOP_REG_01_F4_struct                                    rs_tx_edptx_top_reg_01_f4

typedef struct _rs_tx_edptx_top_reg_01_f4  rs_tx_edptx_top_reg_01_f4;
struct _rs_tx_edptx_top_reg_01_f4 {
    unsigned int reg_01_edptx_prbs_pat1_1                   :30;
    unsigned int reserved                                   : 2;
};
#define tx_edptx_top_reg_01_f4(val) ((rs_tx_edptx_top_reg_01_f4*)&(val))



#define TX_EDPTX_TOP_REG_01_F8                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0xF8)

#define TX_EDPTX_TOP_REG_01_F8_struct                                    rs_tx_edptx_top_reg_01_f8

typedef struct _rs_tx_edptx_top_reg_01_f8  rs_tx_edptx_top_reg_01_f8;
struct _rs_tx_edptx_top_reg_01_f8 {
    unsigned int reg_01_edptx_prbs_pat1_2                   :30;
    unsigned int reserved                                   : 2;
};
#define tx_edptx_top_reg_01_f8(val) ((rs_tx_edptx_top_reg_01_f8*)&(val))



#define TX_EDPTX_TOP_REG_01_FC                                           (HV_EDPTX_TOP_REG_01_BASE_ADDRESS + 0xFC)

#define TX_EDPTX_TOP_REG_01_FC_struct                                    rs_tx_edptx_top_reg_01_fc

typedef struct _rs_tx_edptx_top_reg_01_fc  rs_tx_edptx_top_reg_01_fc;
struct _rs_tx_edptx_top_reg_01_fc {
    unsigned int reg_01_edptx_prbs_pat1_3                   :30;
    unsigned int reserved                                   : 2;
};
#define tx_edptx_top_reg_01_fc(val) ((rs_tx_edptx_top_reg_01_fc*)&(val))



#endif