#ifndef _HV_PAGE_HT7315_EDP_RX_DPCD_HDCP1X_00_H_
#define _HV_PAGE_HT7315_EDP_RX_DPCD_HDCP1X_00_H_

#ifndef HV_EDP_RX_DPCD_HDCP1X_00_BASE_ADDRESS
    #define HV_EDP_RX_DPCD_HDCP1X_00_BASE_ADDRESS                                         0x11049800
#endif


#define RX_EDP_RX_DPCD_HDCP1X_00_00                                      (HV_EDP_RX_DPCD_HDCP1X_00_BASE_ADDRESS + 0x00)

#define RX_EDP_RX_DPCD_HDCP1X_00_00_struct                               rs_rx_edp_rx_dpcd_hdcp1x_00_00

typedef struct _rs_rx_edp_rx_dpcd_hdcp1x_00_00  rs_rx_edp_rx_dpcd_hdcp1x_00_00;
struct _rs_rx_edp_rx_dpcd_hdcp1x_00_00 {
    unsigned int reg_00_dprx_dpcd_hdcp_bksv_0               : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_bksv_1               : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_bksv_2               : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_bksv_3               : 8;
};
#define rx_edp_rx_dpcd_hdcp1x_00_00(val) ((rs_rx_edp_rx_dpcd_hdcp1x_00_00*)&(val))



#define RX_EDP_RX_DPCD_HDCP1X_00_04                                      (HV_EDP_RX_DPCD_HDCP1X_00_BASE_ADDRESS + 0x04)

#define RX_EDP_RX_DPCD_HDCP1X_00_04_struct                               rs_rx_edp_rx_dpcd_hdcp1x_00_04

typedef struct _rs_rx_edp_rx_dpcd_hdcp1x_00_04  rs_rx_edp_rx_dpcd_hdcp1x_00_04;
struct _rs_rx_edp_rx_dpcd_hdcp1x_00_04 {
    unsigned int reg_00_dprx_dpcd_hdcp_bksv_4               : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_r0_0                 : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_r0_1                 : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_aksv_0               : 8;
};
#define rx_edp_rx_dpcd_hdcp1x_00_04(val) ((rs_rx_edp_rx_dpcd_hdcp1x_00_04*)&(val))



#define RX_EDP_RX_DPCD_HDCP1X_00_08                                      (HV_EDP_RX_DPCD_HDCP1X_00_BASE_ADDRESS + 0x08)

#define RX_EDP_RX_DPCD_HDCP1X_00_08_struct                               rs_rx_edp_rx_dpcd_hdcp1x_00_08

typedef struct _rs_rx_edp_rx_dpcd_hdcp1x_00_08  rs_rx_edp_rx_dpcd_hdcp1x_00_08;
struct _rs_rx_edp_rx_dpcd_hdcp1x_00_08 {
    unsigned int reg_00_dprx_dpcd_hdcp_aksv_1               : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_aksv_2               : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_aksv_3               : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_aksv_4               : 8;
};
#define rx_edp_rx_dpcd_hdcp1x_00_08(val) ((rs_rx_edp_rx_dpcd_hdcp1x_00_08*)&(val))



#define RX_EDP_RX_DPCD_HDCP1X_00_0C                                      (HV_EDP_RX_DPCD_HDCP1X_00_BASE_ADDRESS + 0x0C)

#define RX_EDP_RX_DPCD_HDCP1X_00_0C_struct                               rs_rx_edp_rx_dpcd_hdcp1x_00_0c

typedef struct _rs_rx_edp_rx_dpcd_hdcp1x_00_0c  rs_rx_edp_rx_dpcd_hdcp1x_00_0c;
struct _rs_rx_edp_rx_dpcd_hdcp1x_00_0c {
    unsigned int reg_00_dprx_dpcd_hdcp_an_0                 : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_an_1                 : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_an_2                 : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_an_3                 : 8;
};
#define rx_edp_rx_dpcd_hdcp1x_00_0c(val) ((rs_rx_edp_rx_dpcd_hdcp1x_00_0c*)&(val))



#define RX_EDP_RX_DPCD_HDCP1X_00_10                                      (HV_EDP_RX_DPCD_HDCP1X_00_BASE_ADDRESS + 0x10)

#define RX_EDP_RX_DPCD_HDCP1X_00_10_struct                               rs_rx_edp_rx_dpcd_hdcp1x_00_10

typedef struct _rs_rx_edp_rx_dpcd_hdcp1x_00_10  rs_rx_edp_rx_dpcd_hdcp1x_00_10;
struct _rs_rx_edp_rx_dpcd_hdcp1x_00_10 {
    unsigned int reg_00_dprx_dpcd_hdcp_an_4                 : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_an_5                 : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_an_6                 : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_an_7                 : 8;
};
#define rx_edp_rx_dpcd_hdcp1x_00_10(val) ((rs_rx_edp_rx_dpcd_hdcp1x_00_10*)&(val))



#define RX_EDP_RX_DPCD_HDCP1X_00_14                                      (HV_EDP_RX_DPCD_HDCP1X_00_BASE_ADDRESS + 0x14)

#define RX_EDP_RX_DPCD_HDCP1X_00_14_struct                               rs_rx_edp_rx_dpcd_hdcp1x_00_14

typedef struct _rs_rx_edp_rx_dpcd_hdcp1x_00_14  rs_rx_edp_rx_dpcd_hdcp1x_00_14;
struct _rs_rx_edp_rx_dpcd_hdcp1x_00_14 {
    unsigned int reg_00_dprx_dpcd_hdcp_vh_0                 : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_vh_1                 : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_vh_2                 : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_vh_3                 : 8;
};
#define rx_edp_rx_dpcd_hdcp1x_00_14(val) ((rs_rx_edp_rx_dpcd_hdcp1x_00_14*)&(val))



#define RX_EDP_RX_DPCD_HDCP1X_00_18                                      (HV_EDP_RX_DPCD_HDCP1X_00_BASE_ADDRESS + 0x18)

#define RX_EDP_RX_DPCD_HDCP1X_00_18_struct                               rs_rx_edp_rx_dpcd_hdcp1x_00_18

typedef struct _rs_rx_edp_rx_dpcd_hdcp1x_00_18  rs_rx_edp_rx_dpcd_hdcp1x_00_18;
struct _rs_rx_edp_rx_dpcd_hdcp1x_00_18 {
    unsigned int reg_00_dprx_dpcd_hdcp_vh_4                 : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_vh_5                 : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_vh_6                 : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_vh_7                 : 8;
};
#define rx_edp_rx_dpcd_hdcp1x_00_18(val) ((rs_rx_edp_rx_dpcd_hdcp1x_00_18*)&(val))



#define RX_EDP_RX_DPCD_HDCP1X_00_1C                                      (HV_EDP_RX_DPCD_HDCP1X_00_BASE_ADDRESS + 0x1C)

#define RX_EDP_RX_DPCD_HDCP1X_00_1C_struct                               rs_rx_edp_rx_dpcd_hdcp1x_00_1c

typedef struct _rs_rx_edp_rx_dpcd_hdcp1x_00_1c  rs_rx_edp_rx_dpcd_hdcp1x_00_1c;
struct _rs_rx_edp_rx_dpcd_hdcp1x_00_1c {
    unsigned int reg_00_dprx_dpcd_hdcp_vh_8                 : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_vh_9                 : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_vh_10                : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_vh_11                : 8;
};
#define rx_edp_rx_dpcd_hdcp1x_00_1c(val) ((rs_rx_edp_rx_dpcd_hdcp1x_00_1c*)&(val))



#define RX_EDP_RX_DPCD_HDCP1X_00_20                                      (HV_EDP_RX_DPCD_HDCP1X_00_BASE_ADDRESS + 0x20)

#define RX_EDP_RX_DPCD_HDCP1X_00_20_struct                               rs_rx_edp_rx_dpcd_hdcp1x_00_20

typedef struct _rs_rx_edp_rx_dpcd_hdcp1x_00_20  rs_rx_edp_rx_dpcd_hdcp1x_00_20;
struct _rs_rx_edp_rx_dpcd_hdcp1x_00_20 {
    unsigned int reg_00_dprx_dpcd_hdcp_vh_12                : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_vh_13                : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_vh_14                : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_vh_15                : 8;
};
#define rx_edp_rx_dpcd_hdcp1x_00_20(val) ((rs_rx_edp_rx_dpcd_hdcp1x_00_20*)&(val))



#define RX_EDP_RX_DPCD_HDCP1X_00_24                                      (HV_EDP_RX_DPCD_HDCP1X_00_BASE_ADDRESS + 0x24)

#define RX_EDP_RX_DPCD_HDCP1X_00_24_struct                               rs_rx_edp_rx_dpcd_hdcp1x_00_24

typedef struct _rs_rx_edp_rx_dpcd_hdcp1x_00_24  rs_rx_edp_rx_dpcd_hdcp1x_00_24;
struct _rs_rx_edp_rx_dpcd_hdcp1x_00_24 {
    unsigned int reg_00_dprx_dpcd_hdcp_vh_16                : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_vh_17                : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_vh_18                : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_vh_19                : 8;
};
#define rx_edp_rx_dpcd_hdcp1x_00_24(val) ((rs_rx_edp_rx_dpcd_hdcp1x_00_24*)&(val))



#define RX_EDP_RX_DPCD_HDCP1X_00_28                                      (HV_EDP_RX_DPCD_HDCP1X_00_BASE_ADDRESS + 0x28)

#define RX_EDP_RX_DPCD_HDCP1X_00_28_struct                               rs_rx_edp_rx_dpcd_hdcp1x_00_28

typedef struct _rs_rx_edp_rx_dpcd_hdcp1x_00_28  rs_rx_edp_rx_dpcd_hdcp1x_00_28;
struct _rs_rx_edp_rx_dpcd_hdcp1x_00_28 {
    unsigned int reg_00_dprx_dpcd_hdcp_bcaps                : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_bstatus              : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_binfo_0              : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_binfo_1              : 8;
};
#define rx_edp_rx_dpcd_hdcp1x_00_28(val) ((rs_rx_edp_rx_dpcd_hdcp1x_00_28*)&(val))



#define RX_EDP_RX_DPCD_HDCP1X_00_2C                                      (HV_EDP_RX_DPCD_HDCP1X_00_BASE_ADDRESS + 0x2C)

#define RX_EDP_RX_DPCD_HDCP1X_00_2C_struct                               rs_rx_edp_rx_dpcd_hdcp1x_00_2c

typedef struct _rs_rx_edp_rx_dpcd_hdcp1x_00_2c  rs_rx_edp_rx_dpcd_hdcp1x_00_2c;
struct _rs_rx_edp_rx_dpcd_hdcp1x_00_2c {
    unsigned int reg_00_dprx_dpcd_hdcp_ksvfifo_0            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_ksvfifo_1            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_ksvfifo_2            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_ksvfifo_3            : 8;
};
#define rx_edp_rx_dpcd_hdcp1x_00_2c(val) ((rs_rx_edp_rx_dpcd_hdcp1x_00_2c*)&(val))



#define RX_EDP_RX_DPCD_HDCP1X_00_30                                      (HV_EDP_RX_DPCD_HDCP1X_00_BASE_ADDRESS + 0x30)

#define RX_EDP_RX_DPCD_HDCP1X_00_30_struct                               rs_rx_edp_rx_dpcd_hdcp1x_00_30

typedef struct _rs_rx_edp_rx_dpcd_hdcp1x_00_30  rs_rx_edp_rx_dpcd_hdcp1x_00_30;
struct _rs_rx_edp_rx_dpcd_hdcp1x_00_30 {
    unsigned int reg_00_dprx_dpcd_hdcp_ksvfifo_4            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_ksvfifo_5            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_ksvfifo_6            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_ksvfifo_7            : 8;
};
#define rx_edp_rx_dpcd_hdcp1x_00_30(val) ((rs_rx_edp_rx_dpcd_hdcp1x_00_30*)&(val))



#define RX_EDP_RX_DPCD_HDCP1X_00_34                                      (HV_EDP_RX_DPCD_HDCP1X_00_BASE_ADDRESS + 0x34)

#define RX_EDP_RX_DPCD_HDCP1X_00_34_struct                               rs_rx_edp_rx_dpcd_hdcp1x_00_34

typedef struct _rs_rx_edp_rx_dpcd_hdcp1x_00_34  rs_rx_edp_rx_dpcd_hdcp1x_00_34;
struct _rs_rx_edp_rx_dpcd_hdcp1x_00_34 {
    unsigned int reg_00_dprx_dpcd_hdcp_ksvfifo_8            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_ksvfifo_9            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_ksvfifo_10           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_ksvfifo_11           : 8;
};
#define rx_edp_rx_dpcd_hdcp1x_00_34(val) ((rs_rx_edp_rx_dpcd_hdcp1x_00_34*)&(val))



#define RX_EDP_RX_DPCD_HDCP1X_00_38                                      (HV_EDP_RX_DPCD_HDCP1X_00_BASE_ADDRESS + 0x38)

#define RX_EDP_RX_DPCD_HDCP1X_00_38_struct                               rs_rx_edp_rx_dpcd_hdcp1x_00_38

typedef struct _rs_rx_edp_rx_dpcd_hdcp1x_00_38  rs_rx_edp_rx_dpcd_hdcp1x_00_38;
struct _rs_rx_edp_rx_dpcd_hdcp1x_00_38 {
    unsigned int reg_00_dprx_dpcd_hdcp_ksvfifo_12           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_ksvfifo_13           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_ksvfifo_14           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_ainfo                : 8;
};
#define rx_edp_rx_dpcd_hdcp1x_00_38(val) ((rs_rx_edp_rx_dpcd_hdcp1x_00_38*)&(val))



#endif