#ifndef _HV_PAGE_HT7315_EDP_RX_DPCD_HDCP2X_0_00_H_
#define _HV_PAGE_HT7315_EDP_RX_DPCD_HDCP2X_0_00_H_

#ifndef HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS
    #define HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS                                         0x11049900
#endif


#define RX_EDP_RX_DPCD_HDCP2X_0_00_00                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0x00)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_00_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_00

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_00  rs_rx_edp_rx_dpcd_hdcp2x_0_00_00;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_00 {
    unsigned int reg_00_dprx_dpcd_hdcp_rtx_0                : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_rtx_1                : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_rtx_2                : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_rtx_3                : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_00(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_00*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_04                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0x04)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_04_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_04

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_04  rs_rx_edp_rx_dpcd_hdcp2x_0_00_04;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_04 {
    unsigned int reg_00_dprx_dpcd_hdcp_rtx_4                : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_rtx_5                : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_rtx_6                : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_rtx_7                : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_04(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_04*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_08                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0x08)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_08_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_08

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_08  rs_rx_edp_rx_dpcd_hdcp2x_0_00_08;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_08 {
    unsigned int reg_00_dprx_dpcd_hdcp_txcaps_0             : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_txcaps_1             : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_txcaps_2             : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_0             : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_08(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_08*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_0C                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0x0C)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_0C_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_0c

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_0c  rs_rx_edp_rx_dpcd_hdcp2x_0_00_0c;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_0c {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_1             : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_2             : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_3             : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_4             : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_0c(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_0c*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_10                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0x10)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_10_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_10

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_10  rs_rx_edp_rx_dpcd_hdcp2x_0_00_10;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_10 {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_5             : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_6             : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_7             : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_8             : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_10(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_10*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_14                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0x14)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_14_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_14

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_14  rs_rx_edp_rx_dpcd_hdcp2x_0_00_14;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_14 {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_9             : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_10            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_11            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_12            : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_14(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_14*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_18                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0x18)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_18_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_18

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_18  rs_rx_edp_rx_dpcd_hdcp2x_0_00_18;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_18 {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_13            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_14            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_15            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_16            : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_18(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_18*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_1C                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0x1C)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_1C_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_1c

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_1c  rs_rx_edp_rx_dpcd_hdcp2x_0_00_1c;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_1c {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_17            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_18            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_19            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_20            : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_1c(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_1c*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_20                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0x20)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_20_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_20

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_20  rs_rx_edp_rx_dpcd_hdcp2x_0_00_20;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_20 {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_21            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_22            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_23            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_24            : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_20(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_20*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_24                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0x24)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_24_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_24

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_24  rs_rx_edp_rx_dpcd_hdcp2x_0_00_24;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_24 {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_25            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_26            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_27            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_28            : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_24(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_24*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_28                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0x28)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_28_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_28

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_28  rs_rx_edp_rx_dpcd_hdcp2x_0_00_28;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_28 {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_29            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_30            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_31            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_32            : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_28(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_28*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_2C                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0x2C)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_2C_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_2c

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_2c  rs_rx_edp_rx_dpcd_hdcp2x_0_00_2c;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_2c {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_33            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_34            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_35            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_36            : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_2c(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_2c*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_30                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0x30)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_30_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_30

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_30  rs_rx_edp_rx_dpcd_hdcp2x_0_00_30;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_30 {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_37            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_38            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_39            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_40            : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_30(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_30*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_34                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0x34)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_34_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_34

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_34  rs_rx_edp_rx_dpcd_hdcp2x_0_00_34;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_34 {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_41            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_42            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_43            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_44            : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_34(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_34*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_38                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0x38)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_38_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_38

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_38  rs_rx_edp_rx_dpcd_hdcp2x_0_00_38;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_38 {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_45            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_46            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_47            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_48            : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_38(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_38*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_3C                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0x3C)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_3C_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_3c

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_3c  rs_rx_edp_rx_dpcd_hdcp2x_0_00_3c;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_3c {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_49            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_50            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_51            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_52            : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_3c(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_3c*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_40                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0x40)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_40_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_40

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_40  rs_rx_edp_rx_dpcd_hdcp2x_0_00_40;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_40 {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_53            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_54            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_55            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_56            : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_40(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_40*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_44                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0x44)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_44_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_44

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_44  rs_rx_edp_rx_dpcd_hdcp2x_0_00_44;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_44 {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_57            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_58            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_59            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_60            : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_44(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_44*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_48                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0x48)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_48_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_48

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_48  rs_rx_edp_rx_dpcd_hdcp2x_0_00_48;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_48 {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_61            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_62            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_63            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_64            : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_48(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_48*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_4C                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0x4C)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_4C_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_4c

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_4c  rs_rx_edp_rx_dpcd_hdcp2x_0_00_4c;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_4c {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_65            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_66            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_67            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_68            : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_4c(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_4c*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_50                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0x50)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_50_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_50

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_50  rs_rx_edp_rx_dpcd_hdcp2x_0_00_50;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_50 {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_69            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_70            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_71            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_72            : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_50(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_50*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_54                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0x54)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_54_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_54

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_54  rs_rx_edp_rx_dpcd_hdcp2x_0_00_54;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_54 {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_73            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_74            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_75            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_76            : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_54(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_54*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_58                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0x58)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_58_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_58

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_58  rs_rx_edp_rx_dpcd_hdcp2x_0_00_58;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_58 {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_77            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_78            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_79            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_80            : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_58(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_58*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_5C                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0x5C)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_5C_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_5c

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_5c  rs_rx_edp_rx_dpcd_hdcp2x_0_00_5c;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_5c {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_81            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_82            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_83            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_84            : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_5c(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_5c*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_60                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0x60)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_60_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_60

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_60  rs_rx_edp_rx_dpcd_hdcp2x_0_00_60;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_60 {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_85            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_86            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_87            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_88            : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_60(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_60*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_64                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0x64)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_64_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_64

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_64  rs_rx_edp_rx_dpcd_hdcp2x_0_00_64;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_64 {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_89            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_90            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_91            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_92            : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_64(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_64*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_68                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0x68)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_68_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_68

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_68  rs_rx_edp_rx_dpcd_hdcp2x_0_00_68;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_68 {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_93            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_94            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_95            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_96            : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_68(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_68*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_6C                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0x6C)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_6C_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_6c

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_6c  rs_rx_edp_rx_dpcd_hdcp2x_0_00_6c;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_6c {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_97            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_98            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_99            : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_100           : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_6c(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_6c*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_70                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0x70)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_70_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_70

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_70  rs_rx_edp_rx_dpcd_hdcp2x_0_00_70;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_70 {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_101           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_102           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_103           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_104           : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_70(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_70*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_74                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0x74)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_74_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_74

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_74  rs_rx_edp_rx_dpcd_hdcp2x_0_00_74;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_74 {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_105           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_106           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_107           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_108           : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_74(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_74*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_78                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0x78)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_78_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_78

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_78  rs_rx_edp_rx_dpcd_hdcp2x_0_00_78;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_78 {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_109           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_110           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_111           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_112           : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_78(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_78*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_7C                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0x7C)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_7C_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_7c

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_7c  rs_rx_edp_rx_dpcd_hdcp2x_0_00_7c;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_7c {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_113           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_114           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_115           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_116           : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_7c(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_7c*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_80                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0x80)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_80_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_80

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_80  rs_rx_edp_rx_dpcd_hdcp2x_0_00_80;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_80 {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_117           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_118           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_119           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_120           : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_80(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_80*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_84                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0x84)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_84_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_84

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_84  rs_rx_edp_rx_dpcd_hdcp2x_0_00_84;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_84 {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_121           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_122           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_123           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_124           : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_84(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_84*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_88                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0x88)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_88_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_88

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_88  rs_rx_edp_rx_dpcd_hdcp2x_0_00_88;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_88 {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_125           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_126           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_127           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_128           : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_88(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_88*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_8C                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0x8C)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_8C_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_8c

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_8c  rs_rx_edp_rx_dpcd_hdcp2x_0_00_8c;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_8c {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_129           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_130           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_131           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_132           : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_8c(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_8c*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_90                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0x90)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_90_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_90

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_90  rs_rx_edp_rx_dpcd_hdcp2x_0_00_90;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_90 {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_133           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_134           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_135           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_136           : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_90(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_90*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_94                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0x94)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_94_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_94

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_94  rs_rx_edp_rx_dpcd_hdcp2x_0_00_94;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_94 {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_137           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_138           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_139           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_140           : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_94(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_94*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_98                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0x98)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_98_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_98

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_98  rs_rx_edp_rx_dpcd_hdcp2x_0_00_98;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_98 {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_141           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_142           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_143           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_144           : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_98(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_98*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_9C                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0x9C)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_9C_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_9c

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_9c  rs_rx_edp_rx_dpcd_hdcp2x_0_00_9c;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_9c {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_145           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_146           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_147           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_148           : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_9c(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_9c*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_A0                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0xA0)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_A0_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_a0

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_a0  rs_rx_edp_rx_dpcd_hdcp2x_0_00_a0;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_a0 {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_149           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_150           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_151           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_152           : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_a0(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_a0*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_A4                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0xA4)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_A4_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_a4

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_a4  rs_rx_edp_rx_dpcd_hdcp2x_0_00_a4;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_a4 {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_153           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_154           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_155           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_156           : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_a4(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_a4*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_A8                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0xA8)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_A8_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_a8

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_a8  rs_rx_edp_rx_dpcd_hdcp2x_0_00_a8;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_a8 {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_157           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_158           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_159           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_160           : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_a8(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_a8*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_AC                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0xAC)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_AC_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_ac

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_ac  rs_rx_edp_rx_dpcd_hdcp2x_0_00_ac;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_ac {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_161           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_162           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_163           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_164           : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_ac(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_ac*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_B0                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0xB0)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_B0_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_b0

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_b0  rs_rx_edp_rx_dpcd_hdcp2x_0_00_b0;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_b0 {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_165           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_166           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_167           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_168           : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_b0(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_b0*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_B4                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0xB4)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_B4_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_b4

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_b4  rs_rx_edp_rx_dpcd_hdcp2x_0_00_b4;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_b4 {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_169           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_170           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_171           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_172           : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_b4(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_b4*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_B8                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0xB8)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_B8_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_b8

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_b8  rs_rx_edp_rx_dpcd_hdcp2x_0_00_b8;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_b8 {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_173           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_174           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_175           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_176           : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_b8(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_b8*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_BC                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0xBC)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_BC_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_bc

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_bc  rs_rx_edp_rx_dpcd_hdcp2x_0_00_bc;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_bc {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_177           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_178           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_179           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_180           : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_bc(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_bc*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_C0                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0xC0)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_C0_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_c0

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_c0  rs_rx_edp_rx_dpcd_hdcp2x_0_00_c0;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_c0 {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_181           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_182           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_183           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_184           : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_c0(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_c0*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_C4                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0xC4)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_C4_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_c4

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_c4  rs_rx_edp_rx_dpcd_hdcp2x_0_00_c4;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_c4 {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_185           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_186           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_187           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_188           : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_c4(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_c4*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_C8                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0xC8)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_C8_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_c8

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_c8  rs_rx_edp_rx_dpcd_hdcp2x_0_00_c8;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_c8 {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_189           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_190           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_191           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_192           : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_c8(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_c8*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_CC                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0xCC)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_CC_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_cc

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_cc  rs_rx_edp_rx_dpcd_hdcp2x_0_00_cc;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_cc {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_193           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_194           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_195           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_196           : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_cc(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_cc*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_D0                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0xD0)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_D0_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_d0

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_d0  rs_rx_edp_rx_dpcd_hdcp2x_0_00_d0;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_d0 {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_197           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_198           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_199           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_200           : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_d0(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_d0*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_D4                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0xD4)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_D4_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_d4

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_d4  rs_rx_edp_rx_dpcd_hdcp2x_0_00_d4;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_d4 {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_201           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_202           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_203           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_204           : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_d4(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_d4*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_D8                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0xD8)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_D8_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_d8

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_d8  rs_rx_edp_rx_dpcd_hdcp2x_0_00_d8;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_d8 {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_205           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_206           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_207           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_208           : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_d8(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_d8*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_DC                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0xDC)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_DC_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_dc

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_dc  rs_rx_edp_rx_dpcd_hdcp2x_0_00_dc;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_dc {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_209           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_210           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_211           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_212           : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_dc(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_dc*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_E0                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0xE0)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_E0_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_e0

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_e0  rs_rx_edp_rx_dpcd_hdcp2x_0_00_e0;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_e0 {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_213           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_214           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_215           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_216           : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_e0(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_e0*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_E4                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0xE4)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_E4_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_e4

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_e4  rs_rx_edp_rx_dpcd_hdcp2x_0_00_e4;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_e4 {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_217           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_218           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_219           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_220           : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_e4(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_e4*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_E8                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0xE8)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_E8_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_e8

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_e8  rs_rx_edp_rx_dpcd_hdcp2x_0_00_e8;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_e8 {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_221           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_222           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_223           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_224           : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_e8(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_e8*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_EC                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0xEC)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_EC_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_ec

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_ec  rs_rx_edp_rx_dpcd_hdcp2x_0_00_ec;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_ec {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_225           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_226           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_227           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_228           : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_ec(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_ec*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_F0                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0xF0)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_F0_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_f0

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_f0  rs_rx_edp_rx_dpcd_hdcp2x_0_00_f0;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_f0 {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_229           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_230           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_231           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_232           : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_f0(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_f0*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_F4                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0xF4)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_F4_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_f4

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_f4  rs_rx_edp_rx_dpcd_hdcp2x_0_00_f4;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_f4 {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_233           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_234           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_235           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_236           : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_f4(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_f4*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_F8                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0xF8)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_F8_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_f8

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_f8  rs_rx_edp_rx_dpcd_hdcp2x_0_00_f8;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_f8 {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_237           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_238           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_239           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_240           : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_f8(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_f8*)&(val))



#define RX_EDP_RX_DPCD_HDCP2X_0_00_FC                                    (HV_EDP_RX_DPCD_HDCP2X_0_00_BASE_ADDRESS + 0xFC)

#define RX_EDP_RX_DPCD_HDCP2X_0_00_FC_struct                             rs_rx_edp_rx_dpcd_hdcp2x_0_00_fc

typedef struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_fc  rs_rx_edp_rx_dpcd_hdcp2x_0_00_fc;
struct _rs_rx_edp_rx_dpcd_hdcp2x_0_00_fc {
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_241           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_242           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_243           : 8;
    unsigned int reg_00_dprx_dpcd_hdcp_certrx_244           : 8;
};
#define rx_edp_rx_dpcd_hdcp2x_0_00_fc(val) ((rs_rx_edp_rx_dpcd_hdcp2x_0_00_fc*)&(val))



#endif