#ifndef _HV_PAGE_HT7315_EDP_RX_MAC_SDP1_REG_00_H_
#define _HV_PAGE_HT7315_EDP_RX_MAC_SDP1_REG_00_H_

#ifndef HV_EDP_RX_MAC_SDP1_REG_00_BASE_ADDRESS
    #define HV_EDP_RX_MAC_SDP1_REG_00_BASE_ADDRESS                                         0x11048D00
#endif


#define RX_EDP_RX_MAC_SDP1_REG_00_00                                     (HV_EDP_RX_MAC_SDP1_REG_00_BASE_ADDRESS + 0x00)

#define RX_EDP_RX_MAC_SDP1_REG_00_00_struct                              rs_rx_edp_rx_mac_sdp1_reg_00_00

typedef struct _rs_rx_edp_rx_mac_sdp1_reg_00_00  rs_rx_edp_rx_mac_sdp1_reg_00_00;
struct _rs_rx_edp_rx_mac_sdp1_reg_00_00 {
    unsigned int reg_00_dprx_sdp_rb_type00                  : 8;
    unsigned int reg_00_dprx_sdp_rb_type01                  : 8;
    unsigned int reg_00_dprx_sdp_rb_type02                  : 8;
    unsigned int reg_00_dprx_sdp_rb_type03                  : 8;
};
#define rx_edp_rx_mac_sdp1_reg_00_00(val) ((rs_rx_edp_rx_mac_sdp1_reg_00_00*)&(val))



#define RX_EDP_RX_MAC_SDP1_REG_00_04                                     (HV_EDP_RX_MAC_SDP1_REG_00_BASE_ADDRESS + 0x04)

#define RX_EDP_RX_MAC_SDP1_REG_00_04_struct                              rs_rx_edp_rx_mac_sdp1_reg_00_04

typedef struct _rs_rx_edp_rx_mac_sdp1_reg_00_04  rs_rx_edp_rx_mac_sdp1_reg_00_04;
struct _rs_rx_edp_rx_mac_sdp1_reg_00_04 {
    unsigned int regr_00_dprx_rb_sdp0_hb0                   : 8;
    unsigned int regr_00_dprx_rb_sdp0_hb1                   : 8;
    unsigned int regr_00_dprx_rb_sdp0_hb2                   : 8;
    unsigned int regr_00_dprx_rb_sdp0_hb3                   : 8;
};
#define rx_edp_rx_mac_sdp1_reg_00_04(val) ((rs_rx_edp_rx_mac_sdp1_reg_00_04*)&(val))



#define RX_EDP_RX_MAC_SDP1_REG_00_08                                     (HV_EDP_RX_MAC_SDP1_REG_00_BASE_ADDRESS + 0x08)

#define RX_EDP_RX_MAC_SDP1_REG_00_08_struct                              rs_rx_edp_rx_mac_sdp1_reg_00_08

typedef struct _rs_rx_edp_rx_mac_sdp1_reg_00_08  rs_rx_edp_rx_mac_sdp1_reg_00_08;
struct _rs_rx_edp_rx_mac_sdp1_reg_00_08 {
    unsigned int regr_00_dprx_rb_sdp0_db0                   : 8;
    unsigned int regr_00_dprx_rb_sdp0_db1                   : 8;
    unsigned int regr_00_dprx_rb_sdp0_db2                   : 8;
    unsigned int regr_00_dprx_rb_sdp0_db3                   : 8;
};
#define rx_edp_rx_mac_sdp1_reg_00_08(val) ((rs_rx_edp_rx_mac_sdp1_reg_00_08*)&(val))



#define RX_EDP_RX_MAC_SDP1_REG_00_0C                                     (HV_EDP_RX_MAC_SDP1_REG_00_BASE_ADDRESS + 0x0C)

#define RX_EDP_RX_MAC_SDP1_REG_00_0C_struct                              rs_rx_edp_rx_mac_sdp1_reg_00_0c

typedef struct _rs_rx_edp_rx_mac_sdp1_reg_00_0c  rs_rx_edp_rx_mac_sdp1_reg_00_0c;
struct _rs_rx_edp_rx_mac_sdp1_reg_00_0c {
    unsigned int regr_00_dprx_rb_sdp0_db4                   : 8;
    unsigned int regr_00_dprx_rb_sdp0_db5                   : 8;
    unsigned int regr_00_dprx_rb_sdp0_db6                   : 8;
    unsigned int regr_00_dprx_rb_sdp0_db7                   : 8;
};
#define rx_edp_rx_mac_sdp1_reg_00_0c(val) ((rs_rx_edp_rx_mac_sdp1_reg_00_0c*)&(val))



#define RX_EDP_RX_MAC_SDP1_REG_00_10                                     (HV_EDP_RX_MAC_SDP1_REG_00_BASE_ADDRESS + 0x10)

#define RX_EDP_RX_MAC_SDP1_REG_00_10_struct                              rs_rx_edp_rx_mac_sdp1_reg_00_10

typedef struct _rs_rx_edp_rx_mac_sdp1_reg_00_10  rs_rx_edp_rx_mac_sdp1_reg_00_10;
struct _rs_rx_edp_rx_mac_sdp1_reg_00_10 {
    unsigned int regr_00_dprx_rb_sdp0_db8                   : 8;
    unsigned int regr_00_dprx_rb_sdp0_db9                   : 8;
    unsigned int regr_00_dprx_rb_sdp0_db10                  : 8;
    unsigned int regr_00_dprx_rb_sdp0_db11                  : 8;
};
#define rx_edp_rx_mac_sdp1_reg_00_10(val) ((rs_rx_edp_rx_mac_sdp1_reg_00_10*)&(val))



#define RX_EDP_RX_MAC_SDP1_REG_00_14                                     (HV_EDP_RX_MAC_SDP1_REG_00_BASE_ADDRESS + 0x14)

#define RX_EDP_RX_MAC_SDP1_REG_00_14_struct                              rs_rx_edp_rx_mac_sdp1_reg_00_14

typedef struct _rs_rx_edp_rx_mac_sdp1_reg_00_14  rs_rx_edp_rx_mac_sdp1_reg_00_14;
struct _rs_rx_edp_rx_mac_sdp1_reg_00_14 {
    unsigned int regr_00_dprx_rb_sdp0_db12                  : 8;
    unsigned int regr_00_dprx_rb_sdp0_db13                  : 8;
    unsigned int regr_00_dprx_rb_sdp0_db14                  : 8;
    unsigned int regr_00_dprx_rb_sdp0_db15                  : 8;
};
#define rx_edp_rx_mac_sdp1_reg_00_14(val) ((rs_rx_edp_rx_mac_sdp1_reg_00_14*)&(val))



#define RX_EDP_RX_MAC_SDP1_REG_00_18                                     (HV_EDP_RX_MAC_SDP1_REG_00_BASE_ADDRESS + 0x18)

#define RX_EDP_RX_MAC_SDP1_REG_00_18_struct                              rs_rx_edp_rx_mac_sdp1_reg_00_18

typedef struct _rs_rx_edp_rx_mac_sdp1_reg_00_18  rs_rx_edp_rx_mac_sdp1_reg_00_18;
struct _rs_rx_edp_rx_mac_sdp1_reg_00_18 {
    unsigned int regr_00_dprx_rb_sdp0_db16                  : 8;
    unsigned int regr_00_dprx_rb_sdp0_db17                  : 8;
    unsigned int regr_00_dprx_rb_sdp0_db18                  : 8;
    unsigned int regr_00_dprx_rb_sdp0_db19                  : 8;
};
#define rx_edp_rx_mac_sdp1_reg_00_18(val) ((rs_rx_edp_rx_mac_sdp1_reg_00_18*)&(val))



#define RX_EDP_RX_MAC_SDP1_REG_00_1C                                     (HV_EDP_RX_MAC_SDP1_REG_00_BASE_ADDRESS + 0x1C)

#define RX_EDP_RX_MAC_SDP1_REG_00_1C_struct                              rs_rx_edp_rx_mac_sdp1_reg_00_1c

typedef struct _rs_rx_edp_rx_mac_sdp1_reg_00_1c  rs_rx_edp_rx_mac_sdp1_reg_00_1c;
struct _rs_rx_edp_rx_mac_sdp1_reg_00_1c {
    unsigned int regr_00_dprx_rb_sdp0_db20                  : 8;
    unsigned int regr_00_dprx_rb_sdp0_db21                  : 8;
    unsigned int regr_00_dprx_rb_sdp0_db22                  : 8;
    unsigned int regr_00_dprx_rb_sdp0_db23                  : 8;
};
#define rx_edp_rx_mac_sdp1_reg_00_1c(val) ((rs_rx_edp_rx_mac_sdp1_reg_00_1c*)&(val))



#define RX_EDP_RX_MAC_SDP1_REG_00_20                                     (HV_EDP_RX_MAC_SDP1_REG_00_BASE_ADDRESS + 0x20)

#define RX_EDP_RX_MAC_SDP1_REG_00_20_struct                              rs_rx_edp_rx_mac_sdp1_reg_00_20

typedef struct _rs_rx_edp_rx_mac_sdp1_reg_00_20  rs_rx_edp_rx_mac_sdp1_reg_00_20;
struct _rs_rx_edp_rx_mac_sdp1_reg_00_20 {
    unsigned int regr_00_dprx_rb_sdp0_db24                  : 8;
    unsigned int regr_00_dprx_rb_sdp0_db25                  : 8;
    unsigned int regr_00_dprx_rb_sdp0_db26                  : 8;
    unsigned int regr_00_dprx_rb_sdp0_db27                  : 8;
};
#define rx_edp_rx_mac_sdp1_reg_00_20(val) ((rs_rx_edp_rx_mac_sdp1_reg_00_20*)&(val))



#define RX_EDP_RX_MAC_SDP1_REG_00_24                                     (HV_EDP_RX_MAC_SDP1_REG_00_BASE_ADDRESS + 0x24)

#define RX_EDP_RX_MAC_SDP1_REG_00_24_struct                              rs_rx_edp_rx_mac_sdp1_reg_00_24

typedef struct _rs_rx_edp_rx_mac_sdp1_reg_00_24  rs_rx_edp_rx_mac_sdp1_reg_00_24;
struct _rs_rx_edp_rx_mac_sdp1_reg_00_24 {
    unsigned int regr_00_dprx_rb_sdp0_db28                  : 8;
    unsigned int regr_00_dprx_rb_sdp0_db29                  : 8;
    unsigned int regr_00_dprx_rb_sdp0_db30                  : 8;
    unsigned int regr_00_dprx_rb_sdp0_db31                  : 8;
};
#define rx_edp_rx_mac_sdp1_reg_00_24(val) ((rs_rx_edp_rx_mac_sdp1_reg_00_24*)&(val))



#define RX_EDP_RX_MAC_SDP1_REG_00_28                                     (HV_EDP_RX_MAC_SDP1_REG_00_BASE_ADDRESS + 0x28)

#define RX_EDP_RX_MAC_SDP1_REG_00_28_struct                              rs_rx_edp_rx_mac_sdp1_reg_00_28

typedef struct _rs_rx_edp_rx_mac_sdp1_reg_00_28  rs_rx_edp_rx_mac_sdp1_reg_00_28;
struct _rs_rx_edp_rx_mac_sdp1_reg_00_28 {
    unsigned int regr_00_dprx_rb_sdp1_hb0                   : 8;
    unsigned int regr_00_dprx_rb_sdp1_hb1                   : 8;
    unsigned int regr_00_dprx_rb_sdp1_hb2                   : 8;
    unsigned int regr_00_dprx_rb_sdp1_hb3                   : 8;
};
#define rx_edp_rx_mac_sdp1_reg_00_28(val) ((rs_rx_edp_rx_mac_sdp1_reg_00_28*)&(val))



#define RX_EDP_RX_MAC_SDP1_REG_00_2C                                     (HV_EDP_RX_MAC_SDP1_REG_00_BASE_ADDRESS + 0x2C)

#define RX_EDP_RX_MAC_SDP1_REG_00_2C_struct                              rs_rx_edp_rx_mac_sdp1_reg_00_2c

typedef struct _rs_rx_edp_rx_mac_sdp1_reg_00_2c  rs_rx_edp_rx_mac_sdp1_reg_00_2c;
struct _rs_rx_edp_rx_mac_sdp1_reg_00_2c {
    unsigned int regr_00_dprx_rb_sdp1_db0                   : 8;
    unsigned int regr_00_dprx_rb_sdp1_db1                   : 8;
    unsigned int regr_00_dprx_rb_sdp1_db2                   : 8;
    unsigned int regr_00_dprx_rb_sdp1_db3                   : 8;
};
#define rx_edp_rx_mac_sdp1_reg_00_2c(val) ((rs_rx_edp_rx_mac_sdp1_reg_00_2c*)&(val))



#define RX_EDP_RX_MAC_SDP1_REG_00_30                                     (HV_EDP_RX_MAC_SDP1_REG_00_BASE_ADDRESS + 0x30)

#define RX_EDP_RX_MAC_SDP1_REG_00_30_struct                              rs_rx_edp_rx_mac_sdp1_reg_00_30

typedef struct _rs_rx_edp_rx_mac_sdp1_reg_00_30  rs_rx_edp_rx_mac_sdp1_reg_00_30;
struct _rs_rx_edp_rx_mac_sdp1_reg_00_30 {
    unsigned int regr_00_dprx_rb_sdp1_db4                   : 8;
    unsigned int regr_00_dprx_rb_sdp1_db5                   : 8;
    unsigned int regr_00_dprx_rb_sdp1_db6                   : 8;
    unsigned int regr_00_dprx_rb_sdp1_db7                   : 8;
};
#define rx_edp_rx_mac_sdp1_reg_00_30(val) ((rs_rx_edp_rx_mac_sdp1_reg_00_30*)&(val))



#define RX_EDP_RX_MAC_SDP1_REG_00_34                                     (HV_EDP_RX_MAC_SDP1_REG_00_BASE_ADDRESS + 0x34)

#define RX_EDP_RX_MAC_SDP1_REG_00_34_struct                              rs_rx_edp_rx_mac_sdp1_reg_00_34

typedef struct _rs_rx_edp_rx_mac_sdp1_reg_00_34  rs_rx_edp_rx_mac_sdp1_reg_00_34;
struct _rs_rx_edp_rx_mac_sdp1_reg_00_34 {
    unsigned int regr_00_dprx_rb_sdp1_db8                   : 8;
    unsigned int regr_00_dprx_rb_sdp1_db9                   : 8;
    unsigned int regr_00_dprx_rb_sdp1_db10                  : 8;
    unsigned int regr_00_dprx_rb_sdp1_db11                  : 8;
};
#define rx_edp_rx_mac_sdp1_reg_00_34(val) ((rs_rx_edp_rx_mac_sdp1_reg_00_34*)&(val))



#define RX_EDP_RX_MAC_SDP1_REG_00_38                                     (HV_EDP_RX_MAC_SDP1_REG_00_BASE_ADDRESS + 0x38)

#define RX_EDP_RX_MAC_SDP1_REG_00_38_struct                              rs_rx_edp_rx_mac_sdp1_reg_00_38

typedef struct _rs_rx_edp_rx_mac_sdp1_reg_00_38  rs_rx_edp_rx_mac_sdp1_reg_00_38;
struct _rs_rx_edp_rx_mac_sdp1_reg_00_38 {
    unsigned int regr_00_dprx_rb_sdp1_db12                  : 8;
    unsigned int regr_00_dprx_rb_sdp1_db13                  : 8;
    unsigned int regr_00_dprx_rb_sdp1_db14                  : 8;
    unsigned int regr_00_dprx_rb_sdp1_db15                  : 8;
};
#define rx_edp_rx_mac_sdp1_reg_00_38(val) ((rs_rx_edp_rx_mac_sdp1_reg_00_38*)&(val))



#define RX_EDP_RX_MAC_SDP1_REG_00_3C                                     (HV_EDP_RX_MAC_SDP1_REG_00_BASE_ADDRESS + 0x3C)

#define RX_EDP_RX_MAC_SDP1_REG_00_3C_struct                              rs_rx_edp_rx_mac_sdp1_reg_00_3c

typedef struct _rs_rx_edp_rx_mac_sdp1_reg_00_3c  rs_rx_edp_rx_mac_sdp1_reg_00_3c;
struct _rs_rx_edp_rx_mac_sdp1_reg_00_3c {
    unsigned int regr_00_dprx_rb_sdp1_db16                  : 8;
    unsigned int regr_00_dprx_rb_sdp1_db17                  : 8;
    unsigned int regr_00_dprx_rb_sdp1_db18                  : 8;
    unsigned int regr_00_dprx_rb_sdp1_db19                  : 8;
};
#define rx_edp_rx_mac_sdp1_reg_00_3c(val) ((rs_rx_edp_rx_mac_sdp1_reg_00_3c*)&(val))



#define RX_EDP_RX_MAC_SDP1_REG_00_40                                     (HV_EDP_RX_MAC_SDP1_REG_00_BASE_ADDRESS + 0x40)

#define RX_EDP_RX_MAC_SDP1_REG_00_40_struct                              rs_rx_edp_rx_mac_sdp1_reg_00_40

typedef struct _rs_rx_edp_rx_mac_sdp1_reg_00_40  rs_rx_edp_rx_mac_sdp1_reg_00_40;
struct _rs_rx_edp_rx_mac_sdp1_reg_00_40 {
    unsigned int regr_00_dprx_rb_sdp1_db20                  : 8;
    unsigned int regr_00_dprx_rb_sdp1_db21                  : 8;
    unsigned int regr_00_dprx_rb_sdp1_db22                  : 8;
    unsigned int regr_00_dprx_rb_sdp1_db23                  : 8;
};
#define rx_edp_rx_mac_sdp1_reg_00_40(val) ((rs_rx_edp_rx_mac_sdp1_reg_00_40*)&(val))



#define RX_EDP_RX_MAC_SDP1_REG_00_44                                     (HV_EDP_RX_MAC_SDP1_REG_00_BASE_ADDRESS + 0x44)

#define RX_EDP_RX_MAC_SDP1_REG_00_44_struct                              rs_rx_edp_rx_mac_sdp1_reg_00_44

typedef struct _rs_rx_edp_rx_mac_sdp1_reg_00_44  rs_rx_edp_rx_mac_sdp1_reg_00_44;
struct _rs_rx_edp_rx_mac_sdp1_reg_00_44 {
    unsigned int regr_00_dprx_rb_sdp1_db24                  : 8;
    unsigned int regr_00_dprx_rb_sdp1_db25                  : 8;
    unsigned int regr_00_dprx_rb_sdp1_db26                  : 8;
    unsigned int regr_00_dprx_rb_sdp1_db27                  : 8;
};
#define rx_edp_rx_mac_sdp1_reg_00_44(val) ((rs_rx_edp_rx_mac_sdp1_reg_00_44*)&(val))



#define RX_EDP_RX_MAC_SDP1_REG_00_48                                     (HV_EDP_RX_MAC_SDP1_REG_00_BASE_ADDRESS + 0x48)

#define RX_EDP_RX_MAC_SDP1_REG_00_48_struct                              rs_rx_edp_rx_mac_sdp1_reg_00_48

typedef struct _rs_rx_edp_rx_mac_sdp1_reg_00_48  rs_rx_edp_rx_mac_sdp1_reg_00_48;
struct _rs_rx_edp_rx_mac_sdp1_reg_00_48 {
    unsigned int regr_00_dprx_rb_sdp1_db28                  : 8;
    unsigned int regr_00_dprx_rb_sdp1_db29                  : 8;
    unsigned int regr_00_dprx_rb_sdp1_db30                  : 8;
    unsigned int regr_00_dprx_rb_sdp1_db31                  : 8;
};
#define rx_edp_rx_mac_sdp1_reg_00_48(val) ((rs_rx_edp_rx_mac_sdp1_reg_00_48*)&(val))



#define RX_EDP_RX_MAC_SDP1_REG_00_4C                                     (HV_EDP_RX_MAC_SDP1_REG_00_BASE_ADDRESS + 0x4C)

#define RX_EDP_RX_MAC_SDP1_REG_00_4C_struct                              rs_rx_edp_rx_mac_sdp1_reg_00_4c

typedef struct _rs_rx_edp_rx_mac_sdp1_reg_00_4c  rs_rx_edp_rx_mac_sdp1_reg_00_4c;
struct _rs_rx_edp_rx_mac_sdp1_reg_00_4c {
    unsigned int regr_00_dprx_rb_sdp2_hb0                   : 8;
    unsigned int regr_00_dprx_rb_sdp2_hb1                   : 8;
    unsigned int regr_00_dprx_rb_sdp2_hb2                   : 8;
    unsigned int regr_00_dprx_rb_sdp2_hb3                   : 8;
};
#define rx_edp_rx_mac_sdp1_reg_00_4c(val) ((rs_rx_edp_rx_mac_sdp1_reg_00_4c*)&(val))



#define RX_EDP_RX_MAC_SDP1_REG_00_50                                     (HV_EDP_RX_MAC_SDP1_REG_00_BASE_ADDRESS + 0x50)

#define RX_EDP_RX_MAC_SDP1_REG_00_50_struct                              rs_rx_edp_rx_mac_sdp1_reg_00_50

typedef struct _rs_rx_edp_rx_mac_sdp1_reg_00_50  rs_rx_edp_rx_mac_sdp1_reg_00_50;
struct _rs_rx_edp_rx_mac_sdp1_reg_00_50 {
    unsigned int regr_00_dprx_rb_sdp2_db0                   : 8;
    unsigned int regr_00_dprx_rb_sdp2_db1                   : 8;
    unsigned int regr_00_dprx_rb_sdp2_db2                   : 8;
    unsigned int regr_00_dprx_rb_sdp2_db3                   : 8;
};
#define rx_edp_rx_mac_sdp1_reg_00_50(val) ((rs_rx_edp_rx_mac_sdp1_reg_00_50*)&(val))



#define RX_EDP_RX_MAC_SDP1_REG_00_54                                     (HV_EDP_RX_MAC_SDP1_REG_00_BASE_ADDRESS + 0x54)

#define RX_EDP_RX_MAC_SDP1_REG_00_54_struct                              rs_rx_edp_rx_mac_sdp1_reg_00_54

typedef struct _rs_rx_edp_rx_mac_sdp1_reg_00_54  rs_rx_edp_rx_mac_sdp1_reg_00_54;
struct _rs_rx_edp_rx_mac_sdp1_reg_00_54 {
    unsigned int regr_00_dprx_rb_sdp2_db4                   : 8;
    unsigned int regr_00_dprx_rb_sdp2_db5                   : 8;
    unsigned int regr_00_dprx_rb_sdp2_db6                   : 8;
    unsigned int regr_00_dprx_rb_sdp2_db7                   : 8;
};
#define rx_edp_rx_mac_sdp1_reg_00_54(val) ((rs_rx_edp_rx_mac_sdp1_reg_00_54*)&(val))



#define RX_EDP_RX_MAC_SDP1_REG_00_58                                     (HV_EDP_RX_MAC_SDP1_REG_00_BASE_ADDRESS + 0x58)

#define RX_EDP_RX_MAC_SDP1_REG_00_58_struct                              rs_rx_edp_rx_mac_sdp1_reg_00_58

typedef struct _rs_rx_edp_rx_mac_sdp1_reg_00_58  rs_rx_edp_rx_mac_sdp1_reg_00_58;
struct _rs_rx_edp_rx_mac_sdp1_reg_00_58 {
    unsigned int regr_00_dprx_rb_sdp2_db8                   : 8;
    unsigned int regr_00_dprx_rb_sdp2_db9                   : 8;
    unsigned int regr_00_dprx_rb_sdp2_db10                  : 8;
    unsigned int regr_00_dprx_rb_sdp2_db11                  : 8;
};
#define rx_edp_rx_mac_sdp1_reg_00_58(val) ((rs_rx_edp_rx_mac_sdp1_reg_00_58*)&(val))



#define RX_EDP_RX_MAC_SDP1_REG_00_5C                                     (HV_EDP_RX_MAC_SDP1_REG_00_BASE_ADDRESS + 0x5C)

#define RX_EDP_RX_MAC_SDP1_REG_00_5C_struct                              rs_rx_edp_rx_mac_sdp1_reg_00_5c

typedef struct _rs_rx_edp_rx_mac_sdp1_reg_00_5c  rs_rx_edp_rx_mac_sdp1_reg_00_5c;
struct _rs_rx_edp_rx_mac_sdp1_reg_00_5c {
    unsigned int regr_00_dprx_rb_sdp2_db12                  : 8;
    unsigned int regr_00_dprx_rb_sdp2_db13                  : 8;
    unsigned int regr_00_dprx_rb_sdp2_db14                  : 8;
    unsigned int regr_00_dprx_rb_sdp2_db15                  : 8;
};
#define rx_edp_rx_mac_sdp1_reg_00_5c(val) ((rs_rx_edp_rx_mac_sdp1_reg_00_5c*)&(val))



#define RX_EDP_RX_MAC_SDP1_REG_00_60                                     (HV_EDP_RX_MAC_SDP1_REG_00_BASE_ADDRESS + 0x60)

#define RX_EDP_RX_MAC_SDP1_REG_00_60_struct                              rs_rx_edp_rx_mac_sdp1_reg_00_60

typedef struct _rs_rx_edp_rx_mac_sdp1_reg_00_60  rs_rx_edp_rx_mac_sdp1_reg_00_60;
struct _rs_rx_edp_rx_mac_sdp1_reg_00_60 {
    unsigned int regr_00_dprx_rb_sdp2_db16                  : 8;
    unsigned int regr_00_dprx_rb_sdp2_db17                  : 8;
    unsigned int regr_00_dprx_rb_sdp2_db18                  : 8;
    unsigned int regr_00_dprx_rb_sdp2_db19                  : 8;
};
#define rx_edp_rx_mac_sdp1_reg_00_60(val) ((rs_rx_edp_rx_mac_sdp1_reg_00_60*)&(val))



#define RX_EDP_RX_MAC_SDP1_REG_00_64                                     (HV_EDP_RX_MAC_SDP1_REG_00_BASE_ADDRESS + 0x64)

#define RX_EDP_RX_MAC_SDP1_REG_00_64_struct                              rs_rx_edp_rx_mac_sdp1_reg_00_64

typedef struct _rs_rx_edp_rx_mac_sdp1_reg_00_64  rs_rx_edp_rx_mac_sdp1_reg_00_64;
struct _rs_rx_edp_rx_mac_sdp1_reg_00_64 {
    unsigned int regr_00_dprx_rb_sdp2_db20                  : 8;
    unsigned int regr_00_dprx_rb_sdp2_db21                  : 8;
    unsigned int regr_00_dprx_rb_sdp2_db22                  : 8;
    unsigned int regr_00_dprx_rb_sdp2_db23                  : 8;
};
#define rx_edp_rx_mac_sdp1_reg_00_64(val) ((rs_rx_edp_rx_mac_sdp1_reg_00_64*)&(val))



#define RX_EDP_RX_MAC_SDP1_REG_00_68                                     (HV_EDP_RX_MAC_SDP1_REG_00_BASE_ADDRESS + 0x68)

#define RX_EDP_RX_MAC_SDP1_REG_00_68_struct                              rs_rx_edp_rx_mac_sdp1_reg_00_68

typedef struct _rs_rx_edp_rx_mac_sdp1_reg_00_68  rs_rx_edp_rx_mac_sdp1_reg_00_68;
struct _rs_rx_edp_rx_mac_sdp1_reg_00_68 {
    unsigned int regr_00_dprx_rb_sdp2_db24                  : 8;
    unsigned int regr_00_dprx_rb_sdp2_db25                  : 8;
    unsigned int regr_00_dprx_rb_sdp2_db26                  : 8;
    unsigned int regr_00_dprx_rb_sdp2_db27                  : 8;
};
#define rx_edp_rx_mac_sdp1_reg_00_68(val) ((rs_rx_edp_rx_mac_sdp1_reg_00_68*)&(val))



#define RX_EDP_RX_MAC_SDP1_REG_00_6C                                     (HV_EDP_RX_MAC_SDP1_REG_00_BASE_ADDRESS + 0x6C)

#define RX_EDP_RX_MAC_SDP1_REG_00_6C_struct                              rs_rx_edp_rx_mac_sdp1_reg_00_6c

typedef struct _rs_rx_edp_rx_mac_sdp1_reg_00_6c  rs_rx_edp_rx_mac_sdp1_reg_00_6c;
struct _rs_rx_edp_rx_mac_sdp1_reg_00_6c {
    unsigned int regr_00_dprx_rb_sdp2_db28                  : 8;
    unsigned int regr_00_dprx_rb_sdp2_db29                  : 8;
    unsigned int regr_00_dprx_rb_sdp2_db30                  : 8;
    unsigned int regr_00_dprx_rb_sdp2_db31                  : 8;
};
#define rx_edp_rx_mac_sdp1_reg_00_6c(val) ((rs_rx_edp_rx_mac_sdp1_reg_00_6c*)&(val))



#define RX_EDP_RX_MAC_SDP1_REG_00_70                                     (HV_EDP_RX_MAC_SDP1_REG_00_BASE_ADDRESS + 0x70)

#define RX_EDP_RX_MAC_SDP1_REG_00_70_struct                              rs_rx_edp_rx_mac_sdp1_reg_00_70

typedef struct _rs_rx_edp_rx_mac_sdp1_reg_00_70  rs_rx_edp_rx_mac_sdp1_reg_00_70;
struct _rs_rx_edp_rx_mac_sdp1_reg_00_70 {
    unsigned int regr_00_dprx_rb_sdp3_hb0                   : 8;
    unsigned int regr_00_dprx_rb_sdp3_hb1                   : 8;
    unsigned int regr_00_dprx_rb_sdp3_hb2                   : 8;
    unsigned int regr_00_dprx_rb_sdp3_hb3                   : 8;
};
#define rx_edp_rx_mac_sdp1_reg_00_70(val) ((rs_rx_edp_rx_mac_sdp1_reg_00_70*)&(val))



#define RX_EDP_RX_MAC_SDP1_REG_00_74                                     (HV_EDP_RX_MAC_SDP1_REG_00_BASE_ADDRESS + 0x74)

#define RX_EDP_RX_MAC_SDP1_REG_00_74_struct                              rs_rx_edp_rx_mac_sdp1_reg_00_74

typedef struct _rs_rx_edp_rx_mac_sdp1_reg_00_74  rs_rx_edp_rx_mac_sdp1_reg_00_74;
struct _rs_rx_edp_rx_mac_sdp1_reg_00_74 {
    unsigned int regr_00_dprx_rb_sdp3_db0                   : 8;
    unsigned int regr_00_dprx_rb_sdp3_db1                   : 8;
    unsigned int regr_00_dprx_rb_sdp3_db2                   : 8;
    unsigned int regr_00_dprx_rb_sdp3_db3                   : 8;
};
#define rx_edp_rx_mac_sdp1_reg_00_74(val) ((rs_rx_edp_rx_mac_sdp1_reg_00_74*)&(val))



#define RX_EDP_RX_MAC_SDP1_REG_00_78                                     (HV_EDP_RX_MAC_SDP1_REG_00_BASE_ADDRESS + 0x78)

#define RX_EDP_RX_MAC_SDP1_REG_00_78_struct                              rs_rx_edp_rx_mac_sdp1_reg_00_78

typedef struct _rs_rx_edp_rx_mac_sdp1_reg_00_78  rs_rx_edp_rx_mac_sdp1_reg_00_78;
struct _rs_rx_edp_rx_mac_sdp1_reg_00_78 {
    unsigned int regr_00_dprx_rb_sdp3_db4                   : 8;
    unsigned int regr_00_dprx_rb_sdp3_db5                   : 8;
    unsigned int regr_00_dprx_rb_sdp3_db6                   : 8;
    unsigned int regr_00_dprx_rb_sdp3_db7                   : 8;
};
#define rx_edp_rx_mac_sdp1_reg_00_78(val) ((rs_rx_edp_rx_mac_sdp1_reg_00_78*)&(val))



#define RX_EDP_RX_MAC_SDP1_REG_00_7C                                     (HV_EDP_RX_MAC_SDP1_REG_00_BASE_ADDRESS + 0x7C)

#define RX_EDP_RX_MAC_SDP1_REG_00_7C_struct                              rs_rx_edp_rx_mac_sdp1_reg_00_7c

typedef struct _rs_rx_edp_rx_mac_sdp1_reg_00_7c  rs_rx_edp_rx_mac_sdp1_reg_00_7c;
struct _rs_rx_edp_rx_mac_sdp1_reg_00_7c {
    unsigned int regr_00_dprx_rb_sdp3_db8                   : 8;
    unsigned int regr_00_dprx_rb_sdp3_db9                   : 8;
    unsigned int regr_00_dprx_rb_sdp3_db10                  : 8;
    unsigned int regr_00_dprx_rb_sdp3_db11                  : 8;
};
#define rx_edp_rx_mac_sdp1_reg_00_7c(val) ((rs_rx_edp_rx_mac_sdp1_reg_00_7c*)&(val))



#define RX_EDP_RX_MAC_SDP1_REG_00_80                                     (HV_EDP_RX_MAC_SDP1_REG_00_BASE_ADDRESS + 0x80)

#define RX_EDP_RX_MAC_SDP1_REG_00_80_struct                              rs_rx_edp_rx_mac_sdp1_reg_00_80

typedef struct _rs_rx_edp_rx_mac_sdp1_reg_00_80  rs_rx_edp_rx_mac_sdp1_reg_00_80;
struct _rs_rx_edp_rx_mac_sdp1_reg_00_80 {
    unsigned int regr_00_dprx_rb_sdp3_db12                  : 8;
    unsigned int regr_00_dprx_rb_sdp3_db13                  : 8;
    unsigned int regr_00_dprx_rb_sdp3_db14                  : 8;
    unsigned int regr_00_dprx_rb_sdp3_db15                  : 8;
};
#define rx_edp_rx_mac_sdp1_reg_00_80(val) ((rs_rx_edp_rx_mac_sdp1_reg_00_80*)&(val))



#define RX_EDP_RX_MAC_SDP1_REG_00_84                                     (HV_EDP_RX_MAC_SDP1_REG_00_BASE_ADDRESS + 0x84)

#define RX_EDP_RX_MAC_SDP1_REG_00_84_struct                              rs_rx_edp_rx_mac_sdp1_reg_00_84

typedef struct _rs_rx_edp_rx_mac_sdp1_reg_00_84  rs_rx_edp_rx_mac_sdp1_reg_00_84;
struct _rs_rx_edp_rx_mac_sdp1_reg_00_84 {
    unsigned int regr_00_dprx_rb_sdp3_db16                  : 8;
    unsigned int regr_00_dprx_rb_sdp3_db17                  : 8;
    unsigned int regr_00_dprx_rb_sdp3_db18                  : 8;
    unsigned int regr_00_dprx_rb_sdp3_db19                  : 8;
};
#define rx_edp_rx_mac_sdp1_reg_00_84(val) ((rs_rx_edp_rx_mac_sdp1_reg_00_84*)&(val))



#define RX_EDP_RX_MAC_SDP1_REG_00_88                                     (HV_EDP_RX_MAC_SDP1_REG_00_BASE_ADDRESS + 0x88)

#define RX_EDP_RX_MAC_SDP1_REG_00_88_struct                              rs_rx_edp_rx_mac_sdp1_reg_00_88

typedef struct _rs_rx_edp_rx_mac_sdp1_reg_00_88  rs_rx_edp_rx_mac_sdp1_reg_00_88;
struct _rs_rx_edp_rx_mac_sdp1_reg_00_88 {
    unsigned int regr_00_dprx_rb_sdp3_db20                  : 8;
    unsigned int regr_00_dprx_rb_sdp3_db21                  : 8;
    unsigned int regr_00_dprx_rb_sdp3_db22                  : 8;
    unsigned int regr_00_dprx_rb_sdp3_db23                  : 8;
};
#define rx_edp_rx_mac_sdp1_reg_00_88(val) ((rs_rx_edp_rx_mac_sdp1_reg_00_88*)&(val))



#define RX_EDP_RX_MAC_SDP1_REG_00_8C                                     (HV_EDP_RX_MAC_SDP1_REG_00_BASE_ADDRESS + 0x8C)

#define RX_EDP_RX_MAC_SDP1_REG_00_8C_struct                              rs_rx_edp_rx_mac_sdp1_reg_00_8c

typedef struct _rs_rx_edp_rx_mac_sdp1_reg_00_8c  rs_rx_edp_rx_mac_sdp1_reg_00_8c;
struct _rs_rx_edp_rx_mac_sdp1_reg_00_8c {
    unsigned int regr_00_dprx_rb_sdp3_db24                  : 8;
    unsigned int regr_00_dprx_rb_sdp3_db25                  : 8;
    unsigned int regr_00_dprx_rb_sdp3_db26                  : 8;
    unsigned int regr_00_dprx_rb_sdp3_db27                  : 8;
};
#define rx_edp_rx_mac_sdp1_reg_00_8c(val) ((rs_rx_edp_rx_mac_sdp1_reg_00_8c*)&(val))



#define RX_EDP_RX_MAC_SDP1_REG_00_90                                     (HV_EDP_RX_MAC_SDP1_REG_00_BASE_ADDRESS + 0x90)

#define RX_EDP_RX_MAC_SDP1_REG_00_90_struct                              rs_rx_edp_rx_mac_sdp1_reg_00_90

typedef struct _rs_rx_edp_rx_mac_sdp1_reg_00_90  rs_rx_edp_rx_mac_sdp1_reg_00_90;
struct _rs_rx_edp_rx_mac_sdp1_reg_00_90 {
    unsigned int regr_00_dprx_rb_sdp3_db28                  : 8;
    unsigned int regr_00_dprx_rb_sdp3_db29                  : 8;
    unsigned int regr_00_dprx_rb_sdp3_db30                  : 8;
    unsigned int regr_00_dprx_rb_sdp3_db31                  : 8;
};
#define rx_edp_rx_mac_sdp1_reg_00_90(val) ((rs_rx_edp_rx_mac_sdp1_reg_00_90*)&(val))



#endif