#ifndef _HV_PAGE_HT7315_EDP_RX_MAC_SDP_REG_01_H_
#define _HV_PAGE_HT7315_EDP_RX_MAC_SDP_REG_01_H_

#ifndef HV_EDP_RX_MAC_SDP_REG_01_BASE_ADDRESS
    #define HV_EDP_RX_MAC_SDP_REG_01_BASE_ADDRESS                                         0x1104AB00
#endif


#define RX_EDP_RX_MAC_SDP_REG_01_00                                      (HV_EDP_RX_MAC_SDP_REG_01_BASE_ADDRESS + 0x00)

#define RX_EDP_RX_MAC_SDP_REG_01_00_struct                               rs_rx_edp_rx_mac_sdp_reg_01_00

typedef struct _rs_rx_edp_rx_mac_sdp_reg_01_00  rs_rx_edp_rx_mac_sdp_reg_01_00;
struct _rs_rx_edp_rx_mac_sdp_reg_01_00 {
    unsigned int reg_01_dprx_sdp_dbg_clr                    : 1;
    unsigned int reserved                                   : 4;
    unsigned int reg_01_dprx_nibble_interleaving_en         : 1;
    unsigned int reg_01_dprx_sdp_sw_sfifo_wclr              : 1;
    unsigned int reserved_1                                 : 1;
    unsigned int reg_01_dprx_audio_en                       : 1;
    unsigned int reg_01_dprx_audio_clr_en                   : 1;
    unsigned int reg_01_dprx_audio_stream_abn_clr           : 1;
    unsigned int reg_01_dprx_sw_aud_rd_mode                 : 2;
    unsigned int reg_01_dprx_sdp_dsc_header_bypass          : 3;
    unsigned int reg_01_dprx_sdp_vsc_header_bypass          : 8;
    unsigned int regr_01_dprx_sdp_update_num                : 8;
};
#define rx_edp_rx_mac_sdp_reg_01_00(val) ((rs_rx_edp_rx_mac_sdp_reg_01_00*)&(val))



#define RX_EDP_RX_MAC_SDP_REG_01_04                                      (HV_EDP_RX_MAC_SDP_REG_01_BASE_ADDRESS + 0x04)

#define RX_EDP_RX_MAC_SDP_REG_01_04_struct                               rs_rx_edp_rx_mac_sdp_reg_01_04

typedef struct _rs_rx_edp_rx_mac_sdp_reg_01_04  rs_rx_edp_rx_mac_sdp_reg_01_04;
struct _rs_rx_edp_rx_mac_sdp_reg_01_04 {
    unsigned int regr_01_dprx_sdp0_hb0                      : 8;
    unsigned int regr_01_dprx_sdp0_hb1                      : 8;
    unsigned int regr_01_dprx_sdp0_hb2                      : 8;
    unsigned int regr_01_dprx_sdp0_hb3                      : 8;
};
#define rx_edp_rx_mac_sdp_reg_01_04(val) ((rs_rx_edp_rx_mac_sdp_reg_01_04*)&(val))



#define RX_EDP_RX_MAC_SDP_REG_01_08                                      (HV_EDP_RX_MAC_SDP_REG_01_BASE_ADDRESS + 0x08)

#define RX_EDP_RX_MAC_SDP_REG_01_08_struct                               rs_rx_edp_rx_mac_sdp_reg_01_08

typedef struct _rs_rx_edp_rx_mac_sdp_reg_01_08  rs_rx_edp_rx_mac_sdp_reg_01_08;
struct _rs_rx_edp_rx_mac_sdp_reg_01_08 {
    unsigned int regr_01_dprx_sdp0_db0                      : 8;
    unsigned int regr_01_dprx_sdp0_db1                      : 8;
    unsigned int regr_01_dprx_sdp0_db2                      : 8;
    unsigned int regr_01_dprx_sdp0_db3                      : 8;
};
#define rx_edp_rx_mac_sdp_reg_01_08(val) ((rs_rx_edp_rx_mac_sdp_reg_01_08*)&(val))



#define RX_EDP_RX_MAC_SDP_REG_01_0C                                      (HV_EDP_RX_MAC_SDP_REG_01_BASE_ADDRESS + 0x0C)

#define RX_EDP_RX_MAC_SDP_REG_01_0C_struct                               rs_rx_edp_rx_mac_sdp_reg_01_0c

typedef struct _rs_rx_edp_rx_mac_sdp_reg_01_0c  rs_rx_edp_rx_mac_sdp_reg_01_0c;
struct _rs_rx_edp_rx_mac_sdp_reg_01_0c {
    unsigned int regr_01_dprx_sdp0_db4                      : 8;
    unsigned int regr_01_dprx_sdp0_db5                      : 8;
    unsigned int regr_01_dprx_sdp0_db6                      : 8;
    unsigned int regr_01_dprx_sdp0_db7                      : 8;
};
#define rx_edp_rx_mac_sdp_reg_01_0c(val) ((rs_rx_edp_rx_mac_sdp_reg_01_0c*)&(val))



#define RX_EDP_RX_MAC_SDP_REG_01_10                                      (HV_EDP_RX_MAC_SDP_REG_01_BASE_ADDRESS + 0x10)

#define RX_EDP_RX_MAC_SDP_REG_01_10_struct                               rs_rx_edp_rx_mac_sdp_reg_01_10

typedef struct _rs_rx_edp_rx_mac_sdp_reg_01_10  rs_rx_edp_rx_mac_sdp_reg_01_10;
struct _rs_rx_edp_rx_mac_sdp_reg_01_10 {
    unsigned int regr_01_dprx_sdp0_db8                      : 8;
    unsigned int regr_01_dprx_sdp0_db9                      : 8;
    unsigned int regr_01_dprx_sdp0_db10                     : 8;
    unsigned int regr_01_dprx_sdp0_db11                     : 8;
};
#define rx_edp_rx_mac_sdp_reg_01_10(val) ((rs_rx_edp_rx_mac_sdp_reg_01_10*)&(val))



#define RX_EDP_RX_MAC_SDP_REG_01_14                                      (HV_EDP_RX_MAC_SDP_REG_01_BASE_ADDRESS + 0x14)

#define RX_EDP_RX_MAC_SDP_REG_01_14_struct                               rs_rx_edp_rx_mac_sdp_reg_01_14

typedef struct _rs_rx_edp_rx_mac_sdp_reg_01_14  rs_rx_edp_rx_mac_sdp_reg_01_14;
struct _rs_rx_edp_rx_mac_sdp_reg_01_14 {
    unsigned int regr_01_dprx_sdp0_db12                     : 8;
    unsigned int regr_01_dprx_sdp0_db13                     : 8;
    unsigned int regr_01_dprx_sdp0_db14                     : 8;
    unsigned int regr_01_dprx_sdp0_db15                     : 8;
};
#define rx_edp_rx_mac_sdp_reg_01_14(val) ((rs_rx_edp_rx_mac_sdp_reg_01_14*)&(val))



#define RX_EDP_RX_MAC_SDP_REG_01_18                                      (HV_EDP_RX_MAC_SDP_REG_01_BASE_ADDRESS + 0x18)

#define RX_EDP_RX_MAC_SDP_REG_01_18_struct                               rs_rx_edp_rx_mac_sdp_reg_01_18

typedef struct _rs_rx_edp_rx_mac_sdp_reg_01_18  rs_rx_edp_rx_mac_sdp_reg_01_18;
struct _rs_rx_edp_rx_mac_sdp_reg_01_18 {
    unsigned int regr_01_dprx_sdp0_db16                     : 8;
    unsigned int regr_01_dprx_sdp0_db17                     : 8;
    unsigned int regr_01_dprx_sdp0_db18                     : 8;
    unsigned int regr_01_dprx_sdp0_db19                     : 8;
};
#define rx_edp_rx_mac_sdp_reg_01_18(val) ((rs_rx_edp_rx_mac_sdp_reg_01_18*)&(val))



#define RX_EDP_RX_MAC_SDP_REG_01_1C                                      (HV_EDP_RX_MAC_SDP_REG_01_BASE_ADDRESS + 0x1C)

#define RX_EDP_RX_MAC_SDP_REG_01_1C_struct                               rs_rx_edp_rx_mac_sdp_reg_01_1c

typedef struct _rs_rx_edp_rx_mac_sdp_reg_01_1c  rs_rx_edp_rx_mac_sdp_reg_01_1c;
struct _rs_rx_edp_rx_mac_sdp_reg_01_1c {
    unsigned int regr_01_dprx_sdp0_db20                     : 8;
    unsigned int regr_01_dprx_sdp0_db21                     : 8;
    unsigned int regr_01_dprx_sdp0_db22                     : 8;
    unsigned int regr_01_dprx_sdp0_db23                     : 8;
};
#define rx_edp_rx_mac_sdp_reg_01_1c(val) ((rs_rx_edp_rx_mac_sdp_reg_01_1c*)&(val))



#define RX_EDP_RX_MAC_SDP_REG_01_20                                      (HV_EDP_RX_MAC_SDP_REG_01_BASE_ADDRESS + 0x20)

#define RX_EDP_RX_MAC_SDP_REG_01_20_struct                               rs_rx_edp_rx_mac_sdp_reg_01_20

typedef struct _rs_rx_edp_rx_mac_sdp_reg_01_20  rs_rx_edp_rx_mac_sdp_reg_01_20;
struct _rs_rx_edp_rx_mac_sdp_reg_01_20 {
    unsigned int regr_01_dprx_sdp0_db24                     : 8;
    unsigned int regr_01_dprx_sdp0_db25                     : 8;
    unsigned int regr_01_dprx_sdp0_db26                     : 8;
    unsigned int regr_01_dprx_sdp0_db27                     : 8;
};
#define rx_edp_rx_mac_sdp_reg_01_20(val) ((rs_rx_edp_rx_mac_sdp_reg_01_20*)&(val))



#define RX_EDP_RX_MAC_SDP_REG_01_24                                      (HV_EDP_RX_MAC_SDP_REG_01_BASE_ADDRESS + 0x24)

#define RX_EDP_RX_MAC_SDP_REG_01_24_struct                               rs_rx_edp_rx_mac_sdp_reg_01_24

typedef struct _rs_rx_edp_rx_mac_sdp_reg_01_24  rs_rx_edp_rx_mac_sdp_reg_01_24;
struct _rs_rx_edp_rx_mac_sdp_reg_01_24 {
    unsigned int regr_01_dprx_sdp0_db28                     : 8;
    unsigned int regr_01_dprx_sdp0_db29                     : 8;
    unsigned int regr_01_dprx_sdp0_db30                     : 8;
    unsigned int regr_01_dprx_sdp0_db31                     : 8;
};
#define rx_edp_rx_mac_sdp_reg_01_24(val) ((rs_rx_edp_rx_mac_sdp_reg_01_24*)&(val))



#define RX_EDP_RX_MAC_SDP_REG_01_28                                      (HV_EDP_RX_MAC_SDP_REG_01_BASE_ADDRESS + 0x28)

#define RX_EDP_RX_MAC_SDP_REG_01_28_struct                               rs_rx_edp_rx_mac_sdp_reg_01_28

typedef struct _rs_rx_edp_rx_mac_sdp_reg_01_28  rs_rx_edp_rx_mac_sdp_reg_01_28;
struct _rs_rx_edp_rx_mac_sdp_reg_01_28 {
    unsigned int regr_01_dprx_sdp1_hb0                      : 8;
    unsigned int regr_01_dprx_sdp1_hb1                      : 8;
    unsigned int regr_01_dprx_sdp1_hb2                      : 8;
    unsigned int regr_01_dprx_sdp1_hb3                      : 8;
};
#define rx_edp_rx_mac_sdp_reg_01_28(val) ((rs_rx_edp_rx_mac_sdp_reg_01_28*)&(val))



#define RX_EDP_RX_MAC_SDP_REG_01_2C                                      (HV_EDP_RX_MAC_SDP_REG_01_BASE_ADDRESS + 0x2C)

#define RX_EDP_RX_MAC_SDP_REG_01_2C_struct                               rs_rx_edp_rx_mac_sdp_reg_01_2c

typedef struct _rs_rx_edp_rx_mac_sdp_reg_01_2c  rs_rx_edp_rx_mac_sdp_reg_01_2c;
struct _rs_rx_edp_rx_mac_sdp_reg_01_2c {
    unsigned int regr_01_dprx_sdp1_db0                      : 8;
    unsigned int regr_01_dprx_sdp1_db1                      : 8;
    unsigned int regr_01_dprx_sdp1_db2                      : 8;
    unsigned int regr_01_dprx_sdp1_db3                      : 8;
};
#define rx_edp_rx_mac_sdp_reg_01_2c(val) ((rs_rx_edp_rx_mac_sdp_reg_01_2c*)&(val))



#define RX_EDP_RX_MAC_SDP_REG_01_30                                      (HV_EDP_RX_MAC_SDP_REG_01_BASE_ADDRESS + 0x30)

#define RX_EDP_RX_MAC_SDP_REG_01_30_struct                               rs_rx_edp_rx_mac_sdp_reg_01_30

typedef struct _rs_rx_edp_rx_mac_sdp_reg_01_30  rs_rx_edp_rx_mac_sdp_reg_01_30;
struct _rs_rx_edp_rx_mac_sdp_reg_01_30 {
    unsigned int regr_01_dprx_sdp1_db4                      : 8;
    unsigned int regr_01_dprx_sdp1_db5                      : 8;
    unsigned int regr_01_dprx_sdp1_db6                      : 8;
    unsigned int regr_01_dprx_sdp1_db7                      : 8;
};
#define rx_edp_rx_mac_sdp_reg_01_30(val) ((rs_rx_edp_rx_mac_sdp_reg_01_30*)&(val))



#define RX_EDP_RX_MAC_SDP_REG_01_34                                      (HV_EDP_RX_MAC_SDP_REG_01_BASE_ADDRESS + 0x34)

#define RX_EDP_RX_MAC_SDP_REG_01_34_struct                               rs_rx_edp_rx_mac_sdp_reg_01_34

typedef struct _rs_rx_edp_rx_mac_sdp_reg_01_34  rs_rx_edp_rx_mac_sdp_reg_01_34;
struct _rs_rx_edp_rx_mac_sdp_reg_01_34 {
    unsigned int regr_01_dprx_sdp1_db8                      : 8;
    unsigned int regr_01_dprx_sdp1_db9                      : 8;
    unsigned int regr_01_dprx_sdp1_db10                     : 8;
    unsigned int regr_01_dprx_sdp1_db11                     : 8;
};
#define rx_edp_rx_mac_sdp_reg_01_34(val) ((rs_rx_edp_rx_mac_sdp_reg_01_34*)&(val))



#define RX_EDP_RX_MAC_SDP_REG_01_38                                      (HV_EDP_RX_MAC_SDP_REG_01_BASE_ADDRESS + 0x38)

#define RX_EDP_RX_MAC_SDP_REG_01_38_struct                               rs_rx_edp_rx_mac_sdp_reg_01_38

typedef struct _rs_rx_edp_rx_mac_sdp_reg_01_38  rs_rx_edp_rx_mac_sdp_reg_01_38;
struct _rs_rx_edp_rx_mac_sdp_reg_01_38 {
    unsigned int regr_01_dprx_sdp1_db12                     : 8;
    unsigned int regr_01_dprx_sdp1_db13                     : 8;
    unsigned int regr_01_dprx_sdp1_db14                     : 8;
    unsigned int regr_01_dprx_sdp1_db15                     : 8;
};
#define rx_edp_rx_mac_sdp_reg_01_38(val) ((rs_rx_edp_rx_mac_sdp_reg_01_38*)&(val))



#define RX_EDP_RX_MAC_SDP_REG_01_3C                                      (HV_EDP_RX_MAC_SDP_REG_01_BASE_ADDRESS + 0x3C)

#define RX_EDP_RX_MAC_SDP_REG_01_3C_struct                               rs_rx_edp_rx_mac_sdp_reg_01_3c

typedef struct _rs_rx_edp_rx_mac_sdp_reg_01_3c  rs_rx_edp_rx_mac_sdp_reg_01_3c;
struct _rs_rx_edp_rx_mac_sdp_reg_01_3c {
    unsigned int regr_01_dprx_sdp1_db16                     : 8;
    unsigned int regr_01_dprx_sdp1_db17                     : 8;
    unsigned int regr_01_dprx_sdp1_db18                     : 8;
    unsigned int regr_01_dprx_sdp1_db19                     : 8;
};
#define rx_edp_rx_mac_sdp_reg_01_3c(val) ((rs_rx_edp_rx_mac_sdp_reg_01_3c*)&(val))



#define RX_EDP_RX_MAC_SDP_REG_01_40                                      (HV_EDP_RX_MAC_SDP_REG_01_BASE_ADDRESS + 0x40)

#define RX_EDP_RX_MAC_SDP_REG_01_40_struct                               rs_rx_edp_rx_mac_sdp_reg_01_40

typedef struct _rs_rx_edp_rx_mac_sdp_reg_01_40  rs_rx_edp_rx_mac_sdp_reg_01_40;
struct _rs_rx_edp_rx_mac_sdp_reg_01_40 {
    unsigned int regr_01_dprx_sdp1_db20                     : 8;
    unsigned int regr_01_dprx_sdp1_db21                     : 8;
    unsigned int regr_01_dprx_sdp1_db22                     : 8;
    unsigned int regr_01_dprx_sdp1_db23                     : 8;
};
#define rx_edp_rx_mac_sdp_reg_01_40(val) ((rs_rx_edp_rx_mac_sdp_reg_01_40*)&(val))



#define RX_EDP_RX_MAC_SDP_REG_01_44                                      (HV_EDP_RX_MAC_SDP_REG_01_BASE_ADDRESS + 0x44)

#define RX_EDP_RX_MAC_SDP_REG_01_44_struct                               rs_rx_edp_rx_mac_sdp_reg_01_44

typedef struct _rs_rx_edp_rx_mac_sdp_reg_01_44  rs_rx_edp_rx_mac_sdp_reg_01_44;
struct _rs_rx_edp_rx_mac_sdp_reg_01_44 {
    unsigned int regr_01_dprx_sdp1_db24                     : 8;
    unsigned int regr_01_dprx_sdp1_db25                     : 8;
    unsigned int regr_01_dprx_sdp1_db26                     : 8;
    unsigned int regr_01_dprx_sdp1_db27                     : 8;
};
#define rx_edp_rx_mac_sdp_reg_01_44(val) ((rs_rx_edp_rx_mac_sdp_reg_01_44*)&(val))



#define RX_EDP_RX_MAC_SDP_REG_01_48                                      (HV_EDP_RX_MAC_SDP_REG_01_BASE_ADDRESS + 0x48)

#define RX_EDP_RX_MAC_SDP_REG_01_48_struct                               rs_rx_edp_rx_mac_sdp_reg_01_48

typedef struct _rs_rx_edp_rx_mac_sdp_reg_01_48  rs_rx_edp_rx_mac_sdp_reg_01_48;
struct _rs_rx_edp_rx_mac_sdp_reg_01_48 {
    unsigned int regr_01_dprx_sdp1_db28                     : 8;
    unsigned int regr_01_dprx_sdp1_db29                     : 8;
    unsigned int regr_01_dprx_sdp1_db30                     : 8;
    unsigned int regr_01_dprx_sdp1_db31                     : 8;
};
#define rx_edp_rx_mac_sdp_reg_01_48(val) ((rs_rx_edp_rx_mac_sdp_reg_01_48*)&(val))



#define RX_EDP_RX_MAC_SDP_REG_01_4C                                      (HV_EDP_RX_MAC_SDP_REG_01_BASE_ADDRESS + 0x4C)

#define RX_EDP_RX_MAC_SDP_REG_01_4C_struct                               rs_rx_edp_rx_mac_sdp_reg_01_4c

typedef struct _rs_rx_edp_rx_mac_sdp_reg_01_4c  rs_rx_edp_rx_mac_sdp_reg_01_4c;
struct _rs_rx_edp_rx_mac_sdp_reg_01_4c {
    unsigned int regr_01_dprx_sdp2_hb0                      : 8;
    unsigned int regr_01_dprx_sdp2_hb1                      : 8;
    unsigned int regr_01_dprx_sdp2_hb2                      : 8;
    unsigned int regr_01_dprx_sdp2_hb3                      : 8;
};
#define rx_edp_rx_mac_sdp_reg_01_4c(val) ((rs_rx_edp_rx_mac_sdp_reg_01_4c*)&(val))



#define RX_EDP_RX_MAC_SDP_REG_01_50                                      (HV_EDP_RX_MAC_SDP_REG_01_BASE_ADDRESS + 0x50)

#define RX_EDP_RX_MAC_SDP_REG_01_50_struct                               rs_rx_edp_rx_mac_sdp_reg_01_50

typedef struct _rs_rx_edp_rx_mac_sdp_reg_01_50  rs_rx_edp_rx_mac_sdp_reg_01_50;
struct _rs_rx_edp_rx_mac_sdp_reg_01_50 {
    unsigned int regr_01_dprx_sdp2_db0                      : 8;
    unsigned int regr_01_dprx_sdp2_db1                      : 8;
    unsigned int regr_01_dprx_sdp2_db2                      : 8;
    unsigned int regr_01_dprx_sdp2_db3                      : 8;
};
#define rx_edp_rx_mac_sdp_reg_01_50(val) ((rs_rx_edp_rx_mac_sdp_reg_01_50*)&(val))



#define RX_EDP_RX_MAC_SDP_REG_01_54                                      (HV_EDP_RX_MAC_SDP_REG_01_BASE_ADDRESS + 0x54)

#define RX_EDP_RX_MAC_SDP_REG_01_54_struct                               rs_rx_edp_rx_mac_sdp_reg_01_54

typedef struct _rs_rx_edp_rx_mac_sdp_reg_01_54  rs_rx_edp_rx_mac_sdp_reg_01_54;
struct _rs_rx_edp_rx_mac_sdp_reg_01_54 {
    unsigned int regr_01_dprx_sdp2_db4                      : 8;
    unsigned int regr_01_dprx_sdp2_db5                      : 8;
    unsigned int regr_01_dprx_sdp2_db6                      : 8;
    unsigned int regr_01_dprx_sdp2_db7                      : 8;
};
#define rx_edp_rx_mac_sdp_reg_01_54(val) ((rs_rx_edp_rx_mac_sdp_reg_01_54*)&(val))



#define RX_EDP_RX_MAC_SDP_REG_01_58                                      (HV_EDP_RX_MAC_SDP_REG_01_BASE_ADDRESS + 0x58)

#define RX_EDP_RX_MAC_SDP_REG_01_58_struct                               rs_rx_edp_rx_mac_sdp_reg_01_58

typedef struct _rs_rx_edp_rx_mac_sdp_reg_01_58  rs_rx_edp_rx_mac_sdp_reg_01_58;
struct _rs_rx_edp_rx_mac_sdp_reg_01_58 {
    unsigned int regr_01_dprx_sdp2_db8                      : 8;
    unsigned int regr_01_dprx_sdp2_db9                      : 8;
    unsigned int regr_01_dprx_sdp2_db10                     : 8;
    unsigned int regr_01_dprx_sdp2_db11                     : 8;
};
#define rx_edp_rx_mac_sdp_reg_01_58(val) ((rs_rx_edp_rx_mac_sdp_reg_01_58*)&(val))



#define RX_EDP_RX_MAC_SDP_REG_01_5C                                      (HV_EDP_RX_MAC_SDP_REG_01_BASE_ADDRESS + 0x5C)

#define RX_EDP_RX_MAC_SDP_REG_01_5C_struct                               rs_rx_edp_rx_mac_sdp_reg_01_5c

typedef struct _rs_rx_edp_rx_mac_sdp_reg_01_5c  rs_rx_edp_rx_mac_sdp_reg_01_5c;
struct _rs_rx_edp_rx_mac_sdp_reg_01_5c {
    unsigned int regr_01_dprx_sdp2_db12                     : 8;
    unsigned int regr_01_dprx_sdp2_db13                     : 8;
    unsigned int regr_01_dprx_sdp2_db14                     : 8;
    unsigned int regr_01_dprx_sdp2_db15                     : 8;
};
#define rx_edp_rx_mac_sdp_reg_01_5c(val) ((rs_rx_edp_rx_mac_sdp_reg_01_5c*)&(val))



#define RX_EDP_RX_MAC_SDP_REG_01_60                                      (HV_EDP_RX_MAC_SDP_REG_01_BASE_ADDRESS + 0x60)

#define RX_EDP_RX_MAC_SDP_REG_01_60_struct                               rs_rx_edp_rx_mac_sdp_reg_01_60

typedef struct _rs_rx_edp_rx_mac_sdp_reg_01_60  rs_rx_edp_rx_mac_sdp_reg_01_60;
struct _rs_rx_edp_rx_mac_sdp_reg_01_60 {
    unsigned int regr_01_dprx_sdp2_db16                     : 8;
    unsigned int regr_01_dprx_sdp2_db17                     : 8;
    unsigned int regr_01_dprx_sdp2_db18                     : 8;
    unsigned int regr_01_dprx_sdp2_db19                     : 8;
};
#define rx_edp_rx_mac_sdp_reg_01_60(val) ((rs_rx_edp_rx_mac_sdp_reg_01_60*)&(val))



#define RX_EDP_RX_MAC_SDP_REG_01_64                                      (HV_EDP_RX_MAC_SDP_REG_01_BASE_ADDRESS + 0x64)

#define RX_EDP_RX_MAC_SDP_REG_01_64_struct                               rs_rx_edp_rx_mac_sdp_reg_01_64

typedef struct _rs_rx_edp_rx_mac_sdp_reg_01_64  rs_rx_edp_rx_mac_sdp_reg_01_64;
struct _rs_rx_edp_rx_mac_sdp_reg_01_64 {
    unsigned int regr_01_dprx_sdp2_db20                     : 8;
    unsigned int regr_01_dprx_sdp2_db21                     : 8;
    unsigned int regr_01_dprx_sdp2_db22                     : 8;
    unsigned int regr_01_dprx_sdp2_db23                     : 8;
};
#define rx_edp_rx_mac_sdp_reg_01_64(val) ((rs_rx_edp_rx_mac_sdp_reg_01_64*)&(val))



#define RX_EDP_RX_MAC_SDP_REG_01_68                                      (HV_EDP_RX_MAC_SDP_REG_01_BASE_ADDRESS + 0x68)

#define RX_EDP_RX_MAC_SDP_REG_01_68_struct                               rs_rx_edp_rx_mac_sdp_reg_01_68

typedef struct _rs_rx_edp_rx_mac_sdp_reg_01_68  rs_rx_edp_rx_mac_sdp_reg_01_68;
struct _rs_rx_edp_rx_mac_sdp_reg_01_68 {
    unsigned int regr_01_dprx_sdp2_db24                     : 8;
    unsigned int regr_01_dprx_sdp2_db25                     : 8;
    unsigned int regr_01_dprx_sdp2_db26                     : 8;
    unsigned int regr_01_dprx_sdp2_db27                     : 8;
};
#define rx_edp_rx_mac_sdp_reg_01_68(val) ((rs_rx_edp_rx_mac_sdp_reg_01_68*)&(val))



#define RX_EDP_RX_MAC_SDP_REG_01_6C                                      (HV_EDP_RX_MAC_SDP_REG_01_BASE_ADDRESS + 0x6C)

#define RX_EDP_RX_MAC_SDP_REG_01_6C_struct                               rs_rx_edp_rx_mac_sdp_reg_01_6c

typedef struct _rs_rx_edp_rx_mac_sdp_reg_01_6c  rs_rx_edp_rx_mac_sdp_reg_01_6c;
struct _rs_rx_edp_rx_mac_sdp_reg_01_6c {
    unsigned int regr_01_dprx_sdp2_db28                     : 8;
    unsigned int regr_01_dprx_sdp2_db29                     : 8;
    unsigned int regr_01_dprx_sdp2_db30                     : 8;
    unsigned int regr_01_dprx_sdp2_db31                     : 8;
};
#define rx_edp_rx_mac_sdp_reg_01_6c(val) ((rs_rx_edp_rx_mac_sdp_reg_01_6c*)&(val))



#define RX_EDP_RX_MAC_SDP_REG_01_70                                      (HV_EDP_RX_MAC_SDP_REG_01_BASE_ADDRESS + 0x70)

#define RX_EDP_RX_MAC_SDP_REG_01_70_struct                               rs_rx_edp_rx_mac_sdp_reg_01_70

typedef struct _rs_rx_edp_rx_mac_sdp_reg_01_70  rs_rx_edp_rx_mac_sdp_reg_01_70;
struct _rs_rx_edp_rx_mac_sdp_reg_01_70 {
    unsigned int regr_01_dprx_sdp3_hb0                      : 8;
    unsigned int regr_01_dprx_sdp3_hb1                      : 8;
    unsigned int regr_01_dprx_sdp3_hb2                      : 8;
    unsigned int regr_01_dprx_sdp3_hb3                      : 8;
};
#define rx_edp_rx_mac_sdp_reg_01_70(val) ((rs_rx_edp_rx_mac_sdp_reg_01_70*)&(val))



#define RX_EDP_RX_MAC_SDP_REG_01_74                                      (HV_EDP_RX_MAC_SDP_REG_01_BASE_ADDRESS + 0x74)

#define RX_EDP_RX_MAC_SDP_REG_01_74_struct                               rs_rx_edp_rx_mac_sdp_reg_01_74

typedef struct _rs_rx_edp_rx_mac_sdp_reg_01_74  rs_rx_edp_rx_mac_sdp_reg_01_74;
struct _rs_rx_edp_rx_mac_sdp_reg_01_74 {
    unsigned int regr_01_dprx_sdp3_db0                      : 8;
    unsigned int regr_01_dprx_sdp3_db1                      : 8;
    unsigned int regr_01_dprx_sdp3_db2                      : 8;
    unsigned int regr_01_dprx_sdp3_db3                      : 8;
};
#define rx_edp_rx_mac_sdp_reg_01_74(val) ((rs_rx_edp_rx_mac_sdp_reg_01_74*)&(val))



#define RX_EDP_RX_MAC_SDP_REG_01_78                                      (HV_EDP_RX_MAC_SDP_REG_01_BASE_ADDRESS + 0x78)

#define RX_EDP_RX_MAC_SDP_REG_01_78_struct                               rs_rx_edp_rx_mac_sdp_reg_01_78

typedef struct _rs_rx_edp_rx_mac_sdp_reg_01_78  rs_rx_edp_rx_mac_sdp_reg_01_78;
struct _rs_rx_edp_rx_mac_sdp_reg_01_78 {
    unsigned int regr_01_dprx_sdp3_db4                      : 8;
    unsigned int regr_01_dprx_sdp3_db5                      : 8;
    unsigned int regr_01_dprx_sdp3_db6                      : 8;
    unsigned int regr_01_dprx_sdp3_db7                      : 8;
};
#define rx_edp_rx_mac_sdp_reg_01_78(val) ((rs_rx_edp_rx_mac_sdp_reg_01_78*)&(val))



#define RX_EDP_RX_MAC_SDP_REG_01_7C                                      (HV_EDP_RX_MAC_SDP_REG_01_BASE_ADDRESS + 0x7C)

#define RX_EDP_RX_MAC_SDP_REG_01_7C_struct                               rs_rx_edp_rx_mac_sdp_reg_01_7c

typedef struct _rs_rx_edp_rx_mac_sdp_reg_01_7c  rs_rx_edp_rx_mac_sdp_reg_01_7c;
struct _rs_rx_edp_rx_mac_sdp_reg_01_7c {
    unsigned int regr_01_dprx_sdp3_db8                      : 8;
    unsigned int regr_01_dprx_sdp3_db9                      : 8;
    unsigned int regr_01_dprx_sdp3_db10                     : 8;
    unsigned int regr_01_dprx_sdp3_db11                     : 8;
};
#define rx_edp_rx_mac_sdp_reg_01_7c(val) ((rs_rx_edp_rx_mac_sdp_reg_01_7c*)&(val))



#define RX_EDP_RX_MAC_SDP_REG_01_80                                      (HV_EDP_RX_MAC_SDP_REG_01_BASE_ADDRESS + 0x80)

#define RX_EDP_RX_MAC_SDP_REG_01_80_struct                               rs_rx_edp_rx_mac_sdp_reg_01_80

typedef struct _rs_rx_edp_rx_mac_sdp_reg_01_80  rs_rx_edp_rx_mac_sdp_reg_01_80;
struct _rs_rx_edp_rx_mac_sdp_reg_01_80 {
    unsigned int regr_01_dprx_sdp3_db12                     : 8;
    unsigned int regr_01_dprx_sdp3_db13                     : 8;
    unsigned int regr_01_dprx_sdp3_db14                     : 8;
    unsigned int regr_01_dprx_sdp3_db15                     : 8;
};
#define rx_edp_rx_mac_sdp_reg_01_80(val) ((rs_rx_edp_rx_mac_sdp_reg_01_80*)&(val))



#define RX_EDP_RX_MAC_SDP_REG_01_84                                      (HV_EDP_RX_MAC_SDP_REG_01_BASE_ADDRESS + 0x84)

#define RX_EDP_RX_MAC_SDP_REG_01_84_struct                               rs_rx_edp_rx_mac_sdp_reg_01_84

typedef struct _rs_rx_edp_rx_mac_sdp_reg_01_84  rs_rx_edp_rx_mac_sdp_reg_01_84;
struct _rs_rx_edp_rx_mac_sdp_reg_01_84 {
    unsigned int regr_01_dprx_sdp3_db16                     : 8;
    unsigned int regr_01_dprx_sdp3_db17                     : 8;
    unsigned int regr_01_dprx_sdp3_db18                     : 8;
    unsigned int regr_01_dprx_sdp3_db19                     : 8;
};
#define rx_edp_rx_mac_sdp_reg_01_84(val) ((rs_rx_edp_rx_mac_sdp_reg_01_84*)&(val))



#define RX_EDP_RX_MAC_SDP_REG_01_88                                      (HV_EDP_RX_MAC_SDP_REG_01_BASE_ADDRESS + 0x88)

#define RX_EDP_RX_MAC_SDP_REG_01_88_struct                               rs_rx_edp_rx_mac_sdp_reg_01_88

typedef struct _rs_rx_edp_rx_mac_sdp_reg_01_88  rs_rx_edp_rx_mac_sdp_reg_01_88;
struct _rs_rx_edp_rx_mac_sdp_reg_01_88 {
    unsigned int regr_01_dprx_sdp3_db20                     : 8;
    unsigned int regr_01_dprx_sdp3_db21                     : 8;
    unsigned int regr_01_dprx_sdp3_db22                     : 8;
    unsigned int regr_01_dprx_sdp3_db23                     : 8;
};
#define rx_edp_rx_mac_sdp_reg_01_88(val) ((rs_rx_edp_rx_mac_sdp_reg_01_88*)&(val))



#define RX_EDP_RX_MAC_SDP_REG_01_8C                                      (HV_EDP_RX_MAC_SDP_REG_01_BASE_ADDRESS + 0x8C)

#define RX_EDP_RX_MAC_SDP_REG_01_8C_struct                               rs_rx_edp_rx_mac_sdp_reg_01_8c

typedef struct _rs_rx_edp_rx_mac_sdp_reg_01_8c  rs_rx_edp_rx_mac_sdp_reg_01_8c;
struct _rs_rx_edp_rx_mac_sdp_reg_01_8c {
    unsigned int regr_01_dprx_sdp3_db24                     : 8;
    unsigned int regr_01_dprx_sdp3_db25                     : 8;
    unsigned int regr_01_dprx_sdp3_db26                     : 8;
    unsigned int regr_01_dprx_sdp3_db27                     : 8;
};
#define rx_edp_rx_mac_sdp_reg_01_8c(val) ((rs_rx_edp_rx_mac_sdp_reg_01_8c*)&(val))



#define RX_EDP_RX_MAC_SDP_REG_01_90                                      (HV_EDP_RX_MAC_SDP_REG_01_BASE_ADDRESS + 0x90)

#define RX_EDP_RX_MAC_SDP_REG_01_90_struct                               rs_rx_edp_rx_mac_sdp_reg_01_90

typedef struct _rs_rx_edp_rx_mac_sdp_reg_01_90  rs_rx_edp_rx_mac_sdp_reg_01_90;
struct _rs_rx_edp_rx_mac_sdp_reg_01_90 {
    unsigned int regr_01_dprx_sdp3_db28                     : 8;
    unsigned int regr_01_dprx_sdp3_db29                     : 8;
    unsigned int regr_01_dprx_sdp3_db30                     : 8;
    unsigned int regr_01_dprx_sdp3_db31                     : 8;
};
#define rx_edp_rx_mac_sdp_reg_01_90(val) ((rs_rx_edp_rx_mac_sdp_reg_01_90*)&(val))



#define RX_EDP_RX_MAC_SDP_REG_01_94                                      (HV_EDP_RX_MAC_SDP_REG_01_BASE_ADDRESS + 0x94)

#define RX_EDP_RX_MAC_SDP_REG_01_94_struct                               rs_rx_edp_rx_mac_sdp_reg_01_94

typedef struct _rs_rx_edp_rx_mac_sdp_reg_01_94  rs_rx_edp_rx_mac_sdp_reg_01_94;
struct _rs_rx_edp_rx_mac_sdp_reg_01_94 {
    unsigned int regr_01_dprx_aud_vtotal_cnt                :32;
};
#define rx_edp_rx_mac_sdp_reg_01_94(val) ((rs_rx_edp_rx_mac_sdp_reg_01_94*)&(val))



#define RX_EDP_RX_MAC_SDP_REG_01_98                                      (HV_EDP_RX_MAC_SDP_REG_01_BASE_ADDRESS + 0x98)

#define RX_EDP_RX_MAC_SDP_REG_01_98_struct                               rs_rx_edp_rx_mac_sdp_reg_01_98

typedef struct _rs_rx_edp_rx_mac_sdp_reg_01_98  rs_rx_edp_rx_mac_sdp_reg_01_98;
struct _rs_rx_edp_rx_mac_sdp_reg_01_98 {
    unsigned int regr_01_dprx_aud_stream_cnt                :16;
    unsigned int reserved                                   :16;
};
#define rx_edp_rx_mac_sdp_reg_01_98(val) ((rs_rx_edp_rx_mac_sdp_reg_01_98*)&(val))



#define RX_EDP_RX_MAC_SDP_REG_01_9C                                      (HV_EDP_RX_MAC_SDP_REG_01_BASE_ADDRESS + 0x9C)

#define RX_EDP_RX_MAC_SDP_REG_01_9C_struct                               rs_rx_edp_rx_mac_sdp_reg_01_9c

typedef struct _rs_rx_edp_rx_mac_sdp_reg_01_9c  rs_rx_edp_rx_mac_sdp_reg_01_9c;
struct _rs_rx_edp_rx_mac_sdp_reg_01_9c {
    unsigned int regr_01_dprx_sdp_body_multi_error_flag     : 4;
    unsigned int regr_01_dprx_sdp_body_error_flag           : 4;
    unsigned int regr_01_dprx_sdp_header_multi_error_flag   : 4;
    unsigned int regr_01_dprx_sdp_header_error_flag         : 4;
    unsigned int regr_01_dprx_vsc_revision                  : 5;
    unsigned int regr_01_dprx_vsc_dynamic_range             : 1;
    unsigned int regr_01_dprx_vsc_stereo_format             : 4;
    unsigned int regr_01_dprx_vsc_stereo_type               : 4;
    unsigned int regr_01_dprx_aud_rd_mode                   : 1;
    unsigned int reserved                                   : 1;
};
#define rx_edp_rx_mac_sdp_reg_01_9c(val) ((rs_rx_edp_rx_mac_sdp_reg_01_9c*)&(val))



#define RX_EDP_RX_MAC_SDP_REG_01_A0                                      (HV_EDP_RX_MAC_SDP_REG_01_BASE_ADDRESS + 0xA0)

#define RX_EDP_RX_MAC_SDP_REG_01_A0_struct                               rs_rx_edp_rx_mac_sdp_reg_01_a0

typedef struct _rs_rx_edp_rx_mac_sdp_reg_01_a0  rs_rx_edp_rx_mac_sdp_reg_01_a0;
struct _rs_rx_edp_rx_mac_sdp_reg_01_a0 {
    unsigned int regr_01_dprx_vsc_pixel_format              : 4;
    unsigned int regr_01_dprx_vsc_colorimetry_format        : 4;
    unsigned int regr_01_dprx_vsc_bit_depth                 : 3;
    unsigned int regr_01_dprx_audio_ts_cnt                  : 4;
    unsigned int regr_01_dprx_audio_stream_cnt              : 4;
    unsigned int regr_01_dprx_audio_stream_abn              : 5;
    unsigned int regr_01_dprx_vsc_psr_db1                   : 8;
};
#define rx_edp_rx_mac_sdp_reg_01_a0(val) ((rs_rx_edp_rx_mac_sdp_reg_01_a0*)&(val))



#define RX_EDP_RX_MAC_SDP_REG_01_A4                                      (HV_EDP_RX_MAC_SDP_REG_01_BASE_ADDRESS + 0xA4)

#define RX_EDP_RX_MAC_SDP_REG_01_A4_struct                               rs_rx_edp_rx_mac_sdp_reg_01_a4

typedef struct _rs_rx_edp_rx_mac_sdp_reg_01_a4  rs_rx_edp_rx_mac_sdp_reg_01_a4;
struct _rs_rx_edp_rx_mac_sdp_reg_01_a4 {
    unsigned int regr_01_dprx_vsc_psr_crc_r_cr              :16;
    unsigned int regr_01_dprx_vsc_psr_crc_g_y               :16;
};
#define rx_edp_rx_mac_sdp_reg_01_a4(val) ((rs_rx_edp_rx_mac_sdp_reg_01_a4*)&(val))



#define RX_EDP_RX_MAC_SDP_REG_01_A8                                      (HV_EDP_RX_MAC_SDP_REG_01_BASE_ADDRESS + 0xA8)

#define RX_EDP_RX_MAC_SDP_REG_01_A8_struct                               rs_rx_edp_rx_mac_sdp_reg_01_a8

typedef struct _rs_rx_edp_rx_mac_sdp_reg_01_a8  rs_rx_edp_rx_mac_sdp_reg_01_a8;
struct _rs_rx_edp_rx_mac_sdp_reg_01_a8 {
    unsigned int regr_01_dprx_vsc_psr_crc_b_cb              :16;
    unsigned int regr_01_dprx_vsc_psr_x_coordinate          :16;
};
#define rx_edp_rx_mac_sdp_reg_01_a8(val) ((rs_rx_edp_rx_mac_sdp_reg_01_a8*)&(val))



#define RX_EDP_RX_MAC_SDP_REG_01_AC                                      (HV_EDP_RX_MAC_SDP_REG_01_BASE_ADDRESS + 0xAC)

#define RX_EDP_RX_MAC_SDP_REG_01_AC_struct                               rs_rx_edp_rx_mac_sdp_reg_01_ac

typedef struct _rs_rx_edp_rx_mac_sdp_reg_01_ac  rs_rx_edp_rx_mac_sdp_reg_01_ac;
struct _rs_rx_edp_rx_mac_sdp_reg_01_ac {
    unsigned int regr_01_dprx_vsc_psr_y_coordinate          :16;
    unsigned int regr_01_dprx_vsc_psr_rectange_width        :16;
};
#define rx_edp_rx_mac_sdp_reg_01_ac(val) ((rs_rx_edp_rx_mac_sdp_reg_01_ac*)&(val))



#define RX_EDP_RX_MAC_SDP_REG_01_B0                                      (HV_EDP_RX_MAC_SDP_REG_01_BASE_ADDRESS + 0xB0)

#define RX_EDP_RX_MAC_SDP_REG_01_B0_struct                               rs_rx_edp_rx_mac_sdp_reg_01_b0

typedef struct _rs_rx_edp_rx_mac_sdp_reg_01_b0  rs_rx_edp_rx_mac_sdp_reg_01_b0;
struct _rs_rx_edp_rx_mac_sdp_reg_01_b0 {
    unsigned int reg_01_dprx_sdp_sfifo_clr_thro             :16;
    unsigned int reserved                                   : 8;
    unsigned int regr_01_dprx_sdp_vsc_update_cnt            : 4;
    unsigned int regr_01_dprx_sdp_update_cnt                : 4;
};
#define rx_edp_rx_mac_sdp_reg_01_b0(val) ((rs_rx_edp_rx_mac_sdp_reg_01_b0*)&(val))



#define RX_EDP_RX_MAC_SDP_REG_01_B4                                      (HV_EDP_RX_MAC_SDP_REG_01_BASE_ADDRESS + 0xB4)

#define RX_EDP_RX_MAC_SDP_REG_01_B4_struct                               rs_rx_edp_rx_mac_sdp_reg_01_b4

typedef struct _rs_rx_edp_rx_mac_sdp_reg_01_b4  rs_rx_edp_rx_mac_sdp_reg_01_b4;
struct _rs_rx_edp_rx_mac_sdp_reg_01_b4 {
    unsigned int reg_01_dprx_sdp_afifo_type00               : 8;
    unsigned int reg_01_dprx_sdp_afifo_type01               : 8;
    unsigned int reg_01_dprx_sdp_afifo_type02               : 8;
    unsigned int reg_01_dprx_sdp_afifo_type03               : 8;
};
#define rx_edp_rx_mac_sdp_reg_01_b4(val) ((rs_rx_edp_rx_mac_sdp_reg_01_b4*)&(val))



#define RX_EDP_RX_MAC_SDP_REG_01_B8                                      (HV_EDP_RX_MAC_SDP_REG_01_BASE_ADDRESS + 0xB8)

#define RX_EDP_RX_MAC_SDP_REG_01_B8_struct                               rs_rx_edp_rx_mac_sdp_reg_01_b8

typedef struct _rs_rx_edp_rx_mac_sdp_reg_01_b8  rs_rx_edp_rx_mac_sdp_reg_01_b8;
struct _rs_rx_edp_rx_mac_sdp_reg_01_b8 {
    unsigned int reg_01_dprx_sdp_afifo_type04               : 8;
    unsigned int reg_01_dprx_sdp_afifo_type05               : 8;
    unsigned int reg_01_dprx_sdp_afifo_type06               : 8;
    unsigned int reg_01_dprx_sdp_afifo_type07               : 8;
};
#define rx_edp_rx_mac_sdp_reg_01_b8(val) ((rs_rx_edp_rx_mac_sdp_reg_01_b8*)&(val))



#define RX_EDP_RX_MAC_SDP_REG_01_BC                                      (HV_EDP_RX_MAC_SDP_REG_01_BASE_ADDRESS + 0xBC)

#define RX_EDP_RX_MAC_SDP_REG_01_BC_struct                               rs_rx_edp_rx_mac_sdp_reg_01_bc

typedef struct _rs_rx_edp_rx_mac_sdp_reg_01_bc  rs_rx_edp_rx_mac_sdp_reg_01_bc;
struct _rs_rx_edp_rx_mac_sdp_reg_01_bc {
    unsigned int reg_01_dprx_sdp_afifo_type08               : 8;
    unsigned int reg_01_dprx_sdp_afifo_type09               : 8;
    unsigned int reg_01_dprx_sdp_afifo_type10               : 8;
    unsigned int reg_01_dprx_sdp_afifo_type11               : 8;
};
#define rx_edp_rx_mac_sdp_reg_01_bc(val) ((rs_rx_edp_rx_mac_sdp_reg_01_bc*)&(val))



#define RX_EDP_RX_MAC_SDP_REG_01_C0                                      (HV_EDP_RX_MAC_SDP_REG_01_BASE_ADDRESS + 0xC0)

#define RX_EDP_RX_MAC_SDP_REG_01_C0_struct                               rs_rx_edp_rx_mac_sdp_reg_01_c0

typedef struct _rs_rx_edp_rx_mac_sdp_reg_01_c0  rs_rx_edp_rx_mac_sdp_reg_01_c0;
struct _rs_rx_edp_rx_mac_sdp_reg_01_c0 {
    unsigned int reg_01_dprx_sdp_afifo_type12               : 8;
    unsigned int reg_01_dprx_sdp_afifo_type13               : 8;
    unsigned int reg_01_dprx_sdp_afifo_type14               : 8;
    unsigned int reg_01_dprx_sdp_afifo_type15               : 8;
};
#define rx_edp_rx_mac_sdp_reg_01_c0(val) ((rs_rx_edp_rx_mac_sdp_reg_01_c0*)&(val))



#define RX_EDP_RX_MAC_SDP_REG_01_C4                                      (HV_EDP_RX_MAC_SDP_REG_01_BASE_ADDRESS + 0xC4)

#define RX_EDP_RX_MAC_SDP_REG_01_C4_struct                               rs_rx_edp_rx_mac_sdp_reg_01_c4

typedef struct _rs_rx_edp_rx_mac_sdp_reg_01_c4  rs_rx_edp_rx_mac_sdp_reg_01_c4;
struct _rs_rx_edp_rx_mac_sdp_reg_01_c4 {
    unsigned int reg_01_dprx_sdp_afifo_int_flag_depth       : 8;
    unsigned int reg_01_dprx_sdp_afifo_rd_en                : 1;
    unsigned int reg_01_dprx_sdp_afifo_rd_cnt               : 3;
    unsigned int regr_01_dprx_sdp_afifo_ready_en            : 1;
    unsigned int regr_01_dprx_sdp_afifo_rd_ready_cnt        : 3;
    unsigned int regr_01_dprx_sdp_afifo_depth               : 8;
    unsigned int reg_01_dprx_sdp_afifo_clr                  : 2;
    unsigned int reg_01_dprx_sdp_data_sel                   : 2;
    unsigned int regr_01_dprx_vsc_content_type              : 3;
    unsigned int reserved                                   : 1;
};
#define rx_edp_rx_mac_sdp_reg_01_c4(val) ((rs_rx_edp_rx_mac_sdp_reg_01_c4*)&(val))



#define RX_EDP_RX_MAC_SDP_REG_01_C8                                      (HV_EDP_RX_MAC_SDP_REG_01_BASE_ADDRESS + 0xC8)

#define RX_EDP_RX_MAC_SDP_REG_01_C8_struct                               rs_rx_edp_rx_mac_sdp_reg_01_c8

typedef struct _rs_rx_edp_rx_mac_sdp_reg_01_c8  rs_rx_edp_rx_mac_sdp_reg_01_c8;
struct _rs_rx_edp_rx_mac_sdp_reg_01_c8 {
    unsigned int reserved                                   : 1;
    unsigned int regr_01_dprx_audio_depth                   :10;
    unsigned int reg_01_dprx_sw_audio_mute_en               : 2;
    unsigned int reg_01_dprx_audio_depth_high_thro          :10;
    unsigned int reg_01_dprx_audio_depth_low_thro           : 9;
};
#define rx_edp_rx_mac_sdp_reg_01_c8(val) ((rs_rx_edp_rx_mac_sdp_reg_01_c8*)&(val))



#define RX_EDP_RX_MAC_SDP_REG_01_D0                                      (HV_EDP_RX_MAC_SDP_REG_01_BASE_ADDRESS + 0xD0)

#define RX_EDP_RX_MAC_SDP_REG_01_D0_struct                               rs_rx_edp_rx_mac_sdp_reg_01_d0

typedef struct _rs_rx_edp_rx_mac_sdp_reg_01_d0  rs_rx_edp_rx_mac_sdp_reg_01_d0;
struct _rs_rx_edp_rx_mac_sdp_reg_01_d0 {
    unsigned int reg_01_dprx_adapt_sync_thro                :32;
};
#define rx_edp_rx_mac_sdp_reg_01_d0(val) ((rs_rx_edp_rx_mac_sdp_reg_01_d0*)&(val))



#define RX_EDP_RX_MAC_SDP_REG_01_D4                                      (HV_EDP_RX_MAC_SDP_REG_01_BASE_ADDRESS + 0xD4)

#define RX_EDP_RX_MAC_SDP_REG_01_D4_struct                               rs_rx_edp_rx_mac_sdp_reg_01_d4

typedef struct _rs_rx_edp_rx_mac_sdp_reg_01_d4  rs_rx_edp_rx_mac_sdp_reg_01_d4;
struct _rs_rx_edp_rx_mac_sdp_reg_01_d4 {
    unsigned int reg_01_dprx_rd_audio_depth_set             : 7;
    unsigned int reg_01_dprx_audio_start_thro               : 9;
    unsigned int reg_01_dprx_aud_depth_irq_start_bypass     : 2;
    unsigned int reg_01_dprx_aud_vld_thro                   : 4;
    unsigned int reserved                                   :10;
};
#define rx_edp_rx_mac_sdp_reg_01_d4(val) ((rs_rx_edp_rx_mac_sdp_reg_01_d4*)&(val))



#define RX_EDP_RX_MAC_SDP_REG_01_D8                                      (HV_EDP_RX_MAC_SDP_REG_01_BASE_ADDRESS + 0xD8)

#define RX_EDP_RX_MAC_SDP_REG_01_D8_struct                               rs_rx_edp_rx_mac_sdp_reg_01_d8

typedef struct _rs_rx_edp_rx_mac_sdp_reg_01_d8  rs_rx_edp_rx_mac_sdp_reg_01_d8;
struct _rs_rx_edp_rx_mac_sdp_reg_01_d8 {
    unsigned int reg_01_dprx_sdp_ren_clr_thro               :16;
    unsigned int reserved                                   :16;
};
#define rx_edp_rx_mac_sdp_reg_01_d8(val) ((rs_rx_edp_rx_mac_sdp_reg_01_d8*)&(val))



#endif