#ifndef _HV_PAGE_HT7315_KSPI_00_REGISTER_H_
#define _HV_PAGE_HT7315_KSPI_00_REGISTER_H_

#ifndef HV_KSPI_00_REGISTER_BASE_ADDRESS
    #define HV_KSPI_00_REGISTER_BASE_ADDRESS                                         0x11029800
#endif


#define DISP_TOP_KSPI_00_REGISTER_00                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0x00)

#define DISP_TOP_KSPI_00_REGISTER_00_struct                              rs_disp_top_kspi_00_register_00

typedef struct _rs_disp_top_kspi_00_register_00  rs_disp_top_kspi_00_register_00;
struct _rs_disp_top_kspi_00_register_00 {
    unsigned int reg_kspi_data_sel                          : 1;
    unsigned int reserved                                   :31;
};
#define disp_top_kspi_00_register_00(val) ((rs_disp_top_kspi_00_register_00*)&(val))



#define DISP_TOP_KSPI_00_REGISTER_04                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0x04)

#define DISP_TOP_KSPI_00_REGISTER_04_struct                              rs_disp_top_kspi_00_register_04

typedef struct _rs_disp_top_kspi_00_register_04  rs_disp_top_kspi_00_register_04;
struct _rs_disp_top_kspi_00_register_04 {
    unsigned int reserved                                   : 5;
    unsigned int reg_kspi_sw_init_en                        : 1;
    unsigned int reg_kspi_00_sbuf_set_vld                   : 1;
    unsigned int reg_kspi_00_sbuf_vld_num                   :11;
    unsigned int reserved_1                                 :14;
};
#define disp_top_kspi_00_register_04(val) ((rs_disp_top_kspi_00_register_04*)&(val))



#define DISP_TOP_KSPI_00_REGISTER_08                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0x08)

#define DISP_TOP_KSPI_00_REGISTER_08_struct                              rs_disp_top_kspi_00_register_08

typedef struct _rs_disp_top_kspi_00_register_08  rs_disp_top_kspi_00_register_08;
struct _rs_disp_top_kspi_00_register_08 {
    unsigned int reserved                                   :23;
    unsigned int reg_kspi_01_sbuf_set_vld                   : 1;
    unsigned int reg_kspi_latch_en                          : 1;
    unsigned int reg_kspi_no_latch                          : 1;
    unsigned int reserved_1                                 : 6;
};
#define disp_top_kspi_00_register_08(val) ((rs_disp_top_kspi_00_register_08*)&(val))



#define DISP_TOP_KSPI_00_REGISTER_0C                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0x0C)

#define DISP_TOP_KSPI_00_REGISTER_0C_struct                              rs_disp_top_kspi_00_register_0c

typedef struct _rs_disp_top_kspi_00_register_0c  rs_disp_top_kspi_00_register_0c;
struct _rs_disp_top_kspi_00_register_0c {
    unsigned int reg_kspi_01_sbuf_vld_num                   :11;
    unsigned int reserved                                   :21;
};
#define disp_top_kspi_00_register_0c(val) ((rs_disp_top_kspi_00_register_0c*)&(val))



#define DISP_TOP_KSPI_00_REGISTER_10                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0x10)

#define DISP_TOP_KSPI_00_REGISTER_10_struct                              rs_disp_top_kspi_00_register_10

typedef struct _rs_disp_top_kspi_00_register_10  rs_disp_top_kspi_00_register_10;
struct _rs_disp_top_kspi_00_register_10 {
    unsigned int reserved                                   :15;
    unsigned int reg_kspi_02_sbuf_set_vld                   : 1;
    unsigned int reg_kspi_02_sbuf_vld_num                   :11;
    unsigned int reserved_1                                 : 5;
};
#define disp_top_kspi_00_register_10(val) ((rs_disp_top_kspi_00_register_10*)&(val))



#define DISP_TOP_KSPI_00_REGISTER_14                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0x14)

#define DISP_TOP_KSPI_00_REGISTER_14_struct                              rs_disp_top_kspi_00_register_14

typedef struct _rs_disp_top_kspi_00_register_14  rs_disp_top_kspi_00_register_14;
struct _rs_disp_top_kspi_00_register_14 {
    unsigned int reserved                                   :31;
    unsigned int reg_kspi_03_sbuf_set_vld                   : 1;
};
#define disp_top_kspi_00_register_14(val) ((rs_disp_top_kspi_00_register_14*)&(val))



#define DISP_TOP_KSPI_00_REGISTER_18                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0x18)

#define DISP_TOP_KSPI_00_REGISTER_18_struct                              rs_disp_top_kspi_00_register_18

typedef struct _rs_disp_top_kspi_00_register_18  rs_disp_top_kspi_00_register_18;
struct _rs_disp_top_kspi_00_register_18 {
    unsigned int reg_kspi_03_sbuf_vld_num                   :11;
    unsigned int reserved                                   :21;
};
#define disp_top_kspi_00_register_18(val) ((rs_disp_top_kspi_00_register_18*)&(val))



#define DISP_TOP_KSPI_00_REGISTER_1C                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0x1C)

#define DISP_TOP_KSPI_00_REGISTER_1C_struct                              rs_disp_top_kspi_00_register_1c

typedef struct _rs_disp_top_kspi_00_register_1c  rs_disp_top_kspi_00_register_1c;
struct _rs_disp_top_kspi_00_register_1c {
    unsigned int reserved                                   :15;
    unsigned int reg_kspi_04_sbuf_set_vld                   : 1;
    unsigned int reg_kspi_04_sbuf_vld_num                   :11;
    unsigned int reserved_1                                 : 5;
};
#define disp_top_kspi_00_register_1c(val) ((rs_disp_top_kspi_00_register_1c*)&(val))



#define DISP_TOP_KSPI_00_REGISTER_20                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0x20)

#define DISP_TOP_KSPI_00_REGISTER_20_struct                              rs_disp_top_kspi_00_register_20

typedef struct _rs_disp_top_kspi_00_register_20  rs_disp_top_kspi_00_register_20;
struct _rs_disp_top_kspi_00_register_20 {
    unsigned int reserved                                   :31;
    unsigned int reg_kspi_05_sbuf_set_vld                   : 1;
};
#define disp_top_kspi_00_register_20(val) ((rs_disp_top_kspi_00_register_20*)&(val))



#define DISP_TOP_KSPI_00_REGISTER_24                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0x24)

#define DISP_TOP_KSPI_00_REGISTER_24_struct                              rs_disp_top_kspi_00_register_24

typedef struct _rs_disp_top_kspi_00_register_24  rs_disp_top_kspi_00_register_24;
struct _rs_disp_top_kspi_00_register_24 {
    unsigned int reg_kspi_05_sbuf_vld_num                   :11;
    unsigned int reserved                                   :21;
};
#define disp_top_kspi_00_register_24(val) ((rs_disp_top_kspi_00_register_24*)&(val))



#define DISP_TOP_KSPI_00_REGISTER_28                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0x28)

#define DISP_TOP_KSPI_00_REGISTER_28_struct                              rs_disp_top_kspi_00_register_28

typedef struct _rs_disp_top_kspi_00_register_28  rs_disp_top_kspi_00_register_28;
struct _rs_disp_top_kspi_00_register_28 {
    unsigned int reserved                                   :15;
    unsigned int reg_kspi_06_sbuf_set_vld                   : 1;
    unsigned int reg_kspi_06_sbuf_vld_num                   :11;
    unsigned int reserved_1                                 : 5;
};
#define disp_top_kspi_00_register_28(val) ((rs_disp_top_kspi_00_register_28*)&(val))



#define DISP_TOP_KSPI_00_REGISTER_2C                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0x2C)

#define DISP_TOP_KSPI_00_REGISTER_2C_struct                              rs_disp_top_kspi_00_register_2c

typedef struct _rs_disp_top_kspi_00_register_2c  rs_disp_top_kspi_00_register_2c;
struct _rs_disp_top_kspi_00_register_2c {
    unsigned int reserved                                   :31;
    unsigned int reg_kspi_07_sbuf_set_vld                   : 1;
};
#define disp_top_kspi_00_register_2c(val) ((rs_disp_top_kspi_00_register_2c*)&(val))



#define DISP_TOP_KSPI_00_REGISTER_30                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0x30)

#define DISP_TOP_KSPI_00_REGISTER_30_struct                              rs_disp_top_kspi_00_register_30

typedef struct _rs_disp_top_kspi_00_register_30  rs_disp_top_kspi_00_register_30;
struct _rs_disp_top_kspi_00_register_30 {
    unsigned int reg_kspi_07_sbuf_vld_num                   :11;
    unsigned int reg_kspi_cdl_en                            : 1;
    unsigned int reg_kspi_cdl_rd_max_time                   : 8;
    unsigned int reg_kspi_cdl_rd_timeout_en                 : 1;
    unsigned int reserved                                   : 3;
    unsigned int reg_kspi_data_wait_en                      : 1;
    unsigned int reg_kspi_data_width                        : 5;
    unsigned int reserved_1                                 : 2;
};
#define disp_top_kspi_00_register_30(val) ((rs_disp_top_kspi_00_register_30*)&(val))



#define DISP_TOP_KSPI_00_REGISTER_34                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0x34)

#define DISP_TOP_KSPI_00_REGISTER_34_struct                              rs_disp_top_kspi_00_register_34

typedef struct _rs_disp_top_kspi_00_register_34  rs_disp_top_kspi_00_register_34;
struct _rs_disp_top_kspi_00_register_34 {
    unsigned int reg_kspi_data_length                       :16;
    unsigned int reg_kspi_data_wait_time                    :16;
};
#define disp_top_kspi_00_register_34(val) ((rs_disp_top_kspi_00_register_34*)&(val))



#define DISP_TOP_KSPI_00_REGISTER_38                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0x38)

#define DISP_TOP_KSPI_00_REGISTER_38_struct                              rs_disp_top_kspi_00_register_38

typedef struct _rs_disp_top_kspi_00_register_38  rs_disp_top_kspi_00_register_38;
struct _rs_disp_top_kspi_00_register_38 {
    unsigned int reserved                                   :16;
    unsigned int reg_kspi_msb_en                            : 1;
    unsigned int reg_kspi_sck_always_on                     : 1;
    unsigned int reg_kspi_sck_freq                          :10;
    unsigned int reg_kspi_sck_pha                           : 1;
    unsigned int reg_kspi_sck_pol                           : 1;
    unsigned int reserved_1                                 : 2;
};
#define disp_top_kspi_00_register_38(val) ((rs_disp_top_kspi_00_register_38*)&(val))



#define DISP_TOP_KSPI_00_REGISTER_3C                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0x3C)

#define DISP_TOP_KSPI_00_REGISTER_3C_struct                              rs_disp_top_kspi_00_register_3c

typedef struct _rs_disp_top_kspi_00_register_3c  rs_disp_top_kspi_00_register_3c;
struct _rs_disp_top_kspi_00_register_3c {
    unsigned int reg_kspi_sck_set_dly                       :16;
    unsigned int reg_kspi_sda_tsu                           : 9;
    unsigned int reg_kspi_share_cs_mode                     : 1;
    unsigned int reg_kspi_share_cs_sel                      : 2;
    unsigned int reg_kspi_share_cs_send_num                 : 3;
    unsigned int reg_kspi_ss_pol                            : 1;
};
#define disp_top_kspi_00_register_3c(val) ((rs_disp_top_kspi_00_register_3c*)&(val))



#define DISP_TOP_KSPI_00_REGISTER_40                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0x40)

#define DISP_TOP_KSPI_00_REGISTER_40_struct                              rs_disp_top_kspi_00_register_40

typedef struct _rs_disp_top_kspi_00_register_40  rs_disp_top_kspi_00_register_40;
struct _rs_disp_top_kspi_00_register_40 {
    unsigned int reg_kspi_ss_set_dly                        :16;
    unsigned int reg_kspi_ss_fsh_dly                        :16;
};
#define disp_top_kspi_00_register_40(val) ((rs_disp_top_kspi_00_register_40*)&(val))



#define DISP_TOP_KSPI_00_REGISTER_44                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0x44)

#define DISP_TOP_KSPI_00_REGISTER_44_struct                              rs_disp_top_kspi_00_register_44

typedef struct _rs_disp_top_kspi_00_register_44  rs_disp_top_kspi_00_register_44;
struct _rs_disp_top_kspi_00_register_44 {
    unsigned int reg_kspi_st_gen_dly                        :16;
    unsigned int reg_kspi_sw_start_en                       : 1;
    unsigned int reg_kspi_func_clk_en                       : 1;
    unsigned int reg_kspi_sub_gating_byp                    : 1;
    unsigned int reg_kspi_sw_clk_en                         : 1;
    unsigned int reg_kspi_vst_en                            : 1;
    unsigned int reg_kspi_wrbuf_sel                         : 4;
    unsigned int reg_kspi_ls_mode                           : 2;
    unsigned int reg_kspi_recv_en                           : 1;
    unsigned int reg_kspi_hw_chksum_en                      : 1;
    unsigned int reg_kspi_apb_clk_en                        : 1;
    unsigned int reg_kspi_vs_init_en                        : 1;
    unsigned int reserved                                   : 1;
};
#define disp_top_kspi_00_register_44(val) ((rs_disp_top_kspi_00_register_44*)&(val))



#define DISP_TOP_KSPI_00_REGISTER_48                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0x48)

#define DISP_TOP_KSPI_00_REGISTER_48_struct                              rs_disp_top_kspi_00_register_48

typedef struct _rs_disp_top_kspi_00_register_48  rs_disp_top_kspi_00_register_48;
struct _rs_disp_top_kspi_00_register_48 {
    unsigned int reg_kspi_vst_dly                           :32;
};
#define disp_top_kspi_00_register_48(val) ((rs_disp_top_kspi_00_register_48*)&(val))



#define DISP_TOP_KSPI_00_REGISTER_4C                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0x4C)

#define DISP_TOP_KSPI_00_REGISTER_4C_struct                              rs_disp_top_kspi_00_register_4c

typedef struct _rs_disp_top_kspi_00_register_4c  rs_disp_top_kspi_00_register_4c;
struct _rs_disp_top_kspi_00_register_4c {
    unsigned int reg_kspi_dbg_data                          :16;
    unsigned int reg_kspi_dbg_en                            : 1;
    unsigned int reg_kspi_data_sft_dir                      : 1;
    unsigned int reg_kspi_data_sft_bit                      : 4;
    unsigned int reg_kspi_en                                : 8;
    unsigned int reg_kspi_chksum_en                         : 1;
    unsigned int reg_kspi_chksum_init_val                   : 1;
};
#define disp_top_kspi_00_register_4c(val) ((rs_disp_top_kspi_00_register_4c*)&(val))



#define DISP_TOP_KSPI_00_REGISTER_58                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0x58)

#define DISP_TOP_KSPI_00_REGISTER_58_struct                              rs_disp_top_kspi_00_register_58

typedef struct _rs_disp_top_kspi_00_register_58  rs_disp_top_kspi_00_register_58;
struct _rs_disp_top_kspi_00_register_58 {
    unsigned int reserved                                   :10;
    unsigned int reg_kspi_header_num                        : 4;
    unsigned int reg_kspi_header_wait_en0                   : 1;
    unsigned int reg_kspi_header_wait_en1                   : 1;
    unsigned int reg_kspi_header_wait_en2                   : 1;
    unsigned int reg_kspi_header_wait_en3                   : 1;
    unsigned int reg_kspi_header_wait_en4                   : 1;
    unsigned int reg_kspi_header_wait_en5                   : 1;
    unsigned int reg_kspi_header_wait_en6                   : 1;
    unsigned int reg_kspi_header_wait_en7                   : 1;
    unsigned int reg_kspi_tail_num                          : 3;
    unsigned int reg_kspi_tail_wait_en0                     : 1;
    unsigned int reg_kspi_tail_wait_en1                     : 1;
    unsigned int reg_kspi_tail_wait_en2                     : 1;
    unsigned int reg_kspi_tail_wait_en3                     : 1;
    unsigned int reg_kspi_header_chksum_en                  : 1;
    unsigned int reg_kspi_chksum_msk_en                     : 1;
    unsigned int reserved_1                                 : 1;
};
#define disp_top_kspi_00_register_58(val) ((rs_disp_top_kspi_00_register_58*)&(val))



#define DISP_TOP_KSPI_00_REGISTER_5C                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0x5C)

#define DISP_TOP_KSPI_00_REGISTER_5C_struct                              rs_disp_top_kspi_00_register_5c

typedef struct _rs_disp_top_kspi_00_register_5c  rs_disp_top_kspi_00_register_5c;
struct _rs_disp_top_kspi_00_register_5c {
    unsigned int reg_kspi_header_wait_time0                 :16;
    unsigned int reg_kspi_header_wait_time1                 :16;
};
#define disp_top_kspi_00_register_5c(val) ((rs_disp_top_kspi_00_register_5c*)&(val))



#define DISP_TOP_KSPI_00_REGISTER_60                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0x60)

#define DISP_TOP_KSPI_00_REGISTER_60_struct                              rs_disp_top_kspi_00_register_60

typedef struct _rs_disp_top_kspi_00_register_60  rs_disp_top_kspi_00_register_60;
struct _rs_disp_top_kspi_00_register_60 {
    unsigned int reg_kspi_header_wait_time2                 :16;
    unsigned int reg_kspi_header_wait_time3                 :16;
};
#define disp_top_kspi_00_register_60(val) ((rs_disp_top_kspi_00_register_60*)&(val))



#define DISP_TOP_KSPI_00_REGISTER_64                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0x64)

#define DISP_TOP_KSPI_00_REGISTER_64_struct                              rs_disp_top_kspi_00_register_64

typedef struct _rs_disp_top_kspi_00_register_64  rs_disp_top_kspi_00_register_64;
struct _rs_disp_top_kspi_00_register_64 {
    unsigned int reg_kspi_header_wait_time4                 :16;
    unsigned int reg_kspi_header_wait_time5                 :16;
};
#define disp_top_kspi_00_register_64(val) ((rs_disp_top_kspi_00_register_64*)&(val))



#define DISP_TOP_KSPI_00_REGISTER_68                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0x68)

#define DISP_TOP_KSPI_00_REGISTER_68_struct                              rs_disp_top_kspi_00_register_68

typedef struct _rs_disp_top_kspi_00_register_68  rs_disp_top_kspi_00_register_68;
struct _rs_disp_top_kspi_00_register_68 {
    unsigned int reg_kspi_header_wait_time6                 :16;
    unsigned int reg_kspi_header_wait_time7                 :16;
};
#define disp_top_kspi_00_register_68(val) ((rs_disp_top_kspi_00_register_68*)&(val))



#define DISP_TOP_KSPI_00_REGISTER_6C                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0x6C)

#define DISP_TOP_KSPI_00_REGISTER_6C_struct                              rs_disp_top_kspi_00_register_6c

typedef struct _rs_disp_top_kspi_00_register_6c  rs_disp_top_kspi_00_register_6c;
struct _rs_disp_top_kspi_00_register_6c {
    unsigned int reg_kspi_00_header0                        :16;
    unsigned int reg_kspi_00_header1                        :16;
};
#define disp_top_kspi_00_register_6c(val) ((rs_disp_top_kspi_00_register_6c*)&(val))



#define DISP_TOP_KSPI_00_REGISTER_70                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0x70)

#define DISP_TOP_KSPI_00_REGISTER_70_struct                              rs_disp_top_kspi_00_register_70

typedef struct _rs_disp_top_kspi_00_register_70  rs_disp_top_kspi_00_register_70;
struct _rs_disp_top_kspi_00_register_70 {
    unsigned int reg_kspi_00_header2                        :16;
    unsigned int reg_kspi_00_header3                        :16;
};
#define disp_top_kspi_00_register_70(val) ((rs_disp_top_kspi_00_register_70*)&(val))



#define DISP_TOP_KSPI_00_REGISTER_74                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0x74)

#define DISP_TOP_KSPI_00_REGISTER_74_struct                              rs_disp_top_kspi_00_register_74

typedef struct _rs_disp_top_kspi_00_register_74  rs_disp_top_kspi_00_register_74;
struct _rs_disp_top_kspi_00_register_74 {
    unsigned int reg_kspi_00_header4                        :16;
    unsigned int reg_kspi_00_header5                        :16;
};
#define disp_top_kspi_00_register_74(val) ((rs_disp_top_kspi_00_register_74*)&(val))



#define DISP_TOP_KSPI_00_REGISTER_78                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0x78)

#define DISP_TOP_KSPI_00_REGISTER_78_struct                              rs_disp_top_kspi_00_register_78

typedef struct _rs_disp_top_kspi_00_register_78  rs_disp_top_kspi_00_register_78;
struct _rs_disp_top_kspi_00_register_78 {
    unsigned int reg_kspi_00_header6                        :16;
    unsigned int reg_kspi_00_header7                        :16;
};
#define disp_top_kspi_00_register_78(val) ((rs_disp_top_kspi_00_register_78*)&(val))



#define DISP_TOP_KSPI_00_REGISTER_7C                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0x7C)

#define DISP_TOP_KSPI_00_REGISTER_7C_struct                              rs_disp_top_kspi_00_register_7c

typedef struct _rs_disp_top_kspi_00_register_7c  rs_disp_top_kspi_00_register_7c;
struct _rs_disp_top_kspi_00_register_7c {
    unsigned int reg_kspi_01_header0                        :16;
    unsigned int reg_kspi_01_header1                        :16;
};
#define disp_top_kspi_00_register_7c(val) ((rs_disp_top_kspi_00_register_7c*)&(val))



#define DISP_TOP_KSPI_00_REGISTER_80                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0x80)

#define DISP_TOP_KSPI_00_REGISTER_80_struct                              rs_disp_top_kspi_00_register_80

typedef struct _rs_disp_top_kspi_00_register_80  rs_disp_top_kspi_00_register_80;
struct _rs_disp_top_kspi_00_register_80 {
    unsigned int reg_kspi_01_header2                        :16;
    unsigned int reg_kspi_01_header3                        :16;
};
#define disp_top_kspi_00_register_80(val) ((rs_disp_top_kspi_00_register_80*)&(val))



#define DISP_TOP_KSPI_00_REGISTER_84                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0x84)

#define DISP_TOP_KSPI_00_REGISTER_84_struct                              rs_disp_top_kspi_00_register_84

typedef struct _rs_disp_top_kspi_00_register_84  rs_disp_top_kspi_00_register_84;
struct _rs_disp_top_kspi_00_register_84 {
    unsigned int reg_kspi_01_header4                        :16;
    unsigned int reg_kspi_01_header5                        :16;
};
#define disp_top_kspi_00_register_84(val) ((rs_disp_top_kspi_00_register_84*)&(val))



#define DISP_TOP_KSPI_00_REGISTER_88                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0x88)

#define DISP_TOP_KSPI_00_REGISTER_88_struct                              rs_disp_top_kspi_00_register_88

typedef struct _rs_disp_top_kspi_00_register_88  rs_disp_top_kspi_00_register_88;
struct _rs_disp_top_kspi_00_register_88 {
    unsigned int reg_kspi_01_header6                        :16;
    unsigned int reg_kspi_01_header7                        :16;
};
#define disp_top_kspi_00_register_88(val) ((rs_disp_top_kspi_00_register_88*)&(val))



#define DISP_TOP_KSPI_00_REGISTER_8C                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0x8C)

#define DISP_TOP_KSPI_00_REGISTER_8C_struct                              rs_disp_top_kspi_00_register_8c

typedef struct _rs_disp_top_kspi_00_register_8c  rs_disp_top_kspi_00_register_8c;
struct _rs_disp_top_kspi_00_register_8c {
    unsigned int reg_kspi_02_header0                        :16;
    unsigned int reg_kspi_02_header1                        :16;
};
#define disp_top_kspi_00_register_8c(val) ((rs_disp_top_kspi_00_register_8c*)&(val))



#define DISP_TOP_KSPI_00_REGISTER_90                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0x90)

#define DISP_TOP_KSPI_00_REGISTER_90_struct                              rs_disp_top_kspi_00_register_90

typedef struct _rs_disp_top_kspi_00_register_90  rs_disp_top_kspi_00_register_90;
struct _rs_disp_top_kspi_00_register_90 {
    unsigned int reg_kspi_02_header2                        :16;
    unsigned int reg_kspi_02_header3                        :16;
};
#define disp_top_kspi_00_register_90(val) ((rs_disp_top_kspi_00_register_90*)&(val))



#define DISP_TOP_KSPI_00_REGISTER_94                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0x94)

#define DISP_TOP_KSPI_00_REGISTER_94_struct                              rs_disp_top_kspi_00_register_94

typedef struct _rs_disp_top_kspi_00_register_94  rs_disp_top_kspi_00_register_94;
struct _rs_disp_top_kspi_00_register_94 {
    unsigned int reg_kspi_02_header4                        :16;
    unsigned int reg_kspi_02_header5                        :16;
};
#define disp_top_kspi_00_register_94(val) ((rs_disp_top_kspi_00_register_94*)&(val))



#define DISP_TOP_KSPI_00_REGISTER_98                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0x98)

#define DISP_TOP_KSPI_00_REGISTER_98_struct                              rs_disp_top_kspi_00_register_98

typedef struct _rs_disp_top_kspi_00_register_98  rs_disp_top_kspi_00_register_98;
struct _rs_disp_top_kspi_00_register_98 {
    unsigned int reg_kspi_02_header6                        :16;
    unsigned int reg_kspi_02_header7                        :16;
};
#define disp_top_kspi_00_register_98(val) ((rs_disp_top_kspi_00_register_98*)&(val))



#define DISP_TOP_KSPI_00_REGISTER_9C                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0x9C)

#define DISP_TOP_KSPI_00_REGISTER_9C_struct                              rs_disp_top_kspi_00_register_9c

typedef struct _rs_disp_top_kspi_00_register_9c  rs_disp_top_kspi_00_register_9c;
struct _rs_disp_top_kspi_00_register_9c {
    unsigned int reg_kspi_03_header0                        :16;
    unsigned int reg_kspi_03_header1                        :16;
};
#define disp_top_kspi_00_register_9c(val) ((rs_disp_top_kspi_00_register_9c*)&(val))



#define DISP_TOP_KSPI_00_REGISTER_A0                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0xA0)

#define DISP_TOP_KSPI_00_REGISTER_A0_struct                              rs_disp_top_kspi_00_register_a0

typedef struct _rs_disp_top_kspi_00_register_a0  rs_disp_top_kspi_00_register_a0;
struct _rs_disp_top_kspi_00_register_a0 {
    unsigned int reg_kspi_03_header2                        :16;
    unsigned int reg_kspi_03_header3                        :16;
};
#define disp_top_kspi_00_register_a0(val) ((rs_disp_top_kspi_00_register_a0*)&(val))



#define DISP_TOP_KSPI_00_REGISTER_A4                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0xA4)

#define DISP_TOP_KSPI_00_REGISTER_A4_struct                              rs_disp_top_kspi_00_register_a4

typedef struct _rs_disp_top_kspi_00_register_a4  rs_disp_top_kspi_00_register_a4;
struct _rs_disp_top_kspi_00_register_a4 {
    unsigned int reg_kspi_03_header4                        :16;
    unsigned int reg_kspi_03_header5                        :16;
};
#define disp_top_kspi_00_register_a4(val) ((rs_disp_top_kspi_00_register_a4*)&(val))



#define DISP_TOP_KSPI_00_REGISTER_A8                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0xA8)

#define DISP_TOP_KSPI_00_REGISTER_A8_struct                              rs_disp_top_kspi_00_register_a8

typedef struct _rs_disp_top_kspi_00_register_a8  rs_disp_top_kspi_00_register_a8;
struct _rs_disp_top_kspi_00_register_a8 {
    unsigned int reg_kspi_03_header6                        :16;
    unsigned int reg_kspi_03_header7                        :16;
};
#define disp_top_kspi_00_register_a8(val) ((rs_disp_top_kspi_00_register_a8*)&(val))



#define DISP_TOP_KSPI_00_REGISTER_AC                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0xAC)

#define DISP_TOP_KSPI_00_REGISTER_AC_struct                              rs_disp_top_kspi_00_register_ac

typedef struct _rs_disp_top_kspi_00_register_ac  rs_disp_top_kspi_00_register_ac;
struct _rs_disp_top_kspi_00_register_ac {
    unsigned int reg_kspi_tail_wait_time0                   :16;
    unsigned int reg_kspi_tail_wait_time1                   :16;
};
#define disp_top_kspi_00_register_ac(val) ((rs_disp_top_kspi_00_register_ac*)&(val))



#define DISP_TOP_KSPI_00_REGISTER_B0                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0xB0)

#define DISP_TOP_KSPI_00_REGISTER_B0_struct                              rs_disp_top_kspi_00_register_b0

typedef struct _rs_disp_top_kspi_00_register_b0  rs_disp_top_kspi_00_register_b0;
struct _rs_disp_top_kspi_00_register_b0 {
    unsigned int reg_kspi_tail_wait_time2                   :16;
    unsigned int reg_kspi_tail_wait_time3                   :16;
};
#define disp_top_kspi_00_register_b0(val) ((rs_disp_top_kspi_00_register_b0*)&(val))



#define DISP_TOP_KSPI_00_REGISTER_B4                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0xB4)

#define DISP_TOP_KSPI_00_REGISTER_B4_struct                              rs_disp_top_kspi_00_register_b4

typedef struct _rs_disp_top_kspi_00_register_b4  rs_disp_top_kspi_00_register_b4;
struct _rs_disp_top_kspi_00_register_b4 {
    unsigned int reg_kspi_00_tail0                          :16;
    unsigned int reg_kspi_00_tail1                          :16;
};
#define disp_top_kspi_00_register_b4(val) ((rs_disp_top_kspi_00_register_b4*)&(val))



#define DISP_TOP_KSPI_00_REGISTER_B8                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0xB8)

#define DISP_TOP_KSPI_00_REGISTER_B8_struct                              rs_disp_top_kspi_00_register_b8

typedef struct _rs_disp_top_kspi_00_register_b8  rs_disp_top_kspi_00_register_b8;
struct _rs_disp_top_kspi_00_register_b8 {
    unsigned int reg_kspi_00_tail2                          :16;
    unsigned int reg_kspi_00_tail3                          :16;
};
#define disp_top_kspi_00_register_b8(val) ((rs_disp_top_kspi_00_register_b8*)&(val))



#define DISP_TOP_KSPI_00_REGISTER_BC                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0xBC)

#define DISP_TOP_KSPI_00_REGISTER_BC_struct                              rs_disp_top_kspi_00_register_bc

typedef struct _rs_disp_top_kspi_00_register_bc  rs_disp_top_kspi_00_register_bc;
struct _rs_disp_top_kspi_00_register_bc {
    unsigned int reg_kspi_01_tail0                          :16;
    unsigned int reg_kspi_01_tail1                          :16;
};
#define disp_top_kspi_00_register_bc(val) ((rs_disp_top_kspi_00_register_bc*)&(val))



#define DISP_TOP_KSPI_00_REGISTER_C0                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0xC0)

#define DISP_TOP_KSPI_00_REGISTER_C0_struct                              rs_disp_top_kspi_00_register_c0

typedef struct _rs_disp_top_kspi_00_register_c0  rs_disp_top_kspi_00_register_c0;
struct _rs_disp_top_kspi_00_register_c0 {
    unsigned int reg_kspi_01_tail2                          :16;
    unsigned int reg_kspi_01_tail3                          :16;
};
#define disp_top_kspi_00_register_c0(val) ((rs_disp_top_kspi_00_register_c0*)&(val))



#define DISP_TOP_KSPI_00_REGISTER_C4                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0xC4)

#define DISP_TOP_KSPI_00_REGISTER_C4_struct                              rs_disp_top_kspi_00_register_c4

typedef struct _rs_disp_top_kspi_00_register_c4  rs_disp_top_kspi_00_register_c4;
struct _rs_disp_top_kspi_00_register_c4 {
    unsigned int reg_kspi_02_tail0                          :16;
    unsigned int reg_kspi_02_tail1                          :16;
};
#define disp_top_kspi_00_register_c4(val) ((rs_disp_top_kspi_00_register_c4*)&(val))



#define DISP_TOP_KSPI_00_REGISTER_C8                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0xC8)

#define DISP_TOP_KSPI_00_REGISTER_C8_struct                              rs_disp_top_kspi_00_register_c8

typedef struct _rs_disp_top_kspi_00_register_c8  rs_disp_top_kspi_00_register_c8;
struct _rs_disp_top_kspi_00_register_c8 {
    unsigned int reg_kspi_02_tail2                          :16;
    unsigned int reg_kspi_02_tail3                          :16;
};
#define disp_top_kspi_00_register_c8(val) ((rs_disp_top_kspi_00_register_c8*)&(val))



#define DISP_TOP_KSPI_00_REGISTER_CC                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0xCC)

#define DISP_TOP_KSPI_00_REGISTER_CC_struct                              rs_disp_top_kspi_00_register_cc

typedef struct _rs_disp_top_kspi_00_register_cc  rs_disp_top_kspi_00_register_cc;
struct _rs_disp_top_kspi_00_register_cc {
    unsigned int reg_kspi_03_tail0                          :16;
    unsigned int reg_kspi_03_tail1                          :16;
};
#define disp_top_kspi_00_register_cc(val) ((rs_disp_top_kspi_00_register_cc*)&(val))



#define DISP_TOP_KSPI_00_REGISTER_D0                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0xD0)

#define DISP_TOP_KSPI_00_REGISTER_D0_struct                              rs_disp_top_kspi_00_register_d0

typedef struct _rs_disp_top_kspi_00_register_d0  rs_disp_top_kspi_00_register_d0;
struct _rs_disp_top_kspi_00_register_d0 {
    unsigned int reg_kspi_03_tail2                          :16;
    unsigned int reg_kspi_03_tail3                          :16;
};
#define disp_top_kspi_00_register_d0(val) ((rs_disp_top_kspi_00_register_d0*)&(val))



#define DISP_TOP_KSPI_00_REGISTER_DC                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0xDC)

#define DISP_TOP_KSPI_00_REGISTER_DC_struct                              rs_disp_top_kspi_00_register_dc

typedef struct _rs_disp_top_kspi_00_register_dc  rs_disp_top_kspi_00_register_dc;
struct _rs_disp_top_kspi_00_register_dc {
    unsigned int regr_kspi_00_sbuf_empty                    : 1;
    unsigned int regr_kspi_00_sbuf_empty_a                  : 1;
    unsigned int regr_kspi_00_sbuf_empty_b                  : 1;
    unsigned int regr_kspi_01_sbuf_empty                    : 1;
    unsigned int regr_kspi_01_sbuf_empty_a                  : 1;
    unsigned int regr_kspi_01_sbuf_empty_b                  : 1;
    unsigned int regr_kspi_02_sbuf_empty                    : 1;
    unsigned int regr_kspi_02_sbuf_empty_a                  : 1;
    unsigned int regr_kspi_02_sbuf_empty_b                  : 1;
    unsigned int regr_kspi_03_sbuf_empty                    : 1;
    unsigned int regr_kspi_03_sbuf_empty_a                  : 1;
    unsigned int regr_kspi_03_sbuf_empty_b                  : 1;
    unsigned int regr_kspi_04_sbuf_empty                    : 1;
    unsigned int regr_kspi_04_sbuf_empty_a                  : 1;
    unsigned int regr_kspi_04_sbuf_empty_b                  : 1;
    unsigned int regr_kspi_05_sbuf_empty                    : 1;
    unsigned int regr_kspi_05_sbuf_empty_a                  : 1;
    unsigned int regr_kspi_05_sbuf_empty_b                  : 1;
    unsigned int regr_kspi_06_sbuf_empty                    : 1;
    unsigned int regr_kspi_06_sbuf_empty_a                  : 1;
    unsigned int regr_kspi_06_sbuf_empty_b                  : 1;
    unsigned int regr_kspi_07_sbuf_empty                    : 1;
    unsigned int regr_kspi_07_sbuf_empty_a                  : 1;
    unsigned int regr_kspi_07_sbuf_empty_b                  : 1;
    unsigned int regr_kspi_req_wrbuf_int                    : 8;
};
#define disp_top_kspi_00_register_dc(val) ((rs_disp_top_kspi_00_register_dc*)&(val))



#define DISP_TOP_KSPI_00_REGISTER_E0                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0xE0)

#define DISP_TOP_KSPI_00_REGISTER_E0_struct                              rs_disp_top_kspi_00_register_e0

typedef struct _rs_disp_top_kspi_00_register_e0  rs_disp_top_kspi_00_register_e0;
struct _rs_disp_top_kspi_00_register_e0 {
    unsigned int regr_kspi_00_cdl_rd0                       :16;
    unsigned int regr_kspi_00_cdl_rd1                       :16;
};
#define disp_top_kspi_00_register_e0(val) ((rs_disp_top_kspi_00_register_e0*)&(val))



#define DISP_TOP_KSPI_00_REGISTER_E4                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0xE4)

#define DISP_TOP_KSPI_00_REGISTER_E4_struct                              rs_disp_top_kspi_00_register_e4

typedef struct _rs_disp_top_kspi_00_register_e4  rs_disp_top_kspi_00_register_e4;
struct _rs_disp_top_kspi_00_register_e4 {
    unsigned int regr_kspi_01_cdl_rd0                       :16;
    unsigned int regr_kspi_01_cdl_rd1                       :16;
};
#define disp_top_kspi_00_register_e4(val) ((rs_disp_top_kspi_00_register_e4*)&(val))



#define DISP_TOP_KSPI_00_REGISTER_E8                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0xE8)

#define DISP_TOP_KSPI_00_REGISTER_E8_struct                              rs_disp_top_kspi_00_register_e8

typedef struct _rs_disp_top_kspi_00_register_e8  rs_disp_top_kspi_00_register_e8;
struct _rs_disp_top_kspi_00_register_e8 {
    unsigned int regr_kspi_02_cdl_rd0                       :16;
    unsigned int regr_kspi_02_cdl_rd1                       :16;
};
#define disp_top_kspi_00_register_e8(val) ((rs_disp_top_kspi_00_register_e8*)&(val))



#define DISP_TOP_KSPI_00_REGISTER_EC                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0xEC)

#define DISP_TOP_KSPI_00_REGISTER_EC_struct                              rs_disp_top_kspi_00_register_ec

typedef struct _rs_disp_top_kspi_00_register_ec  rs_disp_top_kspi_00_register_ec;
struct _rs_disp_top_kspi_00_register_ec {
    unsigned int regr_kspi_03_cdl_rd0                       :16;
    unsigned int regr_kspi_03_cdl_rd1                       :16;
};
#define disp_top_kspi_00_register_ec(val) ((rs_disp_top_kspi_00_register_ec*)&(val))



#define DISP_TOP_KSPI_00_REGISTER_F0                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0xF0)

#define DISP_TOP_KSPI_00_REGISTER_F0_struct                              rs_disp_top_kspi_00_register_f0

typedef struct _rs_disp_top_kspi_00_register_f0  rs_disp_top_kspi_00_register_f0;
struct _rs_disp_top_kspi_00_register_f0 {
    unsigned int regr_kspi_04_cdl_rd0                       :16;
    unsigned int regr_kspi_04_cdl_rd1                       :16;
};
#define disp_top_kspi_00_register_f0(val) ((rs_disp_top_kspi_00_register_f0*)&(val))



#define DISP_TOP_KSPI_00_REGISTER_F4                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0xF4)

#define DISP_TOP_KSPI_00_REGISTER_F4_struct                              rs_disp_top_kspi_00_register_f4

typedef struct _rs_disp_top_kspi_00_register_f4  rs_disp_top_kspi_00_register_f4;
struct _rs_disp_top_kspi_00_register_f4 {
    unsigned int regr_kspi_05_cdl_rd0                       :16;
    unsigned int regr_kspi_05_cdl_rd1                       :16;
};
#define disp_top_kspi_00_register_f4(val) ((rs_disp_top_kspi_00_register_f4*)&(val))



#define DISP_TOP_KSPI_00_REGISTER_F8                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0xF8)

#define DISP_TOP_KSPI_00_REGISTER_F8_struct                              rs_disp_top_kspi_00_register_f8

typedef struct _rs_disp_top_kspi_00_register_f8  rs_disp_top_kspi_00_register_f8;
struct _rs_disp_top_kspi_00_register_f8 {
    unsigned int regr_kspi_06_cdl_rd0                       :16;
    unsigned int regr_kspi_06_cdl_rd1                       :16;
};
#define disp_top_kspi_00_register_f8(val) ((rs_disp_top_kspi_00_register_f8*)&(val))



#define DISP_TOP_KSPI_00_REGISTER_FC                                     (HV_KSPI_00_REGISTER_BASE_ADDRESS + 0xFC)

#define DISP_TOP_KSPI_00_REGISTER_FC_struct                              rs_disp_top_kspi_00_register_fc

typedef struct _rs_disp_top_kspi_00_register_fc  rs_disp_top_kspi_00_register_fc;
struct _rs_disp_top_kspi_00_register_fc {
    unsigned int regr_kspi_07_cdl_rd0                       :16;
    unsigned int regr_kspi_07_cdl_rd1                       :16;
};
#define disp_top_kspi_00_register_fc(val) ((rs_disp_top_kspi_00_register_fc*)&(val))



#endif