#ifndef _HV_PAGE_HT7315_KSPI_01_REGISTER_H_
#define _HV_PAGE_HT7315_KSPI_01_REGISTER_H_

#ifndef HV_KSPI_01_REGISTER_BASE_ADDRESS
    #define HV_KSPI_01_REGISTER_BASE_ADDRESS                                         0x11029900
#endif


#define DISP_TOP_KSPI_01_REGISTER_00                                     (HV_KSPI_01_REGISTER_BASE_ADDRESS + 0x00)

#define DISP_TOP_KSPI_01_REGISTER_00_struct                              rs_disp_top_kspi_01_register_00

typedef struct _rs_disp_top_kspi_01_register_00  rs_disp_top_kspi_01_register_00;
struct _rs_disp_top_kspi_01_register_00 {
    unsigned int reg_kspi_04_header0                        :16;
    unsigned int reg_kspi_04_header1                        :16;
};
#define disp_top_kspi_01_register_00(val) ((rs_disp_top_kspi_01_register_00*)&(val))



#define DISP_TOP_KSPI_01_REGISTER_04                                     (HV_KSPI_01_REGISTER_BASE_ADDRESS + 0x04)

#define DISP_TOP_KSPI_01_REGISTER_04_struct                              rs_disp_top_kspi_01_register_04

typedef struct _rs_disp_top_kspi_01_register_04  rs_disp_top_kspi_01_register_04;
struct _rs_disp_top_kspi_01_register_04 {
    unsigned int reg_kspi_04_header2                        :16;
    unsigned int reg_kspi_04_header3                        :16;
};
#define disp_top_kspi_01_register_04(val) ((rs_disp_top_kspi_01_register_04*)&(val))



#define DISP_TOP_KSPI_01_REGISTER_08                                     (HV_KSPI_01_REGISTER_BASE_ADDRESS + 0x08)

#define DISP_TOP_KSPI_01_REGISTER_08_struct                              rs_disp_top_kspi_01_register_08

typedef struct _rs_disp_top_kspi_01_register_08  rs_disp_top_kspi_01_register_08;
struct _rs_disp_top_kspi_01_register_08 {
    unsigned int reg_kspi_04_header4                        :16;
    unsigned int reg_kspi_04_header5                        :16;
};
#define disp_top_kspi_01_register_08(val) ((rs_disp_top_kspi_01_register_08*)&(val))



#define DISP_TOP_KSPI_01_REGISTER_0C                                     (HV_KSPI_01_REGISTER_BASE_ADDRESS + 0x0C)

#define DISP_TOP_KSPI_01_REGISTER_0C_struct                              rs_disp_top_kspi_01_register_0c

typedef struct _rs_disp_top_kspi_01_register_0c  rs_disp_top_kspi_01_register_0c;
struct _rs_disp_top_kspi_01_register_0c {
    unsigned int reg_kspi_04_header6                        :16;
    unsigned int reg_kspi_04_header7                        :16;
};
#define disp_top_kspi_01_register_0c(val) ((rs_disp_top_kspi_01_register_0c*)&(val))



#define DISP_TOP_KSPI_01_REGISTER_10                                     (HV_KSPI_01_REGISTER_BASE_ADDRESS + 0x10)

#define DISP_TOP_KSPI_01_REGISTER_10_struct                              rs_disp_top_kspi_01_register_10

typedef struct _rs_disp_top_kspi_01_register_10  rs_disp_top_kspi_01_register_10;
struct _rs_disp_top_kspi_01_register_10 {
    unsigned int reg_kspi_05_header0                        :16;
    unsigned int reg_kspi_05_header1                        :16;
};
#define disp_top_kspi_01_register_10(val) ((rs_disp_top_kspi_01_register_10*)&(val))



#define DISP_TOP_KSPI_01_REGISTER_14                                     (HV_KSPI_01_REGISTER_BASE_ADDRESS + 0x14)

#define DISP_TOP_KSPI_01_REGISTER_14_struct                              rs_disp_top_kspi_01_register_14

typedef struct _rs_disp_top_kspi_01_register_14  rs_disp_top_kspi_01_register_14;
struct _rs_disp_top_kspi_01_register_14 {
    unsigned int reg_kspi_05_header2                        :16;
    unsigned int reg_kspi_05_header3                        :16;
};
#define disp_top_kspi_01_register_14(val) ((rs_disp_top_kspi_01_register_14*)&(val))



#define DISP_TOP_KSPI_01_REGISTER_18                                     (HV_KSPI_01_REGISTER_BASE_ADDRESS + 0x18)

#define DISP_TOP_KSPI_01_REGISTER_18_struct                              rs_disp_top_kspi_01_register_18

typedef struct _rs_disp_top_kspi_01_register_18  rs_disp_top_kspi_01_register_18;
struct _rs_disp_top_kspi_01_register_18 {
    unsigned int reg_kspi_05_header4                        :16;
    unsigned int reg_kspi_05_header5                        :16;
};
#define disp_top_kspi_01_register_18(val) ((rs_disp_top_kspi_01_register_18*)&(val))



#define DISP_TOP_KSPI_01_REGISTER_1C                                     (HV_KSPI_01_REGISTER_BASE_ADDRESS + 0x1C)

#define DISP_TOP_KSPI_01_REGISTER_1C_struct                              rs_disp_top_kspi_01_register_1c

typedef struct _rs_disp_top_kspi_01_register_1c  rs_disp_top_kspi_01_register_1c;
struct _rs_disp_top_kspi_01_register_1c {
    unsigned int reg_kspi_05_header6                        :16;
    unsigned int reg_kspi_05_header7                        :16;
};
#define disp_top_kspi_01_register_1c(val) ((rs_disp_top_kspi_01_register_1c*)&(val))



#define DISP_TOP_KSPI_01_REGISTER_20                                     (HV_KSPI_01_REGISTER_BASE_ADDRESS + 0x20)

#define DISP_TOP_KSPI_01_REGISTER_20_struct                              rs_disp_top_kspi_01_register_20

typedef struct _rs_disp_top_kspi_01_register_20  rs_disp_top_kspi_01_register_20;
struct _rs_disp_top_kspi_01_register_20 {
    unsigned int reg_kspi_06_header0                        :16;
    unsigned int reg_kspi_06_header1                        :16;
};
#define disp_top_kspi_01_register_20(val) ((rs_disp_top_kspi_01_register_20*)&(val))



#define DISP_TOP_KSPI_01_REGISTER_24                                     (HV_KSPI_01_REGISTER_BASE_ADDRESS + 0x24)

#define DISP_TOP_KSPI_01_REGISTER_24_struct                              rs_disp_top_kspi_01_register_24

typedef struct _rs_disp_top_kspi_01_register_24  rs_disp_top_kspi_01_register_24;
struct _rs_disp_top_kspi_01_register_24 {
    unsigned int reg_kspi_06_header2                        :16;
    unsigned int reg_kspi_06_header3                        :16;
};
#define disp_top_kspi_01_register_24(val) ((rs_disp_top_kspi_01_register_24*)&(val))



#define DISP_TOP_KSPI_01_REGISTER_28                                     (HV_KSPI_01_REGISTER_BASE_ADDRESS + 0x28)

#define DISP_TOP_KSPI_01_REGISTER_28_struct                              rs_disp_top_kspi_01_register_28

typedef struct _rs_disp_top_kspi_01_register_28  rs_disp_top_kspi_01_register_28;
struct _rs_disp_top_kspi_01_register_28 {
    unsigned int reg_kspi_06_header4                        :16;
    unsigned int reg_kspi_06_header5                        :16;
};
#define disp_top_kspi_01_register_28(val) ((rs_disp_top_kspi_01_register_28*)&(val))



#define DISP_TOP_KSPI_01_REGISTER_2C                                     (HV_KSPI_01_REGISTER_BASE_ADDRESS + 0x2C)

#define DISP_TOP_KSPI_01_REGISTER_2C_struct                              rs_disp_top_kspi_01_register_2c

typedef struct _rs_disp_top_kspi_01_register_2c  rs_disp_top_kspi_01_register_2c;
struct _rs_disp_top_kspi_01_register_2c {
    unsigned int reg_kspi_06_header6                        :16;
    unsigned int reg_kspi_06_header7                        :16;
};
#define disp_top_kspi_01_register_2c(val) ((rs_disp_top_kspi_01_register_2c*)&(val))



#define DISP_TOP_KSPI_01_REGISTER_30                                     (HV_KSPI_01_REGISTER_BASE_ADDRESS + 0x30)

#define DISP_TOP_KSPI_01_REGISTER_30_struct                              rs_disp_top_kspi_01_register_30

typedef struct _rs_disp_top_kspi_01_register_30  rs_disp_top_kspi_01_register_30;
struct _rs_disp_top_kspi_01_register_30 {
    unsigned int reg_kspi_07_header0                        :16;
    unsigned int reg_kspi_07_header1                        :16;
};
#define disp_top_kspi_01_register_30(val) ((rs_disp_top_kspi_01_register_30*)&(val))



#define DISP_TOP_KSPI_01_REGISTER_34                                     (HV_KSPI_01_REGISTER_BASE_ADDRESS + 0x34)

#define DISP_TOP_KSPI_01_REGISTER_34_struct                              rs_disp_top_kspi_01_register_34

typedef struct _rs_disp_top_kspi_01_register_34  rs_disp_top_kspi_01_register_34;
struct _rs_disp_top_kspi_01_register_34 {
    unsigned int reg_kspi_07_header2                        :16;
    unsigned int reg_kspi_07_header3                        :16;
};
#define disp_top_kspi_01_register_34(val) ((rs_disp_top_kspi_01_register_34*)&(val))



#define DISP_TOP_KSPI_01_REGISTER_38                                     (HV_KSPI_01_REGISTER_BASE_ADDRESS + 0x38)

#define DISP_TOP_KSPI_01_REGISTER_38_struct                              rs_disp_top_kspi_01_register_38

typedef struct _rs_disp_top_kspi_01_register_38  rs_disp_top_kspi_01_register_38;
struct _rs_disp_top_kspi_01_register_38 {
    unsigned int reg_kspi_07_header4                        :16;
    unsigned int reg_kspi_07_header5                        :16;
};
#define disp_top_kspi_01_register_38(val) ((rs_disp_top_kspi_01_register_38*)&(val))



#define DISP_TOP_KSPI_01_REGISTER_3C                                     (HV_KSPI_01_REGISTER_BASE_ADDRESS + 0x3C)

#define DISP_TOP_KSPI_01_REGISTER_3C_struct                              rs_disp_top_kspi_01_register_3c

typedef struct _rs_disp_top_kspi_01_register_3c  rs_disp_top_kspi_01_register_3c;
struct _rs_disp_top_kspi_01_register_3c {
    unsigned int reg_kspi_07_header6                        :16;
    unsigned int reg_kspi_07_header7                        :16;
};
#define disp_top_kspi_01_register_3c(val) ((rs_disp_top_kspi_01_register_3c*)&(val))



#define DISP_TOP_KSPI_01_REGISTER_40                                     (HV_KSPI_01_REGISTER_BASE_ADDRESS + 0x40)

#define DISP_TOP_KSPI_01_REGISTER_40_struct                              rs_disp_top_kspi_01_register_40

typedef struct _rs_disp_top_kspi_01_register_40  rs_disp_top_kspi_01_register_40;
struct _rs_disp_top_kspi_01_register_40 {
    unsigned int reg_kspi_04_tail0                          :16;
    unsigned int reg_kspi_04_tail1                          :16;
};
#define disp_top_kspi_01_register_40(val) ((rs_disp_top_kspi_01_register_40*)&(val))



#define DISP_TOP_KSPI_01_REGISTER_44                                     (HV_KSPI_01_REGISTER_BASE_ADDRESS + 0x44)

#define DISP_TOP_KSPI_01_REGISTER_44_struct                              rs_disp_top_kspi_01_register_44

typedef struct _rs_disp_top_kspi_01_register_44  rs_disp_top_kspi_01_register_44;
struct _rs_disp_top_kspi_01_register_44 {
    unsigned int reg_kspi_04_tail2                          :16;
    unsigned int reg_kspi_04_tail3                          :16;
};
#define disp_top_kspi_01_register_44(val) ((rs_disp_top_kspi_01_register_44*)&(val))



#define DISP_TOP_KSPI_01_REGISTER_48                                     (HV_KSPI_01_REGISTER_BASE_ADDRESS + 0x48)

#define DISP_TOP_KSPI_01_REGISTER_48_struct                              rs_disp_top_kspi_01_register_48

typedef struct _rs_disp_top_kspi_01_register_48  rs_disp_top_kspi_01_register_48;
struct _rs_disp_top_kspi_01_register_48 {
    unsigned int reg_kspi_05_tail0                          :16;
    unsigned int reg_kspi_05_tail1                          :16;
};
#define disp_top_kspi_01_register_48(val) ((rs_disp_top_kspi_01_register_48*)&(val))



#define DISP_TOP_KSPI_01_REGISTER_4C                                     (HV_KSPI_01_REGISTER_BASE_ADDRESS + 0x4C)

#define DISP_TOP_KSPI_01_REGISTER_4C_struct                              rs_disp_top_kspi_01_register_4c

typedef struct _rs_disp_top_kspi_01_register_4c  rs_disp_top_kspi_01_register_4c;
struct _rs_disp_top_kspi_01_register_4c {
    unsigned int reg_kspi_05_tail2                          :16;
    unsigned int reg_kspi_05_tail3                          :16;
};
#define disp_top_kspi_01_register_4c(val) ((rs_disp_top_kspi_01_register_4c*)&(val))



#define DISP_TOP_KSPI_01_REGISTER_50                                     (HV_KSPI_01_REGISTER_BASE_ADDRESS + 0x50)

#define DISP_TOP_KSPI_01_REGISTER_50_struct                              rs_disp_top_kspi_01_register_50

typedef struct _rs_disp_top_kspi_01_register_50  rs_disp_top_kspi_01_register_50;
struct _rs_disp_top_kspi_01_register_50 {
    unsigned int reg_kspi_06_tail0                          :16;
    unsigned int reg_kspi_06_tail1                          :16;
};
#define disp_top_kspi_01_register_50(val) ((rs_disp_top_kspi_01_register_50*)&(val))



#define DISP_TOP_KSPI_01_REGISTER_54                                     (HV_KSPI_01_REGISTER_BASE_ADDRESS + 0x54)

#define DISP_TOP_KSPI_01_REGISTER_54_struct                              rs_disp_top_kspi_01_register_54

typedef struct _rs_disp_top_kspi_01_register_54  rs_disp_top_kspi_01_register_54;
struct _rs_disp_top_kspi_01_register_54 {
    unsigned int reg_kspi_06_tail2                          :16;
    unsigned int reg_kspi_06_tail3                          :16;
};
#define disp_top_kspi_01_register_54(val) ((rs_disp_top_kspi_01_register_54*)&(val))



#define DISP_TOP_KSPI_01_REGISTER_58                                     (HV_KSPI_01_REGISTER_BASE_ADDRESS + 0x58)

#define DISP_TOP_KSPI_01_REGISTER_58_struct                              rs_disp_top_kspi_01_register_58

typedef struct _rs_disp_top_kspi_01_register_58  rs_disp_top_kspi_01_register_58;
struct _rs_disp_top_kspi_01_register_58 {
    unsigned int reg_kspi_07_tail0                          :16;
    unsigned int reg_kspi_07_tail1                          :16;
};
#define disp_top_kspi_01_register_58(val) ((rs_disp_top_kspi_01_register_58*)&(val))



#define DISP_TOP_KSPI_01_REGISTER_5C                                     (HV_KSPI_01_REGISTER_BASE_ADDRESS + 0x5C)

#define DISP_TOP_KSPI_01_REGISTER_5C_struct                              rs_disp_top_kspi_01_register_5c

typedef struct _rs_disp_top_kspi_01_register_5c  rs_disp_top_kspi_01_register_5c;
struct _rs_disp_top_kspi_01_register_5c {
    unsigned int reg_kspi_07_tail2                          :16;
    unsigned int reg_kspi_07_tail3                          :16;
};
#define disp_top_kspi_01_register_5c(val) ((rs_disp_top_kspi_01_register_5c*)&(val))



#define DISP_TOP_KSPI_01_REGISTER_60                                     (HV_KSPI_01_REGISTER_BASE_ADDRESS + 0x60)

#define DISP_TOP_KSPI_01_REGISTER_60_struct                              rs_disp_top_kspi_01_register_60

typedef struct _rs_disp_top_kspi_01_register_60  rs_disp_top_kspi_01_register_60;
struct _rs_disp_top_kspi_01_register_60 {
    unsigned int regr_kspi_00_chksum                        :16;
    unsigned int regr_kspi_01_chksum                        :16;
};
#define disp_top_kspi_01_register_60(val) ((rs_disp_top_kspi_01_register_60*)&(val))



#define DISP_TOP_KSPI_01_REGISTER_64                                     (HV_KSPI_01_REGISTER_BASE_ADDRESS + 0x64)

#define DISP_TOP_KSPI_01_REGISTER_64_struct                              rs_disp_top_kspi_01_register_64

typedef struct _rs_disp_top_kspi_01_register_64  rs_disp_top_kspi_01_register_64;
struct _rs_disp_top_kspi_01_register_64 {
    unsigned int regr_kspi_02_chksum                        :16;
    unsigned int regr_kspi_03_chksum                        :16;
};
#define disp_top_kspi_01_register_64(val) ((rs_disp_top_kspi_01_register_64*)&(val))



#define DISP_TOP_KSPI_01_REGISTER_68                                     (HV_KSPI_01_REGISTER_BASE_ADDRESS + 0x68)

#define DISP_TOP_KSPI_01_REGISTER_68_struct                              rs_disp_top_kspi_01_register_68

typedef struct _rs_disp_top_kspi_01_register_68  rs_disp_top_kspi_01_register_68;
struct _rs_disp_top_kspi_01_register_68 {
    unsigned int regr_kspi_04_chksum                        :16;
    unsigned int regr_kspi_05_chksum                        :16;
};
#define disp_top_kspi_01_register_68(val) ((rs_disp_top_kspi_01_register_68*)&(val))



#define DISP_TOP_KSPI_01_REGISTER_6C                                     (HV_KSPI_01_REGISTER_BASE_ADDRESS + 0x6C)

#define DISP_TOP_KSPI_01_REGISTER_6C_struct                              rs_disp_top_kspi_01_register_6c

typedef struct _rs_disp_top_kspi_01_register_6c  rs_disp_top_kspi_01_register_6c;
struct _rs_disp_top_kspi_01_register_6c {
    unsigned int regr_kspi_06_chksum                        :16;
    unsigned int regr_kspi_07_chksum                        :16;
};
#define disp_top_kspi_01_register_6c(val) ((rs_disp_top_kspi_01_register_6c*)&(val))



#define DISP_TOP_KSPI_01_REGISTER_70                                     (HV_KSPI_01_REGISTER_BASE_ADDRESS + 0x70)

#define DISP_TOP_KSPI_01_REGISTER_70_struct                              rs_disp_top_kspi_01_register_70

typedef struct _rs_disp_top_kspi_01_register_70  rs_disp_top_kspi_01_register_70;
struct _rs_disp_top_kspi_01_register_70 {
    unsigned int reg_kspi_dm_mode_sel                       : 3;
    unsigned int reg_kspi_dm_clk_en                         : 1;
    unsigned int reg_kspi_dm_start_en                       : 1;
    unsigned int reg_kspi_vs_freq_sel                       : 1;
    unsigned int reg_kspi_vs_fix_freq_en                    : 1;
    unsigned int reg_kspi_column_num                        :10;
    unsigned int reg_kspi_line_num                          :10;
    unsigned int reg_kspi_clr_rdma_addr_req                 : 1;
    unsigned int reg_kspi_int_en                            : 2;
    unsigned int reserved                                   : 2;
};
#define disp_top_kspi_01_register_70(val) ((rs_disp_top_kspi_01_register_70*)&(val))



#define DISP_TOP_KSPI_01_REGISTER_74                                     (HV_KSPI_01_REGISTER_BASE_ADDRESS + 0x74)

#define DISP_TOP_KSPI_01_REGISTER_74_struct                              rs_disp_top_kspi_01_register_74

typedef struct _rs_disp_top_kspi_01_register_74  rs_disp_top_kspi_01_register_74;
struct _rs_disp_top_kspi_01_register_74 {
    unsigned int reg_kspi_rdma_addr                         :32;
};
#define disp_top_kspi_01_register_74(val) ((rs_disp_top_kspi_01_register_74*)&(val))



#define DISP_TOP_KSPI_01_REGISTER_78                                     (HV_KSPI_01_REGISTER_BASE_ADDRESS + 0x78)

#define DISP_TOP_KSPI_01_REGISTER_78_struct                              rs_disp_top_kspi_01_register_78

typedef struct _rs_disp_top_kspi_01_register_78  rs_disp_top_kspi_01_register_78;
struct _rs_disp_top_kspi_01_register_78 {
    unsigned int reg_kspi_vs_fix_freq_num                   :32;
};
#define disp_top_kspi_01_register_78(val) ((rs_disp_top_kspi_01_register_78*)&(val))



#define DISP_TOP_KSPI_01_REGISTER_7C                                     (HV_KSPI_01_REGISTER_BASE_ADDRESS + 0x7C)

#define DISP_TOP_KSPI_01_REGISTER_7C_struct                              rs_disp_top_kspi_01_register_7c

typedef struct _rs_disp_top_kspi_01_register_7c  rs_disp_top_kspi_01_register_7c;
struct _rs_disp_top_kspi_01_register_7c {
    unsigned int reg_kspi_buf0_data_num                     :10;
    unsigned int reg_kspi_buf0_spi_num                      : 4;
    unsigned int reg_kspi_buf0_reverse                      : 1;
    unsigned int reserved                                   : 1;
    unsigned int reg_kspi_buf1_data_num                     :10;
    unsigned int reg_kspi_buf1_spi_num                      : 4;
    unsigned int reg_kspi_buf1_reverse                      : 1;
    unsigned int reserved_1                                 : 1;
};
#define disp_top_kspi_01_register_7c(val) ((rs_disp_top_kspi_01_register_7c*)&(val))



#define DISP_TOP_KSPI_01_REGISTER_80                                     (HV_KSPI_01_REGISTER_BASE_ADDRESS + 0x80)

#define DISP_TOP_KSPI_01_REGISTER_80_struct                              rs_disp_top_kspi_01_register_80

typedef struct _rs_disp_top_kspi_01_register_80  rs_disp_top_kspi_01_register_80;
struct _rs_disp_top_kspi_01_register_80 {
    unsigned int reg_kspi_buf2_data_num                     :10;
    unsigned int reg_kspi_buf2_spi_num                      : 4;
    unsigned int reg_kspi_buf2_reverse                      : 1;
    unsigned int reserved                                   : 1;
    unsigned int reg_kspi_buf3_data_num                     :10;
    unsigned int reg_kspi_buf3_spi_num                      : 4;
    unsigned int reg_kspi_buf3_reverse                      : 1;
    unsigned int reserved_1                                 : 1;
};
#define disp_top_kspi_01_register_80(val) ((rs_disp_top_kspi_01_register_80*)&(val))



#define DISP_TOP_KSPI_01_REGISTER_84                                     (HV_KSPI_01_REGISTER_BASE_ADDRESS + 0x84)

#define DISP_TOP_KSPI_01_REGISTER_84_struct                              rs_disp_top_kspi_01_register_84

typedef struct _rs_disp_top_kspi_01_register_84  rs_disp_top_kspi_01_register_84;
struct _rs_disp_top_kspi_01_register_84 {
    unsigned int reg_kspi_buf4_data_num                     :10;
    unsigned int reg_kspi_buf4_spi_num                      : 4;
    unsigned int reg_kspi_buf4_reverse                      : 1;
    unsigned int reserved                                   : 1;
    unsigned int reg_kspi_buf5_data_num                     :10;
    unsigned int reg_kspi_buf5_spi_num                      : 4;
    unsigned int reg_kspi_buf5_reverse                      : 1;
    unsigned int reserved_1                                 : 1;
};
#define disp_top_kspi_01_register_84(val) ((rs_disp_top_kspi_01_register_84*)&(val))



#define DISP_TOP_KSPI_01_REGISTER_88                                     (HV_KSPI_01_REGISTER_BASE_ADDRESS + 0x88)

#define DISP_TOP_KSPI_01_REGISTER_88_struct                              rs_disp_top_kspi_01_register_88

typedef struct _rs_disp_top_kspi_01_register_88  rs_disp_top_kspi_01_register_88;
struct _rs_disp_top_kspi_01_register_88 {
    unsigned int reg_kspi_buf6_data_num                     :10;
    unsigned int reg_kspi_buf6_spi_num                      : 4;
    unsigned int reg_kspi_buf6_reverse                      : 1;
    unsigned int reserved                                   : 1;
    unsigned int reg_kspi_buf7_data_num                     :10;
    unsigned int reg_kspi_buf7_spi_num                      : 4;
    unsigned int reg_kspi_buf7_reverse                      : 1;
    unsigned int reserved_1                                 : 1;
};
#define disp_top_kspi_01_register_88(val) ((rs_disp_top_kspi_01_register_88*)&(val))



#define DISP_TOP_KSPI_01_REGISTER_8C                                     (HV_KSPI_01_REGISTER_BASE_ADDRESS + 0x8C)

#define DISP_TOP_KSPI_01_REGISTER_8C_struct                              rs_disp_top_kspi_01_register_8c

typedef struct _rs_disp_top_kspi_01_register_8c  rs_disp_top_kspi_01_register_8c;
struct _rs_disp_top_kspi_01_register_8c {
    unsigned int reg_kspi_vso_width                         :24;
    unsigned int reg_kspi_vso_en                            : 1;
    unsigned int reg_kspi_vso_ctrl_en                       : 1;
    unsigned int reg_kspi_ram_offset                        : 4;
    unsigned int reserved                                   : 2;
};
#define disp_top_kspi_01_register_8c(val) ((rs_disp_top_kspi_01_register_8c*)&(val))



#define DISP_TOP_KSPI_01_REGISTER_90                                     (HV_KSPI_01_REGISTER_BASE_ADDRESS + 0x90)

#define DISP_TOP_KSPI_01_REGISTER_90_struct                              rs_disp_top_kspi_01_register_90

typedef struct _rs_disp_top_kspi_01_register_90  rs_disp_top_kspi_01_register_90;
struct _rs_disp_top_kspi_01_register_90 {
    unsigned int reg_kspi_vso_dly                           :32;
};
#define disp_top_kspi_01_register_90(val) ((rs_disp_top_kspi_01_register_90*)&(val))



#define DISP_TOP_KSPI_01_REGISTER_94                                     (HV_KSPI_01_REGISTER_BASE_ADDRESS + 0x94)

#define DISP_TOP_KSPI_01_REGISTER_94_struct                              rs_disp_top_kspi_01_register_94

typedef struct _rs_disp_top_kspi_01_register_94  rs_disp_top_kspi_01_register_94;
struct _rs_disp_top_kspi_01_register_94 {
    unsigned int reg_kspi_demo_mode                         : 8;
    unsigned int reg_kspi_demo_freq                         : 8;
    unsigned int reg_kspi_demo_data                         :16;
};
#define disp_top_kspi_01_register_94(val) ((rs_disp_top_kspi_01_register_94*)&(val))



#define DISP_TOP_KSPI_01_REGISTER_98                                     (HV_KSPI_01_REGISTER_BASE_ADDRESS + 0x98)

#define DISP_TOP_KSPI_01_REGISTER_98_struct                              rs_disp_top_kspi_01_register_98

typedef struct _rs_disp_top_kspi_01_register_98  rs_disp_top_kspi_01_register_98;
struct _rs_disp_top_kspi_01_register_98 {
    unsigned int reg_kspi_demo_hstart                       :10;
    unsigned int reg_kspi_demo_hend                         :10;
    unsigned int reg_kspi_demo_vstart                       :10;
    unsigned int reg_kspi_demo_init                         : 1;
    unsigned int reg_kspi_demo_slf_gen                      : 1;
};
#define disp_top_kspi_01_register_98(val) ((rs_disp_top_kspi_01_register_98*)&(val))



#define DISP_TOP_KSPI_01_REGISTER_9C                                     (HV_KSPI_01_REGISTER_BASE_ADDRESS + 0x9C)

#define DISP_TOP_KSPI_01_REGISTER_9C_struct                              rs_disp_top_kspi_01_register_9c

typedef struct _rs_disp_top_kspi_01_register_9c  rs_disp_top_kspi_01_register_9c;
struct _rs_disp_top_kspi_01_register_9c {
    unsigned int reg_kspi_demo_vend                         :10;
    unsigned int reserved                                   :22;
};
#define disp_top_kspi_01_register_9c(val) ((rs_disp_top_kspi_01_register_9c*)&(val))



#define DISP_TOP_KSPI_01_REGISTER_A0                                     (HV_KSPI_01_REGISTER_BASE_ADDRESS + 0xA0)

#define DISP_TOP_KSPI_01_REGISTER_A0_struct                              rs_disp_top_kspi_01_register_a0

typedef struct _rs_disp_top_kspi_01_register_a0  rs_disp_top_kspi_01_register_a0;
struct _rs_disp_top_kspi_01_register_a0 {
    unsigned int reg_kspi_vso_mult_en                       : 1;
    unsigned int reg_kspi_vso_mult_num                      : 3;
    unsigned int reg_kspi_mem_reg_0                         : 8;
    unsigned int reg_kspi_mem_reg_1                         : 8;
    unsigned int reserved                                   :12;
};
#define disp_top_kspi_01_register_a0(val) ((rs_disp_top_kspi_01_register_a0*)&(val))



#define DISP_TOP_KSPI_01_REGISTER_A4                                     (HV_KSPI_01_REGISTER_BASE_ADDRESS + 0xA4)

#define DISP_TOP_KSPI_01_REGISTER_A4_struct                              rs_disp_top_kspi_01_register_a4

typedef struct _rs_disp_top_kspi_01_register_a4  rs_disp_top_kspi_01_register_a4;
struct _rs_disp_top_kspi_01_register_a4 {
    unsigned int regr_kspi_vs_freq_num                      :32;
};
#define disp_top_kspi_01_register_a4(val) ((rs_disp_top_kspi_01_register_a4*)&(val))



#define DISP_TOP_KSPI_01_REGISTER_A8                                     (HV_KSPI_01_REGISTER_BASE_ADDRESS + 0xA8)

#define DISP_TOP_KSPI_01_REGISTER_A8_struct                              rs_disp_top_kspi_01_register_a8

typedef struct _rs_disp_top_kspi_01_register_a8  rs_disp_top_kspi_01_register_a8;
struct _rs_disp_top_kspi_01_register_a8 {
    unsigned int regr_kspi_rdma_addr                        :32;
};
#define disp_top_kspi_01_register_a8(val) ((rs_disp_top_kspi_01_register_a8*)&(val))



#define DISP_TOP_KSPI_01_REGISTER_E0                                     (HV_KSPI_01_REGISTER_BASE_ADDRESS + 0xE0)

#define DISP_TOP_KSPI_01_REGISTER_E0_struct                              rs_disp_top_kspi_01_register_e0

typedef struct _rs_disp_top_kspi_01_register_e0  rs_disp_top_kspi_01_register_e0;
struct _rs_disp_top_kspi_01_register_e0 {
    unsigned int reg_kspi_debug0                            :32;
};
#define disp_top_kspi_01_register_e0(val) ((rs_disp_top_kspi_01_register_e0*)&(val))



#define DISP_TOP_KSPI_01_REGISTER_E4                                     (HV_KSPI_01_REGISTER_BASE_ADDRESS + 0xE4)

#define DISP_TOP_KSPI_01_REGISTER_E4_struct                              rs_disp_top_kspi_01_register_e4

typedef struct _rs_disp_top_kspi_01_register_e4  rs_disp_top_kspi_01_register_e4;
struct _rs_disp_top_kspi_01_register_e4 {
    unsigned int reg_kspi_debug1                            :32;
};
#define disp_top_kspi_01_register_e4(val) ((rs_disp_top_kspi_01_register_e4*)&(val))



#define DISP_TOP_KSPI_01_REGISTER_E8                                     (HV_KSPI_01_REGISTER_BASE_ADDRESS + 0xE8)

#define DISP_TOP_KSPI_01_REGISTER_E8_struct                              rs_disp_top_kspi_01_register_e8

typedef struct _rs_disp_top_kspi_01_register_e8  rs_disp_top_kspi_01_register_e8;
struct _rs_disp_top_kspi_01_register_e8 {
    unsigned int reg_kspi_debug2                            :32;
};
#define disp_top_kspi_01_register_e8(val) ((rs_disp_top_kspi_01_register_e8*)&(val))



#define DISP_TOP_KSPI_01_REGISTER_EC                                     (HV_KSPI_01_REGISTER_BASE_ADDRESS + 0xEC)

#define DISP_TOP_KSPI_01_REGISTER_EC_struct                              rs_disp_top_kspi_01_register_ec

typedef struct _rs_disp_top_kspi_01_register_ec  rs_disp_top_kspi_01_register_ec;
struct _rs_disp_top_kspi_01_register_ec {
    unsigned int reg_kspi_debug3                            :32;
};
#define disp_top_kspi_01_register_ec(val) ((rs_disp_top_kspi_01_register_ec*)&(val))



#define DISP_TOP_KSPI_01_REGISTER_F0                                     (HV_KSPI_01_REGISTER_BASE_ADDRESS + 0xF0)

#define DISP_TOP_KSPI_01_REGISTER_F0_struct                              rs_disp_top_kspi_01_register_f0

typedef struct _rs_disp_top_kspi_01_register_f0  rs_disp_top_kspi_01_register_f0;
struct _rs_disp_top_kspi_01_register_f0 {
    unsigned int reg_kspi_debug4                            :32;
};
#define disp_top_kspi_01_register_f0(val) ((rs_disp_top_kspi_01_register_f0*)&(val))



#define DISP_TOP_KSPI_01_REGISTER_F4                                     (HV_KSPI_01_REGISTER_BASE_ADDRESS + 0xF4)

#define DISP_TOP_KSPI_01_REGISTER_F4_struct                              rs_disp_top_kspi_01_register_f4

typedef struct _rs_disp_top_kspi_01_register_f4  rs_disp_top_kspi_01_register_f4;
struct _rs_disp_top_kspi_01_register_f4 {
    unsigned int reg_kspi_debug5                            :32;
};
#define disp_top_kspi_01_register_f4(val) ((rs_disp_top_kspi_01_register_f4*)&(val))



#define DISP_TOP_KSPI_01_REGISTER_F8                                     (HV_KSPI_01_REGISTER_BASE_ADDRESS + 0xF8)

#define DISP_TOP_KSPI_01_REGISTER_F8_struct                              rs_disp_top_kspi_01_register_f8

typedef struct _rs_disp_top_kspi_01_register_f8  rs_disp_top_kspi_01_register_f8;
struct _rs_disp_top_kspi_01_register_f8 {
    unsigned int reg_kspi_debug6                            :32;
};
#define disp_top_kspi_01_register_f8(val) ((rs_disp_top_kspi_01_register_f8*)&(val))



#define DISP_TOP_KSPI_01_REGISTER_FC                                     (HV_KSPI_01_REGISTER_BASE_ADDRESS + 0xFC)

#define DISP_TOP_KSPI_01_REGISTER_FC_struct                              rs_disp_top_kspi_01_register_fc

typedef struct _rs_disp_top_kspi_01_register_fc  rs_disp_top_kspi_01_register_fc;
struct _rs_disp_top_kspi_01_register_fc {
    unsigned int reg_kspi_debug7                            :32;
};
#define disp_top_kspi_01_register_fc(val) ((rs_disp_top_kspi_01_register_fc*)&(val))



#endif