#ifndef _HV_PAGE_HT7315_KV_RECT_P4_00_H_
#define _HV_PAGE_HT7315_KV_RECT_P4_00_H_

#ifndef HV_KV_RECT_P4_00_BASE_ADDRESS
    #define HV_KV_RECT_P4_00_BASE_ADDRESS                                         0x11063400
#endif


#define OSD_KV_RECT_P4_00_00                                             (HV_KV_RECT_P4_00_BASE_ADDRESS + 0x00)

#define OSD_KV_RECT_P4_00_00_struct                                      rs_osd_kv_rect_p4_00_00

typedef struct _rs_osd_kv_rect_p4_00_00  rs_osd_kv_rect_p4_00_00;
struct _rs_osd_kv_rect_p4_00_00 {
    unsigned int reg_00_num_h_line01                        : 4;
    unsigned int reg_00_num_v_line01                        : 4;
    unsigned int reg_00_hl_num_h_0_line01                   : 4;
    unsigned int reg_00_hl_num_v_0_line01                   : 4;
    unsigned int reg_00_h_space_line01                      : 8;
    unsigned int reg_00_v_space_line01                      : 8;
};
#define osd_kv_rect_p4_00_00(val) ((rs_osd_kv_rect_p4_00_00*)&(val))



#define OSD_KV_RECT_P4_00_04                                             (HV_KV_RECT_P4_00_BASE_ADDRESS + 0x04)

#define OSD_KV_RECT_P4_00_04_struct                                      rs_osd_kv_rect_p4_00_04

typedef struct _rs_osd_kv_rect_p4_00_04  rs_osd_kv_rect_p4_00_04;
struct _rs_osd_kv_rect_p4_00_04 {
    unsigned int reg_00_start_x_line01                      :14;
    unsigned int reserved                                   : 2;
    unsigned int reg_00_start_y_line01                      :13;
    unsigned int reserved_1                                 : 3;
};
#define osd_kv_rect_p4_00_04(val) ((rs_osd_kv_rect_p4_00_04*)&(val))



#define OSD_KV_RECT_P4_00_08                                             (HV_KV_RECT_P4_00_BASE_ADDRESS + 0x08)

#define OSD_KV_RECT_P4_00_08_struct                                      rs_osd_kv_rect_p4_00_08

typedef struct _rs_osd_kv_rect_p4_00_08  rs_osd_kv_rect_p4_00_08;
struct _rs_osd_kv_rect_p4_00_08 {
    unsigned int reg_00_size_x_line01                       :14;
    unsigned int reserved                                   : 2;
    unsigned int reg_00_size_y_line01                       :13;
    unsigned int reserved_1                                 : 3;
};
#define osd_kv_rect_p4_00_08(val) ((rs_osd_kv_rect_p4_00_08*)&(val))



#define OSD_KV_RECT_P4_00_0C                                             (HV_KV_RECT_P4_00_BASE_ADDRESS + 0x0C)

#define OSD_KV_RECT_P4_00_0C_struct                                      rs_osd_kv_rect_p4_00_0c

typedef struct _rs_osd_kv_rect_p4_00_0c  rs_osd_kv_rect_p4_00_0c;
struct _rs_osd_kv_rect_p4_00_0c {
    unsigned int reg_00_enable0_line0                       : 1;
    unsigned int reg_00_fill_line0                          : 1;
    unsigned int reserved                                   :18;
    unsigned int reg_00_hl_num_h_1_line01                   : 4;
    unsigned int reg_00_hl_num_v_1_line01                   : 4;
    unsigned int reg_00_hl_mode_line01                      : 4;
};
#define osd_kv_rect_p4_00_0c(val) ((rs_osd_kv_rect_p4_00_0c*)&(val))



#define OSD_KV_RECT_P4_00_10                                             (HV_KV_RECT_P4_00_BASE_ADDRESS + 0x10)

#define OSD_KV_RECT_P4_00_10_struct                                      rs_osd_kv_rect_p4_00_10

typedef struct _rs_osd_kv_rect_p4_00_10  rs_osd_kv_rect_p4_00_10;
struct _rs_osd_kv_rect_p4_00_10 {
    unsigned int reg_00_color00_line0                       :16;
    unsigned int reg_00_color01_line0                       :16;
};
#define osd_kv_rect_p4_00_10(val) ((rs_osd_kv_rect_p4_00_10*)&(val))



#define OSD_KV_RECT_P4_00_14                                             (HV_KV_RECT_P4_00_BASE_ADDRESS + 0x14)

#define OSD_KV_RECT_P4_00_14_struct                                      rs_osd_kv_rect_p4_00_14

typedef struct _rs_osd_kv_rect_p4_00_14  rs_osd_kv_rect_p4_00_14;
struct _rs_osd_kv_rect_p4_00_14 {
    unsigned int reg_00_enable1_line1                       : 1;
    unsigned int reg_00_fill_line1                          : 1;
    unsigned int reserved                                   :30;
};
#define osd_kv_rect_p4_00_14(val) ((rs_osd_kv_rect_p4_00_14*)&(val))



#define OSD_KV_RECT_P4_00_18                                             (HV_KV_RECT_P4_00_BASE_ADDRESS + 0x18)

#define OSD_KV_RECT_P4_00_18_struct                                      rs_osd_kv_rect_p4_00_18

typedef struct _rs_osd_kv_rect_p4_00_18  rs_osd_kv_rect_p4_00_18;
struct _rs_osd_kv_rect_p4_00_18 {
    unsigned int reg_00_color10_line1                       :16;
    unsigned int reg_00_color11_line1                       :16;
};
#define osd_kv_rect_p4_00_18(val) ((rs_osd_kv_rect_p4_00_18*)&(val))



#define OSD_KV_RECT_P4_00_20                                             (HV_KV_RECT_P4_00_BASE_ADDRESS + 0x20)

#define OSD_KV_RECT_P4_00_20_struct                                      rs_osd_kv_rect_p4_00_20

typedef struct _rs_osd_kv_rect_p4_00_20  rs_osd_kv_rect_p4_00_20;
struct _rs_osd_kv_rect_p4_00_20 {
    unsigned int reg_00_num_h_line23                        : 4;
    unsigned int reg_00_num_v_line23                        : 4;
    unsigned int reg_00_hl_num_h_0_line23                   : 4;
    unsigned int reg_00_hl_num_v_0_line23                   : 4;
    unsigned int reg_00_h_space_line23                      : 8;
    unsigned int reg_00_v_space_line23                      : 8;
};
#define osd_kv_rect_p4_00_20(val) ((rs_osd_kv_rect_p4_00_20*)&(val))



#define OSD_KV_RECT_P4_00_24                                             (HV_KV_RECT_P4_00_BASE_ADDRESS + 0x24)

#define OSD_KV_RECT_P4_00_24_struct                                      rs_osd_kv_rect_p4_00_24

typedef struct _rs_osd_kv_rect_p4_00_24  rs_osd_kv_rect_p4_00_24;
struct _rs_osd_kv_rect_p4_00_24 {
    unsigned int reg_00_start_x_line23                      :14;
    unsigned int reserved                                   : 2;
    unsigned int reg_00_start_y_line23                      :13;
    unsigned int reserved_1                                 : 3;
};
#define osd_kv_rect_p4_00_24(val) ((rs_osd_kv_rect_p4_00_24*)&(val))



#define OSD_KV_RECT_P4_00_28                                             (HV_KV_RECT_P4_00_BASE_ADDRESS + 0x28)

#define OSD_KV_RECT_P4_00_28_struct                                      rs_osd_kv_rect_p4_00_28

typedef struct _rs_osd_kv_rect_p4_00_28  rs_osd_kv_rect_p4_00_28;
struct _rs_osd_kv_rect_p4_00_28 {
    unsigned int reg_00_size_x_line23                       :14;
    unsigned int reserved                                   : 2;
    unsigned int reg_00_size_y_line23                       :13;
    unsigned int reserved_1                                 : 3;
};
#define osd_kv_rect_p4_00_28(val) ((rs_osd_kv_rect_p4_00_28*)&(val))



#define OSD_KV_RECT_P4_00_2C                                             (HV_KV_RECT_P4_00_BASE_ADDRESS + 0x2C)

#define OSD_KV_RECT_P4_00_2C_struct                                      rs_osd_kv_rect_p4_00_2c

typedef struct _rs_osd_kv_rect_p4_00_2c  rs_osd_kv_rect_p4_00_2c;
struct _rs_osd_kv_rect_p4_00_2c {
    unsigned int reg_00_enable0_line2                       : 1;
    unsigned int reg_00_fill_line2                          : 1;
    unsigned int reserved                                   :18;
    unsigned int reg_00_hl_num_h_1_line23                   : 4;
    unsigned int reg_00_hl_num_v_1_line23                   : 4;
    unsigned int reg_00_hl_mode_line23                      : 4;
};
#define osd_kv_rect_p4_00_2c(val) ((rs_osd_kv_rect_p4_00_2c*)&(val))



#define OSD_KV_RECT_P4_00_30                                             (HV_KV_RECT_P4_00_BASE_ADDRESS + 0x30)

#define OSD_KV_RECT_P4_00_30_struct                                      rs_osd_kv_rect_p4_00_30

typedef struct _rs_osd_kv_rect_p4_00_30  rs_osd_kv_rect_p4_00_30;
struct _rs_osd_kv_rect_p4_00_30 {
    unsigned int reg_00_color00_line2                       :16;
    unsigned int reg_00_color01_line2                       :16;
};
#define osd_kv_rect_p4_00_30(val) ((rs_osd_kv_rect_p4_00_30*)&(val))



#define OSD_KV_RECT_P4_00_34                                             (HV_KV_RECT_P4_00_BASE_ADDRESS + 0x34)

#define OSD_KV_RECT_P4_00_34_struct                                      rs_osd_kv_rect_p4_00_34

typedef struct _rs_osd_kv_rect_p4_00_34  rs_osd_kv_rect_p4_00_34;
struct _rs_osd_kv_rect_p4_00_34 {
    unsigned int reg_00_enable1_line3                       : 1;
    unsigned int reg_00_fill_line3                          : 1;
    unsigned int reserved                                   :30;
};
#define osd_kv_rect_p4_00_34(val) ((rs_osd_kv_rect_p4_00_34*)&(val))



#define OSD_KV_RECT_P4_00_38                                             (HV_KV_RECT_P4_00_BASE_ADDRESS + 0x38)

#define OSD_KV_RECT_P4_00_38_struct                                      rs_osd_kv_rect_p4_00_38

typedef struct _rs_osd_kv_rect_p4_00_38  rs_osd_kv_rect_p4_00_38;
struct _rs_osd_kv_rect_p4_00_38 {
    unsigned int reg_00_color10_line3                       :16;
    unsigned int reg_00_color11_line3                       :16;
};
#define osd_kv_rect_p4_00_38(val) ((rs_osd_kv_rect_p4_00_38*)&(val))



#endif