#ifndef _HV_PAGE_HT7315_MHI_MHA4_REG_H_
#define _HV_PAGE_HT7315_MHI_MHA4_REG_H_

#ifndef HV_MHI_MHA4_REG_BASE_ADDRESS
    #define HV_MHI_MHA4_REG_BASE_ADDRESS                                         0x11025700
#endif


#define DISP_TOP_MHI_MHA4_REG_00                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0x00)

#define DISP_TOP_MHI_MHA4_REG_00_struct                                  rs_disp_top_mhi_mha4_reg_00

typedef struct _rs_disp_top_mhi_mha4_reg_00  rs_disp_top_mhi_mha4_reg_00;
struct _rs_disp_top_mhi_mha4_reg_00 {
    unsigned int regr_hia_hst2_0dat                         :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_00(val) ((rs_disp_top_mhi_mha4_reg_00*)&(val))



#define DISP_TOP_MHI_MHA4_REG_04                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0x04)

#define DISP_TOP_MHI_MHA4_REG_04_struct                                  rs_disp_top_mhi_mha4_reg_04

typedef struct _rs_disp_top_mhi_mha4_reg_04  rs_disp_top_mhi_mha4_reg_04;
struct _rs_disp_top_mhi_mha4_reg_04 {
    unsigned int regr_hia_hst2_1dat                         :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_04(val) ((rs_disp_top_mhi_mha4_reg_04*)&(val))



#define DISP_TOP_MHI_MHA4_REG_08                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0x08)

#define DISP_TOP_MHI_MHA4_REG_08_struct                                  rs_disp_top_mhi_mha4_reg_08

typedef struct _rs_disp_top_mhi_mha4_reg_08  rs_disp_top_mhi_mha4_reg_08;
struct _rs_disp_top_mhi_mha4_reg_08 {
    unsigned int regr_hia_hst2_2dat                         :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_08(val) ((rs_disp_top_mhi_mha4_reg_08*)&(val))



#define DISP_TOP_MHI_MHA4_REG_0C                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0x0C)

#define DISP_TOP_MHI_MHA4_REG_0C_struct                                  rs_disp_top_mhi_mha4_reg_0c

typedef struct _rs_disp_top_mhi_mha4_reg_0c  rs_disp_top_mhi_mha4_reg_0c;
struct _rs_disp_top_mhi_mha4_reg_0c {
    unsigned int regr_hia_hst2_3dat                         :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_0c(val) ((rs_disp_top_mhi_mha4_reg_0c*)&(val))



#define DISP_TOP_MHI_MHA4_REG_10                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0x10)

#define DISP_TOP_MHI_MHA4_REG_10_struct                                  rs_disp_top_mhi_mha4_reg_10

typedef struct _rs_disp_top_mhi_mha4_reg_10  rs_disp_top_mhi_mha4_reg_10;
struct _rs_disp_top_mhi_mha4_reg_10 {
    unsigned int regr_hia_hst2_4dat                         :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_10(val) ((rs_disp_top_mhi_mha4_reg_10*)&(val))



#define DISP_TOP_MHI_MHA4_REG_14                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0x14)

#define DISP_TOP_MHI_MHA4_REG_14_struct                                  rs_disp_top_mhi_mha4_reg_14

typedef struct _rs_disp_top_mhi_mha4_reg_14  rs_disp_top_mhi_mha4_reg_14;
struct _rs_disp_top_mhi_mha4_reg_14 {
    unsigned int regr_hia_hst2_5dat                         :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_14(val) ((rs_disp_top_mhi_mha4_reg_14*)&(val))



#define DISP_TOP_MHI_MHA4_REG_18                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0x18)

#define DISP_TOP_MHI_MHA4_REG_18_struct                                  rs_disp_top_mhi_mha4_reg_18

typedef struct _rs_disp_top_mhi_mha4_reg_18  rs_disp_top_mhi_mha4_reg_18;
struct _rs_disp_top_mhi_mha4_reg_18 {
    unsigned int regr_hia_hst2_6dat                         :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_18(val) ((rs_disp_top_mhi_mha4_reg_18*)&(val))



#define DISP_TOP_MHI_MHA4_REG_1C                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0x1C)

#define DISP_TOP_MHI_MHA4_REG_1C_struct                                  rs_disp_top_mhi_mha4_reg_1c

typedef struct _rs_disp_top_mhi_mha4_reg_1c  rs_disp_top_mhi_mha4_reg_1c;
struct _rs_disp_top_mhi_mha4_reg_1c {
    unsigned int regr_hia_hst2_7dat                         :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_1c(val) ((rs_disp_top_mhi_mha4_reg_1c*)&(val))



#define DISP_TOP_MHI_MHA4_REG_20                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0x20)

#define DISP_TOP_MHI_MHA4_REG_20_struct                                  rs_disp_top_mhi_mha4_reg_20

typedef struct _rs_disp_top_mhi_mha4_reg_20  rs_disp_top_mhi_mha4_reg_20;
struct _rs_disp_top_mhi_mha4_reg_20 {
    unsigned int regr_hia_hst2_8dat                         :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_20(val) ((rs_disp_top_mhi_mha4_reg_20*)&(val))



#define DISP_TOP_MHI_MHA4_REG_24                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0x24)

#define DISP_TOP_MHI_MHA4_REG_24_struct                                  rs_disp_top_mhi_mha4_reg_24

typedef struct _rs_disp_top_mhi_mha4_reg_24  rs_disp_top_mhi_mha4_reg_24;
struct _rs_disp_top_mhi_mha4_reg_24 {
    unsigned int regr_hia_hst2_9dat                         :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_24(val) ((rs_disp_top_mhi_mha4_reg_24*)&(val))



#define DISP_TOP_MHI_MHA4_REG_28                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0x28)

#define DISP_TOP_MHI_MHA4_REG_28_struct                                  rs_disp_top_mhi_mha4_reg_28

typedef struct _rs_disp_top_mhi_mha4_reg_28  rs_disp_top_mhi_mha4_reg_28;
struct _rs_disp_top_mhi_mha4_reg_28 {
    unsigned int regr_hia_hst2_10dat                        :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_28(val) ((rs_disp_top_mhi_mha4_reg_28*)&(val))



#define DISP_TOP_MHI_MHA4_REG_2C                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0x2C)

#define DISP_TOP_MHI_MHA4_REG_2C_struct                                  rs_disp_top_mhi_mha4_reg_2c

typedef struct _rs_disp_top_mhi_mha4_reg_2c  rs_disp_top_mhi_mha4_reg_2c;
struct _rs_disp_top_mhi_mha4_reg_2c {
    unsigned int regr_hia_hst2_11dat                        :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_2c(val) ((rs_disp_top_mhi_mha4_reg_2c*)&(val))



#define DISP_TOP_MHI_MHA4_REG_30                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0x30)

#define DISP_TOP_MHI_MHA4_REG_30_struct                                  rs_disp_top_mhi_mha4_reg_30

typedef struct _rs_disp_top_mhi_mha4_reg_30  rs_disp_top_mhi_mha4_reg_30;
struct _rs_disp_top_mhi_mha4_reg_30 {
    unsigned int regr_hia_hst2_12dat                        :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_30(val) ((rs_disp_top_mhi_mha4_reg_30*)&(val))



#define DISP_TOP_MHI_MHA4_REG_34                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0x34)

#define DISP_TOP_MHI_MHA4_REG_34_struct                                  rs_disp_top_mhi_mha4_reg_34

typedef struct _rs_disp_top_mhi_mha4_reg_34  rs_disp_top_mhi_mha4_reg_34;
struct _rs_disp_top_mhi_mha4_reg_34 {
    unsigned int regr_hia_hst2_13dat                        :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_34(val) ((rs_disp_top_mhi_mha4_reg_34*)&(val))



#define DISP_TOP_MHI_MHA4_REG_38                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0x38)

#define DISP_TOP_MHI_MHA4_REG_38_struct                                  rs_disp_top_mhi_mha4_reg_38

typedef struct _rs_disp_top_mhi_mha4_reg_38  rs_disp_top_mhi_mha4_reg_38;
struct _rs_disp_top_mhi_mha4_reg_38 {
    unsigned int regr_hia_hst2_14dat                        :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_38(val) ((rs_disp_top_mhi_mha4_reg_38*)&(val))



#define DISP_TOP_MHI_MHA4_REG_3C                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0x3C)

#define DISP_TOP_MHI_MHA4_REG_3C_struct                                  rs_disp_top_mhi_mha4_reg_3c

typedef struct _rs_disp_top_mhi_mha4_reg_3c  rs_disp_top_mhi_mha4_reg_3c;
struct _rs_disp_top_mhi_mha4_reg_3c {
    unsigned int regr_hia_hst2_15dat                        :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_3c(val) ((rs_disp_top_mhi_mha4_reg_3c*)&(val))



#define DISP_TOP_MHI_MHA4_REG_40                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0x40)

#define DISP_TOP_MHI_MHA4_REG_40_struct                                  rs_disp_top_mhi_mha4_reg_40

typedef struct _rs_disp_top_mhi_mha4_reg_40  rs_disp_top_mhi_mha4_reg_40;
struct _rs_disp_top_mhi_mha4_reg_40 {
    unsigned int regr_hia_hst2_16dat                        :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_40(val) ((rs_disp_top_mhi_mha4_reg_40*)&(val))



#define DISP_TOP_MHI_MHA4_REG_44                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0x44)

#define DISP_TOP_MHI_MHA4_REG_44_struct                                  rs_disp_top_mhi_mha4_reg_44

typedef struct _rs_disp_top_mhi_mha4_reg_44  rs_disp_top_mhi_mha4_reg_44;
struct _rs_disp_top_mhi_mha4_reg_44 {
    unsigned int regr_hia_hst2_17dat                        :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_44(val) ((rs_disp_top_mhi_mha4_reg_44*)&(val))



#define DISP_TOP_MHI_MHA4_REG_48                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0x48)

#define DISP_TOP_MHI_MHA4_REG_48_struct                                  rs_disp_top_mhi_mha4_reg_48

typedef struct _rs_disp_top_mhi_mha4_reg_48  rs_disp_top_mhi_mha4_reg_48;
struct _rs_disp_top_mhi_mha4_reg_48 {
    unsigned int regr_hia_hst2_18dat                        :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_48(val) ((rs_disp_top_mhi_mha4_reg_48*)&(val))



#define DISP_TOP_MHI_MHA4_REG_4C                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0x4C)

#define DISP_TOP_MHI_MHA4_REG_4C_struct                                  rs_disp_top_mhi_mha4_reg_4c

typedef struct _rs_disp_top_mhi_mha4_reg_4c  rs_disp_top_mhi_mha4_reg_4c;
struct _rs_disp_top_mhi_mha4_reg_4c {
    unsigned int regr_hia_hst2_19dat                        :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_4c(val) ((rs_disp_top_mhi_mha4_reg_4c*)&(val))



#define DISP_TOP_MHI_MHA4_REG_50                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0x50)

#define DISP_TOP_MHI_MHA4_REG_50_struct                                  rs_disp_top_mhi_mha4_reg_50

typedef struct _rs_disp_top_mhi_mha4_reg_50  rs_disp_top_mhi_mha4_reg_50;
struct _rs_disp_top_mhi_mha4_reg_50 {
    unsigned int regr_hia_hst2_20dat                        :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_50(val) ((rs_disp_top_mhi_mha4_reg_50*)&(val))



#define DISP_TOP_MHI_MHA4_REG_54                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0x54)

#define DISP_TOP_MHI_MHA4_REG_54_struct                                  rs_disp_top_mhi_mha4_reg_54

typedef struct _rs_disp_top_mhi_mha4_reg_54  rs_disp_top_mhi_mha4_reg_54;
struct _rs_disp_top_mhi_mha4_reg_54 {
    unsigned int regr_hia_hst2_21dat                        :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_54(val) ((rs_disp_top_mhi_mha4_reg_54*)&(val))



#define DISP_TOP_MHI_MHA4_REG_58                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0x58)

#define DISP_TOP_MHI_MHA4_REG_58_struct                                  rs_disp_top_mhi_mha4_reg_58

typedef struct _rs_disp_top_mhi_mha4_reg_58  rs_disp_top_mhi_mha4_reg_58;
struct _rs_disp_top_mhi_mha4_reg_58 {
    unsigned int regr_hia_hst2_22dat                        :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_58(val) ((rs_disp_top_mhi_mha4_reg_58*)&(val))



#define DISP_TOP_MHI_MHA4_REG_5C                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0x5C)

#define DISP_TOP_MHI_MHA4_REG_5C_struct                                  rs_disp_top_mhi_mha4_reg_5c

typedef struct _rs_disp_top_mhi_mha4_reg_5c  rs_disp_top_mhi_mha4_reg_5c;
struct _rs_disp_top_mhi_mha4_reg_5c {
    unsigned int regr_hia_hst2_23dat                        :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_5c(val) ((rs_disp_top_mhi_mha4_reg_5c*)&(val))



#define DISP_TOP_MHI_MHA4_REG_60                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0x60)

#define DISP_TOP_MHI_MHA4_REG_60_struct                                  rs_disp_top_mhi_mha4_reg_60

typedef struct _rs_disp_top_mhi_mha4_reg_60  rs_disp_top_mhi_mha4_reg_60;
struct _rs_disp_top_mhi_mha4_reg_60 {
    unsigned int regr_hia_hst2_24dat                        :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_60(val) ((rs_disp_top_mhi_mha4_reg_60*)&(val))



#define DISP_TOP_MHI_MHA4_REG_64                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0x64)

#define DISP_TOP_MHI_MHA4_REG_64_struct                                  rs_disp_top_mhi_mha4_reg_64

typedef struct _rs_disp_top_mhi_mha4_reg_64  rs_disp_top_mhi_mha4_reg_64;
struct _rs_disp_top_mhi_mha4_reg_64 {
    unsigned int regr_hia_hst2_25dat                        :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_64(val) ((rs_disp_top_mhi_mha4_reg_64*)&(val))



#define DISP_TOP_MHI_MHA4_REG_68                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0x68)

#define DISP_TOP_MHI_MHA4_REG_68_struct                                  rs_disp_top_mhi_mha4_reg_68

typedef struct _rs_disp_top_mhi_mha4_reg_68  rs_disp_top_mhi_mha4_reg_68;
struct _rs_disp_top_mhi_mha4_reg_68 {
    unsigned int regr_hia_hst2_26dat                        :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_68(val) ((rs_disp_top_mhi_mha4_reg_68*)&(val))



#define DISP_TOP_MHI_MHA4_REG_6C                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0x6C)

#define DISP_TOP_MHI_MHA4_REG_6C_struct                                  rs_disp_top_mhi_mha4_reg_6c

typedef struct _rs_disp_top_mhi_mha4_reg_6c  rs_disp_top_mhi_mha4_reg_6c;
struct _rs_disp_top_mhi_mha4_reg_6c {
    unsigned int regr_hia_hst2_27dat                        :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_6c(val) ((rs_disp_top_mhi_mha4_reg_6c*)&(val))



#define DISP_TOP_MHI_MHA4_REG_70                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0x70)

#define DISP_TOP_MHI_MHA4_REG_70_struct                                  rs_disp_top_mhi_mha4_reg_70

typedef struct _rs_disp_top_mhi_mha4_reg_70  rs_disp_top_mhi_mha4_reg_70;
struct _rs_disp_top_mhi_mha4_reg_70 {
    unsigned int regr_hia_hst2_28dat                        :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_70(val) ((rs_disp_top_mhi_mha4_reg_70*)&(val))



#define DISP_TOP_MHI_MHA4_REG_74                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0x74)

#define DISP_TOP_MHI_MHA4_REG_74_struct                                  rs_disp_top_mhi_mha4_reg_74

typedef struct _rs_disp_top_mhi_mha4_reg_74  rs_disp_top_mhi_mha4_reg_74;
struct _rs_disp_top_mhi_mha4_reg_74 {
    unsigned int regr_hia_hst2_29dat                        :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_74(val) ((rs_disp_top_mhi_mha4_reg_74*)&(val))



#define DISP_TOP_MHI_MHA4_REG_78                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0x78)

#define DISP_TOP_MHI_MHA4_REG_78_struct                                  rs_disp_top_mhi_mha4_reg_78

typedef struct _rs_disp_top_mhi_mha4_reg_78  rs_disp_top_mhi_mha4_reg_78;
struct _rs_disp_top_mhi_mha4_reg_78 {
    unsigned int regr_hia_hst2_30dat                        :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_78(val) ((rs_disp_top_mhi_mha4_reg_78*)&(val))



#define DISP_TOP_MHI_MHA4_REG_7C                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0x7C)

#define DISP_TOP_MHI_MHA4_REG_7C_struct                                  rs_disp_top_mhi_mha4_reg_7c

typedef struct _rs_disp_top_mhi_mha4_reg_7c  rs_disp_top_mhi_mha4_reg_7c;
struct _rs_disp_top_mhi_mha4_reg_7c {
    unsigned int regr_hia_hst2_31dat                        :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_7c(val) ((rs_disp_top_mhi_mha4_reg_7c*)&(val))



#define DISP_TOP_MHI_MHA4_REG_80                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0x80)

#define DISP_TOP_MHI_MHA4_REG_80_struct                                  rs_disp_top_mhi_mha4_reg_80

typedef struct _rs_disp_top_mhi_mha4_reg_80  rs_disp_top_mhi_mha4_reg_80;
struct _rs_disp_top_mhi_mha4_reg_80 {
    unsigned int regr_hia_hst2_32dat                        :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_80(val) ((rs_disp_top_mhi_mha4_reg_80*)&(val))



#define DISP_TOP_MHI_MHA4_REG_84                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0x84)

#define DISP_TOP_MHI_MHA4_REG_84_struct                                  rs_disp_top_mhi_mha4_reg_84

typedef struct _rs_disp_top_mhi_mha4_reg_84  rs_disp_top_mhi_mha4_reg_84;
struct _rs_disp_top_mhi_mha4_reg_84 {
    unsigned int regr_hia_hst2_33dat                        :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_84(val) ((rs_disp_top_mhi_mha4_reg_84*)&(val))



#define DISP_TOP_MHI_MHA4_REG_88                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0x88)

#define DISP_TOP_MHI_MHA4_REG_88_struct                                  rs_disp_top_mhi_mha4_reg_88

typedef struct _rs_disp_top_mhi_mha4_reg_88  rs_disp_top_mhi_mha4_reg_88;
struct _rs_disp_top_mhi_mha4_reg_88 {
    unsigned int regr_hia_hst2_34dat                        :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_88(val) ((rs_disp_top_mhi_mha4_reg_88*)&(val))



#define DISP_TOP_MHI_MHA4_REG_8C                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0x8C)

#define DISP_TOP_MHI_MHA4_REG_8C_struct                                  rs_disp_top_mhi_mha4_reg_8c

typedef struct _rs_disp_top_mhi_mha4_reg_8c  rs_disp_top_mhi_mha4_reg_8c;
struct _rs_disp_top_mhi_mha4_reg_8c {
    unsigned int regr_hia_hst2_35dat                        :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_8c(val) ((rs_disp_top_mhi_mha4_reg_8c*)&(val))



#define DISP_TOP_MHI_MHA4_REG_90                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0x90)

#define DISP_TOP_MHI_MHA4_REG_90_struct                                  rs_disp_top_mhi_mha4_reg_90

typedef struct _rs_disp_top_mhi_mha4_reg_90  rs_disp_top_mhi_mha4_reg_90;
struct _rs_disp_top_mhi_mha4_reg_90 {
    unsigned int regr_hia_hst2_36dat                        :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_90(val) ((rs_disp_top_mhi_mha4_reg_90*)&(val))



#define DISP_TOP_MHI_MHA4_REG_94                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0x94)

#define DISP_TOP_MHI_MHA4_REG_94_struct                                  rs_disp_top_mhi_mha4_reg_94

typedef struct _rs_disp_top_mhi_mha4_reg_94  rs_disp_top_mhi_mha4_reg_94;
struct _rs_disp_top_mhi_mha4_reg_94 {
    unsigned int regr_hia_hst2_37dat                        :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_94(val) ((rs_disp_top_mhi_mha4_reg_94*)&(val))



#define DISP_TOP_MHI_MHA4_REG_98                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0x98)

#define DISP_TOP_MHI_MHA4_REG_98_struct                                  rs_disp_top_mhi_mha4_reg_98

typedef struct _rs_disp_top_mhi_mha4_reg_98  rs_disp_top_mhi_mha4_reg_98;
struct _rs_disp_top_mhi_mha4_reg_98 {
    unsigned int regr_hia_hst2_38dat                        :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_98(val) ((rs_disp_top_mhi_mha4_reg_98*)&(val))



#define DISP_TOP_MHI_MHA4_REG_9C                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0x9C)

#define DISP_TOP_MHI_MHA4_REG_9C_struct                                  rs_disp_top_mhi_mha4_reg_9c

typedef struct _rs_disp_top_mhi_mha4_reg_9c  rs_disp_top_mhi_mha4_reg_9c;
struct _rs_disp_top_mhi_mha4_reg_9c {
    unsigned int regr_hia_hst2_39dat                        :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_9c(val) ((rs_disp_top_mhi_mha4_reg_9c*)&(val))



#define DISP_TOP_MHI_MHA4_REG_A0                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0xA0)

#define DISP_TOP_MHI_MHA4_REG_A0_struct                                  rs_disp_top_mhi_mha4_reg_a0

typedef struct _rs_disp_top_mhi_mha4_reg_a0  rs_disp_top_mhi_mha4_reg_a0;
struct _rs_disp_top_mhi_mha4_reg_a0 {
    unsigned int regr_hia_hst2_40dat                        :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_a0(val) ((rs_disp_top_mhi_mha4_reg_a0*)&(val))



#define DISP_TOP_MHI_MHA4_REG_A4                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0xA4)

#define DISP_TOP_MHI_MHA4_REG_A4_struct                                  rs_disp_top_mhi_mha4_reg_a4

typedef struct _rs_disp_top_mhi_mha4_reg_a4  rs_disp_top_mhi_mha4_reg_a4;
struct _rs_disp_top_mhi_mha4_reg_a4 {
    unsigned int regr_hia_hst2_41dat                        :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_a4(val) ((rs_disp_top_mhi_mha4_reg_a4*)&(val))



#define DISP_TOP_MHI_MHA4_REG_A8                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0xA8)

#define DISP_TOP_MHI_MHA4_REG_A8_struct                                  rs_disp_top_mhi_mha4_reg_a8

typedef struct _rs_disp_top_mhi_mha4_reg_a8  rs_disp_top_mhi_mha4_reg_a8;
struct _rs_disp_top_mhi_mha4_reg_a8 {
    unsigned int regr_hia_hst2_42dat                        :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_a8(val) ((rs_disp_top_mhi_mha4_reg_a8*)&(val))



#define DISP_TOP_MHI_MHA4_REG_AC                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0xAC)

#define DISP_TOP_MHI_MHA4_REG_AC_struct                                  rs_disp_top_mhi_mha4_reg_ac

typedef struct _rs_disp_top_mhi_mha4_reg_ac  rs_disp_top_mhi_mha4_reg_ac;
struct _rs_disp_top_mhi_mha4_reg_ac {
    unsigned int regr_hia_hst2_43dat                        :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_ac(val) ((rs_disp_top_mhi_mha4_reg_ac*)&(val))



#define DISP_TOP_MHI_MHA4_REG_B0                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0xB0)

#define DISP_TOP_MHI_MHA4_REG_B0_struct                                  rs_disp_top_mhi_mha4_reg_b0

typedef struct _rs_disp_top_mhi_mha4_reg_b0  rs_disp_top_mhi_mha4_reg_b0;
struct _rs_disp_top_mhi_mha4_reg_b0 {
    unsigned int regr_hia_hst2_44dat                        :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_b0(val) ((rs_disp_top_mhi_mha4_reg_b0*)&(val))



#define DISP_TOP_MHI_MHA4_REG_B4                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0xB4)

#define DISP_TOP_MHI_MHA4_REG_B4_struct                                  rs_disp_top_mhi_mha4_reg_b4

typedef struct _rs_disp_top_mhi_mha4_reg_b4  rs_disp_top_mhi_mha4_reg_b4;
struct _rs_disp_top_mhi_mha4_reg_b4 {
    unsigned int regr_hia_hst2_45dat                        :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_b4(val) ((rs_disp_top_mhi_mha4_reg_b4*)&(val))



#define DISP_TOP_MHI_MHA4_REG_B8                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0xB8)

#define DISP_TOP_MHI_MHA4_REG_B8_struct                                  rs_disp_top_mhi_mha4_reg_b8

typedef struct _rs_disp_top_mhi_mha4_reg_b8  rs_disp_top_mhi_mha4_reg_b8;
struct _rs_disp_top_mhi_mha4_reg_b8 {
    unsigned int regr_hia_hst2_46dat                        :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_b8(val) ((rs_disp_top_mhi_mha4_reg_b8*)&(val))



#define DISP_TOP_MHI_MHA4_REG_BC                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0xBC)

#define DISP_TOP_MHI_MHA4_REG_BC_struct                                  rs_disp_top_mhi_mha4_reg_bc

typedef struct _rs_disp_top_mhi_mha4_reg_bc  rs_disp_top_mhi_mha4_reg_bc;
struct _rs_disp_top_mhi_mha4_reg_bc {
    unsigned int regr_hia_hst2_47dat                        :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_bc(val) ((rs_disp_top_mhi_mha4_reg_bc*)&(val))



#define DISP_TOP_MHI_MHA4_REG_C0                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0xC0)

#define DISP_TOP_MHI_MHA4_REG_C0_struct                                  rs_disp_top_mhi_mha4_reg_c0

typedef struct _rs_disp_top_mhi_mha4_reg_c0  rs_disp_top_mhi_mha4_reg_c0;
struct _rs_disp_top_mhi_mha4_reg_c0 {
    unsigned int regr_hia_hst2_48dat                        :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_c0(val) ((rs_disp_top_mhi_mha4_reg_c0*)&(val))



#define DISP_TOP_MHI_MHA4_REG_C4                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0xC4)

#define DISP_TOP_MHI_MHA4_REG_C4_struct                                  rs_disp_top_mhi_mha4_reg_c4

typedef struct _rs_disp_top_mhi_mha4_reg_c4  rs_disp_top_mhi_mha4_reg_c4;
struct _rs_disp_top_mhi_mha4_reg_c4 {
    unsigned int regr_hia_hst2_49dat                        :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_c4(val) ((rs_disp_top_mhi_mha4_reg_c4*)&(val))



#define DISP_TOP_MHI_MHA4_REG_C8                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0xC8)

#define DISP_TOP_MHI_MHA4_REG_C8_struct                                  rs_disp_top_mhi_mha4_reg_c8

typedef struct _rs_disp_top_mhi_mha4_reg_c8  rs_disp_top_mhi_mha4_reg_c8;
struct _rs_disp_top_mhi_mha4_reg_c8 {
    unsigned int regr_hia_hst2_50dat                        :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_c8(val) ((rs_disp_top_mhi_mha4_reg_c8*)&(val))



#define DISP_TOP_MHI_MHA4_REG_CC                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0xCC)

#define DISP_TOP_MHI_MHA4_REG_CC_struct                                  rs_disp_top_mhi_mha4_reg_cc

typedef struct _rs_disp_top_mhi_mha4_reg_cc  rs_disp_top_mhi_mha4_reg_cc;
struct _rs_disp_top_mhi_mha4_reg_cc {
    unsigned int regr_hia_hst2_51dat                        :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_cc(val) ((rs_disp_top_mhi_mha4_reg_cc*)&(val))



#define DISP_TOP_MHI_MHA4_REG_D0                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0xD0)

#define DISP_TOP_MHI_MHA4_REG_D0_struct                                  rs_disp_top_mhi_mha4_reg_d0

typedef struct _rs_disp_top_mhi_mha4_reg_d0  rs_disp_top_mhi_mha4_reg_d0;
struct _rs_disp_top_mhi_mha4_reg_d0 {
    unsigned int regr_hia_hst2_52dat                        :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_d0(val) ((rs_disp_top_mhi_mha4_reg_d0*)&(val))



#define DISP_TOP_MHI_MHA4_REG_D4                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0xD4)

#define DISP_TOP_MHI_MHA4_REG_D4_struct                                  rs_disp_top_mhi_mha4_reg_d4

typedef struct _rs_disp_top_mhi_mha4_reg_d4  rs_disp_top_mhi_mha4_reg_d4;
struct _rs_disp_top_mhi_mha4_reg_d4 {
    unsigned int regr_hia_hst2_53dat                        :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_d4(val) ((rs_disp_top_mhi_mha4_reg_d4*)&(val))



#define DISP_TOP_MHI_MHA4_REG_D8                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0xD8)

#define DISP_TOP_MHI_MHA4_REG_D8_struct                                  rs_disp_top_mhi_mha4_reg_d8

typedef struct _rs_disp_top_mhi_mha4_reg_d8  rs_disp_top_mhi_mha4_reg_d8;
struct _rs_disp_top_mhi_mha4_reg_d8 {
    unsigned int regr_hia_hst2_54dat                        :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_d8(val) ((rs_disp_top_mhi_mha4_reg_d8*)&(val))



#define DISP_TOP_MHI_MHA4_REG_DC                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0xDC)

#define DISP_TOP_MHI_MHA4_REG_DC_struct                                  rs_disp_top_mhi_mha4_reg_dc

typedef struct _rs_disp_top_mhi_mha4_reg_dc  rs_disp_top_mhi_mha4_reg_dc;
struct _rs_disp_top_mhi_mha4_reg_dc {
    unsigned int regr_hia_hst2_55dat                        :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_dc(val) ((rs_disp_top_mhi_mha4_reg_dc*)&(val))



#define DISP_TOP_MHI_MHA4_REG_E0                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0xE0)

#define DISP_TOP_MHI_MHA4_REG_E0_struct                                  rs_disp_top_mhi_mha4_reg_e0

typedef struct _rs_disp_top_mhi_mha4_reg_e0  rs_disp_top_mhi_mha4_reg_e0;
struct _rs_disp_top_mhi_mha4_reg_e0 {
    unsigned int regr_hia_hst2_56dat                        :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_e0(val) ((rs_disp_top_mhi_mha4_reg_e0*)&(val))



#define DISP_TOP_MHI_MHA4_REG_E4                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0xE4)

#define DISP_TOP_MHI_MHA4_REG_E4_struct                                  rs_disp_top_mhi_mha4_reg_e4

typedef struct _rs_disp_top_mhi_mha4_reg_e4  rs_disp_top_mhi_mha4_reg_e4;
struct _rs_disp_top_mhi_mha4_reg_e4 {
    unsigned int regr_hia_hst2_57dat                        :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_e4(val) ((rs_disp_top_mhi_mha4_reg_e4*)&(val))



#define DISP_TOP_MHI_MHA4_REG_E8                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0xE8)

#define DISP_TOP_MHI_MHA4_REG_E8_struct                                  rs_disp_top_mhi_mha4_reg_e8

typedef struct _rs_disp_top_mhi_mha4_reg_e8  rs_disp_top_mhi_mha4_reg_e8;
struct _rs_disp_top_mhi_mha4_reg_e8 {
    unsigned int regr_hia_hst2_58dat                        :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_e8(val) ((rs_disp_top_mhi_mha4_reg_e8*)&(val))



#define DISP_TOP_MHI_MHA4_REG_EC                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0xEC)

#define DISP_TOP_MHI_MHA4_REG_EC_struct                                  rs_disp_top_mhi_mha4_reg_ec

typedef struct _rs_disp_top_mhi_mha4_reg_ec  rs_disp_top_mhi_mha4_reg_ec;
struct _rs_disp_top_mhi_mha4_reg_ec {
    unsigned int regr_hia_hst2_59dat                        :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_ec(val) ((rs_disp_top_mhi_mha4_reg_ec*)&(val))



#define DISP_TOP_MHI_MHA4_REG_F0                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0xF0)

#define DISP_TOP_MHI_MHA4_REG_F0_struct                                  rs_disp_top_mhi_mha4_reg_f0

typedef struct _rs_disp_top_mhi_mha4_reg_f0  rs_disp_top_mhi_mha4_reg_f0;
struct _rs_disp_top_mhi_mha4_reg_f0 {
    unsigned int regr_hia_hst2_60dat                        :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_f0(val) ((rs_disp_top_mhi_mha4_reg_f0*)&(val))



#define DISP_TOP_MHI_MHA4_REG_F4                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0xF4)

#define DISP_TOP_MHI_MHA4_REG_F4_struct                                  rs_disp_top_mhi_mha4_reg_f4

typedef struct _rs_disp_top_mhi_mha4_reg_f4  rs_disp_top_mhi_mha4_reg_f4;
struct _rs_disp_top_mhi_mha4_reg_f4 {
    unsigned int regr_hia_hst2_61dat                        :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_f4(val) ((rs_disp_top_mhi_mha4_reg_f4*)&(val))



#define DISP_TOP_MHI_MHA4_REG_F8                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0xF8)

#define DISP_TOP_MHI_MHA4_REG_F8_struct                                  rs_disp_top_mhi_mha4_reg_f8

typedef struct _rs_disp_top_mhi_mha4_reg_f8  rs_disp_top_mhi_mha4_reg_f8;
struct _rs_disp_top_mhi_mha4_reg_f8 {
    unsigned int regr_hia_hst2_62dat                        :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_f8(val) ((rs_disp_top_mhi_mha4_reg_f8*)&(val))



#define DISP_TOP_MHI_MHA4_REG_FC                                         (HV_MHI_MHA4_REG_BASE_ADDRESS + 0xFC)

#define DISP_TOP_MHI_MHA4_REG_FC_struct                                  rs_disp_top_mhi_mha4_reg_fc

typedef struct _rs_disp_top_mhi_mha4_reg_fc  rs_disp_top_mhi_mha4_reg_fc;
struct _rs_disp_top_mhi_mha4_reg_fc {
    unsigned int regr_hia_hst2_63dat                        :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_mhi_mha4_reg_fc(val) ((rs_disp_top_mhi_mha4_reg_fc*)&(val))



#endif