#ifndef _HV_PAGE_HT7315_MHI_MHC0_REG_H_
#define _HV_PAGE_HT7315_MHI_MHC0_REG_H_

#ifndef HV_MHI_MHC0_REG_BASE_ADDRESS
    #define HV_MHI_MHC0_REG_BASE_ADDRESS                                         0x11026100
#endif


#define DISP_TOP_MHI_MHC0_REG_00                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0x00)

#define DISP_TOP_MHI_MHC0_REG_00_struct                                  rs_disp_top_mhi_mhc0_reg_00

typedef struct _rs_disp_top_mhi_mhc0_reg_00  rs_disp_top_mhi_mhc0_reg_00;
struct _rs_disp_top_mhi_mhc0_reg_00 {
    unsigned int reg_mhi_data_sel                           : 2;
    unsigned int reserved                                   : 6;
    unsigned int reg_mhi_data_sel_hst4                      : 2;
    unsigned int reserved_1                                 :22;
};
#define disp_top_mhi_mhc0_reg_00(val) ((rs_disp_top_mhi_mhc0_reg_00*)&(val))



#define DISP_TOP_MHI_MHC0_REG_04                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0x04)

#define DISP_TOP_MHI_MHC0_REG_04_struct                                  rs_disp_top_mhi_mhc0_reg_04

typedef struct _rs_disp_top_mhi_mhc0_reg_04  rs_disp_top_mhi_mhc0_reg_04;
struct _rs_disp_top_mhi_mhc0_reg_04 {
    unsigned int reg_hia_win1act_a                          : 1;
    unsigned int reserved                                   : 7;
    unsigned int reg_hia_win2act_a                          : 1;
    unsigned int reserved_1                                 : 7;
    unsigned int reg_hia_win3act_a                          : 1;
    unsigned int reserved_2                                 : 7;
    unsigned int reg_hia_win4act_a                          : 1;
    unsigned int reserved_3                                 : 7;
};
#define disp_top_mhi_mhc0_reg_04(val) ((rs_disp_top_mhi_mhc0_reg_04*)&(val))



#define DISP_TOP_MHI_MHC0_REG_08                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0x08)

#define DISP_TOP_MHI_MHC0_REG_08_struct                                  rs_disp_top_mhi_mhc0_reg_08

typedef struct _rs_disp_top_mhi_mhc0_reg_08  rs_disp_top_mhi_mhc0_reg_08;
struct _rs_disp_top_mhi_mhc0_reg_08 {
    unsigned int reg_hia_win1_hph_a                         :13;
    unsigned int reserved                                   : 3;
    unsigned int reg_hia_win1_hwd_a                         :13;
    unsigned int reserved_1                                 : 3;
};
#define disp_top_mhi_mhc0_reg_08(val) ((rs_disp_top_mhi_mhc0_reg_08*)&(val))



#define DISP_TOP_MHI_MHC0_REG_10                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0x10)

#define DISP_TOP_MHI_MHC0_REG_10_struct                                  rs_disp_top_mhi_mhc0_reg_10

typedef struct _rs_disp_top_mhi_mhc0_reg_10  rs_disp_top_mhi_mhc0_reg_10;
struct _rs_disp_top_mhi_mhc0_reg_10 {
    unsigned int reg_hia_win1_vph                           :13;
    unsigned int reserved                                   : 3;
    unsigned int reg_hia_win1_vwd                           :13;
    unsigned int reserved_1                                 : 3;
};
#define disp_top_mhi_mhc0_reg_10(val) ((rs_disp_top_mhi_mhc0_reg_10*)&(val))



#define DISP_TOP_MHI_MHC0_REG_14                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0x14)

#define DISP_TOP_MHI_MHC0_REG_14_struct                                  rs_disp_top_mhi_mhc0_reg_14

typedef struct _rs_disp_top_mhi_mhc0_reg_14  rs_disp_top_mhi_mhc0_reg_14;
struct _rs_disp_top_mhi_mhc0_reg_14 {
    unsigned int reg_hia_win2_hph_a                         :13;
    unsigned int reserved                                   : 3;
    unsigned int reg_hia_win2_hwd_a                         :13;
    unsigned int reserved_1                                 : 3;
};
#define disp_top_mhi_mhc0_reg_14(val) ((rs_disp_top_mhi_mhc0_reg_14*)&(val))



#define DISP_TOP_MHI_MHC0_REG_18                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0x18)

#define DISP_TOP_MHI_MHC0_REG_18_struct                                  rs_disp_top_mhi_mhc0_reg_18

typedef struct _rs_disp_top_mhi_mhc0_reg_18  rs_disp_top_mhi_mhc0_reg_18;
struct _rs_disp_top_mhi_mhc0_reg_18 {
    unsigned int reg_hia_win2_vph                           :13;
    unsigned int reserved                                   : 3;
    unsigned int reg_hia_win2_vwd                           :13;
    unsigned int reserved_1                                 : 3;
};
#define disp_top_mhi_mhc0_reg_18(val) ((rs_disp_top_mhi_mhc0_reg_18*)&(val))



#define DISP_TOP_MHI_MHC0_REG_1C                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0x1C)

#define DISP_TOP_MHI_MHC0_REG_1C_struct                                  rs_disp_top_mhi_mhc0_reg_1c

typedef struct _rs_disp_top_mhi_mhc0_reg_1c  rs_disp_top_mhi_mhc0_reg_1c;
struct _rs_disp_top_mhi_mhc0_reg_1c {
    unsigned int reg_hia_win3_hph_a                         :13;
    unsigned int reserved                                   : 3;
    unsigned int reg_hia_win3_hwd_a                         :13;
    unsigned int reserved_1                                 : 3;
};
#define disp_top_mhi_mhc0_reg_1c(val) ((rs_disp_top_mhi_mhc0_reg_1c*)&(val))



#define DISP_TOP_MHI_MHC0_REG_20                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0x20)

#define DISP_TOP_MHI_MHC0_REG_20_struct                                  rs_disp_top_mhi_mhc0_reg_20

typedef struct _rs_disp_top_mhi_mhc0_reg_20  rs_disp_top_mhi_mhc0_reg_20;
struct _rs_disp_top_mhi_mhc0_reg_20 {
    unsigned int reg_hia_win3_vph                           :13;
    unsigned int reserved                                   : 3;
    unsigned int reg_hia_win3_vwd                           :13;
    unsigned int reserved_1                                 : 3;
};
#define disp_top_mhi_mhc0_reg_20(val) ((rs_disp_top_mhi_mhc0_reg_20*)&(val))



#define DISP_TOP_MHI_MHC0_REG_24                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0x24)

#define DISP_TOP_MHI_MHC0_REG_24_struct                                  rs_disp_top_mhi_mhc0_reg_24

typedef struct _rs_disp_top_mhi_mhc0_reg_24  rs_disp_top_mhi_mhc0_reg_24;
struct _rs_disp_top_mhi_mhc0_reg_24 {
    unsigned int reg_hia_win4_hph_a                         :13;
    unsigned int reserved                                   : 3;
    unsigned int reg_hia_win4_hwd_a                         :13;
    unsigned int reserved_1                                 : 3;
};
#define disp_top_mhi_mhc0_reg_24(val) ((rs_disp_top_mhi_mhc0_reg_24*)&(val))



#define DISP_TOP_MHI_MHC0_REG_28                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0x28)

#define DISP_TOP_MHI_MHC0_REG_28_struct                                  rs_disp_top_mhi_mhc0_reg_28

typedef struct _rs_disp_top_mhi_mhc0_reg_28  rs_disp_top_mhi_mhc0_reg_28;
struct _rs_disp_top_mhi_mhc0_reg_28 {
    unsigned int reg_hia_win4_vph                           :13;
    unsigned int reserved                                   : 3;
    unsigned int reg_hia_win4_vwd                           :13;
    unsigned int reserved_1                                 : 3;
};
#define disp_top_mhi_mhc0_reg_28(val) ((rs_disp_top_mhi_mhc0_reg_28*)&(val))



#define DISP_TOP_MHI_MHC0_REG_2C                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0x2C)

#define DISP_TOP_MHI_MHC0_REG_2C_struct                                  rs_disp_top_mhi_mhc0_reg_2c

typedef struct _rs_disp_top_mhi_mhc0_reg_2c  rs_disp_top_mhi_mhc0_reg_2c;
struct _rs_disp_top_mhi_mhc0_reg_2c {
    unsigned int reg_hia_hst2dec                            : 2;
    unsigned int reserved                                   :30;
};
#define disp_top_mhi_mhc0_reg_2c(val) ((rs_disp_top_mhi_mhc0_reg_2c*)&(val))



#define DISP_TOP_MHI_MHC0_REG_30                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0x30)

#define DISP_TOP_MHI_MHC0_REG_30_struct                                  rs_disp_top_mhi_mhc0_reg_30

typedef struct _rs_disp_top_mhi_mhc0_reg_30  rs_disp_top_mhi_mhc0_reg_30;
struct _rs_disp_top_mhi_mhc0_reg_30 {
    unsigned int reg_hia_hst3dec                            : 2;
    unsigned int reserved                                   :30;
};
#define disp_top_mhi_mhc0_reg_30(val) ((rs_disp_top_mhi_mhc0_reg_30*)&(val))



#define DISP_TOP_MHI_MHC0_REG_3C                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0x3C)

#define DISP_TOP_MHI_MHC0_REG_3C_struct                                  rs_disp_top_mhi_mhc0_reg_3c

typedef struct _rs_disp_top_mhi_mhc0_reg_3c  rs_disp_top_mhi_mhc0_reg_3c;
struct _rs_disp_top_mhi_mhc0_reg_3c {
    unsigned int reg_hia_amplevbtm                          : 7;
    unsigned int reserved                                   : 1;
    unsigned int reg_hia_amplevtop                          : 7;
    unsigned int reserved_1                                 :17;
};
#define disp_top_mhi_mhc0_reg_3c(val) ((rs_disp_top_mhi_mhc0_reg_3c*)&(val))



#define DISP_TOP_MHI_MHC0_REG_40                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0x40)

#define DISP_TOP_MHI_MHC0_REG_40_struct                                  rs_disp_top_mhi_mhc0_reg_40

typedef struct _rs_disp_top_mhi_mhc0_reg_40  rs_disp_top_mhi_mhc0_reg_40;
struct _rs_disp_top_mhi_mhc0_reg_40 {
    unsigned int reg_hia_colarea                            : 2;
    unsigned int reserved                                   :30;
};
#define disp_top_mhi_mhc0_reg_40(val) ((rs_disp_top_mhi_mhc0_reg_40*)&(val))



#define DISP_TOP_MHI_MHC0_REG_44                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0x44)

#define DISP_TOP_MHI_MHC0_REG_44_struct                                  rs_disp_top_mhi_mhc0_reg_44

typedef struct _rs_disp_top_mhi_mhc0_reg_44  rs_disp_top_mhi_mhc0_reg_44;
struct _rs_disp_top_mhi_mhc0_reg_44 {
    unsigned int reg_hia_cbstrka                            : 9;
    unsigned int reserved                                   : 7;
    unsigned int reg_hia_crstrkb                            : 9;
    unsigned int reserved_1                                 : 7;
};
#define disp_top_mhi_mhc0_reg_44(val) ((rs_disp_top_mhi_mhc0_reg_44*)&(val))



#define DISP_TOP_MHI_MHC0_REG_48                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0x48)

#define DISP_TOP_MHI_MHC0_REG_48_struct                                  rs_disp_top_mhi_mhc0_reg_48

typedef struct _rs_disp_top_mhi_mhc0_reg_48  rs_disp_top_mhi_mhc0_reg_48;
struct _rs_disp_top_mhi_mhc0_reg_48 {
    unsigned int reg_hia_cbendka                            : 9;
    unsigned int reserved                                   : 7;
    unsigned int reg_hia_crendkb                            : 9;
    unsigned int reserved_1                                 : 7;
};
#define disp_top_mhi_mhc0_reg_48(val) ((rs_disp_top_mhi_mhc0_reg_48*)&(val))



#define DISP_TOP_MHI_MHC0_REG_4C                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0x4C)

#define DISP_TOP_MHI_MHC0_REG_4C_struct                                  rs_disp_top_mhi_mhc0_reg_4c

typedef struct _rs_disp_top_mhi_mhc0_reg_4c  rs_disp_top_mhi_mhc0_reg_4c;
struct _rs_disp_top_mhi_mhc0_reg_4c {
    unsigned int reg_hia_hst4dec                            : 2;
    unsigned int reserved                                   :30;
};
#define disp_top_mhi_mhc0_reg_4c(val) ((rs_disp_top_mhi_mhc0_reg_4c*)&(val))



#define DISP_TOP_MHI_MHC0_REG_50                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0x50)

#define DISP_TOP_MHI_MHC0_REG_50_struct                                  rs_disp_top_mhi_mhc0_reg_50

typedef struct _rs_disp_top_mhi_mhc0_reg_50  rs_disp_top_mhi_mhc0_reg_50;
struct _rs_disp_top_mhi_mhc0_reg_50 {
    unsigned int regr_hia_status_a                          :22;
    unsigned int reserved                                   :10;
};
#define disp_top_mhi_mhc0_reg_50(val) ((rs_disp_top_mhi_mhc0_reg_50*)&(val))



#define DISP_TOP_MHI_MHC0_REG_54                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0x54)

#define DISP_TOP_MHI_MHC0_REG_54_struct                                  rs_disp_top_mhi_mhc0_reg_54

typedef struct _rs_disp_top_mhi_mhc0_reg_54  rs_disp_top_mhi_mhc0_reg_54;
struct _rs_disp_top_mhi_mhc0_reg_54 {
    unsigned int reg_hib_win1act_a                          : 1;
    unsigned int reserved                                   : 7;
    unsigned int reg_hib_win2act_a                          : 1;
    unsigned int reserved_1                                 : 7;
    unsigned int reg_hib_win3act_a                          : 1;
    unsigned int reserved_2                                 : 7;
    unsigned int reg_hib_win4act_a                          : 1;
    unsigned int reserved_3                                 : 7;
};
#define disp_top_mhi_mhc0_reg_54(val) ((rs_disp_top_mhi_mhc0_reg_54*)&(val))



#define DISP_TOP_MHI_MHC0_REG_58                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0x58)

#define DISP_TOP_MHI_MHC0_REG_58_struct                                  rs_disp_top_mhi_mhc0_reg_58

typedef struct _rs_disp_top_mhi_mhc0_reg_58  rs_disp_top_mhi_mhc0_reg_58;
struct _rs_disp_top_mhi_mhc0_reg_58 {
    unsigned int reg_hib_win1_hph_a                         :13;
    unsigned int reserved                                   : 3;
    unsigned int reg_hib_win1_hwd_a                         :13;
    unsigned int reserved_1                                 : 3;
};
#define disp_top_mhi_mhc0_reg_58(val) ((rs_disp_top_mhi_mhc0_reg_58*)&(val))



#define DISP_TOP_MHI_MHC0_REG_5C                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0x5C)

#define DISP_TOP_MHI_MHC0_REG_5C_struct                                  rs_disp_top_mhi_mhc0_reg_5c

typedef struct _rs_disp_top_mhi_mhc0_reg_5c  rs_disp_top_mhi_mhc0_reg_5c;
struct _rs_disp_top_mhi_mhc0_reg_5c {
    unsigned int reg_hib_win1_vph                           :13;
    unsigned int reserved                                   : 3;
    unsigned int reg_hib_win1_vwd                           :13;
    unsigned int reserved_1                                 : 3;
};
#define disp_top_mhi_mhc0_reg_5c(val) ((rs_disp_top_mhi_mhc0_reg_5c*)&(val))



#define DISP_TOP_MHI_MHC0_REG_60                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0x60)

#define DISP_TOP_MHI_MHC0_REG_60_struct                                  rs_disp_top_mhi_mhc0_reg_60

typedef struct _rs_disp_top_mhi_mhc0_reg_60  rs_disp_top_mhi_mhc0_reg_60;
struct _rs_disp_top_mhi_mhc0_reg_60 {
    unsigned int reg_hib_win2_hph_a                         :13;
    unsigned int reserved                                   : 3;
    unsigned int reg_hib_win2_hwd_a                         :13;
    unsigned int reserved_1                                 : 3;
};
#define disp_top_mhi_mhc0_reg_60(val) ((rs_disp_top_mhi_mhc0_reg_60*)&(val))



#define DISP_TOP_MHI_MHC0_REG_64                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0x64)

#define DISP_TOP_MHI_MHC0_REG_64_struct                                  rs_disp_top_mhi_mhc0_reg_64

typedef struct _rs_disp_top_mhi_mhc0_reg_64  rs_disp_top_mhi_mhc0_reg_64;
struct _rs_disp_top_mhi_mhc0_reg_64 {
    unsigned int reg_hib_win2_vph                           :13;
    unsigned int reserved                                   : 3;
    unsigned int reg_hib_win2_vwd                           :13;
    unsigned int reserved_1                                 : 3;
};
#define disp_top_mhi_mhc0_reg_64(val) ((rs_disp_top_mhi_mhc0_reg_64*)&(val))



#define DISP_TOP_MHI_MHC0_REG_68                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0x68)

#define DISP_TOP_MHI_MHC0_REG_68_struct                                  rs_disp_top_mhi_mhc0_reg_68

typedef struct _rs_disp_top_mhi_mhc0_reg_68  rs_disp_top_mhi_mhc0_reg_68;
struct _rs_disp_top_mhi_mhc0_reg_68 {
    unsigned int reg_hib_win3_hph_a                         :13;
    unsigned int reserved                                   : 3;
    unsigned int reg_hib_win3_hwd_a                         :13;
    unsigned int reserved_1                                 : 3;
};
#define disp_top_mhi_mhc0_reg_68(val) ((rs_disp_top_mhi_mhc0_reg_68*)&(val))



#define DISP_TOP_MHI_MHC0_REG_6C                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0x6C)

#define DISP_TOP_MHI_MHC0_REG_6C_struct                                  rs_disp_top_mhi_mhc0_reg_6c

typedef struct _rs_disp_top_mhi_mhc0_reg_6c  rs_disp_top_mhi_mhc0_reg_6c;
struct _rs_disp_top_mhi_mhc0_reg_6c {
    unsigned int reg_hib_win3_vph                           :13;
    unsigned int reserved                                   : 3;
    unsigned int reg_hib_win3_vwd                           :13;
    unsigned int reserved_1                                 : 3;
};
#define disp_top_mhi_mhc0_reg_6c(val) ((rs_disp_top_mhi_mhc0_reg_6c*)&(val))



#define DISP_TOP_MHI_MHC0_REG_70                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0x70)

#define DISP_TOP_MHI_MHC0_REG_70_struct                                  rs_disp_top_mhi_mhc0_reg_70

typedef struct _rs_disp_top_mhi_mhc0_reg_70  rs_disp_top_mhi_mhc0_reg_70;
struct _rs_disp_top_mhi_mhc0_reg_70 {
    unsigned int reg_hib_win4_hph_a                         :13;
    unsigned int reserved                                   : 3;
    unsigned int reg_hib_win4_hwd_a                         :13;
    unsigned int reserved_1                                 : 3;
};
#define disp_top_mhi_mhc0_reg_70(val) ((rs_disp_top_mhi_mhc0_reg_70*)&(val))



#define DISP_TOP_MHI_MHC0_REG_74                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0x74)

#define DISP_TOP_MHI_MHC0_REG_74_struct                                  rs_disp_top_mhi_mhc0_reg_74

typedef struct _rs_disp_top_mhi_mhc0_reg_74  rs_disp_top_mhi_mhc0_reg_74;
struct _rs_disp_top_mhi_mhc0_reg_74 {
    unsigned int reg_hib_win4_vph                           :13;
    unsigned int reserved                                   : 3;
    unsigned int reg_hib_win4_vwd                           :13;
    unsigned int reserved_1                                 : 3;
};
#define disp_top_mhi_mhc0_reg_74(val) ((rs_disp_top_mhi_mhc0_reg_74*)&(val))



#define DISP_TOP_MHI_MHC0_REG_78                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0x78)

#define DISP_TOP_MHI_MHC0_REG_78_struct                                  rs_disp_top_mhi_mhc0_reg_78

typedef struct _rs_disp_top_mhi_mhc0_reg_78  rs_disp_top_mhi_mhc0_reg_78;
struct _rs_disp_top_mhi_mhc0_reg_78 {
    unsigned int reg_hib_hst2dec                            : 2;
    unsigned int reserved                                   :30;
};
#define disp_top_mhi_mhc0_reg_78(val) ((rs_disp_top_mhi_mhc0_reg_78*)&(val))



#define DISP_TOP_MHI_MHC0_REG_7C                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0x7C)

#define DISP_TOP_MHI_MHC0_REG_7C_struct                                  rs_disp_top_mhi_mhc0_reg_7c

typedef struct _rs_disp_top_mhi_mhc0_reg_7c  rs_disp_top_mhi_mhc0_reg_7c;
struct _rs_disp_top_mhi_mhc0_reg_7c {
    unsigned int reg_hib_hst3dec                            : 2;
    unsigned int reserved                                   :30;
};
#define disp_top_mhi_mhc0_reg_7c(val) ((rs_disp_top_mhi_mhc0_reg_7c*)&(val))



#define DISP_TOP_MHI_MHC0_REG_80                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0x80)

#define DISP_TOP_MHI_MHC0_REG_80_struct                                  rs_disp_top_mhi_mhc0_reg_80

typedef struct _rs_disp_top_mhi_mhc0_reg_80  rs_disp_top_mhi_mhc0_reg_80;
struct _rs_disp_top_mhi_mhc0_reg_80 {
    unsigned int reg_hib_amplevbtm                          : 7;
    unsigned int reserved                                   : 1;
    unsigned int reg_hib_amplevtop                          : 7;
    unsigned int reserved_1                                 :17;
};
#define disp_top_mhi_mhc0_reg_80(val) ((rs_disp_top_mhi_mhc0_reg_80*)&(val))



#define DISP_TOP_MHI_MHC0_REG_84                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0x84)

#define DISP_TOP_MHI_MHC0_REG_84_struct                                  rs_disp_top_mhi_mhc0_reg_84

typedef struct _rs_disp_top_mhi_mhc0_reg_84  rs_disp_top_mhi_mhc0_reg_84;
struct _rs_disp_top_mhi_mhc0_reg_84 {
    unsigned int reg_hib_colarea                            : 2;
    unsigned int reserved                                   :30;
};
#define disp_top_mhi_mhc0_reg_84(val) ((rs_disp_top_mhi_mhc0_reg_84*)&(val))



#define DISP_TOP_MHI_MHC0_REG_88                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0x88)

#define DISP_TOP_MHI_MHC0_REG_88_struct                                  rs_disp_top_mhi_mhc0_reg_88

typedef struct _rs_disp_top_mhi_mhc0_reg_88  rs_disp_top_mhi_mhc0_reg_88;
struct _rs_disp_top_mhi_mhc0_reg_88 {
    unsigned int reg_hib_cbstrka                            : 9;
    unsigned int reserved                                   : 7;
    unsigned int reg_hib_crstrkb                            : 9;
    unsigned int reserved_1                                 : 7;
};
#define disp_top_mhi_mhc0_reg_88(val) ((rs_disp_top_mhi_mhc0_reg_88*)&(val))



#define DISP_TOP_MHI_MHC0_REG_8C                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0x8C)

#define DISP_TOP_MHI_MHC0_REG_8C_struct                                  rs_disp_top_mhi_mhc0_reg_8c

typedef struct _rs_disp_top_mhi_mhc0_reg_8c  rs_disp_top_mhi_mhc0_reg_8c;
struct _rs_disp_top_mhi_mhc0_reg_8c {
    unsigned int reg_hib_cbendka                            : 9;
    unsigned int reserved                                   : 7;
    unsigned int reg_hib_crendkb                            : 9;
    unsigned int reserved_1                                 : 7;
};
#define disp_top_mhi_mhc0_reg_8c(val) ((rs_disp_top_mhi_mhc0_reg_8c*)&(val))



#define DISP_TOP_MHI_MHC0_REG_90                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0x90)

#define DISP_TOP_MHI_MHC0_REG_90_struct                                  rs_disp_top_mhi_mhc0_reg_90

typedef struct _rs_disp_top_mhi_mhc0_reg_90  rs_disp_top_mhi_mhc0_reg_90;
struct _rs_disp_top_mhi_mhc0_reg_90 {
    unsigned int reg_hib_hst4dec                            : 2;
    unsigned int reserved                                   :30;
};
#define disp_top_mhi_mhc0_reg_90(val) ((rs_disp_top_mhi_mhc0_reg_90*)&(val))



#define DISP_TOP_MHI_MHC0_REG_94                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0x94)

#define DISP_TOP_MHI_MHC0_REG_94_struct                                  rs_disp_top_mhi_mhc0_reg_94

typedef struct _rs_disp_top_mhi_mhc0_reg_94  rs_disp_top_mhi_mhc0_reg_94;
struct _rs_disp_top_mhi_mhc0_reg_94 {
    unsigned int regr_hib_status_a                          :22;
    unsigned int reserved                                   :10;
};
#define disp_top_mhi_mhc0_reg_94(val) ((rs_disp_top_mhi_mhc0_reg_94*)&(val))



#define DISP_TOP_MHI_MHC0_REG_98                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0x98)

#define DISP_TOP_MHI_MHC0_REG_98_struct                                  rs_disp_top_mhi_mhc0_reg_98

typedef struct _rs_disp_top_mhi_mhc0_reg_98  rs_disp_top_mhi_mhc0_reg_98;
struct _rs_disp_top_mhi_mhc0_reg_98 {
    unsigned int regr_mhi_data_sel                          : 2;
    unsigned int reserved                                   : 6;
    unsigned int regr_mhi_data_sel_hst4                     : 2;
    unsigned int reserved_1                                 :22;
};
#define disp_top_mhi_mhc0_reg_98(val) ((rs_disp_top_mhi_mhc0_reg_98*)&(val))



#define DISP_TOP_MHI_MHC0_REG_9C                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0x9C)

#define DISP_TOP_MHI_MHC0_REG_9C_struct                                  rs_disp_top_mhi_mhc0_reg_9c

typedef struct _rs_disp_top_mhi_mhc0_reg_9c  rs_disp_top_mhi_mhc0_reg_9c;
struct _rs_disp_top_mhi_mhc0_reg_9c {
    unsigned int regr_hia_win1act_a                         : 1;
    unsigned int reserved                                   : 7;
    unsigned int regr_hia_win2act_a                         : 1;
    unsigned int reserved_1                                 : 7;
    unsigned int regr_hia_win3act_a                         : 1;
    unsigned int reserved_2                                 : 7;
    unsigned int regr_hia_win4act_a                         : 1;
    unsigned int reserved_3                                 : 7;
};
#define disp_top_mhi_mhc0_reg_9c(val) ((rs_disp_top_mhi_mhc0_reg_9c*)&(val))



#define DISP_TOP_MHI_MHC0_REG_A0                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0xA0)

#define DISP_TOP_MHI_MHC0_REG_A0_struct                                  rs_disp_top_mhi_mhc0_reg_a0

typedef struct _rs_disp_top_mhi_mhc0_reg_a0  rs_disp_top_mhi_mhc0_reg_a0;
struct _rs_disp_top_mhi_mhc0_reg_a0 {
    unsigned int regr_hia_win1_hph_a                        :13;
    unsigned int reserved                                   : 3;
    unsigned int regr_hia_win1_hwd_a                        :13;
    unsigned int reserved_1                                 : 3;
};
#define disp_top_mhi_mhc0_reg_a0(val) ((rs_disp_top_mhi_mhc0_reg_a0*)&(val))



#define DISP_TOP_MHI_MHC0_REG_A4                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0xA4)

#define DISP_TOP_MHI_MHC0_REG_A4_struct                                  rs_disp_top_mhi_mhc0_reg_a4

typedef struct _rs_disp_top_mhi_mhc0_reg_a4  rs_disp_top_mhi_mhc0_reg_a4;
struct _rs_disp_top_mhi_mhc0_reg_a4 {
    unsigned int regr_hia_win1_vph                          :13;
    unsigned int reserved                                   : 3;
    unsigned int regr_hia_win1_vwd                          :13;
    unsigned int reserved_1                                 : 3;
};
#define disp_top_mhi_mhc0_reg_a4(val) ((rs_disp_top_mhi_mhc0_reg_a4*)&(val))



#define DISP_TOP_MHI_MHC0_REG_A8                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0xA8)

#define DISP_TOP_MHI_MHC0_REG_A8_struct                                  rs_disp_top_mhi_mhc0_reg_a8

typedef struct _rs_disp_top_mhi_mhc0_reg_a8  rs_disp_top_mhi_mhc0_reg_a8;
struct _rs_disp_top_mhi_mhc0_reg_a8 {
    unsigned int regr_hia_win2_hph_a                        :13;
    unsigned int reserved                                   : 3;
    unsigned int regr_hia_win2_hwd_a                        :13;
    unsigned int reserved_1                                 : 3;
};
#define disp_top_mhi_mhc0_reg_a8(val) ((rs_disp_top_mhi_mhc0_reg_a8*)&(val))



#define DISP_TOP_MHI_MHC0_REG_AC                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0xAC)

#define DISP_TOP_MHI_MHC0_REG_AC_struct                                  rs_disp_top_mhi_mhc0_reg_ac

typedef struct _rs_disp_top_mhi_mhc0_reg_ac  rs_disp_top_mhi_mhc0_reg_ac;
struct _rs_disp_top_mhi_mhc0_reg_ac {
    unsigned int regr_hia_win2_vph                          :13;
    unsigned int reserved                                   : 3;
    unsigned int regr_hia_win2_vwd                          :13;
    unsigned int reserved_1                                 : 3;
};
#define disp_top_mhi_mhc0_reg_ac(val) ((rs_disp_top_mhi_mhc0_reg_ac*)&(val))



#define DISP_TOP_MHI_MHC0_REG_B0                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0xB0)

#define DISP_TOP_MHI_MHC0_REG_B0_struct                                  rs_disp_top_mhi_mhc0_reg_b0

typedef struct _rs_disp_top_mhi_mhc0_reg_b0  rs_disp_top_mhi_mhc0_reg_b0;
struct _rs_disp_top_mhi_mhc0_reg_b0 {
    unsigned int regr_hia_win3_hph_a                        :13;
    unsigned int reserved                                   : 3;
    unsigned int regr_hia_win3_hwd_a                        :13;
    unsigned int reserved_1                                 : 3;
};
#define disp_top_mhi_mhc0_reg_b0(val) ((rs_disp_top_mhi_mhc0_reg_b0*)&(val))



#define DISP_TOP_MHI_MHC0_REG_B4                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0xB4)

#define DISP_TOP_MHI_MHC0_REG_B4_struct                                  rs_disp_top_mhi_mhc0_reg_b4

typedef struct _rs_disp_top_mhi_mhc0_reg_b4  rs_disp_top_mhi_mhc0_reg_b4;
struct _rs_disp_top_mhi_mhc0_reg_b4 {
    unsigned int regr_hia_win3_vph                          :13;
    unsigned int reserved                                   : 3;
    unsigned int regr_hia_win3_vwd                          :13;
    unsigned int reserved_1                                 : 3;
};
#define disp_top_mhi_mhc0_reg_b4(val) ((rs_disp_top_mhi_mhc0_reg_b4*)&(val))



#define DISP_TOP_MHI_MHC0_REG_B8                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0xB8)

#define DISP_TOP_MHI_MHC0_REG_B8_struct                                  rs_disp_top_mhi_mhc0_reg_b8

typedef struct _rs_disp_top_mhi_mhc0_reg_b8  rs_disp_top_mhi_mhc0_reg_b8;
struct _rs_disp_top_mhi_mhc0_reg_b8 {
    unsigned int regr_hia_win4_hph_a                        :13;
    unsigned int reserved                                   : 3;
    unsigned int regr_hia_win4_hwd_a                        :13;
    unsigned int reserved_1                                 : 3;
};
#define disp_top_mhi_mhc0_reg_b8(val) ((rs_disp_top_mhi_mhc0_reg_b8*)&(val))



#define DISP_TOP_MHI_MHC0_REG_BC                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0xBC)

#define DISP_TOP_MHI_MHC0_REG_BC_struct                                  rs_disp_top_mhi_mhc0_reg_bc

typedef struct _rs_disp_top_mhi_mhc0_reg_bc  rs_disp_top_mhi_mhc0_reg_bc;
struct _rs_disp_top_mhi_mhc0_reg_bc {
    unsigned int regr_hia_win4_vph                          :13;
    unsigned int reserved                                   : 3;
    unsigned int regr_hia_win4_vwd                          :13;
    unsigned int reserved_1                                 : 3;
};
#define disp_top_mhi_mhc0_reg_bc(val) ((rs_disp_top_mhi_mhc0_reg_bc*)&(val))



#define DISP_TOP_MHI_MHC0_REG_C0                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0xC0)

#define DISP_TOP_MHI_MHC0_REG_C0_struct                                  rs_disp_top_mhi_mhc0_reg_c0

typedef struct _rs_disp_top_mhi_mhc0_reg_c0  rs_disp_top_mhi_mhc0_reg_c0;
struct _rs_disp_top_mhi_mhc0_reg_c0 {
    unsigned int regr_hia_hst2dec                           : 2;
    unsigned int reserved                                   :30;
};
#define disp_top_mhi_mhc0_reg_c0(val) ((rs_disp_top_mhi_mhc0_reg_c0*)&(val))



#define DISP_TOP_MHI_MHC0_REG_C4                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0xC4)

#define DISP_TOP_MHI_MHC0_REG_C4_struct                                  rs_disp_top_mhi_mhc0_reg_c4

typedef struct _rs_disp_top_mhi_mhc0_reg_c4  rs_disp_top_mhi_mhc0_reg_c4;
struct _rs_disp_top_mhi_mhc0_reg_c4 {
    unsigned int regr_hia_hst3dec                           : 2;
    unsigned int reserved                                   :30;
};
#define disp_top_mhi_mhc0_reg_c4(val) ((rs_disp_top_mhi_mhc0_reg_c4*)&(val))



#define DISP_TOP_MHI_MHC0_REG_C8                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0xC8)

#define DISP_TOP_MHI_MHC0_REG_C8_struct                                  rs_disp_top_mhi_mhc0_reg_c8

typedef struct _rs_disp_top_mhi_mhc0_reg_c8  rs_disp_top_mhi_mhc0_reg_c8;
struct _rs_disp_top_mhi_mhc0_reg_c8 {
    unsigned int regr_hia_amplevbtm                         : 7;
    unsigned int reserved                                   : 1;
    unsigned int regr_hia_amplevtop                         : 7;
    unsigned int reserved_1                                 :17;
};
#define disp_top_mhi_mhc0_reg_c8(val) ((rs_disp_top_mhi_mhc0_reg_c8*)&(val))



#define DISP_TOP_MHI_MHC0_REG_CC                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0xCC)

#define DISP_TOP_MHI_MHC0_REG_CC_struct                                  rs_disp_top_mhi_mhc0_reg_cc

typedef struct _rs_disp_top_mhi_mhc0_reg_cc  rs_disp_top_mhi_mhc0_reg_cc;
struct _rs_disp_top_mhi_mhc0_reg_cc {
    unsigned int regr_hia_colarea                           : 2;
    unsigned int reserved                                   :30;
};
#define disp_top_mhi_mhc0_reg_cc(val) ((rs_disp_top_mhi_mhc0_reg_cc*)&(val))



#define DISP_TOP_MHI_MHC0_REG_D0                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0xD0)

#define DISP_TOP_MHI_MHC0_REG_D0_struct                                  rs_disp_top_mhi_mhc0_reg_d0

typedef struct _rs_disp_top_mhi_mhc0_reg_d0  rs_disp_top_mhi_mhc0_reg_d0;
struct _rs_disp_top_mhi_mhc0_reg_d0 {
    unsigned int regr_hia_cbstrka                           : 9;
    unsigned int reserved                                   : 7;
    unsigned int regr_hia_crstrkb                           : 9;
    unsigned int reserved_1                                 : 7;
};
#define disp_top_mhi_mhc0_reg_d0(val) ((rs_disp_top_mhi_mhc0_reg_d0*)&(val))



#define DISP_TOP_MHI_MHC0_REG_D4                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0xD4)

#define DISP_TOP_MHI_MHC0_REG_D4_struct                                  rs_disp_top_mhi_mhc0_reg_d4

typedef struct _rs_disp_top_mhi_mhc0_reg_d4  rs_disp_top_mhi_mhc0_reg_d4;
struct _rs_disp_top_mhi_mhc0_reg_d4 {
    unsigned int regr_hia_cbendka                           : 9;
    unsigned int reserved                                   : 7;
    unsigned int regr_hia_crendkb                           : 9;
    unsigned int reserved_1                                 : 7;
};
#define disp_top_mhi_mhc0_reg_d4(val) ((rs_disp_top_mhi_mhc0_reg_d4*)&(val))



#define DISP_TOP_MHI_MHC0_REG_D8                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0xD8)

#define DISP_TOP_MHI_MHC0_REG_D8_struct                                  rs_disp_top_mhi_mhc0_reg_d8

typedef struct _rs_disp_top_mhi_mhc0_reg_d8  rs_disp_top_mhi_mhc0_reg_d8;
struct _rs_disp_top_mhi_mhc0_reg_d8 {
    unsigned int regr_hia_hst4dec                           : 2;
    unsigned int reserved                                   :30;
};
#define disp_top_mhi_mhc0_reg_d8(val) ((rs_disp_top_mhi_mhc0_reg_d8*)&(val))



#define DISP_TOP_MHI_MHC0_REG_DC                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0xDC)

#define DISP_TOP_MHI_MHC0_REG_DC_struct                                  rs_disp_top_mhi_mhc0_reg_dc

typedef struct _rs_disp_top_mhi_mhc0_reg_dc  rs_disp_top_mhi_mhc0_reg_dc;
struct _rs_disp_top_mhi_mhc0_reg_dc {
    unsigned int regr_hib_win1act_a                         : 1;
    unsigned int reserved                                   : 7;
    unsigned int regr_hib_win2act_a                         : 1;
    unsigned int regr_hib_win3act_a                         : 1;
    unsigned int regr_hib_win4act_a                         : 1;
    unsigned int reserved_1                                 :21;
};
#define disp_top_mhi_mhc0_reg_dc(val) ((rs_disp_top_mhi_mhc0_reg_dc*)&(val))



#define DISP_TOP_MHI_MHC0_REG_E0                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0xE0)

#define DISP_TOP_MHI_MHC0_REG_E0_struct                                  rs_disp_top_mhi_mhc0_reg_e0

typedef struct _rs_disp_top_mhi_mhc0_reg_e0  rs_disp_top_mhi_mhc0_reg_e0;
struct _rs_disp_top_mhi_mhc0_reg_e0 {
    unsigned int regr_hib_win1_hph_a                        :13;
    unsigned int reserved                                   : 3;
    unsigned int regr_hib_win1_hwd_a                        :13;
    unsigned int reserved_1                                 : 3;
};
#define disp_top_mhi_mhc0_reg_e0(val) ((rs_disp_top_mhi_mhc0_reg_e0*)&(val))



#define DISP_TOP_MHI_MHC0_REG_E4                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0xE4)

#define DISP_TOP_MHI_MHC0_REG_E4_struct                                  rs_disp_top_mhi_mhc0_reg_e4

typedef struct _rs_disp_top_mhi_mhc0_reg_e4  rs_disp_top_mhi_mhc0_reg_e4;
struct _rs_disp_top_mhi_mhc0_reg_e4 {
    unsigned int regr_hib_win1_vph                          :13;
    unsigned int reserved                                   : 3;
    unsigned int regr_hib_win1_vwd                          :13;
    unsigned int reserved_1                                 : 3;
};
#define disp_top_mhi_mhc0_reg_e4(val) ((rs_disp_top_mhi_mhc0_reg_e4*)&(val))



#define DISP_TOP_MHI_MHC0_REG_E8                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0xE8)

#define DISP_TOP_MHI_MHC0_REG_E8_struct                                  rs_disp_top_mhi_mhc0_reg_e8

typedef struct _rs_disp_top_mhi_mhc0_reg_e8  rs_disp_top_mhi_mhc0_reg_e8;
struct _rs_disp_top_mhi_mhc0_reg_e8 {
    unsigned int regr_hib_win2_hph_a                        :13;
    unsigned int reserved                                   : 3;
    unsigned int regr_hib_win2_hwd_a                        :13;
    unsigned int reserved_1                                 : 3;
};
#define disp_top_mhi_mhc0_reg_e8(val) ((rs_disp_top_mhi_mhc0_reg_e8*)&(val))



#define DISP_TOP_MHI_MHC0_REG_EC                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0xEC)

#define DISP_TOP_MHI_MHC0_REG_EC_struct                                  rs_disp_top_mhi_mhc0_reg_ec

typedef struct _rs_disp_top_mhi_mhc0_reg_ec  rs_disp_top_mhi_mhc0_reg_ec;
struct _rs_disp_top_mhi_mhc0_reg_ec {
    unsigned int regr_hib_win2_vph                          :13;
    unsigned int reserved                                   : 3;
    unsigned int regr_hib_win2_vwd                          :13;
    unsigned int reserved_1                                 : 3;
};
#define disp_top_mhi_mhc0_reg_ec(val) ((rs_disp_top_mhi_mhc0_reg_ec*)&(val))



#define DISP_TOP_MHI_MHC0_REG_F0                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0xF0)

#define DISP_TOP_MHI_MHC0_REG_F0_struct                                  rs_disp_top_mhi_mhc0_reg_f0

typedef struct _rs_disp_top_mhi_mhc0_reg_f0  rs_disp_top_mhi_mhc0_reg_f0;
struct _rs_disp_top_mhi_mhc0_reg_f0 {
    unsigned int regr_hib_win3_hph_a                        :13;
    unsigned int reserved                                   : 3;
    unsigned int regr_hib_win3_hwd_a                        :13;
    unsigned int reserved_1                                 : 3;
};
#define disp_top_mhi_mhc0_reg_f0(val) ((rs_disp_top_mhi_mhc0_reg_f0*)&(val))



#define DISP_TOP_MHI_MHC0_REG_F4                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0xF4)

#define DISP_TOP_MHI_MHC0_REG_F4_struct                                  rs_disp_top_mhi_mhc0_reg_f4

typedef struct _rs_disp_top_mhi_mhc0_reg_f4  rs_disp_top_mhi_mhc0_reg_f4;
struct _rs_disp_top_mhi_mhc0_reg_f4 {
    unsigned int regr_hib_win3_vph                          :13;
    unsigned int reserved                                   : 3;
    unsigned int regr_hib_win3_vwd                          :13;
    unsigned int reserved_1                                 : 3;
};
#define disp_top_mhi_mhc0_reg_f4(val) ((rs_disp_top_mhi_mhc0_reg_f4*)&(val))



#define DISP_TOP_MHI_MHC0_REG_F8                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0xF8)

#define DISP_TOP_MHI_MHC0_REG_F8_struct                                  rs_disp_top_mhi_mhc0_reg_f8

typedef struct _rs_disp_top_mhi_mhc0_reg_f8  rs_disp_top_mhi_mhc0_reg_f8;
struct _rs_disp_top_mhi_mhc0_reg_f8 {
    unsigned int regr_hib_win4_hph_a                        :13;
    unsigned int reserved                                   : 3;
    unsigned int regr_hib_win4_hwd_a                        :13;
    unsigned int reserved_1                                 : 3;
};
#define disp_top_mhi_mhc0_reg_f8(val) ((rs_disp_top_mhi_mhc0_reg_f8*)&(val))



#define DISP_TOP_MHI_MHC0_REG_FC                                         (HV_MHI_MHC0_REG_BASE_ADDRESS + 0xFC)

#define DISP_TOP_MHI_MHC0_REG_FC_struct                                  rs_disp_top_mhi_mhc0_reg_fc

typedef struct _rs_disp_top_mhi_mhc0_reg_fc  rs_disp_top_mhi_mhc0_reg_fc;
struct _rs_disp_top_mhi_mhc0_reg_fc {
    unsigned int regr_hib_win4_vph                          :13;
    unsigned int reserved                                   : 3;
    unsigned int regr_hib_win4_vwd                          :13;
    unsigned int reserved_1                                 : 3;
};
#define disp_top_mhi_mhc0_reg_fc(val) ((rs_disp_top_mhi_mhc0_reg_fc*)&(val))



#endif