#ifndef _HV_PAGE_HT7315_PTC_INP_PATT_TOP1_00_H_
#define _HV_PAGE_HT7315_PTC_INP_PATT_TOP1_00_H_

#ifndef HV_PTC_INP_PATT_TOP1_00_BASE_ADDRESS
    #define HV_PTC_INP_PATT_TOP1_00_BASE_ADDRESS                                         0x11044700
#endif


#define RX_PTC_INP_PATT_TOP1_00_00                                       (HV_PTC_INP_PATT_TOP1_00_BASE_ADDRESS + 0x00)

#define RX_PTC_INP_PATT_TOP1_00_00_struct                                rs_rx_ptc_inp_patt_top1_00_00

typedef struct _rs_rx_ptc_inp_patt_top1_00_00  rs_rx_ptc_inp_patt_top1_00_00;
struct _rs_rx_ptc_inp_patt_top1_00_00 {
    unsigned int reg_00_ptc_inp_patt_box_w                  :12;
    unsigned int reg_00_ptc_inp_patt_box_h                  :12;
    unsigned int reserved                                   : 8;
};
#define rx_ptc_inp_patt_top1_00_00(val) ((rs_rx_ptc_inp_patt_top1_00_00*)&(val))



#define RX_PTC_INP_PATT_TOP1_00_04                                       (HV_PTC_INP_PATT_TOP1_00_BASE_ADDRESS + 0x04)

#define RX_PTC_INP_PATT_TOP1_00_04_struct                                rs_rx_ptc_inp_patt_top1_00_04

typedef struct _rs_rx_ptc_inp_patt_top1_00_04  rs_rx_ptc_inp_patt_top1_00_04;
struct _rs_rx_ptc_inp_patt_top1_00_04 {
    unsigned int reg_00_ptc_inp_patt_hp1                    :12;
    unsigned int reg_00_ptc_inp_patt_hp2                    :12;
    unsigned int reserved                                   : 8;
};
#define rx_ptc_inp_patt_top1_00_04(val) ((rs_rx_ptc_inp_patt_top1_00_04*)&(val))



#define RX_PTC_INP_PATT_TOP1_00_08                                       (HV_PTC_INP_PATT_TOP1_00_BASE_ADDRESS + 0x08)

#define RX_PTC_INP_PATT_TOP1_00_08_struct                                rs_rx_ptc_inp_patt_top1_00_08

typedef struct _rs_rx_ptc_inp_patt_top1_00_08  rs_rx_ptc_inp_patt_top1_00_08;
struct _rs_rx_ptc_inp_patt_top1_00_08 {
    unsigned int reg_00_ptc_inp_patt_vp1                    :12;
    unsigned int reg_00_ptc_inp_patt_vp2                    :12;
    unsigned int reserved                                   : 8;
};
#define rx_ptc_inp_patt_top1_00_08(val) ((rs_rx_ptc_inp_patt_top1_00_08*)&(val))



#define RX_PTC_INP_PATT_TOP1_00_0C                                       (HV_PTC_INP_PATT_TOP1_00_BASE_ADDRESS + 0x0C)

#define RX_PTC_INP_PATT_TOP1_00_0C_struct                                rs_rx_ptc_inp_patt_top1_00_0c

typedef struct _rs_rx_ptc_inp_patt_top1_00_0c  rs_rx_ptc_inp_patt_top1_00_0c;
struct _rs_rx_ptc_inp_patt_top1_00_0c {
    unsigned int reg_00_ptc_inp_patt_gray_row0_cl0          : 6;
    unsigned int reg_00_ptc_inp_patt_gray_row0_cl1          : 6;
    unsigned int reg_00_ptc_inp_patt_gray_row0_cl2          : 6;
    unsigned int reg_00_ptc_inp_patt_gray_row0_cl3          : 6;
    unsigned int reserved                                   : 8;
};
#define rx_ptc_inp_patt_top1_00_0c(val) ((rs_rx_ptc_inp_patt_top1_00_0c*)&(val))



#define RX_PTC_INP_PATT_TOP1_00_10                                       (HV_PTC_INP_PATT_TOP1_00_BASE_ADDRESS + 0x10)

#define RX_PTC_INP_PATT_TOP1_00_10_struct                                rs_rx_ptc_inp_patt_top1_00_10

typedef struct _rs_rx_ptc_inp_patt_top1_00_10  rs_rx_ptc_inp_patt_top1_00_10;
struct _rs_rx_ptc_inp_patt_top1_00_10 {
    unsigned int reg_00_ptc_inp_patt_gray_row1_cl0          : 6;
    unsigned int reg_00_ptc_inp_patt_gray_row1_cl1          : 6;
    unsigned int reg_00_ptc_inp_patt_gray_row1_cl2          : 6;
    unsigned int reg_00_ptc_inp_patt_gray_row1_cl3          : 6;
    unsigned int reserved                                   : 8;
};
#define rx_ptc_inp_patt_top1_00_10(val) ((rs_rx_ptc_inp_patt_top1_00_10*)&(val))



#define RX_PTC_INP_PATT_TOP1_00_14                                       (HV_PTC_INP_PATT_TOP1_00_BASE_ADDRESS + 0x14)

#define RX_PTC_INP_PATT_TOP1_00_14_struct                                rs_rx_ptc_inp_patt_top1_00_14

typedef struct _rs_rx_ptc_inp_patt_top1_00_14  rs_rx_ptc_inp_patt_top1_00_14;
struct _rs_rx_ptc_inp_patt_top1_00_14 {
    unsigned int reg_00_ptc_inp_patt_gray_row2_cl0          : 6;
    unsigned int reg_00_ptc_inp_patt_gray_row2_cl1          : 6;
    unsigned int reg_00_ptc_inp_patt_gray_row2_cl2          : 6;
    unsigned int reg_00_ptc_inp_patt_gray_row2_cl3          : 6;
    unsigned int reserved                                   : 8;
};
#define rx_ptc_inp_patt_top1_00_14(val) ((rs_rx_ptc_inp_patt_top1_00_14*)&(val))



#define RX_PTC_INP_PATT_TOP1_00_18                                       (HV_PTC_INP_PATT_TOP1_00_BASE_ADDRESS + 0x18)

#define RX_PTC_INP_PATT_TOP1_00_18_struct                                rs_rx_ptc_inp_patt_top1_00_18

typedef struct _rs_rx_ptc_inp_patt_top1_00_18  rs_rx_ptc_inp_patt_top1_00_18;
struct _rs_rx_ptc_inp_patt_top1_00_18 {
    unsigned int reg_00_ptc_inp_patt_gray_row3_cl0          : 6;
    unsigned int reg_00_ptc_inp_patt_gray_row3_cl1          : 6;
    unsigned int reg_00_ptc_inp_patt_gray_row3_cl2          : 6;
    unsigned int reg_00_ptc_inp_patt_gray_row3_cl3          : 6;
    unsigned int reserved                                   : 8;
};
#define rx_ptc_inp_patt_top1_00_18(val) ((rs_rx_ptc_inp_patt_top1_00_18*)&(val))



#define RX_PTC_INP_PATT_TOP1_00_1C                                       (HV_PTC_INP_PATT_TOP1_00_BASE_ADDRESS + 0x1C)

#define RX_PTC_INP_PATT_TOP1_00_1C_struct                                rs_rx_ptc_inp_patt_top1_00_1c

typedef struct _rs_rx_ptc_inp_patt_top1_00_1c  rs_rx_ptc_inp_patt_top1_00_1c;
struct _rs_rx_ptc_inp_patt_top1_00_1c {
    unsigned int reg_00_ptc_inp_patt_cross_x0               :16;
    unsigned int reg_00_ptc_inp_patt_cross_x1               :16;
};
#define rx_ptc_inp_patt_top1_00_1c(val) ((rs_rx_ptc_inp_patt_top1_00_1c*)&(val))



#define RX_PTC_INP_PATT_TOP1_00_20                                       (HV_PTC_INP_PATT_TOP1_00_BASE_ADDRESS + 0x20)

#define RX_PTC_INP_PATT_TOP1_00_20_struct                                rs_rx_ptc_inp_patt_top1_00_20

typedef struct _rs_rx_ptc_inp_patt_top1_00_20  rs_rx_ptc_inp_patt_top1_00_20;
struct _rs_rx_ptc_inp_patt_top1_00_20 {
    unsigned int reg_00_ptc_inp_patt_cross_y0               :16;
    unsigned int reg_00_ptc_inp_patt_cross_y1               :16;
};
#define rx_ptc_inp_patt_top1_00_20(val) ((rs_rx_ptc_inp_patt_top1_00_20*)&(val))



#define RX_PTC_INP_PATT_TOP1_00_24                                       (HV_PTC_INP_PATT_TOP1_00_BASE_ADDRESS + 0x24)

#define RX_PTC_INP_PATT_TOP1_00_24_struct                                rs_rx_ptc_inp_patt_top1_00_24

typedef struct _rs_rx_ptc_inp_patt_top1_00_24  rs_rx_ptc_inp_patt_top1_00_24;
struct _rs_rx_ptc_inp_patt_top1_00_24 {
    unsigned int reg_00_ptc_inp_patt_colorbar_level         :10;
    unsigned int reg_00_ptc_inp_patt_hcolorbar_width        :10;
    unsigned int reg_00_ptc_inp_patt_vcolorbar_height       :10;
    unsigned int reserved                                   : 2;
};
#define rx_ptc_inp_patt_top1_00_24(val) ((rs_rx_ptc_inp_patt_top1_00_24*)&(val))



#endif