#ifndef _HV_PAGE_HT7315_PTC_INP_PATT_TOP_01_H_
#define _HV_PAGE_HT7315_PTC_INP_PATT_TOP_01_H_

#ifndef HV_PTC_INP_PATT_TOP_01_BASE_ADDRESS
    #define HV_PTC_INP_PATT_TOP_01_BASE_ADDRESS                                         0x11044900
#endif


#define RX_PTC_INP_PATT_TOP_01_00                                        (HV_PTC_INP_PATT_TOP_01_BASE_ADDRESS + 0x00)

#define RX_PTC_INP_PATT_TOP_01_00_struct                                 rs_rx_ptc_inp_patt_top_01_00

typedef struct _rs_rx_ptc_inp_patt_top_01_00  rs_rx_ptc_inp_patt_top_01_00;
struct _rs_rx_ptc_inp_patt_top_01_00 {
    unsigned int reg_01_ptc_inp_patt_hact                   :14;
    unsigned int reg_01_ptc_inp_patt_vact                   :14;
    unsigned int reg_01_ptc_inp_patt_enable                 : 1;
    unsigned int reg_01_ptc_inp_patt_move_en                : 1;
    unsigned int reg_01_ptc_inp_patt_move_en_1              : 1;
    unsigned int reserved                                   : 1;
};
#define rx_ptc_inp_patt_top_01_00(val) ((rs_rx_ptc_inp_patt_top_01_00*)&(val))



#define RX_PTC_INP_PATT_TOP_01_04                                        (HV_PTC_INP_PATT_TOP_01_BASE_ADDRESS + 0x04)

#define RX_PTC_INP_PATT_TOP_01_04_struct                                 rs_rx_ptc_inp_patt_top_01_04

typedef struct _rs_rx_ptc_inp_patt_top_01_04  rs_rx_ptc_inp_patt_top_01_04;
struct _rs_rx_ptc_inp_patt_top_01_04 {
    unsigned int reg_01_ptc_inp_patt_type_0                 : 5;
    unsigned int reg_01_ptc_inp_patt_type_1                 : 5;
    unsigned int reg_01_ptc_inp_patt_hold_time              :16;
    unsigned int reg_01_ptc_inp_patterninpattern_enable     : 1;
    unsigned int reg_01_ptc_inp_freerun_ctrl_enable         : 1;
    unsigned int reg_01_ptc_inp_patt_mode                   : 2;
    unsigned int reg_01_patt_mcs_en                         : 1;
    unsigned int reg_01_patt_mcs_mode                       : 1;
};
#define rx_ptc_inp_patt_top_01_04(val) ((rs_rx_ptc_inp_patt_top_01_04*)&(val))



#define RX_PTC_INP_PATT_TOP_01_08                                        (HV_PTC_INP_PATT_TOP_01_BASE_ADDRESS + 0x08)

#define RX_PTC_INP_PATT_TOP_01_08_struct                                 rs_rx_ptc_inp_patt_top_01_08

typedef struct _rs_rx_ptc_inp_patt_top_01_08  rs_rx_ptc_inp_patt_top_01_08;
struct _rs_rx_ptc_inp_patt_top_01_08 {
    unsigned int reg_01_ptc_inp_patt_para_0                 :32;
};
#define rx_ptc_inp_patt_top_01_08(val) ((rs_rx_ptc_inp_patt_top_01_08*)&(val))



#define RX_PTC_INP_PATT_TOP_01_0C                                        (HV_PTC_INP_PATT_TOP_01_BASE_ADDRESS + 0x0C)

#define RX_PTC_INP_PATT_TOP_01_0C_struct                                 rs_rx_ptc_inp_patt_top_01_0c

typedef struct _rs_rx_ptc_inp_patt_top_01_0c  rs_rx_ptc_inp_patt_top_01_0c;
struct _rs_rx_ptc_inp_patt_top_01_0c {
    unsigned int reg_01_ptc_inp_patt_para_1                 :32;
};
#define rx_ptc_inp_patt_top_01_0c(val) ((rs_rx_ptc_inp_patt_top_01_0c*)&(val))



#define RX_PTC_INP_PATT_TOP_01_10                                        (HV_PTC_INP_PATT_TOP_01_BASE_ADDRESS + 0x10)

#define RX_PTC_INP_PATT_TOP_01_10_struct                                 rs_rx_ptc_inp_patt_top_01_10

typedef struct _rs_rx_ptc_inp_patt_top_01_10  rs_rx_ptc_inp_patt_top_01_10;
struct _rs_rx_ptc_inp_patt_top_01_10 {
    unsigned int reg_01_ptc_inp_patt_loop_para0             :32;
};
#define rx_ptc_inp_patt_top_01_10(val) ((rs_rx_ptc_inp_patt_top_01_10*)&(val))



#define RX_PTC_INP_PATT_TOP_01_14                                        (HV_PTC_INP_PATT_TOP_01_BASE_ADDRESS + 0x14)

#define RX_PTC_INP_PATT_TOP_01_14_struct                                 rs_rx_ptc_inp_patt_top_01_14

typedef struct _rs_rx_ptc_inp_patt_top_01_14  rs_rx_ptc_inp_patt_top_01_14;
struct _rs_rx_ptc_inp_patt_top_01_14 {
    unsigned int reg_01_ptc_inp_patt_loop_para1             :32;
};
#define rx_ptc_inp_patt_top_01_14(val) ((rs_rx_ptc_inp_patt_top_01_14*)&(val))



#define RX_PTC_INP_PATT_TOP_01_18                                        (HV_PTC_INP_PATT_TOP_01_BASE_ADDRESS + 0x18)

#define RX_PTC_INP_PATT_TOP_01_18_struct                                 rs_rx_ptc_inp_patt_top_01_18

typedef struct _rs_rx_ptc_inp_patt_top_01_18  rs_rx_ptc_inp_patt_top_01_18;
struct _rs_rx_ptc_inp_patt_top_01_18 {
    unsigned int reg_01_ptc_inp_patt_loop_para2             :32;
};
#define rx_ptc_inp_patt_top_01_18(val) ((rs_rx_ptc_inp_patt_top_01_18*)&(val))



#define RX_PTC_INP_PATT_TOP_01_1C                                        (HV_PTC_INP_PATT_TOP_01_BASE_ADDRESS + 0x1C)

#define RX_PTC_INP_PATT_TOP_01_1C_struct                                 rs_rx_ptc_inp_patt_top_01_1c

typedef struct _rs_rx_ptc_inp_patt_top_01_1c  rs_rx_ptc_inp_patt_top_01_1c;
struct _rs_rx_ptc_inp_patt_top_01_1c {
    unsigned int reg_01_ptc_inp_patt_loop_para3             :32;
};
#define rx_ptc_inp_patt_top_01_1c(val) ((rs_rx_ptc_inp_patt_top_01_1c*)&(val))



#define RX_PTC_INP_PATT_TOP_01_20                                        (HV_PTC_INP_PATT_TOP_01_BASE_ADDRESS + 0x20)

#define RX_PTC_INP_PATT_TOP_01_20_struct                                 rs_rx_ptc_inp_patt_top_01_20

typedef struct _rs_rx_ptc_inp_patt_top_01_20  rs_rx_ptc_inp_patt_top_01_20;
struct _rs_rx_ptc_inp_patt_top_01_20 {
    unsigned int reg_01_ptc_inp_patt_loop_para4             :32;
};
#define rx_ptc_inp_patt_top_01_20(val) ((rs_rx_ptc_inp_patt_top_01_20*)&(val))



#define RX_PTC_INP_PATT_TOP_01_24                                        (HV_PTC_INP_PATT_TOP_01_BASE_ADDRESS + 0x24)

#define RX_PTC_INP_PATT_TOP_01_24_struct                                 rs_rx_ptc_inp_patt_top_01_24

typedef struct _rs_rx_ptc_inp_patt_top_01_24  rs_rx_ptc_inp_patt_top_01_24;
struct _rs_rx_ptc_inp_patt_top_01_24 {
    unsigned int reg_01_ptc_inp_patt_loop_para5             :32;
};
#define rx_ptc_inp_patt_top_01_24(val) ((rs_rx_ptc_inp_patt_top_01_24*)&(val))



#define RX_PTC_INP_PATT_TOP_01_28                                        (HV_PTC_INP_PATT_TOP_01_BASE_ADDRESS + 0x28)

#define RX_PTC_INP_PATT_TOP_01_28_struct                                 rs_rx_ptc_inp_patt_top_01_28

typedef struct _rs_rx_ptc_inp_patt_top_01_28  rs_rx_ptc_inp_patt_top_01_28;
struct _rs_rx_ptc_inp_patt_top_01_28 {
    unsigned int reg_01_ptc_inp_patt_loop_para6             :32;
};
#define rx_ptc_inp_patt_top_01_28(val) ((rs_rx_ptc_inp_patt_top_01_28*)&(val))



#define RX_PTC_INP_PATT_TOP_01_2C                                        (HV_PTC_INP_PATT_TOP_01_BASE_ADDRESS + 0x2C)

#define RX_PTC_INP_PATT_TOP_01_2C_struct                                 rs_rx_ptc_inp_patt_top_01_2c

typedef struct _rs_rx_ptc_inp_patt_top_01_2c  rs_rx_ptc_inp_patt_top_01_2c;
struct _rs_rx_ptc_inp_patt_top_01_2c {
    unsigned int reg_01_ptc_inp_patt_loop_para7             :32;
};
#define rx_ptc_inp_patt_top_01_2c(val) ((rs_rx_ptc_inp_patt_top_01_2c*)&(val))



#define RX_PTC_INP_PATT_TOP_01_30                                        (HV_PTC_INP_PATT_TOP_01_BASE_ADDRESS + 0x30)

#define RX_PTC_INP_PATT_TOP_01_30_struct                                 rs_rx_ptc_inp_patt_top_01_30

typedef struct _rs_rx_ptc_inp_patt_top_01_30  rs_rx_ptc_inp_patt_top_01_30;
struct _rs_rx_ptc_inp_patt_top_01_30 {
    unsigned int reg_01_ptc_inp_patt_loop_sequency0         : 5;
    unsigned int reg_01_ptc_inp_patt_loop_sequency1         : 5;
    unsigned int reg_01_ptc_inp_patt_loop_sequency2         : 5;
    unsigned int reg_01_ptc_inp_patt_loop_sequency3         : 5;
    unsigned int reg_01_ptc_inp_patt_loop_sequency4         : 5;
    unsigned int reg_01_ptc_inp_patt_loop_sequency5         : 5;
    unsigned int reserved                                   : 2;
};
#define rx_ptc_inp_patt_top_01_30(val) ((rs_rx_ptc_inp_patt_top_01_30*)&(val))



#define RX_PTC_INP_PATT_TOP_01_34                                        (HV_PTC_INP_PATT_TOP_01_BASE_ADDRESS + 0x34)

#define RX_PTC_INP_PATT_TOP_01_34_struct                                 rs_rx_ptc_inp_patt_top_01_34

typedef struct _rs_rx_ptc_inp_patt_top_01_34  rs_rx_ptc_inp_patt_top_01_34;
struct _rs_rx_ptc_inp_patt_top_01_34 {
    unsigned int reg_01_ptc_inp_patt_loop_sequency6         : 5;
    unsigned int reg_01_ptc_inp_patt_loop_sequency7         : 5;
    unsigned int reserved                                   :22;
};
#define rx_ptc_inp_patt_top_01_34(val) ((rs_rx_ptc_inp_patt_top_01_34*)&(val))



#define RX_PTC_INP_PATT_TOP_01_38                                        (HV_PTC_INP_PATT_TOP_01_BASE_ADDRESS + 0x38)

#define RX_PTC_INP_PATT_TOP_01_38_struct                                 rs_rx_ptc_inp_patt_top_01_38

typedef struct _rs_rx_ptc_inp_patt_top_01_38  rs_rx_ptc_inp_patt_top_01_38;
struct _rs_rx_ptc_inp_patt_top_01_38 {
    unsigned int reg_01_ptc_inp_patt_loop_number            : 4;
    unsigned int reg_01_ptc_inp_patt_loop_stop              : 1;
    unsigned int reg_01_ptc_inp_patt_loop_restart_mode      : 1;
    unsigned int reg_01_ptc_inp_patt_scroll_bar_en          : 1;
    unsigned int reg_01_ptc_inp_patt_scroll_bar_mode        : 1;
    unsigned int reg_01_ptc_inp_patt_speed_h                : 8;
    unsigned int reg_01_ptc_inp_patt_speed_v                : 8;
    unsigned int reg_01_ptc_inp_3d_fs_lr_inv                : 1;
    unsigned int reg_01_ptc_inp_patt_blank_gating_en        : 1;
    unsigned int reg_01_ptc_inp_patt_type0_clk_en           : 1;
    unsigned int reg_01_ptc_inp_patt_type1_clk_en           : 1;
    unsigned int reg_01_ptc_inp_patt_type_new_clk_en        : 1;
    unsigned int reg_01_ptc_inp_patt_loop_clk_en            : 1;
    unsigned int reg_01_ptc_inp_patt_debug_clk_en           : 1;
    unsigned int reg_01_ptc_inp_patt_clk_en                 : 1;
};
#define rx_ptc_inp_patt_top_01_38(val) ((rs_rx_ptc_inp_patt_top_01_38*)&(val))



#define RX_PTC_INP_PATT_TOP_01_3C                                        (HV_PTC_INP_PATT_TOP_01_BASE_ADDRESS + 0x3C)

#define RX_PTC_INP_PATT_TOP_01_3C_struct                                 rs_rx_ptc_inp_patt_top_01_3c

typedef struct _rs_rx_ptc_inp_patt_top_01_3c  rs_rx_ptc_inp_patt_top_01_3c;
struct _rs_rx_ptc_inp_patt_top_01_3c {
    unsigned int reg_01_ptc_inp_patt_bar_width              :12;
    unsigned int reg_01_ptc_inp_patt_bar_hight              :12;
    unsigned int reg_01_ptc_inp_patt_vbpch_gating_en        : 1;
    unsigned int reg_01_ptc_inp_patt_out_emi_en             : 1;
    unsigned int reg_01_ptc_inp_patt_emi_type_sel           : 1;
    unsigned int reserved                                   : 5;
};
#define rx_ptc_inp_patt_top_01_3c(val) ((rs_rx_ptc_inp_patt_top_01_3c*)&(val))



#define RX_PTC_INP_PATT_TOP_01_40                                        (HV_PTC_INP_PATT_TOP_01_BASE_ADDRESS + 0x40)

#define RX_PTC_INP_PATT_TOP_01_40_struct                                 rs_rx_ptc_inp_patt_top_01_40

typedef struct _rs_rx_ptc_inp_patt_top_01_40  rs_rx_ptc_inp_patt_top_01_40;
struct _rs_rx_ptc_inp_patt_top_01_40 {
    unsigned int reg_01_ptc_inp_patt_bar_R                  :10;
    unsigned int reg_01_ptc_inp_patt_bar_G                  :10;
    unsigned int reg_01_ptc_inp_patt_bar_B                  :10;
    unsigned int reserved                                   : 2;
};
#define rx_ptc_inp_patt_top_01_40(val) ((rs_rx_ptc_inp_patt_top_01_40*)&(val))



#define RX_PTC_INP_PATT_TOP_01_44                                        (HV_PTC_INP_PATT_TOP_01_BASE_ADDRESS + 0x44)

#define RX_PTC_INP_PATT_TOP_01_44_struct                                 rs_rx_ptc_inp_patt_top_01_44

typedef struct _rs_rx_ptc_inp_patt_top_01_44  rs_rx_ptc_inp_patt_top_01_44;
struct _rs_rx_ptc_inp_patt_top_01_44 {
    unsigned int reg_01_ptc_inp_patt_speed_h_1              : 8;
    unsigned int reg_01_ptc_inp_patt_speed_v_1              : 8;
    unsigned int reserved                                   :16;
};
#define rx_ptc_inp_patt_top_01_44(val) ((rs_rx_ptc_inp_patt_top_01_44*)&(val))



#define RX_PTC_INP_PATT_TOP_01_48                                        (HV_PTC_INP_PATT_TOP_01_BASE_ADDRESS + 0x48)

#define RX_PTC_INP_PATT_TOP_01_48_struct                                 rs_rx_ptc_inp_patt_top_01_48

typedef struct _rs_rx_ptc_inp_patt_top_01_48  rs_rx_ptc_inp_patt_top_01_48;
struct _rs_rx_ptc_inp_patt_top_01_48 {
    unsigned int reg_01_ptc_inp_bluescreen_rgb              :30;
    unsigned int reg_01_ptc_inp_bluescreen                  : 1;
    unsigned int reg_01_ptc_inp_bluescreen_imd              : 1;
};
#define rx_ptc_inp_patt_top_01_48(val) ((rs_rx_ptc_inp_patt_top_01_48*)&(val))



#define RX_PTC_INP_PATT_TOP_01_4C                                        (HV_PTC_INP_PATT_TOP_01_BASE_ADDRESS + 0x4C)

#define RX_PTC_INP_PATT_TOP_01_4C_struct                                 rs_rx_ptc_inp_patt_top_01_4c

typedef struct _rs_rx_ptc_inp_patt_top_01_4c  rs_rx_ptc_inp_patt_top_01_4c;
struct _rs_rx_ptc_inp_patt_top_01_4c {
    unsigned int reg_01_ptc_inp_in_timer                    :11;
    unsigned int reg_01_ptc_inp_bist_pre_on                 : 1;
    unsigned int reg_01_ptc_inp_out_timer                   :11;
    unsigned int reg_01_ptc_inp_bist_post_on                : 1;
    unsigned int reg_01_emi_en_sel                          : 1;
    unsigned int reg_01_aging_en_sel                        : 1;
    unsigned int reserved                                   : 6;
};
#define rx_ptc_inp_patt_top_01_4c(val) ((rs_rx_ptc_inp_patt_top_01_4c*)&(val))



#define RX_PTC_INP_PATT_TOP_01_94                                        (HV_PTC_INP_PATT_TOP_01_BASE_ADDRESS + 0x94)

#define RX_PTC_INP_PATT_TOP_01_94_struct                                 rs_rx_ptc_inp_patt_top_01_94

typedef struct _rs_rx_ptc_inp_patt_top_01_94  rs_rx_ptc_inp_patt_top_01_94;
struct _rs_rx_ptc_inp_patt_top_01_94 {
    unsigned int reg_01_ramp_level_g                        :10;
    unsigned int reg_01_ramp_level_b                        :10;
    unsigned int reg_01_lt_block_level_g                    :10;
    unsigned int reserved                                   : 2;
};
#define rx_ptc_inp_patt_top_01_94(val) ((rs_rx_ptc_inp_patt_top_01_94*)&(val))



#define RX_PTC_INP_PATT_TOP_01_98                                        (HV_PTC_INP_PATT_TOP_01_BASE_ADDRESS + 0x98)

#define RX_PTC_INP_PATT_TOP_01_98_struct                                 rs_rx_ptc_inp_patt_top_01_98

typedef struct _rs_rx_ptc_inp_patt_top_01_98  rs_rx_ptc_inp_patt_top_01_98;
struct _rs_rx_ptc_inp_patt_top_01_98 {
    unsigned int reg_01_lt_block_level_b                    :10;
    unsigned int reg_01_bgd_block_level_g                   :10;
    unsigned int reg_01_bgd_block_level_b                   :10;
    unsigned int reserved                                   : 2;
};
#define rx_ptc_inp_patt_top_01_98(val) ((rs_rx_ptc_inp_patt_top_01_98*)&(val))



#define RX_PTC_INP_PATT_TOP_01_9C                                        (HV_PTC_INP_PATT_TOP_01_BASE_ADDRESS + 0x9C)

#define RX_PTC_INP_PATT_TOP_01_9C_struct                                 rs_rx_ptc_inp_patt_top_01_9c

typedef struct _rs_rx_ptc_inp_patt_top_01_9c  rs_rx_ptc_inp_patt_top_01_9c;
struct _rs_rx_ptc_inp_patt_top_01_9c {
    unsigned int reg_01_ptc_hpattern_0                      :32;
};
#define rx_ptc_inp_patt_top_01_9c(val) ((rs_rx_ptc_inp_patt_top_01_9c*)&(val))



#define RX_PTC_INP_PATT_TOP_01_A0                                        (HV_PTC_INP_PATT_TOP_01_BASE_ADDRESS + 0xA0)

#define RX_PTC_INP_PATT_TOP_01_A0_struct                                 rs_rx_ptc_inp_patt_top_01_a0

typedef struct _rs_rx_ptc_inp_patt_top_01_a0  rs_rx_ptc_inp_patt_top_01_a0;
struct _rs_rx_ptc_inp_patt_top_01_a0 {
    unsigned int reg_01_ptc_hpattern_1                      :32;
};
#define rx_ptc_inp_patt_top_01_a0(val) ((rs_rx_ptc_inp_patt_top_01_a0*)&(val))



#define RX_PTC_INP_PATT_TOP_01_A4                                        (HV_PTC_INP_PATT_TOP_01_BASE_ADDRESS + 0xA4)

#define RX_PTC_INP_PATT_TOP_01_A4_struct                                 rs_rx_ptc_inp_patt_top_01_a4

typedef struct _rs_rx_ptc_inp_patt_top_01_a4  rs_rx_ptc_inp_patt_top_01_a4;
struct _rs_rx_ptc_inp_patt_top_01_a4 {
    unsigned int reg_01_ptc_hpattern_2                      :32;
};
#define rx_ptc_inp_patt_top_01_a4(val) ((rs_rx_ptc_inp_patt_top_01_a4*)&(val))



#define RX_PTC_INP_PATT_TOP_01_A8                                        (HV_PTC_INP_PATT_TOP_01_BASE_ADDRESS + 0xA8)

#define RX_PTC_INP_PATT_TOP_01_A8_struct                                 rs_rx_ptc_inp_patt_top_01_a8

typedef struct _rs_rx_ptc_inp_patt_top_01_a8  rs_rx_ptc_inp_patt_top_01_a8;
struct _rs_rx_ptc_inp_patt_top_01_a8 {
    unsigned int reg_01_ptc_hpattern_3                      :32;
};
#define rx_ptc_inp_patt_top_01_a8(val) ((rs_rx_ptc_inp_patt_top_01_a8*)&(val))



#define RX_PTC_INP_PATT_TOP_01_AC                                        (HV_PTC_INP_PATT_TOP_01_BASE_ADDRESS + 0xAC)

#define RX_PTC_INP_PATT_TOP_01_AC_struct                                 rs_rx_ptc_inp_patt_top_01_ac

typedef struct _rs_rx_ptc_inp_patt_top_01_ac  rs_rx_ptc_inp_patt_top_01_ac;
struct _rs_rx_ptc_inp_patt_top_01_ac {
    unsigned int reg_01_ptc_hpattern_4                      :32;
};
#define rx_ptc_inp_patt_top_01_ac(val) ((rs_rx_ptc_inp_patt_top_01_ac*)&(val))



#define RX_PTC_INP_PATT_TOP_01_B0                                        (HV_PTC_INP_PATT_TOP_01_BASE_ADDRESS + 0xB0)

#define RX_PTC_INP_PATT_TOP_01_B0_struct                                 rs_rx_ptc_inp_patt_top_01_b0

typedef struct _rs_rx_ptc_inp_patt_top_01_b0  rs_rx_ptc_inp_patt_top_01_b0;
struct _rs_rx_ptc_inp_patt_top_01_b0 {
    unsigned int reg_01_ptc_hpattern_5                      :32;
};
#define rx_ptc_inp_patt_top_01_b0(val) ((rs_rx_ptc_inp_patt_top_01_b0*)&(val))



#define RX_PTC_INP_PATT_TOP_01_B4                                        (HV_PTC_INP_PATT_TOP_01_BASE_ADDRESS + 0xB4)

#define RX_PTC_INP_PATT_TOP_01_B4_struct                                 rs_rx_ptc_inp_patt_top_01_b4

typedef struct _rs_rx_ptc_inp_patt_top_01_b4  rs_rx_ptc_inp_patt_top_01_b4;
struct _rs_rx_ptc_inp_patt_top_01_b4 {
    unsigned int reg_01_ptc_hpattern_6                      :32;
};
#define rx_ptc_inp_patt_top_01_b4(val) ((rs_rx_ptc_inp_patt_top_01_b4*)&(val))



#define RX_PTC_INP_PATT_TOP_01_B8                                        (HV_PTC_INP_PATT_TOP_01_BASE_ADDRESS + 0xB8)

#define RX_PTC_INP_PATT_TOP_01_B8_struct                                 rs_rx_ptc_inp_patt_top_01_b8

typedef struct _rs_rx_ptc_inp_patt_top_01_b8  rs_rx_ptc_inp_patt_top_01_b8;
struct _rs_rx_ptc_inp_patt_top_01_b8 {
    unsigned int reg_01_ptc_hpattern_7                      :32;
};
#define rx_ptc_inp_patt_top_01_b8(val) ((rs_rx_ptc_inp_patt_top_01_b8*)&(val))



#define RX_PTC_INP_PATT_TOP_01_BC                                        (HV_PTC_INP_PATT_TOP_01_BASE_ADDRESS + 0xBC)

#define RX_PTC_INP_PATT_TOP_01_BC_struct                                 rs_rx_ptc_inp_patt_top_01_bc

typedef struct _rs_rx_ptc_inp_patt_top_01_bc  rs_rx_ptc_inp_patt_top_01_bc;
struct _rs_rx_ptc_inp_patt_top_01_bc {
    unsigned int reg_01_ptc_inp_circle_r2                   :24;
    unsigned int reserved                                   : 8;
};
#define rx_ptc_inp_patt_top_01_bc(val) ((rs_rx_ptc_inp_patt_top_01_bc*)&(val))



#define RX_PTC_INP_PATT_TOP_01_C0                                        (HV_PTC_INP_PATT_TOP_01_BASE_ADDRESS + 0xC0)

#define RX_PTC_INP_PATT_TOP_01_C0_struct                                 rs_rx_ptc_inp_patt_top_01_c0

typedef struct _rs_rx_ptc_inp_patt_top_01_c0  rs_rx_ptc_inp_patt_top_01_c0;
struct _rs_rx_ptc_inp_patt_top_01_c0 {
    unsigned int reg_01_ptc_inp_circle_center_h             :12;
    unsigned int reg_01_ptc_inp_circle_center_v             :12;
    unsigned int reserved                                   : 8;
};
#define rx_ptc_inp_patt_top_01_c0(val) ((rs_rx_ptc_inp_patt_top_01_c0*)&(val))



#define RX_PTC_INP_PATT_TOP_01_C4                                        (HV_PTC_INP_PATT_TOP_01_BASE_ADDRESS + 0xC4)

#define RX_PTC_INP_PATT_TOP_01_C4_struct                                 rs_rx_ptc_inp_patt_top_01_c4

typedef struct _rs_rx_ptc_inp_patt_top_01_c4  rs_rx_ptc_inp_patt_top_01_c4;
struct _rs_rx_ptc_inp_patt_top_01_c4 {
    unsigned int reg_01_bdy_en                              : 1;
    unsigned int reg_01_bdy_color                           : 3;
    unsigned int reg_01_bdy_x                               :13;
    unsigned int reg_01_bdy_y                               :13;
    unsigned int reg_01_circle_square_mode                  : 1;
    unsigned int reserved                                   : 1;
};
#define rx_ptc_inp_patt_top_01_c4(val) ((rs_rx_ptc_inp_patt_top_01_c4*)&(val))



#define RX_PTC_INP_PATT_TOP_01_C8                                        (HV_PTC_INP_PATT_TOP_01_BASE_ADDRESS + 0xC8)

#define RX_PTC_INP_PATT_TOP_01_C8_struct                                 rs_rx_ptc_inp_patt_top_01_c8

typedef struct _rs_rx_ptc_inp_patt_top_01_c8  rs_rx_ptc_inp_patt_top_01_c8;
struct _rs_rx_ptc_inp_patt_top_01_c8 {
    unsigned int reg_01_lt_block_color                      : 3;
    unsigned int reg_01_lt_block_level_r                    :10;
    unsigned int reg_01_lt_block_start_x                    :13;
    unsigned int reserved                                   : 6;
};
#define rx_ptc_inp_patt_top_01_c8(val) ((rs_rx_ptc_inp_patt_top_01_c8*)&(val))



#define RX_PTC_INP_PATT_TOP_01_CC                                        (HV_PTC_INP_PATT_TOP_01_BASE_ADDRESS + 0xCC)

#define RX_PTC_INP_PATT_TOP_01_CC_struct                                 rs_rx_ptc_inp_patt_top_01_cc

typedef struct _rs_rx_ptc_inp_patt_top_01_cc  rs_rx_ptc_inp_patt_top_01_cc;
struct _rs_rx_ptc_inp_patt_top_01_cc {
    unsigned int reg_01_lt_block_start_y                    :13;
    unsigned int reg_01_lt_block_x                          :13;
    unsigned int reserved                                   : 6;
};
#define rx_ptc_inp_patt_top_01_cc(val) ((rs_rx_ptc_inp_patt_top_01_cc*)&(val))



#define RX_PTC_INP_PATT_TOP_01_D0                                        (HV_PTC_INP_PATT_TOP_01_BASE_ADDRESS + 0xD0)

#define RX_PTC_INP_PATT_TOP_01_D0_struct                                 rs_rx_ptc_inp_patt_top_01_d0

typedef struct _rs_rx_ptc_inp_patt_top_01_d0  rs_rx_ptc_inp_patt_top_01_d0;
struct _rs_rx_ptc_inp_patt_top_01_d0 {
    unsigned int reg_01_lt_block_y                          :13;
    unsigned int reg_01_ramp_en                             : 1;
    unsigned int reg_01_ramp_color                          : 3;
    unsigned int reg_01_ramp_level_r                        :10;
    unsigned int reg_01_repeat_mode                         : 1;
    unsigned int reg_01_circle_bdy_width                    : 4;
};
#define rx_ptc_inp_patt_top_01_d0(val) ((rs_rx_ptc_inp_patt_top_01_d0*)&(val))



#define RX_PTC_INP_PATT_TOP_01_D4                                        (HV_PTC_INP_PATT_TOP_01_BASE_ADDRESS + 0xD4)

#define RX_PTC_INP_PATT_TOP_01_D4_struct                                 rs_rx_ptc_inp_patt_top_01_d4

typedef struct _rs_rx_ptc_inp_patt_top_01_d4  rs_rx_ptc_inp_patt_top_01_d4;
struct _rs_rx_ptc_inp_patt_top_01_d4 {
    unsigned int reg_01_ramp_block_x                        :13;
    unsigned int reg_01_ramp_block_y                        :13;
    unsigned int reserved                                   : 6;
};
#define rx_ptc_inp_patt_top_01_d4(val) ((rs_rx_ptc_inp_patt_top_01_d4*)&(val))



#define RX_PTC_INP_PATT_TOP_01_D8                                        (HV_PTC_INP_PATT_TOP_01_BASE_ADDRESS + 0xD8)

#define RX_PTC_INP_PATT_TOP_01_D8_struct                                 rs_rx_ptc_inp_patt_top_01_d8

typedef struct _rs_rx_ptc_inp_patt_top_01_d8  rs_rx_ptc_inp_patt_top_01_d8;
struct _rs_rx_ptc_inp_patt_top_01_d8 {
    unsigned int reg_01_ramp_start_x                        :13;
    unsigned int reg_01_ramp_start_y                        :13;
    unsigned int reg_01_hvramp_sel                          : 1;
    unsigned int reg_01_ramp_step                           : 4;
    unsigned int reg_01_ramp_dir                            : 1;
};
#define rx_ptc_inp_patt_top_01_d8(val) ((rs_rx_ptc_inp_patt_top_01_d8*)&(val))



#define RX_PTC_INP_PATT_TOP_01_DC                                        (HV_PTC_INP_PATT_TOP_01_BASE_ADDRESS + 0xDC)

#define RX_PTC_INP_PATT_TOP_01_DC_struct                                 rs_rx_ptc_inp_patt_top_01_dc

typedef struct _rs_rx_ptc_inp_patt_top_01_dc  rs_rx_ptc_inp_patt_top_01_dc;
struct _rs_rx_ptc_inp_patt_top_01_dc {
    unsigned int reg_01_dis_x                               :13;
    unsigned int reg_01_dis_y                               :13;
    unsigned int reg_01_bgd_block_color                     : 3;
    unsigned int reserved                                   : 3;
};
#define rx_ptc_inp_patt_top_01_dc(val) ((rs_rx_ptc_inp_patt_top_01_dc*)&(val))



#define RX_PTC_INP_PATT_TOP_01_E0                                        (HV_PTC_INP_PATT_TOP_01_BASE_ADDRESS + 0xE0)

#define RX_PTC_INP_PATT_TOP_01_E0_struct                                 rs_rx_ptc_inp_patt_top_01_e0

typedef struct _rs_rx_ptc_inp_patt_top_01_e0  rs_rx_ptc_inp_patt_top_01_e0;
struct _rs_rx_ptc_inp_patt_top_01_e0 {
    unsigned int reg_01_bgd_block_level_r                   :10;
    unsigned int reg_01_h_block_num                         : 8;
    unsigned int reg_01_v_block_num                         : 8;
    unsigned int reg_01_block_num_mode                      : 1;
    unsigned int reserved                                   : 5;
};
#define rx_ptc_inp_patt_top_01_e0(val) ((rs_rx_ptc_inp_patt_top_01_e0*)&(val))



#define RX_PTC_INP_PATT_TOP_01_E4                                        (HV_PTC_INP_PATT_TOP_01_BASE_ADDRESS + 0xE4)

#define RX_PTC_INP_PATT_TOP_01_E4_struct                                 rs_rx_ptc_inp_patt_top_01_e4

typedef struct _rs_rx_ptc_inp_patt_top_01_e4  rs_rx_ptc_inp_patt_top_01_e4;
struct _rs_rx_ptc_inp_patt_top_01_e4 {
    unsigned int regr_01_ptc_inp_patt_enable_latch          : 1;
    unsigned int regr_01_freerun_state                      : 4;
    unsigned int regr_01_ptc_inp_patt_loopcnt               : 4;
    unsigned int regr_01_ptc_inp_patt_fcnt                  :16;
    unsigned int reserved                                   : 7;
};
#define rx_ptc_inp_patt_top_01_e4(val) ((rs_rx_ptc_inp_patt_top_01_e4*)&(val))



#define RX_PTC_INP_PATT_TOP_01_E8                                        (HV_PTC_INP_PATT_TOP_01_BASE_ADDRESS + 0xE8)

#define RX_PTC_INP_PATT_TOP_01_E8_struct                                 rs_rx_ptc_inp_patt_top_01_e8

typedef struct _rs_rx_ptc_inp_patt_top_01_e8  rs_rx_ptc_inp_patt_top_01_e8;
struct _rs_rx_ptc_inp_patt_top_01_e8 {
    unsigned int reg_01_ramp_block_y_0                      :13;
    unsigned int reg_01_ptc_inp_patt_type_0_new             : 3;
    unsigned int reg_01_ptc_inp_patt_type_1_new             : 3;
    unsigned int reg_01_ramp_dir_mode                       : 2;
    unsigned int reg_01_ramp_step_coef                      : 9;
    unsigned int reserved                                   : 2;
};
#define rx_ptc_inp_patt_top_01_e8(val) ((rs_rx_ptc_inp_patt_top_01_e8*)&(val))



#define RX_PTC_INP_PATT_TOP_01_EC                                        (HV_PTC_INP_PATT_TOP_01_BASE_ADDRESS + 0xEC)

#define RX_PTC_INP_PATT_TOP_01_EC_struct                                 rs_rx_ptc_inp_patt_top_01_ec

typedef struct _rs_rx_ptc_inp_patt_top_01_ec  rs_rx_ptc_inp_patt_top_01_ec;
struct _rs_rx_ptc_inp_patt_top_01_ec {
    unsigned int reg_01_start_level                         :10;
    unsigned int reg_01_end_level                           :10;
    unsigned int reg_01_step_data                           :10;
    unsigned int reserved                                   : 2;
};
#define rx_ptc_inp_patt_top_01_ec(val) ((rs_rx_ptc_inp_patt_top_01_ec*)&(val))



#define RX_PTC_INP_PATT_TOP_01_F0                                        (HV_PTC_INP_PATT_TOP_01_BASE_ADDRESS + 0xF0)

#define RX_PTC_INP_PATT_TOP_01_F0_struct                                 rs_rx_ptc_inp_patt_top_01_f0

typedef struct _rs_rx_ptc_inp_patt_top_01_f0  rs_rx_ptc_inp_patt_top_01_f0;
struct _rs_rx_ptc_inp_patt_top_01_f0 {
    unsigned int reg_01_step_width                          :13;
    unsigned int reg_01_circle_radius                       :12;
    unsigned int reserved                                   : 7;
};
#define rx_ptc_inp_patt_top_01_f0(val) ((rs_rx_ptc_inp_patt_top_01_f0*)&(val))



#define RX_PTC_INP_PATT_TOP_01_F4                                        (HV_PTC_INP_PATT_TOP_01_BASE_ADDRESS + 0xF4)

#define RX_PTC_INP_PATT_TOP_01_F4_struct                                 rs_rx_ptc_inp_patt_top_01_f4

typedef struct _rs_rx_ptc_inp_patt_top_01_f4  rs_rx_ptc_inp_patt_top_01_f4;
struct _rs_rx_ptc_inp_patt_top_01_f4 {
    unsigned int reg_01_block_x                             : 5;
    unsigned int reg_01_block_y                             : 5;
    unsigned int reg_01_hpattern_enable                     : 1;
    unsigned int reg_01_hpattern_mode                       : 2;
    unsigned int reg_01_hpattern_move_en                    : 1;
    unsigned int reg_01_hpattern_speed0                     : 4;
    unsigned int reg_01_hpattern_speed1                     : 4;
    unsigned int reg_01_hpattern_sel                        : 4;
    unsigned int reserved                                   : 6;
};
#define rx_ptc_inp_patt_top_01_f4(val) ((rs_rx_ptc_inp_patt_top_01_f4*)&(val))



#define RX_PTC_INP_PATT_TOP_01_F8                                        (HV_PTC_INP_PATT_TOP_01_BASE_ADDRESS + 0xF8)

#define RX_PTC_INP_PATT_TOP_01_F8_struct                                 rs_rx_ptc_inp_patt_top_01_f8

typedef struct _rs_rx_ptc_inp_patt_top_01_f8  rs_rx_ptc_inp_patt_top_01_f8;
struct _rs_rx_ptc_inp_patt_top_01_f8 {
    unsigned int reg_01_patt_fcnt_sync_timer                : 8;
    unsigned int reg_01_patt_fcnt_sync_delta_timer          : 8;
    unsigned int reg_01_patt_loopcnt_sync_timer             : 8;
    unsigned int reg_01_patt_loopcnt_sync_delta_timer       : 8;
};
#define rx_ptc_inp_patt_top_01_f8(val) ((rs_rx_ptc_inp_patt_top_01_f8*)&(val))



#endif