#ifndef _HV_PAGE_HT7315_REG_SH5_TOP3_H_
#define _HV_PAGE_HT7315_REG_SH5_TOP3_H_

#ifndef HV_REG_SH5_TOP3_BASE_ADDRESS
    #define HV_REG_SH5_TOP3_BASE_ADDRESS                                         0x11011A00
#endif


#define SYS_REG_SH5_TOP3_00                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0x00)

#define SYS_REG_SH5_TOP3_00_struct                                       rs_sys_reg_sh5_top3_00

typedef struct _rs_sys_reg_sh5_top3_00  rs_sys_reg_sh5_top3_00;
struct _rs_sys_reg_sh5_top3_00 {
    unsigned int reg_sw_used_64                             :32;
};
#define sys_reg_sh5_top3_00(val) ((rs_sys_reg_sh5_top3_00*)&(val))



#define SYS_REG_SH5_TOP3_04                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0x04)

#define SYS_REG_SH5_TOP3_04_struct                                       rs_sys_reg_sh5_top3_04

typedef struct _rs_sys_reg_sh5_top3_04  rs_sys_reg_sh5_top3_04;
struct _rs_sys_reg_sh5_top3_04 {
    unsigned int reg_sw_used_65                             :32;
};
#define sys_reg_sh5_top3_04(val) ((rs_sys_reg_sh5_top3_04*)&(val))



#define SYS_REG_SH5_TOP3_08                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0x08)

#define SYS_REG_SH5_TOP3_08_struct                                       rs_sys_reg_sh5_top3_08

typedef struct _rs_sys_reg_sh5_top3_08  rs_sys_reg_sh5_top3_08;
struct _rs_sys_reg_sh5_top3_08 {
    unsigned int reg_sw_used_66                             :32;
};
#define sys_reg_sh5_top3_08(val) ((rs_sys_reg_sh5_top3_08*)&(val))



#define SYS_REG_SH5_TOP3_0C                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0x0C)

#define SYS_REG_SH5_TOP3_0C_struct                                       rs_sys_reg_sh5_top3_0c

typedef struct _rs_sys_reg_sh5_top3_0c  rs_sys_reg_sh5_top3_0c;
struct _rs_sys_reg_sh5_top3_0c {
    unsigned int reg_sw_used_67                             :32;
};
#define sys_reg_sh5_top3_0c(val) ((rs_sys_reg_sh5_top3_0c*)&(val))



#define SYS_REG_SH5_TOP3_10                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0x10)

#define SYS_REG_SH5_TOP3_10_struct                                       rs_sys_reg_sh5_top3_10

typedef struct _rs_sys_reg_sh5_top3_10  rs_sys_reg_sh5_top3_10;
struct _rs_sys_reg_sh5_top3_10 {
    unsigned int reg_sw_used_68                             :32;
};
#define sys_reg_sh5_top3_10(val) ((rs_sys_reg_sh5_top3_10*)&(val))



#define SYS_REG_SH5_TOP3_14                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0x14)

#define SYS_REG_SH5_TOP3_14_struct                                       rs_sys_reg_sh5_top3_14

typedef struct _rs_sys_reg_sh5_top3_14  rs_sys_reg_sh5_top3_14;
struct _rs_sys_reg_sh5_top3_14 {
    unsigned int reg_sw_used_69                             :32;
};
#define sys_reg_sh5_top3_14(val) ((rs_sys_reg_sh5_top3_14*)&(val))



#define SYS_REG_SH5_TOP3_18                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0x18)

#define SYS_REG_SH5_TOP3_18_struct                                       rs_sys_reg_sh5_top3_18

typedef struct _rs_sys_reg_sh5_top3_18  rs_sys_reg_sh5_top3_18;
struct _rs_sys_reg_sh5_top3_18 {
    unsigned int reg_sw_used_70                             :32;
};
#define sys_reg_sh5_top3_18(val) ((rs_sys_reg_sh5_top3_18*)&(val))



#define SYS_REG_SH5_TOP3_1C                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0x1C)

#define SYS_REG_SH5_TOP3_1C_struct                                       rs_sys_reg_sh5_top3_1c

typedef struct _rs_sys_reg_sh5_top3_1c  rs_sys_reg_sh5_top3_1c;
struct _rs_sys_reg_sh5_top3_1c {
    unsigned int reg_sw_used_71                             :32;
};
#define sys_reg_sh5_top3_1c(val) ((rs_sys_reg_sh5_top3_1c*)&(val))



#define SYS_REG_SH5_TOP3_20                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0x20)

#define SYS_REG_SH5_TOP3_20_struct                                       rs_sys_reg_sh5_top3_20

typedef struct _rs_sys_reg_sh5_top3_20  rs_sys_reg_sh5_top3_20;
struct _rs_sys_reg_sh5_top3_20 {
    unsigned int reg_sw_used_72                             :32;
};
#define sys_reg_sh5_top3_20(val) ((rs_sys_reg_sh5_top3_20*)&(val))



#define SYS_REG_SH5_TOP3_24                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0x24)

#define SYS_REG_SH5_TOP3_24_struct                                       rs_sys_reg_sh5_top3_24

typedef struct _rs_sys_reg_sh5_top3_24  rs_sys_reg_sh5_top3_24;
struct _rs_sys_reg_sh5_top3_24 {
    unsigned int reg_sw_used_73                             :32;
};
#define sys_reg_sh5_top3_24(val) ((rs_sys_reg_sh5_top3_24*)&(val))



#define SYS_REG_SH5_TOP3_28                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0x28)

#define SYS_REG_SH5_TOP3_28_struct                                       rs_sys_reg_sh5_top3_28

typedef struct _rs_sys_reg_sh5_top3_28  rs_sys_reg_sh5_top3_28;
struct _rs_sys_reg_sh5_top3_28 {
    unsigned int reg_sw_used_74                             :32;
};
#define sys_reg_sh5_top3_28(val) ((rs_sys_reg_sh5_top3_28*)&(val))



#define SYS_REG_SH5_TOP3_2C                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0x2C)

#define SYS_REG_SH5_TOP3_2C_struct                                       rs_sys_reg_sh5_top3_2c

typedef struct _rs_sys_reg_sh5_top3_2c  rs_sys_reg_sh5_top3_2c;
struct _rs_sys_reg_sh5_top3_2c {
    unsigned int reg_sw_used_75                             :32;
};
#define sys_reg_sh5_top3_2c(val) ((rs_sys_reg_sh5_top3_2c*)&(val))



#define SYS_REG_SH5_TOP3_30                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0x30)

#define SYS_REG_SH5_TOP3_30_struct                                       rs_sys_reg_sh5_top3_30

typedef struct _rs_sys_reg_sh5_top3_30  rs_sys_reg_sh5_top3_30;
struct _rs_sys_reg_sh5_top3_30 {
    unsigned int reg_sw_used_76                             :32;
};
#define sys_reg_sh5_top3_30(val) ((rs_sys_reg_sh5_top3_30*)&(val))



#define SYS_REG_SH5_TOP3_34                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0x34)

#define SYS_REG_SH5_TOP3_34_struct                                       rs_sys_reg_sh5_top3_34

typedef struct _rs_sys_reg_sh5_top3_34  rs_sys_reg_sh5_top3_34;
struct _rs_sys_reg_sh5_top3_34 {
    unsigned int reg_sw_used_77                             :32;
};
#define sys_reg_sh5_top3_34(val) ((rs_sys_reg_sh5_top3_34*)&(val))



#define SYS_REG_SH5_TOP3_38                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0x38)

#define SYS_REG_SH5_TOP3_38_struct                                       rs_sys_reg_sh5_top3_38

typedef struct _rs_sys_reg_sh5_top3_38  rs_sys_reg_sh5_top3_38;
struct _rs_sys_reg_sh5_top3_38 {
    unsigned int reg_sw_used_78                             :32;
};
#define sys_reg_sh5_top3_38(val) ((rs_sys_reg_sh5_top3_38*)&(val))



#define SYS_REG_SH5_TOP3_3C                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0x3C)

#define SYS_REG_SH5_TOP3_3C_struct                                       rs_sys_reg_sh5_top3_3c

typedef struct _rs_sys_reg_sh5_top3_3c  rs_sys_reg_sh5_top3_3c;
struct _rs_sys_reg_sh5_top3_3c {
    unsigned int reg_sw_used_79                             :32;
};
#define sys_reg_sh5_top3_3c(val) ((rs_sys_reg_sh5_top3_3c*)&(val))



#define SYS_REG_SH5_TOP3_40                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0x40)

#define SYS_REG_SH5_TOP3_40_struct                                       rs_sys_reg_sh5_top3_40

typedef struct _rs_sys_reg_sh5_top3_40  rs_sys_reg_sh5_top3_40;
struct _rs_sys_reg_sh5_top3_40 {
    unsigned int reg_sw_used_80                             :32;
};
#define sys_reg_sh5_top3_40(val) ((rs_sys_reg_sh5_top3_40*)&(val))



#define SYS_REG_SH5_TOP3_44                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0x44)

#define SYS_REG_SH5_TOP3_44_struct                                       rs_sys_reg_sh5_top3_44

typedef struct _rs_sys_reg_sh5_top3_44  rs_sys_reg_sh5_top3_44;
struct _rs_sys_reg_sh5_top3_44 {
    unsigned int reg_sw_used_81                             :32;
};
#define sys_reg_sh5_top3_44(val) ((rs_sys_reg_sh5_top3_44*)&(val))



#define SYS_REG_SH5_TOP3_48                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0x48)

#define SYS_REG_SH5_TOP3_48_struct                                       rs_sys_reg_sh5_top3_48

typedef struct _rs_sys_reg_sh5_top3_48  rs_sys_reg_sh5_top3_48;
struct _rs_sys_reg_sh5_top3_48 {
    unsigned int reg_sw_used_82                             :32;
};
#define sys_reg_sh5_top3_48(val) ((rs_sys_reg_sh5_top3_48*)&(val))



#define SYS_REG_SH5_TOP3_4C                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0x4C)

#define SYS_REG_SH5_TOP3_4C_struct                                       rs_sys_reg_sh5_top3_4c

typedef struct _rs_sys_reg_sh5_top3_4c  rs_sys_reg_sh5_top3_4c;
struct _rs_sys_reg_sh5_top3_4c {
    unsigned int reg_sw_used_83                             :32;
};
#define sys_reg_sh5_top3_4c(val) ((rs_sys_reg_sh5_top3_4c*)&(val))



#define SYS_REG_SH5_TOP3_50                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0x50)

#define SYS_REG_SH5_TOP3_50_struct                                       rs_sys_reg_sh5_top3_50

typedef struct _rs_sys_reg_sh5_top3_50  rs_sys_reg_sh5_top3_50;
struct _rs_sys_reg_sh5_top3_50 {
    unsigned int reg_sw_used_84                             :32;
};
#define sys_reg_sh5_top3_50(val) ((rs_sys_reg_sh5_top3_50*)&(val))



#define SYS_REG_SH5_TOP3_54                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0x54)

#define SYS_REG_SH5_TOP3_54_struct                                       rs_sys_reg_sh5_top3_54

typedef struct _rs_sys_reg_sh5_top3_54  rs_sys_reg_sh5_top3_54;
struct _rs_sys_reg_sh5_top3_54 {
    unsigned int reg_sw_used_85                             :32;
};
#define sys_reg_sh5_top3_54(val) ((rs_sys_reg_sh5_top3_54*)&(val))



#define SYS_REG_SH5_TOP3_58                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0x58)

#define SYS_REG_SH5_TOP3_58_struct                                       rs_sys_reg_sh5_top3_58

typedef struct _rs_sys_reg_sh5_top3_58  rs_sys_reg_sh5_top3_58;
struct _rs_sys_reg_sh5_top3_58 {
    unsigned int reg_sw_used_86                             :32;
};
#define sys_reg_sh5_top3_58(val) ((rs_sys_reg_sh5_top3_58*)&(val))



#define SYS_REG_SH5_TOP3_5C                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0x5C)

#define SYS_REG_SH5_TOP3_5C_struct                                       rs_sys_reg_sh5_top3_5c

typedef struct _rs_sys_reg_sh5_top3_5c  rs_sys_reg_sh5_top3_5c;
struct _rs_sys_reg_sh5_top3_5c {
    unsigned int reg_sw_used_87                             :32;
};
#define sys_reg_sh5_top3_5c(val) ((rs_sys_reg_sh5_top3_5c*)&(val))



#define SYS_REG_SH5_TOP3_60                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0x60)

#define SYS_REG_SH5_TOP3_60_struct                                       rs_sys_reg_sh5_top3_60

typedef struct _rs_sys_reg_sh5_top3_60  rs_sys_reg_sh5_top3_60;
struct _rs_sys_reg_sh5_top3_60 {
    unsigned int reg_sw_used_88                             :32;
};
#define sys_reg_sh5_top3_60(val) ((rs_sys_reg_sh5_top3_60*)&(val))



#define SYS_REG_SH5_TOP3_64                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0x64)

#define SYS_REG_SH5_TOP3_64_struct                                       rs_sys_reg_sh5_top3_64

typedef struct _rs_sys_reg_sh5_top3_64  rs_sys_reg_sh5_top3_64;
struct _rs_sys_reg_sh5_top3_64 {
    unsigned int reg_sw_used_89                             :32;
};
#define sys_reg_sh5_top3_64(val) ((rs_sys_reg_sh5_top3_64*)&(val))



#define SYS_REG_SH5_TOP3_68                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0x68)

#define SYS_REG_SH5_TOP3_68_struct                                       rs_sys_reg_sh5_top3_68

typedef struct _rs_sys_reg_sh5_top3_68  rs_sys_reg_sh5_top3_68;
struct _rs_sys_reg_sh5_top3_68 {
    unsigned int reg_sw_used_90                             :32;
};
#define sys_reg_sh5_top3_68(val) ((rs_sys_reg_sh5_top3_68*)&(val))



#define SYS_REG_SH5_TOP3_6C                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0x6C)

#define SYS_REG_SH5_TOP3_6C_struct                                       rs_sys_reg_sh5_top3_6c

typedef struct _rs_sys_reg_sh5_top3_6c  rs_sys_reg_sh5_top3_6c;
struct _rs_sys_reg_sh5_top3_6c {
    unsigned int reg_sw_used_91                             :32;
};
#define sys_reg_sh5_top3_6c(val) ((rs_sys_reg_sh5_top3_6c*)&(val))



#define SYS_REG_SH5_TOP3_70                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0x70)

#define SYS_REG_SH5_TOP3_70_struct                                       rs_sys_reg_sh5_top3_70

typedef struct _rs_sys_reg_sh5_top3_70  rs_sys_reg_sh5_top3_70;
struct _rs_sys_reg_sh5_top3_70 {
    unsigned int reg_sw_used_92                             :32;
};
#define sys_reg_sh5_top3_70(val) ((rs_sys_reg_sh5_top3_70*)&(val))



#define SYS_REG_SH5_TOP3_74                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0x74)

#define SYS_REG_SH5_TOP3_74_struct                                       rs_sys_reg_sh5_top3_74

typedef struct _rs_sys_reg_sh5_top3_74  rs_sys_reg_sh5_top3_74;
struct _rs_sys_reg_sh5_top3_74 {
    unsigned int reg_sw_used_93                             :32;
};
#define sys_reg_sh5_top3_74(val) ((rs_sys_reg_sh5_top3_74*)&(val))



#define SYS_REG_SH5_TOP3_78                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0x78)

#define SYS_REG_SH5_TOP3_78_struct                                       rs_sys_reg_sh5_top3_78

typedef struct _rs_sys_reg_sh5_top3_78  rs_sys_reg_sh5_top3_78;
struct _rs_sys_reg_sh5_top3_78 {
    unsigned int reg_sw_used_94                             :32;
};
#define sys_reg_sh5_top3_78(val) ((rs_sys_reg_sh5_top3_78*)&(val))



#define SYS_REG_SH5_TOP3_7C                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0x7C)

#define SYS_REG_SH5_TOP3_7C_struct                                       rs_sys_reg_sh5_top3_7c

typedef struct _rs_sys_reg_sh5_top3_7c  rs_sys_reg_sh5_top3_7c;
struct _rs_sys_reg_sh5_top3_7c {
    unsigned int reg_sw_used_95                             :32;
};
#define sys_reg_sh5_top3_7c(val) ((rs_sys_reg_sh5_top3_7c*)&(val))



#define SYS_REG_SH5_TOP3_80                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0x80)

#define SYS_REG_SH5_TOP3_80_struct                                       rs_sys_reg_sh5_top3_80

typedef struct _rs_sys_reg_sh5_top3_80  rs_sys_reg_sh5_top3_80;
struct _rs_sys_reg_sh5_top3_80 {
    unsigned int reg_sw_used_96                             :32;
};
#define sys_reg_sh5_top3_80(val) ((rs_sys_reg_sh5_top3_80*)&(val))



#define SYS_REG_SH5_TOP3_84                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0x84)

#define SYS_REG_SH5_TOP3_84_struct                                       rs_sys_reg_sh5_top3_84

typedef struct _rs_sys_reg_sh5_top3_84  rs_sys_reg_sh5_top3_84;
struct _rs_sys_reg_sh5_top3_84 {
    unsigned int reg_sw_used_97                             :32;
};
#define sys_reg_sh5_top3_84(val) ((rs_sys_reg_sh5_top3_84*)&(val))



#define SYS_REG_SH5_TOP3_88                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0x88)

#define SYS_REG_SH5_TOP3_88_struct                                       rs_sys_reg_sh5_top3_88

typedef struct _rs_sys_reg_sh5_top3_88  rs_sys_reg_sh5_top3_88;
struct _rs_sys_reg_sh5_top3_88 {
    unsigned int reg_sw_used_98                             :32;
};
#define sys_reg_sh5_top3_88(val) ((rs_sys_reg_sh5_top3_88*)&(val))



#define SYS_REG_SH5_TOP3_8C                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0x8C)

#define SYS_REG_SH5_TOP3_8C_struct                                       rs_sys_reg_sh5_top3_8c

typedef struct _rs_sys_reg_sh5_top3_8c  rs_sys_reg_sh5_top3_8c;
struct _rs_sys_reg_sh5_top3_8c {
    unsigned int reg_sw_used_99                             :32;
};
#define sys_reg_sh5_top3_8c(val) ((rs_sys_reg_sh5_top3_8c*)&(val))



#define SYS_REG_SH5_TOP3_90                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0x90)

#define SYS_REG_SH5_TOP3_90_struct                                       rs_sys_reg_sh5_top3_90

typedef struct _rs_sys_reg_sh5_top3_90  rs_sys_reg_sh5_top3_90;
struct _rs_sys_reg_sh5_top3_90 {
    unsigned int reg_sw_used_100                            :32;
};
#define sys_reg_sh5_top3_90(val) ((rs_sys_reg_sh5_top3_90*)&(val))



#define SYS_REG_SH5_TOP3_94                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0x94)

#define SYS_REG_SH5_TOP3_94_struct                                       rs_sys_reg_sh5_top3_94

typedef struct _rs_sys_reg_sh5_top3_94  rs_sys_reg_sh5_top3_94;
struct _rs_sys_reg_sh5_top3_94 {
    unsigned int reg_sw_used_101                            :32;
};
#define sys_reg_sh5_top3_94(val) ((rs_sys_reg_sh5_top3_94*)&(val))



#define SYS_REG_SH5_TOP3_98                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0x98)

#define SYS_REG_SH5_TOP3_98_struct                                       rs_sys_reg_sh5_top3_98

typedef struct _rs_sys_reg_sh5_top3_98  rs_sys_reg_sh5_top3_98;
struct _rs_sys_reg_sh5_top3_98 {
    unsigned int reg_sw_used_102                            :32;
};
#define sys_reg_sh5_top3_98(val) ((rs_sys_reg_sh5_top3_98*)&(val))



#define SYS_REG_SH5_TOP3_9C                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0x9C)

#define SYS_REG_SH5_TOP3_9C_struct                                       rs_sys_reg_sh5_top3_9c

typedef struct _rs_sys_reg_sh5_top3_9c  rs_sys_reg_sh5_top3_9c;
struct _rs_sys_reg_sh5_top3_9c {
    unsigned int reg_sw_used_103                            :32;
};
#define sys_reg_sh5_top3_9c(val) ((rs_sys_reg_sh5_top3_9c*)&(val))



#define SYS_REG_SH5_TOP3_A0                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0xA0)

#define SYS_REG_SH5_TOP3_A0_struct                                       rs_sys_reg_sh5_top3_a0

typedef struct _rs_sys_reg_sh5_top3_a0  rs_sys_reg_sh5_top3_a0;
struct _rs_sys_reg_sh5_top3_a0 {
    unsigned int reg_sw_used_104                            :32;
};
#define sys_reg_sh5_top3_a0(val) ((rs_sys_reg_sh5_top3_a0*)&(val))



#define SYS_REG_SH5_TOP3_A4                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0xA4)

#define SYS_REG_SH5_TOP3_A4_struct                                       rs_sys_reg_sh5_top3_a4

typedef struct _rs_sys_reg_sh5_top3_a4  rs_sys_reg_sh5_top3_a4;
struct _rs_sys_reg_sh5_top3_a4 {
    unsigned int reg_sw_used_105                            :32;
};
#define sys_reg_sh5_top3_a4(val) ((rs_sys_reg_sh5_top3_a4*)&(val))



#define SYS_REG_SH5_TOP3_A8                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0xA8)

#define SYS_REG_SH5_TOP3_A8_struct                                       rs_sys_reg_sh5_top3_a8

typedef struct _rs_sys_reg_sh5_top3_a8  rs_sys_reg_sh5_top3_a8;
struct _rs_sys_reg_sh5_top3_a8 {
    unsigned int reg_sw_used_106                            :32;
};
#define sys_reg_sh5_top3_a8(val) ((rs_sys_reg_sh5_top3_a8*)&(val))



#define SYS_REG_SH5_TOP3_AC                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0xAC)

#define SYS_REG_SH5_TOP3_AC_struct                                       rs_sys_reg_sh5_top3_ac

typedef struct _rs_sys_reg_sh5_top3_ac  rs_sys_reg_sh5_top3_ac;
struct _rs_sys_reg_sh5_top3_ac {
    unsigned int reg_sw_used_107                            :32;
};
#define sys_reg_sh5_top3_ac(val) ((rs_sys_reg_sh5_top3_ac*)&(val))



#define SYS_REG_SH5_TOP3_B0                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0xB0)

#define SYS_REG_SH5_TOP3_B0_struct                                       rs_sys_reg_sh5_top3_b0

typedef struct _rs_sys_reg_sh5_top3_b0  rs_sys_reg_sh5_top3_b0;
struct _rs_sys_reg_sh5_top3_b0 {
    unsigned int reg_sw_used_108                            :32;
};
#define sys_reg_sh5_top3_b0(val) ((rs_sys_reg_sh5_top3_b0*)&(val))



#define SYS_REG_SH5_TOP3_B4                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0xB4)

#define SYS_REG_SH5_TOP3_B4_struct                                       rs_sys_reg_sh5_top3_b4

typedef struct _rs_sys_reg_sh5_top3_b4  rs_sys_reg_sh5_top3_b4;
struct _rs_sys_reg_sh5_top3_b4 {
    unsigned int reg_sw_used_109                            :32;
};
#define sys_reg_sh5_top3_b4(val) ((rs_sys_reg_sh5_top3_b4*)&(val))



#define SYS_REG_SH5_TOP3_B8                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0xB8)

#define SYS_REG_SH5_TOP3_B8_struct                                       rs_sys_reg_sh5_top3_b8

typedef struct _rs_sys_reg_sh5_top3_b8  rs_sys_reg_sh5_top3_b8;
struct _rs_sys_reg_sh5_top3_b8 {
    unsigned int reg_sw_used_110                            :32;
};
#define sys_reg_sh5_top3_b8(val) ((rs_sys_reg_sh5_top3_b8*)&(val))



#define SYS_REG_SH5_TOP3_BC                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0xBC)

#define SYS_REG_SH5_TOP3_BC_struct                                       rs_sys_reg_sh5_top3_bc

typedef struct _rs_sys_reg_sh5_top3_bc  rs_sys_reg_sh5_top3_bc;
struct _rs_sys_reg_sh5_top3_bc {
    unsigned int reg_sw_used_111                            :32;
};
#define sys_reg_sh5_top3_bc(val) ((rs_sys_reg_sh5_top3_bc*)&(val))



#define SYS_REG_SH5_TOP3_C0                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0xC0)

#define SYS_REG_SH5_TOP3_C0_struct                                       rs_sys_reg_sh5_top3_c0

typedef struct _rs_sys_reg_sh5_top3_c0  rs_sys_reg_sh5_top3_c0;
struct _rs_sys_reg_sh5_top3_c0 {
    unsigned int reg_sw_used_112                            :32;
};
#define sys_reg_sh5_top3_c0(val) ((rs_sys_reg_sh5_top3_c0*)&(val))



#define SYS_REG_SH5_TOP3_C4                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0xC4)

#define SYS_REG_SH5_TOP3_C4_struct                                       rs_sys_reg_sh5_top3_c4

typedef struct _rs_sys_reg_sh5_top3_c4  rs_sys_reg_sh5_top3_c4;
struct _rs_sys_reg_sh5_top3_c4 {
    unsigned int reg_sw_used_113                            :32;
};
#define sys_reg_sh5_top3_c4(val) ((rs_sys_reg_sh5_top3_c4*)&(val))



#define SYS_REG_SH5_TOP3_C8                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0xC8)

#define SYS_REG_SH5_TOP3_C8_struct                                       rs_sys_reg_sh5_top3_c8

typedef struct _rs_sys_reg_sh5_top3_c8  rs_sys_reg_sh5_top3_c8;
struct _rs_sys_reg_sh5_top3_c8 {
    unsigned int reg_sw_used_114                            :32;
};
#define sys_reg_sh5_top3_c8(val) ((rs_sys_reg_sh5_top3_c8*)&(val))



#define SYS_REG_SH5_TOP3_CC                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0xCC)

#define SYS_REG_SH5_TOP3_CC_struct                                       rs_sys_reg_sh5_top3_cc

typedef struct _rs_sys_reg_sh5_top3_cc  rs_sys_reg_sh5_top3_cc;
struct _rs_sys_reg_sh5_top3_cc {
    unsigned int reg_sw_used_115                            :32;
};
#define sys_reg_sh5_top3_cc(val) ((rs_sys_reg_sh5_top3_cc*)&(val))



#define SYS_REG_SH5_TOP3_D0                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0xD0)

#define SYS_REG_SH5_TOP3_D0_struct                                       rs_sys_reg_sh5_top3_d0

typedef struct _rs_sys_reg_sh5_top3_d0  rs_sys_reg_sh5_top3_d0;
struct _rs_sys_reg_sh5_top3_d0 {
    unsigned int reg_sw_used_116                            :32;
};
#define sys_reg_sh5_top3_d0(val) ((rs_sys_reg_sh5_top3_d0*)&(val))



#define SYS_REG_SH5_TOP3_D4                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0xD4)

#define SYS_REG_SH5_TOP3_D4_struct                                       rs_sys_reg_sh5_top3_d4

typedef struct _rs_sys_reg_sh5_top3_d4  rs_sys_reg_sh5_top3_d4;
struct _rs_sys_reg_sh5_top3_d4 {
    unsigned int reg_sw_used_117                            :32;
};
#define sys_reg_sh5_top3_d4(val) ((rs_sys_reg_sh5_top3_d4*)&(val))



#define SYS_REG_SH5_TOP3_D8                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0xD8)

#define SYS_REG_SH5_TOP3_D8_struct                                       rs_sys_reg_sh5_top3_d8

typedef struct _rs_sys_reg_sh5_top3_d8  rs_sys_reg_sh5_top3_d8;
struct _rs_sys_reg_sh5_top3_d8 {
    unsigned int reg_sw_used_118                            :32;
};
#define sys_reg_sh5_top3_d8(val) ((rs_sys_reg_sh5_top3_d8*)&(val))



#define SYS_REG_SH5_TOP3_DC                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0xDC)

#define SYS_REG_SH5_TOP3_DC_struct                                       rs_sys_reg_sh5_top3_dc

typedef struct _rs_sys_reg_sh5_top3_dc  rs_sys_reg_sh5_top3_dc;
struct _rs_sys_reg_sh5_top3_dc {
    unsigned int reg_sw_used_119                            :32;
};
#define sys_reg_sh5_top3_dc(val) ((rs_sys_reg_sh5_top3_dc*)&(val))



#define SYS_REG_SH5_TOP3_E0                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0xE0)

#define SYS_REG_SH5_TOP3_E0_struct                                       rs_sys_reg_sh5_top3_e0

typedef struct _rs_sys_reg_sh5_top3_e0  rs_sys_reg_sh5_top3_e0;
struct _rs_sys_reg_sh5_top3_e0 {
    unsigned int reg_sw_used_120                            :32;
};
#define sys_reg_sh5_top3_e0(val) ((rs_sys_reg_sh5_top3_e0*)&(val))



#define SYS_REG_SH5_TOP3_E4                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0xE4)

#define SYS_REG_SH5_TOP3_E4_struct                                       rs_sys_reg_sh5_top3_e4

typedef struct _rs_sys_reg_sh5_top3_e4  rs_sys_reg_sh5_top3_e4;
struct _rs_sys_reg_sh5_top3_e4 {
    unsigned int reg_sw_used_121                            :32;
};
#define sys_reg_sh5_top3_e4(val) ((rs_sys_reg_sh5_top3_e4*)&(val))



#define SYS_REG_SH5_TOP3_E8                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0xE8)

#define SYS_REG_SH5_TOP3_E8_struct                                       rs_sys_reg_sh5_top3_e8

typedef struct _rs_sys_reg_sh5_top3_e8  rs_sys_reg_sh5_top3_e8;
struct _rs_sys_reg_sh5_top3_e8 {
    unsigned int reg_sw_used_122                            :32;
};
#define sys_reg_sh5_top3_e8(val) ((rs_sys_reg_sh5_top3_e8*)&(val))



#define SYS_REG_SH5_TOP3_EC                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0xEC)

#define SYS_REG_SH5_TOP3_EC_struct                                       rs_sys_reg_sh5_top3_ec

typedef struct _rs_sys_reg_sh5_top3_ec  rs_sys_reg_sh5_top3_ec;
struct _rs_sys_reg_sh5_top3_ec {
    unsigned int reg_sw_used_123                            :32;
};
#define sys_reg_sh5_top3_ec(val) ((rs_sys_reg_sh5_top3_ec*)&(val))



#define SYS_REG_SH5_TOP3_F0                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0xF0)

#define SYS_REG_SH5_TOP3_F0_struct                                       rs_sys_reg_sh5_top3_f0

typedef struct _rs_sys_reg_sh5_top3_f0  rs_sys_reg_sh5_top3_f0;
struct _rs_sys_reg_sh5_top3_f0 {
    unsigned int reg_sw_used_124                            :32;
};
#define sys_reg_sh5_top3_f0(val) ((rs_sys_reg_sh5_top3_f0*)&(val))



#define SYS_REG_SH5_TOP3_F4                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0xF4)

#define SYS_REG_SH5_TOP3_F4_struct                                       rs_sys_reg_sh5_top3_f4

typedef struct _rs_sys_reg_sh5_top3_f4  rs_sys_reg_sh5_top3_f4;
struct _rs_sys_reg_sh5_top3_f4 {
    unsigned int reg_sw_used_125                            :32;
};
#define sys_reg_sh5_top3_f4(val) ((rs_sys_reg_sh5_top3_f4*)&(val))



#define SYS_REG_SH5_TOP3_F8                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0xF8)

#define SYS_REG_SH5_TOP3_F8_struct                                       rs_sys_reg_sh5_top3_f8

typedef struct _rs_sys_reg_sh5_top3_f8  rs_sys_reg_sh5_top3_f8;
struct _rs_sys_reg_sh5_top3_f8 {
    unsigned int reg_sw_used_126                            :32;
};
#define sys_reg_sh5_top3_f8(val) ((rs_sys_reg_sh5_top3_f8*)&(val))



#define SYS_REG_SH5_TOP3_FC                                              (HV_REG_SH5_TOP3_BASE_ADDRESS + 0xFC)

#define SYS_REG_SH5_TOP3_FC_struct                                       rs_sys_reg_sh5_top3_fc

typedef struct _rs_sys_reg_sh5_top3_fc  rs_sys_reg_sh5_top3_fc;
struct _rs_sys_reg_sh5_top3_fc {
    unsigned int reg_sw_used_127                            :32;
};
#define sys_reg_sh5_top3_fc(val) ((rs_sys_reg_sh5_top3_fc*)&(val))



#endif