#ifndef _HV_PAGE_HT7315_REG_VIDEO_CUBIC_SCALER_V2_01_H_
#define _HV_PAGE_HT7315_REG_VIDEO_CUBIC_SCALER_V2_01_H_

#ifndef HV_REG_VIDEO_CUBIC_SCALER_V2_01_BASE_ADDRESS
    #define HV_REG_VIDEO_CUBIC_SCALER_V2_01_BASE_ADDRESS                                         0x11026500
#endif


#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_00                         (HV_REG_VIDEO_CUBIC_SCALER_V2_01_BASE_ADDRESS + 0x00)

#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_00_struct                  rs_disp_top_reg_video_cubic_scaler_v2_01_00

typedef struct _rs_disp_top_reg_video_cubic_scaler_v2_01_00  rs_disp_top_reg_video_cubic_scaler_v2_01_00;
struct _rs_disp_top_reg_video_cubic_scaler_v2_01_00 {
    unsigned int reg_01_sc_cvmode                           : 2;
    unsigned int reg_01_sc_chmode                           : 2;
    unsigned int reg_01_sc_yvmode                           : 2;
    unsigned int reg_01_sc_yhmode                           : 2;
    unsigned int reg_01_en                                  : 1;
    unsigned int reg_01_en_no_latch                         : 1;
    unsigned int reg_01_clk_en_core_A                       : 1;
    unsigned int reserved                                   : 4;
    unsigned int reg_01_hfil_force_step_en                  : 1;
    unsigned int reg_01_sc_throu_sw                         : 1;
    unsigned int reg_01_sc_h_flip                           : 1;
    unsigned int reserved_1                                 :14;
};
#define disp_top_reg_video_cubic_scaler_v2_01_00(val) ((rs_disp_top_reg_video_cubic_scaler_v2_01_00*)&(val))



#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_04                         (HV_REG_VIDEO_CUBIC_SCALER_V2_01_BASE_ADDRESS + 0x04)

#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_04_struct                  rs_disp_top_reg_video_cubic_scaler_v2_01_04

typedef struct _rs_disp_top_reg_video_cubic_scaler_v2_01_04  rs_disp_top_reg_video_cubic_scaler_v2_01_04;
struct _rs_disp_top_reg_video_cubic_scaler_v2_01_04 {
    unsigned int reg_01_sc_hszin                            :14;
    unsigned int reserved                                   :18;
};
#define disp_top_reg_video_cubic_scaler_v2_01_04(val) ((rs_disp_top_reg_video_cubic_scaler_v2_01_04*)&(val))



#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_08                         (HV_REG_VIDEO_CUBIC_SCALER_V2_01_BASE_ADDRESS + 0x08)

#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_08_struct                  rs_disp_top_reg_video_cubic_scaler_v2_01_08

typedef struct _rs_disp_top_reg_video_cubic_scaler_v2_01_08  rs_disp_top_reg_video_cubic_scaler_v2_01_08;
struct _rs_disp_top_reg_video_cubic_scaler_v2_01_08 {
    unsigned int reg_01_sc_vszin                            :14;
    unsigned int reserved                                   :18;
};
#define disp_top_reg_video_cubic_scaler_v2_01_08(val) ((rs_disp_top_reg_video_cubic_scaler_v2_01_08*)&(val))



#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_0C                         (HV_REG_VIDEO_CUBIC_SCALER_V2_01_BASE_ADDRESS + 0x0C)

#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_0C_struct                  rs_disp_top_reg_video_cubic_scaler_v2_01_0c

typedef struct _rs_disp_top_reg_video_cubic_scaler_v2_01_0c  rs_disp_top_reg_video_cubic_scaler_v2_01_0c;
struct _rs_disp_top_reg_video_cubic_scaler_v2_01_0c {
    unsigned int reg_01_sc_htabi_R_A                        : 8;
    unsigned int reg_01_sc_htabi_L_A                        : 8;
    unsigned int reg_01_sc_htabi_R_B                        : 8;
    unsigned int reg_01_sc_htabi_L_B                        : 8;
};
#define disp_top_reg_video_cubic_scaler_v2_01_0c(val) ((rs_disp_top_reg_video_cubic_scaler_v2_01_0c*)&(val))



#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_10                         (HV_REG_VIDEO_CUBIC_SCALER_V2_01_BASE_ADDRESS + 0x10)

#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_10_struct                  rs_disp_top_reg_video_cubic_scaler_v2_01_10

typedef struct _rs_disp_top_reg_video_cubic_scaler_v2_01_10  rs_disp_top_reg_video_cubic_scaler_v2_01_10;
struct _rs_disp_top_reg_video_cubic_scaler_v2_01_10 {
    unsigned int reg_01_sc_hszout                           :14;
    unsigned int reserved                                   :18;
};
#define disp_top_reg_video_cubic_scaler_v2_01_10(val) ((rs_disp_top_reg_video_cubic_scaler_v2_01_10*)&(val))



#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_14                         (HV_REG_VIDEO_CUBIC_SCALER_V2_01_BASE_ADDRESS + 0x14)

#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_14_struct                  rs_disp_top_reg_video_cubic_scaler_v2_01_14

typedef struct _rs_disp_top_reg_video_cubic_scaler_v2_01_14  rs_disp_top_reg_video_cubic_scaler_v2_01_14;
struct _rs_disp_top_reg_video_cubic_scaler_v2_01_14 {
    unsigned int reg_01_sc_vszout                           :14;
    unsigned int reserved                                   :18;
};
#define disp_top_reg_video_cubic_scaler_v2_01_14(val) ((rs_disp_top_reg_video_cubic_scaler_v2_01_14*)&(val))



#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_18                         (HV_REG_VIDEO_CUBIC_SCALER_V2_01_BASE_ADDRESS + 0x18)

#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_18_struct                  rs_disp_top_reg_video_cubic_scaler_v2_01_18

typedef struct _rs_disp_top_reg_video_cubic_scaler_v2_01_18  rs_disp_top_reg_video_cubic_scaler_v2_01_18;
struct _rs_disp_top_reg_video_cubic_scaler_v2_01_18 {
    unsigned int reg_01_sc_htabo_R_A                        : 8;
    unsigned int reg_01_sc_htabo_L_A                        : 8;
    unsigned int reg_01_sc_htabo_R_B                        : 8;
    unsigned int reg_01_sc_htabo_L_B                        : 8;
};
#define disp_top_reg_video_cubic_scaler_v2_01_18(val) ((rs_disp_top_reg_video_cubic_scaler_v2_01_18*)&(val))



#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_1C                         (HV_REG_VIDEO_CUBIC_SCALER_V2_01_BASE_ADDRESS + 0x1C)

#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_1C_struct                  rs_disp_top_reg_video_cubic_scaler_v2_01_1c

typedef struct _rs_disp_top_reg_video_cubic_scaler_v2_01_1c  rs_disp_top_reg_video_cubic_scaler_v2_01_1c;
struct _rs_disp_top_reg_video_cubic_scaler_v2_01_1c {
    unsigned int reg_01_sc_phos_in                          : 6;
    unsigned int reserved                                   : 2;
    unsigned int reg_01_sc_pvos_in                          : 6;
    unsigned int reserved_1                                 :18;
};
#define disp_top_reg_video_cubic_scaler_v2_01_1c(val) ((rs_disp_top_reg_video_cubic_scaler_v2_01_1c*)&(val))



#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_20                         (HV_REG_VIDEO_CUBIC_SCALER_V2_01_BASE_ADDRESS + 0x20)

#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_20_struct                  rs_disp_top_reg_video_cubic_scaler_v2_01_20

typedef struct _rs_disp_top_reg_video_cubic_scaler_v2_01_20  rs_disp_top_reg_video_cubic_scaler_v2_01_20;
struct _rs_disp_top_reg_video_cubic_scaler_v2_01_20 {
    unsigned int reg_01_sc_pvos_ps0                         :24;
    unsigned int reserved                                   : 8;
};
#define disp_top_reg_video_cubic_scaler_v2_01_20(val) ((rs_disp_top_reg_video_cubic_scaler_v2_01_20*)&(val))



#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_24                         (HV_REG_VIDEO_CUBIC_SCALER_V2_01_BASE_ADDRESS + 0x24)

#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_24_struct                  rs_disp_top_reg_video_cubic_scaler_v2_01_24

typedef struct _rs_disp_top_reg_video_cubic_scaler_v2_01_24  rs_disp_top_reg_video_cubic_scaler_v2_01_24;
struct _rs_disp_top_reg_video_cubic_scaler_v2_01_24 {
    unsigned int reg_01_sc_phos_ps_A                        :25;
    unsigned int reserved                                   : 7;
};
#define disp_top_reg_video_cubic_scaler_v2_01_24(val) ((rs_disp_top_reg_video_cubic_scaler_v2_01_24*)&(val))



#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_28                         (HV_REG_VIDEO_CUBIC_SCALER_V2_01_BASE_ADDRESS + 0x28)

#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_28_struct                  rs_disp_top_reg_video_cubic_scaler_v2_01_28

typedef struct _rs_disp_top_reg_video_cubic_scaler_v2_01_28  rs_disp_top_reg_video_cubic_scaler_v2_01_28;
struct _rs_disp_top_reg_video_cubic_scaler_v2_01_28 {
    unsigned int reg_01_sc_phos_ps_B                        :25;
    unsigned int reserved                                   : 7;
};
#define disp_top_reg_video_cubic_scaler_v2_01_28(val) ((rs_disp_top_reg_video_cubic_scaler_v2_01_28*)&(val))



#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_2C                         (HV_REG_VIDEO_CUBIC_SCALER_V2_01_BASE_ADDRESS + 0x2C)

#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_2C_struct                  rs_disp_top_reg_video_cubic_scaler_v2_01_2c

typedef struct _rs_disp_top_reg_video_cubic_scaler_v2_01_2c  rs_disp_top_reg_video_cubic_scaler_v2_01_2c;
struct _rs_disp_top_reg_video_cubic_scaler_v2_01_2c {
    unsigned int reg_01_sc_hfilbase                         :19;
    unsigned int reserved                                   :13;
};
#define disp_top_reg_video_cubic_scaler_v2_01_2c(val) ((rs_disp_top_reg_video_cubic_scaler_v2_01_2c*)&(val))



#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_30                         (HV_REG_VIDEO_CUBIC_SCALER_V2_01_BASE_ADDRESS + 0x30)

#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_30_struct                  rs_disp_top_reg_video_cubic_scaler_v2_01_30

typedef struct _rs_disp_top_reg_video_cubic_scaler_v2_01_30  rs_disp_top_reg_video_cubic_scaler_v2_01_30;
struct _rs_disp_top_reg_video_cubic_scaler_v2_01_30 {
    unsigned int reg_01_sc_vfilbase                         :19;
    unsigned int reserved                                   :13;
};
#define disp_top_reg_video_cubic_scaler_v2_01_30(val) ((rs_disp_top_reg_video_cubic_scaler_v2_01_30*)&(val))



#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_34                         (HV_REG_VIDEO_CUBIC_SCALER_V2_01_BASE_ADDRESS + 0x34)

#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_34_struct                  rs_disp_top_reg_video_cubic_scaler_v2_01_34

typedef struct _rs_disp_top_reg_video_cubic_scaler_v2_01_34  rs_disp_top_reg_video_cubic_scaler_v2_01_34;
struct _rs_disp_top_reg_video_cubic_scaler_v2_01_34 {
    unsigned int reg_01_sc_orf_rig_A                        : 1;
    unsigned int reg_01_sc_orf_lef_A                        : 1;
    unsigned int reg_01_sc_orf_rig_B                        : 1;
    unsigned int reg_01_sc_orf_lef_B                        : 1;
    unsigned int reg_01_sc_orf_lower                        : 1;
    unsigned int reg_01_sc_orf_upper                        : 1;
    unsigned int reserved                                   :26;
};
#define disp_top_reg_video_cubic_scaler_v2_01_34(val) ((rs_disp_top_reg_video_cubic_scaler_v2_01_34*)&(val))



#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_38                         (HV_REG_VIDEO_CUBIC_SCALER_V2_01_BASE_ADDRESS + 0x38)

#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_38_struct                  rs_disp_top_reg_video_cubic_scaler_v2_01_38

typedef struct _rs_disp_top_reg_video_cubic_scaler_v2_01_38  rs_disp_top_reg_video_cubic_scaler_v2_01_38;
struct _rs_disp_top_reg_video_cubic_scaler_v2_01_38 {
    unsigned int reg_01_sc_orf_crlev                        : 8;
    unsigned int reg_01_sc_orf_cblev                        : 8;
    unsigned int reg_01_sc_orf_ylev                         : 8;
    unsigned int reserved                                   : 8;
};
#define disp_top_reg_video_cubic_scaler_v2_01_38(val) ((rs_disp_top_reg_video_cubic_scaler_v2_01_38*)&(val))



#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_40                         (HV_REG_VIDEO_CUBIC_SCALER_V2_01_BASE_ADDRESS + 0x40)

#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_40_struct                  rs_disp_top_reg_video_cubic_scaler_v2_01_40

typedef struct _rs_disp_top_reg_video_cubic_scaler_v2_01_40  rs_disp_top_reg_video_cubic_scaler_v2_01_40;
struct _rs_disp_top_reg_video_cubic_scaler_v2_01_40 {
    unsigned int reg_01_sc_kip_sr_step_x0                   :14;
    unsigned int reserved                                   :18;
};
#define disp_top_reg_video_cubic_scaler_v2_01_40(val) ((rs_disp_top_reg_video_cubic_scaler_v2_01_40*)&(val))



#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_44                         (HV_REG_VIDEO_CUBIC_SCALER_V2_01_BASE_ADDRESS + 0x44)

#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_44_struct                  rs_disp_top_reg_video_cubic_scaler_v2_01_44

typedef struct _rs_disp_top_reg_video_cubic_scaler_v2_01_44  rs_disp_top_reg_video_cubic_scaler_v2_01_44;
struct _rs_disp_top_reg_video_cubic_scaler_v2_01_44 {
    unsigned int reg_01_sc_kip_sr_step_x1                   :14;
    unsigned int reserved                                   :18;
};
#define disp_top_reg_video_cubic_scaler_v2_01_44(val) ((rs_disp_top_reg_video_cubic_scaler_v2_01_44*)&(val))



#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_48                         (HV_REG_VIDEO_CUBIC_SCALER_V2_01_BASE_ADDRESS + 0x48)

#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_48_struct                  rs_disp_top_reg_video_cubic_scaler_v2_01_48

typedef struct _rs_disp_top_reg_video_cubic_scaler_v2_01_48  rs_disp_top_reg_video_cubic_scaler_v2_01_48;
struct _rs_disp_top_reg_video_cubic_scaler_v2_01_48 {
    unsigned int reg_01_sc_kip_sr_step_x2                   :14;
    unsigned int reserved                                   :18;
};
#define disp_top_reg_video_cubic_scaler_v2_01_48(val) ((rs_disp_top_reg_video_cubic_scaler_v2_01_48*)&(val))



#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_4C                         (HV_REG_VIDEO_CUBIC_SCALER_V2_01_BASE_ADDRESS + 0x4C)

#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_4C_struct                  rs_disp_top_reg_video_cubic_scaler_v2_01_4c

typedef struct _rs_disp_top_reg_video_cubic_scaler_v2_01_4c  rs_disp_top_reg_video_cubic_scaler_v2_01_4c;
struct _rs_disp_top_reg_video_cubic_scaler_v2_01_4c {
    unsigned int reg_01_sc_kip_sr_step_x3                   :14;
    unsigned int reserved                                   :18;
};
#define disp_top_reg_video_cubic_scaler_v2_01_4c(val) ((rs_disp_top_reg_video_cubic_scaler_v2_01_4c*)&(val))



#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_50                         (HV_REG_VIDEO_CUBIC_SCALER_V2_01_BASE_ADDRESS + 0x50)

#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_50_struct                  rs_disp_top_reg_video_cubic_scaler_v2_01_50

typedef struct _rs_disp_top_reg_video_cubic_scaler_v2_01_50  rs_disp_top_reg_video_cubic_scaler_v2_01_50;
struct _rs_disp_top_reg_video_cubic_scaler_v2_01_50 {
    unsigned int reg_01_sc_kip_sr_step_x4                   :14;
    unsigned int reserved                                   :18;
};
#define disp_top_reg_video_cubic_scaler_v2_01_50(val) ((rs_disp_top_reg_video_cubic_scaler_v2_01_50*)&(val))



#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_54                         (HV_REG_VIDEO_CUBIC_SCALER_V2_01_BASE_ADDRESS + 0x54)

#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_54_struct                  rs_disp_top_reg_video_cubic_scaler_v2_01_54

typedef struct _rs_disp_top_reg_video_cubic_scaler_v2_01_54  rs_disp_top_reg_video_cubic_scaler_v2_01_54;
struct _rs_disp_top_reg_video_cubic_scaler_v2_01_54 {
    unsigned int reg_01_sc_kip_sr_step_x5                   :14;
    unsigned int reserved                                   :18;
};
#define disp_top_reg_video_cubic_scaler_v2_01_54(val) ((rs_disp_top_reg_video_cubic_scaler_v2_01_54*)&(val))



#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_58                         (HV_REG_VIDEO_CUBIC_SCALER_V2_01_BASE_ADDRESS + 0x58)

#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_58_struct                  rs_disp_top_reg_video_cubic_scaler_v2_01_58

typedef struct _rs_disp_top_reg_video_cubic_scaler_v2_01_58  rs_disp_top_reg_video_cubic_scaler_v2_01_58;
struct _rs_disp_top_reg_video_cubic_scaler_v2_01_58 {
    unsigned int reg_01_sc_kip_sr_step_x6                   :14;
    unsigned int reserved                                   :18;
};
#define disp_top_reg_video_cubic_scaler_v2_01_58(val) ((rs_disp_top_reg_video_cubic_scaler_v2_01_58*)&(val))



#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_5C                         (HV_REG_VIDEO_CUBIC_SCALER_V2_01_BASE_ADDRESS + 0x5C)

#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_5C_struct                  rs_disp_top_reg_video_cubic_scaler_v2_01_5c

typedef struct _rs_disp_top_reg_video_cubic_scaler_v2_01_5c  rs_disp_top_reg_video_cubic_scaler_v2_01_5c;
struct _rs_disp_top_reg_video_cubic_scaler_v2_01_5c {
    unsigned int reg_01_sc_kip_sr_step_x7                   :14;
    unsigned int reserved                                   :18;
};
#define disp_top_reg_video_cubic_scaler_v2_01_5c(val) ((rs_disp_top_reg_video_cubic_scaler_v2_01_5c*)&(val))



#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_60                         (HV_REG_VIDEO_CUBIC_SCALER_V2_01_BASE_ADDRESS + 0x60)

#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_60_struct                  rs_disp_top_reg_video_cubic_scaler_v2_01_60

typedef struct _rs_disp_top_reg_video_cubic_scaler_v2_01_60  rs_disp_top_reg_video_cubic_scaler_v2_01_60;
struct _rs_disp_top_reg_video_cubic_scaler_v2_01_60 {
    unsigned int reg_01_sc_kip_sr_step_a0                   : 8;
    unsigned int reserved                                   :24;
};
#define disp_top_reg_video_cubic_scaler_v2_01_60(val) ((rs_disp_top_reg_video_cubic_scaler_v2_01_60*)&(val))



#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_64                         (HV_REG_VIDEO_CUBIC_SCALER_V2_01_BASE_ADDRESS + 0x64)

#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_64_struct                  rs_disp_top_reg_video_cubic_scaler_v2_01_64

typedef struct _rs_disp_top_reg_video_cubic_scaler_v2_01_64  rs_disp_top_reg_video_cubic_scaler_v2_01_64;
struct _rs_disp_top_reg_video_cubic_scaler_v2_01_64 {
    unsigned int reg_01_sc_kip_sr_step_a1                   : 8;
    unsigned int reserved                                   :24;
};
#define disp_top_reg_video_cubic_scaler_v2_01_64(val) ((rs_disp_top_reg_video_cubic_scaler_v2_01_64*)&(val))



#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_68                         (HV_REG_VIDEO_CUBIC_SCALER_V2_01_BASE_ADDRESS + 0x68)

#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_68_struct                  rs_disp_top_reg_video_cubic_scaler_v2_01_68

typedef struct _rs_disp_top_reg_video_cubic_scaler_v2_01_68  rs_disp_top_reg_video_cubic_scaler_v2_01_68;
struct _rs_disp_top_reg_video_cubic_scaler_v2_01_68 {
    unsigned int reg_01_sc_kip_sr_step_a2                   : 8;
    unsigned int reserved                                   :24;
};
#define disp_top_reg_video_cubic_scaler_v2_01_68(val) ((rs_disp_top_reg_video_cubic_scaler_v2_01_68*)&(val))



#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_6C                         (HV_REG_VIDEO_CUBIC_SCALER_V2_01_BASE_ADDRESS + 0x6C)

#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_6C_struct                  rs_disp_top_reg_video_cubic_scaler_v2_01_6c

typedef struct _rs_disp_top_reg_video_cubic_scaler_v2_01_6c  rs_disp_top_reg_video_cubic_scaler_v2_01_6c;
struct _rs_disp_top_reg_video_cubic_scaler_v2_01_6c {
    unsigned int reg_01_sc_kip_sr_step_a3                   : 8;
    unsigned int reserved                                   :24;
};
#define disp_top_reg_video_cubic_scaler_v2_01_6c(val) ((rs_disp_top_reg_video_cubic_scaler_v2_01_6c*)&(val))



#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_70                         (HV_REG_VIDEO_CUBIC_SCALER_V2_01_BASE_ADDRESS + 0x70)

#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_70_struct                  rs_disp_top_reg_video_cubic_scaler_v2_01_70

typedef struct _rs_disp_top_reg_video_cubic_scaler_v2_01_70  rs_disp_top_reg_video_cubic_scaler_v2_01_70;
struct _rs_disp_top_reg_video_cubic_scaler_v2_01_70 {
    unsigned int reg_01_sc_kip_sr_step_a4                   : 8;
    unsigned int reserved                                   :24;
};
#define disp_top_reg_video_cubic_scaler_v2_01_70(val) ((rs_disp_top_reg_video_cubic_scaler_v2_01_70*)&(val))



#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_74                         (HV_REG_VIDEO_CUBIC_SCALER_V2_01_BASE_ADDRESS + 0x74)

#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_74_struct                  rs_disp_top_reg_video_cubic_scaler_v2_01_74

typedef struct _rs_disp_top_reg_video_cubic_scaler_v2_01_74  rs_disp_top_reg_video_cubic_scaler_v2_01_74;
struct _rs_disp_top_reg_video_cubic_scaler_v2_01_74 {
    unsigned int reg_01_sc_kip_sr_step_a5                   : 8;
    unsigned int reserved                                   :24;
};
#define disp_top_reg_video_cubic_scaler_v2_01_74(val) ((rs_disp_top_reg_video_cubic_scaler_v2_01_74*)&(val))



#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_78                         (HV_REG_VIDEO_CUBIC_SCALER_V2_01_BASE_ADDRESS + 0x78)

#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_78_struct                  rs_disp_top_reg_video_cubic_scaler_v2_01_78

typedef struct _rs_disp_top_reg_video_cubic_scaler_v2_01_78  rs_disp_top_reg_video_cubic_scaler_v2_01_78;
struct _rs_disp_top_reg_video_cubic_scaler_v2_01_78 {
    unsigned int reg_01_sc_kip_sr_step_a6                   : 8;
    unsigned int reserved                                   :24;
};
#define disp_top_reg_video_cubic_scaler_v2_01_78(val) ((rs_disp_top_reg_video_cubic_scaler_v2_01_78*)&(val))



#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_7C                         (HV_REG_VIDEO_CUBIC_SCALER_V2_01_BASE_ADDRESS + 0x7C)

#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_7C_struct                  rs_disp_top_reg_video_cubic_scaler_v2_01_7c

typedef struct _rs_disp_top_reg_video_cubic_scaler_v2_01_7c  rs_disp_top_reg_video_cubic_scaler_v2_01_7c;
struct _rs_disp_top_reg_video_cubic_scaler_v2_01_7c {
    unsigned int reg_01_sc_kip_sr_step_a7                   : 8;
    unsigned int reserved                                   :24;
};
#define disp_top_reg_video_cubic_scaler_v2_01_7c(val) ((rs_disp_top_reg_video_cubic_scaler_v2_01_7c*)&(val))



#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_80                         (HV_REG_VIDEO_CUBIC_SCALER_V2_01_BASE_ADDRESS + 0x80)

#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_80_struct                  rs_disp_top_reg_video_cubic_scaler_v2_01_80

typedef struct _rs_disp_top_reg_video_cubic_scaler_v2_01_80  rs_disp_top_reg_video_cubic_scaler_v2_01_80;
struct _rs_disp_top_reg_video_cubic_scaler_v2_01_80 {
    unsigned int reg_01_sc_kip_sr_step_b0                   :21;
    unsigned int reserved                                   :11;
};
#define disp_top_reg_video_cubic_scaler_v2_01_80(val) ((rs_disp_top_reg_video_cubic_scaler_v2_01_80*)&(val))



#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_84                         (HV_REG_VIDEO_CUBIC_SCALER_V2_01_BASE_ADDRESS + 0x84)

#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_84_struct                  rs_disp_top_reg_video_cubic_scaler_v2_01_84

typedef struct _rs_disp_top_reg_video_cubic_scaler_v2_01_84  rs_disp_top_reg_video_cubic_scaler_v2_01_84;
struct _rs_disp_top_reg_video_cubic_scaler_v2_01_84 {
    unsigned int reg_01_sc_kip_sr_step_b1                   :21;
    unsigned int reserved                                   :11;
};
#define disp_top_reg_video_cubic_scaler_v2_01_84(val) ((rs_disp_top_reg_video_cubic_scaler_v2_01_84*)&(val))



#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_88                         (HV_REG_VIDEO_CUBIC_SCALER_V2_01_BASE_ADDRESS + 0x88)

#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_88_struct                  rs_disp_top_reg_video_cubic_scaler_v2_01_88

typedef struct _rs_disp_top_reg_video_cubic_scaler_v2_01_88  rs_disp_top_reg_video_cubic_scaler_v2_01_88;
struct _rs_disp_top_reg_video_cubic_scaler_v2_01_88 {
    unsigned int reg_01_sc_kip_sr_step_b2                   :21;
    unsigned int reserved                                   :11;
};
#define disp_top_reg_video_cubic_scaler_v2_01_88(val) ((rs_disp_top_reg_video_cubic_scaler_v2_01_88*)&(val))



#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_8C                         (HV_REG_VIDEO_CUBIC_SCALER_V2_01_BASE_ADDRESS + 0x8C)

#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_8C_struct                  rs_disp_top_reg_video_cubic_scaler_v2_01_8c

typedef struct _rs_disp_top_reg_video_cubic_scaler_v2_01_8c  rs_disp_top_reg_video_cubic_scaler_v2_01_8c;
struct _rs_disp_top_reg_video_cubic_scaler_v2_01_8c {
    unsigned int reg_01_sc_kip_sr_step_b3                   :21;
    unsigned int reserved                                   :11;
};
#define disp_top_reg_video_cubic_scaler_v2_01_8c(val) ((rs_disp_top_reg_video_cubic_scaler_v2_01_8c*)&(val))



#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_90                         (HV_REG_VIDEO_CUBIC_SCALER_V2_01_BASE_ADDRESS + 0x90)

#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_90_struct                  rs_disp_top_reg_video_cubic_scaler_v2_01_90

typedef struct _rs_disp_top_reg_video_cubic_scaler_v2_01_90  rs_disp_top_reg_video_cubic_scaler_v2_01_90;
struct _rs_disp_top_reg_video_cubic_scaler_v2_01_90 {
    unsigned int reg_01_sc_kip_sr_step_b4                   :21;
    unsigned int reserved                                   :11;
};
#define disp_top_reg_video_cubic_scaler_v2_01_90(val) ((rs_disp_top_reg_video_cubic_scaler_v2_01_90*)&(val))



#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_94                         (HV_REG_VIDEO_CUBIC_SCALER_V2_01_BASE_ADDRESS + 0x94)

#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_94_struct                  rs_disp_top_reg_video_cubic_scaler_v2_01_94

typedef struct _rs_disp_top_reg_video_cubic_scaler_v2_01_94  rs_disp_top_reg_video_cubic_scaler_v2_01_94;
struct _rs_disp_top_reg_video_cubic_scaler_v2_01_94 {
    unsigned int reg_01_sc_kip_sr_step_b5                   :21;
    unsigned int reserved                                   :11;
};
#define disp_top_reg_video_cubic_scaler_v2_01_94(val) ((rs_disp_top_reg_video_cubic_scaler_v2_01_94*)&(val))



#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_98                         (HV_REG_VIDEO_CUBIC_SCALER_V2_01_BASE_ADDRESS + 0x98)

#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_98_struct                  rs_disp_top_reg_video_cubic_scaler_v2_01_98

typedef struct _rs_disp_top_reg_video_cubic_scaler_v2_01_98  rs_disp_top_reg_video_cubic_scaler_v2_01_98;
struct _rs_disp_top_reg_video_cubic_scaler_v2_01_98 {
    unsigned int reg_01_sc_kip_sr_step_b6                   :21;
    unsigned int reserved                                   :11;
};
#define disp_top_reg_video_cubic_scaler_v2_01_98(val) ((rs_disp_top_reg_video_cubic_scaler_v2_01_98*)&(val))



#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_9C                         (HV_REG_VIDEO_CUBIC_SCALER_V2_01_BASE_ADDRESS + 0x9C)

#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_9C_struct                  rs_disp_top_reg_video_cubic_scaler_v2_01_9c

typedef struct _rs_disp_top_reg_video_cubic_scaler_v2_01_9c  rs_disp_top_reg_video_cubic_scaler_v2_01_9c;
struct _rs_disp_top_reg_video_cubic_scaler_v2_01_9c {
    unsigned int reg_01_sc_kip_sr_step_b7                   :21;
    unsigned int reserved                                   :11;
};
#define disp_top_reg_video_cubic_scaler_v2_01_9c(val) ((rs_disp_top_reg_video_cubic_scaler_v2_01_9c*)&(val))



#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_A0                         (HV_REG_VIDEO_CUBIC_SCALER_V2_01_BASE_ADDRESS + 0xA0)

#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_A0_struct                  rs_disp_top_reg_video_cubic_scaler_v2_01_a0

typedef struct _rs_disp_top_reg_video_cubic_scaler_v2_01_a0  rs_disp_top_reg_video_cubic_scaler_v2_01_a0;
struct _rs_disp_top_reg_video_cubic_scaler_v2_01_a0 {
    unsigned int reg_01_sc_pvos_ps1                         :24;
    unsigned int reg_01_sc_field_polar                      : 1;
    unsigned int reg_01_sc_field_sel                        : 1;
    unsigned int reg_01_sr_scf_table_id                     : 4;
    unsigned int reg_01_scf_table_end_sel                   : 1;
    unsigned int reg_01_scf_mute_tbl_end                    : 1;
};
#define disp_top_reg_video_cubic_scaler_v2_01_a0(val) ((rs_disp_top_reg_video_cubic_scaler_v2_01_a0*)&(val))



#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_A4                         (HV_REG_VIDEO_CUBIC_SCALER_V2_01_BASE_ADDRESS + 0xA4)

#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_A4_struct                  rs_disp_top_reg_video_cubic_scaler_v2_01_a4

typedef struct _rs_disp_top_reg_video_cubic_scaler_v2_01_a4  rs_disp_top_reg_video_cubic_scaler_v2_01_a4;
struct _rs_disp_top_reg_video_cubic_scaler_v2_01_a4 {
    unsigned int reg_01_sc_mem_ema0                         :16;
    unsigned int reg_01_sc_mem_ema1                         :16;
};
#define disp_top_reg_video_cubic_scaler_v2_01_a4(val) ((rs_disp_top_reg_video_cubic_scaler_v2_01_a4*)&(val))



#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_A8                         (HV_REG_VIDEO_CUBIC_SCALER_V2_01_BASE_ADDRESS + 0xA8)

#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_A8_struct                  rs_disp_top_reg_video_cubic_scaler_v2_01_a8

typedef struct _rs_disp_top_reg_video_cubic_scaler_v2_01_a8  rs_disp_top_reg_video_cubic_scaler_v2_01_a8;
struct _rs_disp_top_reg_video_cubic_scaler_v2_01_a8 {
    unsigned int reg_01_sc_mem_ema2                         :16;
    unsigned int reg_01_sc_mem_ema3                         :16;
};
#define disp_top_reg_video_cubic_scaler_v2_01_a8(val) ((rs_disp_top_reg_video_cubic_scaler_v2_01_a8*)&(val))



#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_AC                         (HV_REG_VIDEO_CUBIC_SCALER_V2_01_BASE_ADDRESS + 0xAC)

#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_AC_struct                  rs_disp_top_reg_video_cubic_scaler_v2_01_ac

typedef struct _rs_disp_top_reg_video_cubic_scaler_v2_01_ac  rs_disp_top_reg_video_cubic_scaler_v2_01_ac;
struct _rs_disp_top_reg_video_cubic_scaler_v2_01_ac {
    unsigned int reg_01_sc_mem_ema4                         :16;
    unsigned int reg_01_sc_mem_ema5                         :16;
};
#define disp_top_reg_video_cubic_scaler_v2_01_ac(val) ((rs_disp_top_reg_video_cubic_scaler_v2_01_ac*)&(val))



#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_B0                         (HV_REG_VIDEO_CUBIC_SCALER_V2_01_BASE_ADDRESS + 0xB0)

#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_B0_struct                  rs_disp_top_reg_video_cubic_scaler_v2_01_b0

typedef struct _rs_disp_top_reg_video_cubic_scaler_v2_01_b0  rs_disp_top_reg_video_cubic_scaler_v2_01_b0;
struct _rs_disp_top_reg_video_cubic_scaler_v2_01_b0 {
    unsigned int reg_01_sc_mem_ema6                         :16;
    unsigned int reserved                                   :16;
};
#define disp_top_reg_video_cubic_scaler_v2_01_b0(val) ((rs_disp_top_reg_video_cubic_scaler_v2_01_b0*)&(val))



#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_B4                         (HV_REG_VIDEO_CUBIC_SCALER_V2_01_BASE_ADDRESS + 0xB4)

#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_B4_struct                  rs_disp_top_reg_video_cubic_scaler_v2_01_b4

typedef struct _rs_disp_top_reg_video_cubic_scaler_v2_01_b4  rs_disp_top_reg_video_cubic_scaler_v2_01_b4;
struct _rs_disp_top_reg_video_cubic_scaler_v2_01_b4 {
    unsigned int reg_01_sc_mem_reg0                         : 8;
    unsigned int reg_01_sc_mem_reg1                         : 8;
    unsigned int reg_01_sc_mem_reg2                         : 8;
    unsigned int reg_01_sc_mem_reg3                         : 8;
};
#define disp_top_reg_video_cubic_scaler_v2_01_b4(val) ((rs_disp_top_reg_video_cubic_scaler_v2_01_b4*)&(val))



#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_B8                         (HV_REG_VIDEO_CUBIC_SCALER_V2_01_BASE_ADDRESS + 0xB8)

#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_B8_struct                  rs_disp_top_reg_video_cubic_scaler_v2_01_b8

typedef struct _rs_disp_top_reg_video_cubic_scaler_v2_01_b8  rs_disp_top_reg_video_cubic_scaler_v2_01_b8;
struct _rs_disp_top_reg_video_cubic_scaler_v2_01_b8 {
    unsigned int reg_01_sc_mem_reg4                         : 8;
    unsigned int reg_01_sc_mem_reg5                         : 8;
    unsigned int reg_01_sc_mem_reg6                         : 8;
    unsigned int reg_01_sc_field_selfgen                    : 1;
    unsigned int reserved                                   : 7;
};
#define disp_top_reg_video_cubic_scaler_v2_01_b8(val) ((rs_disp_top_reg_video_cubic_scaler_v2_01_b8*)&(val))



#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_FC                         (HV_REG_VIDEO_CUBIC_SCALER_V2_01_BASE_ADDRESS + 0xFC)

#define DISP_TOP_REG_VIDEO_CUBIC_SCALER_V2_01_FC_struct                  rs_disp_top_reg_video_cubic_scaler_v2_01_fc

typedef struct _rs_disp_top_reg_video_cubic_scaler_v2_01_fc  rs_disp_top_reg_video_cubic_scaler_v2_01_fc;
struct _rs_disp_top_reg_video_cubic_scaler_v2_01_fc {
    unsigned int regr_01_sc_line_val_A                      :14;
    unsigned int regr_01_sc_field_state                     : 2;
    unsigned int reserved                                   :16;
};
#define disp_top_reg_video_cubic_scaler_v2_01_fc(val) ((rs_disp_top_reg_video_cubic_scaler_v2_01_fc*)&(val))



#endif