#ifndef _HV_PAGE_HT7315_SH01_DBG_H_
#define _HV_PAGE_HT7315_SH01_DBG_H_

#ifndef HV_SH01_DBG_BASE_ADDRESS
    #define HV_SH01_DBG_BASE_ADDRESS                                         0x1101C300
#endif


#define SYS_SH01_DBG_AXI_DBG_CFG_0_P0                                    (HV_SH01_DBG_BASE_ADDRESS + 0x00)

#define SYS_SH01_DBG_AXI_DBG_CFG_0_P0_struct                             rs_sys_sh01_dbg_axi_dbg_cfg_0_p0

typedef struct _rs_sys_sh01_dbg_axi_dbg_cfg_0_p0  rs_sys_sh01_dbg_axi_dbg_cfg_0_p0;
struct _rs_sys_sh01_dbg_axi_dbg_cfg_0_p0 {
    unsigned int reg_axi_dbg_addr_exclude_p0                : 1;
    unsigned int reg_axi_dbg_agent_number_p0                :12;
    unsigned int reg_axi_dbg_rb_status_clr_p0               : 1;
    unsigned int reserved                                   :18;
};
#define sys_sh01_dbg_axi_dbg_cfg_0_p0(val) ((rs_sys_sh01_dbg_axi_dbg_cfg_0_p0*)&(val))



#define SYS_SH01_DBG_AXI_DBG_CFG_1_P0                                    (HV_SH01_DBG_BASE_ADDRESS + 0x04)

#define SYS_SH01_DBG_AXI_DBG_CFG_1_P0_struct                             rs_sys_sh01_dbg_axi_dbg_cfg_1_p0

typedef struct _rs_sys_sh01_dbg_axi_dbg_cfg_1_p0  rs_sys_sh01_dbg_axi_dbg_cfg_1_p0;
struct _rs_sys_sh01_dbg_axi_dbg_cfg_1_p0 {
    unsigned int reg_axi_dbg_addr_uplimit_p0                :32;
};
#define sys_sh01_dbg_axi_dbg_cfg_1_p0(val) ((rs_sys_sh01_dbg_axi_dbg_cfg_1_p0*)&(val))



#define SYS_SH01_DBG_AXI_DBG_CFG_2_P0                                    (HV_SH01_DBG_BASE_ADDRESS + 0x08)

#define SYS_SH01_DBG_AXI_DBG_CFG_2_P0_struct                             rs_sys_sh01_dbg_axi_dbg_cfg_2_p0

typedef struct _rs_sys_sh01_dbg_axi_dbg_cfg_2_p0  rs_sys_sh01_dbg_axi_dbg_cfg_2_p0;
struct _rs_sys_sh01_dbg_axi_dbg_cfg_2_p0 {
    unsigned int reg_axi_dbg_addr_dnlimit_p0                :32;
};
#define sys_sh01_dbg_axi_dbg_cfg_2_p0(val) ((rs_sys_sh01_dbg_axi_dbg_cfg_2_p0*)&(val))



#define SYS_SH01_DBG_AXI_DBG_CFG_3_P0                                    (HV_SH01_DBG_BASE_ADDRESS + 0x0C)

#define SYS_SH01_DBG_AXI_DBG_CFG_3_P0_struct                             rs_sys_sh01_dbg_axi_dbg_cfg_3_p0

typedef struct _rs_sys_sh01_dbg_axi_dbg_cfg_3_p0  rs_sys_sh01_dbg_axi_dbg_cfg_3_p0;
struct _rs_sys_sh01_dbg_axi_dbg_cfg_3_p0 {
    unsigned int reg_axi_dbg_agent_addr_uplimit_p0          :32;
};
#define sys_sh01_dbg_axi_dbg_cfg_3_p0(val) ((rs_sys_sh01_dbg_axi_dbg_cfg_3_p0*)&(val))



#define SYS_SH01_DBG_AXI_DBG_CFG_4_P0                                    (HV_SH01_DBG_BASE_ADDRESS + 0x10)

#define SYS_SH01_DBG_AXI_DBG_CFG_4_P0_struct                             rs_sys_sh01_dbg_axi_dbg_cfg_4_p0

typedef struct _rs_sys_sh01_dbg_axi_dbg_cfg_4_p0  rs_sys_sh01_dbg_axi_dbg_cfg_4_p0;
struct _rs_sys_sh01_dbg_axi_dbg_cfg_4_p0 {
    unsigned int reg_axi_dbg_agent_addr_dnlimit_p0          :32;
};
#define sys_sh01_dbg_axi_dbg_cfg_4_p0(val) ((rs_sys_sh01_dbg_axi_dbg_cfg_4_p0*)&(val))



#define SYS_SH01_DBG_AXI_DBG_CFG_0_P1                                    (HV_SH01_DBG_BASE_ADDRESS + 0x14)

#define SYS_SH01_DBG_AXI_DBG_CFG_0_P1_struct                             rs_sys_sh01_dbg_axi_dbg_cfg_0_p1

typedef struct _rs_sys_sh01_dbg_axi_dbg_cfg_0_p1  rs_sys_sh01_dbg_axi_dbg_cfg_0_p1;
struct _rs_sys_sh01_dbg_axi_dbg_cfg_0_p1 {
    unsigned int reg_axi_dbg_addr_exclude_p1                : 1;
    unsigned int reg_axi_dbg_agent_number_p1                :12;
    unsigned int reg_axi_dbg_rb_status_clr_p1               : 1;
    unsigned int reserved                                   :18;
};
#define sys_sh01_dbg_axi_dbg_cfg_0_p1(val) ((rs_sys_sh01_dbg_axi_dbg_cfg_0_p1*)&(val))



#define SYS_SH01_DBG_AXI_DBG_CFG_1_P1                                    (HV_SH01_DBG_BASE_ADDRESS + 0x18)

#define SYS_SH01_DBG_AXI_DBG_CFG_1_P1_struct                             rs_sys_sh01_dbg_axi_dbg_cfg_1_p1

typedef struct _rs_sys_sh01_dbg_axi_dbg_cfg_1_p1  rs_sys_sh01_dbg_axi_dbg_cfg_1_p1;
struct _rs_sys_sh01_dbg_axi_dbg_cfg_1_p1 {
    unsigned int reg_axi_dbg_addr_uplimit_p1                :32;
};
#define sys_sh01_dbg_axi_dbg_cfg_1_p1(val) ((rs_sys_sh01_dbg_axi_dbg_cfg_1_p1*)&(val))



#define SYS_SH01_DBG_AXI_DBG_CFG_2_P1                                    (HV_SH01_DBG_BASE_ADDRESS + 0x1C)

#define SYS_SH01_DBG_AXI_DBG_CFG_2_P1_struct                             rs_sys_sh01_dbg_axi_dbg_cfg_2_p1

typedef struct _rs_sys_sh01_dbg_axi_dbg_cfg_2_p1  rs_sys_sh01_dbg_axi_dbg_cfg_2_p1;
struct _rs_sys_sh01_dbg_axi_dbg_cfg_2_p1 {
    unsigned int reg_axi_dbg_addr_dnlimit_p1                :32;
};
#define sys_sh01_dbg_axi_dbg_cfg_2_p1(val) ((rs_sys_sh01_dbg_axi_dbg_cfg_2_p1*)&(val))



#define SYS_SH01_DBG_AXI_DBG_CFG_3_P1                                    (HV_SH01_DBG_BASE_ADDRESS + 0x20)

#define SYS_SH01_DBG_AXI_DBG_CFG_3_P1_struct                             rs_sys_sh01_dbg_axi_dbg_cfg_3_p1

typedef struct _rs_sys_sh01_dbg_axi_dbg_cfg_3_p1  rs_sys_sh01_dbg_axi_dbg_cfg_3_p1;
struct _rs_sys_sh01_dbg_axi_dbg_cfg_3_p1 {
    unsigned int reg_axi_dbg_agent_addr_uplimit_p1          :32;
};
#define sys_sh01_dbg_axi_dbg_cfg_3_p1(val) ((rs_sys_sh01_dbg_axi_dbg_cfg_3_p1*)&(val))



#define SYS_SH01_DBG_AXI_DBG_CFG_4_P1                                    (HV_SH01_DBG_BASE_ADDRESS + 0x24)

#define SYS_SH01_DBG_AXI_DBG_CFG_4_P1_struct                             rs_sys_sh01_dbg_axi_dbg_cfg_4_p1

typedef struct _rs_sys_sh01_dbg_axi_dbg_cfg_4_p1  rs_sys_sh01_dbg_axi_dbg_cfg_4_p1;
struct _rs_sys_sh01_dbg_axi_dbg_cfg_4_p1 {
    unsigned int reg_axi_dbg_agent_addr_dnlimit_p1          :32;
};
#define sys_sh01_dbg_axi_dbg_cfg_4_p1(val) ((rs_sys_sh01_dbg_axi_dbg_cfg_4_p1*)&(val))



#define SYS_SH01_DBG_AXI_DBG_CFG_0_P2                                    (HV_SH01_DBG_BASE_ADDRESS + 0x28)

#define SYS_SH01_DBG_AXI_DBG_CFG_0_P2_struct                             rs_sys_sh01_dbg_axi_dbg_cfg_0_p2

typedef struct _rs_sys_sh01_dbg_axi_dbg_cfg_0_p2  rs_sys_sh01_dbg_axi_dbg_cfg_0_p2;
struct _rs_sys_sh01_dbg_axi_dbg_cfg_0_p2 {
    unsigned int reg_axi_dbg_addr_exclude_p2                : 1;
    unsigned int reg_axi_dbg_agent_number_p2                :12;
    unsigned int reg_axi_dbg_rb_status_clr_p2               : 1;
    unsigned int reserved                                   :18;
};
#define sys_sh01_dbg_axi_dbg_cfg_0_p2(val) ((rs_sys_sh01_dbg_axi_dbg_cfg_0_p2*)&(val))



#define SYS_SH01_DBG_AXI_DBG_CFG_1_P2                                    (HV_SH01_DBG_BASE_ADDRESS + 0x2C)

#define SYS_SH01_DBG_AXI_DBG_CFG_1_P2_struct                             rs_sys_sh01_dbg_axi_dbg_cfg_1_p2

typedef struct _rs_sys_sh01_dbg_axi_dbg_cfg_1_p2  rs_sys_sh01_dbg_axi_dbg_cfg_1_p2;
struct _rs_sys_sh01_dbg_axi_dbg_cfg_1_p2 {
    unsigned int reg_axi_dbg_addr_uplimit_p2                :32;
};
#define sys_sh01_dbg_axi_dbg_cfg_1_p2(val) ((rs_sys_sh01_dbg_axi_dbg_cfg_1_p2*)&(val))



#define SYS_SH01_DBG_AXI_DBG_CFG_2_P2                                    (HV_SH01_DBG_BASE_ADDRESS + 0x30)

#define SYS_SH01_DBG_AXI_DBG_CFG_2_P2_struct                             rs_sys_sh01_dbg_axi_dbg_cfg_2_p2

typedef struct _rs_sys_sh01_dbg_axi_dbg_cfg_2_p2  rs_sys_sh01_dbg_axi_dbg_cfg_2_p2;
struct _rs_sys_sh01_dbg_axi_dbg_cfg_2_p2 {
    unsigned int reg_axi_dbg_addr_dnlimit_p2                :32;
};
#define sys_sh01_dbg_axi_dbg_cfg_2_p2(val) ((rs_sys_sh01_dbg_axi_dbg_cfg_2_p2*)&(val))



#define SYS_SH01_DBG_AXI_DBG_CFG_3_P2                                    (HV_SH01_DBG_BASE_ADDRESS + 0x34)

#define SYS_SH01_DBG_AXI_DBG_CFG_3_P2_struct                             rs_sys_sh01_dbg_axi_dbg_cfg_3_p2

typedef struct _rs_sys_sh01_dbg_axi_dbg_cfg_3_p2  rs_sys_sh01_dbg_axi_dbg_cfg_3_p2;
struct _rs_sys_sh01_dbg_axi_dbg_cfg_3_p2 {
    unsigned int reg_axi_dbg_agent_addr_uplimit_p2          :32;
};
#define sys_sh01_dbg_axi_dbg_cfg_3_p2(val) ((rs_sys_sh01_dbg_axi_dbg_cfg_3_p2*)&(val))



#define SYS_SH01_DBG_AXI_DBG_CFG_4_P2                                    (HV_SH01_DBG_BASE_ADDRESS + 0x38)

#define SYS_SH01_DBG_AXI_DBG_CFG_4_P2_struct                             rs_sys_sh01_dbg_axi_dbg_cfg_4_p2

typedef struct _rs_sys_sh01_dbg_axi_dbg_cfg_4_p2  rs_sys_sh01_dbg_axi_dbg_cfg_4_p2;
struct _rs_sys_sh01_dbg_axi_dbg_cfg_4_p2 {
    unsigned int reg_axi_dbg_agent_addr_dnlimit_p2          :32;
};
#define sys_sh01_dbg_axi_dbg_cfg_4_p2(val) ((rs_sys_sh01_dbg_axi_dbg_cfg_4_p2*)&(val))



#define SYS_SH01_DBG_AXI_DBG_CFG_0_P3                                    (HV_SH01_DBG_BASE_ADDRESS + 0x3C)

#define SYS_SH01_DBG_AXI_DBG_CFG_0_P3_struct                             rs_sys_sh01_dbg_axi_dbg_cfg_0_p3

typedef struct _rs_sys_sh01_dbg_axi_dbg_cfg_0_p3  rs_sys_sh01_dbg_axi_dbg_cfg_0_p3;
struct _rs_sys_sh01_dbg_axi_dbg_cfg_0_p3 {
    unsigned int reg_axi_dbg_addr_exclude_p3                : 1;
    unsigned int reg_axi_dbg_agent_number_p3                :12;
    unsigned int reg_axi_dbg_rb_status_clr_p3               : 1;
    unsigned int reserved                                   :18;
};
#define sys_sh01_dbg_axi_dbg_cfg_0_p3(val) ((rs_sys_sh01_dbg_axi_dbg_cfg_0_p3*)&(val))



#define SYS_SH01_DBG_AXI_DBG_CFG_1_P3                                    (HV_SH01_DBG_BASE_ADDRESS + 0x40)

#define SYS_SH01_DBG_AXI_DBG_CFG_1_P3_struct                             rs_sys_sh01_dbg_axi_dbg_cfg_1_p3

typedef struct _rs_sys_sh01_dbg_axi_dbg_cfg_1_p3  rs_sys_sh01_dbg_axi_dbg_cfg_1_p3;
struct _rs_sys_sh01_dbg_axi_dbg_cfg_1_p3 {
    unsigned int reg_axi_dbg_addr_uplimit_p3                :32;
};
#define sys_sh01_dbg_axi_dbg_cfg_1_p3(val) ((rs_sys_sh01_dbg_axi_dbg_cfg_1_p3*)&(val))



#define SYS_SH01_DBG_AXI_DBG_CFG_2_P3                                    (HV_SH01_DBG_BASE_ADDRESS + 0x44)

#define SYS_SH01_DBG_AXI_DBG_CFG_2_P3_struct                             rs_sys_sh01_dbg_axi_dbg_cfg_2_p3

typedef struct _rs_sys_sh01_dbg_axi_dbg_cfg_2_p3  rs_sys_sh01_dbg_axi_dbg_cfg_2_p3;
struct _rs_sys_sh01_dbg_axi_dbg_cfg_2_p3 {
    unsigned int reg_axi_dbg_addr_dnlimit_p3                :32;
};
#define sys_sh01_dbg_axi_dbg_cfg_2_p3(val) ((rs_sys_sh01_dbg_axi_dbg_cfg_2_p3*)&(val))



#define SYS_SH01_DBG_AXI_DBG_CFG_3_P3                                    (HV_SH01_DBG_BASE_ADDRESS + 0x48)

#define SYS_SH01_DBG_AXI_DBG_CFG_3_P3_struct                             rs_sys_sh01_dbg_axi_dbg_cfg_3_p3

typedef struct _rs_sys_sh01_dbg_axi_dbg_cfg_3_p3  rs_sys_sh01_dbg_axi_dbg_cfg_3_p3;
struct _rs_sys_sh01_dbg_axi_dbg_cfg_3_p3 {
    unsigned int reg_axi_dbg_agent_addr_uplimit_p3          :32;
};
#define sys_sh01_dbg_axi_dbg_cfg_3_p3(val) ((rs_sys_sh01_dbg_axi_dbg_cfg_3_p3*)&(val))



#define SYS_SH01_DBG_AXI_DBG_CFG_4_P3                                    (HV_SH01_DBG_BASE_ADDRESS + 0x4C)

#define SYS_SH01_DBG_AXI_DBG_CFG_4_P3_struct                             rs_sys_sh01_dbg_axi_dbg_cfg_4_p3

typedef struct _rs_sys_sh01_dbg_axi_dbg_cfg_4_p3  rs_sys_sh01_dbg_axi_dbg_cfg_4_p3;
struct _rs_sys_sh01_dbg_axi_dbg_cfg_4_p3 {
    unsigned int reg_axi_dbg_agent_addr_dnlimit_p3          :32;
};
#define sys_sh01_dbg_axi_dbg_cfg_4_p3(val) ((rs_sys_sh01_dbg_axi_dbg_cfg_4_p3*)&(val))



#define SYS_SH01_DBG_AXI_DBG_CFG_0_P4                                    (HV_SH01_DBG_BASE_ADDRESS + 0x50)

#define SYS_SH01_DBG_AXI_DBG_CFG_0_P4_struct                             rs_sys_sh01_dbg_axi_dbg_cfg_0_p4

typedef struct _rs_sys_sh01_dbg_axi_dbg_cfg_0_p4  rs_sys_sh01_dbg_axi_dbg_cfg_0_p4;
struct _rs_sys_sh01_dbg_axi_dbg_cfg_0_p4 {
    unsigned int reg_axi_dbg_addr_exclude_p4                : 1;
    unsigned int reg_axi_dbg_agent_number_p4                :12;
    unsigned int reg_axi_dbg_rb_status_clr_p4               : 1;
    unsigned int reserved                                   :18;
};
#define sys_sh01_dbg_axi_dbg_cfg_0_p4(val) ((rs_sys_sh01_dbg_axi_dbg_cfg_0_p4*)&(val))



#define SYS_SH01_DBG_AXI_DBG_CFG_1_P4                                    (HV_SH01_DBG_BASE_ADDRESS + 0x54)

#define SYS_SH01_DBG_AXI_DBG_CFG_1_P4_struct                             rs_sys_sh01_dbg_axi_dbg_cfg_1_p4

typedef struct _rs_sys_sh01_dbg_axi_dbg_cfg_1_p4  rs_sys_sh01_dbg_axi_dbg_cfg_1_p4;
struct _rs_sys_sh01_dbg_axi_dbg_cfg_1_p4 {
    unsigned int reg_axi_dbg_addr_uplimit_p4                :32;
};
#define sys_sh01_dbg_axi_dbg_cfg_1_p4(val) ((rs_sys_sh01_dbg_axi_dbg_cfg_1_p4*)&(val))



#define SYS_SH01_DBG_AXI_DBG_CFG_2_P4                                    (HV_SH01_DBG_BASE_ADDRESS + 0x58)

#define SYS_SH01_DBG_AXI_DBG_CFG_2_P4_struct                             rs_sys_sh01_dbg_axi_dbg_cfg_2_p4

typedef struct _rs_sys_sh01_dbg_axi_dbg_cfg_2_p4  rs_sys_sh01_dbg_axi_dbg_cfg_2_p4;
struct _rs_sys_sh01_dbg_axi_dbg_cfg_2_p4 {
    unsigned int reg_axi_dbg_addr_dnlimit_p4                :32;
};
#define sys_sh01_dbg_axi_dbg_cfg_2_p4(val) ((rs_sys_sh01_dbg_axi_dbg_cfg_2_p4*)&(val))



#define SYS_SH01_DBG_AXI_DBG_CFG_3_P4                                    (HV_SH01_DBG_BASE_ADDRESS + 0x5C)

#define SYS_SH01_DBG_AXI_DBG_CFG_3_P4_struct                             rs_sys_sh01_dbg_axi_dbg_cfg_3_p4

typedef struct _rs_sys_sh01_dbg_axi_dbg_cfg_3_p4  rs_sys_sh01_dbg_axi_dbg_cfg_3_p4;
struct _rs_sys_sh01_dbg_axi_dbg_cfg_3_p4 {
    unsigned int reg_axi_dbg_agent_addr_uplimit_p4          :32;
};
#define sys_sh01_dbg_axi_dbg_cfg_3_p4(val) ((rs_sys_sh01_dbg_axi_dbg_cfg_3_p4*)&(val))



#define SYS_SH01_DBG_AXI_DBG_CFG_4_P4                                    (HV_SH01_DBG_BASE_ADDRESS + 0x60)

#define SYS_SH01_DBG_AXI_DBG_CFG_4_P4_struct                             rs_sys_sh01_dbg_axi_dbg_cfg_4_p4

typedef struct _rs_sys_sh01_dbg_axi_dbg_cfg_4_p4  rs_sys_sh01_dbg_axi_dbg_cfg_4_p4;
struct _rs_sys_sh01_dbg_axi_dbg_cfg_4_p4 {
    unsigned int reg_axi_dbg_agent_addr_dnlimit_p4          :32;
};
#define sys_sh01_dbg_axi_dbg_cfg_4_p4(val) ((rs_sys_sh01_dbg_axi_dbg_cfg_4_p4*)&(val))



#define SYS_SH01_DBG_AXI_DBG_CFG_0_P5                                    (HV_SH01_DBG_BASE_ADDRESS + 0x64)

#define SYS_SH01_DBG_AXI_DBG_CFG_0_P5_struct                             rs_sys_sh01_dbg_axi_dbg_cfg_0_p5

typedef struct _rs_sys_sh01_dbg_axi_dbg_cfg_0_p5  rs_sys_sh01_dbg_axi_dbg_cfg_0_p5;
struct _rs_sys_sh01_dbg_axi_dbg_cfg_0_p5 {
    unsigned int reg_axi_dbg_addr_exclude_p5                : 1;
    unsigned int reg_axi_dbg_agent_number_p5                :12;
    unsigned int reg_axi_dbg_rb_status_clr_p5               : 1;
    unsigned int reserved                                   :18;
};
#define sys_sh01_dbg_axi_dbg_cfg_0_p5(val) ((rs_sys_sh01_dbg_axi_dbg_cfg_0_p5*)&(val))



#define SYS_SH01_DBG_AXI_DBG_CFG_1_P5                                    (HV_SH01_DBG_BASE_ADDRESS + 0x68)

#define SYS_SH01_DBG_AXI_DBG_CFG_1_P5_struct                             rs_sys_sh01_dbg_axi_dbg_cfg_1_p5

typedef struct _rs_sys_sh01_dbg_axi_dbg_cfg_1_p5  rs_sys_sh01_dbg_axi_dbg_cfg_1_p5;
struct _rs_sys_sh01_dbg_axi_dbg_cfg_1_p5 {
    unsigned int reg_axi_dbg_addr_uplimit_p5                :32;
};
#define sys_sh01_dbg_axi_dbg_cfg_1_p5(val) ((rs_sys_sh01_dbg_axi_dbg_cfg_1_p5*)&(val))



#define SYS_SH01_DBG_AXI_DBG_CFG_2_P5                                    (HV_SH01_DBG_BASE_ADDRESS + 0x6C)

#define SYS_SH01_DBG_AXI_DBG_CFG_2_P5_struct                             rs_sys_sh01_dbg_axi_dbg_cfg_2_p5

typedef struct _rs_sys_sh01_dbg_axi_dbg_cfg_2_p5  rs_sys_sh01_dbg_axi_dbg_cfg_2_p5;
struct _rs_sys_sh01_dbg_axi_dbg_cfg_2_p5 {
    unsigned int reg_axi_dbg_addr_dnlimit_p5                :32;
};
#define sys_sh01_dbg_axi_dbg_cfg_2_p5(val) ((rs_sys_sh01_dbg_axi_dbg_cfg_2_p5*)&(val))



#define SYS_SH01_DBG_AXI_DBG_CFG_3_P5                                    (HV_SH01_DBG_BASE_ADDRESS + 0x70)

#define SYS_SH01_DBG_AXI_DBG_CFG_3_P5_struct                             rs_sys_sh01_dbg_axi_dbg_cfg_3_p5

typedef struct _rs_sys_sh01_dbg_axi_dbg_cfg_3_p5  rs_sys_sh01_dbg_axi_dbg_cfg_3_p5;
struct _rs_sys_sh01_dbg_axi_dbg_cfg_3_p5 {
    unsigned int reg_axi_dbg_agent_addr_uplimit_p5          :32;
};
#define sys_sh01_dbg_axi_dbg_cfg_3_p5(val) ((rs_sys_sh01_dbg_axi_dbg_cfg_3_p5*)&(val))



#define SYS_SH01_DBG_AXI_DBG_CFG_4_P5                                    (HV_SH01_DBG_BASE_ADDRESS + 0x74)

#define SYS_SH01_DBG_AXI_DBG_CFG_4_P5_struct                             rs_sys_sh01_dbg_axi_dbg_cfg_4_p5

typedef struct _rs_sys_sh01_dbg_axi_dbg_cfg_4_p5  rs_sys_sh01_dbg_axi_dbg_cfg_4_p5;
struct _rs_sys_sh01_dbg_axi_dbg_cfg_4_p5 {
    unsigned int reg_axi_dbg_agent_addr_dnlimit_p5          :32;
};
#define sys_sh01_dbg_axi_dbg_cfg_4_p5(val) ((rs_sys_sh01_dbg_axi_dbg_cfg_4_p5*)&(val))



#define SYS_SH01_DBG_AXI_DBG_CFG_0_P6                                    (HV_SH01_DBG_BASE_ADDRESS + 0x78)

#define SYS_SH01_DBG_AXI_DBG_CFG_0_P6_struct                             rs_sys_sh01_dbg_axi_dbg_cfg_0_p6

typedef struct _rs_sys_sh01_dbg_axi_dbg_cfg_0_p6  rs_sys_sh01_dbg_axi_dbg_cfg_0_p6;
struct _rs_sys_sh01_dbg_axi_dbg_cfg_0_p6 {
    unsigned int reg_axi_dbg_addr_exclude_p6                : 1;
    unsigned int reg_axi_dbg_agent_number_p6                :12;
    unsigned int reg_axi_dbg_rb_status_clr_p6               : 1;
    unsigned int reserved                                   :18;
};
#define sys_sh01_dbg_axi_dbg_cfg_0_p6(val) ((rs_sys_sh01_dbg_axi_dbg_cfg_0_p6*)&(val))



#define SYS_SH01_DBG_AXI_DBG_CFG_1_P6                                    (HV_SH01_DBG_BASE_ADDRESS + 0x7C)

#define SYS_SH01_DBG_AXI_DBG_CFG_1_P6_struct                             rs_sys_sh01_dbg_axi_dbg_cfg_1_p6

typedef struct _rs_sys_sh01_dbg_axi_dbg_cfg_1_p6  rs_sys_sh01_dbg_axi_dbg_cfg_1_p6;
struct _rs_sys_sh01_dbg_axi_dbg_cfg_1_p6 {
    unsigned int reg_axi_dbg_addr_uplimit_p6                :32;
};
#define sys_sh01_dbg_axi_dbg_cfg_1_p6(val) ((rs_sys_sh01_dbg_axi_dbg_cfg_1_p6*)&(val))



#define SYS_SH01_DBG_AXI_DBG_CFG_2_P6                                    (HV_SH01_DBG_BASE_ADDRESS + 0x80)

#define SYS_SH01_DBG_AXI_DBG_CFG_2_P6_struct                             rs_sys_sh01_dbg_axi_dbg_cfg_2_p6

typedef struct _rs_sys_sh01_dbg_axi_dbg_cfg_2_p6  rs_sys_sh01_dbg_axi_dbg_cfg_2_p6;
struct _rs_sys_sh01_dbg_axi_dbg_cfg_2_p6 {
    unsigned int reg_axi_dbg_addr_dnlimit_p6                :32;
};
#define sys_sh01_dbg_axi_dbg_cfg_2_p6(val) ((rs_sys_sh01_dbg_axi_dbg_cfg_2_p6*)&(val))



#define SYS_SH01_DBG_AXI_DBG_CFG_3_P6                                    (HV_SH01_DBG_BASE_ADDRESS + 0x84)

#define SYS_SH01_DBG_AXI_DBG_CFG_3_P6_struct                             rs_sys_sh01_dbg_axi_dbg_cfg_3_p6

typedef struct _rs_sys_sh01_dbg_axi_dbg_cfg_3_p6  rs_sys_sh01_dbg_axi_dbg_cfg_3_p6;
struct _rs_sys_sh01_dbg_axi_dbg_cfg_3_p6 {
    unsigned int reg_axi_dbg_agent_addr_uplimit_p6          :32;
};
#define sys_sh01_dbg_axi_dbg_cfg_3_p6(val) ((rs_sys_sh01_dbg_axi_dbg_cfg_3_p6*)&(val))



#define SYS_SH01_DBG_AXI_DBG_CFG_4_P6                                    (HV_SH01_DBG_BASE_ADDRESS + 0x88)

#define SYS_SH01_DBG_AXI_DBG_CFG_4_P6_struct                             rs_sys_sh01_dbg_axi_dbg_cfg_4_p6

typedef struct _rs_sys_sh01_dbg_axi_dbg_cfg_4_p6  rs_sys_sh01_dbg_axi_dbg_cfg_4_p6;
struct _rs_sys_sh01_dbg_axi_dbg_cfg_4_p6 {
    unsigned int reg_axi_dbg_agent_addr_dnlimit_p6          :32;
};
#define sys_sh01_dbg_axi_dbg_cfg_4_p6(val) ((rs_sys_sh01_dbg_axi_dbg_cfg_4_p6*)&(val))



#define SYS_SH01_DBG_AXI_DBG_CFG_0_P7                                    (HV_SH01_DBG_BASE_ADDRESS + 0x8C)

#define SYS_SH01_DBG_AXI_DBG_CFG_0_P7_struct                             rs_sys_sh01_dbg_axi_dbg_cfg_0_p7

typedef struct _rs_sys_sh01_dbg_axi_dbg_cfg_0_p7  rs_sys_sh01_dbg_axi_dbg_cfg_0_p7;
struct _rs_sys_sh01_dbg_axi_dbg_cfg_0_p7 {
    unsigned int reg_axi_dbg_addr_exclude_p7                : 1;
    unsigned int reg_axi_dbg_agent_number_p7                :12;
    unsigned int reg_axi_dbg_rb_status_clr_p7               : 1;
    unsigned int reserved                                   :18;
};
#define sys_sh01_dbg_axi_dbg_cfg_0_p7(val) ((rs_sys_sh01_dbg_axi_dbg_cfg_0_p7*)&(val))



#define SYS_SH01_DBG_AXI_DBG_CFG_1_P7                                    (HV_SH01_DBG_BASE_ADDRESS + 0x90)

#define SYS_SH01_DBG_AXI_DBG_CFG_1_P7_struct                             rs_sys_sh01_dbg_axi_dbg_cfg_1_p7

typedef struct _rs_sys_sh01_dbg_axi_dbg_cfg_1_p7  rs_sys_sh01_dbg_axi_dbg_cfg_1_p7;
struct _rs_sys_sh01_dbg_axi_dbg_cfg_1_p7 {
    unsigned int reg_axi_dbg_addr_uplimit_p7                :32;
};
#define sys_sh01_dbg_axi_dbg_cfg_1_p7(val) ((rs_sys_sh01_dbg_axi_dbg_cfg_1_p7*)&(val))



#define SYS_SH01_DBG_AXI_DBG_CFG_2_P7                                    (HV_SH01_DBG_BASE_ADDRESS + 0x94)

#define SYS_SH01_DBG_AXI_DBG_CFG_2_P7_struct                             rs_sys_sh01_dbg_axi_dbg_cfg_2_p7

typedef struct _rs_sys_sh01_dbg_axi_dbg_cfg_2_p7  rs_sys_sh01_dbg_axi_dbg_cfg_2_p7;
struct _rs_sys_sh01_dbg_axi_dbg_cfg_2_p7 {
    unsigned int reg_axi_dbg_addr_dnlimit_p7                :32;
};
#define sys_sh01_dbg_axi_dbg_cfg_2_p7(val) ((rs_sys_sh01_dbg_axi_dbg_cfg_2_p7*)&(val))



#define SYS_SH01_DBG_AXI_DBG_CFG_3_P7                                    (HV_SH01_DBG_BASE_ADDRESS + 0x98)

#define SYS_SH01_DBG_AXI_DBG_CFG_3_P7_struct                             rs_sys_sh01_dbg_axi_dbg_cfg_3_p7

typedef struct _rs_sys_sh01_dbg_axi_dbg_cfg_3_p7  rs_sys_sh01_dbg_axi_dbg_cfg_3_p7;
struct _rs_sys_sh01_dbg_axi_dbg_cfg_3_p7 {
    unsigned int reg_axi_dbg_agent_addr_uplimit_p7          :32;
};
#define sys_sh01_dbg_axi_dbg_cfg_3_p7(val) ((rs_sys_sh01_dbg_axi_dbg_cfg_3_p7*)&(val))



#define SYS_SH01_DBG_AXI_DBG_CFG_4_P7                                    (HV_SH01_DBG_BASE_ADDRESS + 0x9C)

#define SYS_SH01_DBG_AXI_DBG_CFG_4_P7_struct                             rs_sys_sh01_dbg_axi_dbg_cfg_4_p7

typedef struct _rs_sys_sh01_dbg_axi_dbg_cfg_4_p7  rs_sys_sh01_dbg_axi_dbg_cfg_4_p7;
struct _rs_sys_sh01_dbg_axi_dbg_cfg_4_p7 {
    unsigned int reg_axi_dbg_agent_addr_dnlimit_p7          :32;
};
#define sys_sh01_dbg_axi_dbg_cfg_4_p7(val) ((rs_sys_sh01_dbg_axi_dbg_cfg_4_p7*)&(val))



#define SYS_SH01_DBG_AXI_DBG_READBACK_0_P0                               (HV_SH01_DBG_BASE_ADDRESS + 0xA0)

#define SYS_SH01_DBG_AXI_DBG_READBACK_0_P0_struct                        rs_sys_sh01_dbg_axi_dbg_readback_0_p0

typedef struct _rs_sys_sh01_dbg_axi_dbg_readback_0_p0  rs_sys_sh01_dbg_axi_dbg_readback_0_p0;
struct _rs_sys_sh01_dbg_axi_dbg_readback_0_p0 {
    unsigned int regr_axi_dbg_overstep_addr_p0              :32;
};
#define sys_sh01_dbg_axi_dbg_readback_0_p0(val) ((rs_sys_sh01_dbg_axi_dbg_readback_0_p0*)&(val))



#define SYS_SH01_DBG_AXI_DBG_READBACK_1_P0                               (HV_SH01_DBG_BASE_ADDRESS + 0xA4)

#define SYS_SH01_DBG_AXI_DBG_READBACK_1_P0_struct                        rs_sys_sh01_dbg_axi_dbg_readback_1_p0

typedef struct _rs_sys_sh01_dbg_axi_dbg_readback_1_p0  rs_sys_sh01_dbg_axi_dbg_readback_1_p0;
struct _rs_sys_sh01_dbg_axi_dbg_readback_1_p0 {
    unsigned int regr_axi_dbg_overstep_flag_p0              : 2;
    unsigned int regr_axi_dbg_overstep_agent_num_p0         :12;
    unsigned int regr_axi_dbg_overstep_latch_sta_p0         : 1;
    unsigned int reserved                                   :14;
    unsigned int regr_axi_dbg_overstep_agent_flag_p0        : 2;
    unsigned int regr_axi_dbg_overstep_agent_latch_sta_p0   : 1;
};
#define sys_sh01_dbg_axi_dbg_readback_1_p0(val) ((rs_sys_sh01_dbg_axi_dbg_readback_1_p0*)&(val))



#define SYS_SH01_DBG_AXI_DBG_READBACK_2_P0                               (HV_SH01_DBG_BASE_ADDRESS + 0xA8)

#define SYS_SH01_DBG_AXI_DBG_READBACK_2_P0_struct                        rs_sys_sh01_dbg_axi_dbg_readback_2_p0

typedef struct _rs_sys_sh01_dbg_axi_dbg_readback_2_p0  rs_sys_sh01_dbg_axi_dbg_readback_2_p0;
struct _rs_sys_sh01_dbg_axi_dbg_readback_2_p0 {
    unsigned int regr_axi_dbg_overstep_agent_addr_p0        :32;
};
#define sys_sh01_dbg_axi_dbg_readback_2_p0(val) ((rs_sys_sh01_dbg_axi_dbg_readback_2_p0*)&(val))



#define SYS_SH01_DBG_AXI_DBG_READBACK_0_P1                               (HV_SH01_DBG_BASE_ADDRESS + 0xAC)

#define SYS_SH01_DBG_AXI_DBG_READBACK_0_P1_struct                        rs_sys_sh01_dbg_axi_dbg_readback_0_p1

typedef struct _rs_sys_sh01_dbg_axi_dbg_readback_0_p1  rs_sys_sh01_dbg_axi_dbg_readback_0_p1;
struct _rs_sys_sh01_dbg_axi_dbg_readback_0_p1 {
    unsigned int regr_axi_dbg_overstep_addr_p1              :32;
};
#define sys_sh01_dbg_axi_dbg_readback_0_p1(val) ((rs_sys_sh01_dbg_axi_dbg_readback_0_p1*)&(val))



#define SYS_SH01_DBG_AXI_DBG_READBACK_1_P1                               (HV_SH01_DBG_BASE_ADDRESS + 0xB0)

#define SYS_SH01_DBG_AXI_DBG_READBACK_1_P1_struct                        rs_sys_sh01_dbg_axi_dbg_readback_1_p1

typedef struct _rs_sys_sh01_dbg_axi_dbg_readback_1_p1  rs_sys_sh01_dbg_axi_dbg_readback_1_p1;
struct _rs_sys_sh01_dbg_axi_dbg_readback_1_p1 {
    unsigned int regr_axi_dbg_overstep_flag_p1              : 2;
    unsigned int regr_axi_dbg_overstep_agent_num_p1         :12;
    unsigned int regr_axi_dbg_overstep_latch_sta_p1         : 1;
    unsigned int reserved                                   :14;
    unsigned int regr_axi_dbg_overstep_agent_flag_p1        : 2;
    unsigned int regr_axi_dbg_overstep_agent_latch_sta_p1   : 1;
};
#define sys_sh01_dbg_axi_dbg_readback_1_p1(val) ((rs_sys_sh01_dbg_axi_dbg_readback_1_p1*)&(val))



#define SYS_SH01_DBG_AXI_DBG_READBACK_2_P1                               (HV_SH01_DBG_BASE_ADDRESS + 0xB4)

#define SYS_SH01_DBG_AXI_DBG_READBACK_2_P1_struct                        rs_sys_sh01_dbg_axi_dbg_readback_2_p1

typedef struct _rs_sys_sh01_dbg_axi_dbg_readback_2_p1  rs_sys_sh01_dbg_axi_dbg_readback_2_p1;
struct _rs_sys_sh01_dbg_axi_dbg_readback_2_p1 {
    unsigned int regr_axi_dbg_overstep_agent_addr_p1        :32;
};
#define sys_sh01_dbg_axi_dbg_readback_2_p1(val) ((rs_sys_sh01_dbg_axi_dbg_readback_2_p1*)&(val))



#define SYS_SH01_DBG_AXI_DBG_READBACK_0_P2                               (HV_SH01_DBG_BASE_ADDRESS + 0xB8)

#define SYS_SH01_DBG_AXI_DBG_READBACK_0_P2_struct                        rs_sys_sh01_dbg_axi_dbg_readback_0_p2

typedef struct _rs_sys_sh01_dbg_axi_dbg_readback_0_p2  rs_sys_sh01_dbg_axi_dbg_readback_0_p2;
struct _rs_sys_sh01_dbg_axi_dbg_readback_0_p2 {
    unsigned int regr_axi_dbg_overstep_addr_p2              :32;
};
#define sys_sh01_dbg_axi_dbg_readback_0_p2(val) ((rs_sys_sh01_dbg_axi_dbg_readback_0_p2*)&(val))



#define SYS_SH01_DBG_AXI_DBG_READBACK_1_P2                               (HV_SH01_DBG_BASE_ADDRESS + 0xBC)

#define SYS_SH01_DBG_AXI_DBG_READBACK_1_P2_struct                        rs_sys_sh01_dbg_axi_dbg_readback_1_p2

typedef struct _rs_sys_sh01_dbg_axi_dbg_readback_1_p2  rs_sys_sh01_dbg_axi_dbg_readback_1_p2;
struct _rs_sys_sh01_dbg_axi_dbg_readback_1_p2 {
    unsigned int regr_axi_dbg_overstep_flag_p2              : 2;
    unsigned int regr_axi_dbg_overstep_agent_num_p2         :12;
    unsigned int regr_axi_dbg_overstep_latch_sta_p2         : 1;
    unsigned int reserved                                   :14;
    unsigned int regr_axi_dbg_overstep_agent_flag_p2        : 2;
    unsigned int regr_axi_dbg_overstep_agent_latch_sta_p2   : 1;
};
#define sys_sh01_dbg_axi_dbg_readback_1_p2(val) ((rs_sys_sh01_dbg_axi_dbg_readback_1_p2*)&(val))



#define SYS_SH01_DBG_AXI_DBG_READBACK_2_P2                               (HV_SH01_DBG_BASE_ADDRESS + 0xC0)

#define SYS_SH01_DBG_AXI_DBG_READBACK_2_P2_struct                        rs_sys_sh01_dbg_axi_dbg_readback_2_p2

typedef struct _rs_sys_sh01_dbg_axi_dbg_readback_2_p2  rs_sys_sh01_dbg_axi_dbg_readback_2_p2;
struct _rs_sys_sh01_dbg_axi_dbg_readback_2_p2 {
    unsigned int regr_axi_dbg_overstep_agent_addr_p2        :32;
};
#define sys_sh01_dbg_axi_dbg_readback_2_p2(val) ((rs_sys_sh01_dbg_axi_dbg_readback_2_p2*)&(val))



#define SYS_SH01_DBG_AXI_DBG_READBACK_0_P3                               (HV_SH01_DBG_BASE_ADDRESS + 0xC4)

#define SYS_SH01_DBG_AXI_DBG_READBACK_0_P3_struct                        rs_sys_sh01_dbg_axi_dbg_readback_0_p3

typedef struct _rs_sys_sh01_dbg_axi_dbg_readback_0_p3  rs_sys_sh01_dbg_axi_dbg_readback_0_p3;
struct _rs_sys_sh01_dbg_axi_dbg_readback_0_p3 {
    unsigned int regr_axi_dbg_overstep_addr_p3              :32;
};
#define sys_sh01_dbg_axi_dbg_readback_0_p3(val) ((rs_sys_sh01_dbg_axi_dbg_readback_0_p3*)&(val))



#define SYS_SH01_DBG_AXI_DBG_READBACK_1_P3                               (HV_SH01_DBG_BASE_ADDRESS + 0xC8)

#define SYS_SH01_DBG_AXI_DBG_READBACK_1_P3_struct                        rs_sys_sh01_dbg_axi_dbg_readback_1_p3

typedef struct _rs_sys_sh01_dbg_axi_dbg_readback_1_p3  rs_sys_sh01_dbg_axi_dbg_readback_1_p3;
struct _rs_sys_sh01_dbg_axi_dbg_readback_1_p3 {
    unsigned int regr_axi_dbg_overstep_flag_p3              : 2;
    unsigned int regr_axi_dbg_overstep_agent_num_p3         :12;
    unsigned int regr_axi_dbg_overstep_latch_sta_p3         : 1;
    unsigned int reserved                                   :14;
    unsigned int regr_axi_dbg_overstep_agent_flag_p3        : 2;
    unsigned int regr_axi_dbg_overstep_agent_latch_sta_p3   : 1;
};
#define sys_sh01_dbg_axi_dbg_readback_1_p3(val) ((rs_sys_sh01_dbg_axi_dbg_readback_1_p3*)&(val))



#define SYS_SH01_DBG_AXI_DBG_READBACK_2_P3                               (HV_SH01_DBG_BASE_ADDRESS + 0xCC)

#define SYS_SH01_DBG_AXI_DBG_READBACK_2_P3_struct                        rs_sys_sh01_dbg_axi_dbg_readback_2_p3

typedef struct _rs_sys_sh01_dbg_axi_dbg_readback_2_p3  rs_sys_sh01_dbg_axi_dbg_readback_2_p3;
struct _rs_sys_sh01_dbg_axi_dbg_readback_2_p3 {
    unsigned int regr_axi_dbg_overstep_agent_addr_p3        :32;
};
#define sys_sh01_dbg_axi_dbg_readback_2_p3(val) ((rs_sys_sh01_dbg_axi_dbg_readback_2_p3*)&(val))



#define SYS_SH01_DBG_AXI_DBG_READBACK_0_P4                               (HV_SH01_DBG_BASE_ADDRESS + 0xD0)

#define SYS_SH01_DBG_AXI_DBG_READBACK_0_P4_struct                        rs_sys_sh01_dbg_axi_dbg_readback_0_p4

typedef struct _rs_sys_sh01_dbg_axi_dbg_readback_0_p4  rs_sys_sh01_dbg_axi_dbg_readback_0_p4;
struct _rs_sys_sh01_dbg_axi_dbg_readback_0_p4 {
    unsigned int regr_axi_dbg_overstep_addr_p4              :32;
};
#define sys_sh01_dbg_axi_dbg_readback_0_p4(val) ((rs_sys_sh01_dbg_axi_dbg_readback_0_p4*)&(val))



#define SYS_SH01_DBG_AXI_DBG_READBACK_1_P4                               (HV_SH01_DBG_BASE_ADDRESS + 0xD4)

#define SYS_SH01_DBG_AXI_DBG_READBACK_1_P4_struct                        rs_sys_sh01_dbg_axi_dbg_readback_1_p4

typedef struct _rs_sys_sh01_dbg_axi_dbg_readback_1_p4  rs_sys_sh01_dbg_axi_dbg_readback_1_p4;
struct _rs_sys_sh01_dbg_axi_dbg_readback_1_p4 {
    unsigned int regr_axi_dbg_overstep_flag_p4              : 2;
    unsigned int regr_axi_dbg_overstep_agent_num_p4         :12;
    unsigned int regr_axi_dbg_overstep_latch_sta_p4         : 1;
    unsigned int reserved                                   :14;
    unsigned int regr_axi_dbg_overstep_agent_flag_p4        : 2;
    unsigned int regr_axi_dbg_overstep_agent_latch_sta_p4   : 1;
};
#define sys_sh01_dbg_axi_dbg_readback_1_p4(val) ((rs_sys_sh01_dbg_axi_dbg_readback_1_p4*)&(val))



#define SYS_SH01_DBG_AXI_DBG_READBACK_2_P4                               (HV_SH01_DBG_BASE_ADDRESS + 0xD8)

#define SYS_SH01_DBG_AXI_DBG_READBACK_2_P4_struct                        rs_sys_sh01_dbg_axi_dbg_readback_2_p4

typedef struct _rs_sys_sh01_dbg_axi_dbg_readback_2_p4  rs_sys_sh01_dbg_axi_dbg_readback_2_p4;
struct _rs_sys_sh01_dbg_axi_dbg_readback_2_p4 {
    unsigned int regr_axi_dbg_overstep_agent_addr_p4        :32;
};
#define sys_sh01_dbg_axi_dbg_readback_2_p4(val) ((rs_sys_sh01_dbg_axi_dbg_readback_2_p4*)&(val))



#define SYS_SH01_DBG_AXI_DBG_READBACK_0_P5                               (HV_SH01_DBG_BASE_ADDRESS + 0xDC)

#define SYS_SH01_DBG_AXI_DBG_READBACK_0_P5_struct                        rs_sys_sh01_dbg_axi_dbg_readback_0_p5

typedef struct _rs_sys_sh01_dbg_axi_dbg_readback_0_p5  rs_sys_sh01_dbg_axi_dbg_readback_0_p5;
struct _rs_sys_sh01_dbg_axi_dbg_readback_0_p5 {
    unsigned int regr_axi_dbg_overstep_addr_p5              :32;
};
#define sys_sh01_dbg_axi_dbg_readback_0_p5(val) ((rs_sys_sh01_dbg_axi_dbg_readback_0_p5*)&(val))



#define SYS_SH01_DBG_AXI_DBG_READBACK_1_P5                               (HV_SH01_DBG_BASE_ADDRESS + 0xE0)

#define SYS_SH01_DBG_AXI_DBG_READBACK_1_P5_struct                        rs_sys_sh01_dbg_axi_dbg_readback_1_p5

typedef struct _rs_sys_sh01_dbg_axi_dbg_readback_1_p5  rs_sys_sh01_dbg_axi_dbg_readback_1_p5;
struct _rs_sys_sh01_dbg_axi_dbg_readback_1_p5 {
    unsigned int regr_axi_dbg_overstep_flag_p5              : 2;
    unsigned int regr_axi_dbg_overstep_agent_num_p5         :12;
    unsigned int regr_axi_dbg_overstep_latch_sta_p5         : 1;
    unsigned int reserved                                   :14;
    unsigned int regr_axi_dbg_overstep_agent_flag_p5        : 2;
    unsigned int regr_axi_dbg_overstep_agent_latch_sta_p5   : 1;
};
#define sys_sh01_dbg_axi_dbg_readback_1_p5(val) ((rs_sys_sh01_dbg_axi_dbg_readback_1_p5*)&(val))



#define SYS_SH01_DBG_AXI_DBG_READBACK_2_P5                               (HV_SH01_DBG_BASE_ADDRESS + 0xE4)

#define SYS_SH01_DBG_AXI_DBG_READBACK_2_P5_struct                        rs_sys_sh01_dbg_axi_dbg_readback_2_p5

typedef struct _rs_sys_sh01_dbg_axi_dbg_readback_2_p5  rs_sys_sh01_dbg_axi_dbg_readback_2_p5;
struct _rs_sys_sh01_dbg_axi_dbg_readback_2_p5 {
    unsigned int regr_axi_dbg_overstep_agent_addr_p5        :32;
};
#define sys_sh01_dbg_axi_dbg_readback_2_p5(val) ((rs_sys_sh01_dbg_axi_dbg_readback_2_p5*)&(val))



#define SYS_SH01_DBG_AXI_DBG_READBACK_0_P6                               (HV_SH01_DBG_BASE_ADDRESS + 0xE8)

#define SYS_SH01_DBG_AXI_DBG_READBACK_0_P6_struct                        rs_sys_sh01_dbg_axi_dbg_readback_0_p6

typedef struct _rs_sys_sh01_dbg_axi_dbg_readback_0_p6  rs_sys_sh01_dbg_axi_dbg_readback_0_p6;
struct _rs_sys_sh01_dbg_axi_dbg_readback_0_p6 {
    unsigned int regr_axi_dbg_overstep_addr_p6              :32;
};
#define sys_sh01_dbg_axi_dbg_readback_0_p6(val) ((rs_sys_sh01_dbg_axi_dbg_readback_0_p6*)&(val))



#define SYS_SH01_DBG_AXI_DBG_READBACK_1_P6                               (HV_SH01_DBG_BASE_ADDRESS + 0xEC)

#define SYS_SH01_DBG_AXI_DBG_READBACK_1_P6_struct                        rs_sys_sh01_dbg_axi_dbg_readback_1_p6

typedef struct _rs_sys_sh01_dbg_axi_dbg_readback_1_p6  rs_sys_sh01_dbg_axi_dbg_readback_1_p6;
struct _rs_sys_sh01_dbg_axi_dbg_readback_1_p6 {
    unsigned int regr_axi_dbg_overstep_flag_p6              : 2;
    unsigned int regr_axi_dbg_overstep_agent_num_p6         :12;
    unsigned int regr_axi_dbg_overstep_latch_sta_p6         : 1;
    unsigned int reserved                                   :14;
    unsigned int regr_axi_dbg_overstep_agent_flag_p6        : 2;
    unsigned int regr_axi_dbg_overstep_agent_latch_sta_p6   : 1;
};
#define sys_sh01_dbg_axi_dbg_readback_1_p6(val) ((rs_sys_sh01_dbg_axi_dbg_readback_1_p6*)&(val))



#define SYS_SH01_DBG_AXI_DBG_READBACK_2_P6                               (HV_SH01_DBG_BASE_ADDRESS + 0xF0)

#define SYS_SH01_DBG_AXI_DBG_READBACK_2_P6_struct                        rs_sys_sh01_dbg_axi_dbg_readback_2_p6

typedef struct _rs_sys_sh01_dbg_axi_dbg_readback_2_p6  rs_sys_sh01_dbg_axi_dbg_readback_2_p6;
struct _rs_sys_sh01_dbg_axi_dbg_readback_2_p6 {
    unsigned int regr_axi_dbg_overstep_agent_addr_p6        :32;
};
#define sys_sh01_dbg_axi_dbg_readback_2_p6(val) ((rs_sys_sh01_dbg_axi_dbg_readback_2_p6*)&(val))



#define SYS_SH01_DBG_AXI_DBG_READBACK_0_P7                               (HV_SH01_DBG_BASE_ADDRESS + 0xF4)

#define SYS_SH01_DBG_AXI_DBG_READBACK_0_P7_struct                        rs_sys_sh01_dbg_axi_dbg_readback_0_p7

typedef struct _rs_sys_sh01_dbg_axi_dbg_readback_0_p7  rs_sys_sh01_dbg_axi_dbg_readback_0_p7;
struct _rs_sys_sh01_dbg_axi_dbg_readback_0_p7 {
    unsigned int regr_axi_dbg_overstep_addr_p7              :32;
};
#define sys_sh01_dbg_axi_dbg_readback_0_p7(val) ((rs_sys_sh01_dbg_axi_dbg_readback_0_p7*)&(val))



#define SYS_SH01_DBG_AXI_DBG_READBACK_1_P7                               (HV_SH01_DBG_BASE_ADDRESS + 0xF8)

#define SYS_SH01_DBG_AXI_DBG_READBACK_1_P7_struct                        rs_sys_sh01_dbg_axi_dbg_readback_1_p7

typedef struct _rs_sys_sh01_dbg_axi_dbg_readback_1_p7  rs_sys_sh01_dbg_axi_dbg_readback_1_p7;
struct _rs_sys_sh01_dbg_axi_dbg_readback_1_p7 {
    unsigned int regr_axi_dbg_overstep_flag_p7              : 2;
    unsigned int regr_axi_dbg_overstep_agent_num_p7         :12;
    unsigned int regr_axi_dbg_overstep_latch_sta_p7         : 1;
    unsigned int reserved                                   :14;
    unsigned int regr_axi_dbg_overstep_agent_flag_p7        : 2;
    unsigned int regr_axi_dbg_overstep_agent_latch_sta_p7   : 1;
};
#define sys_sh01_dbg_axi_dbg_readback_1_p7(val) ((rs_sys_sh01_dbg_axi_dbg_readback_1_p7*)&(val))



#define SYS_SH01_DBG_AXI_DBG_READBACK_2_P7                               (HV_SH01_DBG_BASE_ADDRESS + 0xFC)

#define SYS_SH01_DBG_AXI_DBG_READBACK_2_P7_struct                        rs_sys_sh01_dbg_axi_dbg_readback_2_p7

typedef struct _rs_sys_sh01_dbg_axi_dbg_readback_2_p7  rs_sys_sh01_dbg_axi_dbg_readback_2_p7;
struct _rs_sys_sh01_dbg_axi_dbg_readback_2_p7 {
    unsigned int regr_axi_dbg_overstep_agent_addr_p7        :32;
};
#define sys_sh01_dbg_axi_dbg_readback_2_p7(val) ((rs_sys_sh01_dbg_axi_dbg_readback_2_p7*)&(val))



#endif