#ifndef _HV_PAGE_HT7315_STANDBY_COMM_REG_H_
#define _HV_PAGE_HT7315_STANDBY_COMM_REG_H_

#ifndef HV_STANDBY_COMM_REG_BASE_ADDRESS
    #define HV_STANDBY_COMM_REG_BASE_ADDRESS                                         0x11008300
#endif


#define STANDBY_STANDBY_COMM_REG_FIELD0_INTR_SET                         (HV_STANDBY_COMM_REG_BASE_ADDRESS + 0x00)

#define STANDBY_STANDBY_COMM_REG_FIELD0_INTR_SET_struct                  rs_standby_standby_comm_reg_field0_intr_set

typedef struct _rs_standby_standby_comm_reg_field0_intr_set  rs_standby_standby_comm_reg_field0_intr_set;
struct _rs_standby_standby_comm_reg_field0_intr_set {
    unsigned int sw0_intr_set                               :32;
};
#define standby_standby_comm_reg_field0_intr_set(val) ((rs_standby_standby_comm_reg_field0_intr_set*)&(val))



#define STANDBY_STANDBY_COMM_REG_FIELD0_INTR_CLR                         (HV_STANDBY_COMM_REG_BASE_ADDRESS + 0x04)

#define STANDBY_STANDBY_COMM_REG_FIELD0_INTR_CLR_struct                  rs_standby_standby_comm_reg_field0_intr_clr

typedef struct _rs_standby_standby_comm_reg_field0_intr_clr  rs_standby_standby_comm_reg_field0_intr_clr;
struct _rs_standby_standby_comm_reg_field0_intr_clr {
    unsigned int sw0_intr_clr                               :32;
};
#define standby_standby_comm_reg_field0_intr_clr(val) ((rs_standby_standby_comm_reg_field0_intr_clr*)&(val))



#define STANDBY_STANDBY_COMM_REG_FIELD0_INTR_STS                         (HV_STANDBY_COMM_REG_BASE_ADDRESS + 0x08)

#define STANDBY_STANDBY_COMM_REG_FIELD0_INTR_STS_struct                  rs_standby_standby_comm_reg_field0_intr_sts

typedef struct _rs_standby_standby_comm_reg_field0_intr_sts  rs_standby_standby_comm_reg_field0_intr_sts;
struct _rs_standby_standby_comm_reg_field0_intr_sts {
    unsigned int sw0_intr_sts                               :32;
};
#define standby_standby_comm_reg_field0_intr_sts(val) ((rs_standby_standby_comm_reg_field0_intr_sts*)&(val))



#define STANDBY_STANDBY_COMM_REG_FIELD1_INTR_SET                         (HV_STANDBY_COMM_REG_BASE_ADDRESS + 0x10)

#define STANDBY_STANDBY_COMM_REG_FIELD1_INTR_SET_struct                  rs_standby_standby_comm_reg_field1_intr_set

typedef struct _rs_standby_standby_comm_reg_field1_intr_set  rs_standby_standby_comm_reg_field1_intr_set;
struct _rs_standby_standby_comm_reg_field1_intr_set {
    unsigned int sw1_intr_set                               :32;
};
#define standby_standby_comm_reg_field1_intr_set(val) ((rs_standby_standby_comm_reg_field1_intr_set*)&(val))



#define STANDBY_STANDBY_COMM_REG_FIELD1_INTR_CLR                         (HV_STANDBY_COMM_REG_BASE_ADDRESS + 0x14)

#define STANDBY_STANDBY_COMM_REG_FIELD1_INTR_CLR_struct                  rs_standby_standby_comm_reg_field1_intr_clr

typedef struct _rs_standby_standby_comm_reg_field1_intr_clr  rs_standby_standby_comm_reg_field1_intr_clr;
struct _rs_standby_standby_comm_reg_field1_intr_clr {
    unsigned int sw1_intr_clr                               :32;
};
#define standby_standby_comm_reg_field1_intr_clr(val) ((rs_standby_standby_comm_reg_field1_intr_clr*)&(val))



#define STANDBY_STANDBY_COMM_REG_FIELD1_INTR_STS                         (HV_STANDBY_COMM_REG_BASE_ADDRESS + 0x18)

#define STANDBY_STANDBY_COMM_REG_FIELD1_INTR_STS_struct                  rs_standby_standby_comm_reg_field1_intr_sts

typedef struct _rs_standby_standby_comm_reg_field1_intr_sts  rs_standby_standby_comm_reg_field1_intr_sts;
struct _rs_standby_standby_comm_reg_field1_intr_sts {
    unsigned int sw1_intr_sts                               :32;
};
#define standby_standby_comm_reg_field1_intr_sts(val) ((rs_standby_standby_comm_reg_field1_intr_sts*)&(val))



#define STANDBY_STANDBY_COMM_REG_SPINLOCK00                              (HV_STANDBY_COMM_REG_BASE_ADDRESS + 0x40)

#define STANDBY_STANDBY_COMM_REG_SPINLOCK00_struct                       rs_standby_standby_comm_reg_spinlock00

typedef struct _rs_standby_standby_comm_reg_spinlock00  rs_standby_standby_comm_reg_spinlock00;
struct _rs_standby_standby_comm_reg_spinlock00 {
    unsigned int rclr_spinlock00                            : 1;
    unsigned int reserved                                   :31;
};
#define standby_standby_comm_reg_spinlock00(val) ((rs_standby_standby_comm_reg_spinlock00*)&(val))



#define STANDBY_STANDBY_COMM_REG_SPINLOCK01                              (HV_STANDBY_COMM_REG_BASE_ADDRESS + 0x44)

#define STANDBY_STANDBY_COMM_REG_SPINLOCK01_struct                       rs_standby_standby_comm_reg_spinlock01

typedef struct _rs_standby_standby_comm_reg_spinlock01  rs_standby_standby_comm_reg_spinlock01;
struct _rs_standby_standby_comm_reg_spinlock01 {
    unsigned int rclr_spinlock01                            : 1;
    unsigned int reserved                                   :31;
};
#define standby_standby_comm_reg_spinlock01(val) ((rs_standby_standby_comm_reg_spinlock01*)&(val))



#define STANDBY_STANDBY_COMM_REG_SPINLOCK02                              (HV_STANDBY_COMM_REG_BASE_ADDRESS + 0x48)

#define STANDBY_STANDBY_COMM_REG_SPINLOCK02_struct                       rs_standby_standby_comm_reg_spinlock02

typedef struct _rs_standby_standby_comm_reg_spinlock02  rs_standby_standby_comm_reg_spinlock02;
struct _rs_standby_standby_comm_reg_spinlock02 {
    unsigned int rclr_spinlock02                            : 1;
    unsigned int reserved                                   :31;
};
#define standby_standby_comm_reg_spinlock02(val) ((rs_standby_standby_comm_reg_spinlock02*)&(val))



#define STANDBY_STANDBY_COMM_REG_SPINLOCK03                              (HV_STANDBY_COMM_REG_BASE_ADDRESS + 0x4C)

#define STANDBY_STANDBY_COMM_REG_SPINLOCK03_struct                       rs_standby_standby_comm_reg_spinlock03

typedef struct _rs_standby_standby_comm_reg_spinlock03  rs_standby_standby_comm_reg_spinlock03;
struct _rs_standby_standby_comm_reg_spinlock03 {
    unsigned int rclr_spinlock03                            : 1;
    unsigned int reserved                                   :31;
};
#define standby_standby_comm_reg_spinlock03(val) ((rs_standby_standby_comm_reg_spinlock03*)&(val))



#define STANDBY_STANDBY_COMM_REG_SPINLOCK04                              (HV_STANDBY_COMM_REG_BASE_ADDRESS + 0x50)

#define STANDBY_STANDBY_COMM_REG_SPINLOCK04_struct                       rs_standby_standby_comm_reg_spinlock04

typedef struct _rs_standby_standby_comm_reg_spinlock04  rs_standby_standby_comm_reg_spinlock04;
struct _rs_standby_standby_comm_reg_spinlock04 {
    unsigned int rclr_spinlock04                            : 1;
    unsigned int reserved                                   :31;
};
#define standby_standby_comm_reg_spinlock04(val) ((rs_standby_standby_comm_reg_spinlock04*)&(val))



#define STANDBY_STANDBY_COMM_REG_SPINLOCK05                              (HV_STANDBY_COMM_REG_BASE_ADDRESS + 0x54)

#define STANDBY_STANDBY_COMM_REG_SPINLOCK05_struct                       rs_standby_standby_comm_reg_spinlock05

typedef struct _rs_standby_standby_comm_reg_spinlock05  rs_standby_standby_comm_reg_spinlock05;
struct _rs_standby_standby_comm_reg_spinlock05 {
    unsigned int rclr_spinlock05                            : 1;
    unsigned int reserved                                   :31;
};
#define standby_standby_comm_reg_spinlock05(val) ((rs_standby_standby_comm_reg_spinlock05*)&(val))



#define STANDBY_STANDBY_COMM_REG_SPINLOCK06                              (HV_STANDBY_COMM_REG_BASE_ADDRESS + 0x58)

#define STANDBY_STANDBY_COMM_REG_SPINLOCK06_struct                       rs_standby_standby_comm_reg_spinlock06

typedef struct _rs_standby_standby_comm_reg_spinlock06  rs_standby_standby_comm_reg_spinlock06;
struct _rs_standby_standby_comm_reg_spinlock06 {
    unsigned int rclr_spinlock06                            : 1;
    unsigned int reserved                                   :31;
};
#define standby_standby_comm_reg_spinlock06(val) ((rs_standby_standby_comm_reg_spinlock06*)&(val))



#define STANDBY_STANDBY_COMM_REG_SPINLOCK07                              (HV_STANDBY_COMM_REG_BASE_ADDRESS + 0x5C)

#define STANDBY_STANDBY_COMM_REG_SPINLOCK07_struct                       rs_standby_standby_comm_reg_spinlock07

typedef struct _rs_standby_standby_comm_reg_spinlock07  rs_standby_standby_comm_reg_spinlock07;
struct _rs_standby_standby_comm_reg_spinlock07 {
    unsigned int rclr_spinlock07                            : 1;
    unsigned int reserved                                   :31;
};
#define standby_standby_comm_reg_spinlock07(val) ((rs_standby_standby_comm_reg_spinlock07*)&(val))



#define STANDBY_STANDBY_COMM_REG_SPINLOCK08                              (HV_STANDBY_COMM_REG_BASE_ADDRESS + 0x60)

#define STANDBY_STANDBY_COMM_REG_SPINLOCK08_struct                       rs_standby_standby_comm_reg_spinlock08

typedef struct _rs_standby_standby_comm_reg_spinlock08  rs_standby_standby_comm_reg_spinlock08;
struct _rs_standby_standby_comm_reg_spinlock08 {
    unsigned int rclr_spinlock08                            : 1;
    unsigned int reserved                                   :31;
};
#define standby_standby_comm_reg_spinlock08(val) ((rs_standby_standby_comm_reg_spinlock08*)&(val))



#define STANDBY_STANDBY_COMM_REG_SPINLOCK09                              (HV_STANDBY_COMM_REG_BASE_ADDRESS + 0x64)

#define STANDBY_STANDBY_COMM_REG_SPINLOCK09_struct                       rs_standby_standby_comm_reg_spinlock09

typedef struct _rs_standby_standby_comm_reg_spinlock09  rs_standby_standby_comm_reg_spinlock09;
struct _rs_standby_standby_comm_reg_spinlock09 {
    unsigned int rclr_spinlock09                            : 1;
    unsigned int reserved                                   :31;
};
#define standby_standby_comm_reg_spinlock09(val) ((rs_standby_standby_comm_reg_spinlock09*)&(val))



#define STANDBY_STANDBY_COMM_REG_SPINLOCK10                              (HV_STANDBY_COMM_REG_BASE_ADDRESS + 0x68)

#define STANDBY_STANDBY_COMM_REG_SPINLOCK10_struct                       rs_standby_standby_comm_reg_spinlock10

typedef struct _rs_standby_standby_comm_reg_spinlock10  rs_standby_standby_comm_reg_spinlock10;
struct _rs_standby_standby_comm_reg_spinlock10 {
    unsigned int rclr_spinlock10                            : 1;
    unsigned int reserved                                   :31;
};
#define standby_standby_comm_reg_spinlock10(val) ((rs_standby_standby_comm_reg_spinlock10*)&(val))



#define STANDBY_STANDBY_COMM_REG_SPINLOCK11                              (HV_STANDBY_COMM_REG_BASE_ADDRESS + 0x6C)

#define STANDBY_STANDBY_COMM_REG_SPINLOCK11_struct                       rs_standby_standby_comm_reg_spinlock11

typedef struct _rs_standby_standby_comm_reg_spinlock11  rs_standby_standby_comm_reg_spinlock11;
struct _rs_standby_standby_comm_reg_spinlock11 {
    unsigned int rclr_spinlock11                            : 1;
    unsigned int reserved                                   :31;
};
#define standby_standby_comm_reg_spinlock11(val) ((rs_standby_standby_comm_reg_spinlock11*)&(val))



#define STANDBY_STANDBY_COMM_REG_SPINLOCK12                              (HV_STANDBY_COMM_REG_BASE_ADDRESS + 0x70)

#define STANDBY_STANDBY_COMM_REG_SPINLOCK12_struct                       rs_standby_standby_comm_reg_spinlock12

typedef struct _rs_standby_standby_comm_reg_spinlock12  rs_standby_standby_comm_reg_spinlock12;
struct _rs_standby_standby_comm_reg_spinlock12 {
    unsigned int rclr_spinlock12                            : 1;
    unsigned int reserved                                   :31;
};
#define standby_standby_comm_reg_spinlock12(val) ((rs_standby_standby_comm_reg_spinlock12*)&(val))



#define STANDBY_STANDBY_COMM_REG_SPINLOCK13                              (HV_STANDBY_COMM_REG_BASE_ADDRESS + 0x74)

#define STANDBY_STANDBY_COMM_REG_SPINLOCK13_struct                       rs_standby_standby_comm_reg_spinlock13

typedef struct _rs_standby_standby_comm_reg_spinlock13  rs_standby_standby_comm_reg_spinlock13;
struct _rs_standby_standby_comm_reg_spinlock13 {
    unsigned int rclr_spinlock13                            : 1;
    unsigned int reserved                                   :31;
};
#define standby_standby_comm_reg_spinlock13(val) ((rs_standby_standby_comm_reg_spinlock13*)&(val))



#define STANDBY_STANDBY_COMM_REG_SPINLOCK14                              (HV_STANDBY_COMM_REG_BASE_ADDRESS + 0x78)

#define STANDBY_STANDBY_COMM_REG_SPINLOCK14_struct                       rs_standby_standby_comm_reg_spinlock14

typedef struct _rs_standby_standby_comm_reg_spinlock14  rs_standby_standby_comm_reg_spinlock14;
struct _rs_standby_standby_comm_reg_spinlock14 {
    unsigned int rclr_spinlock14                            : 1;
    unsigned int reserved                                   :31;
};
#define standby_standby_comm_reg_spinlock14(val) ((rs_standby_standby_comm_reg_spinlock14*)&(val))



#define STANDBY_STANDBY_COMM_REG_SPINLOCK15                              (HV_STANDBY_COMM_REG_BASE_ADDRESS + 0x7C)

#define STANDBY_STANDBY_COMM_REG_SPINLOCK15_struct                       rs_standby_standby_comm_reg_spinlock15

typedef struct _rs_standby_standby_comm_reg_spinlock15  rs_standby_standby_comm_reg_spinlock15;
struct _rs_standby_standby_comm_reg_spinlock15 {
    unsigned int rclr_spinlock15                            : 1;
    unsigned int reserved                                   :31;
};
#define standby_standby_comm_reg_spinlock15(val) ((rs_standby_standby_comm_reg_spinlock15*)&(val))



#endif