#ifndef _HV_PAGE_HT7315_STANDBY_I2C_REG_H_
#define _HV_PAGE_HT7315_STANDBY_I2C_REG_H_

#ifndef HV_STANDBY_I2C_REG_BASE_ADDRESS
    #define HV_STANDBY_I2C_REG_BASE_ADDRESS                                         0x11009000
#endif


#define STANDBY_STANDBY_I2C_REG_STBY_I2C_0                               (HV_STANDBY_I2C_REG_BASE_ADDRESS + 0x00)

#define STANDBY_STANDBY_I2C_REG_STBY_I2C_0_struct                        rs_standby_standby_i2c_reg_stby_i2c_0

typedef struct _rs_standby_standby_i2c_reg_stby_i2c_0  rs_standby_standby_i2c_reg_stby_i2c_0;
struct _rs_standby_standby_i2c_reg_stby_i2c_0 {
    unsigned int reg_addr                                   :16;
    unsigned int reg_slv_id                                 : 7;
    unsigned int reg_clk_en                                 : 1;
    unsigned int reserved                                   : 8;
};
#define standby_standby_i2c_reg_stby_i2c_0(val) ((rs_standby_standby_i2c_reg_stby_i2c_0*)&(val))



#define STANDBY_STANDBY_I2C_REG_STBY_I2C_1                               (HV_STANDBY_I2C_REG_BASE_ADDRESS + 0x04)

#define STANDBY_STANDBY_I2C_REG_STBY_I2C_1_struct                        rs_standby_standby_i2c_reg_stby_i2c_1

typedef struct _rs_standby_standby_i2c_reg_stby_i2c_1  rs_standby_standby_i2c_reg_stby_i2c_1;
struct _rs_standby_standby_i2c_reg_stby_i2c_1 {
    unsigned int reg_start                                  : 1;
    unsigned int reg_rw_sel                                 : 1;
    unsigned int reg_curr_rd                                : 1;
    unsigned int reg_addr_length                            : 1;
    unsigned int reg_error_en                               : 1;
    unsigned int reg_fifo_empty_int_en                      : 1;
    unsigned int reg_fifo_full_int_en                       : 1;
    unsigned int reg_trans_done_int_en                      : 1;
    unsigned int reg_data_length                            : 8;
    unsigned int reg_busy                                   : 1;
    unsigned int reg_done_out                               : 1;
    unsigned int reg_error_flag                             : 1;
    unsigned int reg_fifo_empty_flag                        : 1;
    unsigned int reg_fifo_full_flag                         : 1;
    unsigned int reg_trans_done                             : 1;
    unsigned int reserved                                   :10;
};
#define standby_standby_i2c_reg_stby_i2c_1(val) ((rs_standby_standby_i2c_reg_stby_i2c_1*)&(val))



#define STANDBY_STANDBY_I2C_REG_STBY_I2C_2                               (HV_STANDBY_I2C_REG_BASE_ADDRESS + 0x08)

#define STANDBY_STANDBY_I2C_REG_STBY_I2C_2_struct                        rs_standby_standby_i2c_reg_stby_i2c_2

typedef struct _rs_standby_standby_i2c_reg_stby_i2c_2  rs_standby_standby_i2c_reg_stby_i2c_2;
struct _rs_standby_standby_i2c_reg_stby_i2c_2 {
    unsigned int reg_iic_txdata                             :32;
};
#define standby_standby_i2c_reg_stby_i2c_2(val) ((rs_standby_standby_i2c_reg_stby_i2c_2*)&(val))



#define STANDBY_STANDBY_I2C_REG_STBY_I2C_3                               (HV_STANDBY_I2C_REG_BASE_ADDRESS + 0x0C)

#define STANDBY_STANDBY_I2C_REG_STBY_I2C_3_struct                        rs_standby_standby_i2c_reg_stby_i2c_3

typedef struct _rs_standby_standby_i2c_reg_stby_i2c_3  rs_standby_standby_i2c_reg_stby_i2c_3;
struct _rs_standby_standby_i2c_reg_stby_i2c_3 {
    unsigned int reg_iic_rxdata                             :32;
};
#define standby_standby_i2c_reg_stby_i2c_3(val) ((rs_standby_standby_i2c_reg_stby_i2c_3*)&(val))



#define STANDBY_STANDBY_I2C_REG_STBY_I2C_4                               (HV_STANDBY_I2C_REG_BASE_ADDRESS + 0x10)

#define STANDBY_STANDBY_I2C_REG_STBY_I2C_4_struct                        rs_standby_standby_i2c_reg_stby_i2c_4

typedef struct _rs_standby_standby_i2c_reg_stby_i2c_4  rs_standby_standby_i2c_reg_stby_i2c_4;
struct _rs_standby_standby_i2c_reg_stby_i2c_4 {
    unsigned int reg_read_done                              : 1;
    unsigned int reserved                                   : 7;
    unsigned int reg_speed                                  :12;
    unsigned int reserved_1                                 :12;
};
#define standby_standby_i2c_reg_stby_i2c_4(val) ((rs_standby_standby_i2c_reg_stby_i2c_4*)&(val))



#endif