#ifndef _HV_PAGE_HT7315_SUB_LDG_H_
#define _HV_PAGE_HT7315_SUB_LDG_H_

#ifndef HV_SUB_LDG_BASE_ADDRESS
    #define HV_SUB_LDG_BASE_ADDRESS                                         0x11028900
#endif


#define DISP_TOP_SUB_LDG_00                                              (HV_SUB_LDG_BASE_ADDRESS + 0x00)

#define DISP_TOP_SUB_LDG_00_struct                                       rs_disp_top_sub_ldg_00

typedef struct _rs_disp_top_sub_ldg_00  rs_disp_top_sub_ldg_00;
struct _rs_disp_top_sub_ldg_00 {
    unsigned int reg_main_mapping_en                        : 1;
    unsigned int reg_main_mapping_patt                      : 6;
    unsigned int reserved_l1                                : 1;
    unsigned int reserved_l2                                : 6;
    unsigned int reserved                                   : 1;
    unsigned int reg_ldg_top_bypass                         : 4;
    unsigned int reg_en                                     : 1;
    unsigned int reg_en_no_latch                            : 1;
    unsigned int reg_black_insert_enable                    : 2;
    unsigned int reg_ext_reg_load_disable                   : 1;
    unsigned int reserved_1                                 : 4;
    unsigned int reg_clk_osdw_gate_en                       : 1;
    unsigned int reg_clk_osdr_gate_en                       : 1;
    unsigned int reserved_2                                 : 2;
};
#define disp_top_sub_ldg_00(val) ((rs_disp_top_sub_ldg_00*)&(val))



#define DISP_TOP_SUB_LDG_04                                              (HV_SUB_LDG_BASE_ADDRESS + 0x04)

#define DISP_TOP_SUB_LDG_04_struct                                       rs_disp_top_sub_ldg_04

typedef struct _rs_disp_top_sub_ldg_04  rs_disp_top_sub_ldg_04;
struct _rs_disp_top_sub_ldg_04 {
    unsigned int reg_main_csc_limitup_rcr                   :13;
    unsigned int reg_main_csc_limitlow_rcr                  :13;
    unsigned int reserved                                   : 4;
    unsigned int reg_main_csc_en                            : 1;
    unsigned int reg_main_csc_out_color                     : 1;
};
#define disp_top_sub_ldg_04(val) ((rs_disp_top_sub_ldg_04*)&(val))



#define DISP_TOP_SUB_LDG_08                                              (HV_SUB_LDG_BASE_ADDRESS + 0x08)

#define DISP_TOP_SUB_LDG_08_struct                                       rs_disp_top_sub_ldg_08

typedef struct _rs_disp_top_sub_ldg_08  rs_disp_top_sub_ldg_08;
struct _rs_disp_top_sub_ldg_08 {
    unsigned int reg_main_csc_r_out_off                     :13;
    unsigned int reserved                                   : 3;
    unsigned int reg_main_csc_cr_in_off                     :13;
    unsigned int reserved_1                                 : 3;
};
#define disp_top_sub_ldg_08(val) ((rs_disp_top_sub_ldg_08*)&(val))



#define DISP_TOP_SUB_LDG_0C                                              (HV_SUB_LDG_BASE_ADDRESS + 0x0C)

#define DISP_TOP_SUB_LDG_0C_struct                                       rs_disp_top_sub_ldg_0c

typedef struct _rs_disp_top_sub_ldg_0c  rs_disp_top_sub_ldg_0c;
struct _rs_disp_top_sub_ldg_0c {
    unsigned int reg_main_csc_cr_r_coef                     :16;
    unsigned int reg_main_csc_cb_r_coef                     :16;
};
#define disp_top_sub_ldg_0c(val) ((rs_disp_top_sub_ldg_0c*)&(val))



#define DISP_TOP_SUB_LDG_10                                              (HV_SUB_LDG_BASE_ADDRESS + 0x10)

#define DISP_TOP_SUB_LDG_10_struct                                       rs_disp_top_sub_ldg_10

typedef struct _rs_disp_top_sub_ldg_10  rs_disp_top_sub_ldg_10;
struct _rs_disp_top_sub_ldg_10 {
    unsigned int reg_main_csc_y_r_coef                      :16;
    unsigned int reserved                                   :16;
};
#define disp_top_sub_ldg_10(val) ((rs_disp_top_sub_ldg_10*)&(val))



#define DISP_TOP_SUB_LDG_14                                              (HV_SUB_LDG_BASE_ADDRESS + 0x14)

#define DISP_TOP_SUB_LDG_14_struct                                       rs_disp_top_sub_ldg_14

typedef struct _rs_disp_top_sub_ldg_14  rs_disp_top_sub_ldg_14;
struct _rs_disp_top_sub_ldg_14 {
    unsigned int reg_main_csc_limitup_gy                    :13;
    unsigned int reserved                                   : 3;
    unsigned int reg_main_csc_limitlow_gy                   :13;
    unsigned int reserved_1                                 : 3;
};
#define disp_top_sub_ldg_14(val) ((rs_disp_top_sub_ldg_14*)&(val))



#define DISP_TOP_SUB_LDG_18                                              (HV_SUB_LDG_BASE_ADDRESS + 0x18)

#define DISP_TOP_SUB_LDG_18_struct                                       rs_disp_top_sub_ldg_18

typedef struct _rs_disp_top_sub_ldg_18  rs_disp_top_sub_ldg_18;
struct _rs_disp_top_sub_ldg_18 {
    unsigned int reg_main_csc_g_out_off                     :13;
    unsigned int reserved                                   : 3;
    unsigned int reg_main_csc_y_in_off                      :13;
    unsigned int reserved_1                                 : 3;
};
#define disp_top_sub_ldg_18(val) ((rs_disp_top_sub_ldg_18*)&(val))



#define DISP_TOP_SUB_LDG_20                                              (HV_SUB_LDG_BASE_ADDRESS + 0x20)

#define DISP_TOP_SUB_LDG_20_struct                                       rs_disp_top_sub_ldg_20

typedef struct _rs_disp_top_sub_ldg_20  rs_disp_top_sub_ldg_20;
struct _rs_disp_top_sub_ldg_20 {
    unsigned int reg_main_csc_cr_g_coef                     :16;
    unsigned int reg_main_csc_cb_g_coef                     :16;
};
#define disp_top_sub_ldg_20(val) ((rs_disp_top_sub_ldg_20*)&(val))



#define DISP_TOP_SUB_LDG_24                                              (HV_SUB_LDG_BASE_ADDRESS + 0x24)

#define DISP_TOP_SUB_LDG_24_struct                                       rs_disp_top_sub_ldg_24

typedef struct _rs_disp_top_sub_ldg_24  rs_disp_top_sub_ldg_24;
struct _rs_disp_top_sub_ldg_24 {
    unsigned int reg_main_csc_y_g_coef                      :16;
    unsigned int reserved                                   :16;
};
#define disp_top_sub_ldg_24(val) ((rs_disp_top_sub_ldg_24*)&(val))



#define DISP_TOP_SUB_LDG_28                                              (HV_SUB_LDG_BASE_ADDRESS + 0x28)

#define DISP_TOP_SUB_LDG_28_struct                                       rs_disp_top_sub_ldg_28

typedef struct _rs_disp_top_sub_ldg_28  rs_disp_top_sub_ldg_28;
struct _rs_disp_top_sub_ldg_28 {
    unsigned int reg_main_csc_limitup_bcb                   :13;
    unsigned int reserved                                   : 3;
    unsigned int reg_main_csc_limitlow_bcb                  :13;
    unsigned int reserved_1                                 : 3;
};
#define disp_top_sub_ldg_28(val) ((rs_disp_top_sub_ldg_28*)&(val))



#define DISP_TOP_SUB_LDG_2C                                              (HV_SUB_LDG_BASE_ADDRESS + 0x2C)

#define DISP_TOP_SUB_LDG_2C_struct                                       rs_disp_top_sub_ldg_2c

typedef struct _rs_disp_top_sub_ldg_2c  rs_disp_top_sub_ldg_2c;
struct _rs_disp_top_sub_ldg_2c {
    unsigned int reg_main_csc_b_out_off                     :13;
    unsigned int reserved                                   : 3;
    unsigned int reg_main_csc_cb_in_off                     :13;
    unsigned int reserved_1                                 : 3;
};
#define disp_top_sub_ldg_2c(val) ((rs_disp_top_sub_ldg_2c*)&(val))



#define DISP_TOP_SUB_LDG_30                                              (HV_SUB_LDG_BASE_ADDRESS + 0x30)

#define DISP_TOP_SUB_LDG_30_struct                                       rs_disp_top_sub_ldg_30

typedef struct _rs_disp_top_sub_ldg_30  rs_disp_top_sub_ldg_30;
struct _rs_disp_top_sub_ldg_30 {
    unsigned int reg_main_csc_cr_b_coef                     :16;
    unsigned int reg_main_csc_cb_b_coef                     :16;
};
#define disp_top_sub_ldg_30(val) ((rs_disp_top_sub_ldg_30*)&(val))



#define DISP_TOP_SUB_LDG_34                                              (HV_SUB_LDG_BASE_ADDRESS + 0x34)

#define DISP_TOP_SUB_LDG_34_struct                                       rs_disp_top_sub_ldg_34

typedef struct _rs_disp_top_sub_ldg_34  rs_disp_top_sub_ldg_34;
struct _rs_disp_top_sub_ldg_34 {
    unsigned int reg_main_csc_y_b_coef                      :16;
    unsigned int reserved                                   :16;
};
#define disp_top_sub_ldg_34(val) ((rs_disp_top_sub_ldg_34*)&(val))



#define DISP_TOP_SUB_LDG_38                                              (HV_SUB_LDG_BASE_ADDRESS + 0x38)

#define DISP_TOP_SUB_LDG_38_struct                                       rs_disp_top_sub_ldg_38

typedef struct _rs_disp_top_sub_ldg_38  rs_disp_top_sub_ldg_38;
struct _rs_disp_top_sub_ldg_38 {
    unsigned int reg_sub_csc_limitup_rcr                    :13;
    unsigned int reg_sub_csc_limitlow_rcr                   :13;
    unsigned int reserved                                   : 4;
    unsigned int reg_sub_csc_en                             : 1;
    unsigned int reg_sub_csc_out_color                      : 1;
};
#define disp_top_sub_ldg_38(val) ((rs_disp_top_sub_ldg_38*)&(val))



#define DISP_TOP_SUB_LDG_3C                                              (HV_SUB_LDG_BASE_ADDRESS + 0x3C)

#define DISP_TOP_SUB_LDG_3C_struct                                       rs_disp_top_sub_ldg_3c

typedef struct _rs_disp_top_sub_ldg_3c  rs_disp_top_sub_ldg_3c;
struct _rs_disp_top_sub_ldg_3c {
    unsigned int reg_sub_csc_r_out_off                      :13;
    unsigned int reserved                                   : 3;
    unsigned int reg_sub_csc_cr_in_off                      :13;
    unsigned int reserved_1                                 : 3;
};
#define disp_top_sub_ldg_3c(val) ((rs_disp_top_sub_ldg_3c*)&(val))



#define DISP_TOP_SUB_LDG_40                                              (HV_SUB_LDG_BASE_ADDRESS + 0x40)

#define DISP_TOP_SUB_LDG_40_struct                                       rs_disp_top_sub_ldg_40

typedef struct _rs_disp_top_sub_ldg_40  rs_disp_top_sub_ldg_40;
struct _rs_disp_top_sub_ldg_40 {
    unsigned int reg_sub_csc_cr_r_coef                      :16;
    unsigned int reg_sub_csc_cb_r_coef                      :16;
};
#define disp_top_sub_ldg_40(val) ((rs_disp_top_sub_ldg_40*)&(val))



#define DISP_TOP_SUB_LDG_44                                              (HV_SUB_LDG_BASE_ADDRESS + 0x44)

#define DISP_TOP_SUB_LDG_44_struct                                       rs_disp_top_sub_ldg_44

typedef struct _rs_disp_top_sub_ldg_44  rs_disp_top_sub_ldg_44;
struct _rs_disp_top_sub_ldg_44 {
    unsigned int reg_sub_csc_y_r_coef                       :16;
    unsigned int reserved                                   :16;
};
#define disp_top_sub_ldg_44(val) ((rs_disp_top_sub_ldg_44*)&(val))



#define DISP_TOP_SUB_LDG_48                                              (HV_SUB_LDG_BASE_ADDRESS + 0x48)

#define DISP_TOP_SUB_LDG_48_struct                                       rs_disp_top_sub_ldg_48

typedef struct _rs_disp_top_sub_ldg_48  rs_disp_top_sub_ldg_48;
struct _rs_disp_top_sub_ldg_48 {
    unsigned int reg_sub_csc_limitup_gy                     :13;
    unsigned int reserved                                   : 3;
    unsigned int reg_sub_csc_limitlow_gy                    :13;
    unsigned int reserved_1                                 : 3;
};
#define disp_top_sub_ldg_48(val) ((rs_disp_top_sub_ldg_48*)&(val))



#define DISP_TOP_SUB_LDG_4C                                              (HV_SUB_LDG_BASE_ADDRESS + 0x4C)

#define DISP_TOP_SUB_LDG_4C_struct                                       rs_disp_top_sub_ldg_4c

typedef struct _rs_disp_top_sub_ldg_4c  rs_disp_top_sub_ldg_4c;
struct _rs_disp_top_sub_ldg_4c {
    unsigned int reg_sub_csc_g_out_off                      :13;
    unsigned int reserved                                   : 3;
    unsigned int reg_sub_csc_y_in_off                       :13;
    unsigned int reserved_1                                 : 3;
};
#define disp_top_sub_ldg_4c(val) ((rs_disp_top_sub_ldg_4c*)&(val))



#define DISP_TOP_SUB_LDG_50                                              (HV_SUB_LDG_BASE_ADDRESS + 0x50)

#define DISP_TOP_SUB_LDG_50_struct                                       rs_disp_top_sub_ldg_50

typedef struct _rs_disp_top_sub_ldg_50  rs_disp_top_sub_ldg_50;
struct _rs_disp_top_sub_ldg_50 {
    unsigned int reg_sub_csc_cr_g_coef                      :16;
    unsigned int reg_sub_csc_cb_g_coef                      :16;
};
#define disp_top_sub_ldg_50(val) ((rs_disp_top_sub_ldg_50*)&(val))



#define DISP_TOP_SUB_LDG_54                                              (HV_SUB_LDG_BASE_ADDRESS + 0x54)

#define DISP_TOP_SUB_LDG_54_struct                                       rs_disp_top_sub_ldg_54

typedef struct _rs_disp_top_sub_ldg_54  rs_disp_top_sub_ldg_54;
struct _rs_disp_top_sub_ldg_54 {
    unsigned int reg_sub_csc_y_g_coef                       :16;
    unsigned int reserved                                   :16;
};
#define disp_top_sub_ldg_54(val) ((rs_disp_top_sub_ldg_54*)&(val))



#define DISP_TOP_SUB_LDG_58                                              (HV_SUB_LDG_BASE_ADDRESS + 0x58)

#define DISP_TOP_SUB_LDG_58_struct                                       rs_disp_top_sub_ldg_58

typedef struct _rs_disp_top_sub_ldg_58  rs_disp_top_sub_ldg_58;
struct _rs_disp_top_sub_ldg_58 {
    unsigned int reg_sub_csc_limitup_bcb                    :13;
    unsigned int reserved                                   : 3;
    unsigned int reg_sub_csc_limitlow_bcb                   :13;
    unsigned int reserved_1                                 : 3;
};
#define disp_top_sub_ldg_58(val) ((rs_disp_top_sub_ldg_58*)&(val))



#define DISP_TOP_SUB_LDG_5C                                              (HV_SUB_LDG_BASE_ADDRESS + 0x5C)

#define DISP_TOP_SUB_LDG_5C_struct                                       rs_disp_top_sub_ldg_5c

typedef struct _rs_disp_top_sub_ldg_5c  rs_disp_top_sub_ldg_5c;
struct _rs_disp_top_sub_ldg_5c {
    unsigned int reg_sub_csc_b_out_off                      :13;
    unsigned int reserved                                   : 3;
    unsigned int reg_sub_csc_cb_in_off                      :13;
    unsigned int reserved_1                                 : 3;
};
#define disp_top_sub_ldg_5c(val) ((rs_disp_top_sub_ldg_5c*)&(val))



#define DISP_TOP_SUB_LDG_60                                              (HV_SUB_LDG_BASE_ADDRESS + 0x60)

#define DISP_TOP_SUB_LDG_60_struct                                       rs_disp_top_sub_ldg_60

typedef struct _rs_disp_top_sub_ldg_60  rs_disp_top_sub_ldg_60;
struct _rs_disp_top_sub_ldg_60 {
    unsigned int reg_sub_csc_cr_b_coef                      :16;
    unsigned int reg_sub_csc_cb_b_coef                      :16;
};
#define disp_top_sub_ldg_60(val) ((rs_disp_top_sub_ldg_60*)&(val))



#define DISP_TOP_SUB_LDG_64                                              (HV_SUB_LDG_BASE_ADDRESS + 0x64)

#define DISP_TOP_SUB_LDG_64_struct                                       rs_disp_top_sub_ldg_64

typedef struct _rs_disp_top_sub_ldg_64  rs_disp_top_sub_ldg_64;
struct _rs_disp_top_sub_ldg_64 {
    unsigned int reg_sub_csc_y_b_coef                       :16;
    unsigned int reserved                                   :16;
};
#define disp_top_sub_ldg_64(val) ((rs_disp_top_sub_ldg_64*)&(val))



#define DISP_TOP_SUB_LDG_68                                              (HV_SUB_LDG_BASE_ADDRESS + 0x68)

#define DISP_TOP_SUB_LDG_68_struct                                       rs_disp_top_sub_ldg_68

typedef struct _rs_disp_top_sub_ldg_68  rs_disp_top_sub_ldg_68;
struct _rs_disp_top_sub_ldg_68 {
    unsigned int reg_main_blend_en                          : 1;
    unsigned int reg_sub_blend_en                           : 1;
    unsigned int reg_main_border_en                         : 1;
    unsigned int reg_sub_border_en                          : 1;
    unsigned int reg_main_border_width                      : 4;
    unsigned int reg_sub_border_width                       : 4;
    unsigned int reserved                                   : 4;
    unsigned int reg_black_insert_color_r                   : 8;
    unsigned int reg_black_insert_color_g                   : 8;
};
#define disp_top_sub_ldg_68(val) ((rs_disp_top_sub_ldg_68*)&(val))



#define DISP_TOP_SUB_LDG_6C                                              (HV_SUB_LDG_BASE_ADDRESS + 0x6C)

#define DISP_TOP_SUB_LDG_6C_struct                                       rs_disp_top_sub_ldg_6c

typedef struct _rs_disp_top_sub_ldg_6c  rs_disp_top_sub_ldg_6c;
struct _rs_disp_top_sub_ldg_6c {
    unsigned int reg_main_border_color                      :24;
    unsigned int reg_black_insert_color_b                   : 8;
};
#define disp_top_sub_ldg_6c(val) ((rs_disp_top_sub_ldg_6c*)&(val))



#define DISP_TOP_SUB_LDG_70                                              (HV_SUB_LDG_BASE_ADDRESS + 0x70)

#define DISP_TOP_SUB_LDG_70_struct                                       rs_disp_top_sub_ldg_70

typedef struct _rs_disp_top_sub_ldg_70  rs_disp_top_sub_ldg_70;
struct _rs_disp_top_sub_ldg_70 {
    unsigned int reg_sub_border_color                       :24;
    unsigned int reserved                                   : 8;
};
#define disp_top_sub_ldg_70(val) ((rs_disp_top_sub_ldg_70*)&(val))



#define DISP_TOP_SUB_LDG_74                                              (HV_SUB_LDG_BASE_ADDRESS + 0x74)

#define DISP_TOP_SUB_LDG_74_struct                                       rs_disp_top_sub_ldg_74

typedef struct _rs_disp_top_sub_ldg_74  rs_disp_top_sub_ldg_74;
struct _rs_disp_top_sub_ldg_74 {
    unsigned int reg_main_border_hstart                     :16;
    unsigned int reg_main_border_vstart                     :16;
};
#define disp_top_sub_ldg_74(val) ((rs_disp_top_sub_ldg_74*)&(val))



#define DISP_TOP_SUB_LDG_78                                              (HV_SUB_LDG_BASE_ADDRESS + 0x78)

#define DISP_TOP_SUB_LDG_78_struct                                       rs_disp_top_sub_ldg_78

typedef struct _rs_disp_top_sub_ldg_78  rs_disp_top_sub_ldg_78;
struct _rs_disp_top_sub_ldg_78 {
    unsigned int reg_main_border_length                     :16;
    unsigned int reg_main_border_height                     :16;
};
#define disp_top_sub_ldg_78(val) ((rs_disp_top_sub_ldg_78*)&(val))



#define DISP_TOP_SUB_LDG_7C                                              (HV_SUB_LDG_BASE_ADDRESS + 0x7C)

#define DISP_TOP_SUB_LDG_7C_struct                                       rs_disp_top_sub_ldg_7c

typedef struct _rs_disp_top_sub_ldg_7c  rs_disp_top_sub_ldg_7c;
struct _rs_disp_top_sub_ldg_7c {
    unsigned int reg_sub_border_hstart                      :16;
    unsigned int reg_sub_border_vstart                      :16;
};
#define disp_top_sub_ldg_7c(val) ((rs_disp_top_sub_ldg_7c*)&(val))



#define DISP_TOP_SUB_LDG_80                                              (HV_SUB_LDG_BASE_ADDRESS + 0x80)

#define DISP_TOP_SUB_LDG_80_struct                                       rs_disp_top_sub_ldg_80

typedef struct _rs_disp_top_sub_ldg_80  rs_disp_top_sub_ldg_80;
struct _rs_disp_top_sub_ldg_80 {
    unsigned int reg_sub_border_length                      :16;
    unsigned int reg_sub_border_height                      :16;
};
#define disp_top_sub_ldg_80(val) ((rs_disp_top_sub_ldg_80*)&(val))



#define DISP_TOP_SUB_LDG_84                                              (HV_SUB_LDG_BASE_ADDRESS + 0x84)

#define DISP_TOP_SUB_LDG_84_struct                                       rs_disp_top_sub_ldg_84

typedef struct _rs_disp_top_sub_ldg_84  rs_disp_top_sub_ldg_84;
struct _rs_disp_top_sub_ldg_84 {
    unsigned int reg_border_mode                            : 1;
    unsigned int reserved                                   : 1;
    unsigned int reg_bg_color                               :24;
    unsigned int reserved_1                                 : 6;
};
#define disp_top_sub_ldg_84(val) ((rs_disp_top_sub_ldg_84*)&(val))



#define DISP_TOP_SUB_LDG_88                                              (HV_SUB_LDG_BASE_ADDRESS + 0x88)

#define DISP_TOP_SUB_LDG_88_struct                                       rs_disp_top_sub_ldg_88

typedef struct _rs_disp_top_sub_ldg_88  rs_disp_top_sub_ldg_88;
struct _rs_disp_top_sub_ldg_88 {
    unsigned int reg_pip_alpha                              : 9;
    unsigned int reserved                                   :23;
};
#define disp_top_sub_ldg_88(val) ((rs_disp_top_sub_ldg_88*)&(val))



#define DISP_TOP_SUB_LDG_8C                                              (HV_SUB_LDG_BASE_ADDRESS + 0x8C)

#define DISP_TOP_SUB_LDG_8C_struct                                       rs_disp_top_sub_ldg_8c

typedef struct _rs_disp_top_sub_ldg_8c  rs_disp_top_sub_ldg_8c;
struct _rs_disp_top_sub_ldg_8c {
    unsigned int reg_video_osd_bld_en                       : 1;
    unsigned int reg_video_bld_en                           : 1;
    unsigned int reserved                                   :30;
};
#define disp_top_sub_ldg_8c(val) ((rs_disp_top_sub_ldg_8c*)&(val))



#define DISP_TOP_SUB_LDG_90                                              (HV_SUB_LDG_BASE_ADDRESS + 0x90)

#define DISP_TOP_SUB_LDG_90_struct                                       rs_disp_top_sub_ldg_90

typedef struct _rs_disp_top_sub_ldg_90  rs_disp_top_sub_ldg_90;
struct _rs_disp_top_sub_ldg_90 {
    unsigned int reg_osd_bld_hstart                         :16;
    unsigned int reg_osd_bld_length                         :16;
};
#define disp_top_sub_ldg_90(val) ((rs_disp_top_sub_ldg_90*)&(val))



#define DISP_TOP_SUB_LDG_94                                              (HV_SUB_LDG_BASE_ADDRESS + 0x94)

#define DISP_TOP_SUB_LDG_94_struct                                       rs_disp_top_sub_ldg_94

typedef struct _rs_disp_top_sub_ldg_94  rs_disp_top_sub_ldg_94;
struct _rs_disp_top_sub_ldg_94 {
    unsigned int reg_osd_bld_vstart                         :16;
    unsigned int reg_osd_bld_height                         :16;
};
#define disp_top_sub_ldg_94(val) ((rs_disp_top_sub_ldg_94*)&(val))



#define DISP_TOP_SUB_LDG_98                                              (HV_SUB_LDG_BASE_ADDRESS + 0x98)

#define DISP_TOP_SUB_LDG_98_struct                                       rs_disp_top_sub_ldg_98

typedef struct _rs_disp_top_sub_ldg_98  rs_disp_top_sub_ldg_98;
struct _rs_disp_top_sub_ldg_98 {
    unsigned int reg_gamma_id                               : 4;
    unsigned int reserved                                   : 3;
    unsigned int reg_gamma_debug_en                         : 1;
    unsigned int reg_gamma_debug_mode                       : 1;
    unsigned int reg_gamma_debug_addr                       :12;
    unsigned int reg_gamma_en                               : 1;
    unsigned int reg_gamma_cpu_en                           : 1;
    unsigned int reg_gamma_debug_lut_sel                    : 6;
    unsigned int reserved_1                                 : 3;
};
#define disp_top_sub_ldg_98(val) ((rs_disp_top_sub_ldg_98*)&(val))



#define DISP_TOP_SUB_LDG_9C                                              (HV_SUB_LDG_BASE_ADDRESS + 0x9C)

#define DISP_TOP_SUB_LDG_9C_struct                                       rs_disp_top_sub_ldg_9c

typedef struct _rs_disp_top_sub_ldg_9c  rs_disp_top_sub_ldg_9c;
struct _rs_disp_top_sub_ldg_9c {
    unsigned int reg_gamma_debug_wdata                      :32;
};
#define disp_top_sub_ldg_9c(val) ((rs_disp_top_sub_ldg_9c*)&(val))



#define DISP_TOP_SUB_LDG_A0                                              (HV_SUB_LDG_BASE_ADDRESS + 0xA0)

#define DISP_TOP_SUB_LDG_A0_struct                                       rs_disp_top_sub_ldg_a0

typedef struct _rs_disp_top_sub_ldg_a0  rs_disp_top_sub_ldg_a0;
struct _rs_disp_top_sub_ldg_a0 {
    unsigned int regr_gamma_debug_rdata                     :32;
};
#define disp_top_sub_ldg_a0(val) ((rs_disp_top_sub_ldg_a0*)&(val))



#define DISP_TOP_SUB_LDG_A4                                              (HV_SUB_LDG_BASE_ADDRESS + 0xA4)

#define DISP_TOP_SUB_LDG_A4_struct                                       rs_disp_top_sub_ldg_a4

typedef struct _rs_disp_top_sub_ldg_a4  rs_disp_top_sub_ldg_a4;
struct _rs_disp_top_sub_ldg_a4 {
    unsigned int reg_dummy_htotal                           :16;
    unsigned int reg_dummy_htotal_mode                      : 1;
    unsigned int reg_dummy_num                              : 8;
    unsigned int reserved                                   : 7;
};
#define disp_top_sub_ldg_a4(val) ((rs_disp_top_sub_ldg_a4*)&(val))



#define DISP_TOP_SUB_LDG_A8                                              (HV_SUB_LDG_BASE_ADDRESS + 0xA8)

#define DISP_TOP_SUB_LDG_A8_struct                                       rs_disp_top_sub_ldg_a8

typedef struct _rs_disp_top_sub_ldg_a8  rs_disp_top_sub_ldg_a8;
struct _rs_disp_top_sub_ldg_a8 {
    unsigned int reg_dummy_vs_mode                          : 1;
    unsigned int reg_dummy_vs_pos                           : 8;
    unsigned int reserved                                   :23;
};
#define disp_top_sub_ldg_a8(val) ((rs_disp_top_sub_ldg_a8*)&(val))



#define DISP_TOP_SUB_LDG_AC                                              (HV_SUB_LDG_BASE_ADDRESS + 0xAC)

#define DISP_TOP_SUB_LDG_AC_struct                                       rs_disp_top_sub_ldg_ac

typedef struct _rs_disp_top_sub_ldg_ac  rs_disp_top_sub_ldg_ac;
struct _rs_disp_top_sub_ldg_ac {
    unsigned int reg_dummy_vact                             :16;
    unsigned int reg_dummy_hact                             :16;
};
#define disp_top_sub_ldg_ac(val) ((rs_disp_top_sub_ldg_ac*)&(val))



#define DISP_TOP_SUB_LDG_B0                                              (HV_SUB_LDG_BASE_ADDRESS + 0xB0)

#define DISP_TOP_SUB_LDG_B0_struct                                       rs_disp_top_sub_ldg_b0

typedef struct _rs_disp_top_sub_ldg_b0  rs_disp_top_sub_ldg_b0;
struct _rs_disp_top_sub_ldg_b0 {
    unsigned int reg_ldg_ofs_in_r                           :16;
    unsigned int reg_ldg_ofs_in_g                           :16;
};
#define disp_top_sub_ldg_b0(val) ((rs_disp_top_sub_ldg_b0*)&(val))



#define DISP_TOP_SUB_LDG_B4                                              (HV_SUB_LDG_BASE_ADDRESS + 0xB4)

#define DISP_TOP_SUB_LDG_B4_struct                                       rs_disp_top_sub_ldg_b4

typedef struct _rs_disp_top_sub_ldg_b4  rs_disp_top_sub_ldg_b4;
struct _rs_disp_top_sub_ldg_b4 {
    unsigned int reg_ldg_ofs_in_b                           :16;
    unsigned int reg_ldg_r_r_coef                           :16;
};
#define disp_top_sub_ldg_b4(val) ((rs_disp_top_sub_ldg_b4*)&(val))



#define DISP_TOP_SUB_LDG_B8                                              (HV_SUB_LDG_BASE_ADDRESS + 0xB8)

#define DISP_TOP_SUB_LDG_B8_struct                                       rs_disp_top_sub_ldg_b8

typedef struct _rs_disp_top_sub_ldg_b8  rs_disp_top_sub_ldg_b8;
struct _rs_disp_top_sub_ldg_b8 {
    unsigned int reg_ldg_r_g_coef                           :16;
    unsigned int reg_ldg_r_b_coef                           :16;
};
#define disp_top_sub_ldg_b8(val) ((rs_disp_top_sub_ldg_b8*)&(val))



#define DISP_TOP_SUB_LDG_BC                                              (HV_SUB_LDG_BASE_ADDRESS + 0xBC)

#define DISP_TOP_SUB_LDG_BC_struct                                       rs_disp_top_sub_ldg_bc

typedef struct _rs_disp_top_sub_ldg_bc  rs_disp_top_sub_ldg_bc;
struct _rs_disp_top_sub_ldg_bc {
    unsigned int reg_ldg_g_r_coef                           :16;
    unsigned int reg_ldg_g_g_coef                           :16;
};
#define disp_top_sub_ldg_bc(val) ((rs_disp_top_sub_ldg_bc*)&(val))



#define DISP_TOP_SUB_LDG_C0                                              (HV_SUB_LDG_BASE_ADDRESS + 0xC0)

#define DISP_TOP_SUB_LDG_C0_struct                                       rs_disp_top_sub_ldg_c0

typedef struct _rs_disp_top_sub_ldg_c0  rs_disp_top_sub_ldg_c0;
struct _rs_disp_top_sub_ldg_c0 {
    unsigned int reg_ldg_g_b_coef                           :16;
    unsigned int reg_ldg_b_r_coef                           :16;
};
#define disp_top_sub_ldg_c0(val) ((rs_disp_top_sub_ldg_c0*)&(val))



#define DISP_TOP_SUB_LDG_C4                                              (HV_SUB_LDG_BASE_ADDRESS + 0xC4)

#define DISP_TOP_SUB_LDG_C4_struct                                       rs_disp_top_sub_ldg_c4

typedef struct _rs_disp_top_sub_ldg_c4  rs_disp_top_sub_ldg_c4;
struct _rs_disp_top_sub_ldg_c4 {
    unsigned int reg_ldg_b_g_coef                           :16;
    unsigned int reg_ldg_b_b_coef                           :16;
};
#define disp_top_sub_ldg_c4(val) ((rs_disp_top_sub_ldg_c4*)&(val))



#define DISP_TOP_SUB_LDG_C8                                              (HV_SUB_LDG_BASE_ADDRESS + 0xC8)

#define DISP_TOP_SUB_LDG_C8_struct                                       rs_disp_top_sub_ldg_c8

typedef struct _rs_disp_top_sub_ldg_c8  rs_disp_top_sub_ldg_c8;
struct _rs_disp_top_sub_ldg_c8 {
    unsigned int reg_ldg_ofs_out_r                          :16;
    unsigned int reg_ldg_ofs_out_g                          :16;
};
#define disp_top_sub_ldg_c8(val) ((rs_disp_top_sub_ldg_c8*)&(val))



#define DISP_TOP_SUB_LDG_CC                                              (HV_SUB_LDG_BASE_ADDRESS + 0xCC)

#define DISP_TOP_SUB_LDG_CC_struct                                       rs_disp_top_sub_ldg_cc

typedef struct _rs_disp_top_sub_ldg_cc  rs_disp_top_sub_ldg_cc;
struct _rs_disp_top_sub_ldg_cc {
    unsigned int reg_ldg_ofs_out_b                          :16;
    unsigned int reg_ldg_mtx_hsize                          :16;
};
#define disp_top_sub_ldg_cc(val) ((rs_disp_top_sub_ldg_cc*)&(val))



#define DISP_TOP_SUB_LDG_D0                                              (HV_SUB_LDG_BASE_ADDRESS + 0xD0)

#define DISP_TOP_SUB_LDG_D0_struct                                       rs_disp_top_sub_ldg_d0

typedef struct _rs_disp_top_sub_ldg_d0  rs_disp_top_sub_ldg_d0;
struct _rs_disp_top_sub_ldg_d0 {
    unsigned int reg_ldg_mtx_vsize                          :16;
    unsigned int reg_en_ldg_mtx_through                     : 1;
    unsigned int reserved                                   :15;
};
#define disp_top_sub_ldg_d0(val) ((rs_disp_top_sub_ldg_d0*)&(val))



#define DISP_TOP_SUB_LDG_D4                                              (HV_SUB_LDG_BASE_ADDRESS + 0xD4)

#define DISP_TOP_SUB_LDG_D4_struct                                       rs_disp_top_sub_ldg_d4

typedef struct _rs_disp_top_sub_ldg_d4  rs_disp_top_sub_ldg_d4;
struct _rs_disp_top_sub_ldg_d4 {
    unsigned int reg_kspi_div_num_scan                      : 3;
    unsigned int reg_kspi_clk_en                            : 1;
    unsigned int reg_video_vs_go_sel                        : 1;
    unsigned int reserved                                   :27;
};
#define disp_top_sub_ldg_d4(val) ((rs_disp_top_sub_ldg_d4*)&(val))



#define DISP_TOP_SUB_LDG_D8                                              (HV_SUB_LDG_BASE_ADDRESS + 0xD8)

#define DISP_TOP_SUB_LDG_D8_struct                                       rs_disp_top_sub_ldg_d8

typedef struct _rs_disp_top_sub_ldg_d8  rs_disp_top_sub_ldg_d8;
struct _rs_disp_top_sub_ldg_d8 {
    unsigned int reg_cursor_en                              : 1;
    unsigned int reg_cursor_3d                              : 1;
    unsigned int reg_cursor_lr                              : 1;
    unsigned int reg_cursor_hwidth                          : 4;
    unsigned int reg_cursor_vwidth                          : 4;
    unsigned int reg_cursor_step_en                         : 1;
    unsigned int reg_cursor_hstep                           : 6;
    unsigned int reg_cursor_vstep                           : 6;
    unsigned int reg_cursor_color                           : 3;
    unsigned int reserved                                   : 5;
};
#define disp_top_sub_ldg_d8(val) ((rs_disp_top_sub_ldg_d8*)&(val))



#define DISP_TOP_SUB_LDG_DC                                              (HV_SUB_LDG_BASE_ADDRESS + 0xDC)

#define DISP_TOP_SUB_LDG_DC_struct                                       rs_disp_top_sub_ldg_dc

typedef struct _rs_disp_top_sub_ldg_dc  rs_disp_top_sub_ldg_dc;
struct _rs_disp_top_sub_ldg_dc {
    unsigned int reg_cursor_fcnt                            :11;
    unsigned int reserved                                   :21;
};
#define disp_top_sub_ldg_dc(val) ((rs_disp_top_sub_ldg_dc*)&(val))



#define DISP_TOP_SUB_LDG_E0                                              (HV_SUB_LDG_BASE_ADDRESS + 0xE0)

#define DISP_TOP_SUB_LDG_E0_struct                                       rs_disp_top_sub_ldg_e0

typedef struct _rs_disp_top_sub_ldg_e0  rs_disp_top_sub_ldg_e0;
struct _rs_disp_top_sub_ldg_e0 {
    unsigned int reg_cursor_hcnt                            :16;
    unsigned int reg_cursor_vcnt                            :16;
};
#define disp_top_sub_ldg_e0(val) ((rs_disp_top_sub_ldg_e0*)&(val))



#define DISP_TOP_SUB_LDG_E4                                              (HV_SUB_LDG_BASE_ADDRESS + 0xE4)

#define DISP_TOP_SUB_LDG_E4_struct                                       rs_disp_top_sub_ldg_e4

typedef struct _rs_disp_top_sub_ldg_e4  rs_disp_top_sub_ldg_e4;
struct _rs_disp_top_sub_ldg_e4 {
    unsigned int regr_cursor_fd_r                           : 8;
    unsigned int regr_cursor_fd_g                           : 8;
    unsigned int regr_cursor_fd_b                           : 8;
    unsigned int regr_cursor_fd_a                           : 8;
};
#define disp_top_sub_ldg_e4(val) ((rs_disp_top_sub_ldg_e4*)&(val))



#define DISP_TOP_SUB_LDG_E8                                              (HV_SUB_LDG_BASE_ADDRESS + 0xE8)

#define DISP_TOP_SUB_LDG_E8_struct                                       rs_disp_top_sub_ldg_e8

typedef struct _rs_disp_top_sub_ldg_e8  rs_disp_top_sub_ldg_e8;
struct _rs_disp_top_sub_ldg_e8 {
    unsigned int regr_cursor_bd_r                           :12;
    unsigned int regr_cursor_bd_g                           :12;
    unsigned int reserved                                   : 8;
};
#define disp_top_sub_ldg_e8(val) ((rs_disp_top_sub_ldg_e8*)&(val))



#define DISP_TOP_SUB_LDG_EC                                              (HV_SUB_LDG_BASE_ADDRESS + 0xEC)

#define DISP_TOP_SUB_LDG_EC_struct                                       rs_disp_top_sub_ldg_ec

typedef struct _rs_disp_top_sub_ldg_ec  rs_disp_top_sub_ldg_ec;
struct _rs_disp_top_sub_ldg_ec {
    unsigned int regr_cursor_bd_b                           :12;
    unsigned int reserved                                   :20;
};
#define disp_top_sub_ldg_ec(val) ((rs_disp_top_sub_ldg_ec*)&(val))



#define DISP_TOP_SUB_LDG_F0                                              (HV_SUB_LDG_BASE_ADDRESS + 0xF0)

#define DISP_TOP_SUB_LDG_F0_struct                                       rs_disp_top_sub_ldg_f0

typedef struct _rs_disp_top_sub_ldg_f0  rs_disp_top_sub_ldg_f0;
struct _rs_disp_top_sub_ldg_f0 {
    unsigned int reg_main_patt_enable                       : 1;
    unsigned int reg_main_patt_mode                         : 3;
    unsigned int reg_sub_patt_enable                        : 1;
    unsigned int reg_sub_patt_mode                          : 3;
    unsigned int reg_black_insert_fw_mode                   : 2;
    unsigned int reg_fw_black_insert_enable                 : 2;
    unsigned int reg_main_ext_black_insert_enable           :10;
    unsigned int reg_main_ext_black_insert_no_latch         :10;
};
#define disp_top_sub_ldg_f0(val) ((rs_disp_top_sub_ldg_f0*)&(val))



#define DISP_TOP_SUB_LDG_F4                                              (HV_SUB_LDG_BASE_ADDRESS + 0xF4)

#define DISP_TOP_SUB_LDG_F4_struct                                       rs_disp_top_sub_ldg_f4

typedef struct _rs_disp_top_sub_ldg_f4  rs_disp_top_sub_ldg_f4;
struct _rs_disp_top_sub_ldg_f4 {
    unsigned int reg_main_ext_black_insert_sw_clear         :10;
    unsigned int reg_main_black_insert_mode                 :20;
    unsigned int reserved                                   : 2;
};
#define disp_top_sub_ldg_f4(val) ((rs_disp_top_sub_ldg_f4*)&(val))



#define DISP_TOP_SUB_LDG_F8                                              (HV_SUB_LDG_BASE_ADDRESS + 0xF8)

#define DISP_TOP_SUB_LDG_F8_struct                                       rs_disp_top_sub_ldg_f8

typedef struct _rs_disp_top_sub_ldg_f8  rs_disp_top_sub_ldg_f8;
struct _rs_disp_top_sub_ldg_f8 {
    unsigned int reg_sub_ext_black_insert_enable            : 6;
    unsigned int reg_sub_ext_black_insert_no_latch          : 6;
    unsigned int reg_sub_ext_black_insert_sw_clear          : 6;
    unsigned int reg_sub_black_insert_mode                  :12;
    unsigned int reg_black_insert_vs_release_en             : 1;
    unsigned int reserved                                   : 1;
};
#define disp_top_sub_ldg_f8(val) ((rs_disp_top_sub_ldg_f8*)&(val))



#define DISP_TOP_SUB_LDG_FC                                              (HV_SUB_LDG_BASE_ADDRESS + 0xFC)

#define DISP_TOP_SUB_LDG_FC_struct                                       rs_disp_top_sub_ldg_fc

typedef struct _rs_disp_top_sub_ldg_fc  rs_disp_top_sub_ldg_fc;
struct _rs_disp_top_sub_ldg_fc {
    unsigned int regr_main_black_insert_status              :10;
    unsigned int regr_sub_black_insert_status               : 6;
    unsigned int reserved                                   :16;
};
#define disp_top_sub_ldg_fc(val) ((rs_disp_top_sub_ldg_fc*)&(val))



#endif