#ifndef _HV_PAGE_HT7315_USIT_TOP_H_
#define _HV_PAGE_HT7315_USIT_TOP_H_

#ifndef HV_USIT_TOP_BASE_ADDRESS
    #define HV_USIT_TOP_BASE_ADDRESS                                         0x1105E700
#endif


#define TX_USIT_TOP_USIT_REG_01                                          (HV_USIT_TOP_BASE_ADDRESS + 0x00)

#define TX_USIT_TOP_USIT_REG_01_struct                                   rs_tx_usit_top_usit_reg_01

typedef struct _rs_tx_usit_top_usit_reg_01  rs_tx_usit_top_usit_reg_01;
struct _rs_tx_usit_top_usit_reg_01 {
    unsigned int reg_data_total_in_a_port                   :13;
    unsigned int reg_dummy_line_num_after_training          :13;
    unsigned int reg_usit_pre_de_num                        : 4;
    unsigned int reg_usit_dummy_data_en                     : 1;
    unsigned int reg_usit_gamma_send_mode                   : 1;
};
#define tx_usit_top_usit_reg_01(val) ((rs_tx_usit_top_usit_reg_01*)&(val))



#define TX_USIT_TOP_USIT_REG_02                                          (HV_USIT_TOP_BASE_ADDRESS + 0x04)

#define TX_USIT_TOP_USIT_REG_02_struct                                   rs_tx_usit_top_usit_reg_02

typedef struct _rs_tx_usit_top_usit_reg_02  rs_tx_usit_top_usit_reg_02;
struct _rs_tx_usit_top_usit_reg_02 {
    unsigned int reg_dummy_line_num_before_training         :13;
    unsigned int reg_gamma_data_sta                         :13;
    unsigned int reg_usit_patt_det_use_en                   : 1;
    unsigned int reg_usit_pol_sel                           : 5;
};
#define tx_usit_top_usit_reg_02(val) ((rs_tx_usit_top_usit_reg_02*)&(val))



#define TX_USIT_TOP_USIT_REG_05                                          (HV_USIT_TOP_BASE_ADDRESS + 0x08)

#define TX_USIT_TOP_USIT_REG_05_struct                                   rs_tx_usit_top_usit_reg_05

typedef struct _rs_tx_usit_top_usit_reg_05  rs_tx_usit_top_usit_reg_05;
struct _rs_tx_usit_top_usit_reg_05 {
    unsigned int reg_training_time                          :14;
    unsigned int reg_usit_bit_width                         : 4;
    unsigned int reg_usit_dummy_data                        : 9;
    unsigned int reg_usit_en                                : 1;
    unsigned int reg_usit_gamma_invbp_en                    : 1;
    unsigned int reg_usit_training_type                     : 2;
    unsigned int reg_usit_force_trn                         : 1;
};
#define tx_usit_top_usit_reg_05(val) ((rs_tx_usit_top_usit_reg_05*)&(val))



#define TX_USIT_TOP_USIT_REG_06                                          (HV_USIT_TOP_BASE_ADDRESS + 0x0C)

#define TX_USIT_TOP_USIT_REG_06_struct                                   rs_tx_usit_top_usit_reg_06

typedef struct _rs_tx_usit_top_usit_reg_06  rs_tx_usit_top_usit_reg_06;
struct _rs_tx_usit_top_usit_reg_06 {
    unsigned int reg_usit_frm_config_0                      :32;
};
#define tx_usit_top_usit_reg_06(val) ((rs_tx_usit_top_usit_reg_06*)&(val))



#define TX_USIT_TOP_USIT_REG_07                                          (HV_USIT_TOP_BASE_ADDRESS + 0x10)

#define TX_USIT_TOP_USIT_REG_07_struct                                   rs_tx_usit_top_usit_reg_07

typedef struct _rs_tx_usit_top_usit_reg_07  rs_tx_usit_top_usit_reg_07;
struct _rs_tx_usit_top_usit_reg_07 {
    unsigned int reg_usit_frm_config_1                      :32;
};
#define tx_usit_top_usit_reg_07(val) ((rs_tx_usit_top_usit_reg_07*)&(val))



#define TX_USIT_TOP_USIT_REG_08                                          (HV_USIT_TOP_BASE_ADDRESS + 0x14)

#define TX_USIT_TOP_USIT_REG_08_struct                                   rs_tx_usit_top_usit_reg_08

typedef struct _rs_tx_usit_top_usit_reg_08  rs_tx_usit_top_usit_reg_08;
struct _rs_tx_usit_top_usit_reg_08 {
    unsigned int reg_usit_frm_config_2                      : 8;
    unsigned int reg_usit_gamma1                            : 8;
    unsigned int reg_usit_gamma2                            : 8;
    unsigned int reg_usit_gamma3                            : 8;
};
#define tx_usit_top_usit_reg_08(val) ((rs_tx_usit_top_usit_reg_08*)&(val))



#define TX_USIT_TOP_USIT_REG_09                                          (HV_USIT_TOP_BASE_ADDRESS + 0x18)

#define TX_USIT_TOP_USIT_REG_09_struct                                   rs_tx_usit_top_usit_reg_09

typedef struct _rs_tx_usit_top_usit_reg_09  rs_tx_usit_top_usit_reg_09;
struct _rs_tx_usit_top_usit_reg_09 {
    unsigned int reg_usit_gamma4                            : 8;
    unsigned int reg_usit_gamma5                            : 8;
    unsigned int reg_usit_gamma6                            : 8;
    unsigned int reg_usit_gamma7                            : 8;
};
#define tx_usit_top_usit_reg_09(val) ((rs_tx_usit_top_usit_reg_09*)&(val))



#define TX_USIT_TOP_USIT_REG_10                                          (HV_USIT_TOP_BASE_ADDRESS + 0x1C)

#define TX_USIT_TOP_USIT_REG_10_struct                                   rs_tx_usit_top_usit_reg_10

typedef struct _rs_tx_usit_top_usit_reg_10  rs_tx_usit_top_usit_reg_10;
struct _rs_tx_usit_top_usit_reg_10 {
    unsigned int reg_usit_gamma8                            : 8;
    unsigned int reg_usit_gamma9                            : 8;
    unsigned int reg_usit_gamma10                           : 8;
    unsigned int reg_usit_gamma11                           : 8;
};
#define tx_usit_top_usit_reg_10(val) ((rs_tx_usit_top_usit_reg_10*)&(val))



#define TX_USIT_TOP_USIT_REG_11                                          (HV_USIT_TOP_BASE_ADDRESS + 0x20)

#define TX_USIT_TOP_USIT_REG_11_struct                                   rs_tx_usit_top_usit_reg_11

typedef struct _rs_tx_usit_top_usit_reg_11  rs_tx_usit_top_usit_reg_11;
struct _rs_tx_usit_top_usit_reg_11 {
    unsigned int reg_usit_gamma12                           : 8;
    unsigned int reg_usit_gamma13                           : 8;
    unsigned int reg_usit_gamma14                           : 8;
    unsigned int reg_usit_gamma15                           : 8;
};
#define tx_usit_top_usit_reg_11(val) ((rs_tx_usit_top_usit_reg_11*)&(val))



#define TX_USIT_TOP_USIT_REG_12                                          (HV_USIT_TOP_BASE_ADDRESS + 0x24)

#define TX_USIT_TOP_USIT_REG_12_struct                                   rs_tx_usit_top_usit_reg_12

typedef struct _rs_tx_usit_top_usit_reg_12  rs_tx_usit_top_usit_reg_12;
struct _rs_tx_usit_top_usit_reg_12 {
    unsigned int reg_usit_gamma16                           : 8;
    unsigned int reg_usit_gamma17                           : 8;
    unsigned int reg_usit_gamma18                           : 8;
    unsigned int reserved                                   : 8;
};
#define tx_usit_top_usit_reg_12(val) ((rs_tx_usit_top_usit_reg_12*)&(val))



#define TX_USIT_TOP_USIT_REG_13                                          (HV_USIT_TOP_BASE_ADDRESS + 0x28)

#define TX_USIT_TOP_USIT_REG_13_struct                                   rs_tx_usit_top_usit_reg_13

typedef struct _rs_tx_usit_top_usit_reg_13  rs_tx_usit_top_usit_reg_13;
struct _rs_tx_usit_top_usit_reg_13 {
    unsigned int reg_usit_hbp_config                        :10;
    unsigned int reg_usit_hbp_num                           :13;
    unsigned int reg_usit_clk1_tl_sel                       : 1;
    unsigned int reg_usit_clk1_th_sel                       : 1;
    unsigned int reg_usit_clk1_gen_en                       : 1;
    unsigned int reg_usit_clk1_out_sel                      : 5;
    unsigned int reg_usit_sbc_sel_en                        : 1;
};
#define tx_usit_top_usit_reg_13(val) ((rs_tx_usit_top_usit_reg_13*)&(val))



#define TX_USIT_TOP_USIT_REG_15                                          (HV_USIT_TOP_BASE_ADDRESS + 0x30)

#define TX_USIT_TOP_USIT_REG_15_struct                                   rs_tx_usit_top_usit_reg_15

typedef struct _rs_tx_usit_top_usit_reg_15  rs_tx_usit_top_usit_reg_15;
struct _rs_tx_usit_top_usit_reg_15 {
    unsigned int reg_usit_inv0_sel                          : 5;
    unsigned int reg_usit_inv1_sel                          : 5;
    unsigned int reg_usit_polc_sel                          : 5;
    unsigned int reg_usit_line_clk1_chg_en                  : 1;
    unsigned int reg_usit_line_clk1_chg_period              : 2;
    unsigned int reserved                                   :14;
};
#define tx_usit_top_usit_reg_15(val) ((rs_tx_usit_top_usit_reg_15*)&(val))



#define TX_USIT_TOP_USIT_REG_16                                          (HV_USIT_TOP_BASE_ADDRESS + 0x34)

#define TX_USIT_TOP_USIT_REG_16_struct                                   rs_tx_usit_top_usit_reg_16

typedef struct _rs_tx_usit_top_usit_reg_16  rs_tx_usit_top_usit_reg_16;
struct _rs_tx_usit_top_usit_reg_16 {
    unsigned int reg_usit_sfc_fp                            : 8;
    unsigned int reg_usit_sfc_rp                            : 8;
    unsigned int reg_usit_training_patt_mode                : 2;
    unsigned int reg_usit_abnor_proc_en                     : 1;
    unsigned int reserved                                   :13;
};
#define tx_usit_top_usit_reg_16(val) ((rs_tx_usit_top_usit_reg_16*)&(val))



#define TX_USIT_TOP_USIT_REG_17                                          (HV_USIT_TOP_BASE_ADDRESS + 0x38)

#define TX_USIT_TOP_USIT_REG_17_struct                                   rs_tx_usit_top_usit_reg_17

typedef struct _rs_tx_usit_top_usit_reg_17  rs_tx_usit_top_usit_reg_17;
struct _rs_tx_usit_top_usit_reg_17 {
    unsigned int reg_usit_scrb_rst_period                   :13;
    unsigned int reg_usit_scrb_enb_period                   :13;
    unsigned int reg_usit_hbp_scrb_en                       : 2;
    unsigned int reg_usit_scrb_rst_mode                     : 2;
    unsigned int reg_usit_scrb_enb_mode                     : 2;
};
#define tx_usit_top_usit_reg_17(val) ((rs_tx_usit_top_usit_reg_17*)&(val))



#define TX_USIT_TOP_USIT_REG_18                                          (HV_USIT_TOP_BASE_ADDRESS + 0x3C)

#define TX_USIT_TOP_USIT_REG_18_struct                                   rs_tx_usit_top_usit_reg_18

typedef struct _rs_tx_usit_top_usit_reg_18  rs_tx_usit_top_usit_reg_18;
struct _rs_tx_usit_top_usit_reg_18 {
    unsigned int reg_usit_scrb_rst_pattern                  :32;
};
#define tx_usit_top_usit_reg_18(val) ((rs_tx_usit_top_usit_reg_18*)&(val))



#define TX_USIT_TOP_USIT_REG_19                                          (HV_USIT_TOP_BASE_ADDRESS + 0x40)

#define TX_USIT_TOP_USIT_REG_19_struct                                   rs_tx_usit_top_usit_reg_19

typedef struct _rs_tx_usit_top_usit_reg_19  rs_tx_usit_top_usit_reg_19;
struct _rs_tx_usit_top_usit_reg_19 {
    unsigned int reg_usit_scrb_enb_pattern                  :32;
};
#define tx_usit_top_usit_reg_19(val) ((rs_tx_usit_top_usit_reg_19*)&(val))



#define TX_USIT_TOP_USIT_REG_20                                          (HV_USIT_TOP_BASE_ADDRESS + 0x44)

#define TX_USIT_TOP_USIT_REG_20_struct                                   rs_tx_usit_top_usit_reg_20

typedef struct _rs_tx_usit_top_usit_reg_20  rs_tx_usit_top_usit_reg_20;
struct _rs_tx_usit_top_usit_reg_20 {
    unsigned int reg_usit_standby_time                      :16;
    unsigned int reg_usit_scrb_double_sft_en                : 1;
    unsigned int reg_usit_hbp_scrb_code_sel                 : 1;
    unsigned int reg_usit_scrb_vblk_en                      : 1;
    unsigned int reg_usit_gamma_line_dummy_data             : 9;
    unsigned int reserved                                   : 4;
};
#define tx_usit_top_usit_reg_20(val) ((rs_tx_usit_top_usit_reg_20*)&(val))



#define TX_USIT_TOP_USIT_REG_21                                          (HV_USIT_TOP_BASE_ADDRESS + 0x48)

#define TX_USIT_TOP_USIT_REG_21_struct                                   rs_tx_usit_top_usit_reg_21

typedef struct _rs_tx_usit_top_usit_reg_21  rs_tx_usit_top_usit_reg_21;
struct _rs_tx_usit_top_usit_reg_21 {
    unsigned int reg_usit_pd_en                             : 1;
    unsigned int reg_usit_extpd_en                          : 1;
    unsigned int reg_usit_skip_wk_en                        : 1;
    unsigned int reg_usit_mode_period                       : 4;
    unsigned int reg_usit_pd2wk_dly                         : 4;
    unsigned int reg_usit_pd_inv                            : 3;
    unsigned int reg_usit_pd_hwctrl_en                      : 1;
    unsigned int reg_usit_pdmode_normal                     : 3;
    unsigned int reg_usit_pdmode_bif                        : 3;
    unsigned int reg_usit_pdmode_pd                         : 3;
    unsigned int reg_usit_pdmode_wk                         : 3;
    unsigned int reg_usit_pdmode_fpm                        : 1;
    unsigned int reg_usit_pdmode_v_inv                      : 1;
    unsigned int reg_usit_pd_sfc_off_mode                   : 1;
    unsigned int reg_usit_pd_vclr_mode                      : 1;
    unsigned int reg_usit_pdnosfc_en                        : 1;
};
#define tx_usit_top_usit_reg_21(val) ((rs_tx_usit_top_usit_reg_21*)&(val))



#define TX_USIT_TOP_USIT_REG_22                                          (HV_USIT_TOP_BASE_ADDRESS + 0x4C)

#define TX_USIT_TOP_USIT_REG_22_struct                                   rs_tx_usit_top_usit_reg_22

typedef struct _rs_tx_usit_top_usit_reg_22  rs_tx_usit_top_usit_reg_22;
struct _rs_tx_usit_top_usit_reg_22 {
    unsigned int reg_usit_den_add_num_l                     :32;
};
#define tx_usit_top_usit_reg_22(val) ((rs_tx_usit_top_usit_reg_22*)&(val))



#define TX_USIT_TOP_USIT_REG_23                                          (HV_USIT_TOP_BASE_ADDRESS + 0x50)

#define TX_USIT_TOP_USIT_REG_23_struct                                   rs_tx_usit_top_usit_reg_23

typedef struct _rs_tx_usit_top_usit_reg_23  rs_tx_usit_top_usit_reg_23;
struct _rs_tx_usit_top_usit_reg_23 {
    unsigned int reg_usit_den_add_num_h                     :16;
    unsigned int reg_usit_pol_inv_period                    :14;
    unsigned int reg_usit_pol_slfgen_en                     : 1;
    unsigned int reserved                                   : 1;
};
#define tx_usit_top_usit_reg_23(val) ((rs_tx_usit_top_usit_reg_23*)&(val))



#define TX_USIT_TOP_USIT_REG_24                                          (HV_USIT_TOP_BASE_ADDRESS + 0x54)

#define TX_USIT_TOP_USIT_REG_24_struct                                   rs_tx_usit_top_usit_reg_24

typedef struct _rs_tx_usit_top_usit_reg_24  rs_tx_usit_top_usit_reg_24;
struct _rs_tx_usit_top_usit_reg_24 {
    unsigned int reg_usit_ppcc_set_00                       : 6;
    unsigned int reg_usit_ppcc_set_01                       : 6;
    unsigned int reg_usit_ppcc_set_02                       : 6;
    unsigned int reg_usit_ppcc_set_03                       : 6;
    unsigned int reg_usit_ppcc_set_04                       : 6;
    unsigned int reserved                                   : 2;
};
#define tx_usit_top_usit_reg_24(val) ((rs_tx_usit_top_usit_reg_24*)&(val))



#define TX_USIT_TOP_USIT_REG_25                                          (HV_USIT_TOP_BASE_ADDRESS + 0x58)

#define TX_USIT_TOP_USIT_REG_25_struct                                   rs_tx_usit_top_usit_reg_25

typedef struct _rs_tx_usit_top_usit_reg_25  rs_tx_usit_top_usit_reg_25;
struct _rs_tx_usit_top_usit_reg_25 {
    unsigned int reg_usit_ppcc_set_05                       : 6;
    unsigned int reg_usit_ppcc_set_06                       : 6;
    unsigned int reg_usit_ppcc_set_07                       : 6;
    unsigned int reg_usit_ppcc_set_08                       : 6;
    unsigned int reg_usit_ppcc_set_09                       : 6;
    unsigned int reserved                                   : 2;
};
#define tx_usit_top_usit_reg_25(val) ((rs_tx_usit_top_usit_reg_25*)&(val))



#define TX_USIT_TOP_USIT_REG_26                                          (HV_USIT_TOP_BASE_ADDRESS + 0x5C)

#define TX_USIT_TOP_USIT_REG_26_struct                                   rs_tx_usit_top_usit_reg_26

typedef struct _rs_tx_usit_top_usit_reg_26  rs_tx_usit_top_usit_reg_26;
struct _rs_tx_usit_top_usit_reg_26 {
    unsigned int reg_usit_ppcc_set_10                       : 6;
    unsigned int reg_usit_ppcc_set_11                       : 6;
    unsigned int reg_usit_ppcc_set_12                       : 6;
    unsigned int reg_usit_ppcc_set_13                       : 6;
    unsigned int reg_usit_ppcc_set_14                       : 6;
    unsigned int reserved                                   : 2;
};
#define tx_usit_top_usit_reg_26(val) ((rs_tx_usit_top_usit_reg_26*)&(val))



#define TX_USIT_TOP_USIT_REG_27                                          (HV_USIT_TOP_BASE_ADDRESS + 0x60)

#define TX_USIT_TOP_USIT_REG_27_struct                                   rs_tx_usit_top_usit_reg_27

typedef struct _rs_tx_usit_top_usit_reg_27  rs_tx_usit_top_usit_reg_27;
struct _rs_tx_usit_top_usit_reg_27 {
    unsigned int reg_usit_ppcc_set_15                       : 6;
    unsigned int reg_usit_ppcc_set_16                       : 6;
    unsigned int reg_usit_ppcc_set_17                       : 6;
    unsigned int reg_usit_ppcc_set_18                       : 6;
    unsigned int reg_usit_ppcc_set_19                       : 6;
    unsigned int reserved                                   : 2;
};
#define tx_usit_top_usit_reg_27(val) ((rs_tx_usit_top_usit_reg_27*)&(val))



#define TX_USIT_TOP_USIT_REG_28                                          (HV_USIT_TOP_BASE_ADDRESS + 0x64)

#define TX_USIT_TOP_USIT_REG_28_struct                                   rs_tx_usit_top_usit_reg_28

typedef struct _rs_tx_usit_top_usit_reg_28  rs_tx_usit_top_usit_reg_28;
struct _rs_tx_usit_top_usit_reg_28 {
    unsigned int reg_usit_ppcc_set_20                       : 6;
    unsigned int reg_usit_ppcc_set_21                       : 6;
    unsigned int reg_usit_ppcc_set_22                       : 6;
    unsigned int reg_usit_ppcc_set_23                       : 6;
    unsigned int reserved                                   : 8;
};
#define tx_usit_top_usit_reg_28(val) ((rs_tx_usit_top_usit_reg_28*)&(val))



#define TX_USIT_TOP_USIT_REG_29                                          (HV_USIT_TOP_BASE_ADDRESS + 0x68)

#define TX_USIT_TOP_USIT_REG_29_struct                                   rs_tx_usit_top_usit_reg_29

typedef struct _rs_tx_usit_top_usit_reg_29  rs_tx_usit_top_usit_reg_29;
struct _rs_tx_usit_top_usit_reg_29 {
    unsigned int reg_usit_lcfg_bit07_sel                    : 5;
    unsigned int reg_usit_lcfg_bit14_sel                    : 5;
    unsigned int reg_usit_lcfg_bit15_sel                    : 5;
    unsigned int reg_usit_lcfg_bit28_sel                    : 5;
    unsigned int reg_usit_lcfg_bit29_sel                    : 5;
    unsigned int reg_usit_lcfg_bit38_sel                    : 5;
    unsigned int reserved                                   : 2;
};
#define tx_usit_top_usit_reg_29(val) ((rs_tx_usit_top_usit_reg_29*)&(val))



#define TX_USIT_TOP_USIT_REG_30                                          (HV_USIT_TOP_BASE_ADDRESS + 0x6C)

#define TX_USIT_TOP_USIT_REG_30_struct                                   rs_tx_usit_top_usit_reg_30

typedef struct _rs_tx_usit_top_usit_reg_30  rs_tx_usit_top_usit_reg_30;
struct _rs_tx_usit_top_usit_reg_30 {
    unsigned int reg_usit_lcfg_bit39_sel                    : 5;
    unsigned int reg_usit_lcfg_bit45_sel                    : 5;
    unsigned int reserved                                   :22;
};
#define tx_usit_top_usit_reg_30(val) ((rs_tx_usit_top_usit_reg_30*)&(val))



#define TX_USIT_TOP_USIT_REG_31                                          (HV_USIT_TOP_BASE_ADDRESS + 0x70)

#define TX_USIT_TOP_USIT_REG_31_struct                                   rs_tx_usit_top_usit_reg_31

typedef struct _rs_tx_usit_top_usit_reg_31  rs_tx_usit_top_usit_reg_31;
struct _rs_tx_usit_top_usit_reg_31 {
    unsigned int reg_usit_den_add_num_l1                    :32;
};
#define tx_usit_top_usit_reg_31(val) ((rs_tx_usit_top_usit_reg_31*)&(val))



#define TX_USIT_TOP_USIT_REG_32                                          (HV_USIT_TOP_BASE_ADDRESS + 0x74)

#define TX_USIT_TOP_USIT_REG_32_struct                                   rs_tx_usit_top_usit_reg_32

typedef struct _rs_tx_usit_top_usit_reg_32  rs_tx_usit_top_usit_reg_32;
struct _rs_tx_usit_top_usit_reg_32 {
    unsigned int reg_usit_den_add_num_h1                    :16;
    unsigned int reserved                                   :16;
};
#define tx_usit_top_usit_reg_32(val) ((rs_tx_usit_top_usit_reg_32*)&(val))



#define TX_USIT_TOP_CTRL_78                                              (HV_USIT_TOP_BASE_ADDRESS + 0x78)

#define TX_USIT_TOP_CTRL_78_struct                                       rs_tx_usit_top_ctrl_78

typedef struct _rs_tx_usit_top_ctrl_78  rs_tx_usit_top_ctrl_78;
struct _rs_tx_usit_top_ctrl_78 {
    unsigned int reg_usit_ppcc_set_24                       : 6;
    unsigned int reg_usit_ppcc_set_25                       : 6;
    unsigned int reg_usit_ppcc_set_26                       : 6;
    unsigned int reg_usit_ppcc_set_27                       : 6;
    unsigned int reg_usit_ppcc_set_28                       : 6;
    unsigned int reserved                                   : 2;
};
#define tx_usit_top_ctrl_78(val) ((rs_tx_usit_top_ctrl_78*)&(val))



#define TX_USIT_TOP_CTRL_7C                                              (HV_USIT_TOP_BASE_ADDRESS + 0x7C)

#define TX_USIT_TOP_CTRL_7C_struct                                       rs_tx_usit_top_ctrl_7c

typedef struct _rs_tx_usit_top_ctrl_7c  rs_tx_usit_top_ctrl_7c;
struct _rs_tx_usit_top_ctrl_7c {
    unsigned int reg_usit_ppcc_set_29                       : 6;
    unsigned int reg_usit_ppcc_set_30                       : 6;
    unsigned int reg_usit_ppcc_set_31                       : 6;
    unsigned int reg_usit_ppcc_set_32                       : 6;
    unsigned int reg_usit_ppcc_set_33                       : 6;
    unsigned int reserved                                   : 2;
};
#define tx_usit_top_ctrl_7c(val) ((rs_tx_usit_top_ctrl_7c*)&(val))



#define TX_USIT_TOP_CTRL_80                                              (HV_USIT_TOP_BASE_ADDRESS + 0x80)

#define TX_USIT_TOP_CTRL_80_struct                                       rs_tx_usit_top_ctrl_80

typedef struct _rs_tx_usit_top_ctrl_80  rs_tx_usit_top_ctrl_80;
struct _rs_tx_usit_top_ctrl_80 {
    unsigned int reg_usit_ppcc_set_34                       : 6;
    unsigned int reg_usit_ppcc_set_35                       : 6;
    unsigned int reg_usit_ppcc_set_36                       : 6;
    unsigned int reg_usit_ppcc_set_37                       : 6;
    unsigned int reg_usit_ppcc_set_38                       : 6;
    unsigned int reserved                                   : 2;
};
#define tx_usit_top_ctrl_80(val) ((rs_tx_usit_top_ctrl_80*)&(val))



#define TX_USIT_TOP_CTRL_84                                              (HV_USIT_TOP_BASE_ADDRESS + 0x84)

#define TX_USIT_TOP_CTRL_84_struct                                       rs_tx_usit_top_ctrl_84

typedef struct _rs_tx_usit_top_ctrl_84  rs_tx_usit_top_ctrl_84;
struct _rs_tx_usit_top_ctrl_84 {
    unsigned int reg_usit_ppcc_set_39                       : 6;
    unsigned int reg_usit_ppcc_set_40                       : 6;
    unsigned int reg_usit_ppcc_set_41                       : 6;
    unsigned int reg_usit_ppcc_set_42                       : 6;
    unsigned int reg_usit_ppcc_set_43                       : 6;
    unsigned int reserved                                   : 2;
};
#define tx_usit_top_ctrl_84(val) ((rs_tx_usit_top_ctrl_84*)&(val))



#define TX_USIT_TOP_CTRL_88                                              (HV_USIT_TOP_BASE_ADDRESS + 0x88)

#define TX_USIT_TOP_CTRL_88_struct                                       rs_tx_usit_top_ctrl_88

typedef struct _rs_tx_usit_top_ctrl_88  rs_tx_usit_top_ctrl_88;
struct _rs_tx_usit_top_ctrl_88 {
    unsigned int reg_usit_ppcc_set_44                       : 6;
    unsigned int reg_usit_ppcc_set_45                       : 6;
    unsigned int reg_usit_ppcc_set_46                       : 6;
    unsigned int reg_usit_ppcc_set_47                       : 6;
    unsigned int reserved                                   : 8;
};
#define tx_usit_top_ctrl_88(val) ((rs_tx_usit_top_ctrl_88*)&(val))



#define TX_USIT_TOP_CTRL_8C                                              (HV_USIT_TOP_BASE_ADDRESS + 0x8C)

#define TX_USIT_TOP_CTRL_8C_struct                                       rs_tx_usit_top_ctrl_8c

typedef struct _rs_tx_usit_top_ctrl_8c  rs_tx_usit_top_ctrl_8c;
struct _rs_tx_usit_top_ctrl_8c {
    unsigned int reg_usit_sbc_bit_time                      :10;
    unsigned int reg_usit_sbc_cmd_en                        : 1;
    unsigned int reg_usit_sbc_cmd_mode                      : 1;
    unsigned int reg_usit_sbc_en                            : 1;
    unsigned int reg_usit_trn_mode                          : 1;
    unsigned int reg_usit_sbc_length                        :15;
    unsigned int reg_usit_sbc_end_mode                      : 1;
    unsigned int reserved                                   : 2;
};
#define tx_usit_top_ctrl_8c(val) ((rs_tx_usit_top_ctrl_8c*)&(val))



#define TX_USIT_TOP_CTRL_90                                              (HV_USIT_TOP_BASE_ADDRESS + 0x90)

#define TX_USIT_TOP_CTRL_90_struct                                       rs_tx_usit_top_ctrl_90

typedef struct _rs_tx_usit_top_ctrl_90  rs_tx_usit_top_ctrl_90;
struct _rs_tx_usit_top_ctrl_90 {
    unsigned int reg_usit_trn_period                        :16;
    unsigned int reg_usit_sbc_rdly                          : 8;
    unsigned int reg_usit_sbc_sel_dly                       : 8;
};
#define tx_usit_top_ctrl_90(val) ((rs_tx_usit_top_ctrl_90*)&(val))



#define TX_USIT_TOP_CTRL_94                                              (HV_USIT_TOP_BASE_ADDRESS + 0x94)

#define TX_USIT_TOP_CTRL_94_struct                                       rs_tx_usit_top_ctrl_94

typedef struct _rs_tx_usit_top_ctrl_94  rs_tx_usit_top_ctrl_94;
struct _rs_tx_usit_top_ctrl_94 {
    unsigned int reg_usit_sbc_send_num                      : 6;
    unsigned int reg_usit_sbc_st_dly                        : 8;
    unsigned int reg_usit_sbc_wr_stb                        : 8;
    unsigned int reg_usit_sbc_force_trn_en                  : 1;
    unsigned int reg_usit_sbc_force_trn_data_en             : 1;
    unsigned int reserved                                   : 8;
};
#define tx_usit_top_ctrl_94(val) ((rs_tx_usit_top_ctrl_94*)&(val))



#endif