/**
 * @file hv_hdcp_Engine.h
 * @brief 
 * @verbatim
 * ==============================================================================
 *                        ##### How to use this driver #####
 * ==============================================================================
 * (+)
 * @endverbatim
 *
 * @author HiView SoC Software Team
 * @version 0.0.1
 * @date 2022-08-22
 */



#ifndef HAL_HDCP_ENGINE_H        /* prevent circular inclusions */
#define HAL_HDCP_ENGINE_H        /* by using protection macros */

#ifdef __cplusplus
extern "C" 
{
#endif
#include "hv_vos_Comm.h"
#include "hv_hdcp_engine_Aes256.h"
#include "hv_hdcp_BigDigits.h"
#include "hv_hdcp2x_Common.h"
#include "hv_drv_HdcpRx.h"
#include "hv_drv_Hdcp1xRx.h"
#include "hv_drv_Hdcp2xRx.h"

#define HDCP_ENGINE_HW_ENABLE  

#ifdef __cplusplus
}
#endif

#endif /* end of protection macro */
