
DRIVER_TARGET_O=
VPATH = 
INCLUDES = -I$(SDK_DIR)
INCLUDES += -I$(SDK_BOOT_DIR)/../Driver/Arch/$(CONFIG_CHIP)
INCLUDES += -I$(SDK_BOOT_DIR)/../Driver/Arch/$(CONFIG_CHIP)/regs
INCLUDES += -I$(SDK_VOS_DIR)/inc
INCLUDES += -I$(SDK_VOS_DIR)/risc/inc

INCLUDES += -I$(SDK_COMMON_DIR)
INCLUDES += -I$(SDK_COMMON_DIR)/Database/inc
INCLUDES += -I$(SDK_COMMON_DIR)/Event
INCLUDES += -I$(SDK_COMMON_DIR)/Assert
INCLUDES += -I$(SDK_COMMON_DIR)/MemParser
INCLUDES += -I$(SDK_COMMON_DIR)/Timer/inc
INCLUDES += -I$(SDK_COMMON_DIR)/Util/HvQueue/inc
INCLUDES += -I$(SDK_COMMON_DIR)/Util/Utilities/inc
INCLUDES += -I$(SDK_COMMON_DIR)/TimingDatabase/inc
INCLUDES += -I$(USER_DATABASE_DIR)/inc
INCLUDES += -I$(USER_OSD_DIR)/Behaviour/inc
INCLUDES += -I$(USER_DIR)/$(CONFIG_VENDOR)/$(CONFIG_PROJECT)
INCLUDES += -I$(USER_DIR)/$(CONFIG_VENDOR)/$(CONFIG_PROJECT)/Panel/inc
INCLUDES += -I$(USER_DIR)/$(CONFIG_VENDOR)/$(CONFIG_PROJECT)/System
INCLUDES += -I$(SDK_DRIVER_DIR)/Peripheral/Drv/Inc

INCLUDES += -I$(SDK_VOS_DIR)/freertos/FreeRTOS/Include
INCLUDES += -I$(SDK_VOS_DIR)/freertos/FreeRTOS/Source/include
INCLUDES += -I$(SDK_VOS_DIR)/freertos/FreeRTOS/Source/portable/GCC/RISC32

include $(BUILD_DIR)/compile/$(CONFIG_CHIP)/common.inc
include $(SDK_DRIVER_DIR)/Audio/Makefile.mk
include $(SDK_DRIVER_DIR)/Peripheral/Makefile.mk
include $(SDK_DRIVER_DIR)/DPU/Makefile.mk
include $(SDK_DRIVER_DIR)/HDMI/Makefile.mk
include $(SDK_DRIVER_DIR)/PHY/Makefile.mk
include $(SDK_DRIVER_DIR)/TX/Makefile.mk
include $(SDK_DRIVER_DIR)/OSD/Makefile.mk
include $(SDK_DRIVER_DIR)/HDCP/Makefile.mk
include $(SDK_DRIVER_DIR)/DisplayPort/Makefile.mk
include $(SDK_DRIVER_DIR)/Mailbox/Makefile.mk
include $(SDK_DRIVER_DIR)/PLL/Makefile.mk
include $(SDK_DRIVER_DIR)/3rd/Makefile.mk
include $(SDK_DRIVER_DIR)/Ddcci/Makefile.mk
ifeq ($(CONFIG_USER_USB_OTA),USB_OTA_ON)
    include $(SDK_DRIVER_DIR)/UsbHost/Makefile.mk
endif
ifeq ($(CONFIG_USER_USB_BILLBOARD),USB_BILLBOARD_ON)
    include $(SDK_DRIVER_DIR)/UsbBillboard/Makefile.mk
endif
ifeq ($(CONFIG_USER_TYPE_C),TYPE_C_ON)
    include $(SDK_DRIVER_DIR)/Typec/Makefile.mk
endif
include $(SDK_DRIVER_DIR)/Arch/$(CONFIG_CHIP)/Makefile.mk

DRIVER_LIB=$(BUILD_OUT_IMG_DIR)/libdriver.a
release:$(DRIVER_LIB)
debug:$(DRIVER_LIB)

DRIVER_NO_DIR_O = $(DRIVER_TARGET_O)
DRIVER_WITH_DIR_O= $(addprefix $(BUILD_OUT_OBJ_DIR)/,$(DRIVER_NO_DIR_O))
#$(error $(DRIVER_TARGET_O))
$(DRIVER_LIB):$(DRIVER_NO_DIR_O)
	$(HEADER)$(AR) qc $@ $(DRIVER_WITH_DIR_O)
	$(HEADER)$(RANLIB) $@
