/*
* @file hv_drv_UsbDefaultConfig.h
* @brief Pre configuration for usb gadget. 
*
* @author HiView SoC Software Team
* @version 1.0.0
* @date 2022-06-15
*/

#ifndef __HV_DRV_USB_DEFAULT_CONFIG_H_
#define __HV_DRV_USB_DEFAULT_CONFIG_H_


//#define USB_DEBUG   1

//#define CONFIG_USB_MUSB_PIO_ONLY  1

#define HS_CONFIG_HAL_USB_SPEED   3   //1:LOW SPEED, 2:FULL SPEED, 3:HIGH SPEED

#if HS_CONFIG_HAL_USB_SPEED == 1
#define CONFIG_USB_LOWSPEED  1
#elif (HS_CONFIG_HAL_USB_SPEED == 2)
#define CONFIG_USB_FULLSPEED  2
#elif (HS_CONFIG_HAL_USB_SPEED == 3)
#define CONFIG_USB_HIGHSPEED  3
#endif

#ifdef CONFIG_USB_MUSB_PIO_ONLY
#else
#define CONFIG_USB_INVENTRA_DMA  1
#endif
#define CONFIG_USB_MUSB_GADGET      1
#define CONFIG_USB_GADGET           1
//#define CONFIG_USB_GADGET_DUALSPEED 
#define CONFIG_USB_WITH_INTERRUPT   1


#endif
