/*
* @file hv_drv_UsbGadgetFuncBillboard.c
* @brief Header of Device Billboard function. 
*
* @author HiView SoC Software Team
* @version 1.0.0
* @date 2022-06-15
*/


#ifndef __HV_DRV_USB_GADGET_FUNC_BILLBOARD_H_
#define __HV_DRV_USB_GADGET_FUNC_BILLBOARD_H_

#include "hv_drv_UsbGadgetComposite.h"


/* big enough to hold our biggest descriptor */
#ifdef CONFIG_USB_LOWSPEED 
#define DFU_USB_BUFSIZ                  8
#else
#define DFU_USB_BUFSIZ                  4096
#endif


int billboard_add(struct usb_configuration *c);

#endif
