
VPATH += $(SDK_DRIVER_DIR)/UsbHost/core/src
VPATH += $(SDK_DRIVER_DIR)/UsbHost/musb/src
VPATH += $(SDK_DRIVER_DIR)/UsbHost/storage/src
VPATH += $(SDK_DRIVER_DIR)/UsbHost/fatfs/


INCLUDES += -I$(SDK_DRIVER_DIR)/UsbHost/core/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/UsbHost/musb/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/UsbHost/porting/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/UsbHost/storage/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/UsbHost/fatfs
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/RunTime/UsbTask/inc

OBJ_DRIVER_USB_HOST_C = $(wildcard $(SDK_DRIVER_DIR)/UsbHost/core/src/*.c)
OBJ_DRIVER_USB_HOST_C += $(wildcard $(SDK_DRIVER_DIR)/UsbHost/musb/src/*.c)
OBJ_DRIVER_USB_HOST_C += $(wildcard $(SDK_DRIVER_DIR)/UsbHost/storage/src/*.c)
OBJ_DRIVER_USB_HOST_C += $(wildcard $(SDK_DRIVER_DIR)/UsbHost/fatfs/*.c)

OBJ_DRIVER_USB_HOST_C_NODIR = $(notdir $(OBJ_DRIVER_USB_HOST_C))
OBJ_DRIVER_USB_HOST_C_O = $(OBJ_DRIVER_USB_HOST_C_NODIR:%.c=%.o)
DRIVER_TARGET_O += $(OBJ_DRIVER_USB_HOST_C_O)
