/**
 * @file UrgentTask.h
 * @brief Header file of UrgentTask module.
 * 
 * @verbatim
 * ==============================================================================
 *                        ##### How to use #####
 * ==============================================================================
 * (+) Use Hv_Mw_UrgentTaskHandle(...) s a task function handle. 
 * 
 * @endverbatim
 *
 * @author HiView SoC Software Team
 * @version 1.0.0
 * @date 2022-08-10
 */
#ifndef __SDK_MIDDLEWARE_RUNTIME_URGENT_TASK_INC_URGENT_TASK_H__
#define __SDK_MIDDLEWARE_RUNTIME_URGENT_TASK_INC_URGENT_TASK_H__

#include "hv_comm_DataType.h"

/**
 * @brief task function handle.
 * @param[in] arg  not used!.
 * @return VOID
 */
VOID Hv_Mw_Urgent_TaskHandle(  VOID *arg  );

#endif
