
DATABASE_TARGET_O=
include $(BUILD_DIR)/compile/$(CONFIG_CHIP)/common.inc

VPATH = $(USER_DATABASE_DIR)/src

INCLUDES = -I$(SDK_DIR)
INCLUDES += -I$(SDK_COMMON_DIR)
INCLUDES += -I$(SDK_COMMON_DIR)/Event
INCLUDES += -I$(SDK_COMMON_DIR)/Assert
INCLUDES += -I$(SDK_COMMON_DIR)/OSD/inc
INCLUDES += -I$(SDK_COMMON_DIR)/Util/Utilities/inc
INCLUDES += -I$(SDK_COMMON_DIR)/Util/HvQueue/inc
INCLUDES += -I$(SDK_COMMON_DIR)/Assert
INCLUDES += -I$(SDK_COMMON_DIR)/Util/HvQueue/inc
INCLUDES += -I$(SDK_COMMON_DIR)/Timer/inc
INCLUDES += -I$(SDK_DIR)/Driver/Arch/$(CONFIG_CHIP)
INCLUDES += -I$(SDK_DIR)/Driver/Arch/$(CONFIG_CHIP)/regs



INCLUDES += -I$(SDK_VOS_DIR)/inc
INCLUDES += -I$(SDK_VOS_DIR)/risc/inc
INCLUDES += -I$(USER_DATABASE_DIR)/inc
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/ChannelManager/Audio/inc
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/OSD/inc
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/InputPortManager/inc
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/InputPortManager/Ddcci/inc
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/InputPortManager/HDCP/inc
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/InputPortManager/HDMI/inc
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/InputPortManager/DisplayPort/inc
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/ChannelManager/Video/inc
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/ChannelManager/inc
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/RunTime/SystemTask/inc
INCLUDES += -I$(USER_OSD_DIR)/Common/inc
INCLUDES += -I$(USER_OSD_DIR)/Behaviour/inc
INCLUDES += -I$(USER_OSD_DIR)/Resource/Composer/inc
INCLUDES += -I$(USER_OSD_DIR)/Resource/Matrix/include
INCLUDES += -I$(SDK_DRIVER_DIR)/Chip/$(CONFIG_CHIP)
INCLUDES += -I$(SDK_DRIVER_DIR)/Peripheral/Drv/Inc
INCLUDES += -I$(SDK_DRIVER_DIR)/Peripheral/Cal/$(CONFIG_CHIP)/Inc
INCLUDES += -I$(SDK_DRIVER_DIR)/HDCP/drv/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/HDCP/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/HDCP/Engine/Common/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/HDMI/drv/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/HDMI/cal/common
INCLUDES += -I$(SDK_DRIVER_DIR)/HDMI/cal/$(CONFIG_CHIP)/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/DisplayPort/drv/src
INCLUDES += -I$(SDK_DRIVER_DIR)/DisplayPort/drv/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/DisplayPort/cal/$(CONFIG_CHIP)/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/Mailbox/drv/inc
INCLUDES += -I$(USER_DIR)/$(CONFIG_VENDOR)/$(CONFIG_PROJECT)
INCLUDES += -I$(USER_DIR)/$(CONFIG_VENDOR)/$(CONFIG_PROJECT)/Panel/inc
INCLUDES += -I$(USER_DIR)/$(CONFIG_VENDOR)/$(CONFIG_PROJECT)/System
INCLUDES += -I$(USER_DIR)/$(CONFIG_VENDOR)/$(CONFIG_PROJECT)/EDID/dp
INCLUDES += -I$(USER_DIR)/$(CONFIG_VENDOR)/$(CONFIG_PROJECT)/EDID/hdmi

DATABASE_LIB=$(BUILD_OUT_IMG_DIR)/libdatabase.a

release:$(DATABASE_LIB)
debug:$(DATABASE_LIB)


OBJ_DATABASE_C = $(wildcard $(USER_DATABASE_DIR)/src/*.c)
OBJ_DATABASE_C_NODIR = $(notdir $(OBJ_DATABASE_C))
OBJ_DATABASE_C_O = $(OBJ_DATABASE_C_NODIR:%.c=%.o)
DATABASE_TARGET_O += $(OBJ_DATABASE_C_O)

DATABASE_NO_DIR_O = $(DATABASE_TARGET_O)
DATABASE_WITH_DIR_O= $(addprefix $(BUILD_OUT_OBJ_DIR)/,$(DATABASE_NO_DIR_O))
$(DATABASE_LIB):$(DATABASE_NO_DIR_O)
	$(HEADER)$(AR) qc $@ $(DATABASE_WITH_DIR_O)
	$(HEADER)$(RANLIB) $@
