EDID_TARGET_O=
include $(BUILD_DIR)/compile/$(CONFIG_CHIP)/common.inc

VPATH = $(USER_EDID_DIR)/

INCLUDES = -I$(SDK_DIR)
INCLUDES += -I$(SDK_COMMON_DIR)
INCLUDES += -I$(SDK_BOOT_DIR)/../Driver/Arch/$(CONFIG_CHIP)
INCLUDES += -I$(SDK_VOS_DIR)/inc
INCLUDES += -I$(SDK_VOS_DIR)/risc/inc
INCLUDES += -I$(USER_EDID_DIR)/
INCLUDES += -I$(USER_EDID_DIR)/hdmi
INCLUDES += -I$(USER_EDID_DIR)/dp
INCLUDES += -I$(USER_DIR)/$(CONFIG_VENDOR)/$(CONFIG_PROJECT)
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/InputPortManager/inc
INCLUDES += -I$(SDK_COMMON_DIR)/Event
INCLUDES += -I$(SDK_COMMON_DIR)/Assert
INCLUDES += -I$(SDK_COMMON_DIR)/Util/Utilities/inc
INCLUDES += -I$(SDK_COMMON_DIR)/Util/HvQueue/inc
INCLUDES += -I$(SDK_COMMON_DIR)/Timer/inc
INCLUDES += -I$(SDK_COMMON_DIR)/Database/inc
INCLUDES += -I$(USER_DATABASE_DIR)/inc
INCLUDES += -I$(ROOT_DIR)/user/$(CONFIG_VENDOR)/$(CONFIG_PROJECT)/System
INCLUDES += -I$(SDK_DRIVER_DIR)/Peripheral/Drv/Inc
INCLUDES += -I$(USER_OSD_DIR)/Behaviour/inc
INCLUDES += -I$(USER_OSD_DIR)/Resource/Composer/inc
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/OSD/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/HDCP/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/HDCP/drv/inc
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/RunTime/SystemTask/inc
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/ChannelManager/inc

EDID_LIB=$(BUILD_OUT_IMG_DIR)/libedid.a

release:$(EDID_LIB)
debug:$(EDID_LIB)


OBJ_EDID_C = $(wildcard $(USER_EDID_DIR)/*.c)
OBJ_EDID_C_NODIR = $(notdir $(OBJ_EDID_C))
OBJ_EDID_C_O = $(OBJ_EDID_C_NODIR:%.c=%.o)
EDID_TARGET_O += $(OBJ_EDID_C_O)

EDID_NO_DIR_O = $(EDID_TARGET_O)
EDID_WITH_DIR_O= $(addprefix $(BUILD_OUT_OBJ_DIR)/,$(EDID_NO_DIR_O))
$(EDID_LIB):$(EDID_NO_DIR_O)
	$(HEADER)$(AR) qc $@ $(EDID_WITH_DIR_O)
	$(HEADER)$(RANLIB) $@
