#ifndef __HV_RES_OSDBANKBLOCK_H
#define __HV_RES_OSDBANKBLOCK_H

#include "hv_comm_DataType.h"
#include "hv_mw_OsdComm.h"
#include "hv_comm_Define.h"

/* block的个数 */
#define OSD_BLOCK_COUNT 6

typedef struct _OsdBlock {
    UCHAR8 bSwitchLanguage  : 1;
    UCHAR8 ucBankID         : 7;
    UCHAR8 ucGlobalBlockID;
    UCHAR8 ucResourceType;
    USHORT16 usResourceSize;
    USHORT16 usGlobalFontCount;
    const UCHAR8 *const * const ppBlockAddr;
    const USHORT16 *const * const ppBlockLength;
    const UCHAR8 *const * const ppBlockRealWidth;
    const USHORT16 *const * const ppBlockCode;
} OsdBlock;

#endif
