/**
 * @file hv_panel_Param.h
 * @brief Header file of Project.
 *
 * @verbatim
 * ==============================================================================
 *                        ##### How to use #####
 * ==============================================================================
 *
 *
 @ endverbatim
 *
 * @author HiView SoC Software Team
 * @version 1.0.0
 * @date 2023-05-11
 */
#include "hv_comm_DataType.h"
#include "../../DataBase/inc/hv_comm_DataBase.h"

#ifndef __HV_PANEL_PARAM_H__
#define __HV_PANEL_PARAM_H__
/**
 * @brief initialize hv_panel_Param.
 */
VOID Hv_Panel_UpdaeDefaultDynamicPanlParam();

PanelDataDBRegion* Hv_Panel_GetPanelDataDBRegionPtr(VOID);

VOID Hv_Panel_InitPanelParam(VOID);

#endif
