
BOOT_TARGET_O=
include $(BUILD_DIR)/compile/$(CONFIG_CHIP)/common.inc
include $(SDK_BOOT_DIR)/Base/Makefile.mk
include $(SDK_BOOT_DIR)/Chip/$(CONFIG_CHIP)/Makefile.mk
include $(SDK_BOOT_DIR)/Common/Makefile.mk
include $(SDK_BOOT_DIR)/Mt/Makefile.mk


VPATH = $(SDK_BOOT_DIR)/Base
VPATH += $(SDK_BOOT_DIR)/Chip/$(CONFIG_CHIP)
VPATH += $(SDK_BOOT_DIR)/Chip/$(CONFIG_CHIP)/ddr_init
VPATH += $(SDK_BOOT_DIR)/Mt
VPATH += $(SDK_BOOT_DIR)/Common

INCLUDES = -I$(SDK_BOOT_DIR)/../Driver/Arch/$(CONFIG_CHIP)
INCLUDES += -I$(SDK_BOOT_DIR)/../Driver/Arch/$(CONFIG_CHIP)/regs
INCLUDES += -I$(SDK_BOOT_DIR)/Chip/$(CONFIG_CHIP)/ddr_init
INCLUDES += -I$(SDK_BOOT_DIR)/Base
INCLUDES += -I$(SDK_BOOT_DIR)/Common
INCLUDES += -I$(ROOT_DIR)/user/$(CONFIG_VENDOR)/$(CONFIG_PROJECT)/System

BOOT_LIB=$(BUILD_OUT_IMG_DIR)/libboot.a

release:$(BOOT_LIB)
debug:$(BOOT_LIB)

BOOT_NO_DIR_O = $(BOOT_TARGET_O)
BOOT_WITH_DIR_O= $(addprefix $(BUILD_OUT_OBJ_DIR)/,$(BOOT_NO_DIR_O))
$(BOOT_LIB):$(BOOT_NO_DIR_O)
	$(HEADER)$(AR) qc $@ $(BOOT_WITH_DIR_O)
	$(HEADER)$(RANLIB) $@
	
