﻿/*
 * @file hv_comm_shell_getopt.h
 * @brief Header file of shell.
 *
 * @verbatim
 * ==============================================================================
 *                        ##### How to use #####
 * ==============================================================================
 * (+) 
 *
 * @endverbatim
 * @author HiView SoC Software Team
 * @version 1.0.0
 * @date 2022-08-18
 */
#ifndef __HV_COMM_SHELL_GETOPT_H__
#define __HV_COMM_SHELL_GETOPT_H__

extern char *hv_optarg;            /* getopt(3) external variables */
extern int hv_optind, hv_opterr, hv_optopt, hv_optreset;

extern int Hv_getOpt(int nargc, char * const *nargv, const char *ostr);
#endif
