
COMMON_TARGET_O=
include $(BUILD_DIR)/compile/$(CONFIG_CHIP)/common.inc
VPATH = 
INCLUDES = -I$(SDK_DIR)/Common

VPATH += $(SDK_COMMON_DIR)/Debug/src

INCLUDES += -I$(SDK_COMMON_DIR)/Event
INCLUDES += -I$(SDK_COMMON_DIR)/Assert
INCLUDES += -I$(SDK_COMMON_DIR)/Timer/inc
INCLUDES += -I$(SDK_COMMON_DIR)/TimingDatabase/inc
INCLUDES += -I$(SDK_COMMON_DIR)/Util/Utilities/inc
INCLUDES += -I$(SDK_COMMON_DIR)/Util/HvQueue/inc
INCLUDES += -I$(USER_OSD_DIR)/Behaviour/inc
INCLUDES += -I$(USER_OSD_DIR)/Common/inc
INCLUDES += -I$(USER_OSD_DIR)/Resource/Composer/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/OSD/drv/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/OSD/cal/$(CONFIG_CHIP)/inc
INCLUDES += -I$(USER_OSD_DIR)/Resource/Matrix/include
INCLUDES += -I$(USER_DATABASE_DIR)/inc
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/OSD/inc
INCLUDES += -I$(SDK_BOOT_DIR)/../Driver/Arch/$(CONFIG_CHIP)
INCLUDES += -I$(ROOT_DIR)/user/$(CONFIG_VENDOR)/$(CONFIG_PROJECT)
INCLUDES += -I$(ROOT_DIR)/user/$(CONFIG_VENDOR)/$(CONFIG_PROJECT)/System
INCLUDES += -I$(SDK_DRIVER_DIR)/Peripheral/Cal/$(CONFIG_CHIP)/Inc
INCLUDES += -I$(SDK_DRIVER_DIR)/Peripheral/Drv/Inc
INCLUDES += -I$(ROOT_DIR)/user/$(CONFIG_VENDOR)/$(CONFIG_PROJECT)/Panel/inc
INCLUDES += -I$(USER_PQ_DIR)/inc
INCLUDES += -I$(USER_LED_DIR)/inc

include $(SDK_COMMON_DIR)/Debug/Makefile.mk
include $(SDK_COMMON_DIR)/Util/Makefile.mk
include $(SDK_COMMON_DIR)/Timer/Makefile.mk
include $(SDK_COMMON_DIR)/TimingDatabase/Makefile.mk
include $(SDK_COMMON_DIR)/MemParser/Makefile.mk

COMMON_LIB=$(BUILD_OUT_IMG_DIR)/libcommon.a
release:$(COMMON_LIB)
debug:$(COMMON_LIB)

COMMON_NO_DIR_O = $(COMMON_TARGET_O)
COMMON_WITH_DIR_O= $(addprefix $(BUILD_OUT_OBJ_DIR)/,$(COMMON_NO_DIR_O))

$(COMMON_LIB):$(COMMON_NO_DIR_O)
	$(HEADER)$(AR) qc $@ $(COMMON_WITH_DIR_O)
	$(HEADER)$(RANLIB) $@


