
VPATH += $(SDK_COMMON_DIR)/TimingDatabase/src
INCLUDES += -I$(SDK_COMMON_DIR)/TimingDatabase/inc
INCLUDES += -I$(SDK_VOS_DIR)/inc
INCLUDES += -I$(SDK_VOS_DIR)/inc/


INCLUDES += -I$(SDK_BOOT_DIR)/../Driver/Chip/$(CONFIG_CHIP)
INCLUDES += -I$(SDK_VOS_DIR)/freertos/FreeRTOS/Include
INCLUDES += -I$(SDK_VOS_DIR)/freertos/FreeRTOS/Source/include
INCLUDES += -I$(SDK_VOS_DIR)/freertos/FreeRTOS/Source/portable/GCC/RISC32

INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/RunTime/SystemTask/inc
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/PowerManager/inc
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/ChannelManager/inc
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/InputPortManager/inc
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/PanelManager/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/Peripheral/inc
INCLUDES += -I$(SDK_DIR)

OBJ_COMMON_TIMIMINGDATABASE_C = $(wildcard $(SDK_COMMON_DIR)/TimingDatabase/src/*.c)
OBJ_COMMON_TIMIMINGDATABASE_C_NODIR = $(notdir $(OBJ_COMMON_TIMIMINGDATABASE_C))
OBJ_COMMON_TIMIMINGDATABASE_C_O = $(OBJ_COMMON_TIMIMINGDATABASE_C_NODIR:%.c=%.o)
COMMON_TARGET_O += $(OBJ_COMMON_TIMIMINGDATABASE_C_O)

