#ifndef _HV_PAGE_HT7315_AGING_MODE_00_H_
#define _HV_PAGE_HT7315_AGING_MODE_00_H_

#ifndef HV_AGING_MODE_00_BASE_ADDRESS
    #define HV_AGING_MODE_00_BASE_ADDRESS                                         0x11044600
#endif


#define RX_AGING_MODE_00_00                                              (HV_AGING_MODE_00_BASE_ADDRESS + 0x00)

#define RX_AGING_MODE_00_00_struct                                       rs_rx_aging_mode_00_00

typedef struct _rs_rx_aging_mode_00_00  rs_rx_aging_mode_00_00;
struct _rs_rx_aging_mode_00_00 {
    unsigned int reg_00_35                                  : 8;
    unsigned int reg_00_36                                  : 8;
    unsigned int reg_00_37                                  : 8;
    unsigned int reg_00_38                                  : 8;
};
#define rx_aging_mode_00_00(val) ((rs_rx_aging_mode_00_00*)&(val))



#define RX_AGING_MODE_00_04                                              (HV_AGING_MODE_00_BASE_ADDRESS + 0x04)

#define RX_AGING_MODE_00_04_struct                                       rs_rx_aging_mode_00_04

typedef struct _rs_rx_aging_mode_00_04  rs_rx_aging_mode_00_04;
struct _rs_rx_aging_mode_00_04 {
    unsigned int reg_00_39                                  : 8;
    unsigned int reg_00_40                                  : 8;
    unsigned int reg_00_41                                  : 8;
    unsigned int reg_00_42                                  : 8;
};
#define rx_aging_mode_00_04(val) ((rs_rx_aging_mode_00_04*)&(val))



#define RX_AGING_MODE_00_08                                              (HV_AGING_MODE_00_BASE_ADDRESS + 0x08)

#define RX_AGING_MODE_00_08_struct                                       rs_rx_aging_mode_00_08

typedef struct _rs_rx_aging_mode_00_08  rs_rx_aging_mode_00_08;
struct _rs_rx_aging_mode_00_08 {
    unsigned int reg_00_43                                  : 8;
    unsigned int reg_00_44                                  : 8;
    unsigned int reg_00_45                                  : 8;
    unsigned int reg_00_46                                  : 8;
};
#define rx_aging_mode_00_08(val) ((rs_rx_aging_mode_00_08*)&(val))



#define RX_AGING_MODE_00_0C                                              (HV_AGING_MODE_00_BASE_ADDRESS + 0x0C)

#define RX_AGING_MODE_00_0C_struct                                       rs_rx_aging_mode_00_0c

typedef struct _rs_rx_aging_mode_00_0c  rs_rx_aging_mode_00_0c;
struct _rs_rx_aging_mode_00_0c {
    unsigned int reg_00_47                                  : 8;
    unsigned int reg_00_48                                  : 8;
    unsigned int reg_00_49                                  : 8;
    unsigned int reg_00_50                                  : 8;
};
#define rx_aging_mode_00_0c(val) ((rs_rx_aging_mode_00_0c*)&(val))



#define RX_AGING_MODE_00_10                                              (HV_AGING_MODE_00_BASE_ADDRESS + 0x10)

#define RX_AGING_MODE_00_10_struct                                       rs_rx_aging_mode_00_10

typedef struct _rs_rx_aging_mode_00_10  rs_rx_aging_mode_00_10;
struct _rs_rx_aging_mode_00_10 {
    unsigned int reg_00_51                                  : 8;
    unsigned int reg_00_52                                  : 8;
    unsigned int reg_00_53                                  : 8;
    unsigned int reg_00_54                                  : 8;
};
#define rx_aging_mode_00_10(val) ((rs_rx_aging_mode_00_10*)&(val))



#define RX_AGING_MODE_00_14                                              (HV_AGING_MODE_00_BASE_ADDRESS + 0x14)

#define RX_AGING_MODE_00_14_struct                                       rs_rx_aging_mode_00_14

typedef struct _rs_rx_aging_mode_00_14  rs_rx_aging_mode_00_14;
struct _rs_rx_aging_mode_00_14 {
    unsigned int reg_00_55                                  : 8;
    unsigned int reg_00_56                                  : 8;
    unsigned int reg_00_57                                  : 8;
    unsigned int reg_00_58                                  : 8;
};
#define rx_aging_mode_00_14(val) ((rs_rx_aging_mode_00_14*)&(val))



#define RX_AGING_MODE_00_18                                              (HV_AGING_MODE_00_BASE_ADDRESS + 0x18)

#define RX_AGING_MODE_00_18_struct                                       rs_rx_aging_mode_00_18

typedef struct _rs_rx_aging_mode_00_18  rs_rx_aging_mode_00_18;
struct _rs_rx_aging_mode_00_18 {
    unsigned int reg_00_59                                  : 8;
    unsigned int reg_00_60                                  : 8;
    unsigned int reg_00_61                                  : 8;
    unsigned int reg_00_62                                  : 8;
};
#define rx_aging_mode_00_18(val) ((rs_rx_aging_mode_00_18*)&(val))



#define RX_AGING_MODE_00_1C                                              (HV_AGING_MODE_00_BASE_ADDRESS + 0x1C)

#define RX_AGING_MODE_00_1C_struct                                       rs_rx_aging_mode_00_1c

typedef struct _rs_rx_aging_mode_00_1c  rs_rx_aging_mode_00_1c;
struct _rs_rx_aging_mode_00_1c {
    unsigned int reg_00_63                                  : 8;
    unsigned int reg_00_64                                  : 8;
    unsigned int reg_00_65                                  : 8;
    unsigned int reg_00_66                                  : 8;
};
#define rx_aging_mode_00_1c(val) ((rs_rx_aging_mode_00_1c*)&(val))



#define RX_AGING_MODE_00_20                                              (HV_AGING_MODE_00_BASE_ADDRESS + 0x20)

#define RX_AGING_MODE_00_20_struct                                       rs_rx_aging_mode_00_20

typedef struct _rs_rx_aging_mode_00_20  rs_rx_aging_mode_00_20;
struct _rs_rx_aging_mode_00_20 {
    unsigned int reg_00_67                                  : 8;
    unsigned int reg_00_68                                  : 8;
    unsigned int reg_00_69                                  : 8;
    unsigned int reg_00_70                                  : 8;
};
#define rx_aging_mode_00_20(val) ((rs_rx_aging_mode_00_20*)&(val))



#define RX_AGING_MODE_00_24                                              (HV_AGING_MODE_00_BASE_ADDRESS + 0x24)

#define RX_AGING_MODE_00_24_struct                                       rs_rx_aging_mode_00_24

typedef struct _rs_rx_aging_mode_00_24  rs_rx_aging_mode_00_24;
struct _rs_rx_aging_mode_00_24 {
    unsigned int reg_00_71                                  : 8;
    unsigned int reg_00_72                                  : 8;
    unsigned int reg_00_73                                  : 8;
    unsigned int reg_00_74                                  : 8;
};
#define rx_aging_mode_00_24(val) ((rs_rx_aging_mode_00_24*)&(val))



#define RX_AGING_MODE_00_28                                              (HV_AGING_MODE_00_BASE_ADDRESS + 0x28)

#define RX_AGING_MODE_00_28_struct                                       rs_rx_aging_mode_00_28

typedef struct _rs_rx_aging_mode_00_28  rs_rx_aging_mode_00_28;
struct _rs_rx_aging_mode_00_28 {
    unsigned int reg_00_75                                  : 8;
    unsigned int reg_00_76                                  : 8;
    unsigned int reg_00_77                                  : 8;
    unsigned int reg_00_78                                  : 8;
};
#define rx_aging_mode_00_28(val) ((rs_rx_aging_mode_00_28*)&(val))



#endif