#ifndef _HV_PAGE_HT7315_AUDIO_TOP3_H_
#define _HV_PAGE_HT7315_AUDIO_TOP3_H_

#ifndef HV_AUDIO_TOP3_BASE_ADDRESS
    #define HV_AUDIO_TOP3_BASE_ADDRESS                                         0x11045300
#endif


#define RX_AUDIO_TOP3_00                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0x00)

#define RX_AUDIO_TOP3_00_struct                                          rs_rx_audio_top3_00

typedef struct _rs_rx_audio_top3_00  rs_rx_audio_top3_00;
struct _rs_rx_audio_top3_00 {
    unsigned int reg_audio_hw_pcm_sel                       : 2;
    unsigned int reg_audio_hw_pcm_sel0                      : 3;
    unsigned int reg_audio_hw_pcm_sel1                      : 3;
    unsigned int reg_audio_hw_pcm_sel2                      : 3;
    unsigned int reg_audio_hw_pcm_sel3                      : 3;
    unsigned int reg_audio_hw_pcm_sel4                      : 3;
    unsigned int reg_audio_hw_pcm_sel5                      : 3;
    unsigned int reg_audio_hw_pcm_sel6                      : 3;
    unsigned int reg_audio_hw_pcm_sel7                      : 3;
    unsigned int reserved                                   : 6;
};
#define rx_audio_top3_00(val) ((rs_rx_audio_top3_00*)&(val))



#define RX_AUDIO_TOP3_04                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0x04)

#define RX_AUDIO_TOP3_04_struct                                          rs_rx_audio_top3_04

typedef struct _rs_rx_audio_top3_04  rs_rx_audio_top3_04;
struct _rs_rx_audio_top3_04 {
    unsigned int reg_audio_avc_en_ch01                      : 1;
    unsigned int reg_audio_avc_en_ch23                      : 1;
    unsigned int reg_audio_avc_en_ch45                      : 1;
    unsigned int reg_audio_avc_en_ch67                      : 1;
    unsigned int reg_audio_avc_ct_en_ch01                   : 1;
    unsigned int reg_audio_avc_ct_en_ch23                   : 1;
    unsigned int reg_audio_avc_ct_en_ch45                   : 1;
    unsigned int reg_audio_avc_ct_en_ch67                   : 1;
    unsigned int reg_audio_avc_et_en_ch01                   : 1;
    unsigned int reg_audio_avc_et_en_ch23                   : 1;
    unsigned int reg_audio_avc_et_en_ch45                   : 1;
    unsigned int reg_audio_avc_et_en_ch67                   : 1;
    unsigned int reg_audio_avc_force_gain_en_ch01           : 1;
    unsigned int reg_audio_avc_force_gain_en_ch23           : 1;
    unsigned int reg_audio_avc_force_gain_en_ch45           : 1;
    unsigned int reg_audio_avc_force_gain_en_ch67           : 1;
    unsigned int reg_audio_avc_gflt_en_ch01                 : 1;
    unsigned int reg_audio_avc_gflt_en_ch23                 : 1;
    unsigned int reg_audio_avc_gflt_en_ch45                 : 1;
    unsigned int reg_audio_avc_gflt_en_ch67                 : 1;
    unsigned int reg_audio_avc_lt_en_ch01                   : 1;
    unsigned int reg_audio_avc_lt_en_ch23                   : 1;
    unsigned int reg_audio_avc_lt_en_ch45                   : 1;
    unsigned int reg_audio_avc_lt_en_ch67                   : 1;
    unsigned int reg_audio_avc_nt_en_ch01                   : 1;
    unsigned int reg_audio_avc_nt_en_ch23                   : 1;
    unsigned int reg_audio_avc_nt_en_ch45                   : 1;
    unsigned int reg_audio_avc_nt_en_ch67                   : 1;
    unsigned int reserved                                   : 4;
};
#define rx_audio_top3_04(val) ((rs_rx_audio_top3_04*)&(val))



#define RX_AUDIO_TOP3_08                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0x08)

#define RX_AUDIO_TOP3_08_struct                                          rs_rx_audio_top3_08

typedef struct _rs_rx_audio_top3_08  rs_rx_audio_top3_08;
struct _rs_rx_audio_top3_08 {
    unsigned int reg_audio_eq_bpf0_en_ch01                  : 1;
    unsigned int reg_audio_eq_bpf0_en_ch23                  : 1;
    unsigned int reg_audio_eq_bpf0_en_ch45                  : 1;
    unsigned int reg_audio_eq_bpf0_en_ch67                  : 1;
    unsigned int reg_audio_eq_bpf1_en_ch01                  : 1;
    unsigned int reg_audio_eq_bpf1_en_ch23                  : 1;
    unsigned int reg_audio_eq_bpf1_en_ch45                  : 1;
    unsigned int reg_audio_eq_bpf1_en_ch67                  : 1;
    unsigned int reg_audio_eq_bpf2_en_ch01                  : 1;
    unsigned int reg_audio_eq_bpf3_en_ch01                  : 1;
    unsigned int reg_audio_eq_bpf4_en_ch01                  : 1;
    unsigned int reg_audio_eq_bpf5_en_ch01                  : 1;
    unsigned int reg_audio_eq_bpf6_en_ch01                  : 1;
    unsigned int reg_audio_eq_bpf7_en_ch01                  : 1;
    unsigned int reg_audio_eq_bpf8_en_ch01                  : 1;
    unsigned int reserved                                   : 4;
    unsigned int reg_audio_eq_hlpf0_en_ch01                 : 1;
    unsigned int reg_audio_eq_hlpf0_en_ch23                 : 1;
    unsigned int reg_audio_eq_hlpf0_en_ch45                 : 1;
    unsigned int reg_audio_eq_hlpf0_en_ch67                 : 1;
    unsigned int reg_audio_eq_hlpf0_sel_ch01                : 1;
    unsigned int reg_audio_eq_hlpf0_sel_ch23                : 1;
    unsigned int reg_audio_eq_hlpf0_sel_ch45                : 1;
    unsigned int reg_audio_eq_hlpf0_sel_ch67                : 1;
    unsigned int reg_audio_eq_hlpf1_en_ch01                 : 1;
    unsigned int reg_audio_eq_hlpf1_sel_ch01                : 1;
    unsigned int reg_audio_eq_hlpf2_en_ch01                 : 1;
    unsigned int reg_audio_eq_hlpf2_sel_ch01                : 1;
    unsigned int reg_audio_hw_test_tone_en                  : 1;
};
#define rx_audio_top3_08(val) ((rs_rx_audio_top3_08*)&(val))



#define RX_AUDIO_TOP3_10                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0x10)

#define RX_AUDIO_TOP3_10_struct                                          rs_rx_audio_top3_10

typedef struct _rs_rx_audio_top3_10  rs_rx_audio_top3_10;
struct _rs_rx_audio_top3_10 {
    unsigned int reg_audio_vlc_abn_clr_ch01                 : 1;
    unsigned int reg_audio_vlc_abn_clr_ch23                 : 1;
    unsigned int reg_audio_vlc_abn_clr_ch45                 : 1;
    unsigned int reg_audio_vlc_abn_clr_ch67                 : 1;
    unsigned int reg_audio_vlc_en_ch01                      : 1;
    unsigned int reg_audio_vlc_en_ch23                      : 1;
    unsigned int reg_audio_vlc_en_ch45                      : 1;
    unsigned int reg_audio_vlc_en_ch67                      : 1;
    unsigned int reg_audio_vlc_fade_en_ch01                 : 1;
    unsigned int reg_audio_vlc_fade_en_ch23                 : 1;
    unsigned int reg_audio_vlc_fade_en_ch45                 : 1;
    unsigned int reg_audio_vlc_fade_en_ch67                 : 1;
    unsigned int reg_audio_vlc_mute_en_ch01                 : 1;
    unsigned int reg_audio_vlc_mute_en_ch23                 : 1;
    unsigned int reg_audio_vlc_mute_en_ch45                 : 1;
    unsigned int reg_audio_vlc_mute_en_ch67                 : 1;
    unsigned int reg_audio_vlc_update_en_ch01               : 1;
    unsigned int reg_audio_vlc_update_en_ch23               : 1;
    unsigned int reg_audio_vlc_update_en_ch45               : 1;
    unsigned int reg_audio_vlc_update_en_ch67               : 1;
    unsigned int reg_audio_avc_lm_src_sel_ch01              : 2;
    unsigned int reg_audio_avc_lm_src_sel_ch23              : 2;
    unsigned int reg_audio_avc_lm_src_sel_ch45              : 2;
    unsigned int reg_audio_avc_lm_src_sel_ch67              : 2;
    unsigned int reg_audio_avc_zflag_sel0_ch01              : 2;
    unsigned int reg_audio_avc_zflag_sel0_ch23              : 2;
};
#define rx_audio_top3_10(val) ((rs_rx_audio_top3_10*)&(val))



#define RX_AUDIO_TOP3_14                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0x14)

#define RX_AUDIO_TOP3_14_struct                                          rs_rx_audio_top3_14

typedef struct _rs_rx_audio_top3_14  rs_rx_audio_top3_14;
struct _rs_rx_audio_top3_14 {
    unsigned int reg_audio_avc_zflag_sel0_ch45              : 2;
    unsigned int reg_audio_avc_zflag_sel0_ch67              : 2;
    unsigned int reg_audio_avc_zflag_sel1_ch01              : 2;
    unsigned int reg_audio_avc_zflag_sel1_ch23              : 2;
    unsigned int reg_audio_avc_zflag_sel1_ch45              : 2;
    unsigned int reg_audio_avc_zflag_sel1_ch67              : 2;
    unsigned int reg_audio_vlc_gain_update_mode_ch01        : 2;
    unsigned int reg_audio_vlc_gain_update_mode_ch23        : 2;
    unsigned int reg_audio_vlc_gain_update_mode_ch45        : 2;
    unsigned int reg_audio_vlc_gain_update_mode_ch67        : 2;
    unsigned int reg_audio_vlc_mute_en_sel_ch01             : 2;
    unsigned int reg_audio_vlc_mute_en_sel_ch23             : 2;
    unsigned int reg_audio_vlc_mute_en_sel_ch45             : 2;
    unsigned int reg_audio_vlc_mute_en_sel_ch67             : 2;
    unsigned int reg_audio_vlc_update_latch_en_ch01         : 1;
    unsigned int reg_audio_vlc_update_latch_en_ch23         : 1;
    unsigned int reg_audio_vlc_update_latch_en_ch45         : 1;
    unsigned int reg_audio_vlc_update_latch_en_ch67         : 1;
};
#define rx_audio_top3_14(val) ((rs_rx_audio_top3_14*)&(val))



#define RX_AUDIO_TOP3_18                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0x18)

#define RX_AUDIO_TOP3_18_struct                                          rs_rx_audio_top3_18

typedef struct _rs_rx_audio_top3_18  rs_rx_audio_top3_18;
struct _rs_rx_audio_top3_18 {
    unsigned int reg_audio_avc_cs_ch01                      :16;
    unsigned int reg_audio_avc_cs_ch23                      :16;
};
#define rx_audio_top3_18(val) ((rs_rx_audio_top3_18*)&(val))



#define RX_AUDIO_TOP3_1C                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0x1C)

#define RX_AUDIO_TOP3_1C_struct                                          rs_rx_audio_top3_1c

typedef struct _rs_rx_audio_top3_1c  rs_rx_audio_top3_1c;
struct _rs_rx_audio_top3_1c {
    unsigned int reg_audio_avc_cs_ch45                      :16;
    unsigned int reg_audio_avc_cs_ch67                      :16;
};
#define rx_audio_top3_1c(val) ((rs_rx_audio_top3_1c*)&(val))



#define RX_AUDIO_TOP3_20                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0x20)

#define RX_AUDIO_TOP3_20_struct                                          rs_rx_audio_top3_20

typedef struct _rs_rx_audio_top3_20  rs_rx_audio_top3_20;
struct _rs_rx_audio_top3_20 {
    unsigned int reg_audio_avc_ns_ch01                      :16;
    unsigned int reg_audio_avc_ns_ch23                      :16;
};
#define rx_audio_top3_20(val) ((rs_rx_audio_top3_20*)&(val))



#define RX_AUDIO_TOP3_24                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0x24)

#define RX_AUDIO_TOP3_24_struct                                          rs_rx_audio_top3_24

typedef struct _rs_rx_audio_top3_24  rs_rx_audio_top3_24;
struct _rs_rx_audio_top3_24 {
    unsigned int reg_audio_avc_ns_ch45                      :16;
    unsigned int reg_audio_avc_ns_ch67                      :16;
};
#define rx_audio_top3_24(val) ((rs_rx_audio_top3_24*)&(val))



#define RX_AUDIO_TOP3_28                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0x28)

#define RX_AUDIO_TOP3_28_struct                                          rs_rx_audio_top3_28

typedef struct _rs_rx_audio_top3_28  rs_rx_audio_top3_28;
struct _rs_rx_audio_top3_28 {
    unsigned int reg_audio_avc_ct_ch01                      :24;
    unsigned int reg_audio_avc_dly_num_ch01                 : 8;
};
#define rx_audio_top3_28(val) ((rs_rx_audio_top3_28*)&(val))



#define RX_AUDIO_TOP3_2C                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0x2C)

#define RX_AUDIO_TOP3_2C_struct                                          rs_rx_audio_top3_2c

typedef struct _rs_rx_audio_top3_2c  rs_rx_audio_top3_2c;
struct _rs_rx_audio_top3_2c {
    unsigned int reg_audio_avc_ct_ch23                      :24;
    unsigned int reg_audio_avc_dly_num_ch23                 : 8;
};
#define rx_audio_top3_2c(val) ((rs_rx_audio_top3_2c*)&(val))



#define RX_AUDIO_TOP3_30                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0x30)

#define RX_AUDIO_TOP3_30_struct                                          rs_rx_audio_top3_30

typedef struct _rs_rx_audio_top3_30  rs_rx_audio_top3_30;
struct _rs_rx_audio_top3_30 {
    unsigned int reg_audio_avc_ct_ch45                      :24;
    unsigned int reg_audio_avc_dly_num_ch45                 : 8;
};
#define rx_audio_top3_30(val) ((rs_rx_audio_top3_30*)&(val))



#define RX_AUDIO_TOP3_34                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0x34)

#define RX_AUDIO_TOP3_34_struct                                          rs_rx_audio_top3_34

typedef struct _rs_rx_audio_top3_34  rs_rx_audio_top3_34;
struct _rs_rx_audio_top3_34 {
    unsigned int reg_audio_avc_ct_ch67                      :24;
    unsigned int reg_audio_avc_dly_num_ch67                 : 8;
};
#define rx_audio_top3_34(val) ((rs_rx_audio_top3_34*)&(val))



#define RX_AUDIO_TOP3_38                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0x38)

#define RX_AUDIO_TOP3_38_struct                                          rs_rx_audio_top3_38

typedef struct _rs_rx_audio_top3_38  rs_rx_audio_top3_38;
struct _rs_rx_audio_top3_38 {
    unsigned int reg_audio_avc_et_ch01                      :24;
    unsigned int reserved                                   : 8;
};
#define rx_audio_top3_38(val) ((rs_rx_audio_top3_38*)&(val))



#define RX_AUDIO_TOP3_3C                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0x3C)

#define RX_AUDIO_TOP3_3C_struct                                          rs_rx_audio_top3_3c

typedef struct _rs_rx_audio_top3_3c  rs_rx_audio_top3_3c;
struct _rs_rx_audio_top3_3c {
    unsigned int reg_audio_avc_et_ch23                      :24;
    unsigned int reserved                                   : 8;
};
#define rx_audio_top3_3c(val) ((rs_rx_audio_top3_3c*)&(val))



#define RX_AUDIO_TOP3_40                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0x40)

#define RX_AUDIO_TOP3_40_struct                                          rs_rx_audio_top3_40

typedef struct _rs_rx_audio_top3_40  rs_rx_audio_top3_40;
struct _rs_rx_audio_top3_40 {
    unsigned int reg_audio_avc_et_ch45                      :24;
    unsigned int reserved                                   : 8;
};
#define rx_audio_top3_40(val) ((rs_rx_audio_top3_40*)&(val))



#define RX_AUDIO_TOP3_44                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0x44)

#define RX_AUDIO_TOP3_44_struct                                          rs_rx_audio_top3_44

typedef struct _rs_rx_audio_top3_44  rs_rx_audio_top3_44;
struct _rs_rx_audio_top3_44 {
    unsigned int reg_audio_avc_et_ch67                      :24;
    unsigned int reserved                                   : 8;
};
#define rx_audio_top3_44(val) ((rs_rx_audio_top3_44*)&(val))



#define RX_AUDIO_TOP3_48                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0x48)

#define RX_AUDIO_TOP3_48_struct                                          rs_rx_audio_top3_48

typedef struct _rs_rx_audio_top3_48  rs_rx_audio_top3_48;
struct _rs_rx_audio_top3_48 {
    unsigned int reg_audio_avc_lt_ch01                      :24;
    unsigned int reserved                                   : 8;
};
#define rx_audio_top3_48(val) ((rs_rx_audio_top3_48*)&(val))



#define RX_AUDIO_TOP3_4C                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0x4C)

#define RX_AUDIO_TOP3_4C_struct                                          rs_rx_audio_top3_4c

typedef struct _rs_rx_audio_top3_4c  rs_rx_audio_top3_4c;
struct _rs_rx_audio_top3_4c {
    unsigned int reg_audio_avc_lt_ch23                      :24;
    unsigned int reserved                                   : 8;
};
#define rx_audio_top3_4c(val) ((rs_rx_audio_top3_4c*)&(val))



#define RX_AUDIO_TOP3_50                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0x50)

#define RX_AUDIO_TOP3_50_struct                                          rs_rx_audio_top3_50

typedef struct _rs_rx_audio_top3_50  rs_rx_audio_top3_50;
struct _rs_rx_audio_top3_50 {
    unsigned int reg_audio_avc_lt_ch45                      :24;
    unsigned int reserved                                   : 8;
};
#define rx_audio_top3_50(val) ((rs_rx_audio_top3_50*)&(val))



#define RX_AUDIO_TOP3_54                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0x54)

#define RX_AUDIO_TOP3_54_struct                                          rs_rx_audio_top3_54

typedef struct _rs_rx_audio_top3_54  rs_rx_audio_top3_54;
struct _rs_rx_audio_top3_54 {
    unsigned int reg_audio_avc_lt_ch67                      :24;
    unsigned int reserved                                   : 8;
};
#define rx_audio_top3_54(val) ((rs_rx_audio_top3_54*)&(val))



#define RX_AUDIO_TOP3_58                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0x58)

#define RX_AUDIO_TOP3_58_struct                                          rs_rx_audio_top3_58

typedef struct _rs_rx_audio_top3_58  rs_rx_audio_top3_58;
struct _rs_rx_audio_top3_58 {
    unsigned int reg_audio_avc_nt_ch01                      :24;
    unsigned int reserved                                   : 8;
};
#define rx_audio_top3_58(val) ((rs_rx_audio_top3_58*)&(val))



#define RX_AUDIO_TOP3_5C                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0x5C)

#define RX_AUDIO_TOP3_5C_struct                                          rs_rx_audio_top3_5c

typedef struct _rs_rx_audio_top3_5c  rs_rx_audio_top3_5c;
struct _rs_rx_audio_top3_5c {
    unsigned int reg_audio_avc_nt_ch23                      :24;
    unsigned int reserved                                   : 8;
};
#define rx_audio_top3_5c(val) ((rs_rx_audio_top3_5c*)&(val))



#define RX_AUDIO_TOP3_60                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0x60)

#define RX_AUDIO_TOP3_60_struct                                          rs_rx_audio_top3_60

typedef struct _rs_rx_audio_top3_60  rs_rx_audio_top3_60;
struct _rs_rx_audio_top3_60 {
    unsigned int reg_audio_avc_nt_ch45                      :24;
    unsigned int reserved                                   : 8;
};
#define rx_audio_top3_60(val) ((rs_rx_audio_top3_60*)&(val))



#define RX_AUDIO_TOP3_64                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0x64)

#define RX_AUDIO_TOP3_64_struct                                          rs_rx_audio_top3_64

typedef struct _rs_rx_audio_top3_64  rs_rx_audio_top3_64;
struct _rs_rx_audio_top3_64 {
    unsigned int reg_audio_avc_nt_ch67                      :24;
    unsigned int reserved                                   : 8;
};
#define rx_audio_top3_64(val) ((rs_rx_audio_top3_64*)&(val))



#define RX_AUDIO_TOP3_68                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0x68)

#define RX_AUDIO_TOP3_68_struct                                          rs_rx_audio_top3_68

typedef struct _rs_rx_audio_top3_68  rs_rx_audio_top3_68;
struct _rs_rx_audio_top3_68 {
    unsigned int reg_audio_avc_min_ch01                     :24;
    unsigned int reserved                                   : 8;
};
#define rx_audio_top3_68(val) ((rs_rx_audio_top3_68*)&(val))



#define RX_AUDIO_TOP3_70                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0x70)

#define RX_AUDIO_TOP3_70_struct                                          rs_rx_audio_top3_70

typedef struct _rs_rx_audio_top3_70  rs_rx_audio_top3_70;
struct _rs_rx_audio_top3_70 {
    unsigned int reg_audio_avc_min_ch23                     :24;
    unsigned int reserved                                   : 8;
};
#define rx_audio_top3_70(val) ((rs_rx_audio_top3_70*)&(val))



#define RX_AUDIO_TOP3_74                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0x74)

#define RX_AUDIO_TOP3_74_struct                                          rs_rx_audio_top3_74

typedef struct _rs_rx_audio_top3_74  rs_rx_audio_top3_74;
struct _rs_rx_audio_top3_74 {
    unsigned int reg_audio_avc_min_ch45                     :24;
    unsigned int reserved                                   : 8;
};
#define rx_audio_top3_74(val) ((rs_rx_audio_top3_74*)&(val))



#define RX_AUDIO_TOP3_78                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0x78)

#define RX_AUDIO_TOP3_78_struct                                          rs_rx_audio_top3_78

typedef struct _rs_rx_audio_top3_78  rs_rx_audio_top3_78;
struct _rs_rx_audio_top3_78 {
    unsigned int reg_audio_avc_min_ch67                     :24;
    unsigned int reserved                                   : 8;
};
#define rx_audio_top3_78(val) ((rs_rx_audio_top3_78*)&(val))



#define RX_AUDIO_TOP3_7C                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0x7C)

#define RX_AUDIO_TOP3_7C_struct                                          rs_rx_audio_top3_7c

typedef struct _rs_rx_audio_top3_7c  rs_rx_audio_top3_7c;
struct _rs_rx_audio_top3_7c {
    unsigned int reg_audio_avc_zero_thro_ch01               :24;
    unsigned int reserved                                   : 8;
};
#define rx_audio_top3_7c(val) ((rs_rx_audio_top3_7c*)&(val))



#define RX_AUDIO_TOP3_80                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0x80)

#define RX_AUDIO_TOP3_80_struct                                          rs_rx_audio_top3_80

typedef struct _rs_rx_audio_top3_80  rs_rx_audio_top3_80;
struct _rs_rx_audio_top3_80 {
    unsigned int reg_audio_avc_zero_thro_ch23               :24;
    unsigned int reserved                                   : 8;
};
#define rx_audio_top3_80(val) ((rs_rx_audio_top3_80*)&(val))



#define RX_AUDIO_TOP3_84                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0x84)

#define RX_AUDIO_TOP3_84_struct                                          rs_rx_audio_top3_84

typedef struct _rs_rx_audio_top3_84  rs_rx_audio_top3_84;
struct _rs_rx_audio_top3_84 {
    unsigned int reg_audio_avc_zero_thro_ch45               :24;
    unsigned int reserved                                   : 8;
};
#define rx_audio_top3_84(val) ((rs_rx_audio_top3_84*)&(val))



#define RX_AUDIO_TOP3_88                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0x88)

#define RX_AUDIO_TOP3_88_struct                                          rs_rx_audio_top3_88

typedef struct _rs_rx_audio_top3_88  rs_rx_audio_top3_88;
struct _rs_rx_audio_top3_88 {
    unsigned int reg_audio_avc_zero_thro_ch67               :24;
    unsigned int reserved                                   : 8;
};
#define rx_audio_top3_88(val) ((rs_rx_audio_top3_88*)&(val))



#define RX_AUDIO_TOP3_8C                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0x8C)

#define RX_AUDIO_TOP3_8C_struct                                          rs_rx_audio_top3_8c

typedef struct _rs_rx_audio_top3_8c  rs_rx_audio_top3_8c;
struct _rs_rx_audio_top3_8c {
    unsigned int reg_audio_avc_force_gain_ch01              :16;
    unsigned int reg_audio_avc_force_gain_ch23              :16;
};
#define rx_audio_top3_8c(val) ((rs_rx_audio_top3_8c*)&(val))



#define RX_AUDIO_TOP3_90                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0x90)

#define RX_AUDIO_TOP3_90_struct                                          rs_rx_audio_top3_90

typedef struct _rs_rx_audio_top3_90  rs_rx_audio_top3_90;
struct _rs_rx_audio_top3_90 {
    unsigned int reg_audio_avc_force_gain_ch45              :16;
    unsigned int reg_audio_avc_force_gain_ch67              :16;
};
#define rx_audio_top3_90(val) ((rs_rx_audio_top3_90*)&(val))



#define RX_AUDIO_TOP3_94                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0x94)

#define RX_AUDIO_TOP3_94_struct                                          rs_rx_audio_top3_94

typedef struct _rs_rx_audio_top3_94  rs_rx_audio_top3_94;
struct _rs_rx_audio_top3_94 {
    unsigned int reg_audio_avc_gflt_at_ch01                 :16;
    unsigned int reg_audio_avc_gflt_at_ch23                 :16;
};
#define rx_audio_top3_94(val) ((rs_rx_audio_top3_94*)&(val))



#define RX_AUDIO_TOP3_98                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0x98)

#define RX_AUDIO_TOP3_98_struct                                          rs_rx_audio_top3_98

typedef struct _rs_rx_audio_top3_98  rs_rx_audio_top3_98;
struct _rs_rx_audio_top3_98 {
    unsigned int reg_audio_avc_gflt_at_ch45                 :16;
    unsigned int reg_audio_avc_gflt_at_ch67                 :16;
};
#define rx_audio_top3_98(val) ((rs_rx_audio_top3_98*)&(val))



#define RX_AUDIO_TOP3_9C                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0x9C)

#define RX_AUDIO_TOP3_9C_struct                                          rs_rx_audio_top3_9c

typedef struct _rs_rx_audio_top3_9c  rs_rx_audio_top3_9c;
struct _rs_rx_audio_top3_9c {
    unsigned int reg_audio_avc_lm_at_ch01                   :16;
    unsigned int reg_audio_avc_lm_at_ch23                   :16;
};
#define rx_audio_top3_9c(val) ((rs_rx_audio_top3_9c*)&(val))



#define RX_AUDIO_TOP3_A0                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0xA0)

#define RX_AUDIO_TOP3_A0_struct                                          rs_rx_audio_top3_a0

typedef struct _rs_rx_audio_top3_a0  rs_rx_audio_top3_a0;
struct _rs_rx_audio_top3_a0 {
    unsigned int reg_audio_avc_lm_at_ch45                   :16;
    unsigned int reg_audio_avc_lm_at_ch67                   :16;
};
#define rx_audio_top3_a0(val) ((rs_rx_audio_top3_a0*)&(val))



#define RX_AUDIO_TOP3_A4                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0xA4)

#define RX_AUDIO_TOP3_A4_struct                                          rs_rx_audio_top3_a4

typedef struct _rs_rx_audio_top3_a4  rs_rx_audio_top3_a4;
struct _rs_rx_audio_top3_a4 {
    unsigned int reg_audio_avc_lm_delta_ch01                :16;
    unsigned int reg_audio_avc_lm_delta_ch23                :16;
};
#define rx_audio_top3_a4(val) ((rs_rx_audio_top3_a4*)&(val))



#define RX_AUDIO_TOP3_A8                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0xA8)

#define RX_AUDIO_TOP3_A8_struct                                          rs_rx_audio_top3_a8

typedef struct _rs_rx_audio_top3_a8  rs_rx_audio_top3_a8;
struct _rs_rx_audio_top3_a8 {
    unsigned int reg_audio_avc_lm_delta_ch45                :16;
    unsigned int reg_audio_avc_lm_delta_ch67                :16;
};
#define rx_audio_top3_a8(val) ((rs_rx_audio_top3_a8*)&(val))



#define RX_AUDIO_TOP3_AC                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0xAC)

#define RX_AUDIO_TOP3_AC_struct                                          rs_rx_audio_top3_ac

typedef struct _rs_rx_audio_top3_ac  rs_rx_audio_top3_ac;
struct _rs_rx_audio_top3_ac {
    unsigned int reg_audio_avc_lm_rt_ch01                   :16;
    unsigned int reg_audio_avc_lm_rt_ch23                   :16;
};
#define rx_audio_top3_ac(val) ((rs_rx_audio_top3_ac*)&(val))



#define RX_AUDIO_TOP3_B0                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0xB0)

#define RX_AUDIO_TOP3_B0_struct                                          rs_rx_audio_top3_b0

typedef struct _rs_rx_audio_top3_b0  rs_rx_audio_top3_b0;
struct _rs_rx_audio_top3_b0 {
    unsigned int reg_audio_avc_lm_rt_ch45                   :16;
    unsigned int reg_audio_avc_lm_rt_ch67                   :16;
};
#define rx_audio_top3_b0(val) ((rs_rx_audio_top3_b0*)&(val))



#define RX_AUDIO_TOP3_B4                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0xB4)

#define RX_AUDIO_TOP3_B4_struct                                          rs_rx_audio_top3_b4

typedef struct _rs_rx_audio_top3_b4  rs_rx_audio_top3_b4;
struct _rs_rx_audio_top3_b4 {
    unsigned int reg_audio_avc_off_gain_ch01                :16;
    unsigned int reg_audio_avc_off_gain_ch23                :16;
};
#define rx_audio_top3_b4(val) ((rs_rx_audio_top3_b4*)&(val))



#define RX_AUDIO_TOP3_B8                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0xB8)

#define RX_AUDIO_TOP3_B8_struct                                          rs_rx_audio_top3_b8

typedef struct _rs_rx_audio_top3_b8  rs_rx_audio_top3_b8;
struct _rs_rx_audio_top3_b8 {
    unsigned int reg_audio_avc_off_gain_ch45                :16;
    unsigned int reg_audio_avc_off_gain_ch67                :16;
};
#define rx_audio_top3_b8(val) ((rs_rx_audio_top3_b8*)&(val))



#define RX_AUDIO_TOP3_BC                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0xBC)

#define RX_AUDIO_TOP3_BC_struct                                          rs_rx_audio_top3_bc

typedef struct _rs_rx_audio_top3_bc  rs_rx_audio_top3_bc;
struct _rs_rx_audio_top3_bc {
    unsigned int reg_audio_avc_x_thro_ch01                  :16;
    unsigned int reg_audio_avc_x_thro_ch23                  :16;
};
#define rx_audio_top3_bc(val) ((rs_rx_audio_top3_bc*)&(val))



#define RX_AUDIO_TOP3_C0                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0xC0)

#define RX_AUDIO_TOP3_C0_struct                                          rs_rx_audio_top3_c0

typedef struct _rs_rx_audio_top3_c0  rs_rx_audio_top3_c0;
struct _rs_rx_audio_top3_c0 {
    unsigned int reg_audio_avc_x_thro_ch45                  :16;
    unsigned int reg_audio_avc_x_thro_ch67                  :16;
};
#define rx_audio_top3_c0(val) ((rs_rx_audio_top3_c0*)&(val))



#define RX_AUDIO_TOP3_C4                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0xC4)

#define RX_AUDIO_TOP3_C4_struct                                          rs_rx_audio_top3_c4

typedef struct _rs_rx_audio_top3_c4  rs_rx_audio_top3_c4;
struct _rs_rx_audio_top3_c4 {
    unsigned int reg_audio_eq_bpf0_a1_ch01                  :16;
    unsigned int reg_audio_eq_bpf0_a1_ch23                  :16;
};
#define rx_audio_top3_c4(val) ((rs_rx_audio_top3_c4*)&(val))



#define RX_AUDIO_TOP3_C8                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0xC8)

#define RX_AUDIO_TOP3_C8_struct                                          rs_rx_audio_top3_c8

typedef struct _rs_rx_audio_top3_c8  rs_rx_audio_top3_c8;
struct _rs_rx_audio_top3_c8 {
    unsigned int reg_audio_eq_bpf0_a1_ch45                  :16;
    unsigned int reg_audio_eq_bpf0_a1_ch67                  :16;
};
#define rx_audio_top3_c8(val) ((rs_rx_audio_top3_c8*)&(val))



#define RX_AUDIO_TOP3_CC                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0xCC)

#define RX_AUDIO_TOP3_CC_struct                                          rs_rx_audio_top3_cc

typedef struct _rs_rx_audio_top3_cc  rs_rx_audio_top3_cc;
struct _rs_rx_audio_top3_cc {
    unsigned int reg_audio_eq_bpf0_a2_ch01                  :16;
    unsigned int reg_audio_eq_bpf0_a2_ch23                  :16;
};
#define rx_audio_top3_cc(val) ((rs_rx_audio_top3_cc*)&(val))



#define RX_AUDIO_TOP3_D0                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0xD0)

#define RX_AUDIO_TOP3_D0_struct                                          rs_rx_audio_top3_d0

typedef struct _rs_rx_audio_top3_d0  rs_rx_audio_top3_d0;
struct _rs_rx_audio_top3_d0 {
    unsigned int reg_audio_eq_bpf0_a2_ch45                  :16;
    unsigned int reg_audio_eq_bpf0_a2_ch67                  :16;
};
#define rx_audio_top3_d0(val) ((rs_rx_audio_top3_d0*)&(val))



#define RX_AUDIO_TOP3_D4                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0xD4)

#define RX_AUDIO_TOP3_D4_struct                                          rs_rx_audio_top3_d4

typedef struct _rs_rx_audio_top3_d4  rs_rx_audio_top3_d4;
struct _rs_rx_audio_top3_d4 {
    unsigned int reg_audio_eq_bpf0_h_ch01                   :16;
    unsigned int reg_audio_eq_bpf0_h_ch23                   :16;
};
#define rx_audio_top3_d4(val) ((rs_rx_audio_top3_d4*)&(val))



#define RX_AUDIO_TOP3_D8                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0xD8)

#define RX_AUDIO_TOP3_D8_struct                                          rs_rx_audio_top3_d8

typedef struct _rs_rx_audio_top3_d8  rs_rx_audio_top3_d8;
struct _rs_rx_audio_top3_d8 {
    unsigned int reg_audio_eq_bpf0_h_ch45                   :16;
    unsigned int reg_audio_eq_bpf0_h_ch67                   :16;
};
#define rx_audio_top3_d8(val) ((rs_rx_audio_top3_d8*)&(val))



#define RX_AUDIO_TOP3_DC                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0xDC)

#define RX_AUDIO_TOP3_DC_struct                                          rs_rx_audio_top3_dc

typedef struct _rs_rx_audio_top3_dc  rs_rx_audio_top3_dc;
struct _rs_rx_audio_top3_dc {
    unsigned int reg_audio_eq_bpf1_a1_ch01                  :16;
    unsigned int reg_audio_eq_bpf1_a1_ch23                  :16;
};
#define rx_audio_top3_dc(val) ((rs_rx_audio_top3_dc*)&(val))



#define RX_AUDIO_TOP3_E0                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0xE0)

#define RX_AUDIO_TOP3_E0_struct                                          rs_rx_audio_top3_e0

typedef struct _rs_rx_audio_top3_e0  rs_rx_audio_top3_e0;
struct _rs_rx_audio_top3_e0 {
    unsigned int reg_audio_eq_bpf1_a1_ch45                  :16;
    unsigned int reg_audio_eq_bpf1_a1_ch67                  :16;
};
#define rx_audio_top3_e0(val) ((rs_rx_audio_top3_e0*)&(val))



#define RX_AUDIO_TOP3_E4                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0xE4)

#define RX_AUDIO_TOP3_E4_struct                                          rs_rx_audio_top3_e4

typedef struct _rs_rx_audio_top3_e4  rs_rx_audio_top3_e4;
struct _rs_rx_audio_top3_e4 {
    unsigned int reg_audio_eq_bpf1_a2_ch01                  :16;
    unsigned int reg_audio_eq_bpf1_a2_ch23                  :16;
};
#define rx_audio_top3_e4(val) ((rs_rx_audio_top3_e4*)&(val))



#define RX_AUDIO_TOP3_E8                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0xE8)

#define RX_AUDIO_TOP3_E8_struct                                          rs_rx_audio_top3_e8

typedef struct _rs_rx_audio_top3_e8  rs_rx_audio_top3_e8;
struct _rs_rx_audio_top3_e8 {
    unsigned int reg_audio_eq_bpf1_a2_ch45                  :16;
    unsigned int reg_audio_eq_bpf1_a2_ch67                  :16;
};
#define rx_audio_top3_e8(val) ((rs_rx_audio_top3_e8*)&(val))



#define RX_AUDIO_TOP3_EC                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0xEC)

#define RX_AUDIO_TOP3_EC_struct                                          rs_rx_audio_top3_ec

typedef struct _rs_rx_audio_top3_ec  rs_rx_audio_top3_ec;
struct _rs_rx_audio_top3_ec {
    unsigned int reg_audio_eq_bpf1_h_ch01                   :16;
    unsigned int reg_audio_eq_bpf1_h_ch23                   :16;
};
#define rx_audio_top3_ec(val) ((rs_rx_audio_top3_ec*)&(val))



#define RX_AUDIO_TOP3_F0                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0xF0)

#define RX_AUDIO_TOP3_F0_struct                                          rs_rx_audio_top3_f0

typedef struct _rs_rx_audio_top3_f0  rs_rx_audio_top3_f0;
struct _rs_rx_audio_top3_f0 {
    unsigned int reg_audio_eq_bpf1_h_ch45                   :16;
    unsigned int reg_audio_eq_bpf1_h_ch67                   :16;
};
#define rx_audio_top3_f0(val) ((rs_rx_audio_top3_f0*)&(val))



#define RX_AUDIO_TOP3_F4                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0xF4)

#define RX_AUDIO_TOP3_F4_struct                                          rs_rx_audio_top3_f4

typedef struct _rs_rx_audio_top3_f4  rs_rx_audio_top3_f4;
struct _rs_rx_audio_top3_f4 {
    unsigned int reg_audio_eq_bpf2_a1_ch01                  :16;
    unsigned int reg_audio_eq_bpf2_a2_ch01                  :16;
};
#define rx_audio_top3_f4(val) ((rs_rx_audio_top3_f4*)&(val))



#define RX_AUDIO_TOP3_F8                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0xF8)

#define RX_AUDIO_TOP3_F8_struct                                          rs_rx_audio_top3_f8

typedef struct _rs_rx_audio_top3_f8  rs_rx_audio_top3_f8;
struct _rs_rx_audio_top3_f8 {
    unsigned int reg_audio_eq_bpf2_h_ch01                   :16;
    unsigned int reg_audio_eq_bpf3_a1_ch01                  :16;
};
#define rx_audio_top3_f8(val) ((rs_rx_audio_top3_f8*)&(val))



#define RX_AUDIO_TOP3_FC                                                 (HV_AUDIO_TOP3_BASE_ADDRESS + 0xFC)

#define RX_AUDIO_TOP3_FC_struct                                          rs_rx_audio_top3_fc

typedef struct _rs_rx_audio_top3_fc  rs_rx_audio_top3_fc;
struct _rs_rx_audio_top3_fc {
    unsigned int reg_audio_eq_bpf3_a2_ch01                  :16;
    unsigned int reg_audio_eq_bpf3_h_ch01                   :16;
};
#define rx_audio_top3_fc(val) ((rs_rx_audio_top3_fc*)&(val))



#endif