#ifndef _HV_PAGE_HT7315_AUDIO_TOP4_H_
#define _HV_PAGE_HT7315_AUDIO_TOP4_H_

#ifndef HV_AUDIO_TOP4_BASE_ADDRESS
    #define HV_AUDIO_TOP4_BASE_ADDRESS                                         0x11045400
#endif


#define RX_AUDIO_TOP4_00                                                 (HV_AUDIO_TOP4_BASE_ADDRESS + 0x00)

#define RX_AUDIO_TOP4_00_struct                                          rs_rx_audio_top4_00

typedef struct _rs_rx_audio_top4_00  rs_rx_audio_top4_00;
struct _rs_rx_audio_top4_00 {
    unsigned int reg_audio_eq_bpf4_a1_ch01                  :16;
    unsigned int reg_audio_eq_bpf4_a2_ch01                  :16;
};
#define rx_audio_top4_00(val) ((rs_rx_audio_top4_00*)&(val))



#define RX_AUDIO_TOP4_04                                                 (HV_AUDIO_TOP4_BASE_ADDRESS + 0x04)

#define RX_AUDIO_TOP4_04_struct                                          rs_rx_audio_top4_04

typedef struct _rs_rx_audio_top4_04  rs_rx_audio_top4_04;
struct _rs_rx_audio_top4_04 {
    unsigned int reg_audio_eq_bpf4_h_ch01                   :16;
    unsigned int reg_audio_eq_bpf5_a1_ch01                  :16;
};
#define rx_audio_top4_04(val) ((rs_rx_audio_top4_04*)&(val))



#define RX_AUDIO_TOP4_08                                                 (HV_AUDIO_TOP4_BASE_ADDRESS + 0x08)

#define RX_AUDIO_TOP4_08_struct                                          rs_rx_audio_top4_08

typedef struct _rs_rx_audio_top4_08  rs_rx_audio_top4_08;
struct _rs_rx_audio_top4_08 {
    unsigned int reg_audio_eq_bpf5_a2_ch01                  :16;
    unsigned int reg_audio_eq_bpf5_h_ch01                   :16;
};
#define rx_audio_top4_08(val) ((rs_rx_audio_top4_08*)&(val))



#define RX_AUDIO_TOP4_0C                                                 (HV_AUDIO_TOP4_BASE_ADDRESS + 0x0C)

#define RX_AUDIO_TOP4_0C_struct                                          rs_rx_audio_top4_0c

typedef struct _rs_rx_audio_top4_0c  rs_rx_audio_top4_0c;
struct _rs_rx_audio_top4_0c {
    unsigned int reg_audio_eq_bpf6_a1_ch01                  :16;
    unsigned int reg_audio_eq_bpf6_a2_ch01                  :16;
};
#define rx_audio_top4_0c(val) ((rs_rx_audio_top4_0c*)&(val))



#define RX_AUDIO_TOP4_10                                                 (HV_AUDIO_TOP4_BASE_ADDRESS + 0x10)

#define RX_AUDIO_TOP4_10_struct                                          rs_rx_audio_top4_10

typedef struct _rs_rx_audio_top4_10  rs_rx_audio_top4_10;
struct _rs_rx_audio_top4_10 {
    unsigned int reg_audio_eq_bpf6_h_ch01                   :16;
    unsigned int reg_audio_eq_bpf7_a1_ch01                  :16;
};
#define rx_audio_top4_10(val) ((rs_rx_audio_top4_10*)&(val))



#define RX_AUDIO_TOP4_14                                                 (HV_AUDIO_TOP4_BASE_ADDRESS + 0x14)

#define RX_AUDIO_TOP4_14_struct                                          rs_rx_audio_top4_14

typedef struct _rs_rx_audio_top4_14  rs_rx_audio_top4_14;
struct _rs_rx_audio_top4_14 {
    unsigned int reg_audio_eq_bpf7_a2_ch01                  :16;
    unsigned int reg_audio_eq_bpf7_h_ch01                   :16;
};
#define rx_audio_top4_14(val) ((rs_rx_audio_top4_14*)&(val))



#define RX_AUDIO_TOP4_18                                                 (HV_AUDIO_TOP4_BASE_ADDRESS + 0x18)

#define RX_AUDIO_TOP4_18_struct                                          rs_rx_audio_top4_18

typedef struct _rs_rx_audio_top4_18  rs_rx_audio_top4_18;
struct _rs_rx_audio_top4_18 {
    unsigned int reg_audio_eq_bpf8_a1_ch01                  :16;
    unsigned int reg_audio_eq_bpf8_a2_ch01                  :16;
};
#define rx_audio_top4_18(val) ((rs_rx_audio_top4_18*)&(val))



#define RX_AUDIO_TOP4_1C                                                 (HV_AUDIO_TOP4_BASE_ADDRESS + 0x1C)

#define RX_AUDIO_TOP4_1C_struct                                          rs_rx_audio_top4_1c

typedef struct _rs_rx_audio_top4_1c  rs_rx_audio_top4_1c;
struct _rs_rx_audio_top4_1c {
    unsigned int reg_audio_eq_bpf8_h_ch01                   :16;
    unsigned int reg_audio_eq_hlpf0_a_ch01                  :16;
};
#define rx_audio_top4_1c(val) ((rs_rx_audio_top4_1c*)&(val))



#define RX_AUDIO_TOP4_20                                                 (HV_AUDIO_TOP4_BASE_ADDRESS + 0x20)

#define RX_AUDIO_TOP4_20_struct                                          rs_rx_audio_top4_20

typedef struct _rs_rx_audio_top4_20  rs_rx_audio_top4_20;
struct _rs_rx_audio_top4_20 {
    unsigned int reg_audio_eq_hlpf0_a_ch23                  :16;
    unsigned int reg_audio_eq_hlpf0_a_ch45                  :16;
};
#define rx_audio_top4_20(val) ((rs_rx_audio_top4_20*)&(val))



#define RX_AUDIO_TOP4_24                                                 (HV_AUDIO_TOP4_BASE_ADDRESS + 0x24)

#define RX_AUDIO_TOP4_24_struct                                          rs_rx_audio_top4_24

typedef struct _rs_rx_audio_top4_24  rs_rx_audio_top4_24;
struct _rs_rx_audio_top4_24 {
    unsigned int reg_audio_eq_hlpf0_a_ch67                  :16;
    unsigned int reg_audio_eq_hlpf0_h_ch01                  :16;
};
#define rx_audio_top4_24(val) ((rs_rx_audio_top4_24*)&(val))



#define RX_AUDIO_TOP4_28                                                 (HV_AUDIO_TOP4_BASE_ADDRESS + 0x28)

#define RX_AUDIO_TOP4_28_struct                                          rs_rx_audio_top4_28

typedef struct _rs_rx_audio_top4_28  rs_rx_audio_top4_28;
struct _rs_rx_audio_top4_28 {
    unsigned int reg_audio_eq_hlpf0_h_ch23                  :16;
    unsigned int reg_audio_eq_hlpf0_h_ch45                  :16;
};
#define rx_audio_top4_28(val) ((rs_rx_audio_top4_28*)&(val))



#define RX_AUDIO_TOP4_2C                                                 (HV_AUDIO_TOP4_BASE_ADDRESS + 0x2C)

#define RX_AUDIO_TOP4_2C_struct                                          rs_rx_audio_top4_2c

typedef struct _rs_rx_audio_top4_2c  rs_rx_audio_top4_2c;
struct _rs_rx_audio_top4_2c {
    unsigned int reg_audio_eq_hlpf0_h_ch67                  :16;
    unsigned int reg_audio_eq_hlpf1_a_ch01                  :16;
};
#define rx_audio_top4_2c(val) ((rs_rx_audio_top4_2c*)&(val))



#define RX_AUDIO_TOP4_30                                                 (HV_AUDIO_TOP4_BASE_ADDRESS + 0x30)

#define RX_AUDIO_TOP4_30_struct                                          rs_rx_audio_top4_30

typedef struct _rs_rx_audio_top4_30  rs_rx_audio_top4_30;
struct _rs_rx_audio_top4_30 {
    unsigned int reg_audio_eq_hlpf1_h_ch01                  :16;
    unsigned int reg_audio_eq_hlpf2_a_ch01                  :16;
};
#define rx_audio_top4_30(val) ((rs_rx_audio_top4_30*)&(val))



#define RX_AUDIO_TOP4_34                                                 (HV_AUDIO_TOP4_BASE_ADDRESS + 0x34)

#define RX_AUDIO_TOP4_34_struct                                          rs_rx_audio_top4_34

typedef struct _rs_rx_audio_top4_34  rs_rx_audio_top4_34;
struct _rs_rx_audio_top4_34 {
    unsigned int reg_audio_eq_hlpf2_h_ch01                  :16;
    unsigned int reserved                                   :16;
};
#define rx_audio_top4_34(val) ((rs_rx_audio_top4_34*)&(val))



#define RX_AUDIO_TOP4_38                                                 (HV_AUDIO_TOP4_BASE_ADDRESS + 0x38)

#define RX_AUDIO_TOP4_38_struct                                          rs_rx_audio_top4_38

typedef struct _rs_rx_audio_top4_38  rs_rx_audio_top4_38;
struct _rs_rx_audio_top4_38 {
    unsigned int reg_audio_vlc_fade_y_step_ch01             :32;
};
#define rx_audio_top4_38(val) ((rs_rx_audio_top4_38*)&(val))



#define RX_AUDIO_TOP4_3C                                                 (HV_AUDIO_TOP4_BASE_ADDRESS + 0x3C)

#define RX_AUDIO_TOP4_3C_struct                                          rs_rx_audio_top4_3c

typedef struct _rs_rx_audio_top4_3c  rs_rx_audio_top4_3c;
struct _rs_rx_audio_top4_3c {
    unsigned int reg_audio_vlc_fade_y_step_ch23             :32;
};
#define rx_audio_top4_3c(val) ((rs_rx_audio_top4_3c*)&(val))



#define RX_AUDIO_TOP4_40                                                 (HV_AUDIO_TOP4_BASE_ADDRESS + 0x40)

#define RX_AUDIO_TOP4_40_struct                                          rs_rx_audio_top4_40

typedef struct _rs_rx_audio_top4_40  rs_rx_audio_top4_40;
struct _rs_rx_audio_top4_40 {
    unsigned int reg_audio_vlc_fade_y_step_ch45             :32;
};
#define rx_audio_top4_40(val) ((rs_rx_audio_top4_40*)&(val))



#define RX_AUDIO_TOP4_44                                                 (HV_AUDIO_TOP4_BASE_ADDRESS + 0x44)

#define RX_AUDIO_TOP4_44_struct                                          rs_rx_audio_top4_44

typedef struct _rs_rx_audio_top4_44  rs_rx_audio_top4_44;
struct _rs_rx_audio_top4_44 {
    unsigned int reg_audio_vlc_fade_y_step_ch67             :32;
};
#define rx_audio_top4_44(val) ((rs_rx_audio_top4_44*)&(val))



#define RX_AUDIO_TOP4_48                                                 (HV_AUDIO_TOP4_BASE_ADDRESS + 0x48)

#define RX_AUDIO_TOP4_48_struct                                          rs_rx_audio_top4_48

typedef struct _rs_rx_audio_top4_48  rs_rx_audio_top4_48;
struct _rs_rx_audio_top4_48 {
    unsigned int reg_audio_vlc_gain_l_ch01                  :32;
};
#define rx_audio_top4_48(val) ((rs_rx_audio_top4_48*)&(val))



#define RX_AUDIO_TOP4_4C                                                 (HV_AUDIO_TOP4_BASE_ADDRESS + 0x4C)

#define RX_AUDIO_TOP4_4C_struct                                          rs_rx_audio_top4_4c

typedef struct _rs_rx_audio_top4_4c  rs_rx_audio_top4_4c;
struct _rs_rx_audio_top4_4c {
    unsigned int reg_audio_vlc_gain_l_ch23                  :32;
};
#define rx_audio_top4_4c(val) ((rs_rx_audio_top4_4c*)&(val))



#define RX_AUDIO_TOP4_50                                                 (HV_AUDIO_TOP4_BASE_ADDRESS + 0x50)

#define RX_AUDIO_TOP4_50_struct                                          rs_rx_audio_top4_50

typedef struct _rs_rx_audio_top4_50  rs_rx_audio_top4_50;
struct _rs_rx_audio_top4_50 {
    unsigned int reg_audio_vlc_gain_l_ch45                  :32;
};
#define rx_audio_top4_50(val) ((rs_rx_audio_top4_50*)&(val))



#define RX_AUDIO_TOP4_54                                                 (HV_AUDIO_TOP4_BASE_ADDRESS + 0x54)

#define RX_AUDIO_TOP4_54_struct                                          rs_rx_audio_top4_54

typedef struct _rs_rx_audio_top4_54  rs_rx_audio_top4_54;
struct _rs_rx_audio_top4_54 {
    unsigned int reg_audio_vlc_gain_l_ch67                  :32;
};
#define rx_audio_top4_54(val) ((rs_rx_audio_top4_54*)&(val))



#define RX_AUDIO_TOP4_58                                                 (HV_AUDIO_TOP4_BASE_ADDRESS + 0x58)

#define RX_AUDIO_TOP4_58_struct                                          rs_rx_audio_top4_58

typedef struct _rs_rx_audio_top4_58  rs_rx_audio_top4_58;
struct _rs_rx_audio_top4_58 {
    unsigned int reg_audio_vlc_gain_r_ch01                  :32;
};
#define rx_audio_top4_58(val) ((rs_rx_audio_top4_58*)&(val))



#define RX_AUDIO_TOP4_5C                                                 (HV_AUDIO_TOP4_BASE_ADDRESS + 0x5C)

#define RX_AUDIO_TOP4_5C_struct                                          rs_rx_audio_top4_5c

typedef struct _rs_rx_audio_top4_5c  rs_rx_audio_top4_5c;
struct _rs_rx_audio_top4_5c {
    unsigned int reg_audio_vlc_gain_r_ch23                  :32;
};
#define rx_audio_top4_5c(val) ((rs_rx_audio_top4_5c*)&(val))



#define RX_AUDIO_TOP4_60                                                 (HV_AUDIO_TOP4_BASE_ADDRESS + 0x60)

#define RX_AUDIO_TOP4_60_struct                                          rs_rx_audio_top4_60

typedef struct _rs_rx_audio_top4_60  rs_rx_audio_top4_60;
struct _rs_rx_audio_top4_60 {
    unsigned int reg_audio_vlc_gain_r_ch45                  :32;
};
#define rx_audio_top4_60(val) ((rs_rx_audio_top4_60*)&(val))



#define RX_AUDIO_TOP4_64                                                 (HV_AUDIO_TOP4_BASE_ADDRESS + 0x64)

#define RX_AUDIO_TOP4_64_struct                                          rs_rx_audio_top4_64

typedef struct _rs_rx_audio_top4_64  rs_rx_audio_top4_64;
struct _rs_rx_audio_top4_64 {
    unsigned int reg_audio_vlc_gain_r_ch67                  :32;
};
#define rx_audio_top4_64(val) ((rs_rx_audio_top4_64*)&(val))



#define RX_AUDIO_TOP4_68                                                 (HV_AUDIO_TOP4_BASE_ADDRESS + 0x68)

#define RX_AUDIO_TOP4_68_struct                                          rs_rx_audio_top4_68

typedef struct _rs_rx_audio_top4_68  rs_rx_audio_top4_68;
struct _rs_rx_audio_top4_68 {
    unsigned int reg_audio_vlc_zero_cross_x_thro_ch01       :32;
};
#define rx_audio_top4_68(val) ((rs_rx_audio_top4_68*)&(val))



#define RX_AUDIO_TOP4_6C                                                 (HV_AUDIO_TOP4_BASE_ADDRESS + 0x6C)

#define RX_AUDIO_TOP4_6C_struct                                          rs_rx_audio_top4_6c

typedef struct _rs_rx_audio_top4_6c  rs_rx_audio_top4_6c;
struct _rs_rx_audio_top4_6c {
    unsigned int reg_audio_vlc_zero_cross_x_thro_ch23       :32;
};
#define rx_audio_top4_6c(val) ((rs_rx_audio_top4_6c*)&(val))



#define RX_AUDIO_TOP4_70                                                 (HV_AUDIO_TOP4_BASE_ADDRESS + 0x70)

#define RX_AUDIO_TOP4_70_struct                                          rs_rx_audio_top4_70

typedef struct _rs_rx_audio_top4_70  rs_rx_audio_top4_70;
struct _rs_rx_audio_top4_70 {
    unsigned int reg_audio_vlc_zero_cross_x_thro_ch45       :32;
};
#define rx_audio_top4_70(val) ((rs_rx_audio_top4_70*)&(val))



#define RX_AUDIO_TOP4_74                                                 (HV_AUDIO_TOP4_BASE_ADDRESS + 0x74)

#define RX_AUDIO_TOP4_74_struct                                          rs_rx_audio_top4_74

typedef struct _rs_rx_audio_top4_74  rs_rx_audio_top4_74;
struct _rs_rx_audio_top4_74 {
    unsigned int reg_audio_vlc_zero_cross_x_thro_ch67       :32;
};
#define rx_audio_top4_74(val) ((rs_rx_audio_top4_74*)&(val))



#define RX_AUDIO_TOP4_78                                                 (HV_AUDIO_TOP4_BASE_ADDRESS + 0x78)

#define RX_AUDIO_TOP4_78_struct                                          rs_rx_audio_top4_78

typedef struct _rs_rx_audio_top4_78  rs_rx_audio_top4_78;
struct _rs_rx_audio_top4_78 {
    unsigned int reg_audio_vlc_zero_cross_y_thro_ch01       :24;
    unsigned int reserved                                   : 8;
};
#define rx_audio_top4_78(val) ((rs_rx_audio_top4_78*)&(val))



#define RX_AUDIO_TOP4_7C                                                 (HV_AUDIO_TOP4_BASE_ADDRESS + 0x7C)

#define RX_AUDIO_TOP4_7C_struct                                          rs_rx_audio_top4_7c

typedef struct _rs_rx_audio_top4_7c  rs_rx_audio_top4_7c;
struct _rs_rx_audio_top4_7c {
    unsigned int reg_audio_vlc_zero_cross_y_thro_ch23       :24;
    unsigned int reserved                                   : 8;
};
#define rx_audio_top4_7c(val) ((rs_rx_audio_top4_7c*)&(val))



#define RX_AUDIO_TOP4_80                                                 (HV_AUDIO_TOP4_BASE_ADDRESS + 0x80)

#define RX_AUDIO_TOP4_80_struct                                          rs_rx_audio_top4_80

typedef struct _rs_rx_audio_top4_80  rs_rx_audio_top4_80;
struct _rs_rx_audio_top4_80 {
    unsigned int reg_audio_vlc_zero_cross_y_thro_ch45       :24;
    unsigned int reserved                                   : 8;
};
#define rx_audio_top4_80(val) ((rs_rx_audio_top4_80*)&(val))



#define RX_AUDIO_TOP4_84                                                 (HV_AUDIO_TOP4_BASE_ADDRESS + 0x84)

#define RX_AUDIO_TOP4_84_struct                                          rs_rx_audio_top4_84

typedef struct _rs_rx_audio_top4_84  rs_rx_audio_top4_84;
struct _rs_rx_audio_top4_84 {
    unsigned int reg_audio_vlc_zero_cross_y_thro_ch67       :24;
    unsigned int reserved                                   : 8;
};
#define rx_audio_top4_84(val) ((rs_rx_audio_top4_84*)&(val))



#define RX_AUDIO_TOP4_88                                                 (HV_AUDIO_TOP4_BASE_ADDRESS + 0x88)

#define RX_AUDIO_TOP4_88_struct                                          rs_rx_audio_top4_88

typedef struct _rs_rx_audio_top4_88  rs_rx_audio_top4_88;
struct _rs_rx_audio_top4_88 {
    unsigned int reg_audio_hw_test_tone_sel                 : 4;
    unsigned int reg_audio_hw_test_tone_pcm                 :24;
    unsigned int reg_audio_hw_test_tone_gain                : 4;
};
#define rx_audio_top4_88(val) ((rs_rx_audio_top4_88*)&(val))



#define RX_AUDIO_TOP4_8C                                                 (HV_AUDIO_TOP4_BASE_ADDRESS + 0x8C)

#define RX_AUDIO_TOP4_8C_struct                                          rs_rx_audio_top4_8c

typedef struct _rs_rx_audio_top4_8c  rs_rx_audio_top4_8c;
struct _rs_rx_audio_top4_8c {
    unsigned int reg_audio_hw_dly_num_ch01                  : 5;
    unsigned int reg_audio_hw_dly_num_ch23                  : 5;
    unsigned int reg_audio_hw_dly_num_ch45                  : 5;
    unsigned int reg_audio_hw_dly_num_ch67                  : 5;
    unsigned int reserved                                   :12;
};
#define rx_audio_top4_8c(val) ((rs_rx_audio_top4_8c*)&(val))



#define RX_AUDIO_TOP4_90                                                 (HV_AUDIO_TOP4_BASE_ADDRESS + 0x90)

#define RX_AUDIO_TOP4_90_struct                                          rs_rx_audio_top4_90

typedef struct _rs_rx_audio_top4_90  rs_rx_audio_top4_90;
struct _rs_rx_audio_top4_90 {
    unsigned int reg_audio_vlc_fade_x_step_ch01             :32;
};
#define rx_audio_top4_90(val) ((rs_rx_audio_top4_90*)&(val))



#define RX_AUDIO_TOP4_94                                                 (HV_AUDIO_TOP4_BASE_ADDRESS + 0x94)

#define RX_AUDIO_TOP4_94_struct                                          rs_rx_audio_top4_94

typedef struct _rs_rx_audio_top4_94  rs_rx_audio_top4_94;
struct _rs_rx_audio_top4_94 {
    unsigned int reg_audio_vlc_fade_x_step_ch23             :32;
};
#define rx_audio_top4_94(val) ((rs_rx_audio_top4_94*)&(val))



#define RX_AUDIO_TOP4_98                                                 (HV_AUDIO_TOP4_BASE_ADDRESS + 0x98)

#define RX_AUDIO_TOP4_98_struct                                          rs_rx_audio_top4_98

typedef struct _rs_rx_audio_top4_98  rs_rx_audio_top4_98;
struct _rs_rx_audio_top4_98 {
    unsigned int reg_audio_vlc_fade_x_step_ch45             :32;
};
#define rx_audio_top4_98(val) ((rs_rx_audio_top4_98*)&(val))



#define RX_AUDIO_TOP4_9C                                                 (HV_AUDIO_TOP4_BASE_ADDRESS + 0x9C)

#define RX_AUDIO_TOP4_9C_struct                                          rs_rx_audio_top4_9c

typedef struct _rs_rx_audio_top4_9c  rs_rx_audio_top4_9c;
struct _rs_rx_audio_top4_9c {
    unsigned int reg_audio_vlc_fade_x_step_ch67             :32;
};
#define rx_audio_top4_9c(val) ((rs_rx_audio_top4_9c*)&(val))



#define RX_AUDIO_TOP4_A0                                                 (HV_AUDIO_TOP4_BASE_ADDRESS + 0xA0)

#define RX_AUDIO_TOP4_A0_struct                                          rs_rx_audio_top4_a0

typedef struct _rs_rx_audio_top4_a0  rs_rx_audio_top4_a0;
struct _rs_rx_audio_top4_a0 {
    unsigned int reg_audio_avc_fade_y_step_ch01             :16;
    unsigned int reg_audio_avc_fade_y_step_ch23             :16;
};
#define rx_audio_top4_a0(val) ((rs_rx_audio_top4_a0*)&(val))



#define RX_AUDIO_TOP4_A4                                                 (HV_AUDIO_TOP4_BASE_ADDRESS + 0xA4)

#define RX_AUDIO_TOP4_A4_struct                                          rs_rx_audio_top4_a4

typedef struct _rs_rx_audio_top4_a4  rs_rx_audio_top4_a4;
struct _rs_rx_audio_top4_a4 {
    unsigned int reg_audio_avc_fade_y_step_ch45             :16;
    unsigned int reg_audio_avc_fade_y_step_ch67             :16;
};
#define rx_audio_top4_a4(val) ((rs_rx_audio_top4_a4*)&(val))



#define RX_AUDIO_TOP4_C0                                                 (HV_AUDIO_TOP4_BASE_ADDRESS + 0xC0)

#define RX_AUDIO_TOP4_C0_struct                                          rs_rx_audio_top4_c0

typedef struct _rs_rx_audio_top4_c0  rs_rx_audio_top4_c0;
struct _rs_rx_audio_top4_c0 {
    unsigned int regr_audio_avc_gain_ch01                   :24;
    unsigned int reserved                                   : 8;
};
#define rx_audio_top4_c0(val) ((rs_rx_audio_top4_c0*)&(val))



#define RX_AUDIO_TOP4_C4                                                 (HV_AUDIO_TOP4_BASE_ADDRESS + 0xC4)

#define RX_AUDIO_TOP4_C4_struct                                          rs_rx_audio_top4_c4

typedef struct _rs_rx_audio_top4_c4  rs_rx_audio_top4_c4;
struct _rs_rx_audio_top4_c4 {
    unsigned int regr_audio_avc_gain_ch23                   :24;
    unsigned int reserved                                   : 8;
};
#define rx_audio_top4_c4(val) ((rs_rx_audio_top4_c4*)&(val))



#define RX_AUDIO_TOP4_C8                                                 (HV_AUDIO_TOP4_BASE_ADDRESS + 0xC8)

#define RX_AUDIO_TOP4_C8_struct                                          rs_rx_audio_top4_c8

typedef struct _rs_rx_audio_top4_c8  rs_rx_audio_top4_c8;
struct _rs_rx_audio_top4_c8 {
    unsigned int regr_audio_avc_gain_ch45                   :24;
    unsigned int reserved                                   : 8;
};
#define rx_audio_top4_c8(val) ((rs_rx_audio_top4_c8*)&(val))



#define RX_AUDIO_TOP4_CC                                                 (HV_AUDIO_TOP4_BASE_ADDRESS + 0xCC)

#define RX_AUDIO_TOP4_CC_struct                                          rs_rx_audio_top4_cc

typedef struct _rs_rx_audio_top4_cc  rs_rx_audio_top4_cc;
struct _rs_rx_audio_top4_cc {
    unsigned int regr_audio_avc_gain_ch67                   :24;
    unsigned int reserved                                   : 8;
};
#define rx_audio_top4_cc(val) ((rs_rx_audio_top4_cc*)&(val))



#define RX_AUDIO_TOP4_D0                                                 (HV_AUDIO_TOP4_BASE_ADDRESS + 0xD0)

#define RX_AUDIO_TOP4_D0_struct                                          rs_rx_audio_top4_d0

typedef struct _rs_rx_audio_top4_d0  rs_rx_audio_top4_d0;
struct _rs_rx_audio_top4_d0 {
    unsigned int regr_audio_avc_status_ch01                 : 3;
    unsigned int regr_audio_avc_status_ch23                 : 3;
    unsigned int regr_audio_avc_status_ch45                 : 3;
    unsigned int regr_audio_avc_status_ch67                 : 3;
    unsigned int regr_audio_vlc_x_abn_ch01                  : 1;
    unsigned int regr_audio_vlc_x_abn_ch23                  : 1;
    unsigned int regr_audio_vlc_x_abn_ch45                  : 1;
    unsigned int regr_audio_vlc_x_abn_ch67                  : 1;
    unsigned int reserved                                   :16;
};
#define rx_audio_top4_d0(val) ((rs_rx_audio_top4_d0*)&(val))



#define RX_AUDIO_TOP4_D4                                                 (HV_AUDIO_TOP4_BASE_ADDRESS + 0xD4)

#define RX_AUDIO_TOP4_D4_struct                                          rs_rx_audio_top4_d4

typedef struct _rs_rx_audio_top4_d4  rs_rx_audio_top4_d4;
struct _rs_rx_audio_top4_d4 {
    unsigned int reg_audio_int_bypass                       :11;
    unsigned int reg_audio_int_en                           :11;
    unsigned int reserved                                   :10;
};
#define rx_audio_top4_d4(val) ((rs_rx_audio_top4_d4*)&(val))



#define RX_AUDIO_TOP4_D8                                                 (HV_AUDIO_TOP4_BASE_ADDRESS + 0xD8)

#define RX_AUDIO_TOP4_D8_struct                                          rs_rx_audio_top4_d8

typedef struct _rs_rx_audio_top4_d8  rs_rx_audio_top4_d8;
struct _rs_rx_audio_top4_d8 {
    unsigned int reg_audio_int_clr                          :11;
    unsigned int reg_audio_int_level_p                      :11;
    unsigned int reserved                                   :10;
};
#define rx_audio_top4_d8(val) ((rs_rx_audio_top4_d8*)&(val))



#define RX_AUDIO_TOP4_DC                                                 (HV_AUDIO_TOP4_BASE_ADDRESS + 0xDC)

#define RX_AUDIO_TOP4_DC_struct                                          rs_rx_audio_top4_dc

typedef struct _rs_rx_audio_top4_dc  rs_rx_audio_top4_dc;
struct _rs_rx_audio_top4_dc {
    unsigned int reg_audio_int_level_n                      :11;
    unsigned int reg_audio_int_edge_p                       :11;
    unsigned int reserved                                   :10;
};
#define rx_audio_top4_dc(val) ((rs_rx_audio_top4_dc*)&(val))



#define RX_AUDIO_TOP4_E0                                                 (HV_AUDIO_TOP4_BASE_ADDRESS + 0xE0)

#define RX_AUDIO_TOP4_E0_struct                                          rs_rx_audio_top4_e0

typedef struct _rs_rx_audio_top4_e0  rs_rx_audio_top4_e0;
struct _rs_rx_audio_top4_e0 {
    unsigned int reg_audio_int_edge_n                       :11;
    unsigned int regr_audio_int_pending                     :11;
    unsigned int reserved                                   :10;
};
#define rx_audio_top4_e0(val) ((rs_rx_audio_top4_e0*)&(val))



#define RX_AUDIO_TOP4_E4                                                 (HV_AUDIO_TOP4_BASE_ADDRESS + 0xE4)

#define RX_AUDIO_TOP4_E4_struct                                          rs_rx_audio_top4_e4

typedef struct _rs_rx_audio_top4_e4  rs_rx_audio_top4_e4;
struct _rs_rx_audio_top4_e4 {
    unsigned int regr_audio_int_out                         :11;
    unsigned int reserved                                   :21;
};
#define rx_audio_top4_e4(val) ((rs_rx_audio_top4_e4*)&(val))



#define RX_AUDIO_TOP4_E8                                                 (HV_AUDIO_TOP4_BASE_ADDRESS + 0xE8)

#define RX_AUDIO_TOP4_E8_struct                                          rs_rx_audio_top4_e8

typedef struct _rs_rx_audio_top4_e8  rs_rx_audio_top4_e8;
struct _rs_rx_audio_top4_e8 {
    unsigned int reg_int_mon_sel                            : 8;
    unsigned int regr_int_mon_cnt                           : 8;
    unsigned int reserved                                   :16;
};
#define rx_audio_top4_e8(val) ((rs_rx_audio_top4_e8*)&(val))



#define RX_AUDIO_TOP4_EC                                                 (HV_AUDIO_TOP4_BASE_ADDRESS + 0xEC)

#define RX_AUDIO_TOP4_EC_struct                                          rs_rx_audio_top4_ec

typedef struct _rs_rx_audio_top4_ec  rs_rx_audio_top4_ec;
struct _rs_rx_audio_top4_ec {
    unsigned int reg_cable_detect_filter                    :24;
    unsigned int reserved                                   : 8;
};
#define rx_audio_top4_ec(val) ((rs_rx_audio_top4_ec*)&(val))



#define RX_AUDIO_TOP4_F0                                                 (HV_AUDIO_TOP4_BASE_ADDRESS + 0xF0)

#define RX_AUDIO_TOP4_F0_struct                                          rs_rx_audio_top4_f0

typedef struct _rs_rx_audio_top4_f0  rs_rx_audio_top4_f0;
struct _rs_rx_audio_top4_f0 {
    unsigned int reg_edp_aud_abnormal_filter                :24;
    unsigned int reserved                                   : 8;
};
#define rx_audio_top4_f0(val) ((rs_rx_audio_top4_f0*)&(val))



#define RX_AUDIO_TOP4_F4                                                 (HV_AUDIO_TOP4_BASE_ADDRESS + 0xF4)

#define RX_AUDIO_TOP4_F4_struct                                          rs_rx_audio_top4_f4

typedef struct _rs_rx_audio_top4_f4  rs_rx_audio_top4_f4;
struct _rs_rx_audio_top4_f4 {
    unsigned int reg_edp_aud_mute_filter                    :24;
    unsigned int reserved                                   : 8;
};
#define rx_audio_top4_f4(val) ((rs_rx_audio_top4_f4*)&(val))



#define RX_AUDIO_TOP4_F8                                                 (HV_AUDIO_TOP4_BASE_ADDRESS + 0xF8)

#define RX_AUDIO_TOP4_F8_struct                                          rs_rx_audio_top4_f8

typedef struct _rs_rx_audio_top4_f8  rs_rx_audio_top4_f8;
struct _rs_rx_audio_top4_f8 {
    unsigned int reg_hdmi_aud_abnormal_filter               :24;
    unsigned int reserved                                   : 8;
};
#define rx_audio_top4_f8(val) ((rs_rx_audio_top4_f8*)&(val))



#define RX_AUDIO_TOP4_FC                                                 (HV_AUDIO_TOP4_BASE_ADDRESS + 0xFC)

#define RX_AUDIO_TOP4_FC_struct                                          rs_rx_audio_top4_fc

typedef struct _rs_rx_audio_top4_fc  rs_rx_audio_top4_fc;
struct _rs_rx_audio_top4_fc {
    unsigned int reg_hdmi_aud_mute_filter                   :24;
    unsigned int reserved                                   : 8;
};
#define rx_audio_top4_fc(val) ((rs_rx_audio_top4_fc*)&(val))



#endif