#ifndef _HV_PAGE_HT7315_CMPI_TOP_H_
#define _HV_PAGE_HT7315_CMPI_TOP_H_

#ifndef HV_CMPI_TOP_BASE_ADDRESS
    #define HV_CMPI_TOP_BASE_ADDRESS                                         0x1105E700
#endif


#define TX_CMPI_TOP_CMPI_CTRL0                                           (HV_CMPI_TOP_BASE_ADDRESS + 0x00)

#define TX_CMPI_TOP_CMPI_CTRL0_struct                                    rs_tx_cmpi_top_cmpi_ctrl0

typedef struct _rs_tx_cmpi_top_cmpi_ctrl0  rs_tx_cmpi_top_cmpi_ctrl0;
struct _rs_tx_cmpi_top_cmpi_ctrl0 {
    unsigned int reg_cmpi_en                                : 1;
    unsigned int reg_cmpi_gamma_invbp_en                    : 1;
    unsigned int reg_cmpi_bit_mode                          : 1;
    unsigned int reg_cmpi_gamma_pos                         :15;
    unsigned int reg_cmpi_afgam_st1line_num                 : 4;
    unsigned int reg_cmpi_force_lock_en                     : 1;
    unsigned int reg_cmpi_lock_val                          : 1;
    unsigned int reg_cmpi_insert_trnum                      : 4;
    unsigned int reg_cmpi_hblk_cnt_en                       : 1;
    unsigned int reg_cmpi_st1_en                            : 1;
    unsigned int reg_cmpi_abnor_proc_en                     : 1;
    unsigned int reserved                                   : 1;
};
#define tx_cmpi_top_cmpi_ctrl0(val) ((rs_tx_cmpi_top_cmpi_ctrl0*)&(val))



#define TX_CMPI_TOP_CMPI_CTRL1                                           (HV_CMPI_TOP_BASE_ADDRESS + 0x0C)

#define TX_CMPI_TOP_CMPI_CTRL1_struct                                    rs_tx_cmpi_top_cmpi_ctrl1

typedef struct _rs_tx_cmpi_top_cmpi_ctrl1  rs_tx_cmpi_top_cmpi_ctrl1;
struct _rs_tx_cmpi_top_cmpi_ctrl1 {
    unsigned int reg_cmpi_cmd_useptg_sel_c0                 : 5;
    unsigned int reg_cmpi_cmd_num                           : 3;
    unsigned int reg_cmpi_cmd0_line_chg_en                  : 1;
    unsigned int reg_cmpi_cmd0_line_chg_period              : 2;
    unsigned int reserved                                   :21;
};
#define tx_cmpi_top_cmpi_ctrl1(val) ((rs_tx_cmpi_top_cmpi_ctrl1*)&(val))



#define TX_CMPI_TOP_CMPI_CTRL4                                           (HV_CMPI_TOP_BASE_ADDRESS + 0x10)

#define TX_CMPI_TOP_CMPI_CTRL4_struct                                    rs_tx_cmpi_top_cmpi_ctrl4

typedef struct _rs_tx_cmpi_top_cmpi_ctrl4  rs_tx_cmpi_top_cmpi_ctrl4;
struct _rs_tx_cmpi_top_cmpi_ctrl4 {
    unsigned int reg_cmpi_cmd_useptg_sel_c1                 : 5;
    unsigned int reg_cmpi_cmd_useptg_sel_c2                 : 5;
    unsigned int reg_cmpi_cmd_useptg_sel_c3                 : 5;
    unsigned int reg_cmpi_cmd_useptg_sel_c4                 : 5;
    unsigned int reg_cmpi_cmd_useptg_sel_c5                 : 5;
    unsigned int reg_cmpi_cmd_useptg_sel_c6                 : 5;
    unsigned int reserved                                   : 2;
};
#define tx_cmpi_top_cmpi_ctrl4(val) ((rs_tx_cmpi_top_cmpi_ctrl4*)&(val))



#define TX_CMPI_TOP_CMPI_CTRL5                                           (HV_CMPI_TOP_BASE_ADDRESS + 0x14)

#define TX_CMPI_TOP_CMPI_CTRL5_struct                                    rs_tx_cmpi_top_cmpi_ctrl5

typedef struct _rs_tx_cmpi_top_cmpi_ctrl5  rs_tx_cmpi_top_cmpi_ctrl5;
struct _rs_tx_cmpi_top_cmpi_ctrl5 {
    unsigned int reg_cmpi_cmd_useptg_sel_c7                 : 5;
    unsigned int reg_cmpi_cmd_useptg_sel_c8                 : 5;
    unsigned int reg_cmpi_cmd_useptg_sel_c9                 : 5;
    unsigned int reg_cmpi_cmd_useptg_sel_c10                : 5;
    unsigned int reg_cmpi_cmd_useptg_sel_c11                : 5;
    unsigned int reg_cmpi_cmd_useptg_sel_c12                : 5;
    unsigned int reserved                                   : 2;
};
#define tx_cmpi_top_cmpi_ctrl5(val) ((rs_tx_cmpi_top_cmpi_ctrl5*)&(val))



#define TX_CMPI_TOP_CMPI_CTRL6                                           (HV_CMPI_TOP_BASE_ADDRESS + 0x18)

#define TX_CMPI_TOP_CMPI_CTRL6_struct                                    rs_tx_cmpi_top_cmpi_ctrl6

typedef struct _rs_tx_cmpi_top_cmpi_ctrl6  rs_tx_cmpi_top_cmpi_ctrl6;
struct _rs_tx_cmpi_top_cmpi_ctrl6 {
    unsigned int reg_cmpi_cmd_useptg_sel_c13                : 5;
    unsigned int reg_cmpi_cmd_useptg_sel_c14                : 5;
    unsigned int reg_cmpi_cmd_useptg_sel_c15                : 5;
    unsigned int reg_cmpi_cmd_useptg_sel_c16                : 5;
    unsigned int reg_cmpi_cmd_useptg_sel_c17                : 5;
    unsigned int reg_cmpi_cmd_useptg_sel_c18                : 5;
    unsigned int reserved                                   : 2;
};
#define tx_cmpi_top_cmpi_ctrl6(val) ((rs_tx_cmpi_top_cmpi_ctrl6*)&(val))



#define TX_CMPI_TOP_CMPI_CTRL7                                           (HV_CMPI_TOP_BASE_ADDRESS + 0x1C)

#define TX_CMPI_TOP_CMPI_CTRL7_struct                                    rs_tx_cmpi_top_cmpi_ctrl7

typedef struct _rs_tx_cmpi_top_cmpi_ctrl7  rs_tx_cmpi_top_cmpi_ctrl7;
struct _rs_tx_cmpi_top_cmpi_ctrl7 {
    unsigned int reg_cmpi_cmd_useptg_sel_c19                : 5;
    unsigned int reg_cmpi_cmd_useptg_sel_c20                : 5;
    unsigned int reg_cmpi_cmd_useptg_sel_c21                : 5;
    unsigned int reg_cmpi_cmd_useptg_sel_c22                : 5;
    unsigned int reg_cmpi_cmd_useptg_sel_c23                : 5;
    unsigned int reserved                                   : 7;
};
#define tx_cmpi_top_cmpi_ctrl7(val) ((rs_tx_cmpi_top_cmpi_ctrl7*)&(val))



#define TX_CMPI_TOP_CMPI_CTRL8                                           (HV_CMPI_TOP_BASE_ADDRESS + 0x20)

#define TX_CMPI_TOP_CMPI_CTRL8_struct                                    rs_tx_cmpi_top_cmpi_ctrl8

typedef struct _rs_tx_cmpi_top_cmpi_ctrl8  rs_tx_cmpi_top_cmpi_ctrl8;
struct _rs_tx_cmpi_top_cmpi_ctrl8 {
    unsigned int reg_cmpi_scrb_rst_period                   :15;
    unsigned int reserved                                   :17;
};
#define tx_cmpi_top_cmpi_ctrl8(val) ((rs_tx_cmpi_top_cmpi_ctrl8*)&(val))



#define TX_CMPI_TOP_CMPI_CTRL9                                           (HV_CMPI_TOP_BASE_ADDRESS + 0x24)

#define TX_CMPI_TOP_CMPI_CTRL9_struct                                    rs_tx_cmpi_top_cmpi_ctrl9

typedef struct _rs_tx_cmpi_top_cmpi_ctrl9  rs_tx_cmpi_top_cmpi_ctrl9;
struct _rs_tx_cmpi_top_cmpi_ctrl9 {
    unsigned int reg_cmpi_cdr_patt                          :24;
    unsigned int reserved                                   : 8;
};
#define tx_cmpi_top_cmpi_ctrl9(val) ((rs_tx_cmpi_top_cmpi_ctrl9*)&(val))



#define TX_CMPI_TOP_CMPI_CTRL13                                          (HV_CMPI_TOP_BASE_ADDRESS + 0x28)

#define TX_CMPI_TOP_CMPI_CTRL13_struct                                   rs_tx_cmpi_top_cmpi_ctrl13

typedef struct _rs_tx_cmpi_top_cmpi_ctrl13  rs_tx_cmpi_top_cmpi_ctrl13;
struct _rs_tx_cmpi_top_cmpi_ctrl13 {
    unsigned int reg_cmpi_cmd_header                        :24;
    unsigned int reg_cmpi_data_delimiter                    : 3;
    unsigned int reg_cmpi_cmd_delimiter                     : 3;
    unsigned int reserved                                   : 2;
};
#define tx_cmpi_top_cmpi_ctrl13(val) ((rs_tx_cmpi_top_cmpi_ctrl13*)&(val))



#define TX_CMPI_TOP_CMPI_CTRL14                                          (HV_CMPI_TOP_BASE_ADDRESS + 0x2C)

#define TX_CMPI_TOP_CMPI_CTRL14_struct                                   rs_tx_cmpi_top_cmpi_ctrl14

typedef struct _rs_tx_cmpi_top_cmpi_ctrl14  rs_tx_cmpi_top_cmpi_ctrl14;
struct _rs_tx_cmpi_top_cmpi_ctrl14 {
    unsigned int reg_cmpi_data_pkt_header                   :24;
    unsigned int reserved                                   : 8;
};
#define tx_cmpi_top_cmpi_ctrl14(val) ((rs_tx_cmpi_top_cmpi_ctrl14*)&(val))



#define TX_CMPI_TOP_CMPI_CTRL15                                          (HV_CMPI_TOP_BASE_ADDRESS + 0x30)

#define TX_CMPI_TOP_CMPI_CTRL15_struct                                   rs_tx_cmpi_top_cmpi_ctrl15

typedef struct _rs_tx_cmpi_top_cmpi_ctrl15  rs_tx_cmpi_top_cmpi_ctrl15;
struct _rs_tx_cmpi_top_cmpi_ctrl15 {
    unsigned int reg_cmpi_dummy_data                        :24;
    unsigned int reg_cmpi_dummy_en                          : 1;
    unsigned int reserved                                   : 7;
};
#define tx_cmpi_top_cmpi_ctrl15(val) ((rs_tx_cmpi_top_cmpi_ctrl15*)&(val))



#define TX_CMPI_TOP_CMPI_CTRL16                                          (HV_CMPI_TOP_BASE_ADDRESS + 0x34)

#define TX_CMPI_TOP_CMPI_CTRL16_struct                                   rs_tx_cmpi_top_cmpi_ctrl16

typedef struct _rs_tx_cmpi_top_cmpi_ctrl16  rs_tx_cmpi_top_cmpi_ctrl16;
struct _rs_tx_cmpi_top_cmpi_ctrl16 {
    unsigned int reg_cmpi_gamma_data0                       :24;
    unsigned int reserved                                   : 8;
};
#define tx_cmpi_top_cmpi_ctrl16(val) ((rs_tx_cmpi_top_cmpi_ctrl16*)&(val))



#define TX_CMPI_TOP_CMPI_CTRL17                                          (HV_CMPI_TOP_BASE_ADDRESS + 0x38)

#define TX_CMPI_TOP_CMPI_CTRL17_struct                                   rs_tx_cmpi_top_cmpi_ctrl17

typedef struct _rs_tx_cmpi_top_cmpi_ctrl17  rs_tx_cmpi_top_cmpi_ctrl17;
struct _rs_tx_cmpi_top_cmpi_ctrl17 {
    unsigned int reg_cmpi_gamma_data1                       :24;
    unsigned int reserved                                   : 8;
};
#define tx_cmpi_top_cmpi_ctrl17(val) ((rs_tx_cmpi_top_cmpi_ctrl17*)&(val))



#define TX_CMPI_TOP_CMPI_CTRL18                                          (HV_CMPI_TOP_BASE_ADDRESS + 0x3C)

#define TX_CMPI_TOP_CMPI_CTRL18_struct                                   rs_tx_cmpi_top_cmpi_ctrl18

typedef struct _rs_tx_cmpi_top_cmpi_ctrl18  rs_tx_cmpi_top_cmpi_ctrl18;
struct _rs_tx_cmpi_top_cmpi_ctrl18 {
    unsigned int reg_cmpi_gamma_data2                       :24;
    unsigned int reserved                                   : 8;
};
#define tx_cmpi_top_cmpi_ctrl18(val) ((rs_tx_cmpi_top_cmpi_ctrl18*)&(val))



#define TX_CMPI_TOP_CMPI_CTRL19                                          (HV_CMPI_TOP_BASE_ADDRESS + 0x40)

#define TX_CMPI_TOP_CMPI_CTRL19_struct                                   rs_tx_cmpi_top_cmpi_ctrl19

typedef struct _rs_tx_cmpi_top_cmpi_ctrl19  rs_tx_cmpi_top_cmpi_ctrl19;
struct _rs_tx_cmpi_top_cmpi_ctrl19 {
    unsigned int reg_cmpi_gamma_data3                       :24;
    unsigned int reserved                                   : 8;
};
#define tx_cmpi_top_cmpi_ctrl19(val) ((rs_tx_cmpi_top_cmpi_ctrl19*)&(val))



#define TX_CMPI_TOP_CMPI_CTRL20                                          (HV_CMPI_TOP_BASE_ADDRESS + 0x44)

#define TX_CMPI_TOP_CMPI_CTRL20_struct                                   rs_tx_cmpi_top_cmpi_ctrl20

typedef struct _rs_tx_cmpi_top_cmpi_ctrl20  rs_tx_cmpi_top_cmpi_ctrl20;
struct _rs_tx_cmpi_top_cmpi_ctrl20 {
    unsigned int reg_cmpi_gamma_data4                       :24;
    unsigned int reserved                                   : 8;
};
#define tx_cmpi_top_cmpi_ctrl20(val) ((rs_tx_cmpi_top_cmpi_ctrl20*)&(val))



#define TX_CMPI_TOP_CMPI_CTRL21                                          (HV_CMPI_TOP_BASE_ADDRESS + 0x48)

#define TX_CMPI_TOP_CMPI_CTRL21_struct                                   rs_tx_cmpi_top_cmpi_ctrl21

typedef struct _rs_tx_cmpi_top_cmpi_ctrl21  rs_tx_cmpi_top_cmpi_ctrl21;
struct _rs_tx_cmpi_top_cmpi_ctrl21 {
    unsigned int reg_cmpi_gamma_data5                       :24;
    unsigned int reserved                                   : 8;
};
#define tx_cmpi_top_cmpi_ctrl21(val) ((rs_tx_cmpi_top_cmpi_ctrl21*)&(val))



#define TX_CMPI_TOP_CMPI_CTRL22                                          (HV_CMPI_TOP_BASE_ADDRESS + 0x4C)

#define TX_CMPI_TOP_CMPI_CTRL22_struct                                   rs_tx_cmpi_top_cmpi_ctrl22

typedef struct _rs_tx_cmpi_top_cmpi_ctrl22  rs_tx_cmpi_top_cmpi_ctrl22;
struct _rs_tx_cmpi_top_cmpi_ctrl22 {
    unsigned int reg_cmpi_gamma_data6                       :24;
    unsigned int reserved                                   : 8;
};
#define tx_cmpi_top_cmpi_ctrl22(val) ((rs_tx_cmpi_top_cmpi_ctrl22*)&(val))



#define TX_CMPI_TOP_CMPI_CTRL23                                          (HV_CMPI_TOP_BASE_ADDRESS + 0x50)

#define TX_CMPI_TOP_CMPI_CTRL23_struct                                   rs_tx_cmpi_top_cmpi_ctrl23

typedef struct _rs_tx_cmpi_top_cmpi_ctrl23  rs_tx_cmpi_top_cmpi_ctrl23;
struct _rs_tx_cmpi_top_cmpi_ctrl23 {
    unsigned int reg_cmpi_gamma_data7                       :24;
    unsigned int reserved                                   : 8;
};
#define tx_cmpi_top_cmpi_ctrl23(val) ((rs_tx_cmpi_top_cmpi_ctrl23*)&(val))



#define TX_CMPI_TOP_CMPI_CTRL24                                          (HV_CMPI_TOP_BASE_ADDRESS + 0x54)

#define TX_CMPI_TOP_CMPI_CTRL24_struct                                   rs_tx_cmpi_top_cmpi_ctrl24

typedef struct _rs_tx_cmpi_top_cmpi_ctrl24  rs_tx_cmpi_top_cmpi_ctrl24;
struct _rs_tx_cmpi_top_cmpi_ctrl24 {
    unsigned int reg_cmpi_gamma_data8                       :24;
    unsigned int reserved                                   : 8;
};
#define tx_cmpi_top_cmpi_ctrl24(val) ((rs_tx_cmpi_top_cmpi_ctrl24*)&(val))



#define TX_CMPI_TOP_CMPI_CTRL25                                          (HV_CMPI_TOP_BASE_ADDRESS + 0x58)

#define TX_CMPI_TOP_CMPI_CTRL25_struct                                   rs_tx_cmpi_top_cmpi_ctrl25

typedef struct _rs_tx_cmpi_top_cmpi_ctrl25  rs_tx_cmpi_top_cmpi_ctrl25;
struct _rs_tx_cmpi_top_cmpi_ctrl25 {
    unsigned int reg_cmpi_gamma_data9                       :24;
    unsigned int reserved                                   : 8;
};
#define tx_cmpi_top_cmpi_ctrl25(val) ((rs_tx_cmpi_top_cmpi_ctrl25*)&(val))



#define TX_CMPI_TOP_CMPI_CTRL26                                          (HV_CMPI_TOP_BASE_ADDRESS + 0x5C)

#define TX_CMPI_TOP_CMPI_CTRL26_struct                                   rs_tx_cmpi_top_cmpi_ctrl26

typedef struct _rs_tx_cmpi_top_cmpi_ctrl26  rs_tx_cmpi_top_cmpi_ctrl26;
struct _rs_tx_cmpi_top_cmpi_ctrl26 {
    unsigned int reg_cmpi_gamma_pkt_end                     :24;
    unsigned int reserved                                   : 8;
};
#define tx_cmpi_top_cmpi_ctrl26(val) ((rs_tx_cmpi_top_cmpi_ctrl26*)&(val))



#define TX_CMPI_TOP_CMPI_CTRL27                                          (HV_CMPI_TOP_BASE_ADDRESS + 0x60)

#define TX_CMPI_TOP_CMPI_CTRL27_struct                                   rs_tx_cmpi_top_cmpi_ctrl27

typedef struct _rs_tx_cmpi_top_cmpi_ctrl27  rs_tx_cmpi_top_cmpi_ctrl27;
struct _rs_tx_cmpi_top_cmpi_ctrl27 {
    unsigned int reg_cmpi_gamma_pkt_start                   :24;
    unsigned int reserved                                   : 8;
};
#define tx_cmpi_top_cmpi_ctrl27(val) ((rs_tx_cmpi_top_cmpi_ctrl27*)&(val))



#define TX_CMPI_TOP_CMPI_CTRL28                                          (HV_CMPI_TOP_BASE_ADDRESS + 0x64)

#define TX_CMPI_TOP_CMPI_CTRL28_struct                                   rs_tx_cmpi_top_cmpi_ctrl28

typedef struct _rs_tx_cmpi_top_cmpi_ctrl28  rs_tx_cmpi_top_cmpi_ctrl28;
struct _rs_tx_cmpi_top_cmpi_ctrl28 {
    unsigned int reg_cmpi_st1_patt_0                        :24;
    unsigned int reserved                                   : 8;
};
#define tx_cmpi_top_cmpi_ctrl28(val) ((rs_tx_cmpi_top_cmpi_ctrl28*)&(val))



#define TX_CMPI_TOP_CMPI_CTRL29                                          (HV_CMPI_TOP_BASE_ADDRESS + 0x68)

#define TX_CMPI_TOP_CMPI_CTRL29_struct                                   rs_tx_cmpi_top_cmpi_ctrl29

typedef struct _rs_tx_cmpi_top_cmpi_ctrl29  rs_tx_cmpi_top_cmpi_ctrl29;
struct _rs_tx_cmpi_top_cmpi_ctrl29 {
    unsigned int reg_cmpi_st1_patt_1                        :24;
    unsigned int reserved                                   : 8;
};
#define tx_cmpi_top_cmpi_ctrl29(val) ((rs_tx_cmpi_top_cmpi_ctrl29*)&(val))



#define TX_CMPI_TOP_CMPI_CTRL30                                          (HV_CMPI_TOP_BASE_ADDRESS + 0x6C)

#define TX_CMPI_TOP_CMPI_CTRL30_struct                                   rs_tx_cmpi_top_cmpi_ctrl30

typedef struct _rs_tx_cmpi_top_cmpi_ctrl30  rs_tx_cmpi_top_cmpi_ctrl30;
struct _rs_tx_cmpi_top_cmpi_ctrl30 {
    unsigned int reg_cmpi_den_line_add_0                    :32;
};
#define tx_cmpi_top_cmpi_ctrl30(val) ((rs_tx_cmpi_top_cmpi_ctrl30*)&(val))



#define TX_CMPI_TOP_CMPI_CTRL31                                          (HV_CMPI_TOP_BASE_ADDRESS + 0x70)

#define TX_CMPI_TOP_CMPI_CTRL31_struct                                   rs_tx_cmpi_top_cmpi_ctrl31

typedef struct _rs_tx_cmpi_top_cmpi_ctrl31  rs_tx_cmpi_top_cmpi_ctrl31;
struct _rs_tx_cmpi_top_cmpi_ctrl31 {
    unsigned int reg_cmpi_den_line_add_1                    :16;
    unsigned int reg_cmpi_ld_out_sel                        : 5;
    unsigned int reserved                                   :11;
};
#define tx_cmpi_top_cmpi_ctrl31(val) ((rs_tx_cmpi_top_cmpi_ctrl31*)&(val))



#define TX_CMPI_TOP_CTRL_74                                              (HV_CMPI_TOP_BASE_ADDRESS + 0x74)

#define TX_CMPI_TOP_CTRL_74_struct                                       rs_tx_cmpi_top_ctrl_74

typedef struct _rs_tx_cmpi_top_ctrl_74  rs_tx_cmpi_top_ctrl_74;
struct _rs_tx_cmpi_top_ctrl_74 {
    unsigned int reg_cmpi_ln16_cmd_data2                    :24;
    unsigned int reserved                                   : 8;
};
#define tx_cmpi_top_ctrl_74(val) ((rs_tx_cmpi_top_ctrl_74*)&(val))



#define TX_CMPI_TOP_CTRL_78                                              (HV_CMPI_TOP_BASE_ADDRESS + 0x78)

#define TX_CMPI_TOP_CTRL_78_struct                                       rs_tx_cmpi_top_ctrl_78

typedef struct _rs_tx_cmpi_top_ctrl_78  rs_tx_cmpi_top_ctrl_78;
struct _rs_tx_cmpi_top_ctrl_78 {
    unsigned int reg_cmpi_ln17_cmd_data2                    :24;
    unsigned int reserved                                   : 8;
};
#define tx_cmpi_top_ctrl_78(val) ((rs_tx_cmpi_top_ctrl_78*)&(val))



#define TX_CMPI_TOP_CTRL_7C                                              (HV_CMPI_TOP_BASE_ADDRESS + 0x7C)

#define TX_CMPI_TOP_CTRL_7C_struct                                       rs_tx_cmpi_top_ctrl_7c

typedef struct _rs_tx_cmpi_top_ctrl_7c  rs_tx_cmpi_top_ctrl_7c;
struct _rs_tx_cmpi_top_ctrl_7c {
    unsigned int reg_cmpi_ln18_cmd_data2                    :24;
    unsigned int reserved                                   : 8;
};
#define tx_cmpi_top_ctrl_7c(val) ((rs_tx_cmpi_top_ctrl_7c*)&(val))



#define TX_CMPI_TOP_CTRL_80                                              (HV_CMPI_TOP_BASE_ADDRESS + 0x80)

#define TX_CMPI_TOP_CTRL_80_struct                                       rs_tx_cmpi_top_ctrl_80

typedef struct _rs_tx_cmpi_top_ctrl_80  rs_tx_cmpi_top_ctrl_80;
struct _rs_tx_cmpi_top_ctrl_80 {
    unsigned int reg_cmpi_ln19_cmd_data2                    :24;
    unsigned int reserved                                   : 8;
};
#define tx_cmpi_top_ctrl_80(val) ((rs_tx_cmpi_top_ctrl_80*)&(val))



#define TX_CMPI_TOP_CTRL_84                                              (HV_CMPI_TOP_BASE_ADDRESS + 0x84)

#define TX_CMPI_TOP_CTRL_84_struct                                       rs_tx_cmpi_top_ctrl_84

typedef struct _rs_tx_cmpi_top_ctrl_84  rs_tx_cmpi_top_ctrl_84;
struct _rs_tx_cmpi_top_ctrl_84 {
    unsigned int reg_cmpi_ln20_cmd_data2                    :24;
    unsigned int reserved                                   : 8;
};
#define tx_cmpi_top_ctrl_84(val) ((rs_tx_cmpi_top_ctrl_84*)&(val))



#define TX_CMPI_TOP_CTRL_88                                              (HV_CMPI_TOP_BASE_ADDRESS + 0x88)

#define TX_CMPI_TOP_CTRL_88_struct                                       rs_tx_cmpi_top_ctrl_88

typedef struct _rs_tx_cmpi_top_ctrl_88  rs_tx_cmpi_top_ctrl_88;
struct _rs_tx_cmpi_top_ctrl_88 {
    unsigned int reg_cmpi_ln21_cmd_data2                    :24;
    unsigned int reserved                                   : 8;
};
#define tx_cmpi_top_ctrl_88(val) ((rs_tx_cmpi_top_ctrl_88*)&(val))



#define TX_CMPI_TOP_CTRL_8C                                              (HV_CMPI_TOP_BASE_ADDRESS + 0x8C)

#define TX_CMPI_TOP_CTRL_8C_struct                                       rs_tx_cmpi_top_ctrl_8c

typedef struct _rs_tx_cmpi_top_ctrl_8c  rs_tx_cmpi_top_ctrl_8c;
struct _rs_tx_cmpi_top_ctrl_8c {
    unsigned int reg_cmpi_ln22_cmd_data2                    :24;
    unsigned int reserved                                   : 8;
};
#define tx_cmpi_top_ctrl_8c(val) ((rs_tx_cmpi_top_ctrl_8c*)&(val))



#define TX_CMPI_TOP_CTRL_90                                              (HV_CMPI_TOP_BASE_ADDRESS + 0x90)

#define TX_CMPI_TOP_CTRL_90_struct                                       rs_tx_cmpi_top_ctrl_90

typedef struct _rs_tx_cmpi_top_ctrl_90  rs_tx_cmpi_top_ctrl_90;
struct _rs_tx_cmpi_top_ctrl_90 {
    unsigned int reg_cmpi_ln23_cmd_data2                    :24;
    unsigned int reserved                                   : 8;
};
#define tx_cmpi_top_ctrl_90(val) ((rs_tx_cmpi_top_ctrl_90*)&(val))



#define TX_CMPI_TOP_CMPI_CTRL94                                          (HV_CMPI_TOP_BASE_ADDRESS + 0x94)

#define TX_CMPI_TOP_CMPI_CTRL94_struct                                   rs_tx_cmpi_top_cmpi_ctrl94

typedef struct _rs_tx_cmpi_top_cmpi_ctrl94  rs_tx_cmpi_top_cmpi_ctrl94;
struct _rs_tx_cmpi_top_cmpi_ctrl94 {
    unsigned int reg_cmpi_den_line_add_2                    :32;
};
#define tx_cmpi_top_cmpi_ctrl94(val) ((rs_tx_cmpi_top_cmpi_ctrl94*)&(val))



#define TX_CMPI_TOP_CMPI_CTRL98                                          (HV_CMPI_TOP_BASE_ADDRESS + 0x98)

#define TX_CMPI_TOP_CMPI_CTRL98_struct                                   rs_tx_cmpi_top_cmpi_ctrl98

typedef struct _rs_tx_cmpi_top_cmpi_ctrl98  rs_tx_cmpi_top_cmpi_ctrl98;
struct _rs_tx_cmpi_top_cmpi_ctrl98 {
    unsigned int reg_cmpi_den_line_add_3                    :16;
    unsigned int reserved                                   :16;
};
#define tx_cmpi_top_cmpi_ctrl98(val) ((rs_tx_cmpi_top_cmpi_ctrl98*)&(val))



#endif