#ifndef _HV_PAGE_HT7315_CMPI_TOP3_H_
#define _HV_PAGE_HT7315_CMPI_TOP3_H_

#ifndef HV_CMPI_TOP3_BASE_ADDRESS
    #define HV_CMPI_TOP3_BASE_ADDRESS                                         0x1105EA00
#endif


#define TX_CMPI_TOP3_CTRL_0                                              (HV_CMPI_TOP3_BASE_ADDRESS + 0x00)

#define TX_CMPI_TOP3_CTRL_0_struct                                       rs_tx_cmpi_top3_ctrl_0

typedef struct _rs_tx_cmpi_top3_ctrl_0  rs_tx_cmpi_top3_ctrl_0;
struct _rs_tx_cmpi_top3_ctrl_0 {
    unsigned int reg_cmpi_ln00_cmd_data0_l1                 :24;
    unsigned int reserved                                   : 8;
};
#define tx_cmpi_top3_ctrl_0(val) ((rs_tx_cmpi_top3_ctrl_0*)&(val))



#define TX_CMPI_TOP3_CTRL_4                                              (HV_CMPI_TOP3_BASE_ADDRESS + 0x04)

#define TX_CMPI_TOP3_CTRL_4_struct                                       rs_tx_cmpi_top3_ctrl_4

typedef struct _rs_tx_cmpi_top3_ctrl_4  rs_tx_cmpi_top3_ctrl_4;
struct _rs_tx_cmpi_top3_ctrl_4 {
    unsigned int reg_cmpi_ln01_cmd_data0_l1                 :24;
    unsigned int reserved                                   : 8;
};
#define tx_cmpi_top3_ctrl_4(val) ((rs_tx_cmpi_top3_ctrl_4*)&(val))



#define TX_CMPI_TOP3_CTRL_8                                              (HV_CMPI_TOP3_BASE_ADDRESS + 0x08)

#define TX_CMPI_TOP3_CTRL_8_struct                                       rs_tx_cmpi_top3_ctrl_8

typedef struct _rs_tx_cmpi_top3_ctrl_8  rs_tx_cmpi_top3_ctrl_8;
struct _rs_tx_cmpi_top3_ctrl_8 {
    unsigned int reg_cmpi_ln02_cmd_data0_l1                 :24;
    unsigned int reserved                                   : 8;
};
#define tx_cmpi_top3_ctrl_8(val) ((rs_tx_cmpi_top3_ctrl_8*)&(val))



#define TX_CMPI_TOP3_CTRL_C                                              (HV_CMPI_TOP3_BASE_ADDRESS + 0x0C)

#define TX_CMPI_TOP3_CTRL_C_struct                                       rs_tx_cmpi_top3_ctrl_c

typedef struct _rs_tx_cmpi_top3_ctrl_c  rs_tx_cmpi_top3_ctrl_c;
struct _rs_tx_cmpi_top3_ctrl_c {
    unsigned int reg_cmpi_ln03_cmd_data0_l1                 :24;
    unsigned int reserved                                   : 8;
};
#define tx_cmpi_top3_ctrl_c(val) ((rs_tx_cmpi_top3_ctrl_c*)&(val))



#define TX_CMPI_TOP3_CTRL_10                                             (HV_CMPI_TOP3_BASE_ADDRESS + 0x10)

#define TX_CMPI_TOP3_CTRL_10_struct                                      rs_tx_cmpi_top3_ctrl_10

typedef struct _rs_tx_cmpi_top3_ctrl_10  rs_tx_cmpi_top3_ctrl_10;
struct _rs_tx_cmpi_top3_ctrl_10 {
    unsigned int reg_cmpi_ln04_cmd_data0_l1                 :24;
    unsigned int reserved                                   : 8;
};
#define tx_cmpi_top3_ctrl_10(val) ((rs_tx_cmpi_top3_ctrl_10*)&(val))



#define TX_CMPI_TOP3_CTRL_14                                             (HV_CMPI_TOP3_BASE_ADDRESS + 0x14)

#define TX_CMPI_TOP3_CTRL_14_struct                                      rs_tx_cmpi_top3_ctrl_14

typedef struct _rs_tx_cmpi_top3_ctrl_14  rs_tx_cmpi_top3_ctrl_14;
struct _rs_tx_cmpi_top3_ctrl_14 {
    unsigned int reg_cmpi_ln05_cmd_data0_l1                 :24;
    unsigned int reserved                                   : 8;
};
#define tx_cmpi_top3_ctrl_14(val) ((rs_tx_cmpi_top3_ctrl_14*)&(val))



#define TX_CMPI_TOP3_CTRL_18                                             (HV_CMPI_TOP3_BASE_ADDRESS + 0x18)

#define TX_CMPI_TOP3_CTRL_18_struct                                      rs_tx_cmpi_top3_ctrl_18

typedef struct _rs_tx_cmpi_top3_ctrl_18  rs_tx_cmpi_top3_ctrl_18;
struct _rs_tx_cmpi_top3_ctrl_18 {
    unsigned int reg_cmpi_ln06_cmd_data0_l1                 :24;
    unsigned int reserved                                   : 8;
};
#define tx_cmpi_top3_ctrl_18(val) ((rs_tx_cmpi_top3_ctrl_18*)&(val))



#define TX_CMPI_TOP3_CTRL_1C                                             (HV_CMPI_TOP3_BASE_ADDRESS + 0x1C)

#define TX_CMPI_TOP3_CTRL_1C_struct                                      rs_tx_cmpi_top3_ctrl_1c

typedef struct _rs_tx_cmpi_top3_ctrl_1c  rs_tx_cmpi_top3_ctrl_1c;
struct _rs_tx_cmpi_top3_ctrl_1c {
    unsigned int reg_cmpi_ln07_cmd_data0_l1                 :24;
    unsigned int reserved                                   : 8;
};
#define tx_cmpi_top3_ctrl_1c(val) ((rs_tx_cmpi_top3_ctrl_1c*)&(val))



#define TX_CMPI_TOP3_CTRL_20                                             (HV_CMPI_TOP3_BASE_ADDRESS + 0x20)

#define TX_CMPI_TOP3_CTRL_20_struct                                      rs_tx_cmpi_top3_ctrl_20

typedef struct _rs_tx_cmpi_top3_ctrl_20  rs_tx_cmpi_top3_ctrl_20;
struct _rs_tx_cmpi_top3_ctrl_20 {
    unsigned int reg_cmpi_ln08_cmd_data0_l1                 :24;
    unsigned int reserved                                   : 8;
};
#define tx_cmpi_top3_ctrl_20(val) ((rs_tx_cmpi_top3_ctrl_20*)&(val))



#define TX_CMPI_TOP3_CTRL_24                                             (HV_CMPI_TOP3_BASE_ADDRESS + 0x24)

#define TX_CMPI_TOP3_CTRL_24_struct                                      rs_tx_cmpi_top3_ctrl_24

typedef struct _rs_tx_cmpi_top3_ctrl_24  rs_tx_cmpi_top3_ctrl_24;
struct _rs_tx_cmpi_top3_ctrl_24 {
    unsigned int reg_cmpi_ln09_cmd_data0_l1                 :24;
    unsigned int reserved                                   : 8;
};
#define tx_cmpi_top3_ctrl_24(val) ((rs_tx_cmpi_top3_ctrl_24*)&(val))



#define TX_CMPI_TOP3_CTRL_28                                             (HV_CMPI_TOP3_BASE_ADDRESS + 0x28)

#define TX_CMPI_TOP3_CTRL_28_struct                                      rs_tx_cmpi_top3_ctrl_28

typedef struct _rs_tx_cmpi_top3_ctrl_28  rs_tx_cmpi_top3_ctrl_28;
struct _rs_tx_cmpi_top3_ctrl_28 {
    unsigned int reg_cmpi_ln10_cmd_data0_l1                 :24;
    unsigned int reserved                                   : 8;
};
#define tx_cmpi_top3_ctrl_28(val) ((rs_tx_cmpi_top3_ctrl_28*)&(val))



#define TX_CMPI_TOP3_CTRL_2C                                             (HV_CMPI_TOP3_BASE_ADDRESS + 0x2C)

#define TX_CMPI_TOP3_CTRL_2C_struct                                      rs_tx_cmpi_top3_ctrl_2c

typedef struct _rs_tx_cmpi_top3_ctrl_2c  rs_tx_cmpi_top3_ctrl_2c;
struct _rs_tx_cmpi_top3_ctrl_2c {
    unsigned int reg_cmpi_ln11_cmd_data0_l1                 :24;
    unsigned int reserved                                   : 8;
};
#define tx_cmpi_top3_ctrl_2c(val) ((rs_tx_cmpi_top3_ctrl_2c*)&(val))



#define TX_CMPI_TOP3_CTRL_30                                             (HV_CMPI_TOP3_BASE_ADDRESS + 0x30)

#define TX_CMPI_TOP3_CTRL_30_struct                                      rs_tx_cmpi_top3_ctrl_30

typedef struct _rs_tx_cmpi_top3_ctrl_30  rs_tx_cmpi_top3_ctrl_30;
struct _rs_tx_cmpi_top3_ctrl_30 {
    unsigned int reg_cmpi_ln12_cmd_data0_l1                 :24;
    unsigned int reserved                                   : 8;
};
#define tx_cmpi_top3_ctrl_30(val) ((rs_tx_cmpi_top3_ctrl_30*)&(val))



#define TX_CMPI_TOP3_CTRL_34                                             (HV_CMPI_TOP3_BASE_ADDRESS + 0x34)

#define TX_CMPI_TOP3_CTRL_34_struct                                      rs_tx_cmpi_top3_ctrl_34

typedef struct _rs_tx_cmpi_top3_ctrl_34  rs_tx_cmpi_top3_ctrl_34;
struct _rs_tx_cmpi_top3_ctrl_34 {
    unsigned int reg_cmpi_ln13_cmd_data0_l1                 :24;
    unsigned int reserved                                   : 8;
};
#define tx_cmpi_top3_ctrl_34(val) ((rs_tx_cmpi_top3_ctrl_34*)&(val))



#define TX_CMPI_TOP3_CTRL_38                                             (HV_CMPI_TOP3_BASE_ADDRESS + 0x38)

#define TX_CMPI_TOP3_CTRL_38_struct                                      rs_tx_cmpi_top3_ctrl_38

typedef struct _rs_tx_cmpi_top3_ctrl_38  rs_tx_cmpi_top3_ctrl_38;
struct _rs_tx_cmpi_top3_ctrl_38 {
    unsigned int reg_cmpi_ln14_cmd_data0_l1                 :24;
    unsigned int reserved                                   : 8;
};
#define tx_cmpi_top3_ctrl_38(val) ((rs_tx_cmpi_top3_ctrl_38*)&(val))



#define TX_CMPI_TOP3_CTRL_3C                                             (HV_CMPI_TOP3_BASE_ADDRESS + 0x3C)

#define TX_CMPI_TOP3_CTRL_3C_struct                                      rs_tx_cmpi_top3_ctrl_3c

typedef struct _rs_tx_cmpi_top3_ctrl_3c  rs_tx_cmpi_top3_ctrl_3c;
struct _rs_tx_cmpi_top3_ctrl_3c {
    unsigned int reg_cmpi_ln15_cmd_data0_l1                 :24;
    unsigned int reserved                                   : 8;
};
#define tx_cmpi_top3_ctrl_3c(val) ((rs_tx_cmpi_top3_ctrl_3c*)&(val))



#define TX_CMPI_TOP3_CTRL_40                                             (HV_CMPI_TOP3_BASE_ADDRESS + 0x40)

#define TX_CMPI_TOP3_CTRL_40_struct                                      rs_tx_cmpi_top3_ctrl_40

typedef struct _rs_tx_cmpi_top3_ctrl_40  rs_tx_cmpi_top3_ctrl_40;
struct _rs_tx_cmpi_top3_ctrl_40 {
    unsigned int reg_cmpi_ln16_cmd_data0_l1                 :24;
    unsigned int reserved                                   : 8;
};
#define tx_cmpi_top3_ctrl_40(val) ((rs_tx_cmpi_top3_ctrl_40*)&(val))



#define TX_CMPI_TOP3_CTRL_44                                             (HV_CMPI_TOP3_BASE_ADDRESS + 0x44)

#define TX_CMPI_TOP3_CTRL_44_struct                                      rs_tx_cmpi_top3_ctrl_44

typedef struct _rs_tx_cmpi_top3_ctrl_44  rs_tx_cmpi_top3_ctrl_44;
struct _rs_tx_cmpi_top3_ctrl_44 {
    unsigned int reg_cmpi_ln17_cmd_data0_l1                 :24;
    unsigned int reserved                                   : 8;
};
#define tx_cmpi_top3_ctrl_44(val) ((rs_tx_cmpi_top3_ctrl_44*)&(val))



#define TX_CMPI_TOP3_CTRL_48                                             (HV_CMPI_TOP3_BASE_ADDRESS + 0x48)

#define TX_CMPI_TOP3_CTRL_48_struct                                      rs_tx_cmpi_top3_ctrl_48

typedef struct _rs_tx_cmpi_top3_ctrl_48  rs_tx_cmpi_top3_ctrl_48;
struct _rs_tx_cmpi_top3_ctrl_48 {
    unsigned int reg_cmpi_ln18_cmd_data0_l1                 :24;
    unsigned int reserved                                   : 8;
};
#define tx_cmpi_top3_ctrl_48(val) ((rs_tx_cmpi_top3_ctrl_48*)&(val))



#define TX_CMPI_TOP3_CTRL_4C                                             (HV_CMPI_TOP3_BASE_ADDRESS + 0x4C)

#define TX_CMPI_TOP3_CTRL_4C_struct                                      rs_tx_cmpi_top3_ctrl_4c

typedef struct _rs_tx_cmpi_top3_ctrl_4c  rs_tx_cmpi_top3_ctrl_4c;
struct _rs_tx_cmpi_top3_ctrl_4c {
    unsigned int reg_cmpi_ln19_cmd_data0_l1                 :24;
    unsigned int reserved                                   : 8;
};
#define tx_cmpi_top3_ctrl_4c(val) ((rs_tx_cmpi_top3_ctrl_4c*)&(val))



#define TX_CMPI_TOP3_CTRL_50                                             (HV_CMPI_TOP3_BASE_ADDRESS + 0x50)

#define TX_CMPI_TOP3_CTRL_50_struct                                      rs_tx_cmpi_top3_ctrl_50

typedef struct _rs_tx_cmpi_top3_ctrl_50  rs_tx_cmpi_top3_ctrl_50;
struct _rs_tx_cmpi_top3_ctrl_50 {
    unsigned int reg_cmpi_ln20_cmd_data0_l1                 :24;
    unsigned int reserved                                   : 8;
};
#define tx_cmpi_top3_ctrl_50(val) ((rs_tx_cmpi_top3_ctrl_50*)&(val))



#define TX_CMPI_TOP3_CTRL_54                                             (HV_CMPI_TOP3_BASE_ADDRESS + 0x54)

#define TX_CMPI_TOP3_CTRL_54_struct                                      rs_tx_cmpi_top3_ctrl_54

typedef struct _rs_tx_cmpi_top3_ctrl_54  rs_tx_cmpi_top3_ctrl_54;
struct _rs_tx_cmpi_top3_ctrl_54 {
    unsigned int reg_cmpi_ln21_cmd_data0_l1                 :24;
    unsigned int reserved                                   : 8;
};
#define tx_cmpi_top3_ctrl_54(val) ((rs_tx_cmpi_top3_ctrl_54*)&(val))



#define TX_CMPI_TOP3_CTRL_58                                             (HV_CMPI_TOP3_BASE_ADDRESS + 0x58)

#define TX_CMPI_TOP3_CTRL_58_struct                                      rs_tx_cmpi_top3_ctrl_58

typedef struct _rs_tx_cmpi_top3_ctrl_58  rs_tx_cmpi_top3_ctrl_58;
struct _rs_tx_cmpi_top3_ctrl_58 {
    unsigned int reg_cmpi_ln22_cmd_data0_l1                 :24;
    unsigned int reserved                                   : 8;
};
#define tx_cmpi_top3_ctrl_58(val) ((rs_tx_cmpi_top3_ctrl_58*)&(val))



#define TX_CMPI_TOP3_CTRL_5C                                             (HV_CMPI_TOP3_BASE_ADDRESS + 0x5C)

#define TX_CMPI_TOP3_CTRL_5C_struct                                      rs_tx_cmpi_top3_ctrl_5c

typedef struct _rs_tx_cmpi_top3_ctrl_5c  rs_tx_cmpi_top3_ctrl_5c;
struct _rs_tx_cmpi_top3_ctrl_5c {
    unsigned int reg_cmpi_ln23_cmd_data0_l1                 :24;
    unsigned int reserved                                   : 8;
};
#define tx_cmpi_top3_ctrl_5c(val) ((rs_tx_cmpi_top3_ctrl_5c*)&(val))



#endif