#ifndef _HV_PAGE_HT7315_COMBOTX_PHY_0_H_
#define _HV_PAGE_HT7315_COMBOTX_PHY_0_H_

#ifndef HV_COMBOTX_PHY_0_BASE_ADDRESS
    #define HV_COMBOTX_PHY_0_BASE_ADDRESS                                         0x1105F000
#endif


#define TX_COMBOTX_PHY_0_00                                              (HV_COMBOTX_PHY_0_BASE_ADDRESS + 0x00)

#define TX_COMBOTX_PHY_0_00_struct                                       rs_tx_combotx_phy_0_00

typedef struct _rs_tx_combotx_phy_0_00  rs_tx_combotx_phy_0_00;
struct _rs_tx_combotx_phy_0_00 {
    unsigned int reg_txpll_0_en                             : 1;
    unsigned int reg_txpll_0_stb_en                         : 1;
    unsigned int reg_txpll_0_rstn                           : 1;
    unsigned int reg_txpll_0_div_mode                       : 1;
    unsigned int reg_txpll_0_ib5u_sel                       : 1;
    unsigned int reg_txpll_0_test_mode                      : 1;
    unsigned int reg_txpll_0_free_run                       : 1;
    unsigned int reg_txpll_0_overflow_rst_en                : 1;
    unsigned int reg_txpll_0_lock_force                     : 1;
    unsigned int reg_txpll_0_lock_cnt_sel                   : 1;
    unsigned int reg_txpll_0_lock_wd_sel                    : 2;
    unsigned int reg_txpll_0_ana_test_sel                   : 4;
    unsigned int reg_txpll_0_dummy                          : 8;
    unsigned int reg_txpll_0_rnd_mode                       : 1;
    unsigned int reg_txpll_0_dac_en                         : 1;
    unsigned int reserved                                   : 6;
};
#define tx_combotx_phy_0_00(val) ((rs_tx_combotx_phy_0_00*)&(val))



#define TX_COMBOTX_PHY_0_04                                              (HV_COMBOTX_PHY_0_BASE_ADDRESS + 0x04)

#define TX_COMBOTX_PHY_0_04_struct                                       rs_tx_combotx_phy_0_04

typedef struct _rs_tx_combotx_phy_0_04  rs_tx_combotx_phy_0_04;
struct _rs_tx_combotx_phy_0_04 {
    unsigned int reg_txpll_0_dly_ctrl                       : 3;
    unsigned int reg_txpll_0_icp_bias_tune                  : 3;
    unsigned int reg_txpll_0_icp_ctrl1                      : 4;
    unsigned int reg_txpll_0_icp_ctrl2                      : 3;
    unsigned int reg_txpll_0_lpf_ctrl                       : 4;
    unsigned int reg_txpll_0_kvco_ctrl                      : 6;
    unsigned int reg_txpll_0_ckref_sel                      : 2;
    unsigned int reg_txpll_0_prediv                         : 6;
    unsigned int reserved                                   : 1;
};
#define tx_combotx_phy_0_04(val) ((rs_tx_combotx_phy_0_04*)&(val))



#define TX_COMBOTX_PHY_0_08                                              (HV_COMBOTX_PHY_0_BASE_ADDRESS + 0x08)

#define TX_COMBOTX_PHY_0_08_struct                                       rs_tx_combotx_phy_0_08

typedef struct _rs_tx_combotx_phy_0_08  rs_tx_combotx_phy_0_08;
struct _rs_tx_combotx_phy_0_08 {
    unsigned int reg_txpll_0_fbdiv_int                      :10;
    unsigned int reserved                                   : 6;
    unsigned int reg_txpll_0_fbdiv_frac                     :16;
};
#define tx_combotx_phy_0_08(val) ((rs_tx_combotx_phy_0_08*)&(val))



#define TX_COMBOTX_PHY_0_0C                                              (HV_COMBOTX_PHY_0_BASE_ADDRESS + 0x0C)

#define TX_COMBOTX_PHY_0_0C_struct                                       rs_tx_combotx_phy_0_0c

typedef struct _rs_tx_combotx_phy_0_0c  rs_tx_combotx_phy_0_0c;
struct _rs_tx_combotx_phy_0_0c {
    unsigned int reg_txpll_0_postdiv0                       :10;
    unsigned int reg_txpll_0_postdiv1                       :10;
    unsigned int reg_txpll_0_postdiv2                       :10;
    unsigned int reserved                                   : 2;
};
#define tx_combotx_phy_0_0c(val) ((rs_tx_combotx_phy_0_0c*)&(val))



#define TX_COMBOTX_PHY_0_10                                              (HV_COMBOTX_PHY_0_BASE_ADDRESS + 0x10)

#define TX_COMBOTX_PHY_0_10_struct                                       rs_tx_combotx_phy_0_10

typedef struct _rs_tx_combotx_phy_0_10  rs_tx_combotx_phy_0_10;
struct _rs_tx_combotx_phy_0_10 {
    unsigned int reg_txpll_0_postdiv0_div2                  : 1;
    unsigned int reg_txpll_0_pif_div                        : 6;
    unsigned int reg_txpll_0_rd_div                         : 6;
    unsigned int reg_txpll_0_postdiv_lvds                   : 2;
    unsigned int reg_txpll_0_cklvds_al_skew                 : 4;
    unsigned int reg_txpll_0_cklvds_ar_skew                 : 4;
    unsigned int reg_txpll_0_cklvds_en                      : 1;
    unsigned int reg_txpll_0_cklvds_lr_sel                  : 2;
    unsigned int reserved                                   : 6;
};
#define tx_combotx_phy_0_10(val) ((rs_tx_combotx_phy_0_10*)&(val))



#define TX_COMBOTX_PHY_0_80                                              (HV_COMBOTX_PHY_0_BASE_ADDRESS + 0x80)

#define TX_COMBOTX_PHY_0_80_struct                                       rs_tx_combotx_phy_0_80

typedef struct _rs_tx_combotx_phy_0_80  rs_tx_combotx_phy_0_80;
struct _rs_tx_combotx_phy_0_80 {
    unsigned int reg_txpll_0_ssc_en                         : 1;
    unsigned int reg_txpll_0_ssc_sync_en                    : 1;
    unsigned int reg_txpll_0_ssc_fbdiv_updt                 : 1;
    unsigned int reserved                                   : 5;
    unsigned int reg_txpll_0_ssc_patt_num                   : 4;
    unsigned int reserved_1                                 : 4;
    unsigned int reg_txpll_0_ssc_patt_set                   :16;
};
#define tx_combotx_phy_0_80(val) ((rs_tx_combotx_phy_0_80*)&(val))



#define TX_COMBOTX_PHY_0_84                                              (HV_COMBOTX_PHY_0_BASE_ADDRESS + 0x84)

#define TX_COMBOTX_PHY_0_84_struct                                       rs_tx_combotx_phy_0_84

typedef struct _rs_tx_combotx_phy_0_84  rs_tx_combotx_phy_0_84;
struct _rs_tx_combotx_phy_0_84 {
    unsigned int reg_txpll_0_ssc_period                     :16;
    unsigned int reg_txpll_0_ssc_step                       :16;
};
#define tx_combotx_phy_0_84(val) ((rs_tx_combotx_phy_0_84*)&(val))



#define TX_COMBOTX_PHY_0_90                                              (HV_COMBOTX_PHY_0_BASE_ADDRESS + 0x90)

#define TX_COMBOTX_PHY_0_90_struct                                       rs_tx_combotx_phy_0_90

typedef struct _rs_tx_combotx_phy_0_90  rs_tx_combotx_phy_0_90;
struct _rs_tx_combotx_phy_0_90 {
    unsigned int reg_txpll_0_lock_det_lock_fw_mode          : 1;
    unsigned int reg_txpll_0_lock_det_lock_fw_value         : 1;
    unsigned int reg_txpll_0_lock_det_det_win               : 3;
    unsigned int reg_txpll_0_lock_det_locked_num            : 4;
    unsigned int reg_txpll_0_lock_det_unlocked_num          : 4;
    unsigned int reg_txpll_0_lock_det_lock_err_range        : 8;
    unsigned int reg_txpll_0_lock_det_fast_err_range        : 8;
    unsigned int reserved                                   : 3;
};
#define tx_combotx_phy_0_90(val) ((rs_tx_combotx_phy_0_90*)&(val))



#define TX_COMBOTX_PHY_0_94                                              (HV_COMBOTX_PHY_0_BASE_ADDRESS + 0x94)

#define TX_COMBOTX_PHY_0_94_struct                                       rs_tx_combotx_phy_0_94

typedef struct _rs_tx_combotx_phy_0_94  rs_tx_combotx_phy_0_94;
struct _rs_tx_combotx_phy_0_94 {
    unsigned int reg_txpll_0_lock_det_no_clk_th             : 8;
    unsigned int reserved                                   :24;
};
#define tx_combotx_phy_0_94(val) ((rs_tx_combotx_phy_0_94*)&(val))



#define TX_COMBOTX_PHY_0_D0                                              (HV_COMBOTX_PHY_0_BASE_ADDRESS + 0xD0)

#define TX_COMBOTX_PHY_0_D0_struct                                       rs_tx_combotx_phy_0_d0

typedef struct _rs_tx_combotx_phy_0_d0  rs_tx_combotx_phy_0_d0;
struct _rs_tx_combotx_phy_0_d0 {
    unsigned int regr_txpll_0_dout_test                     :10;
    unsigned int regr_txpll_0_lock_cnt_en                   : 1;
    unsigned int regr_txpll_0_lock_flag                     : 1;
    unsigned int regr_txpll_0_overflow_flag                 : 1;
    unsigned int regr_txpll_0_phase_error_flag              : 1;
    unsigned int reserved                                   :18;
};
#define tx_combotx_phy_0_d0(val) ((rs_tx_combotx_phy_0_d0*)&(val))



#define TX_COMBOTX_PHY_0_D8                                              (HV_COMBOTX_PHY_0_BASE_ADDRESS + 0xD8)

#define TX_COMBOTX_PHY_0_D8_struct                                       rs_tx_combotx_phy_0_d8

typedef struct _rs_tx_combotx_phy_0_d8  rs_tx_combotx_phy_0_d8;
struct _rs_tx_combotx_phy_0_d8 {
    unsigned int regr_txpll_0_lock_det_pll_lock             : 1;
    unsigned int regr_txpll_0_lock_det_ref_clk_fast         : 1;
    unsigned int regr_txpll_0_lock_det_ref_int_value        :16;
    unsigned int regr_txpll_0_lock_det_ref_no_clk           : 1;
    unsigned int regr_txpll_0_lock_det_vco_clk_fast         : 1;
    unsigned int reserved                                   :12;
};
#define tx_combotx_phy_0_d8(val) ((rs_tx_combotx_phy_0_d8*)&(val))



#define TX_COMBOTX_PHY_0_DC                                              (HV_COMBOTX_PHY_0_BASE_ADDRESS + 0xDC)

#define TX_COMBOTX_PHY_0_DC_struct                                       rs_tx_combotx_phy_0_dc

typedef struct _rs_tx_combotx_phy_0_dc  rs_tx_combotx_phy_0_dc;
struct _rs_tx_combotx_phy_0_dc {
    unsigned int regr_txpll_0_lock_det_vco_int_value        :16;
    unsigned int regr_txpll_0_lock_det_vco_no_clk           : 1;
    unsigned int reserved                                   :15;
};
#define tx_combotx_phy_0_dc(val) ((rs_tx_combotx_phy_0_dc*)&(val))



#define TX_COMBOTX_PHY_0_E8                                              (HV_COMBOTX_PHY_0_BASE_ADDRESS + 0xE8)

#define TX_COMBOTX_PHY_0_E8_struct                                       rs_tx_combotx_phy_0_e8

typedef struct _rs_tx_combotx_phy_0_e8  rs_tx_combotx_phy_0_e8;
struct _rs_tx_combotx_phy_0_e8 {
    unsigned int regr_txpll_0_ssc_triwave_0                 :32;
};
#define tx_combotx_phy_0_e8(val) ((rs_tx_combotx_phy_0_e8*)&(val))



#define TX_COMBOTX_PHY_0_EC                                              (HV_COMBOTX_PHY_0_BASE_ADDRESS + 0xEC)

#define TX_COMBOTX_PHY_0_EC_struct                                       rs_tx_combotx_phy_0_ec

typedef struct _rs_tx_combotx_phy_0_ec  rs_tx_combotx_phy_0_ec;
struct _rs_tx_combotx_phy_0_ec {
    unsigned int regr_txpll_0_ssc_triwave_1                 :12;
    unsigned int regr_txpll_0_ssc_phase                     : 4;
    unsigned int regr_txpll_0_ssc_updt_cnt                  :16;
};
#define tx_combotx_phy_0_ec(val) ((rs_tx_combotx_phy_0_ec*)&(val))



#endif