#ifndef _HV_PAGE_HT7315_COMBOTX_PHY_4_H_
#define _HV_PAGE_HT7315_COMBOTX_PHY_4_H_

#ifndef HV_COMBOTX_PHY_4_BASE_ADDRESS
    #define HV_COMBOTX_PHY_4_BASE_ADDRESS                                         0x1105F400
#endif


#define TX_COMBOTX_PHY_4_00                                              (HV_COMBOTX_PHY_4_BASE_ADDRESS + 0x00)

#define TX_COMBOTX_PHY_4_00_struct                                       rs_tx_combotx_phy_4_00

typedef struct _rs_tx_combotx_phy_4_00  rs_tx_combotx_phy_4_00;
struct _rs_tx_combotx_phy_4_00 {
    unsigned int reg_txphy_00_lane0_dly_en                  : 1;
    unsigned int reg_txphy_00_lane1_dly_en                  : 1;
    unsigned int reg_txphy_00_lane2_dly_en                  : 1;
    unsigned int reg_txphy_00_lane3_dly_en                  : 1;
    unsigned int reg_txphy_01_lane0_dly_en                  : 1;
    unsigned int reg_txphy_01_lane1_dly_en                  : 1;
    unsigned int reg_txphy_01_lane2_dly_en                  : 1;
    unsigned int reg_txphy_01_lane3_dly_en                  : 1;
    unsigned int reg_txphy_02_lane0_dly_en                  : 1;
    unsigned int reg_txphy_02_lane1_dly_en                  : 1;
    unsigned int reg_txphy_02_lane2_dly_en                  : 1;
    unsigned int reg_txphy_02_lane3_dly_en                  : 1;
    unsigned int reserved                                   :20;
};
#define tx_combotx_phy_4_00(val) ((rs_tx_combotx_phy_4_00*)&(val))



#define TX_COMBOTX_PHY_4_04                                              (HV_COMBOTX_PHY_4_BASE_ADDRESS + 0x04)

#define TX_COMBOTX_PHY_4_04_struct                                       rs_tx_combotx_phy_4_04

typedef struct _rs_tx_combotx_phy_4_04  rs_tx_combotx_phy_4_04;
struct _rs_tx_combotx_phy_4_04 {
    unsigned int reg_txphy_00_lane0_dly                     : 9;
    unsigned int reg_txphy_00_lane1_dly                     : 9;
    unsigned int reg_txphy_00_lane2_dly                     : 9;
    unsigned int reserved                                   : 5;
};
#define tx_combotx_phy_4_04(val) ((rs_tx_combotx_phy_4_04*)&(val))



#define TX_COMBOTX_PHY_4_08                                              (HV_COMBOTX_PHY_4_BASE_ADDRESS + 0x08)

#define TX_COMBOTX_PHY_4_08_struct                                       rs_tx_combotx_phy_4_08

typedef struct _rs_tx_combotx_phy_4_08  rs_tx_combotx_phy_4_08;
struct _rs_tx_combotx_phy_4_08 {
    unsigned int reg_txphy_00_lane3_dly                     : 9;
    unsigned int reg_txphy_01_lane0_dly                     : 9;
    unsigned int reg_txphy_01_lane1_dly                     : 9;
    unsigned int reserved                                   : 5;
};
#define tx_combotx_phy_4_08(val) ((rs_tx_combotx_phy_4_08*)&(val))



#define TX_COMBOTX_PHY_4_0C                                              (HV_COMBOTX_PHY_4_BASE_ADDRESS + 0x0C)

#define TX_COMBOTX_PHY_4_0C_struct                                       rs_tx_combotx_phy_4_0c

typedef struct _rs_tx_combotx_phy_4_0c  rs_tx_combotx_phy_4_0c;
struct _rs_tx_combotx_phy_4_0c {
    unsigned int reg_txphy_01_lane2_dly                     : 9;
    unsigned int reg_txphy_01_lane3_dly                     : 9;
    unsigned int reg_txphy_02_lane0_dly                     : 9;
    unsigned int reserved                                   : 5;
};
#define tx_combotx_phy_4_0c(val) ((rs_tx_combotx_phy_4_0c*)&(val))



#define TX_COMBOTX_PHY_4_10                                              (HV_COMBOTX_PHY_4_BASE_ADDRESS + 0x10)

#define TX_COMBOTX_PHY_4_10_struct                                       rs_tx_combotx_phy_4_10

typedef struct _rs_tx_combotx_phy_4_10  rs_tx_combotx_phy_4_10;
struct _rs_tx_combotx_phy_4_10 {
    unsigned int reg_txphy_02_lane1_dly                     : 9;
    unsigned int reg_txphy_02_lane2_dly                     : 9;
    unsigned int reg_txphy_02_lane3_dly                     : 9;
    unsigned int reserved                                   : 5;
};
#define tx_combotx_phy_4_10(val) ((rs_tx_combotx_phy_4_10*)&(val))



#define TX_COMBOTX_PHY_4_14                                              (HV_COMBOTX_PHY_4_BASE_ADDRESS + 0x14)

#define TX_COMBOTX_PHY_4_14_struct                                       rs_tx_combotx_phy_4_14

typedef struct _rs_tx_combotx_phy_4_14  rs_tx_combotx_phy_4_14;
struct _rs_tx_combotx_phy_4_14 {
    unsigned int reserved                                   :16;
    unsigned int reg_phy_ls_mode                            : 2;
    unsigned int reserved_1                                 :14;
};
#define tx_combotx_phy_4_14(val) ((rs_tx_combotx_phy_4_14*)&(val))



#define TX_COMBOTX_PHY_4_18                                              (HV_COMBOTX_PHY_4_BASE_ADDRESS + 0x18)

#define TX_COMBOTX_PHY_4_18_struct                                       rs_tx_combotx_phy_4_18

typedef struct _rs_tx_combotx_phy_4_18  rs_tx_combotx_phy_4_18;
struct _rs_tx_combotx_phy_4_18 {
    unsigned int reg_txphy_00_dly_cascade_mode              : 4;
    unsigned int reg_txphy_01_dly_cascade_mode              : 4;
    unsigned int reg_txphy_02_dly_cascade_mode              : 4;
    unsigned int reserved                                   :20;
};
#define tx_combotx_phy_4_18(val) ((rs_tx_combotx_phy_4_18*)&(val))



#define TX_COMBOTX_PHY_4_1C                                              (HV_COMBOTX_PHY_4_BASE_ADDRESS + 0x1C)

#define TX_COMBOTX_PHY_4_1C_struct                                       rs_tx_combotx_phy_4_1c

typedef struct _rs_tx_combotx_phy_4_1c  rs_tx_combotx_phy_4_1c;
struct _rs_tx_combotx_phy_4_1c {
    unsigned int reg_tx_prbs_en_00                          : 1;
    unsigned int reg_tx_prbs_en_01                          : 1;
    unsigned int reg_tx_prbs_en_02                          : 1;
    unsigned int reg_tx_prbs_pat_sel_00                     : 4;
    unsigned int reg_tx_prbs_pat_sel_01                     : 4;
    unsigned int reg_tx_prbs_pat_sel_02                     : 4;
    unsigned int reserved                                   :17;
};
#define tx_combotx_phy_4_1c(val) ((rs_tx_combotx_phy_4_1c*)&(val))



#define TX_COMBOTX_PHY_4_SETTING_PRBS_SEED                               (HV_COMBOTX_PHY_4_BASE_ADDRESS + 0x20)

#define TX_COMBOTX_PHY_4_SETTING_PRBS_SEED_struct                        rs_tx_combotx_phy_4_setting_prbs_seed

typedef struct _rs_tx_combotx_phy_4_setting_prbs_seed  rs_tx_combotx_phy_4_setting_prbs_seed;
struct _rs_tx_combotx_phy_4_setting_prbs_seed {
    unsigned int reg_tx_prbs_seed_set_00                    :32;
};
#define tx_combotx_phy_4_setting_prbs_seed(val) ((rs_tx_combotx_phy_4_setting_prbs_seed*)&(val))



#define TX_COMBOTX_PHY_4_24                                              (HV_COMBOTX_PHY_4_BASE_ADDRESS + 0x24)

#define TX_COMBOTX_PHY_4_24_struct                                       rs_tx_combotx_phy_4_24

typedef struct _rs_tx_combotx_phy_4_24  rs_tx_combotx_phy_4_24;
struct _rs_tx_combotx_phy_4_24 {
    unsigned int reg_tx_prbs_seed_set_01                    :32;
};
#define tx_combotx_phy_4_24(val) ((rs_tx_combotx_phy_4_24*)&(val))



#define TX_COMBOTX_PHY_4_28                                              (HV_COMBOTX_PHY_4_BASE_ADDRESS + 0x28)

#define TX_COMBOTX_PHY_4_28_struct                                       rs_tx_combotx_phy_4_28

typedef struct _rs_tx_combotx_phy_4_28  rs_tx_combotx_phy_4_28;
struct _rs_tx_combotx_phy_4_28 {
    unsigned int reg_tx_prbs_seed_set_02                    :32;
};
#define tx_combotx_phy_4_28(val) ((rs_tx_combotx_phy_4_28*)&(val))



#define TX_COMBOTX_PHY_4_SETTING_PRBS_PAT_6                              (HV_COMBOTX_PHY_4_BASE_ADDRESS + 0x2C)

#define TX_COMBOTX_PHY_4_SETTING_PRBS_PAT_6_struct                       rs_tx_combotx_phy_4_setting_prbs_pat_6

typedef struct _rs_tx_combotx_phy_4_setting_prbs_pat_6  rs_tx_combotx_phy_4_setting_prbs_pat_6;
struct _rs_tx_combotx_phy_4_setting_prbs_pat_6 {
    unsigned int reg_tx_prbs_data0_0                        :32;
};
#define tx_combotx_phy_4_setting_prbs_pat_6(val) ((rs_tx_combotx_phy_4_setting_prbs_pat_6*)&(val))



#define TX_COMBOTX_PHY_4_30                                              (HV_COMBOTX_PHY_4_BASE_ADDRESS + 0x30)

#define TX_COMBOTX_PHY_4_30_struct                                       rs_tx_combotx_phy_4_30

typedef struct _rs_tx_combotx_phy_4_30  rs_tx_combotx_phy_4_30;
struct _rs_tx_combotx_phy_4_30 {
    unsigned int reg_tx_prbs_data0_1                        :32;
};
#define tx_combotx_phy_4_30(val) ((rs_tx_combotx_phy_4_30*)&(val))



#define TX_COMBOTX_PHY_4_34                                              (HV_COMBOTX_PHY_4_BASE_ADDRESS + 0x34)

#define TX_COMBOTX_PHY_4_34_struct                                       rs_tx_combotx_phy_4_34

typedef struct _rs_tx_combotx_phy_4_34  rs_tx_combotx_phy_4_34;
struct _rs_tx_combotx_phy_4_34 {
    unsigned int reg_tx_prbs_data0_2                        :32;
};
#define tx_combotx_phy_4_34(val) ((rs_tx_combotx_phy_4_34*)&(val))



#define TX_COMBOTX_PHY_4_38                                              (HV_COMBOTX_PHY_4_BASE_ADDRESS + 0x38)

#define TX_COMBOTX_PHY_4_38_struct                                       rs_tx_combotx_phy_4_38

typedef struct _rs_tx_combotx_phy_4_38  rs_tx_combotx_phy_4_38;
struct _rs_tx_combotx_phy_4_38 {
    unsigned int reg_tx_prbs_data0_3                        :32;
};
#define tx_combotx_phy_4_38(val) ((rs_tx_combotx_phy_4_38*)&(val))



#define TX_COMBOTX_PHY_4_3C                                              (HV_COMBOTX_PHY_4_BASE_ADDRESS + 0x3C)

#define TX_COMBOTX_PHY_4_3C_struct                                       rs_tx_combotx_phy_4_3c

typedef struct _rs_tx_combotx_phy_4_3c  rs_tx_combotx_phy_4_3c;
struct _rs_tx_combotx_phy_4_3c {
    unsigned int reg_tx_prbs_data0_4                        :32;
};
#define tx_combotx_phy_4_3c(val) ((rs_tx_combotx_phy_4_3c*)&(val))



#define TX_COMBOTX_PHY_4_SETTING_PRBS_PAT_7                              (HV_COMBOTX_PHY_4_BASE_ADDRESS + 0x40)

#define TX_COMBOTX_PHY_4_SETTING_PRBS_PAT_7_struct                       rs_tx_combotx_phy_4_setting_prbs_pat_7

typedef struct _rs_tx_combotx_phy_4_setting_prbs_pat_7  rs_tx_combotx_phy_4_setting_prbs_pat_7;
struct _rs_tx_combotx_phy_4_setting_prbs_pat_7 {
    unsigned int reg_tx_prbs_data1_0                        :32;
};
#define tx_combotx_phy_4_setting_prbs_pat_7(val) ((rs_tx_combotx_phy_4_setting_prbs_pat_7*)&(val))



#define TX_COMBOTX_PHY_4_44                                              (HV_COMBOTX_PHY_4_BASE_ADDRESS + 0x44)

#define TX_COMBOTX_PHY_4_44_struct                                       rs_tx_combotx_phy_4_44

typedef struct _rs_tx_combotx_phy_4_44  rs_tx_combotx_phy_4_44;
struct _rs_tx_combotx_phy_4_44 {
    unsigned int reg_tx_prbs_data1_1                        :32;
};
#define tx_combotx_phy_4_44(val) ((rs_tx_combotx_phy_4_44*)&(val))



#define TX_COMBOTX_PHY_4_48                                              (HV_COMBOTX_PHY_4_BASE_ADDRESS + 0x48)

#define TX_COMBOTX_PHY_4_48_struct                                       rs_tx_combotx_phy_4_48

typedef struct _rs_tx_combotx_phy_4_48  rs_tx_combotx_phy_4_48;
struct _rs_tx_combotx_phy_4_48 {
    unsigned int reg_tx_prbs_data1_2                        :32;
};
#define tx_combotx_phy_4_48(val) ((rs_tx_combotx_phy_4_48*)&(val))



#define TX_COMBOTX_PHY_4_4C                                              (HV_COMBOTX_PHY_4_BASE_ADDRESS + 0x4C)

#define TX_COMBOTX_PHY_4_4C_struct                                       rs_tx_combotx_phy_4_4c

typedef struct _rs_tx_combotx_phy_4_4c  rs_tx_combotx_phy_4_4c;
struct _rs_tx_combotx_phy_4_4c {
    unsigned int reg_tx_prbs_data1_3                        :32;
};
#define tx_combotx_phy_4_4c(val) ((rs_tx_combotx_phy_4_4c*)&(val))



#define TX_COMBOTX_PHY_4_50                                              (HV_COMBOTX_PHY_4_BASE_ADDRESS + 0x50)

#define TX_COMBOTX_PHY_4_50_struct                                       rs_tx_combotx_phy_4_50

typedef struct _rs_tx_combotx_phy_4_50  rs_tx_combotx_phy_4_50;
struct _rs_tx_combotx_phy_4_50 {
    unsigned int reg_tx_prbs_data1_4                        :32;
};
#define tx_combotx_phy_4_50(val) ((rs_tx_combotx_phy_4_50*)&(val))



#define TX_COMBOTX_PHY_4_SETTING_PRBS_PAT_8                              (HV_COMBOTX_PHY_4_BASE_ADDRESS + 0x54)

#define TX_COMBOTX_PHY_4_SETTING_PRBS_PAT_8_struct                       rs_tx_combotx_phy_4_setting_prbs_pat_8

typedef struct _rs_tx_combotx_phy_4_setting_prbs_pat_8  rs_tx_combotx_phy_4_setting_prbs_pat_8;
struct _rs_tx_combotx_phy_4_setting_prbs_pat_8 {
    unsigned int reg_tx_prbs_data2_0                        :32;
};
#define tx_combotx_phy_4_setting_prbs_pat_8(val) ((rs_tx_combotx_phy_4_setting_prbs_pat_8*)&(val))



#define TX_COMBOTX_PHY_4_58                                              (HV_COMBOTX_PHY_4_BASE_ADDRESS + 0x58)

#define TX_COMBOTX_PHY_4_58_struct                                       rs_tx_combotx_phy_4_58

typedef struct _rs_tx_combotx_phy_4_58  rs_tx_combotx_phy_4_58;
struct _rs_tx_combotx_phy_4_58 {
    unsigned int reg_tx_prbs_data2_1                        :32;
};
#define tx_combotx_phy_4_58(val) ((rs_tx_combotx_phy_4_58*)&(val))



#define TX_COMBOTX_PHY_4_5C                                              (HV_COMBOTX_PHY_4_BASE_ADDRESS + 0x5C)

#define TX_COMBOTX_PHY_4_5C_struct                                       rs_tx_combotx_phy_4_5c

typedef struct _rs_tx_combotx_phy_4_5c  rs_tx_combotx_phy_4_5c;
struct _rs_tx_combotx_phy_4_5c {
    unsigned int reg_tx_prbs_data2_2                        :32;
};
#define tx_combotx_phy_4_5c(val) ((rs_tx_combotx_phy_4_5c*)&(val))



#define TX_COMBOTX_PHY_4_60                                              (HV_COMBOTX_PHY_4_BASE_ADDRESS + 0x60)

#define TX_COMBOTX_PHY_4_60_struct                                       rs_tx_combotx_phy_4_60

typedef struct _rs_tx_combotx_phy_4_60  rs_tx_combotx_phy_4_60;
struct _rs_tx_combotx_phy_4_60 {
    unsigned int reg_tx_prbs_data2_3                        :32;
};
#define tx_combotx_phy_4_60(val) ((rs_tx_combotx_phy_4_60*)&(val))



#define TX_COMBOTX_PHY_4_64                                              (HV_COMBOTX_PHY_4_BASE_ADDRESS + 0x64)

#define TX_COMBOTX_PHY_4_64_struct                                       rs_tx_combotx_phy_4_64

typedef struct _rs_tx_combotx_phy_4_64  rs_tx_combotx_phy_4_64;
struct _rs_tx_combotx_phy_4_64 {
    unsigned int reg_tx_prbs_data2_4                        :32;
};
#define tx_combotx_phy_4_64(val) ((rs_tx_combotx_phy_4_64*)&(val))



#endif