#ifndef _HV_PAGE_HT7315_DPU_LDG_DPC_H_
#define _HV_PAGE_HT7315_DPU_LDG_DPC_H_

#ifndef HV_DPU_LDG_DPC_BASE_ADDRESS
    #define HV_DPU_LDG_DPC_BASE_ADDRESS                                         0x11028000
#endif


#define DISP_TOP_DPU_LDG_DPC_00                                          (HV_DPU_LDG_DPC_BASE_ADDRESS + 0x00)

#define DISP_TOP_DPU_LDG_DPC_00_struct                                   rs_disp_top_dpu_ldg_dpc_00

typedef struct _rs_disp_top_dpu_ldg_dpc_00  rs_disp_top_dpu_ldg_dpc_00;
struct _rs_disp_top_dpu_ldg_dpc_00 {
    unsigned int reg_en                                     : 1;
    unsigned int reg_en_no_latch                            : 1;
    unsigned int reserved                                   :30;
};
#define disp_top_dpu_ldg_dpc_00(val) ((rs_disp_top_dpu_ldg_dpc_00*)&(val))



#define DISP_TOP_DPU_LDG_DPC_04                                          (HV_DPU_LDG_DPC_BASE_ADDRESS + 0x04)

#define DISP_TOP_DPU_LDG_DPC_04_struct                                   rs_disp_top_dpu_ldg_dpc_04

typedef struct _rs_disp_top_dpu_ldg_dpc_04  rs_disp_top_dpu_ldg_dpc_04;
struct _rs_disp_top_dpu_ldg_dpc_04 {
    unsigned int reg_ldg_wdma_amblight_clk_en               : 1;
    unsigned int reg_ldg_rdma_osd_clk_en                    : 1;
    unsigned int reg_ldg_rdma_kspi_clk_en                   : 1;
    unsigned int reg_ldg_rdma_tbl_clk_en                    : 1;
    unsigned int reg_ldg_rdma_osdtbl_clk_en                 : 1;
    unsigned int reg_ldg_rdma_bmp_clk_en                    : 1;
    unsigned int reg_ldg_wdma_osd_clk_en                    : 1;
    unsigned int reserved                                   :25;
};
#define disp_top_dpu_ldg_dpc_04(val) ((rs_disp_top_dpu_ldg_dpc_04*)&(val))



#define DISP_TOP_DPU_LDG_DPC_08                                          (HV_DPU_LDG_DPC_BASE_ADDRESS + 0x08)

#define DISP_TOP_DPU_LDG_DPC_08_struct                                   rs_disp_top_dpu_ldg_dpc_08

typedef struct _rs_disp_top_dpu_ldg_dpc_08  rs_disp_top_dpu_ldg_dpc_08;
struct _rs_disp_top_dpu_ldg_dpc_08 {
    unsigned int reg_amblgt_wr_pack_len                     : 8;
    unsigned int reg_osd_wr_pack_len                        : 8;
    unsigned int reserved                                   :16;
};
#define disp_top_dpu_ldg_dpc_08(val) ((rs_disp_top_dpu_ldg_dpc_08*)&(val))



#define DISP_TOP_DPU_LDG_DPC_0C                                          (HV_DPU_LDG_DPC_BASE_ADDRESS + 0x0C)

#define DISP_TOP_DPU_LDG_DPC_0C_struct                                   rs_disp_top_dpu_ldg_dpc_0c

typedef struct _rs_disp_top_dpu_ldg_dpc_0c  rs_disp_top_dpu_ldg_dpc_0c;
struct _rs_disp_top_dpu_ldg_dpc_0c {
    unsigned int reg_bmp_rd_unpack_hbp                      : 8;
    unsigned int reg_bmp_rd_unpack_height                   :13;
    unsigned int reg_bmp_rd_unpack_last_mode                : 1;
    unsigned int reg_bmp_rd_unpack_len                      : 8;
    unsigned int reserved                                   : 2;
};
#define disp_top_dpu_ldg_dpc_0c(val) ((rs_disp_top_dpu_ldg_dpc_0c*)&(val))



#define DISP_TOP_DPU_LDG_DPC_10                                          (HV_DPU_LDG_DPC_BASE_ADDRESS + 0x10)

#define DISP_TOP_DPU_LDG_DPC_10_struct                                   rs_disp_top_dpu_ldg_dpc_10

typedef struct _rs_disp_top_dpu_ldg_dpc_10  rs_disp_top_dpu_ldg_dpc_10;
struct _rs_disp_top_dpu_ldg_dpc_10 {
    unsigned int reg_bmp_rd_unpack_width                    :13;
    unsigned int reg_kspi_unpack_hbp                        : 8;
    unsigned int reserved                                   :11;
};
#define disp_top_dpu_ldg_dpc_10(val) ((rs_disp_top_dpu_ldg_dpc_10*)&(val))



#define DISP_TOP_DPU_LDG_DPC_14                                          (HV_DPU_LDG_DPC_BASE_ADDRESS + 0x14)

#define DISP_TOP_DPU_LDG_DPC_14_struct                                   rs_disp_top_dpu_ldg_dpc_14

typedef struct _rs_disp_top_dpu_ldg_dpc_14  rs_disp_top_dpu_ldg_dpc_14;
struct _rs_disp_top_dpu_ldg_dpc_14 {
    unsigned int reg_kspi_unpack_height                     :13;
    unsigned int reg_kspi_unpack_last_mode                  : 1;
    unsigned int reg_kspi_unpack_len                        : 8;
    unsigned int reserved                                   :10;
};
#define disp_top_dpu_ldg_dpc_14(val) ((rs_disp_top_dpu_ldg_dpc_14*)&(val))



#define DISP_TOP_DPU_LDG_DPC_18                                          (HV_DPU_LDG_DPC_BASE_ADDRESS + 0x18)

#define DISP_TOP_DPU_LDG_DPC_18_struct                                   rs_disp_top_dpu_ldg_dpc_18

typedef struct _rs_disp_top_dpu_ldg_dpc_18  rs_disp_top_dpu_ldg_dpc_18;
struct _rs_disp_top_dpu_ldg_dpc_18 {
    unsigned int reg_kspi_unpack_width                      :13;
    unsigned int reg_osd_rd_unpack_hbp                      : 8;
    unsigned int reserved                                   :11;
};
#define disp_top_dpu_ldg_dpc_18(val) ((rs_disp_top_dpu_ldg_dpc_18*)&(val))



#define DISP_TOP_DPU_LDG_DPC_1C                                          (HV_DPU_LDG_DPC_BASE_ADDRESS + 0x1C)

#define DISP_TOP_DPU_LDG_DPC_1C_struct                                   rs_disp_top_dpu_ldg_dpc_1c

typedef struct _rs_disp_top_dpu_ldg_dpc_1c  rs_disp_top_dpu_ldg_dpc_1c;
struct _rs_disp_top_dpu_ldg_dpc_1c {
    unsigned int reg_osd_rd_unpack_height                   :13;
    unsigned int reg_osd_rd_unpack_last_mode                : 1;
    unsigned int reg_osd_rd_unpack_len                      : 8;
    unsigned int reserved                                   :10;
};
#define disp_top_dpu_ldg_dpc_1c(val) ((rs_disp_top_dpu_ldg_dpc_1c*)&(val))



#define DISP_TOP_DPU_LDG_DPC_20                                          (HV_DPU_LDG_DPC_BASE_ADDRESS + 0x20)

#define DISP_TOP_DPU_LDG_DPC_20_struct                                   rs_disp_top_dpu_ldg_dpc_20

typedef struct _rs_disp_top_dpu_ldg_dpc_20  rs_disp_top_dpu_ldg_dpc_20;
struct _rs_disp_top_dpu_ldg_dpc_20 {
    unsigned int reg_osd_rd_unpack_width                    :13;
    unsigned int reserved                                   :19;
};
#define disp_top_dpu_ldg_dpc_20(val) ((rs_disp_top_dpu_ldg_dpc_20*)&(val))



#define DISP_TOP_DPU_LDG_DPC_24                                          (HV_DPU_LDG_DPC_BASE_ADDRESS + 0x24)

#define DISP_TOP_DPU_LDG_DPC_24_struct                                   rs_disp_top_dpu_ldg_dpc_24

typedef struct _rs_disp_top_dpu_ldg_dpc_24  rs_disp_top_dpu_ldg_dpc_24;
struct _rs_disp_top_dpu_ldg_dpc_24 {
    unsigned int reg_disp_byp_on                            : 1;
    unsigned int reg_disp_byp_mode                          : 2;
    unsigned int reg_disp_byp_width                         :13;
    unsigned int reg_disp_byp_chsel                         : 1;
    unsigned int reserved                                   :15;
};
#define disp_top_dpu_ldg_dpc_24(val) ((rs_disp_top_dpu_ldg_dpc_24*)&(val))



#define DISP_TOP_DPU_LDG_DPC_28                                          (HV_DPU_LDG_DPC_BASE_ADDRESS + 0x28)

#define DISP_TOP_DPU_LDG_DPC_28_struct                                   rs_disp_top_dpu_ldg_dpc_28

typedef struct _rs_disp_top_dpu_ldg_dpc_28  rs_disp_top_dpu_ldg_dpc_28;
struct _rs_disp_top_dpu_ldg_dpc_28 {
    unsigned int reg_ldg_int_en                             : 5;
    unsigned int reg_ldg_int_mode                           :10;
    unsigned int reg_ldg_int_clr                            : 5;
    unsigned int reserved                                   :12;
};
#define disp_top_dpu_ldg_dpc_28(val) ((rs_disp_top_dpu_ldg_dpc_28*)&(val))



#define DISP_TOP_DPU_LDG_DPC_FC                                          (HV_DPU_LDG_DPC_BASE_ADDRESS + 0xFC)

#define DISP_TOP_DPU_LDG_DPC_FC_struct                                   rs_disp_top_dpu_ldg_dpc_fc

typedef struct _rs_disp_top_dpu_ldg_dpc_fc  rs_disp_top_dpu_ldg_dpc_fc;
struct _rs_disp_top_dpu_ldg_dpc_fc {
    unsigned int regr_ldg_int_without_mask                  : 5;
    unsigned int regr_ldg_int_with_mask                     : 5;
    unsigned int reserved                                   :22;
};
#define disp_top_dpu_ldg_dpc_fc(val) ((rs_disp_top_dpu_ldg_dpc_fc*)&(val))



#endif