#ifndef _HV_PAGE_HT7315_DPU_RVDM_03_H_
#define _HV_PAGE_HT7315_DPU_RVDM_03_H_

#ifndef HV_DPU_RVDM_03_BASE_ADDRESS
    #define HV_DPU_RVDM_03_BASE_ADDRESS                                         0x11028200
#endif


#define DISP_TOP_DPU_RVDM_03_00                                          (HV_DPU_RVDM_03_BASE_ADDRESS + 0x00)

#define DISP_TOP_DPU_RVDM_03_00_struct                                   rs_disp_top_dpu_rvdm_03_00

typedef struct _rs_disp_top_dpu_rvdm_03_00  rs_disp_top_dpu_rvdm_03_00;
struct _rs_disp_top_dpu_rvdm_03_00 {
    unsigned int reg_03_dm_rd_buf_size                      :10;
    unsigned int reserved                                   :22;
};
#define disp_top_dpu_rvdm_03_00(val) ((rs_disp_top_dpu_rvdm_03_00*)&(val))



#define DISP_TOP_DPU_RVDM_03_04                                          (HV_DPU_RVDM_03_BASE_ADDRESS + 0x04)

#define DISP_TOP_DPU_RVDM_03_04_struct                                   rs_disp_top_dpu_rvdm_03_04

typedef struct _rs_disp_top_dpu_rvdm_03_04  rs_disp_top_dpu_rvdm_03_04;
struct _rs_disp_top_dpu_rvdm_03_04 {
    unsigned int reg_03_dm_rd_4k_bound_en                   : 1;
    unsigned int reg_03_dm_rd_access_mode                   : 1;
    unsigned int reg_03_dm_rd_burst_len                     : 8;
    unsigned int reg_03_dm_rd_burst_rmd                     : 8;
    unsigned int reg_03_dm_rd_col_step_dir                  : 1;
    unsigned int reg_03_dm_rd_db_en                         : 1;
    unsigned int reg_03_dm_rd_enable                        : 1;
    unsigned int reg_03_dm_rd_head_prefetch_num             : 2;
    unsigned int reg_03_dm_rd_line_step_dir                 : 1;
    unsigned int reg_03_dm_rd_outstanding                   : 4;
    unsigned int reg_03_dm_rd_ovflow_clr                    : 1;
    unsigned int reg_03_dm_rd_udflow_clr                    : 1;
    unsigned int reserved                                   : 2;
};
#define disp_top_dpu_rvdm_03_04(val) ((rs_disp_top_dpu_rvdm_03_04*)&(val))



#define DISP_TOP_DPU_RVDM_03_08                                          (HV_DPU_RVDM_03_BASE_ADDRESS + 0x08)

#define DISP_TOP_DPU_RVDM_03_08_struct                                   rs_disp_top_dpu_rvdm_03_08

typedef struct _rs_disp_top_dpu_rvdm_03_08  rs_disp_top_dpu_rvdm_03_08;
struct _rs_disp_top_dpu_rvdm_03_08 {
    unsigned int reg_03_dm_rd_burst_num                     :32;
};
#define disp_top_dpu_rvdm_03_08(val) ((rs_disp_top_dpu_rvdm_03_08*)&(val))



#define DISP_TOP_DPU_RVDM_03_0C                                          (HV_DPU_RVDM_03_BASE_ADDRESS + 0x0C)

#define DISP_TOP_DPU_RVDM_03_0C_struct                                   rs_disp_top_dpu_rvdm_03_0c

typedef struct _rs_disp_top_dpu_rvdm_03_0c  rs_disp_top_dpu_rvdm_03_0c;
struct _rs_disp_top_dpu_rvdm_03_0c {
    unsigned int reg_03_dm_rd_col_step                      :32;
};
#define disp_top_dpu_rvdm_03_0c(val) ((rs_disp_top_dpu_rvdm_03_0c*)&(val))



#define DISP_TOP_DPU_RVDM_03_10                                          (HV_DPU_RVDM_03_BASE_ADDRESS + 0x10)

#define DISP_TOP_DPU_RVDM_03_10_struct                                   rs_disp_top_dpu_rvdm_03_10

typedef struct _rs_disp_top_dpu_rvdm_03_10  rs_disp_top_dpu_rvdm_03_10;
struct _rs_disp_top_dpu_rvdm_03_10 {
    unsigned int reg_03_dm_rd_line_step                     :32;
};
#define disp_top_dpu_rvdm_03_10(val) ((rs_disp_top_dpu_rvdm_03_10*)&(val))



#define DISP_TOP_DPU_RVDM_03_14                                          (HV_DPU_RVDM_03_BASE_ADDRESS + 0x14)

#define DISP_TOP_DPU_RVDM_03_14_struct                                   rs_disp_top_dpu_rvdm_03_14

typedef struct _rs_disp_top_dpu_rvdm_03_14  rs_disp_top_dpu_rvdm_03_14;
struct _rs_disp_top_dpu_rvdm_03_14 {
    unsigned int reg_03_dm_rd_start_adr                     :32;
};
#define disp_top_dpu_rvdm_03_14(val) ((rs_disp_top_dpu_rvdm_03_14*)&(val))



#define DISP_TOP_DPU_RVDM_03_18                                          (HV_DPU_RVDM_03_BASE_ADDRESS + 0x18)

#define DISP_TOP_DPU_RVDM_03_18_struct                                   rs_disp_top_dpu_rvdm_03_18

typedef struct _rs_disp_top_dpu_rvdm_03_18  rs_disp_top_dpu_rvdm_03_18;
struct _rs_disp_top_dpu_rvdm_03_18 {
    unsigned int reg_03_dm_rd_col_dat_num                   :16;
    unsigned int reserved                                   :16;
};
#define disp_top_dpu_rvdm_03_18(val) ((rs_disp_top_dpu_rvdm_03_18*)&(val))



#define DISP_TOP_DPU_RVDM_03_1C                                          (HV_DPU_RVDM_03_BASE_ADDRESS + 0x1C)

#define DISP_TOP_DPU_RVDM_03_1C_struct                                   rs_disp_top_dpu_rvdm_03_1c

typedef struct _rs_disp_top_dpu_rvdm_03_1c  rs_disp_top_dpu_rvdm_03_1c;
struct _rs_disp_top_dpu_rvdm_03_1c {
    unsigned int reg_03_dm_rd_rdata_index                   :32;
};
#define disp_top_dpu_rvdm_03_1c(val) ((rs_disp_top_dpu_rvdm_03_1c*)&(val))



#define DISP_TOP_DPU_RVDM_03_20                                          (HV_DPU_RVDM_03_BASE_ADDRESS + 0x20)

#define DISP_TOP_DPU_RVDM_03_20_struct                                   rs_disp_top_dpu_rvdm_03_20

typedef struct _rs_disp_top_dpu_rvdm_03_20  rs_disp_top_dpu_rvdm_03_20;
struct _rs_disp_top_dpu_rvdm_03_20 {
    unsigned int reg_03_dm_rd_total_col_num                 :16;
    unsigned int reg_03_dm_rd_total_line_num                :16;
};
#define disp_top_dpu_rvdm_03_20(val) ((rs_disp_top_dpu_rvdm_03_20*)&(val))



#define DISP_TOP_DPU_RVDM_03_24                                          (HV_DPU_RVDM_03_BASE_ADDRESS + 0x24)

#define DISP_TOP_DPU_RVDM_03_24_struct                                   rs_disp_top_dpu_rvdm_03_24

typedef struct _rs_disp_top_dpu_rvdm_03_24  rs_disp_top_dpu_rvdm_03_24;
struct _rs_disp_top_dpu_rvdm_03_24 {
    unsigned int reg_03_dm_start_adr0                       :32;
};
#define disp_top_dpu_rvdm_03_24(val) ((rs_disp_top_dpu_rvdm_03_24*)&(val))



#define DISP_TOP_DPU_RVDM_03_28                                          (HV_DPU_RVDM_03_BASE_ADDRESS + 0x28)

#define DISP_TOP_DPU_RVDM_03_28_struct                                   rs_disp_top_dpu_rvdm_03_28

typedef struct _rs_disp_top_dpu_rvdm_03_28  rs_disp_top_dpu_rvdm_03_28;
struct _rs_disp_top_dpu_rvdm_03_28 {
    unsigned int reg_03_dm_start_adr1                       :32;
};
#define disp_top_dpu_rvdm_03_28(val) ((rs_disp_top_dpu_rvdm_03_28*)&(val))



#define DISP_TOP_DPU_RVDM_03_2C                                          (HV_DPU_RVDM_03_BASE_ADDRESS + 0x2C)

#define DISP_TOP_DPU_RVDM_03_2C_struct                                   rs_disp_top_dpu_rvdm_03_2c

typedef struct _rs_disp_top_dpu_rvdm_03_2c  rs_disp_top_dpu_rvdm_03_2c;
struct _rs_disp_top_dpu_rvdm_03_2c {
    unsigned int reg_03_dm_start_adr2                       :32;
};
#define disp_top_dpu_rvdm_03_2c(val) ((rs_disp_top_dpu_rvdm_03_2c*)&(val))



#define DISP_TOP_DPU_RVDM_03_30                                          (HV_DPU_RVDM_03_BASE_ADDRESS + 0x30)

#define DISP_TOP_DPU_RVDM_03_30_struct                                   rs_disp_top_dpu_rvdm_03_30

typedef struct _rs_disp_top_dpu_rvdm_03_30  rs_disp_top_dpu_rvdm_03_30;
struct _rs_disp_top_dpu_rvdm_03_30 {
    unsigned int reg_03_dm_start_adr3                       :32;
};
#define disp_top_dpu_rvdm_03_30(val) ((rs_disp_top_dpu_rvdm_03_30*)&(val))



#define DISP_TOP_DPU_RVDM_03_34                                          (HV_DPU_RVDM_03_BASE_ADDRESS + 0x34)

#define DISP_TOP_DPU_RVDM_03_34_struct                                   rs_disp_top_dpu_rvdm_03_34

typedef struct _rs_disp_top_dpu_rvdm_03_34  rs_disp_top_dpu_rvdm_03_34;
struct _rs_disp_top_dpu_rvdm_03_34 {
    unsigned int reg_03_dm_start_adr4                       :32;
};
#define disp_top_dpu_rvdm_03_34(val) ((rs_disp_top_dpu_rvdm_03_34*)&(val))



#define DISP_TOP_DPU_RVDM_03_38                                          (HV_DPU_RVDM_03_BASE_ADDRESS + 0x38)

#define DISP_TOP_DPU_RVDM_03_38_struct                                   rs_disp_top_dpu_rvdm_03_38

typedef struct _rs_disp_top_dpu_rvdm_03_38  rs_disp_top_dpu_rvdm_03_38;
struct _rs_disp_top_dpu_rvdm_03_38 {
    unsigned int reg_03_dm_start_adr5                       :32;
};
#define disp_top_dpu_rvdm_03_38(val) ((rs_disp_top_dpu_rvdm_03_38*)&(val))



#define DISP_TOP_DPU_RVDM_03_3C                                          (HV_DPU_RVDM_03_BASE_ADDRESS + 0x3C)

#define DISP_TOP_DPU_RVDM_03_3C_struct                                   rs_disp_top_dpu_rvdm_03_3c

typedef struct _rs_disp_top_dpu_rvdm_03_3c  rs_disp_top_dpu_rvdm_03_3c;
struct _rs_disp_top_dpu_rvdm_03_3c {
    unsigned int reg_03_dm_start_adr6                       :32;
};
#define disp_top_dpu_rvdm_03_3c(val) ((rs_disp_top_dpu_rvdm_03_3c*)&(val))



#define DISP_TOP_DPU_RVDM_03_40                                          (HV_DPU_RVDM_03_BASE_ADDRESS + 0x40)

#define DISP_TOP_DPU_RVDM_03_40_struct                                   rs_disp_top_dpu_rvdm_03_40

typedef struct _rs_disp_top_dpu_rvdm_03_40  rs_disp_top_dpu_rvdm_03_40;
struct _rs_disp_top_dpu_rvdm_03_40 {
    unsigned int reg_03_dm_start_adr7                       :32;
};
#define disp_top_dpu_rvdm_03_40(val) ((rs_disp_top_dpu_rvdm_03_40*)&(val))



#define DISP_TOP_DPU_RVDM_03_44                                          (HV_DPU_RVDM_03_BASE_ADDRESS + 0x44)

#define DISP_TOP_DPU_RVDM_03_44_struct                                   rs_disp_top_dpu_rvdm_03_44

typedef struct _rs_disp_top_dpu_rvdm_03_44  rs_disp_top_dpu_rvdm_03_44;
struct _rs_disp_top_dpu_rvdm_03_44 {
    unsigned int reg_03_dm_start_addr_sw_enable             : 1;
    unsigned int reserved                                   :31;
};
#define disp_top_dpu_rvdm_03_44(val) ((rs_disp_top_dpu_rvdm_03_44*)&(val))



#define DISP_TOP_DPU_RVDM_03_48                                          (HV_DPU_RVDM_03_BASE_ADDRESS + 0x48)

#define DISP_TOP_DPU_RVDM_03_48_struct                                   rs_disp_top_dpu_rvdm_03_48

typedef struct _rs_disp_top_dpu_rvdm_03_48  rs_disp_top_dpu_rvdm_03_48;
struct _rs_disp_top_dpu_rvdm_03_48 {
    unsigned int reg_03_dm_sw_start_adr                     :32;
};
#define disp_top_dpu_rvdm_03_48(val) ((rs_disp_top_dpu_rvdm_03_48*)&(val))



#define DISP_TOP_DPU_RVDM_03_4C                                          (HV_DPU_RVDM_03_BASE_ADDRESS + 0x4C)

#define DISP_TOP_DPU_RVDM_03_4C_struct                                   rs_disp_top_dpu_rvdm_03_4c

typedef struct _rs_disp_top_dpu_rvdm_03_4c  rs_disp_top_dpu_rvdm_03_4c;
struct _rs_disp_top_dpu_rvdm_03_4c {
    unsigned int reg_03_en                                  : 1;
    unsigned int reg_03_en_no_latch                         : 1;
    unsigned int reserved                                   :30;
};
#define disp_top_dpu_rvdm_03_4c(val) ((rs_disp_top_dpu_rvdm_03_4c*)&(val))



#define DISP_TOP_DPU_RVDM_03_50                                          (HV_DPU_RVDM_03_BASE_ADDRESS + 0x50)

#define DISP_TOP_DPU_RVDM_03_50_struct                                   rs_disp_top_dpu_rvdm_03_50

typedef struct _rs_disp_top_dpu_rvdm_03_50  rs_disp_top_dpu_rvdm_03_50;
struct _rs_disp_top_dpu_rvdm_03_50 {
    unsigned int mem_reg_03                                 : 8;
    unsigned int reg_03_mem_ema                             :16;
    unsigned int reserved                                   : 8;
};
#define disp_top_dpu_rvdm_03_50(val) ((rs_disp_top_dpu_rvdm_03_50*)&(val))



#define DISP_TOP_DPU_RVDM_03_80                                          (HV_DPU_RVDM_03_BASE_ADDRESS + 0x80)

#define DISP_TOP_DPU_RVDM_03_80_struct                                   rs_disp_top_dpu_rvdm_03_80

typedef struct _rs_disp_top_dpu_rvdm_03_80  rs_disp_top_dpu_rvdm_03_80;
struct _rs_disp_top_dpu_rvdm_03_80 {
    unsigned int reg_03_pq_dynamic_crc_enable               : 1;
    unsigned int reserved                                   :31;
};
#define disp_top_dpu_rvdm_03_80(val) ((rs_disp_top_dpu_rvdm_03_80*)&(val))



#define DISP_TOP_DPU_RVDM_03_84                                          (HV_DPU_RVDM_03_BASE_ADDRESS + 0x84)

#define DISP_TOP_DPU_RVDM_03_84_struct                                   rs_disp_top_dpu_rvdm_03_84

typedef struct _rs_disp_top_dpu_rvdm_03_84  rs_disp_top_dpu_rvdm_03_84;
struct _rs_disp_top_dpu_rvdm_03_84 {
    unsigned int regr_03_dynamic_crc_out0                   :32;
};
#define disp_top_dpu_rvdm_03_84(val) ((rs_disp_top_dpu_rvdm_03_84*)&(val))



#define DISP_TOP_DPU_RVDM_03_88                                          (HV_DPU_RVDM_03_BASE_ADDRESS + 0x88)

#define DISP_TOP_DPU_RVDM_03_88_struct                                   rs_disp_top_dpu_rvdm_03_88

typedef struct _rs_disp_top_dpu_rvdm_03_88  rs_disp_top_dpu_rvdm_03_88;
struct _rs_disp_top_dpu_rvdm_03_88 {
    unsigned int regr_03_dynamic_crc_out1                   :32;
};
#define disp_top_dpu_rvdm_03_88(val) ((rs_disp_top_dpu_rvdm_03_88*)&(val))



#define DISP_TOP_DPU_RVDM_03_8C                                          (HV_DPU_RVDM_03_BASE_ADDRESS + 0x8C)

#define DISP_TOP_DPU_RVDM_03_8C_struct                                   rs_disp_top_dpu_rvdm_03_8c

typedef struct _rs_disp_top_dpu_rvdm_03_8c  rs_disp_top_dpu_rvdm_03_8c;
struct _rs_disp_top_dpu_rvdm_03_8c {
    unsigned int regr_03_pq_dynamic_crc_fail                : 1;
    unsigned int reserved                                   :31;
};
#define disp_top_dpu_rvdm_03_8c(val) ((rs_disp_top_dpu_rvdm_03_8c*)&(val))



#define DISP_TOP_DPU_RVDM_03_DC                                          (HV_DPU_RVDM_03_BASE_ADDRESS + 0xDC)

#define DISP_TOP_DPU_RVDM_03_DC_struct                                   rs_disp_top_dpu_rvdm_03_dc

typedef struct _rs_disp_top_dpu_rvdm_03_dc  rs_disp_top_dpu_rvdm_03_dc;
struct _rs_disp_top_dpu_rvdm_03_dc {
    unsigned int reg_03_mem_ro                              : 4;
    unsigned int reserved                                   :28;
};
#define disp_top_dpu_rvdm_03_dc(val) ((rs_disp_top_dpu_rvdm_03_dc*)&(val))



#define DISP_TOP_DPU_RVDM_03_E0                                          (HV_DPU_RVDM_03_BASE_ADDRESS + 0xE0)

#define DISP_TOP_DPU_RVDM_03_E0_struct                                   rs_disp_top_dpu_rvdm_03_e0

typedef struct _rs_disp_top_dpu_rvdm_03_e0  rs_disp_top_dpu_rvdm_03_e0;
struct _rs_disp_top_dpu_rvdm_03_e0 {
    unsigned int regr_03_dm_rd_buf_space                    :10;
    unsigned int reserved                                   :22;
};
#define disp_top_dpu_rvdm_03_e0(val) ((rs_disp_top_dpu_rvdm_03_e0*)&(val))



#define DISP_TOP_DPU_RVDM_03_E4                                          (HV_DPU_RVDM_03_BASE_ADDRESS + 0xE4)

#define DISP_TOP_DPU_RVDM_03_E4_struct                                   rs_disp_top_dpu_rvdm_03_e4

typedef struct _rs_disp_top_dpu_rvdm_03_e4  rs_disp_top_dpu_rvdm_03_e4;
struct _rs_disp_top_dpu_rvdm_03_e4 {
    unsigned int regr_03_dm_rd_afifo_ovflow                 : 1;
    unsigned int regr_03_dm_rd_afifo_udflow                 : 1;
    unsigned int regr_03_dm_rd_block_num                    :16;
    unsigned int regr_03_dm_rd_buf_ovflow                   : 1;
    unsigned int regr_03_dm_rd_buf_udflow                   : 1;
    unsigned int regr_03_dm_rd_bus_idle                     : 1;
    unsigned int regr_03_dm_rd_cmd_sent                     : 4;
    unsigned int reserved                                   : 7;
};
#define disp_top_dpu_rvdm_03_e4(val) ((rs_disp_top_dpu_rvdm_03_e4*)&(val))



#define DISP_TOP_DPU_RVDM_03_E8                                          (HV_DPU_RVDM_03_BASE_ADDRESS + 0xE8)

#define DISP_TOP_DPU_RVDM_03_E8_struct                                   rs_disp_top_dpu_rvdm_03_e8

typedef struct _rs_disp_top_dpu_rvdm_03_e8  rs_disp_top_dpu_rvdm_03_e8;
struct _rs_disp_top_dpu_rvdm_03_e8 {
    unsigned int regr_03_dm_rd_cnt                          :32;
};
#define disp_top_dpu_rvdm_03_e8(val) ((rs_disp_top_dpu_rvdm_03_e8*)&(val))



#define DISP_TOP_DPU_RVDM_03_EC                                          (HV_DPU_RVDM_03_BASE_ADDRESS + 0xEC)

#define DISP_TOP_DPU_RVDM_03_EC_struct                                   rs_disp_top_dpu_rvdm_03_ec

typedef struct _rs_disp_top_dpu_rvdm_03_ec  rs_disp_top_dpu_rvdm_03_ec;
struct _rs_disp_top_dpu_rvdm_03_ec {
    unsigned int regr_03_dm_rd_dat_wait                     :12;
    unsigned int regr_03_dm_rd_line_num                     :16;
    unsigned int regr_03_dm_rd_st                           : 4;
};
#define disp_top_dpu_rvdm_03_ec(val) ((rs_disp_top_dpu_rvdm_03_ec*)&(val))



#define DISP_TOP_DPU_RVDM_03_F0                                          (HV_DPU_RVDM_03_BASE_ADDRESS + 0xF0)

#define DISP_TOP_DPU_RVDM_03_F0_struct                                   rs_disp_top_dpu_rvdm_03_f0

typedef struct _rs_disp_top_dpu_rvdm_03_f0  rs_disp_top_dpu_rvdm_03_f0;
struct _rs_disp_top_dpu_rvdm_03_f0 {
    unsigned int regr_03_dm_rd_rdata_0                      :32;
};
#define disp_top_dpu_rvdm_03_f0(val) ((rs_disp_top_dpu_rvdm_03_f0*)&(val))



#define DISP_TOP_DPU_RVDM_03_F4                                          (HV_DPU_RVDM_03_BASE_ADDRESS + 0xF4)

#define DISP_TOP_DPU_RVDM_03_F4_struct                                   rs_disp_top_dpu_rvdm_03_f4

typedef struct _rs_disp_top_dpu_rvdm_03_f4  rs_disp_top_dpu_rvdm_03_f4;
struct _rs_disp_top_dpu_rvdm_03_f4 {
    unsigned int regr_03_dm_rd_rdata_1                      :32;
};
#define disp_top_dpu_rvdm_03_f4(val) ((rs_disp_top_dpu_rvdm_03_f4*)&(val))



#define DISP_TOP_DPU_RVDM_03_F8                                          (HV_DPU_RVDM_03_BASE_ADDRESS + 0xF8)

#define DISP_TOP_DPU_RVDM_03_F8_struct                                   rs_disp_top_dpu_rvdm_03_f8

typedef struct _rs_disp_top_dpu_rvdm_03_f8  rs_disp_top_dpu_rvdm_03_f8;
struct _rs_disp_top_dpu_rvdm_03_f8 {
    unsigned int regr_03_dm_rd_rdata_2                      :32;
};
#define disp_top_dpu_rvdm_03_f8(val) ((rs_disp_top_dpu_rvdm_03_f8*)&(val))



#define DISP_TOP_DPU_RVDM_03_FC                                          (HV_DPU_RVDM_03_BASE_ADDRESS + 0xFC)

#define DISP_TOP_DPU_RVDM_03_FC_struct                                   rs_disp_top_dpu_rvdm_03_fc

typedef struct _rs_disp_top_dpu_rvdm_03_fc  rs_disp_top_dpu_rvdm_03_fc;
struct _rs_disp_top_dpu_rvdm_03_fc {
    unsigned int regr_03_dm_rd_rdata_3                      :32;
};
#define disp_top_dpu_rvdm_03_fc(val) ((rs_disp_top_dpu_rvdm_03_fc*)&(val))



#endif