#ifndef _HV_PAGE_HT7315_DTC_TOP_H_
#define _HV_PAGE_HT7315_DTC_TOP_H_

#ifndef HV_DTC_TOP_BASE_ADDRESS
    #define HV_DTC_TOP_BASE_ADDRESS                                         0x11023000
#endif


#define DISP_TOP_DTC_TOP_00                                              (HV_DTC_TOP_BASE_ADDRESS + 0x00)

#define DISP_TOP_DTC_TOP_00_struct                                       rs_disp_top_dtc_top_00

typedef struct _rs_disp_top_dtc_top_00  rs_disp_top_dtc_top_00;
struct _rs_disp_top_dtc_top_00 {
    unsigned int reg_freq_oscclk_int                        :10;
    unsigned int reg_freq_oscclk_frac                       :10;
    unsigned int reg_freq_refclk_int                        :10;
    unsigned int reserved                                   : 2;
};
#define disp_top_dtc_top_00(val) ((rs_disp_top_dtc_top_00*)&(val))



#define DISP_TOP_DTC_TOP_04                                              (HV_DTC_TOP_BASE_ADDRESS + 0x04)

#define DISP_TOP_DTC_TOP_04_struct                                       rs_disp_top_dtc_top_04

typedef struct _rs_disp_top_dtc_top_04  rs_disp_top_dtc_top_04;
struct _rs_disp_top_dtc_top_04 {
    unsigned int reg_freq_refclk_frac                       :10;
    unsigned int reg_pll_pre_div                            :10;
    unsigned int reg_pll_post_div                           :10;
    unsigned int reserved                                   : 2;
};
#define disp_top_dtc_top_04(val) ((rs_disp_top_dtc_top_04*)&(val))



#define DISP_TOP_DTC_TOP_08                                              (HV_DTC_TOP_BASE_ADDRESS + 0x08)

#define DISP_TOP_DTC_TOP_08_struct                                       rs_disp_top_dtc_top_08

typedef struct _rs_disp_top_dtc_top_08  rs_disp_top_dtc_top_08;
struct _rs_disp_top_dtc_top_08 {
    unsigned int reg_pll_fbdiv_sel                          : 2;
    unsigned int reserved                                   : 4;
    unsigned int reg_pll_fbdiv_int_manual                   :10;
    unsigned int reg_pll_fbdiv_frac_manual                  :16;
};
#define disp_top_dtc_top_08(val) ((rs_disp_top_dtc_top_08*)&(val))



#define DISP_TOP_DTC_TOP_0C                                              (HV_DTC_TOP_BASE_ADDRESS + 0x0C)

#define DISP_TOP_DTC_TOP_0C_struct                                       rs_disp_top_dtc_top_0c

typedef struct _rs_disp_top_dtc_top_0c  rs_disp_top_dtc_top_0c;
struct _rs_disp_top_dtc_top_0c {
    unsigned int reg_dtc_timing_sel                         : 3;
    unsigned int reg_tx_vtotal_framesync_sel                : 2;
    unsigned int reg_framesync_calc_mode                    : 1;
    unsigned int reg_framesync_vrr_mode                     : 1;
    unsigned int reg_dtc_delay_mode                         : 1;
    unsigned int reg_dtc_mute_en_sel                        : 2;
    unsigned int reg_dtc_mon_timing_sel                     : 2;
    unsigned int reg_dtc_sw_reset                           : 1;
    unsigned int reg_frame_sync_restart_cnt                 : 2;
    unsigned int reg_frmsync_range_clr                      : 1;
    unsigned int reg_tx_htotal_freerun                      :16;
};
#define disp_top_dtc_top_0c(val) ((rs_disp_top_dtc_top_0c*)&(val))



#define DISP_TOP_DTC_TOP_10                                              (HV_DTC_TOP_BASE_ADDRESS + 0x10)

#define DISP_TOP_DTC_TOP_10_struct                                       rs_disp_top_dtc_top_10

typedef struct _rs_disp_top_dtc_top_10  rs_disp_top_dtc_top_10;
struct _rs_disp_top_dtc_top_10 {
    unsigned int reg_tx_vtotal_freerun                      :16;
    unsigned int reg_tx_htotal_framesync                    :16;
};
#define disp_top_dtc_top_10(val) ((rs_disp_top_dtc_top_10*)&(val))



#define DISP_TOP_DTC_TOP_14                                              (HV_DTC_TOP_BASE_ADDRESS + 0x14)

#define DISP_TOP_DTC_TOP_14_struct                                       rs_disp_top_dtc_top_14

typedef struct _rs_disp_top_dtc_top_14  rs_disp_top_dtc_top_14;
struct _rs_disp_top_dtc_top_14 {
    unsigned int reg_tx_vtotal_framesync_manual             :16;
    unsigned int reg_tx_hact                                :16;
};
#define disp_top_dtc_top_14(val) ((rs_disp_top_dtc_top_14*)&(val))



#define DISP_TOP_DTC_TOP_18                                              (HV_DTC_TOP_BASE_ADDRESS + 0x18)

#define DISP_TOP_DTC_TOP_18_struct                                       rs_disp_top_dtc_top_18

typedef struct _rs_disp_top_dtc_top_18  rs_disp_top_dtc_top_18;
struct _rs_disp_top_dtc_top_18 {
    unsigned int reg_tx_hs_front                            :16;
    unsigned int reg_tx_hs_width                            :16;
};
#define disp_top_dtc_top_18(val) ((rs_disp_top_dtc_top_18*)&(val))



#define DISP_TOP_DTC_TOP_1C                                              (HV_DTC_TOP_BASE_ADDRESS + 0x1C)

#define DISP_TOP_DTC_TOP_1C_struct                                       rs_disp_top_dtc_top_1c

typedef struct _rs_disp_top_dtc_top_1c  rs_disp_top_dtc_top_1c;
struct _rs_disp_top_dtc_top_1c {
    unsigned int reg_tx_vact                                :16;
    unsigned int reg_tx_vs_front                            :16;
};
#define disp_top_dtc_top_1c(val) ((rs_disp_top_dtc_top_1c*)&(val))



#define DISP_TOP_DTC_TOP_20                                              (HV_DTC_TOP_BASE_ADDRESS + 0x20)

#define DISP_TOP_DTC_TOP_20_struct                                       rs_disp_top_dtc_top_20

typedef struct _rs_disp_top_dtc_top_20  rs_disp_top_dtc_top_20;
struct _rs_disp_top_dtc_top_20 {
    unsigned int reg_tx_vs_width                            :16;
    unsigned int reg_tx_vs_back_min                         :16;
};
#define disp_top_dtc_top_20(val) ((rs_disp_top_dtc_top_20*)&(val))



#define DISP_TOP_DTC_TOP_24                                              (HV_DTC_TOP_BASE_ADDRESS + 0x24)

#define DISP_TOP_DTC_TOP_24_struct                                       rs_disp_top_dtc_top_24

typedef struct _rs_disp_top_dtc_top_24  rs_disp_top_dtc_top_24;
struct _rs_disp_top_dtc_top_24 {
    unsigned int reg_cycle_refclk_delay                     :24;
    unsigned int reserved                                   : 8;
};
#define disp_top_dtc_top_24(val) ((rs_disp_top_dtc_top_24*)&(val))



#define DISP_TOP_DTC_TOP_28                                              (HV_DTC_TOP_BASE_ADDRESS + 0x28)

#define DISP_TOP_DTC_TOP_28_struct                                       rs_disp_top_dtc_top_28

typedef struct _rs_disp_top_dtc_top_28  rs_disp_top_dtc_top_28;
struct _rs_disp_top_dtc_top_28 {
    unsigned int reg_cycle_refclk_framesync_range_max       :24;
    unsigned int reserved                                   : 8;
};
#define disp_top_dtc_top_28(val) ((rs_disp_top_dtc_top_28*)&(val))



#define DISP_TOP_DTC_TOP_2C                                              (HV_DTC_TOP_BASE_ADDRESS + 0x2C)

#define DISP_TOP_DTC_TOP_2C_struct                                       rs_disp_top_dtc_top_2c

typedef struct _rs_disp_top_dtc_top_2c  rs_disp_top_dtc_top_2c;
struct _rs_disp_top_dtc_top_2c {
    unsigned int reg_cycle_refclk_framesync_range_min       :24;
    unsigned int reserved                                   : 8;
};
#define disp_top_dtc_top_2c(val) ((rs_disp_top_dtc_top_2c*)&(val))



#define DISP_TOP_DTC_TOP_30                                              (HV_DTC_TOP_BASE_ADDRESS + 0x30)

#define DISP_TOP_DTC_TOP_30_struct                                       rs_disp_top_dtc_top_30

typedef struct _rs_disp_top_dtc_top_30  rs_disp_top_dtc_top_30;
struct _rs_disp_top_dtc_top_30 {
    unsigned int reg_cycle_refclk_framesync_restart_th      :24;
    unsigned int reserved                                   : 5;
    unsigned int reg_fifo_clr_mode                          : 1;
    unsigned int reg_dtc_buffer_overflow_clr                : 1;
    unsigned int reg_dtc_buffer_underflow_clr               : 1;
};
#define disp_top_dtc_top_30(val) ((rs_disp_top_dtc_top_30*)&(val))



#define DISP_TOP_DTC_TOP_34                                              (HV_DTC_TOP_BASE_ADDRESS + 0x34)

#define DISP_TOP_DTC_TOP_34_struct                                       rs_disp_top_dtc_top_34

typedef struct _rs_disp_top_dtc_top_34  rs_disp_top_dtc_top_34;
struct _rs_disp_top_dtc_top_34 {
    unsigned int reg_rx_vact                                :16;
    unsigned int reg_tx_vde_dummy_num                       :16;
};
#define disp_top_dtc_top_34(val) ((rs_disp_top_dtc_top_34*)&(val))



#define DISP_TOP_DTC_TOP_38                                              (HV_DTC_TOP_BASE_ADDRESS + 0x38)

#define DISP_TOP_DTC_TOP_38_struct                                       rs_disp_top_dtc_top_38

typedef struct _rs_disp_top_dtc_top_38  rs_disp_top_dtc_top_38;
struct _rs_disp_top_dtc_top_38 {
    unsigned int reg_clk_det_win                            :20;
    unsigned int reserved                                   :12;
};
#define disp_top_dtc_top_38(val) ((rs_disp_top_dtc_top_38*)&(val))



#define DISP_TOP_DTC_TOP_3C                                              (HV_DTC_TOP_BASE_ADDRESS + 0x3C)

#define DISP_TOP_DTC_TOP_3C_struct                                       rs_disp_top_dtc_top_3c

typedef struct _rs_disp_top_dtc_top_3c  rs_disp_top_dtc_top_3c;
struct _rs_disp_top_dtc_top_3c {
    unsigned int reg_clk_det_high                           :20;
    unsigned int reserved                                   :12;
};
#define disp_top_dtc_top_3c(val) ((rs_disp_top_dtc_top_3c*)&(val))



#define DISP_TOP_DTC_TOP_40                                              (HV_DTC_TOP_BASE_ADDRESS + 0x40)

#define DISP_TOP_DTC_TOP_40_struct                                       rs_disp_top_dtc_top_40

typedef struct _rs_disp_top_dtc_top_40  rs_disp_top_dtc_top_40;
struct _rs_disp_top_dtc_top_40 {
    unsigned int reg_clk_det_low                            :20;
    unsigned int reserved                                   :12;
};
#define disp_top_dtc_top_40(val) ((rs_disp_top_dtc_top_40*)&(val))



#define DISP_TOP_DTC_TOP_44                                              (HV_DTC_TOP_BASE_ADDRESS + 0x44)

#define DISP_TOP_DTC_TOP_44_struct                                       rs_disp_top_dtc_top_44

typedef struct _rs_disp_top_dtc_top_44  rs_disp_top_dtc_top_44;
struct _rs_disp_top_dtc_top_44 {
    unsigned int reg_clk_det_delta                          :20;
    unsigned int reserved                                   :12;
};
#define disp_top_dtc_top_44(val) ((rs_disp_top_dtc_top_44*)&(val))



#define DISP_TOP_DTC_TOP_48                                              (HV_DTC_TOP_BASE_ADDRESS + 0x48)

#define DISP_TOP_DTC_TOP_48_struct                                       rs_disp_top_dtc_top_48

typedef struct _rs_disp_top_dtc_top_48  rs_disp_top_dtc_top_48;
struct _rs_disp_top_dtc_top_48 {
    unsigned int reg_dtc_ch0_hsta                           :16;
    unsigned int reg_dtc_ch0_hend                           :16;
};
#define disp_top_dtc_top_48(val) ((rs_disp_top_dtc_top_48*)&(val))



#define DISP_TOP_DTC_TOP_4C                                              (HV_DTC_TOP_BASE_ADDRESS + 0x4C)

#define DISP_TOP_DTC_TOP_4C_struct                                       rs_disp_top_dtc_top_4c

typedef struct _rs_disp_top_dtc_top_4c  rs_disp_top_dtc_top_4c;
struct _rs_disp_top_dtc_top_4c {
    unsigned int reg_dtc_ch0_vsta                           :16;
    unsigned int reg_dtc_ch0_vend                           :16;
};
#define disp_top_dtc_top_4c(val) ((rs_disp_top_dtc_top_4c*)&(val))



#define DISP_TOP_DTC_TOP_50                                              (HV_DTC_TOP_BASE_ADDRESS + 0x50)

#define DISP_TOP_DTC_TOP_50_struct                                       rs_disp_top_dtc_top_50

typedef struct _rs_disp_top_dtc_top_50  rs_disp_top_dtc_top_50;
struct _rs_disp_top_dtc_top_50 {
    unsigned int reg_dtc_ch0_intvl                          : 8;
    unsigned int reg_dtc_ch0_en                             : 1;
    unsigned int reserved                                   :23;
};
#define disp_top_dtc_top_50(val) ((rs_disp_top_dtc_top_50*)&(val))



#define DISP_TOP_DTC_TOP_54                                              (HV_DTC_TOP_BASE_ADDRESS + 0x54)

#define DISP_TOP_DTC_TOP_54_struct                                       rs_disp_top_dtc_top_54

typedef struct _rs_disp_top_dtc_top_54  rs_disp_top_dtc_top_54;
struct _rs_disp_top_dtc_top_54 {
    unsigned int reg_dtc_ch1_hsta                           :16;
    unsigned int reg_dtc_ch1_hend                           :16;
};
#define disp_top_dtc_top_54(val) ((rs_disp_top_dtc_top_54*)&(val))



#define DISP_TOP_DTC_TOP_58                                              (HV_DTC_TOP_BASE_ADDRESS + 0x58)

#define DISP_TOP_DTC_TOP_58_struct                                       rs_disp_top_dtc_top_58

typedef struct _rs_disp_top_dtc_top_58  rs_disp_top_dtc_top_58;
struct _rs_disp_top_dtc_top_58 {
    unsigned int reg_dtc_ch1_vsta                           :16;
    unsigned int reg_dtc_ch1_vend                           :16;
};
#define disp_top_dtc_top_58(val) ((rs_disp_top_dtc_top_58*)&(val))



#define DISP_TOP_DTC_TOP_5C                                              (HV_DTC_TOP_BASE_ADDRESS + 0x5C)

#define DISP_TOP_DTC_TOP_5C_struct                                       rs_disp_top_dtc_top_5c

typedef struct _rs_disp_top_dtc_top_5c  rs_disp_top_dtc_top_5c;
struct _rs_disp_top_dtc_top_5c {
    unsigned int reg_dtc_ch1_intvl                          : 8;
    unsigned int reg_dtc_ch1_en                             : 1;
    unsigned int reserved                                   :23;
};
#define disp_top_dtc_top_5c(val) ((rs_disp_top_dtc_top_5c*)&(val))



#define DISP_TOP_DTC_TOP_60                                              (HV_DTC_TOP_BASE_ADDRESS + 0x60)

#define DISP_TOP_DTC_TOP_60_struct                                       rs_disp_top_dtc_top_60

typedef struct _rs_disp_top_dtc_top_60  rs_disp_top_dtc_top_60;
struct _rs_disp_top_dtc_top_60 {
    unsigned int reg_dtc_ch2_hsta                           :16;
    unsigned int reg_dtc_ch2_hend                           :16;
};
#define disp_top_dtc_top_60(val) ((rs_disp_top_dtc_top_60*)&(val))



#define DISP_TOP_DTC_TOP_64                                              (HV_DTC_TOP_BASE_ADDRESS + 0x64)

#define DISP_TOP_DTC_TOP_64_struct                                       rs_disp_top_dtc_top_64

typedef struct _rs_disp_top_dtc_top_64  rs_disp_top_dtc_top_64;
struct _rs_disp_top_dtc_top_64 {
    unsigned int reg_dtc_ch2_vsta                           :16;
    unsigned int reg_dtc_ch2_vend                           :16;
};
#define disp_top_dtc_top_64(val) ((rs_disp_top_dtc_top_64*)&(val))



#define DISP_TOP_DTC_TOP_68                                              (HV_DTC_TOP_BASE_ADDRESS + 0x68)

#define DISP_TOP_DTC_TOP_68_struct                                       rs_disp_top_dtc_top_68

typedef struct _rs_disp_top_dtc_top_68  rs_disp_top_dtc_top_68;
struct _rs_disp_top_dtc_top_68 {
    unsigned int reg_dtc_ch2_intvl                          : 8;
    unsigned int reg_dtc_ch2_en                             : 1;
    unsigned int reserved                                   :23;
};
#define disp_top_dtc_top_68(val) ((rs_disp_top_dtc_top_68*)&(val))



#define DISP_TOP_DTC_TOP_6C                                              (HV_DTC_TOP_BASE_ADDRESS + 0x6C)

#define DISP_TOP_DTC_TOP_6C_struct                                       rs_disp_top_dtc_top_6c

typedef struct _rs_disp_top_dtc_top_6c  rs_disp_top_dtc_top_6c;
struct _rs_disp_top_dtc_top_6c {
    unsigned int reg_dtc_ch3_hsta                           :16;
    unsigned int reg_dtc_ch3_hend                           :16;
};
#define disp_top_dtc_top_6c(val) ((rs_disp_top_dtc_top_6c*)&(val))



#define DISP_TOP_DTC_TOP_70                                              (HV_DTC_TOP_BASE_ADDRESS + 0x70)

#define DISP_TOP_DTC_TOP_70_struct                                       rs_disp_top_dtc_top_70

typedef struct _rs_disp_top_dtc_top_70  rs_disp_top_dtc_top_70;
struct _rs_disp_top_dtc_top_70 {
    unsigned int reg_dtc_ch3_vsta                           :16;
    unsigned int reg_dtc_ch3_vend                           :16;
};
#define disp_top_dtc_top_70(val) ((rs_disp_top_dtc_top_70*)&(val))



#define DISP_TOP_DTC_TOP_74                                              (HV_DTC_TOP_BASE_ADDRESS + 0x74)

#define DISP_TOP_DTC_TOP_74_struct                                       rs_disp_top_dtc_top_74

typedef struct _rs_disp_top_dtc_top_74  rs_disp_top_dtc_top_74;
struct _rs_disp_top_dtc_top_74 {
    unsigned int reg_dtc_ch3_intvl                          : 8;
    unsigned int reg_dtc_ch3_en                             : 1;
    unsigned int reserved                                   :23;
};
#define disp_top_dtc_top_74(val) ((rs_disp_top_dtc_top_74*)&(val))



#define DISP_TOP_DTC_TOP_78                                              (HV_DTC_TOP_BASE_ADDRESS + 0x78)

#define DISP_TOP_DTC_TOP_78_struct                                       rs_disp_top_dtc_top_78

typedef struct _rs_disp_top_dtc_top_78  rs_disp_top_dtc_top_78;
struct _rs_disp_top_dtc_top_78 {
    unsigned int reg_dtc_ch4_hsta                           :16;
    unsigned int reg_dtc_ch4_hend                           :16;
};
#define disp_top_dtc_top_78(val) ((rs_disp_top_dtc_top_78*)&(val))



#define DISP_TOP_DTC_TOP_7C                                              (HV_DTC_TOP_BASE_ADDRESS + 0x7C)

#define DISP_TOP_DTC_TOP_7C_struct                                       rs_disp_top_dtc_top_7c

typedef struct _rs_disp_top_dtc_top_7c  rs_disp_top_dtc_top_7c;
struct _rs_disp_top_dtc_top_7c {
    unsigned int reg_dtc_ch4_vsta                           :16;
    unsigned int reg_dtc_ch4_vend                           :16;
};
#define disp_top_dtc_top_7c(val) ((rs_disp_top_dtc_top_7c*)&(val))



#define DISP_TOP_DTC_TOP_80                                              (HV_DTC_TOP_BASE_ADDRESS + 0x80)

#define DISP_TOP_DTC_TOP_80_struct                                       rs_disp_top_dtc_top_80

typedef struct _rs_disp_top_dtc_top_80  rs_disp_top_dtc_top_80;
struct _rs_disp_top_dtc_top_80 {
    unsigned int reg_dtc_ch4_intvl                          : 8;
    unsigned int reg_dtc_ch4_en                             : 1;
    unsigned int reserved                                   :23;
};
#define disp_top_dtc_top_80(val) ((rs_disp_top_dtc_top_80*)&(val))



#define DISP_TOP_DTC_TOP_84                                              (HV_DTC_TOP_BASE_ADDRESS + 0x84)

#define DISP_TOP_DTC_TOP_84_struct                                       rs_disp_top_dtc_top_84

typedef struct _rs_disp_top_dtc_top_84  rs_disp_top_dtc_top_84;
struct _rs_disp_top_dtc_top_84 {
    unsigned int reg_freerun1_tg_mode                       : 1;
    unsigned int reg_freerun1_tg_fw_lock_mode               : 1;
    unsigned int reg_freerun1_tg_fw_frm_wdone               : 1;
    unsigned int reg_freerun1_tg_start                      : 1;
    unsigned int reg_freerun1_tg_start_db_en                : 1;
    unsigned int reg_freerun1_tg_frame_ratio                : 4;
    unsigned int reg_pll_fbdiv_int_prot_en                  : 1;
    unsigned int reg_pll_fbdiv_int_min                      :10;
    unsigned int reg_pll_fbdiv_int_max                      :10;
    unsigned int reg_seamless_en                            : 1;
    unsigned int reg_seamless_apply                         : 1;
};
#define disp_top_dtc_top_84(val) ((rs_disp_top_dtc_top_84*)&(val))



#define DISP_TOP_DTC_TOP_8C                                              (HV_DTC_TOP_BASE_ADDRESS + 0x8C)

#define DISP_TOP_DTC_TOP_8C_struct                                       rs_disp_top_dtc_top_8c

typedef struct _rs_disp_top_dtc_top_8c  rs_disp_top_dtc_top_8c;
struct _rs_disp_top_dtc_top_8c {
    unsigned int regr_tx_vtotal_min                         :16;
    unsigned int reserved                                   :16;
};
#define disp_top_dtc_top_8c(val) ((rs_disp_top_dtc_top_8c*)&(val))



#define DISP_TOP_DTC_TOP_90                                              (HV_DTC_TOP_BASE_ADDRESS + 0x90)

#define DISP_TOP_DTC_TOP_90_struct                                       rs_disp_top_dtc_top_90

typedef struct _rs_disp_top_dtc_top_90  rs_disp_top_dtc_top_90;
struct _rs_disp_top_dtc_top_90 {
    unsigned int regr_freerun1_tg_frm_wdone_total           :32;
};
#define disp_top_dtc_top_90(val) ((rs_disp_top_dtc_top_90*)&(val))



#define DISP_TOP_DTC_TOP_94                                              (HV_DTC_TOP_BASE_ADDRESS + 0x94)

#define DISP_TOP_DTC_TOP_94_struct                                       rs_disp_top_dtc_top_94

typedef struct _rs_disp_top_dtc_top_94  rs_disp_top_dtc_top_94;
struct _rs_disp_top_dtc_top_94 {
    unsigned int reg_frc_m_buf_num                          : 3;
    unsigned int reg_frc_m_abnorm_conflict_clr              : 1;
    unsigned int reg_frc_s_abnorm_conflict_clr              : 1;
    unsigned int reserved                                   :14;
    unsigned int reg_frc_m_index_freerun                    : 1;
    unsigned int reg_frc_m_index_fw_mode                    : 1;
    unsigned int reg_frc_m_index_start                      : 1;
    unsigned int reg_frc_m_init_r_index                     : 3;
    unsigned int reg_frc_m_init_w_index                     : 3;
    unsigned int reg_frc_m_overwrite_en                     : 1;
    unsigned int reg_frc_m_r_index_fw_value                 : 3;
};
#define disp_top_dtc_top_94(val) ((rs_disp_top_dtc_top_94*)&(val))



#define DISP_TOP_DTC_TOP_98                                              (HV_DTC_TOP_BASE_ADDRESS + 0x98)

#define DISP_TOP_DTC_TOP_98_struct                                       rs_disp_top_dtc_top_98

typedef struct _rs_disp_top_dtc_top_98  rs_disp_top_dtc_top_98;
struct _rs_disp_top_dtc_top_98 {
    unsigned int reg_frc_m_rd_done_th                       :16;
    unsigned int reg_frc_m_wr_done_th                       :16;
};
#define disp_top_dtc_top_98(val) ((rs_disp_top_dtc_top_98*)&(val))



#define DISP_TOP_DTC_TOP_9C                                              (HV_DTC_TOP_BASE_ADDRESS + 0x9C)

#define DISP_TOP_DTC_TOP_9C_struct                                       rs_disp_top_dtc_top_9c

typedef struct _rs_disp_top_dtc_top_9c  rs_disp_top_dtc_top_9c;
struct _rs_disp_top_dtc_top_9c {
    unsigned int reg_frc_m_read_freeze                      : 1;
    unsigned int reg_frc_m_w_index_fw_value                 : 3;
    unsigned int mem_reg                                    : 8;
    unsigned int mem_ema                                    :16;
    unsigned int reg_frc_s_read_freeze                      : 1;
    unsigned int reg_frc_s_w_index_fw_value                 : 3;
};
#define disp_top_dtc_top_9c(val) ((rs_disp_top_dtc_top_9c*)&(val))



#define DISP_TOP_DTC_TOP_A0                                              (HV_DTC_TOP_BASE_ADDRESS + 0xA0)

#define DISP_TOP_DTC_TOP_A0_struct                                       rs_disp_top_dtc_top_a0

typedef struct _rs_disp_top_dtc_top_a0  rs_disp_top_dtc_top_a0;
struct _rs_disp_top_dtc_top_a0 {
    unsigned int reg_frc_s_buf_num                          : 3;
    unsigned int reserved                                   :16;
    unsigned int reg_frc_s_index_freerun                    : 1;
    unsigned int reg_frc_s_index_fw_mode                    : 1;
    unsigned int reg_frc_s_index_start                      : 1;
    unsigned int reg_frc_s_init_r_index                     : 3;
    unsigned int reg_frc_s_init_w_index                     : 3;
    unsigned int reg_frc_s_overwrite_en                     : 1;
    unsigned int reg_frc_s_r_index_fw_value                 : 3;
};
#define disp_top_dtc_top_a0(val) ((rs_disp_top_dtc_top_a0*)&(val))



#define DISP_TOP_DTC_TOP_A4                                              (HV_DTC_TOP_BASE_ADDRESS + 0xA4)

#define DISP_TOP_DTC_TOP_A4_struct                                       rs_disp_top_dtc_top_a4

typedef struct _rs_disp_top_dtc_top_a4  rs_disp_top_dtc_top_a4;
struct _rs_disp_top_dtc_top_a4 {
    unsigned int reg_frc_s_rd_done_th                       :16;
    unsigned int reg_frc_s_wr_done_th                       :16;
};
#define disp_top_dtc_top_a4(val) ((rs_disp_top_dtc_top_a4*)&(val))



#define DISP_TOP_DTC_TOP_A8                                              (HV_DTC_TOP_BASE_ADDRESS + 0xA8)

#define DISP_TOP_DTC_TOP_A8_struct                                       rs_disp_top_dtc_top_a8

typedef struct _rs_disp_top_dtc_top_a8  rs_disp_top_dtc_top_a8;
struct _rs_disp_top_dtc_top_a8 {
    unsigned int regr_fbdiv_int_current                     :10;
    unsigned int regr_fbdiv_frac_current                    :16;
    unsigned int reserved                                   : 5;
    unsigned int regr_seamless_apply                        : 1;
};
#define disp_top_dtc_top_a8(val) ((rs_disp_top_dtc_top_a8*)&(val))



#define DISP_TOP_DTC_TOP_AC                                              (HV_DTC_TOP_BASE_ADDRESS + 0xAC)

#define DISP_TOP_DTC_TOP_AC_struct                                       rs_disp_top_dtc_top_ac

typedef struct _rs_disp_top_dtc_top_ac  rs_disp_top_dtc_top_ac;
struct _rs_disp_top_dtc_top_ac {
    unsigned int regr_fbdiv_int_calc0                       :10;
    unsigned int regr_fbdiv_frac_calc0                      :16;
    unsigned int reserved                                   : 6;
};
#define disp_top_dtc_top_ac(val) ((rs_disp_top_dtc_top_ac*)&(val))



#define DISP_TOP_DTC_TOP_B0                                              (HV_DTC_TOP_BASE_ADDRESS + 0xB0)

#define DISP_TOP_DTC_TOP_B0_struct                                       rs_disp_top_dtc_top_b0

typedef struct _rs_disp_top_dtc_top_b0  rs_disp_top_dtc_top_b0;
struct _rs_disp_top_dtc_top_b0 {
    unsigned int regr_fbdiv_int_calc1                       :10;
    unsigned int regr_fbdiv_frac_calc1                      :16;
    unsigned int reserved                                   : 6;
};
#define disp_top_dtc_top_b0(val) ((rs_disp_top_dtc_top_b0*)&(val))



#define DISP_TOP_DTC_TOP_B4                                              (HV_DTC_TOP_BASE_ADDRESS + 0xB4)

#define DISP_TOP_DTC_TOP_B4_struct                                       rs_disp_top_dtc_top_b4

typedef struct _rs_disp_top_dtc_top_b4  rs_disp_top_dtc_top_b4;
struct _rs_disp_top_dtc_top_b4 {
    unsigned int regr_mon_cycle_refclk_hact                 :24;
    unsigned int reserved                                   : 8;
};
#define disp_top_dtc_top_b4(val) ((rs_disp_top_dtc_top_b4*)&(val))



#define DISP_TOP_DTC_TOP_B8                                              (HV_DTC_TOP_BASE_ADDRESS + 0xB8)

#define DISP_TOP_DTC_TOP_B8_struct                                       rs_disp_top_dtc_top_b8

typedef struct _rs_disp_top_dtc_top_b8  rs_disp_top_dtc_top_b8;
struct _rs_disp_top_dtc_top_b8 {
    unsigned int regr_mon_cycle_refclk_vblank               :24;
    unsigned int reserved                                   : 8;
};
#define disp_top_dtc_top_b8(val) ((rs_disp_top_dtc_top_b8*)&(val))



#define DISP_TOP_DTC_TOP_BC                                              (HV_DTC_TOP_BASE_ADDRESS + 0xBC)

#define DISP_TOP_DTC_TOP_BC_struct                                       rs_disp_top_dtc_top_bc

typedef struct _rs_disp_top_dtc_top_bc  rs_disp_top_dtc_top_bc;
struct _rs_disp_top_dtc_top_bc {
    unsigned int regr_mon_cycle_refclk_vtotal               :24;
    unsigned int reserved                                   : 8;
};
#define disp_top_dtc_top_bc(val) ((rs_disp_top_dtc_top_bc*)&(val))



#define DISP_TOP_DTC_TOP_C0                                              (HV_DTC_TOP_BASE_ADDRESS + 0xC0)

#define DISP_TOP_DTC_TOP_C0_struct                                       rs_disp_top_dtc_top_c0

typedef struct _rs_disp_top_dtc_top_c0  rs_disp_top_dtc_top_c0;
struct _rs_disp_top_dtc_top_c0 {
    unsigned int regr_mon_cycle_refclk_vact                 :24;
    unsigned int reserved                                   : 8;
};
#define disp_top_dtc_top_c0(val) ((rs_disp_top_dtc_top_c0*)&(val))



#define DISP_TOP_DTC_TOP_C4                                              (HV_DTC_TOP_BASE_ADDRESS + 0xC4)

#define DISP_TOP_DTC_TOP_C4_struct                                       rs_disp_top_dtc_top_c4

typedef struct _rs_disp_top_dtc_top_c4  rs_disp_top_dtc_top_c4;
struct _rs_disp_top_dtc_top_c4 {
    unsigned int regr_mon_rx_vact                           :16;
    unsigned int regr_mon_tx_vtotal                         :16;
};
#define disp_top_dtc_top_c4(val) ((rs_disp_top_dtc_top_c4*)&(val))



#define DISP_TOP_DTC_TOP_C8                                              (HV_DTC_TOP_BASE_ADDRESS + 0xC8)

#define DISP_TOP_DTC_TOP_C8_struct                                       rs_disp_top_dtc_top_c8

typedef struct _rs_disp_top_dtc_top_c8  rs_disp_top_dtc_top_c8;
struct _rs_disp_top_dtc_top_c8 {
    unsigned int regr_frmsync_cycle_txclk_vtotal            :32;
};
#define disp_top_dtc_top_c8(val) ((rs_disp_top_dtc_top_c8*)&(val))



#define DISP_TOP_DTC_TOP_CC                                              (HV_DTC_TOP_BASE_ADDRESS + 0xCC)

#define DISP_TOP_DTC_TOP_CC_struct                                       rs_disp_top_dtc_top_cc

typedef struct _rs_disp_top_dtc_top_cc  rs_disp_top_dtc_top_cc;
struct _rs_disp_top_dtc_top_cc {
    unsigned int regr_frmsync_cycle_txclk_delay             :32;
};
#define disp_top_dtc_top_cc(val) ((rs_disp_top_dtc_top_cc*)&(val))



#define DISP_TOP_DTC_TOP_D0                                              (HV_DTC_TOP_BASE_ADDRESS + 0xD0)

#define DISP_TOP_DTC_TOP_D0_struct                                       rs_disp_top_dtc_top_d0

typedef struct _rs_disp_top_dtc_top_d0  rs_disp_top_dtc_top_d0;
struct _rs_disp_top_dtc_top_d0 {
    unsigned int regr_frmsync_tx_vtotal_use                 :16;
    unsigned int regr_frmsync_range_underflow               : 2;
    unsigned int regr_frmsync_range_overflow                : 2;
    unsigned int regr_frmsync_state                         : 4;
    unsigned int reserved                                   : 8;
};
#define disp_top_dtc_top_d0(val) ((rs_disp_top_dtc_top_d0*)&(val))



#define DISP_TOP_DTC_TOP_D4                                              (HV_DTC_TOP_BASE_ADDRESS + 0xD4)

#define DISP_TOP_DTC_TOP_D4_struct                                       rs_disp_top_dtc_top_d4

typedef struct _rs_disp_top_dtc_top_d4  rs_disp_top_dtc_top_d4;
struct _rs_disp_top_dtc_top_d4 {
    unsigned int regr_tx_htotal                             :16;
    unsigned int regr_tx_vtotal                             :16;
};
#define disp_top_dtc_top_d4(val) ((rs_disp_top_dtc_top_d4*)&(val))



#define DISP_TOP_DTC_TOP_D8                                              (HV_DTC_TOP_BASE_ADDRESS + 0xD8)

#define DISP_TOP_DTC_TOP_D8_struct                                       rs_disp_top_dtc_top_d8

typedef struct _rs_disp_top_dtc_top_d8  rs_disp_top_dtc_top_d8;
struct _rs_disp_top_dtc_top_d8 {
    unsigned int regr_frc_m_buf_status                      :14;
    unsigned int regr_frc_s_buf_status                      :14;
    unsigned int regr_frc_m_abnorm_conflict                 : 1;
    unsigned int regr_frc_s_abnorm_conflict                 : 1;
    unsigned int reserved                                   : 2;
};
#define disp_top_dtc_top_d8(val) ((rs_disp_top_dtc_top_d8*)&(val))



#define DISP_TOP_DTC_TOP_DC                                              (HV_DTC_TOP_BASE_ADDRESS + 0xDC)

#define DISP_TOP_DTC_TOP_DC_struct                                       rs_disp_top_dtc_top_dc

typedef struct _rs_disp_top_dtc_top_dc  rs_disp_top_dtc_top_dc;
struct _rs_disp_top_dtc_top_dc {
    unsigned int regr_frc_m_in_dat_num                      :26;
    unsigned int regr_frc_m_windex                          : 3;
    unsigned int regr_frc_m_rindex                          : 3;
};
#define disp_top_dtc_top_dc(val) ((rs_disp_top_dtc_top_dc*)&(val))



#define DISP_TOP_DTC_TOP_E0                                              (HV_DTC_TOP_BASE_ADDRESS + 0xE0)

#define DISP_TOP_DTC_TOP_E0_struct                                       rs_disp_top_dtc_top_e0

typedef struct _rs_disp_top_dtc_top_e0  rs_disp_top_dtc_top_e0;
struct _rs_disp_top_dtc_top_e0 {
    unsigned int regr_frc_m_out_dat_num                     :26;
    unsigned int reserved                                   : 6;
};
#define disp_top_dtc_top_e0(val) ((rs_disp_top_dtc_top_e0*)&(val))



#define DISP_TOP_DTC_TOP_E4                                              (HV_DTC_TOP_BASE_ADDRESS + 0xE4)

#define DISP_TOP_DTC_TOP_E4_struct                                       rs_disp_top_dtc_top_e4

typedef struct _rs_disp_top_dtc_top_e4  rs_disp_top_dtc_top_e4;
struct _rs_disp_top_dtc_top_e4 {
    unsigned int regr_frc_s_in_dat_num                      :26;
    unsigned int regr_frc_s_windex                          : 3;
    unsigned int regr_frc_s_rindex                          : 3;
};
#define disp_top_dtc_top_e4(val) ((rs_disp_top_dtc_top_e4*)&(val))



#define DISP_TOP_DTC_TOP_E8                                              (HV_DTC_TOP_BASE_ADDRESS + 0xE8)

#define DISP_TOP_DTC_TOP_E8_struct                                       rs_disp_top_dtc_top_e8

typedef struct _rs_disp_top_dtc_top_e8  rs_disp_top_dtc_top_e8;
struct _rs_disp_top_dtc_top_e8 {
    unsigned int regr_frc_s_out_dat_num                     :26;
    unsigned int reserved                                   : 2;
    unsigned int regr_freerun1_tg_frame_cnt                 : 4;
};
#define disp_top_dtc_top_e8(val) ((rs_disp_top_dtc_top_e8*)&(val))



#define DISP_TOP_DTC_TOP_EC                                              (HV_DTC_TOP_BASE_ADDRESS + 0xEC)

#define DISP_TOP_DTC_TOP_EC_struct                                       rs_disp_top_dtc_top_ec

typedef struct _rs_disp_top_dtc_top_ec  rs_disp_top_dtc_top_ec;
struct _rs_disp_top_dtc_top_ec {
    unsigned int regr_freerun1_tg_vtotal_last               :16;
    unsigned int regr_dtc_buffer_depth                      :16;
};
#define disp_top_dtc_top_ec(val) ((rs_disp_top_dtc_top_ec*)&(val))



#define DISP_TOP_DTC_TOP_F0                                              (HV_DTC_TOP_BASE_ADDRESS + 0xF0)

#define DISP_TOP_DTC_TOP_F0_struct                                       rs_disp_top_dtc_top_f0

typedef struct _rs_disp_top_dtc_top_f0  rs_disp_top_dtc_top_f0;
struct _rs_disp_top_dtc_top_f0 {
    unsigned int regr_clk_det_refclk_cnt                    :20;
    unsigned int regr_clk_det_refclk_nck                    : 1;
    unsigned int regr_clk_det_refclk_high                   : 1;
    unsigned int regr_clk_det_refclk_low                    : 1;
    unsigned int regr_clk_det_refclk_nstb                   : 1;
    unsigned int reserved                                   : 8;
};
#define disp_top_dtc_top_f0(val) ((rs_disp_top_dtc_top_f0*)&(val))



#define DISP_TOP_DTC_TOP_F4                                              (HV_DTC_TOP_BASE_ADDRESS + 0xF4)

#define DISP_TOP_DTC_TOP_F4_struct                                       rs_disp_top_dtc_top_f4

typedef struct _rs_disp_top_dtc_top_f4  rs_disp_top_dtc_top_f4;
struct _rs_disp_top_dtc_top_f4 {
    unsigned int regr_clk_det_txclk_cnt                     :20;
    unsigned int regr_clk_det_txclk_nck                     : 1;
    unsigned int regr_clk_det_txclk_high                    : 1;
    unsigned int regr_clk_det_txclk_low                     : 1;
    unsigned int regr_clk_det_txclk_nstb                    : 1;
    unsigned int reserved                                   : 8;
};
#define disp_top_dtc_top_f4(val) ((rs_disp_top_dtc_top_f4*)&(val))



#define DISP_TOP_DTC_TOP_F8                                              (HV_DTC_TOP_BASE_ADDRESS + 0xF8)

#define DISP_TOP_DTC_TOP_F8_struct                                       rs_disp_top_dtc_top_f8

typedef struct _rs_disp_top_dtc_top_f8  rs_disp_top_dtc_top_f8;
struct _rs_disp_top_dtc_top_f8 {
    unsigned int regr_dtc_buffer_overflow                   : 1;
    unsigned int reserved                                   : 1;
    unsigned int regr_dtc_buffer_underflow                  : 1;
    unsigned int reserved_1                                 : 5;
    unsigned int regr_frmsync_range_cycle_refclk_typical    :24;
};
#define disp_top_dtc_top_f8(val) ((rs_disp_top_dtc_top_f8*)&(val))



#define DISP_TOP_DTC_TOP_FC                                              (HV_DTC_TOP_BASE_ADDRESS + 0xFC)

#define DISP_TOP_DTC_TOP_FC_struct                                       rs_disp_top_dtc_top_fc

typedef struct _rs_disp_top_dtc_top_fc  rs_disp_top_dtc_top_fc;
struct _rs_disp_top_dtc_top_fc {
    unsigned int regr_dtc_state                             : 4;
    unsigned int mem_ro_0                                   : 4;
    unsigned int mem_ro_1                                   : 4;
    unsigned int mem_ro_2                                   : 4;
    unsigned int mem_ro_345                                 : 4;
    unsigned int reserved                                   :12;
};
#define disp_top_dtc_top_fc(val) ((rs_disp_top_dtc_top_fc*)&(val))



#endif