#ifndef _HV_PAGE_HT7315_EDP_RX_DPCD_EDID_00_H_
#define _HV_PAGE_HT7315_EDP_RX_DPCD_EDID_00_H_

#ifndef HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS
    #define HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS                                         0x11048500
#endif


#define RX_EDP_RX_DPCD_EDID_00_00                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0x00)

#define RX_EDP_RX_DPCD_EDID_00_00_struct                                 rs_rx_edp_rx_dpcd_edid_00_00

typedef struct _rs_rx_edp_rx_dpcd_edid_00_00  rs_rx_edp_rx_dpcd_edid_00_00;
struct _rs_rx_edp_rx_dpcd_edid_00_00 {
    unsigned int reg_00_dprx_dpcd_edid_byte0                : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte1                : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte2                : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte3                : 8;
};
#define rx_edp_rx_dpcd_edid_00_00(val) ((rs_rx_edp_rx_dpcd_edid_00_00*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_04                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0x04)

#define RX_EDP_RX_DPCD_EDID_00_04_struct                                 rs_rx_edp_rx_dpcd_edid_00_04

typedef struct _rs_rx_edp_rx_dpcd_edid_00_04  rs_rx_edp_rx_dpcd_edid_00_04;
struct _rs_rx_edp_rx_dpcd_edid_00_04 {
    unsigned int reg_00_dprx_dpcd_edid_byte4                : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte5                : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte6                : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte7                : 8;
};
#define rx_edp_rx_dpcd_edid_00_04(val) ((rs_rx_edp_rx_dpcd_edid_00_04*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_08                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0x08)

#define RX_EDP_RX_DPCD_EDID_00_08_struct                                 rs_rx_edp_rx_dpcd_edid_00_08

typedef struct _rs_rx_edp_rx_dpcd_edid_00_08  rs_rx_edp_rx_dpcd_edid_00_08;
struct _rs_rx_edp_rx_dpcd_edid_00_08 {
    unsigned int reg_00_dprx_dpcd_edid_byte8                : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte9                : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte10               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte11               : 8;
};
#define rx_edp_rx_dpcd_edid_00_08(val) ((rs_rx_edp_rx_dpcd_edid_00_08*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_0C                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0x0C)

#define RX_EDP_RX_DPCD_EDID_00_0C_struct                                 rs_rx_edp_rx_dpcd_edid_00_0c

typedef struct _rs_rx_edp_rx_dpcd_edid_00_0c  rs_rx_edp_rx_dpcd_edid_00_0c;
struct _rs_rx_edp_rx_dpcd_edid_00_0c {
    unsigned int reg_00_dprx_dpcd_edid_byte12               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte13               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte14               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte15               : 8;
};
#define rx_edp_rx_dpcd_edid_00_0c(val) ((rs_rx_edp_rx_dpcd_edid_00_0c*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_10                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0x10)

#define RX_EDP_RX_DPCD_EDID_00_10_struct                                 rs_rx_edp_rx_dpcd_edid_00_10

typedef struct _rs_rx_edp_rx_dpcd_edid_00_10  rs_rx_edp_rx_dpcd_edid_00_10;
struct _rs_rx_edp_rx_dpcd_edid_00_10 {
    unsigned int reg_00_dprx_dpcd_edid_byte16               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte17               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte18               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte19               : 8;
};
#define rx_edp_rx_dpcd_edid_00_10(val) ((rs_rx_edp_rx_dpcd_edid_00_10*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_14                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0x14)

#define RX_EDP_RX_DPCD_EDID_00_14_struct                                 rs_rx_edp_rx_dpcd_edid_00_14

typedef struct _rs_rx_edp_rx_dpcd_edid_00_14  rs_rx_edp_rx_dpcd_edid_00_14;
struct _rs_rx_edp_rx_dpcd_edid_00_14 {
    unsigned int reg_00_dprx_dpcd_edid_byte20               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte21               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte22               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte23               : 8;
};
#define rx_edp_rx_dpcd_edid_00_14(val) ((rs_rx_edp_rx_dpcd_edid_00_14*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_18                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0x18)

#define RX_EDP_RX_DPCD_EDID_00_18_struct                                 rs_rx_edp_rx_dpcd_edid_00_18

typedef struct _rs_rx_edp_rx_dpcd_edid_00_18  rs_rx_edp_rx_dpcd_edid_00_18;
struct _rs_rx_edp_rx_dpcd_edid_00_18 {
    unsigned int reg_00_dprx_dpcd_edid_byte24               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte25               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte26               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte27               : 8;
};
#define rx_edp_rx_dpcd_edid_00_18(val) ((rs_rx_edp_rx_dpcd_edid_00_18*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_1C                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0x1C)

#define RX_EDP_RX_DPCD_EDID_00_1C_struct                                 rs_rx_edp_rx_dpcd_edid_00_1c

typedef struct _rs_rx_edp_rx_dpcd_edid_00_1c  rs_rx_edp_rx_dpcd_edid_00_1c;
struct _rs_rx_edp_rx_dpcd_edid_00_1c {
    unsigned int reg_00_dprx_dpcd_edid_byte28               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte29               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte30               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte31               : 8;
};
#define rx_edp_rx_dpcd_edid_00_1c(val) ((rs_rx_edp_rx_dpcd_edid_00_1c*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_20                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0x20)

#define RX_EDP_RX_DPCD_EDID_00_20_struct                                 rs_rx_edp_rx_dpcd_edid_00_20

typedef struct _rs_rx_edp_rx_dpcd_edid_00_20  rs_rx_edp_rx_dpcd_edid_00_20;
struct _rs_rx_edp_rx_dpcd_edid_00_20 {
    unsigned int reg_00_dprx_dpcd_edid_byte32               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte33               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte34               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte35               : 8;
};
#define rx_edp_rx_dpcd_edid_00_20(val) ((rs_rx_edp_rx_dpcd_edid_00_20*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_24                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0x24)

#define RX_EDP_RX_DPCD_EDID_00_24_struct                                 rs_rx_edp_rx_dpcd_edid_00_24

typedef struct _rs_rx_edp_rx_dpcd_edid_00_24  rs_rx_edp_rx_dpcd_edid_00_24;
struct _rs_rx_edp_rx_dpcd_edid_00_24 {
    unsigned int reg_00_dprx_dpcd_edid_byte36               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte37               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte38               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte39               : 8;
};
#define rx_edp_rx_dpcd_edid_00_24(val) ((rs_rx_edp_rx_dpcd_edid_00_24*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_28                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0x28)

#define RX_EDP_RX_DPCD_EDID_00_28_struct                                 rs_rx_edp_rx_dpcd_edid_00_28

typedef struct _rs_rx_edp_rx_dpcd_edid_00_28  rs_rx_edp_rx_dpcd_edid_00_28;
struct _rs_rx_edp_rx_dpcd_edid_00_28 {
    unsigned int reg_00_dprx_dpcd_edid_byte40               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte41               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte42               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte43               : 8;
};
#define rx_edp_rx_dpcd_edid_00_28(val) ((rs_rx_edp_rx_dpcd_edid_00_28*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_2C                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0x2C)

#define RX_EDP_RX_DPCD_EDID_00_2C_struct                                 rs_rx_edp_rx_dpcd_edid_00_2c

typedef struct _rs_rx_edp_rx_dpcd_edid_00_2c  rs_rx_edp_rx_dpcd_edid_00_2c;
struct _rs_rx_edp_rx_dpcd_edid_00_2c {
    unsigned int reg_00_dprx_dpcd_edid_byte44               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte45               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte46               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte47               : 8;
};
#define rx_edp_rx_dpcd_edid_00_2c(val) ((rs_rx_edp_rx_dpcd_edid_00_2c*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_30                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0x30)

#define RX_EDP_RX_DPCD_EDID_00_30_struct                                 rs_rx_edp_rx_dpcd_edid_00_30

typedef struct _rs_rx_edp_rx_dpcd_edid_00_30  rs_rx_edp_rx_dpcd_edid_00_30;
struct _rs_rx_edp_rx_dpcd_edid_00_30 {
    unsigned int reg_00_dprx_dpcd_edid_byte48               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte49               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte50               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte51               : 8;
};
#define rx_edp_rx_dpcd_edid_00_30(val) ((rs_rx_edp_rx_dpcd_edid_00_30*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_34                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0x34)

#define RX_EDP_RX_DPCD_EDID_00_34_struct                                 rs_rx_edp_rx_dpcd_edid_00_34

typedef struct _rs_rx_edp_rx_dpcd_edid_00_34  rs_rx_edp_rx_dpcd_edid_00_34;
struct _rs_rx_edp_rx_dpcd_edid_00_34 {
    unsigned int reg_00_dprx_dpcd_edid_byte52               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte53               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte54               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte55               : 8;
};
#define rx_edp_rx_dpcd_edid_00_34(val) ((rs_rx_edp_rx_dpcd_edid_00_34*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_38                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0x38)

#define RX_EDP_RX_DPCD_EDID_00_38_struct                                 rs_rx_edp_rx_dpcd_edid_00_38

typedef struct _rs_rx_edp_rx_dpcd_edid_00_38  rs_rx_edp_rx_dpcd_edid_00_38;
struct _rs_rx_edp_rx_dpcd_edid_00_38 {
    unsigned int reg_00_dprx_dpcd_edid_byte56               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte57               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte58               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte59               : 8;
};
#define rx_edp_rx_dpcd_edid_00_38(val) ((rs_rx_edp_rx_dpcd_edid_00_38*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_3C                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0x3C)

#define RX_EDP_RX_DPCD_EDID_00_3C_struct                                 rs_rx_edp_rx_dpcd_edid_00_3c

typedef struct _rs_rx_edp_rx_dpcd_edid_00_3c  rs_rx_edp_rx_dpcd_edid_00_3c;
struct _rs_rx_edp_rx_dpcd_edid_00_3c {
    unsigned int reg_00_dprx_dpcd_edid_byte60               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte61               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte62               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte63               : 8;
};
#define rx_edp_rx_dpcd_edid_00_3c(val) ((rs_rx_edp_rx_dpcd_edid_00_3c*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_40                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0x40)

#define RX_EDP_RX_DPCD_EDID_00_40_struct                                 rs_rx_edp_rx_dpcd_edid_00_40

typedef struct _rs_rx_edp_rx_dpcd_edid_00_40  rs_rx_edp_rx_dpcd_edid_00_40;
struct _rs_rx_edp_rx_dpcd_edid_00_40 {
    unsigned int reg_00_dprx_dpcd_edid_byte64               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte65               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte66               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte67               : 8;
};
#define rx_edp_rx_dpcd_edid_00_40(val) ((rs_rx_edp_rx_dpcd_edid_00_40*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_44                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0x44)

#define RX_EDP_RX_DPCD_EDID_00_44_struct                                 rs_rx_edp_rx_dpcd_edid_00_44

typedef struct _rs_rx_edp_rx_dpcd_edid_00_44  rs_rx_edp_rx_dpcd_edid_00_44;
struct _rs_rx_edp_rx_dpcd_edid_00_44 {
    unsigned int reg_00_dprx_dpcd_edid_byte68               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte69               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte70               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte71               : 8;
};
#define rx_edp_rx_dpcd_edid_00_44(val) ((rs_rx_edp_rx_dpcd_edid_00_44*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_48                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0x48)

#define RX_EDP_RX_DPCD_EDID_00_48_struct                                 rs_rx_edp_rx_dpcd_edid_00_48

typedef struct _rs_rx_edp_rx_dpcd_edid_00_48  rs_rx_edp_rx_dpcd_edid_00_48;
struct _rs_rx_edp_rx_dpcd_edid_00_48 {
    unsigned int reg_00_dprx_dpcd_edid_byte72               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte73               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte74               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte75               : 8;
};
#define rx_edp_rx_dpcd_edid_00_48(val) ((rs_rx_edp_rx_dpcd_edid_00_48*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_4C                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0x4C)

#define RX_EDP_RX_DPCD_EDID_00_4C_struct                                 rs_rx_edp_rx_dpcd_edid_00_4c

typedef struct _rs_rx_edp_rx_dpcd_edid_00_4c  rs_rx_edp_rx_dpcd_edid_00_4c;
struct _rs_rx_edp_rx_dpcd_edid_00_4c {
    unsigned int reg_00_dprx_dpcd_edid_byte76               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte77               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte78               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte79               : 8;
};
#define rx_edp_rx_dpcd_edid_00_4c(val) ((rs_rx_edp_rx_dpcd_edid_00_4c*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_50                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0x50)

#define RX_EDP_RX_DPCD_EDID_00_50_struct                                 rs_rx_edp_rx_dpcd_edid_00_50

typedef struct _rs_rx_edp_rx_dpcd_edid_00_50  rs_rx_edp_rx_dpcd_edid_00_50;
struct _rs_rx_edp_rx_dpcd_edid_00_50 {
    unsigned int reg_00_dprx_dpcd_edid_byte80               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte81               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte82               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte83               : 8;
};
#define rx_edp_rx_dpcd_edid_00_50(val) ((rs_rx_edp_rx_dpcd_edid_00_50*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_54                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0x54)

#define RX_EDP_RX_DPCD_EDID_00_54_struct                                 rs_rx_edp_rx_dpcd_edid_00_54

typedef struct _rs_rx_edp_rx_dpcd_edid_00_54  rs_rx_edp_rx_dpcd_edid_00_54;
struct _rs_rx_edp_rx_dpcd_edid_00_54 {
    unsigned int reg_00_dprx_dpcd_edid_byte84               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte85               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte86               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte87               : 8;
};
#define rx_edp_rx_dpcd_edid_00_54(val) ((rs_rx_edp_rx_dpcd_edid_00_54*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_58                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0x58)

#define RX_EDP_RX_DPCD_EDID_00_58_struct                                 rs_rx_edp_rx_dpcd_edid_00_58

typedef struct _rs_rx_edp_rx_dpcd_edid_00_58  rs_rx_edp_rx_dpcd_edid_00_58;
struct _rs_rx_edp_rx_dpcd_edid_00_58 {
    unsigned int reg_00_dprx_dpcd_edid_byte88               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte89               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte90               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte91               : 8;
};
#define rx_edp_rx_dpcd_edid_00_58(val) ((rs_rx_edp_rx_dpcd_edid_00_58*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_5C                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0x5C)

#define RX_EDP_RX_DPCD_EDID_00_5C_struct                                 rs_rx_edp_rx_dpcd_edid_00_5c

typedef struct _rs_rx_edp_rx_dpcd_edid_00_5c  rs_rx_edp_rx_dpcd_edid_00_5c;
struct _rs_rx_edp_rx_dpcd_edid_00_5c {
    unsigned int reg_00_dprx_dpcd_edid_byte92               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte93               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte94               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte95               : 8;
};
#define rx_edp_rx_dpcd_edid_00_5c(val) ((rs_rx_edp_rx_dpcd_edid_00_5c*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_60                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0x60)

#define RX_EDP_RX_DPCD_EDID_00_60_struct                                 rs_rx_edp_rx_dpcd_edid_00_60

typedef struct _rs_rx_edp_rx_dpcd_edid_00_60  rs_rx_edp_rx_dpcd_edid_00_60;
struct _rs_rx_edp_rx_dpcd_edid_00_60 {
    unsigned int reg_00_dprx_dpcd_edid_byte96               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte97               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte98               : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte99               : 8;
};
#define rx_edp_rx_dpcd_edid_00_60(val) ((rs_rx_edp_rx_dpcd_edid_00_60*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_64                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0x64)

#define RX_EDP_RX_DPCD_EDID_00_64_struct                                 rs_rx_edp_rx_dpcd_edid_00_64

typedef struct _rs_rx_edp_rx_dpcd_edid_00_64  rs_rx_edp_rx_dpcd_edid_00_64;
struct _rs_rx_edp_rx_dpcd_edid_00_64 {
    unsigned int reg_00_dprx_dpcd_edid_byte100              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte101              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte102              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte103              : 8;
};
#define rx_edp_rx_dpcd_edid_00_64(val) ((rs_rx_edp_rx_dpcd_edid_00_64*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_68                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0x68)

#define RX_EDP_RX_DPCD_EDID_00_68_struct                                 rs_rx_edp_rx_dpcd_edid_00_68

typedef struct _rs_rx_edp_rx_dpcd_edid_00_68  rs_rx_edp_rx_dpcd_edid_00_68;
struct _rs_rx_edp_rx_dpcd_edid_00_68 {
    unsigned int reg_00_dprx_dpcd_edid_byte104              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte105              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte106              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte107              : 8;
};
#define rx_edp_rx_dpcd_edid_00_68(val) ((rs_rx_edp_rx_dpcd_edid_00_68*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_6C                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0x6C)

#define RX_EDP_RX_DPCD_EDID_00_6C_struct                                 rs_rx_edp_rx_dpcd_edid_00_6c

typedef struct _rs_rx_edp_rx_dpcd_edid_00_6c  rs_rx_edp_rx_dpcd_edid_00_6c;
struct _rs_rx_edp_rx_dpcd_edid_00_6c {
    unsigned int reg_00_dprx_dpcd_edid_byte108              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte109              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte110              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte111              : 8;
};
#define rx_edp_rx_dpcd_edid_00_6c(val) ((rs_rx_edp_rx_dpcd_edid_00_6c*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_70                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0x70)

#define RX_EDP_RX_DPCD_EDID_00_70_struct                                 rs_rx_edp_rx_dpcd_edid_00_70

typedef struct _rs_rx_edp_rx_dpcd_edid_00_70  rs_rx_edp_rx_dpcd_edid_00_70;
struct _rs_rx_edp_rx_dpcd_edid_00_70 {
    unsigned int reg_00_dprx_dpcd_edid_byte112              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte113              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte114              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte115              : 8;
};
#define rx_edp_rx_dpcd_edid_00_70(val) ((rs_rx_edp_rx_dpcd_edid_00_70*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_74                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0x74)

#define RX_EDP_RX_DPCD_EDID_00_74_struct                                 rs_rx_edp_rx_dpcd_edid_00_74

typedef struct _rs_rx_edp_rx_dpcd_edid_00_74  rs_rx_edp_rx_dpcd_edid_00_74;
struct _rs_rx_edp_rx_dpcd_edid_00_74 {
    unsigned int reg_00_dprx_dpcd_edid_byte116              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte117              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte118              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte119              : 8;
};
#define rx_edp_rx_dpcd_edid_00_74(val) ((rs_rx_edp_rx_dpcd_edid_00_74*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_78                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0x78)

#define RX_EDP_RX_DPCD_EDID_00_78_struct                                 rs_rx_edp_rx_dpcd_edid_00_78

typedef struct _rs_rx_edp_rx_dpcd_edid_00_78  rs_rx_edp_rx_dpcd_edid_00_78;
struct _rs_rx_edp_rx_dpcd_edid_00_78 {
    unsigned int reg_00_dprx_dpcd_edid_byte120              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte121              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte122              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte123              : 8;
};
#define rx_edp_rx_dpcd_edid_00_78(val) ((rs_rx_edp_rx_dpcd_edid_00_78*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_7C                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0x7C)

#define RX_EDP_RX_DPCD_EDID_00_7C_struct                                 rs_rx_edp_rx_dpcd_edid_00_7c

typedef struct _rs_rx_edp_rx_dpcd_edid_00_7c  rs_rx_edp_rx_dpcd_edid_00_7c;
struct _rs_rx_edp_rx_dpcd_edid_00_7c {
    unsigned int reg_00_dprx_dpcd_edid_byte124              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte125              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte126              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte127              : 8;
};
#define rx_edp_rx_dpcd_edid_00_7c(val) ((rs_rx_edp_rx_dpcd_edid_00_7c*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_80                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0x80)

#define RX_EDP_RX_DPCD_EDID_00_80_struct                                 rs_rx_edp_rx_dpcd_edid_00_80

typedef struct _rs_rx_edp_rx_dpcd_edid_00_80  rs_rx_edp_rx_dpcd_edid_00_80;
struct _rs_rx_edp_rx_dpcd_edid_00_80 {
    unsigned int reg_00_dprx_dpcd_edid_byte128              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte129              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte130              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte131              : 8;
};
#define rx_edp_rx_dpcd_edid_00_80(val) ((rs_rx_edp_rx_dpcd_edid_00_80*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_84                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0x84)

#define RX_EDP_RX_DPCD_EDID_00_84_struct                                 rs_rx_edp_rx_dpcd_edid_00_84

typedef struct _rs_rx_edp_rx_dpcd_edid_00_84  rs_rx_edp_rx_dpcd_edid_00_84;
struct _rs_rx_edp_rx_dpcd_edid_00_84 {
    unsigned int reg_00_dprx_dpcd_edid_byte132              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte133              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte134              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte135              : 8;
};
#define rx_edp_rx_dpcd_edid_00_84(val) ((rs_rx_edp_rx_dpcd_edid_00_84*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_88                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0x88)

#define RX_EDP_RX_DPCD_EDID_00_88_struct                                 rs_rx_edp_rx_dpcd_edid_00_88

typedef struct _rs_rx_edp_rx_dpcd_edid_00_88  rs_rx_edp_rx_dpcd_edid_00_88;
struct _rs_rx_edp_rx_dpcd_edid_00_88 {
    unsigned int reg_00_dprx_dpcd_edid_byte136              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte137              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte138              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte139              : 8;
};
#define rx_edp_rx_dpcd_edid_00_88(val) ((rs_rx_edp_rx_dpcd_edid_00_88*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_8C                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0x8C)

#define RX_EDP_RX_DPCD_EDID_00_8C_struct                                 rs_rx_edp_rx_dpcd_edid_00_8c

typedef struct _rs_rx_edp_rx_dpcd_edid_00_8c  rs_rx_edp_rx_dpcd_edid_00_8c;
struct _rs_rx_edp_rx_dpcd_edid_00_8c {
    unsigned int reg_00_dprx_dpcd_edid_byte140              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte141              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte142              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte143              : 8;
};
#define rx_edp_rx_dpcd_edid_00_8c(val) ((rs_rx_edp_rx_dpcd_edid_00_8c*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_90                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0x90)

#define RX_EDP_RX_DPCD_EDID_00_90_struct                                 rs_rx_edp_rx_dpcd_edid_00_90

typedef struct _rs_rx_edp_rx_dpcd_edid_00_90  rs_rx_edp_rx_dpcd_edid_00_90;
struct _rs_rx_edp_rx_dpcd_edid_00_90 {
    unsigned int reg_00_dprx_dpcd_edid_byte144              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte145              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte146              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte147              : 8;
};
#define rx_edp_rx_dpcd_edid_00_90(val) ((rs_rx_edp_rx_dpcd_edid_00_90*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_94                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0x94)

#define RX_EDP_RX_DPCD_EDID_00_94_struct                                 rs_rx_edp_rx_dpcd_edid_00_94

typedef struct _rs_rx_edp_rx_dpcd_edid_00_94  rs_rx_edp_rx_dpcd_edid_00_94;
struct _rs_rx_edp_rx_dpcd_edid_00_94 {
    unsigned int reg_00_dprx_dpcd_edid_byte148              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte149              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte150              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte151              : 8;
};
#define rx_edp_rx_dpcd_edid_00_94(val) ((rs_rx_edp_rx_dpcd_edid_00_94*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_98                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0x98)

#define RX_EDP_RX_DPCD_EDID_00_98_struct                                 rs_rx_edp_rx_dpcd_edid_00_98

typedef struct _rs_rx_edp_rx_dpcd_edid_00_98  rs_rx_edp_rx_dpcd_edid_00_98;
struct _rs_rx_edp_rx_dpcd_edid_00_98 {
    unsigned int reg_00_dprx_dpcd_edid_byte152              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte153              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte154              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte155              : 8;
};
#define rx_edp_rx_dpcd_edid_00_98(val) ((rs_rx_edp_rx_dpcd_edid_00_98*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_9C                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0x9C)

#define RX_EDP_RX_DPCD_EDID_00_9C_struct                                 rs_rx_edp_rx_dpcd_edid_00_9c

typedef struct _rs_rx_edp_rx_dpcd_edid_00_9c  rs_rx_edp_rx_dpcd_edid_00_9c;
struct _rs_rx_edp_rx_dpcd_edid_00_9c {
    unsigned int reg_00_dprx_dpcd_edid_byte156              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte157              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte158              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte159              : 8;
};
#define rx_edp_rx_dpcd_edid_00_9c(val) ((rs_rx_edp_rx_dpcd_edid_00_9c*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_A0                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0xA0)

#define RX_EDP_RX_DPCD_EDID_00_A0_struct                                 rs_rx_edp_rx_dpcd_edid_00_a0

typedef struct _rs_rx_edp_rx_dpcd_edid_00_a0  rs_rx_edp_rx_dpcd_edid_00_a0;
struct _rs_rx_edp_rx_dpcd_edid_00_a0 {
    unsigned int reg_00_dprx_dpcd_edid_byte160              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte161              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte162              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte163              : 8;
};
#define rx_edp_rx_dpcd_edid_00_a0(val) ((rs_rx_edp_rx_dpcd_edid_00_a0*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_A4                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0xA4)

#define RX_EDP_RX_DPCD_EDID_00_A4_struct                                 rs_rx_edp_rx_dpcd_edid_00_a4

typedef struct _rs_rx_edp_rx_dpcd_edid_00_a4  rs_rx_edp_rx_dpcd_edid_00_a4;
struct _rs_rx_edp_rx_dpcd_edid_00_a4 {
    unsigned int reg_00_dprx_dpcd_edid_byte164              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte165              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte166              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte167              : 8;
};
#define rx_edp_rx_dpcd_edid_00_a4(val) ((rs_rx_edp_rx_dpcd_edid_00_a4*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_A8                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0xA8)

#define RX_EDP_RX_DPCD_EDID_00_A8_struct                                 rs_rx_edp_rx_dpcd_edid_00_a8

typedef struct _rs_rx_edp_rx_dpcd_edid_00_a8  rs_rx_edp_rx_dpcd_edid_00_a8;
struct _rs_rx_edp_rx_dpcd_edid_00_a8 {
    unsigned int reg_00_dprx_dpcd_edid_byte168              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte169              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte170              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte171              : 8;
};
#define rx_edp_rx_dpcd_edid_00_a8(val) ((rs_rx_edp_rx_dpcd_edid_00_a8*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_AC                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0xAC)

#define RX_EDP_RX_DPCD_EDID_00_AC_struct                                 rs_rx_edp_rx_dpcd_edid_00_ac

typedef struct _rs_rx_edp_rx_dpcd_edid_00_ac  rs_rx_edp_rx_dpcd_edid_00_ac;
struct _rs_rx_edp_rx_dpcd_edid_00_ac {
    unsigned int reg_00_dprx_dpcd_edid_byte172              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte173              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte174              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte175              : 8;
};
#define rx_edp_rx_dpcd_edid_00_ac(val) ((rs_rx_edp_rx_dpcd_edid_00_ac*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_B0                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0xB0)

#define RX_EDP_RX_DPCD_EDID_00_B0_struct                                 rs_rx_edp_rx_dpcd_edid_00_b0

typedef struct _rs_rx_edp_rx_dpcd_edid_00_b0  rs_rx_edp_rx_dpcd_edid_00_b0;
struct _rs_rx_edp_rx_dpcd_edid_00_b0 {
    unsigned int reg_00_dprx_dpcd_edid_byte176              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte177              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte178              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte179              : 8;
};
#define rx_edp_rx_dpcd_edid_00_b0(val) ((rs_rx_edp_rx_dpcd_edid_00_b0*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_B4                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0xB4)

#define RX_EDP_RX_DPCD_EDID_00_B4_struct                                 rs_rx_edp_rx_dpcd_edid_00_b4

typedef struct _rs_rx_edp_rx_dpcd_edid_00_b4  rs_rx_edp_rx_dpcd_edid_00_b4;
struct _rs_rx_edp_rx_dpcd_edid_00_b4 {
    unsigned int reg_00_dprx_dpcd_edid_byte180              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte181              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte182              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte183              : 8;
};
#define rx_edp_rx_dpcd_edid_00_b4(val) ((rs_rx_edp_rx_dpcd_edid_00_b4*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_B8                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0xB8)

#define RX_EDP_RX_DPCD_EDID_00_B8_struct                                 rs_rx_edp_rx_dpcd_edid_00_b8

typedef struct _rs_rx_edp_rx_dpcd_edid_00_b8  rs_rx_edp_rx_dpcd_edid_00_b8;
struct _rs_rx_edp_rx_dpcd_edid_00_b8 {
    unsigned int reg_00_dprx_dpcd_edid_byte184              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte185              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte186              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte187              : 8;
};
#define rx_edp_rx_dpcd_edid_00_b8(val) ((rs_rx_edp_rx_dpcd_edid_00_b8*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_BC                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0xBC)

#define RX_EDP_RX_DPCD_EDID_00_BC_struct                                 rs_rx_edp_rx_dpcd_edid_00_bc

typedef struct _rs_rx_edp_rx_dpcd_edid_00_bc  rs_rx_edp_rx_dpcd_edid_00_bc;
struct _rs_rx_edp_rx_dpcd_edid_00_bc {
    unsigned int reg_00_dprx_dpcd_edid_byte188              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte189              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte190              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte191              : 8;
};
#define rx_edp_rx_dpcd_edid_00_bc(val) ((rs_rx_edp_rx_dpcd_edid_00_bc*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_C0                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0xC0)

#define RX_EDP_RX_DPCD_EDID_00_C0_struct                                 rs_rx_edp_rx_dpcd_edid_00_c0

typedef struct _rs_rx_edp_rx_dpcd_edid_00_c0  rs_rx_edp_rx_dpcd_edid_00_c0;
struct _rs_rx_edp_rx_dpcd_edid_00_c0 {
    unsigned int reg_00_dprx_dpcd_edid_byte192              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte193              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte194              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte195              : 8;
};
#define rx_edp_rx_dpcd_edid_00_c0(val) ((rs_rx_edp_rx_dpcd_edid_00_c0*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_C4                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0xC4)

#define RX_EDP_RX_DPCD_EDID_00_C4_struct                                 rs_rx_edp_rx_dpcd_edid_00_c4

typedef struct _rs_rx_edp_rx_dpcd_edid_00_c4  rs_rx_edp_rx_dpcd_edid_00_c4;
struct _rs_rx_edp_rx_dpcd_edid_00_c4 {
    unsigned int reg_00_dprx_dpcd_edid_byte196              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte197              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte198              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte199              : 8;
};
#define rx_edp_rx_dpcd_edid_00_c4(val) ((rs_rx_edp_rx_dpcd_edid_00_c4*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_C8                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0xC8)

#define RX_EDP_RX_DPCD_EDID_00_C8_struct                                 rs_rx_edp_rx_dpcd_edid_00_c8

typedef struct _rs_rx_edp_rx_dpcd_edid_00_c8  rs_rx_edp_rx_dpcd_edid_00_c8;
struct _rs_rx_edp_rx_dpcd_edid_00_c8 {
    unsigned int reg_00_dprx_dpcd_edid_byte200              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte201              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte202              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte203              : 8;
};
#define rx_edp_rx_dpcd_edid_00_c8(val) ((rs_rx_edp_rx_dpcd_edid_00_c8*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_CC                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0xCC)

#define RX_EDP_RX_DPCD_EDID_00_CC_struct                                 rs_rx_edp_rx_dpcd_edid_00_cc

typedef struct _rs_rx_edp_rx_dpcd_edid_00_cc  rs_rx_edp_rx_dpcd_edid_00_cc;
struct _rs_rx_edp_rx_dpcd_edid_00_cc {
    unsigned int reg_00_dprx_dpcd_edid_byte204              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte205              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte206              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte207              : 8;
};
#define rx_edp_rx_dpcd_edid_00_cc(val) ((rs_rx_edp_rx_dpcd_edid_00_cc*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_D0                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0xD0)

#define RX_EDP_RX_DPCD_EDID_00_D0_struct                                 rs_rx_edp_rx_dpcd_edid_00_d0

typedef struct _rs_rx_edp_rx_dpcd_edid_00_d0  rs_rx_edp_rx_dpcd_edid_00_d0;
struct _rs_rx_edp_rx_dpcd_edid_00_d0 {
    unsigned int reg_00_dprx_dpcd_edid_byte208              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte209              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte210              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte211              : 8;
};
#define rx_edp_rx_dpcd_edid_00_d0(val) ((rs_rx_edp_rx_dpcd_edid_00_d0*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_D4                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0xD4)

#define RX_EDP_RX_DPCD_EDID_00_D4_struct                                 rs_rx_edp_rx_dpcd_edid_00_d4

typedef struct _rs_rx_edp_rx_dpcd_edid_00_d4  rs_rx_edp_rx_dpcd_edid_00_d4;
struct _rs_rx_edp_rx_dpcd_edid_00_d4 {
    unsigned int reg_00_dprx_dpcd_edid_byte212              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte213              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte214              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte215              : 8;
};
#define rx_edp_rx_dpcd_edid_00_d4(val) ((rs_rx_edp_rx_dpcd_edid_00_d4*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_D8                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0xD8)

#define RX_EDP_RX_DPCD_EDID_00_D8_struct                                 rs_rx_edp_rx_dpcd_edid_00_d8

typedef struct _rs_rx_edp_rx_dpcd_edid_00_d8  rs_rx_edp_rx_dpcd_edid_00_d8;
struct _rs_rx_edp_rx_dpcd_edid_00_d8 {
    unsigned int reg_00_dprx_dpcd_edid_byte216              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte217              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte218              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte219              : 8;
};
#define rx_edp_rx_dpcd_edid_00_d8(val) ((rs_rx_edp_rx_dpcd_edid_00_d8*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_DC                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0xDC)

#define RX_EDP_RX_DPCD_EDID_00_DC_struct                                 rs_rx_edp_rx_dpcd_edid_00_dc

typedef struct _rs_rx_edp_rx_dpcd_edid_00_dc  rs_rx_edp_rx_dpcd_edid_00_dc;
struct _rs_rx_edp_rx_dpcd_edid_00_dc {
    unsigned int reg_00_dprx_dpcd_edid_byte220              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte221              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte222              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte223              : 8;
};
#define rx_edp_rx_dpcd_edid_00_dc(val) ((rs_rx_edp_rx_dpcd_edid_00_dc*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_E0                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0xE0)

#define RX_EDP_RX_DPCD_EDID_00_E0_struct                                 rs_rx_edp_rx_dpcd_edid_00_e0

typedef struct _rs_rx_edp_rx_dpcd_edid_00_e0  rs_rx_edp_rx_dpcd_edid_00_e0;
struct _rs_rx_edp_rx_dpcd_edid_00_e0 {
    unsigned int reg_00_dprx_dpcd_edid_byte224              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte225              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte226              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte227              : 8;
};
#define rx_edp_rx_dpcd_edid_00_e0(val) ((rs_rx_edp_rx_dpcd_edid_00_e0*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_E4                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0xE4)

#define RX_EDP_RX_DPCD_EDID_00_E4_struct                                 rs_rx_edp_rx_dpcd_edid_00_e4

typedef struct _rs_rx_edp_rx_dpcd_edid_00_e4  rs_rx_edp_rx_dpcd_edid_00_e4;
struct _rs_rx_edp_rx_dpcd_edid_00_e4 {
    unsigned int reg_00_dprx_dpcd_edid_byte228              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte229              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte230              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte231              : 8;
};
#define rx_edp_rx_dpcd_edid_00_e4(val) ((rs_rx_edp_rx_dpcd_edid_00_e4*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_E8                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0xE8)

#define RX_EDP_RX_DPCD_EDID_00_E8_struct                                 rs_rx_edp_rx_dpcd_edid_00_e8

typedef struct _rs_rx_edp_rx_dpcd_edid_00_e8  rs_rx_edp_rx_dpcd_edid_00_e8;
struct _rs_rx_edp_rx_dpcd_edid_00_e8 {
    unsigned int reg_00_dprx_dpcd_edid_byte232              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte233              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte234              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte235              : 8;
};
#define rx_edp_rx_dpcd_edid_00_e8(val) ((rs_rx_edp_rx_dpcd_edid_00_e8*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_EC                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0xEC)

#define RX_EDP_RX_DPCD_EDID_00_EC_struct                                 rs_rx_edp_rx_dpcd_edid_00_ec

typedef struct _rs_rx_edp_rx_dpcd_edid_00_ec  rs_rx_edp_rx_dpcd_edid_00_ec;
struct _rs_rx_edp_rx_dpcd_edid_00_ec {
    unsigned int reg_00_dprx_dpcd_edid_byte236              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte237              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte238              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte239              : 8;
};
#define rx_edp_rx_dpcd_edid_00_ec(val) ((rs_rx_edp_rx_dpcd_edid_00_ec*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_F0                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0xF0)

#define RX_EDP_RX_DPCD_EDID_00_F0_struct                                 rs_rx_edp_rx_dpcd_edid_00_f0

typedef struct _rs_rx_edp_rx_dpcd_edid_00_f0  rs_rx_edp_rx_dpcd_edid_00_f0;
struct _rs_rx_edp_rx_dpcd_edid_00_f0 {
    unsigned int reg_00_dprx_dpcd_edid_byte240              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte241              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte242              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte243              : 8;
};
#define rx_edp_rx_dpcd_edid_00_f0(val) ((rs_rx_edp_rx_dpcd_edid_00_f0*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_F4                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0xF4)

#define RX_EDP_RX_DPCD_EDID_00_F4_struct                                 rs_rx_edp_rx_dpcd_edid_00_f4

typedef struct _rs_rx_edp_rx_dpcd_edid_00_f4  rs_rx_edp_rx_dpcd_edid_00_f4;
struct _rs_rx_edp_rx_dpcd_edid_00_f4 {
    unsigned int reg_00_dprx_dpcd_edid_byte244              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte245              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte246              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte247              : 8;
};
#define rx_edp_rx_dpcd_edid_00_f4(val) ((rs_rx_edp_rx_dpcd_edid_00_f4*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_F8                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0xF8)

#define RX_EDP_RX_DPCD_EDID_00_F8_struct                                 rs_rx_edp_rx_dpcd_edid_00_f8

typedef struct _rs_rx_edp_rx_dpcd_edid_00_f8  rs_rx_edp_rx_dpcd_edid_00_f8;
struct _rs_rx_edp_rx_dpcd_edid_00_f8 {
    unsigned int reg_00_dprx_dpcd_edid_byte248              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte249              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte250              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte251              : 8;
};
#define rx_edp_rx_dpcd_edid_00_f8(val) ((rs_rx_edp_rx_dpcd_edid_00_f8*)&(val))



#define RX_EDP_RX_DPCD_EDID_00_FC                                        (HV_EDP_RX_DPCD_EDID_00_BASE_ADDRESS + 0xFC)

#define RX_EDP_RX_DPCD_EDID_00_FC_struct                                 rs_rx_edp_rx_dpcd_edid_00_fc

typedef struct _rs_rx_edp_rx_dpcd_edid_00_fc  rs_rx_edp_rx_dpcd_edid_00_fc;
struct _rs_rx_edp_rx_dpcd_edid_00_fc {
    unsigned int reg_00_dprx_dpcd_edid_byte252              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte253              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte254              : 8;
    unsigned int reg_00_dprx_dpcd_edid_byte255              : 8;
};
#define rx_edp_rx_dpcd_edid_00_fc(val) ((rs_rx_edp_rx_dpcd_edid_00_fc*)&(val))



#endif