#ifndef _HV_PAGE_HT7315_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_H_
#define _HV_PAGE_HT7315_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_H_

#ifndef HV_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_BASE_ADDRESS
    #define HV_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_BASE_ADDRESS                                         0x1104BF00
#endif


#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_00                           (HV_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_BASE_ADDRESS + 0x00)

#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_00_struct                    rs_rx_edp_rx_dpcd_editable_addr_reg_01_00

typedef struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_00  rs_rx_edp_rx_dpcd_editable_addr_reg_01_00;
struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_00 {
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte0 : 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte1 : 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte2 : 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte3 : 8;
};
#define rx_edp_rx_dpcd_editable_addr_reg_01_00(val) ((rs_rx_edp_rx_dpcd_editable_addr_reg_01_00*)&(val))



#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_04                           (HV_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_BASE_ADDRESS + 0x04)

#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_04_struct                    rs_rx_edp_rx_dpcd_editable_addr_reg_01_04

typedef struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_04  rs_rx_edp_rx_dpcd_editable_addr_reg_01_04;
struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_04 {
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte4 : 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte5 : 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte6 : 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte7 : 8;
};
#define rx_edp_rx_dpcd_editable_addr_reg_01_04(val) ((rs_rx_edp_rx_dpcd_editable_addr_reg_01_04*)&(val))



#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_08                           (HV_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_BASE_ADDRESS + 0x08)

#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_08_struct                    rs_rx_edp_rx_dpcd_editable_addr_reg_01_08

typedef struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_08  rs_rx_edp_rx_dpcd_editable_addr_reg_01_08;
struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_08 {
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte8 : 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte9 : 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte10: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte11: 8;
};
#define rx_edp_rx_dpcd_editable_addr_reg_01_08(val) ((rs_rx_edp_rx_dpcd_editable_addr_reg_01_08*)&(val))



#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_0C                           (HV_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_BASE_ADDRESS + 0x0C)

#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_0C_struct                    rs_rx_edp_rx_dpcd_editable_addr_reg_01_0c

typedef struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_0c  rs_rx_edp_rx_dpcd_editable_addr_reg_01_0c;
struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_0c {
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte12: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte13: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte14: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte15: 8;
};
#define rx_edp_rx_dpcd_editable_addr_reg_01_0c(val) ((rs_rx_edp_rx_dpcd_editable_addr_reg_01_0c*)&(val))



#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_10                           (HV_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_BASE_ADDRESS + 0x10)

#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_10_struct                    rs_rx_edp_rx_dpcd_editable_addr_reg_01_10

typedef struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_10  rs_rx_edp_rx_dpcd_editable_addr_reg_01_10;
struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_10 {
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte16: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte17: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte18: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte19: 8;
};
#define rx_edp_rx_dpcd_editable_addr_reg_01_10(val) ((rs_rx_edp_rx_dpcd_editable_addr_reg_01_10*)&(val))



#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_14                           (HV_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_BASE_ADDRESS + 0x14)

#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_14_struct                    rs_rx_edp_rx_dpcd_editable_addr_reg_01_14

typedef struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_14  rs_rx_edp_rx_dpcd_editable_addr_reg_01_14;
struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_14 {
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte20: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte21: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte22: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte23: 8;
};
#define rx_edp_rx_dpcd_editable_addr_reg_01_14(val) ((rs_rx_edp_rx_dpcd_editable_addr_reg_01_14*)&(val))



#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_18                           (HV_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_BASE_ADDRESS + 0x18)

#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_18_struct                    rs_rx_edp_rx_dpcd_editable_addr_reg_01_18

typedef struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_18  rs_rx_edp_rx_dpcd_editable_addr_reg_01_18;
struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_18 {
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte24: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte25: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte26: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte27: 8;
};
#define rx_edp_rx_dpcd_editable_addr_reg_01_18(val) ((rs_rx_edp_rx_dpcd_editable_addr_reg_01_18*)&(val))



#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_1C                           (HV_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_BASE_ADDRESS + 0x1C)

#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_1C_struct                    rs_rx_edp_rx_dpcd_editable_addr_reg_01_1c

typedef struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_1c  rs_rx_edp_rx_dpcd_editable_addr_reg_01_1c;
struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_1c {
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte28: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte29: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte30: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte31: 8;
};
#define rx_edp_rx_dpcd_editable_addr_reg_01_1c(val) ((rs_rx_edp_rx_dpcd_editable_addr_reg_01_1c*)&(val))



#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_20                           (HV_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_BASE_ADDRESS + 0x20)

#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_20_struct                    rs_rx_edp_rx_dpcd_editable_addr_reg_01_20

typedef struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_20  rs_rx_edp_rx_dpcd_editable_addr_reg_01_20;
struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_20 {
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte32: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte33: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte34: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte35: 8;
};
#define rx_edp_rx_dpcd_editable_addr_reg_01_20(val) ((rs_rx_edp_rx_dpcd_editable_addr_reg_01_20*)&(val))



#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_24                           (HV_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_BASE_ADDRESS + 0x24)

#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_24_struct                    rs_rx_edp_rx_dpcd_editable_addr_reg_01_24

typedef struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_24  rs_rx_edp_rx_dpcd_editable_addr_reg_01_24;
struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_24 {
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte36: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte37: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte38: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte39: 8;
};
#define rx_edp_rx_dpcd_editable_addr_reg_01_24(val) ((rs_rx_edp_rx_dpcd_editable_addr_reg_01_24*)&(val))



#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_28                           (HV_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_BASE_ADDRESS + 0x28)

#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_28_struct                    rs_rx_edp_rx_dpcd_editable_addr_reg_01_28

typedef struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_28  rs_rx_edp_rx_dpcd_editable_addr_reg_01_28;
struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_28 {
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte40: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte41: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte42: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte43: 8;
};
#define rx_edp_rx_dpcd_editable_addr_reg_01_28(val) ((rs_rx_edp_rx_dpcd_editable_addr_reg_01_28*)&(val))



#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_2C                           (HV_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_BASE_ADDRESS + 0x2C)

#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_2C_struct                    rs_rx_edp_rx_dpcd_editable_addr_reg_01_2c

typedef struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_2c  rs_rx_edp_rx_dpcd_editable_addr_reg_01_2c;
struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_2c {
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte44: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte45: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte46: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte47: 8;
};
#define rx_edp_rx_dpcd_editable_addr_reg_01_2c(val) ((rs_rx_edp_rx_dpcd_editable_addr_reg_01_2c*)&(val))



#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_30                           (HV_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_BASE_ADDRESS + 0x30)

#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_30_struct                    rs_rx_edp_rx_dpcd_editable_addr_reg_01_30

typedef struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_30  rs_rx_edp_rx_dpcd_editable_addr_reg_01_30;
struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_30 {
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte48: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte49: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte50: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte51: 8;
};
#define rx_edp_rx_dpcd_editable_addr_reg_01_30(val) ((rs_rx_edp_rx_dpcd_editable_addr_reg_01_30*)&(val))



#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_34                           (HV_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_BASE_ADDRESS + 0x34)

#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_34_struct                    rs_rx_edp_rx_dpcd_editable_addr_reg_01_34

typedef struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_34  rs_rx_edp_rx_dpcd_editable_addr_reg_01_34;
struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_34 {
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte52: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte53: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte54: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte55: 8;
};
#define rx_edp_rx_dpcd_editable_addr_reg_01_34(val) ((rs_rx_edp_rx_dpcd_editable_addr_reg_01_34*)&(val))



#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_38                           (HV_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_BASE_ADDRESS + 0x38)

#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_38_struct                    rs_rx_edp_rx_dpcd_editable_addr_reg_01_38

typedef struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_38  rs_rx_edp_rx_dpcd_editable_addr_reg_01_38;
struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_38 {
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte56: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte57: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte58: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte59: 8;
};
#define rx_edp_rx_dpcd_editable_addr_reg_01_38(val) ((rs_rx_edp_rx_dpcd_editable_addr_reg_01_38*)&(val))



#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_3C                           (HV_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_BASE_ADDRESS + 0x3C)

#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_3C_struct                    rs_rx_edp_rx_dpcd_editable_addr_reg_01_3c

typedef struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_3c  rs_rx_edp_rx_dpcd_editable_addr_reg_01_3c;
struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_3c {
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte60: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte61: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte62: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte63: 8;
};
#define rx_edp_rx_dpcd_editable_addr_reg_01_3c(val) ((rs_rx_edp_rx_dpcd_editable_addr_reg_01_3c*)&(val))



#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_40                           (HV_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_BASE_ADDRESS + 0x40)

#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_40_struct                    rs_rx_edp_rx_dpcd_editable_addr_reg_01_40

typedef struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_40  rs_rx_edp_rx_dpcd_editable_addr_reg_01_40;
struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_40 {
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte64: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte65: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte66: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte67: 8;
};
#define rx_edp_rx_dpcd_editable_addr_reg_01_40(val) ((rs_rx_edp_rx_dpcd_editable_addr_reg_01_40*)&(val))



#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_44                           (HV_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_BASE_ADDRESS + 0x44)

#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_44_struct                    rs_rx_edp_rx_dpcd_editable_addr_reg_01_44

typedef struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_44  rs_rx_edp_rx_dpcd_editable_addr_reg_01_44;
struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_44 {
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte68: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte69: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte70: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte71: 8;
};
#define rx_edp_rx_dpcd_editable_addr_reg_01_44(val) ((rs_rx_edp_rx_dpcd_editable_addr_reg_01_44*)&(val))



#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_48                           (HV_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_BASE_ADDRESS + 0x48)

#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_48_struct                    rs_rx_edp_rx_dpcd_editable_addr_reg_01_48

typedef struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_48  rs_rx_edp_rx_dpcd_editable_addr_reg_01_48;
struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_48 {
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte72: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte73: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte74: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte75: 8;
};
#define rx_edp_rx_dpcd_editable_addr_reg_01_48(val) ((rs_rx_edp_rx_dpcd_editable_addr_reg_01_48*)&(val))



#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_4C                           (HV_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_BASE_ADDRESS + 0x4C)

#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_4C_struct                    rs_rx_edp_rx_dpcd_editable_addr_reg_01_4c

typedef struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_4c  rs_rx_edp_rx_dpcd_editable_addr_reg_01_4c;
struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_4c {
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte76: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte77: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte78: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte79: 8;
};
#define rx_edp_rx_dpcd_editable_addr_reg_01_4c(val) ((rs_rx_edp_rx_dpcd_editable_addr_reg_01_4c*)&(val))



#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_50                           (HV_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_BASE_ADDRESS + 0x50)

#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_50_struct                    rs_rx_edp_rx_dpcd_editable_addr_reg_01_50

typedef struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_50  rs_rx_edp_rx_dpcd_editable_addr_reg_01_50;
struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_50 {
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte80: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte81: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte82: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte83: 8;
};
#define rx_edp_rx_dpcd_editable_addr_reg_01_50(val) ((rs_rx_edp_rx_dpcd_editable_addr_reg_01_50*)&(val))



#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_54                           (HV_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_BASE_ADDRESS + 0x54)

#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_54_struct                    rs_rx_edp_rx_dpcd_editable_addr_reg_01_54

typedef struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_54  rs_rx_edp_rx_dpcd_editable_addr_reg_01_54;
struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_54 {
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte84: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte85: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte86: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte87: 8;
};
#define rx_edp_rx_dpcd_editable_addr_reg_01_54(val) ((rs_rx_edp_rx_dpcd_editable_addr_reg_01_54*)&(val))



#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_58                           (HV_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_BASE_ADDRESS + 0x58)

#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_58_struct                    rs_rx_edp_rx_dpcd_editable_addr_reg_01_58

typedef struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_58  rs_rx_edp_rx_dpcd_editable_addr_reg_01_58;
struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_58 {
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte88: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte89: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte90: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte91: 8;
};
#define rx_edp_rx_dpcd_editable_addr_reg_01_58(val) ((rs_rx_edp_rx_dpcd_editable_addr_reg_01_58*)&(val))



#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_5C                           (HV_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_BASE_ADDRESS + 0x5C)

#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_5C_struct                    rs_rx_edp_rx_dpcd_editable_addr_reg_01_5c

typedef struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_5c  rs_rx_edp_rx_dpcd_editable_addr_reg_01_5c;
struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_5c {
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte92: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte93: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte94: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte95: 8;
};
#define rx_edp_rx_dpcd_editable_addr_reg_01_5c(val) ((rs_rx_edp_rx_dpcd_editable_addr_reg_01_5c*)&(val))



#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_60                           (HV_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_BASE_ADDRESS + 0x60)

#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_60_struct                    rs_rx_edp_rx_dpcd_editable_addr_reg_01_60

typedef struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_60  rs_rx_edp_rx_dpcd_editable_addr_reg_01_60;
struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_60 {
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte96: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte97: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte98: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte99: 8;
};
#define rx_edp_rx_dpcd_editable_addr_reg_01_60(val) ((rs_rx_edp_rx_dpcd_editable_addr_reg_01_60*)&(val))



#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_64                           (HV_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_BASE_ADDRESS + 0x64)

#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_64_struct                    rs_rx_edp_rx_dpcd_editable_addr_reg_01_64

typedef struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_64  rs_rx_edp_rx_dpcd_editable_addr_reg_01_64;
struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_64 {
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte100: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte101: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte102: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte103: 8;
};
#define rx_edp_rx_dpcd_editable_addr_reg_01_64(val) ((rs_rx_edp_rx_dpcd_editable_addr_reg_01_64*)&(val))



#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_68                           (HV_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_BASE_ADDRESS + 0x68)

#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_68_struct                    rs_rx_edp_rx_dpcd_editable_addr_reg_01_68

typedef struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_68  rs_rx_edp_rx_dpcd_editable_addr_reg_01_68;
struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_68 {
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte104: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte105: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte106: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte107: 8;
};
#define rx_edp_rx_dpcd_editable_addr_reg_01_68(val) ((rs_rx_edp_rx_dpcd_editable_addr_reg_01_68*)&(val))



#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_6C                           (HV_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_BASE_ADDRESS + 0x6C)

#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_6C_struct                    rs_rx_edp_rx_dpcd_editable_addr_reg_01_6c

typedef struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_6c  rs_rx_edp_rx_dpcd_editable_addr_reg_01_6c;
struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_6c {
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte108: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte109: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte110: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte111: 8;
};
#define rx_edp_rx_dpcd_editable_addr_reg_01_6c(val) ((rs_rx_edp_rx_dpcd_editable_addr_reg_01_6c*)&(val))



#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_70                           (HV_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_BASE_ADDRESS + 0x70)

#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_70_struct                    rs_rx_edp_rx_dpcd_editable_addr_reg_01_70

typedef struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_70  rs_rx_edp_rx_dpcd_editable_addr_reg_01_70;
struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_70 {
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte112: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte113: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte114: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte115: 8;
};
#define rx_edp_rx_dpcd_editable_addr_reg_01_70(val) ((rs_rx_edp_rx_dpcd_editable_addr_reg_01_70*)&(val))



#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_74                           (HV_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_BASE_ADDRESS + 0x74)

#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_74_struct                    rs_rx_edp_rx_dpcd_editable_addr_reg_01_74

typedef struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_74  rs_rx_edp_rx_dpcd_editable_addr_reg_01_74;
struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_74 {
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte116: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte117: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte118: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte119: 8;
};
#define rx_edp_rx_dpcd_editable_addr_reg_01_74(val) ((rs_rx_edp_rx_dpcd_editable_addr_reg_01_74*)&(val))



#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_78                           (HV_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_BASE_ADDRESS + 0x78)

#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_78_struct                    rs_rx_edp_rx_dpcd_editable_addr_reg_01_78

typedef struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_78  rs_rx_edp_rx_dpcd_editable_addr_reg_01_78;
struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_78 {
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte120: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte121: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte122: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte123: 8;
};
#define rx_edp_rx_dpcd_editable_addr_reg_01_78(val) ((rs_rx_edp_rx_dpcd_editable_addr_reg_01_78*)&(val))



#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_7C                           (HV_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_BASE_ADDRESS + 0x7C)

#define RX_EDP_RX_DPCD_EDITABLE_ADDR_REG_01_7C_struct                    rs_rx_edp_rx_dpcd_editable_addr_reg_01_7c

typedef struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_7c  rs_rx_edp_rx_dpcd_editable_addr_reg_01_7c;
struct _rs_rx_edp_rx_dpcd_editable_addr_reg_01_7c {
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte124: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte125: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte126: 8;
    unsigned int reg_01_dprx_dpcd_editable_addr_value_byte127: 8;
};
#define rx_edp_rx_dpcd_editable_addr_reg_01_7c(val) ((rs_rx_edp_rx_dpcd_editable_addr_reg_01_7c*)&(val))



#endif