#ifndef _HV_PAGE_HT7315_EDP_RX_DPCD_MCCS_0_01_H_
#define _HV_PAGE_HT7315_EDP_RX_DPCD_MCCS_0_01_H_

#ifndef HV_EDP_RX_DPCD_MCCS_0_01_BASE_ADDRESS
    #define HV_EDP_RX_DPCD_MCCS_0_01_BASE_ADDRESS                                         0x1104BE00
#endif


#define RX_EDP_RX_DPCD_MCCS_0_01_00                                      (HV_EDP_RX_DPCD_MCCS_0_01_BASE_ADDRESS + 0x00)

#define RX_EDP_RX_DPCD_MCCS_0_01_00_struct                               rs_rx_edp_rx_dpcd_mccs_0_01_00

typedef struct _rs_rx_edp_rx_dpcd_mccs_0_01_00  rs_rx_edp_rx_dpcd_mccs_0_01_00;
struct _rs_rx_edp_rx_dpcd_mccs_0_01_00 {
    unsigned int reg_01_dprx_dpcd_mccs_wr_byte0             : 8;
    unsigned int reg_01_dprx_dpcd_mccs_wr_byte1             : 8;
    unsigned int reg_01_dprx_dpcd_mccs_wr_byte2             : 8;
    unsigned int reg_01_dprx_dpcd_mccs_wr_byte3             : 8;
};
#define rx_edp_rx_dpcd_mccs_0_01_00(val) ((rs_rx_edp_rx_dpcd_mccs_0_01_00*)&(val))



#define RX_EDP_RX_DPCD_MCCS_0_01_04                                      (HV_EDP_RX_DPCD_MCCS_0_01_BASE_ADDRESS + 0x04)

#define RX_EDP_RX_DPCD_MCCS_0_01_04_struct                               rs_rx_edp_rx_dpcd_mccs_0_01_04

typedef struct _rs_rx_edp_rx_dpcd_mccs_0_01_04  rs_rx_edp_rx_dpcd_mccs_0_01_04;
struct _rs_rx_edp_rx_dpcd_mccs_0_01_04 {
    unsigned int reg_01_dprx_dpcd_mccs_wr_byte4             : 8;
    unsigned int reg_01_dprx_dpcd_mccs_wr_byte5             : 8;
    unsigned int reg_01_dprx_dpcd_mccs_wr_byte6             : 8;
    unsigned int reg_01_dprx_dpcd_mccs_wr_byte7             : 8;
};
#define rx_edp_rx_dpcd_mccs_0_01_04(val) ((rs_rx_edp_rx_dpcd_mccs_0_01_04*)&(val))



#define RX_EDP_RX_DPCD_MCCS_0_01_08                                      (HV_EDP_RX_DPCD_MCCS_0_01_BASE_ADDRESS + 0x08)

#define RX_EDP_RX_DPCD_MCCS_0_01_08_struct                               rs_rx_edp_rx_dpcd_mccs_0_01_08

typedef struct _rs_rx_edp_rx_dpcd_mccs_0_01_08  rs_rx_edp_rx_dpcd_mccs_0_01_08;
struct _rs_rx_edp_rx_dpcd_mccs_0_01_08 {
    unsigned int reg_01_dprx_dpcd_mccs_wr_byte8             : 8;
    unsigned int reg_01_dprx_dpcd_mccs_wr_byte9             : 8;
    unsigned int reg_01_dprx_dpcd_mccs_wr_byte10            : 8;
    unsigned int reg_01_dprx_dpcd_mccs_wr_byte11            : 8;
};
#define rx_edp_rx_dpcd_mccs_0_01_08(val) ((rs_rx_edp_rx_dpcd_mccs_0_01_08*)&(val))



#define RX_EDP_RX_DPCD_MCCS_0_01_0C                                      (HV_EDP_RX_DPCD_MCCS_0_01_BASE_ADDRESS + 0x0C)

#define RX_EDP_RX_DPCD_MCCS_0_01_0C_struct                               rs_rx_edp_rx_dpcd_mccs_0_01_0c

typedef struct _rs_rx_edp_rx_dpcd_mccs_0_01_0c  rs_rx_edp_rx_dpcd_mccs_0_01_0c;
struct _rs_rx_edp_rx_dpcd_mccs_0_01_0c {
    unsigned int reg_01_dprx_dpcd_mccs_wr_byte12            : 8;
    unsigned int reg_01_dprx_dpcd_mccs_wr_byte13            : 8;
    unsigned int reg_01_dprx_dpcd_mccs_wr_byte14            : 8;
    unsigned int reg_01_dprx_dpcd_mccs_wr_byte15            : 8;
};
#define rx_edp_rx_dpcd_mccs_0_01_0c(val) ((rs_rx_edp_rx_dpcd_mccs_0_01_0c*)&(val))



#define RX_EDP_RX_DPCD_MCCS_0_01_10                                      (HV_EDP_RX_DPCD_MCCS_0_01_BASE_ADDRESS + 0x10)

#define RX_EDP_RX_DPCD_MCCS_0_01_10_struct                               rs_rx_edp_rx_dpcd_mccs_0_01_10

typedef struct _rs_rx_edp_rx_dpcd_mccs_0_01_10  rs_rx_edp_rx_dpcd_mccs_0_01_10;
struct _rs_rx_edp_rx_dpcd_mccs_0_01_10 {
    unsigned int reg_01_dprx_dpcd_mccs_rd_rdy               : 1;
    unsigned int reg_01_dprx_dpcd_mccs_rd_rdy_endaddr       : 7;
    unsigned int reg_01_dprx_dpcd_mccs_rd0_byte0            : 8;
    unsigned int reg_01_dprx_dpcd_mccs_rd0_byte1            : 8;
    unsigned int reg_01_dprx_dpcd_mccs_rd0_byte2            : 8;
};
#define rx_edp_rx_dpcd_mccs_0_01_10(val) ((rs_rx_edp_rx_dpcd_mccs_0_01_10*)&(val))



#define RX_EDP_RX_DPCD_MCCS_0_01_14                                      (HV_EDP_RX_DPCD_MCCS_0_01_BASE_ADDRESS + 0x14)

#define RX_EDP_RX_DPCD_MCCS_0_01_14_struct                               rs_rx_edp_rx_dpcd_mccs_0_01_14

typedef struct _rs_rx_edp_rx_dpcd_mccs_0_01_14  rs_rx_edp_rx_dpcd_mccs_0_01_14;
struct _rs_rx_edp_rx_dpcd_mccs_0_01_14 {
    unsigned int reg_01_dprx_dpcd_mccs_rd0_byte3            : 8;
    unsigned int reg_01_dprx_dpcd_mccs_rd0_byte4            : 8;
    unsigned int reg_01_dprx_dpcd_mccs_rd0_byte5            : 8;
    unsigned int reg_01_dprx_dpcd_mccs_rd0_byte6            : 8;
};
#define rx_edp_rx_dpcd_mccs_0_01_14(val) ((rs_rx_edp_rx_dpcd_mccs_0_01_14*)&(val))



#define RX_EDP_RX_DPCD_MCCS_0_01_18                                      (HV_EDP_RX_DPCD_MCCS_0_01_BASE_ADDRESS + 0x18)

#define RX_EDP_RX_DPCD_MCCS_0_01_18_struct                               rs_rx_edp_rx_dpcd_mccs_0_01_18

typedef struct _rs_rx_edp_rx_dpcd_mccs_0_01_18  rs_rx_edp_rx_dpcd_mccs_0_01_18;
struct _rs_rx_edp_rx_dpcd_mccs_0_01_18 {
    unsigned int reg_01_dprx_dpcd_mccs_rd0_byte7            : 8;
    unsigned int reg_01_dprx_dpcd_mccs_rd0_byte8            : 8;
    unsigned int reg_01_dprx_dpcd_mccs_rd0_byte9            : 8;
    unsigned int reg_01_dprx_dpcd_mccs_rd0_byte10           : 8;
};
#define rx_edp_rx_dpcd_mccs_0_01_18(val) ((rs_rx_edp_rx_dpcd_mccs_0_01_18*)&(val))



#define RX_EDP_RX_DPCD_MCCS_0_01_1C                                      (HV_EDP_RX_DPCD_MCCS_0_01_BASE_ADDRESS + 0x1C)

#define RX_EDP_RX_DPCD_MCCS_0_01_1C_struct                               rs_rx_edp_rx_dpcd_mccs_0_01_1c

typedef struct _rs_rx_edp_rx_dpcd_mccs_0_01_1c  rs_rx_edp_rx_dpcd_mccs_0_01_1c;
struct _rs_rx_edp_rx_dpcd_mccs_0_01_1c {
    unsigned int reg_01_dprx_dpcd_mccs_rd0_byte11           : 8;
    unsigned int reg_01_dprx_dpcd_mccs_rd0_byte12           : 8;
    unsigned int reg_01_dprx_dpcd_mccs_rd0_byte13           : 8;
    unsigned int reg_01_dprx_dpcd_mccs_rd0_byte14           : 8;
};
#define rx_edp_rx_dpcd_mccs_0_01_1c(val) ((rs_rx_edp_rx_dpcd_mccs_0_01_1c*)&(val))



#define RX_EDP_RX_DPCD_MCCS_0_01_20                                      (HV_EDP_RX_DPCD_MCCS_0_01_BASE_ADDRESS + 0x20)

#define RX_EDP_RX_DPCD_MCCS_0_01_20_struct                               rs_rx_edp_rx_dpcd_mccs_0_01_20

typedef struct _rs_rx_edp_rx_dpcd_mccs_0_01_20  rs_rx_edp_rx_dpcd_mccs_0_01_20;
struct _rs_rx_edp_rx_dpcd_mccs_0_01_20 {
    unsigned int reg_01_dprx_dpcd_mccs_rd0_byte15           : 8;
    unsigned int reg_01_dprx_dpcd_mccs_rd1_byte0            : 8;
    unsigned int reg_01_dprx_dpcd_mccs_rd1_byte1            : 8;
    unsigned int reg_01_dprx_dpcd_mccs_rd1_byte2            : 8;
};
#define rx_edp_rx_dpcd_mccs_0_01_20(val) ((rs_rx_edp_rx_dpcd_mccs_0_01_20*)&(val))



#define RX_EDP_RX_DPCD_MCCS_0_01_24                                      (HV_EDP_RX_DPCD_MCCS_0_01_BASE_ADDRESS + 0x24)

#define RX_EDP_RX_DPCD_MCCS_0_01_24_struct                               rs_rx_edp_rx_dpcd_mccs_0_01_24

typedef struct _rs_rx_edp_rx_dpcd_mccs_0_01_24  rs_rx_edp_rx_dpcd_mccs_0_01_24;
struct _rs_rx_edp_rx_dpcd_mccs_0_01_24 {
    unsigned int reg_01_dprx_dpcd_mccs_rd1_byte3            : 8;
    unsigned int reg_01_dprx_dpcd_mccs_rd1_byte4            : 8;
    unsigned int reg_01_dprx_dpcd_mccs_rd1_byte5            : 8;
    unsigned int reg_01_dprx_dpcd_mccs_rd1_byte6            : 8;
};
#define rx_edp_rx_dpcd_mccs_0_01_24(val) ((rs_rx_edp_rx_dpcd_mccs_0_01_24*)&(val))



#define RX_EDP_RX_DPCD_MCCS_0_01_28                                      (HV_EDP_RX_DPCD_MCCS_0_01_BASE_ADDRESS + 0x28)

#define RX_EDP_RX_DPCD_MCCS_0_01_28_struct                               rs_rx_edp_rx_dpcd_mccs_0_01_28

typedef struct _rs_rx_edp_rx_dpcd_mccs_0_01_28  rs_rx_edp_rx_dpcd_mccs_0_01_28;
struct _rs_rx_edp_rx_dpcd_mccs_0_01_28 {
    unsigned int reg_01_dprx_dpcd_mccs_rd1_byte7            : 8;
    unsigned int reg_01_dprx_dpcd_mccs_rd1_byte8            : 8;
    unsigned int reg_01_dprx_dpcd_mccs_rd1_byte9            : 8;
    unsigned int reg_01_dprx_dpcd_mccs_rd1_byte10           : 8;
};
#define rx_edp_rx_dpcd_mccs_0_01_28(val) ((rs_rx_edp_rx_dpcd_mccs_0_01_28*)&(val))



#define RX_EDP_RX_DPCD_MCCS_0_01_2C                                      (HV_EDP_RX_DPCD_MCCS_0_01_BASE_ADDRESS + 0x2C)

#define RX_EDP_RX_DPCD_MCCS_0_01_2C_struct                               rs_rx_edp_rx_dpcd_mccs_0_01_2c

typedef struct _rs_rx_edp_rx_dpcd_mccs_0_01_2c  rs_rx_edp_rx_dpcd_mccs_0_01_2c;
struct _rs_rx_edp_rx_dpcd_mccs_0_01_2c {
    unsigned int reg_01_dprx_dpcd_mccs_rd1_byte11           : 8;
    unsigned int reg_01_dprx_dpcd_mccs_rd1_byte12           : 8;
    unsigned int reg_01_dprx_dpcd_mccs_rd1_byte13           : 8;
    unsigned int reg_01_dprx_dpcd_mccs_rd1_byte14           : 8;
};
#define rx_edp_rx_dpcd_mccs_0_01_2c(val) ((rs_rx_edp_rx_dpcd_mccs_0_01_2c*)&(val))



#define RX_EDP_RX_DPCD_MCCS_0_01_30                                      (HV_EDP_RX_DPCD_MCCS_0_01_BASE_ADDRESS + 0x30)

#define RX_EDP_RX_DPCD_MCCS_0_01_30_struct                               rs_rx_edp_rx_dpcd_mccs_0_01_30

typedef struct _rs_rx_edp_rx_dpcd_mccs_0_01_30  rs_rx_edp_rx_dpcd_mccs_0_01_30;
struct _rs_rx_edp_rx_dpcd_mccs_0_01_30 {
    unsigned int reg_01_dprx_dpcd_mccs_rd1_byte15           : 8;
    unsigned int reg_01_dprx_dpcd_mccs_rd1_byte16           : 8;
    unsigned int reg_01_dprx_dpcd_mccs_rd1_byte17           : 8;
    unsigned int reg_01_dprx_dpcd_mccs_rd1_byte18           : 8;
};
#define rx_edp_rx_dpcd_mccs_0_01_30(val) ((rs_rx_edp_rx_dpcd_mccs_0_01_30*)&(val))



#define RX_EDP_RX_DPCD_MCCS_0_01_34                                      (HV_EDP_RX_DPCD_MCCS_0_01_BASE_ADDRESS + 0x34)

#define RX_EDP_RX_DPCD_MCCS_0_01_34_struct                               rs_rx_edp_rx_dpcd_mccs_0_01_34

typedef struct _rs_rx_edp_rx_dpcd_mccs_0_01_34  rs_rx_edp_rx_dpcd_mccs_0_01_34;
struct _rs_rx_edp_rx_dpcd_mccs_0_01_34 {
    unsigned int reg_01_dprx_dpcd_mccs_rd1_byte19           : 8;
    unsigned int reg_01_dprx_dpcd_mccs_rd1_byte20           : 8;
    unsigned int reg_01_dprx_dpcd_mccs_rd1_byte21           : 8;
    unsigned int reg_01_dprx_dpcd_mccs_rd1_byte22           : 8;
};
#define rx_edp_rx_dpcd_mccs_0_01_34(val) ((rs_rx_edp_rx_dpcd_mccs_0_01_34*)&(val))



#define RX_EDP_RX_DPCD_MCCS_0_01_38                                      (HV_EDP_RX_DPCD_MCCS_0_01_BASE_ADDRESS + 0x38)

#define RX_EDP_RX_DPCD_MCCS_0_01_38_struct                               rs_rx_edp_rx_dpcd_mccs_0_01_38

typedef struct _rs_rx_edp_rx_dpcd_mccs_0_01_38  rs_rx_edp_rx_dpcd_mccs_0_01_38;
struct _rs_rx_edp_rx_dpcd_mccs_0_01_38 {
    unsigned int reg_01_dprx_dpcd_mccs_rd1_byte23           : 8;
    unsigned int reg_01_dprx_dpcd_mccs_rd1_byte24           : 8;
    unsigned int reg_01_dprx_dpcd_mccs_rd1_byte25           : 8;
    unsigned int reg_01_dprx_dpcd_mccs_rd1_byte26           : 8;
};
#define rx_edp_rx_dpcd_mccs_0_01_38(val) ((rs_rx_edp_rx_dpcd_mccs_0_01_38*)&(val))



#define RX_EDP_RX_DPCD_MCCS_0_01_3C                                      (HV_EDP_RX_DPCD_MCCS_0_01_BASE_ADDRESS + 0x3C)

#define RX_EDP_RX_DPCD_MCCS_0_01_3C_struct                               rs_rx_edp_rx_dpcd_mccs_0_01_3c

typedef struct _rs_rx_edp_rx_dpcd_mccs_0_01_3c  rs_rx_edp_rx_dpcd_mccs_0_01_3c;
struct _rs_rx_edp_rx_dpcd_mccs_0_01_3c {
    unsigned int reg_01_dprx_dpcd_mccs_rd1_byte27           : 8;
    unsigned int reg_01_dprx_dpcd_mccs_rd1_byte28           : 8;
    unsigned int reg_01_dprx_dpcd_mccs_rd1_byte29           : 8;
    unsigned int reg_01_dprx_dpcd_mccs_rd1_byte30           : 8;
};
#define rx_edp_rx_dpcd_mccs_0_01_3c(val) ((rs_rx_edp_rx_dpcd_mccs_0_01_3c*)&(val))



#define RX_EDP_RX_DPCD_MCCS_0_01_40                                      (HV_EDP_RX_DPCD_MCCS_0_01_BASE_ADDRESS + 0x40)

#define RX_EDP_RX_DPCD_MCCS_0_01_40_struct                               rs_rx_edp_rx_dpcd_mccs_0_01_40

typedef struct _rs_rx_edp_rx_dpcd_mccs_0_01_40  rs_rx_edp_rx_dpcd_mccs_0_01_40;
struct _rs_rx_edp_rx_dpcd_mccs_0_01_40 {
    unsigned int reg_01_dprx_dpcd_mccs_rd1_byte31           : 8;
    unsigned int reg_01_dprx_dpcd_mccs_rd1_byte32           : 8;
    unsigned int reg_01_dprx_dpcd_mccs_rd1_byte33           : 8;
    unsigned int reg_01_dprx_dpcd_mccs_rd1_byte34           : 8;
};
#define rx_edp_rx_dpcd_mccs_0_01_40(val) ((rs_rx_edp_rx_dpcd_mccs_0_01_40*)&(val))



#define RX_EDP_RX_DPCD_MCCS_0_01_44                                      (HV_EDP_RX_DPCD_MCCS_0_01_BASE_ADDRESS + 0x44)

#define RX_EDP_RX_DPCD_MCCS_0_01_44_struct                               rs_rx_edp_rx_dpcd_mccs_0_01_44

typedef struct _rs_rx_edp_rx_dpcd_mccs_0_01_44  rs_rx_edp_rx_dpcd_mccs_0_01_44;
struct _rs_rx_edp_rx_dpcd_mccs_0_01_44 {
    unsigned int reg_01_dprx_dpcd_mccs_rd1_byte35           : 8;
    unsigned int reg_01_dprx_dpcd_mccs_rd1_byte36           : 8;
    unsigned int reg_01_dprx_dpcd_mccs_rd1_byte37           : 8;
    unsigned int reg_01_dprx_dpcd_mccs_rd1_byte38           : 8;
};
#define rx_edp_rx_dpcd_mccs_0_01_44(val) ((rs_rx_edp_rx_dpcd_mccs_0_01_44*)&(val))



#define RX_EDP_RX_DPCD_MCCS_0_01_48                                      (HV_EDP_RX_DPCD_MCCS_0_01_BASE_ADDRESS + 0x48)

#define RX_EDP_RX_DPCD_MCCS_0_01_48_struct                               rs_rx_edp_rx_dpcd_mccs_0_01_48

typedef struct _rs_rx_edp_rx_dpcd_mccs_0_01_48  rs_rx_edp_rx_dpcd_mccs_0_01_48;
struct _rs_rx_edp_rx_dpcd_mccs_0_01_48 {
    unsigned int reg_01_dprx_dpcd_mccs_rd1_byte39           : 8;
    unsigned int reg_01_dprx_dpcd_mccs_rd1_byte40           : 8;
    unsigned int reg_01_dprx_dpcd_mccs_rd1_byte41           : 8;
    unsigned int reg_01_dprx_dpcd_mccs_rd1_byte42           : 8;
};
#define rx_edp_rx_dpcd_mccs_0_01_48(val) ((rs_rx_edp_rx_dpcd_mccs_0_01_48*)&(val))



#define RX_EDP_RX_DPCD_MCCS_0_01_4C                                      (HV_EDP_RX_DPCD_MCCS_0_01_BASE_ADDRESS + 0x4C)

#define RX_EDP_RX_DPCD_MCCS_0_01_4C_struct                               rs_rx_edp_rx_dpcd_mccs_0_01_4c

typedef struct _rs_rx_edp_rx_dpcd_mccs_0_01_4c  rs_rx_edp_rx_dpcd_mccs_0_01_4c;
struct _rs_rx_edp_rx_dpcd_mccs_0_01_4c {
    unsigned int reg_01_dprx_dpcd_mccs_rd1_byte43           : 8;
    unsigned int reg_01_dprx_dpcd_mccs_rd1_byte44           : 8;
    unsigned int reg_01_dprx_dpcd_mccs_rd1_byte45           : 8;
    unsigned int reg_01_dprx_dpcd_mccs_rd1_byte46           : 8;
};
#define rx_edp_rx_dpcd_mccs_0_01_4c(val) ((rs_rx_edp_rx_dpcd_mccs_0_01_4c*)&(val))



#define RX_EDP_RX_DPCD_MCCS_0_01_50                                      (HV_EDP_RX_DPCD_MCCS_0_01_BASE_ADDRESS + 0x50)

#define RX_EDP_RX_DPCD_MCCS_0_01_50_struct                               rs_rx_edp_rx_dpcd_mccs_0_01_50

typedef struct _rs_rx_edp_rx_dpcd_mccs_0_01_50  rs_rx_edp_rx_dpcd_mccs_0_01_50;
struct _rs_rx_edp_rx_dpcd_mccs_0_01_50 {
    unsigned int reg_01_dprx_dpcd_mccs_rd1_byte47           : 8;
    unsigned int reserved                                   :24;
};
#define rx_edp_rx_dpcd_mccs_0_01_50(val) ((rs_rx_edp_rx_dpcd_mccs_0_01_50*)&(val))



#endif