#ifndef _HV_PAGE_HT7315_HSTX_TOP_H_
#define _HV_PAGE_HT7315_HSTX_TOP_H_

#ifndef HV_HSTX_TOP_BASE_ADDRESS
    #define HV_HSTX_TOP_BASE_ADDRESS                                         0x1105D000
#endif


#define TX_HSTX_TOP_00                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0x00)

#define TX_HSTX_TOP_00_struct                                            rs_tx_hstx_top_00

typedef struct _rs_tx_hstx_top_00  rs_tx_hstx_top_00;
struct _rs_tx_hstx_top_00 {
    unsigned int reg_hstx_dbg_sel                           : 3;
    unsigned int reserved                                   :29;
};
#define tx_hstx_top_00(val) ((rs_tx_hstx_top_00*)&(val))



#define TX_HSTX_TOP_04                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0x04)

#define TX_HSTX_TOP_04_struct                                            rs_tx_hstx_top_04

typedef struct _rs_tx_hstx_top_04  rs_tx_hstx_top_04;
struct _rs_tx_hstx_top_04 {
    unsigned int reg_mprt_pwm_vs_clr                        : 8;
    unsigned int reg_mprt_pwm_sta_vrr                       : 8;
    unsigned int reg_mprt_pwm_edge_mux                      : 8;
    unsigned int reserved                                   : 8;
};
#define tx_hstx_top_04(val) ((rs_tx_hstx_top_04*)&(val))



#define TX_HSTX_TOP_10                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0x10)

#define TX_HSTX_TOP_10_struct                                            rs_tx_hstx_top_10

typedef struct _rs_tx_hstx_top_10  rs_tx_hstx_top_10;
struct _rs_tx_hstx_top_10 {
    unsigned int reg_edptx_ana_aux_0_pwd                    : 1;
    unsigned int reg_edptx_ana_aux_0_pn_swap                : 1;
    unsigned int reg_edptx_ana_aux_0_hys                    : 2;
    unsigned int reg_edptx_ana_aux_0_drv                    : 4;
    unsigned int reg_edptx_ana_aux_0_res                    : 4;
    unsigned int reg_edptx_ana_aux_0_eng                    : 8;
    unsigned int reserved                                   : 2;
    unsigned int reg_edptx_ana_aux_0_ie                     : 1;
    unsigned int reserved_1                                 : 9;
};
#define tx_hstx_top_10(val) ((rs_tx_hstx_top_10*)&(val))



#define TX_HSTX_TOP_14                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0x14)

#define TX_HSTX_TOP_14_struct                                            rs_tx_hstx_top_14

typedef struct _rs_tx_hstx_top_14  rs_tx_hstx_top_14;
struct _rs_tx_hstx_top_14 {
    unsigned int reg_edptx_ana_aux_1_pwd                    : 1;
    unsigned int reg_edptx_ana_aux_1_pn_swap                : 1;
    unsigned int reg_edptx_ana_aux_1_hys                    : 2;
    unsigned int reg_edptx_ana_aux_1_drv                    : 4;
    unsigned int reg_edptx_ana_aux_1_res                    : 4;
    unsigned int reg_edptx_ana_aux_1_eng                    : 8;
    unsigned int reserved                                   : 2;
    unsigned int reg_edptx_ana_aux_1_ie                     : 1;
    unsigned int reserved_1                                 : 9;
};
#define tx_hstx_top_14(val) ((rs_tx_hstx_top_14*)&(val))



#define TX_HSTX_TOP_18                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0x18)

#define TX_HSTX_TOP_18_struct                                            rs_tx_hstx_top_18

typedef struct _rs_tx_hstx_top_18  rs_tx_hstx_top_18;
struct _rs_tx_hstx_top_18 {
    unsigned int reg_pwm_vs_mult                            :12;
    unsigned int reg_pwm_duty                               :12;
    unsigned int reg_pwm_pol                                : 8;
};
#define tx_hstx_top_18(val) ((rs_tx_hstx_top_18*)&(val))



#define TX_HSTX_TOP_1C                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0x1C)

#define TX_HSTX_TOP_1C_struct                                            rs_tx_hstx_top_1c

typedef struct _rs_tx_hstx_top_1c  rs_tx_hstx_top_1c;
struct _rs_tx_hstx_top_1c {
    unsigned int reg_mprt_pwm_broaden                       :16;
    unsigned int reg_pwm_sel0                               : 2;
    unsigned int reg_pwm_sel1                               : 2;
    unsigned int reg_pwm_sel2                               : 2;
    unsigned int reg_pwm_sel3                               : 2;
    unsigned int reg_pwm_sel4                               : 2;
    unsigned int reg_pwm_sel5                               : 2;
    unsigned int reg_pwm_sel6                               : 2;
    unsigned int reg_pwm_sel7                               : 2;
};
#define tx_hstx_top_1c(val) ((rs_tx_hstx_top_1c*)&(val))



#define TX_HSTX_TOP_20                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0x20)

#define TX_HSTX_TOP_20_struct                                            rs_tx_hstx_top_20

typedef struct _rs_tx_hstx_top_20  rs_tx_hstx_top_20;
struct _rs_tx_hstx_top_20 {
    unsigned int reg_mprt_pwm_div                           : 8;
    unsigned int reg_mprt_pwm_mode0                         : 3;
    unsigned int reg_mprt_pwm_mode1                         : 3;
    unsigned int reg_mprt_pwm_mode2                         : 3;
    unsigned int reg_mprt_pwm_mode3                         : 3;
    unsigned int reg_mprt_pwm_mode4                         : 3;
    unsigned int reg_mprt_pwm_mode5                         : 3;
    unsigned int reg_mprt_pwm_mode6                         : 3;
    unsigned int reg_mprt_pwm_mode7                         : 3;
};
#define tx_hstx_top_20(val) ((rs_tx_hstx_top_20*)&(val))



#define TX_HSTX_TOP_24                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0x24)

#define TX_HSTX_TOP_24_struct                                            rs_tx_hstx_top_24

typedef struct _rs_tx_hstx_top_24  rs_tx_hstx_top_24;
struct _rs_tx_hstx_top_24 {
    unsigned int reg_mprt_pwm_sta0                          :16;
    unsigned int reg_mprt_pwm_sta1                          :16;
};
#define tx_hstx_top_24(val) ((rs_tx_hstx_top_24*)&(val))



#define TX_HSTX_TOP_28                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0x28)

#define TX_HSTX_TOP_28_struct                                            rs_tx_hstx_top_28

typedef struct _rs_tx_hstx_top_28  rs_tx_hstx_top_28;
struct _rs_tx_hstx_top_28 {
    unsigned int reg_mprt_pwm_sta2                          :16;
    unsigned int reg_mprt_pwm_sta3                          :16;
};
#define tx_hstx_top_28(val) ((rs_tx_hstx_top_28*)&(val))



#define TX_HSTX_TOP_2C                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0x2C)

#define TX_HSTX_TOP_2C_struct                                            rs_tx_hstx_top_2c

typedef struct _rs_tx_hstx_top_2c  rs_tx_hstx_top_2c;
struct _rs_tx_hstx_top_2c {
    unsigned int reg_mprt_pwm_sta4                          :16;
    unsigned int reg_mprt_pwm_sta5                          :16;
};
#define tx_hstx_top_2c(val) ((rs_tx_hstx_top_2c*)&(val))



#define TX_HSTX_TOP_30                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0x30)

#define TX_HSTX_TOP_30_struct                                            rs_tx_hstx_top_30

typedef struct _rs_tx_hstx_top_30  rs_tx_hstx_top_30;
struct _rs_tx_hstx_top_30 {
    unsigned int reg_mprt_pwm_sta6                          :16;
    unsigned int reg_mprt_pwm_sta7                          :16;
};
#define tx_hstx_top_30(val) ((rs_tx_hstx_top_30*)&(val))



#define TX_HSTX_TOP_34                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0x34)

#define TX_HSTX_TOP_34_struct                                            rs_tx_hstx_top_34

typedef struct _rs_tx_hstx_top_34  rs_tx_hstx_top_34;
struct _rs_tx_hstx_top_34 {
    unsigned int reg_mprt_pwm_val0                          :16;
    unsigned int reg_mprt_pwm_val1                          :16;
};
#define tx_hstx_top_34(val) ((rs_tx_hstx_top_34*)&(val))



#define TX_HSTX_TOP_38                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0x38)

#define TX_HSTX_TOP_38_struct                                            rs_tx_hstx_top_38

typedef struct _rs_tx_hstx_top_38  rs_tx_hstx_top_38;
struct _rs_tx_hstx_top_38 {
    unsigned int reg_mprt_pwm_val2                          :16;
    unsigned int reg_mprt_pwm_val3                          :16;
};
#define tx_hstx_top_38(val) ((rs_tx_hstx_top_38*)&(val))



#define TX_HSTX_TOP_3C                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0x3C)

#define TX_HSTX_TOP_3C_struct                                            rs_tx_hstx_top_3c

typedef struct _rs_tx_hstx_top_3c  rs_tx_hstx_top_3c;
struct _rs_tx_hstx_top_3c {
    unsigned int reg_mprt_pwm_val4                          :16;
    unsigned int reg_mprt_pwm_val5                          :16;
};
#define tx_hstx_top_3c(val) ((rs_tx_hstx_top_3c*)&(val))



#define TX_HSTX_TOP_40                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0x40)

#define TX_HSTX_TOP_40_struct                                            rs_tx_hstx_top_40

typedef struct _rs_tx_hstx_top_40  rs_tx_hstx_top_40;
struct _rs_tx_hstx_top_40 {
    unsigned int reg_mprt_pwm_val6                          :16;
    unsigned int reg_mprt_pwm_val7                          :16;
};
#define tx_hstx_top_40(val) ((rs_tx_hstx_top_40*)&(val))



#define TX_HSTX_TOP_44                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0x44)

#define TX_HSTX_TOP_44_struct                                            rs_tx_hstx_top_44

typedef struct _rs_tx_hstx_top_44  rs_tx_hstx_top_44;
struct _rs_tx_hstx_top_44 {
    unsigned int reg_mprt_pwm_mult0                         : 4;
    unsigned int reg_mprt_pwm_mult1                         : 4;
    unsigned int reg_mprt_pwm_mult2                         : 4;
    unsigned int reg_mprt_pwm_mult3                         : 4;
    unsigned int reg_mprt_pwm_mult4                         : 4;
    unsigned int reg_mprt_pwm_mult5                         : 4;
    unsigned int reg_mprt_pwm_mult6                         : 4;
    unsigned int reg_mprt_pwm_mult7                         : 4;
};
#define tx_hstx_top_44(val) ((rs_tx_hstx_top_44*)&(val))



#define TX_HSTX_TOP_48                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0x48)

#define TX_HSTX_TOP_48_struct                                            rs_tx_hstx_top_48

typedef struct _rs_tx_hstx_top_48  rs_tx_hstx_top_48;
struct _rs_tx_hstx_top_48 {
    unsigned int reg_mprt_pwm_update_type0                  : 2;
    unsigned int reg_mprt_pwm_update_type1                  : 2;
    unsigned int reg_mprt_pwm_update_type2                  : 2;
    unsigned int reg_mprt_pwm_update_type3                  : 2;
    unsigned int reg_mprt_pwm_update_type4                  : 2;
    unsigned int reg_mprt_pwm_update_type5                  : 2;
    unsigned int reg_mprt_pwm_update_type6                  : 2;
    unsigned int reg_mprt_pwm_update_type7                  : 2;
    unsigned int reg_mprt_pwm_pol0                          : 1;
    unsigned int reg_mprt_pwm_pol1                          : 1;
    unsigned int reg_mprt_pwm_pol2                          : 1;
    unsigned int reg_mprt_pwm_pol3                          : 1;
    unsigned int reg_mprt_pwm_pol4                          : 1;
    unsigned int reg_mprt_pwm_pol5                          : 1;
    unsigned int reg_mprt_pwm_pol6                          : 1;
    unsigned int reg_mprt_pwm_pol7                          : 1;
    unsigned int reg_mprt_pwm_enable0                       : 1;
    unsigned int reg_mprt_pwm_enable1                       : 1;
    unsigned int reg_mprt_pwm_enable2                       : 1;
    unsigned int reg_mprt_pwm_enable3                       : 1;
    unsigned int reg_mprt_pwm_enable4                       : 1;
    unsigned int reg_mprt_pwm_enable5                       : 1;
    unsigned int reg_mprt_pwm_enable6                       : 1;
    unsigned int reg_mprt_pwm_enable7                       : 1;
};
#define tx_hstx_top_48(val) ((rs_tx_hstx_top_48*)&(val))



#define TX_HSTX_TOP_4C                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0x4C)

#define TX_HSTX_TOP_4C_struct                                            rs_tx_hstx_top_4c

typedef struct _rs_tx_hstx_top_4c  rs_tx_hstx_top_4c;
struct _rs_tx_hstx_top_4c {
    unsigned int reg_mprt_pwm_mux0                          : 8;
    unsigned int reg_mprt_pwm_mux1                          : 8;
    unsigned int reg_mprt_pwm_mux2                          : 8;
    unsigned int reg_mprt_pwm_mux3                          : 8;
};
#define tx_hstx_top_4c(val) ((rs_tx_hstx_top_4c*)&(val))



#define TX_HSTX_TOP_50                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0x50)

#define TX_HSTX_TOP_50_struct                                            rs_tx_hstx_top_50

typedef struct _rs_tx_hstx_top_50  rs_tx_hstx_top_50;
struct _rs_tx_hstx_top_50 {
    unsigned int reg_mprt_pwm_mux4                          : 8;
    unsigned int reg_mprt_pwm_mux5                          : 8;
    unsigned int reg_mprt_pwm_mux6                          : 8;
    unsigned int reg_mprt_pwm_mux7                          : 8;
};
#define tx_hstx_top_50(val) ((rs_tx_hstx_top_50*)&(val))



#define TX_HSTX_TOP_54                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0x54)

#define TX_HSTX_TOP_54_struct                                            rs_tx_hstx_top_54

typedef struct _rs_tx_hstx_top_54  rs_tx_hstx_top_54;
struct _rs_tx_hstx_top_54 {
    unsigned int reg_hstx_mem_reg_0                         :32;
};
#define tx_hstx_top_54(val) ((rs_tx_hstx_top_54*)&(val))



#define TX_HSTX_TOP_58                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0x58)

#define TX_HSTX_TOP_58_struct                                            rs_tx_hstx_top_58

typedef struct _rs_tx_hstx_top_58  rs_tx_hstx_top_58;
struct _rs_tx_hstx_top_58 {
    unsigned int reg_hstx_mem_reg_1                         :32;
};
#define tx_hstx_top_58(val) ((rs_tx_hstx_top_58*)&(val))



#define TX_HSTX_TOP_5C                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0x5C)

#define TX_HSTX_TOP_5C_struct                                            rs_tx_hstx_top_5c

typedef struct _rs_tx_hstx_top_5c  rs_tx_hstx_top_5c;
struct _rs_tx_hstx_top_5c {
    unsigned int reg_hstx_mem_reg_2                         :32;
};
#define tx_hstx_top_5c(val) ((rs_tx_hstx_top_5c*)&(val))



#define TX_HSTX_TOP_60                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0x60)

#define TX_HSTX_TOP_60_struct                                            rs_tx_hstx_top_60

typedef struct _rs_tx_hstx_top_60  rs_tx_hstx_top_60;
struct _rs_tx_hstx_top_60 {
    unsigned int reg_hstx_mem_reg_3                         :32;
};
#define tx_hstx_top_60(val) ((rs_tx_hstx_top_60*)&(val))



#define TX_HSTX_TOP_64                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0x64)

#define TX_HSTX_TOP_64_struct                                            rs_tx_hstx_top_64

typedef struct _rs_tx_hstx_top_64  rs_tx_hstx_top_64;
struct _rs_tx_hstx_top_64 {
    unsigned int reg_hstx_mem_reg_4                         :32;
};
#define tx_hstx_top_64(val) ((rs_tx_hstx_top_64*)&(val))



#define TX_HSTX_TOP_68                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0x68)

#define TX_HSTX_TOP_68_struct                                            rs_tx_hstx_top_68

typedef struct _rs_tx_hstx_top_68  rs_tx_hstx_top_68;
struct _rs_tx_hstx_top_68 {
    unsigned int reg_hstx_mem_reg_5                         :32;
};
#define tx_hstx_top_68(val) ((rs_tx_hstx_top_68*)&(val))



#define TX_HSTX_TOP_6C                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0x6C)

#define TX_HSTX_TOP_6C_struct                                            rs_tx_hstx_top_6c

typedef struct _rs_tx_hstx_top_6c  rs_tx_hstx_top_6c;
struct _rs_tx_hstx_top_6c {
    unsigned int reg_hstx_mem_reg_6                         :32;
};
#define tx_hstx_top_6c(val) ((rs_tx_hstx_top_6c*)&(val))



#define TX_HSTX_TOP_70                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0x70)

#define TX_HSTX_TOP_70_struct                                            rs_tx_hstx_top_70

typedef struct _rs_tx_hstx_top_70  rs_tx_hstx_top_70;
struct _rs_tx_hstx_top_70 {
    unsigned int reg_hstx_mem_reg_7                         :32;
};
#define tx_hstx_top_70(val) ((rs_tx_hstx_top_70*)&(val))



#define TX_HSTX_TOP_74                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0x74)

#define TX_HSTX_TOP_74_struct                                            rs_tx_hstx_top_74

typedef struct _rs_tx_hstx_top_74  rs_tx_hstx_top_74;
struct _rs_tx_hstx_top_74 {
    unsigned int reg_hstx_mem_ema_0                         :32;
};
#define tx_hstx_top_74(val) ((rs_tx_hstx_top_74*)&(val))



#define TX_HSTX_TOP_78                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0x78)

#define TX_HSTX_TOP_78_struct                                            rs_tx_hstx_top_78

typedef struct _rs_tx_hstx_top_78  rs_tx_hstx_top_78;
struct _rs_tx_hstx_top_78 {
    unsigned int reg_hstx_mem_ema_1                         :32;
};
#define tx_hstx_top_78(val) ((rs_tx_hstx_top_78*)&(val))



#define TX_HSTX_TOP_7C                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0x7C)

#define TX_HSTX_TOP_7C_struct                                            rs_tx_hstx_top_7c

typedef struct _rs_tx_hstx_top_7c  rs_tx_hstx_top_7c;
struct _rs_tx_hstx_top_7c {
    unsigned int reg_hstx_mem_ema_2                         :32;
};
#define tx_hstx_top_7c(val) ((rs_tx_hstx_top_7c*)&(val))



#define TX_HSTX_TOP_80                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0x80)

#define TX_HSTX_TOP_80_struct                                            rs_tx_hstx_top_80

typedef struct _rs_tx_hstx_top_80  rs_tx_hstx_top_80;
struct _rs_tx_hstx_top_80 {
    unsigned int reg_hstx_mem_ema_3                         :32;
};
#define tx_hstx_top_80(val) ((rs_tx_hstx_top_80*)&(val))



#define TX_HSTX_TOP_84                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0x84)

#define TX_HSTX_TOP_84_struct                                            rs_tx_hstx_top_84

typedef struct _rs_tx_hstx_top_84  rs_tx_hstx_top_84;
struct _rs_tx_hstx_top_84 {
    unsigned int reg_hstx_mem_ema_4                         :32;
};
#define tx_hstx_top_84(val) ((rs_tx_hstx_top_84*)&(val))



#define TX_HSTX_TOP_88                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0x88)

#define TX_HSTX_TOP_88_struct                                            rs_tx_hstx_top_88

typedef struct _rs_tx_hstx_top_88  rs_tx_hstx_top_88;
struct _rs_tx_hstx_top_88 {
    unsigned int reg_hstx_mem_ema_5                         :32;
};
#define tx_hstx_top_88(val) ((rs_tx_hstx_top_88*)&(val))



#define TX_HSTX_TOP_8C                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0x8C)

#define TX_HSTX_TOP_8C_struct                                            rs_tx_hstx_top_8c

typedef struct _rs_tx_hstx_top_8c  rs_tx_hstx_top_8c;
struct _rs_tx_hstx_top_8c {
    unsigned int reg_hstx_mem_ema_6                         :32;
};
#define tx_hstx_top_8c(val) ((rs_tx_hstx_top_8c*)&(val))



#define TX_HSTX_TOP_90                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0x90)

#define TX_HSTX_TOP_90_struct                                            rs_tx_hstx_top_90

typedef struct _rs_tx_hstx_top_90  rs_tx_hstx_top_90;
struct _rs_tx_hstx_top_90 {
    unsigned int reg_hstx_mem_ema_7                         :32;
};
#define tx_hstx_top_90(val) ((rs_tx_hstx_top_90*)&(val))



#define TX_HSTX_TOP_94                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0x94)

#define TX_HSTX_TOP_94_struct                                            rs_tx_hstx_top_94

typedef struct _rs_tx_hstx_top_94  rs_tx_hstx_top_94;
struct _rs_tx_hstx_top_94 {
    unsigned int reg_hstx_mem_ema_8                         :32;
};
#define tx_hstx_top_94(val) ((rs_tx_hstx_top_94*)&(val))



#define TX_HSTX_TOP_98                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0x98)

#define TX_HSTX_TOP_98_struct                                            rs_tx_hstx_top_98

typedef struct _rs_tx_hstx_top_98  rs_tx_hstx_top_98;
struct _rs_tx_hstx_top_98 {
    unsigned int reg_hstx_mem_ema_9                         :32;
};
#define tx_hstx_top_98(val) ((rs_tx_hstx_top_98*)&(val))



#define TX_HSTX_TOP_9C                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0x9C)

#define TX_HSTX_TOP_9C_struct                                            rs_tx_hstx_top_9c

typedef struct _rs_tx_hstx_top_9c  rs_tx_hstx_top_9c;
struct _rs_tx_hstx_top_9c {
    unsigned int reg_hstx_mem_ema_10                        :32;
};
#define tx_hstx_top_9c(val) ((rs_tx_hstx_top_9c*)&(val))



#define TX_HSTX_TOP_A0                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0xA0)

#define TX_HSTX_TOP_A0_struct                                            rs_tx_hstx_top_a0

typedef struct _rs_tx_hstx_top_a0  rs_tx_hstx_top_a0;
struct _rs_tx_hstx_top_a0 {
    unsigned int reg_hstx_mem_ema_11                        :32;
};
#define tx_hstx_top_a0(val) ((rs_tx_hstx_top_a0*)&(val))



#define TX_HSTX_TOP_A4                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0xA4)

#define TX_HSTX_TOP_A4_struct                                            rs_tx_hstx_top_a4

typedef struct _rs_tx_hstx_top_a4  rs_tx_hstx_top_a4;
struct _rs_tx_hstx_top_a4 {
    unsigned int reg_hstx_mem_ema_12                        :32;
};
#define tx_hstx_top_a4(val) ((rs_tx_hstx_top_a4*)&(val))



#define TX_HSTX_TOP_A8                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0xA8)

#define TX_HSTX_TOP_A8_struct                                            rs_tx_hstx_top_a8

typedef struct _rs_tx_hstx_top_a8  rs_tx_hstx_top_a8;
struct _rs_tx_hstx_top_a8 {
    unsigned int reg_hstx_mem_ema_13                        :32;
};
#define tx_hstx_top_a8(val) ((rs_tx_hstx_top_a8*)&(val))



#define TX_HSTX_TOP_AC                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0xAC)

#define TX_HSTX_TOP_AC_struct                                            rs_tx_hstx_top_ac

typedef struct _rs_tx_hstx_top_ac  rs_tx_hstx_top_ac;
struct _rs_tx_hstx_top_ac {
    unsigned int reg_hstx_mem_ema_14                        :32;
};
#define tx_hstx_top_ac(val) ((rs_tx_hstx_top_ac*)&(val))



#define TX_HSTX_TOP_B0                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0xB0)

#define TX_HSTX_TOP_B0_struct                                            rs_tx_hstx_top_b0

typedef struct _rs_tx_hstx_top_b0  rs_tx_hstx_top_b0;
struct _rs_tx_hstx_top_b0 {
    unsigned int reg_hstx_mem_ema_15                        :32;
};
#define tx_hstx_top_b0(val) ((rs_tx_hstx_top_b0*)&(val))



#define TX_HSTX_TOP_B8                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0xB8)

#define TX_HSTX_TOP_B8_struct                                            rs_tx_hstx_top_b8

typedef struct _rs_tx_hstx_top_b8  rs_tx_hstx_top_b8;
struct _rs_tx_hstx_top_b8 {
    unsigned int regr_hstx_mem_ro_0                         :32;
};
#define tx_hstx_top_b8(val) ((rs_tx_hstx_top_b8*)&(val))



#define TX_HSTX_TOP_BC                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0xBC)

#define TX_HSTX_TOP_BC_struct                                            rs_tx_hstx_top_bc

typedef struct _rs_tx_hstx_top_bc  rs_tx_hstx_top_bc;
struct _rs_tx_hstx_top_bc {
    unsigned int regr_hstx_mem_ro_1                         :32;
};
#define tx_hstx_top_bc(val) ((rs_tx_hstx_top_bc*)&(val))



#define TX_HSTX_TOP_C0                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0xC0)

#define TX_HSTX_TOP_C0_struct                                            rs_tx_hstx_top_c0

typedef struct _rs_tx_hstx_top_c0  rs_tx_hstx_top_c0;
struct _rs_tx_hstx_top_c0 {
    unsigned int regr_hstx_mem_ro_2                         :32;
};
#define tx_hstx_top_c0(val) ((rs_tx_hstx_top_c0*)&(val))



#define TX_HSTX_TOP_C4                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0xC4)

#define TX_HSTX_TOP_C4_struct                                            rs_tx_hstx_top_c4

typedef struct _rs_tx_hstx_top_c4  rs_tx_hstx_top_c4;
struct _rs_tx_hstx_top_c4 {
    unsigned int regr_hstx_mem_ro_3                         :32;
};
#define tx_hstx_top_c4(val) ((rs_tx_hstx_top_c4*)&(val))



#define TX_HSTX_TOP_C8                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0xC8)

#define TX_HSTX_TOP_C8_struct                                            rs_tx_hstx_top_c8

typedef struct _rs_tx_hstx_top_c8  rs_tx_hstx_top_c8;
struct _rs_tx_hstx_top_c8 {
    unsigned int regr_hstx_mem_ro_4                         :32;
};
#define tx_hstx_top_c8(val) ((rs_tx_hstx_top_c8*)&(val))



#define TX_HSTX_TOP_CC                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0xCC)

#define TX_HSTX_TOP_CC_struct                                            rs_tx_hstx_top_cc

typedef struct _rs_tx_hstx_top_cc  rs_tx_hstx_top_cc;
struct _rs_tx_hstx_top_cc {
    unsigned int regr_hstx_mem_ro_5                         :32;
};
#define tx_hstx_top_cc(val) ((rs_tx_hstx_top_cc*)&(val))



#define TX_HSTX_TOP_D0                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0xD0)

#define TX_HSTX_TOP_D0_struct                                            rs_tx_hstx_top_d0

typedef struct _rs_tx_hstx_top_d0  rs_tx_hstx_top_d0;
struct _rs_tx_hstx_top_d0 {
    unsigned int regr_hstx_mem_ro_6                         :32;
};
#define tx_hstx_top_d0(val) ((rs_tx_hstx_top_d0*)&(val))



#define TX_HSTX_TOP_D4                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0xD4)

#define TX_HSTX_TOP_D4_struct                                            rs_tx_hstx_top_d4

typedef struct _rs_tx_hstx_top_d4  rs_tx_hstx_top_d4;
struct _rs_tx_hstx_top_d4 {
    unsigned int regr_hstx_mem_ro_7                         :32;
};
#define tx_hstx_top_d4(val) ((rs_tx_hstx_top_d4*)&(val))



#define TX_HSTX_TOP_D8                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0xD8)

#define TX_HSTX_TOP_D8_struct                                            rs_tx_hstx_top_d8

typedef struct _rs_tx_hstx_top_d8  rs_tx_hstx_top_d8;
struct _rs_tx_hstx_top_d8 {
    unsigned int regr_hstx_mem_ro_8                         :32;
};
#define tx_hstx_top_d8(val) ((rs_tx_hstx_top_d8*)&(val))



#define TX_HSTX_TOP_DC                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0xDC)

#define TX_HSTX_TOP_DC_struct                                            rs_tx_hstx_top_dc

typedef struct _rs_tx_hstx_top_dc  rs_tx_hstx_top_dc;
struct _rs_tx_hstx_top_dc {
    unsigned int regr_hstx_mem_ro_9                         :32;
};
#define tx_hstx_top_dc(val) ((rs_tx_hstx_top_dc*)&(val))



#define TX_HSTX_TOP_E0                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0xE0)

#define TX_HSTX_TOP_E0_struct                                            rs_tx_hstx_top_e0

typedef struct _rs_tx_hstx_top_e0  rs_tx_hstx_top_e0;
struct _rs_tx_hstx_top_e0 {
    unsigned int regr_hstx_mem_ro_10                        :32;
};
#define tx_hstx_top_e0(val) ((rs_tx_hstx_top_e0*)&(val))



#define TX_HSTX_TOP_E4                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0xE4)

#define TX_HSTX_TOP_E4_struct                                            rs_tx_hstx_top_e4

typedef struct _rs_tx_hstx_top_e4  rs_tx_hstx_top_e4;
struct _rs_tx_hstx_top_e4 {
    unsigned int regr_hstx_mem_ro_11                        :32;
};
#define tx_hstx_top_e4(val) ((rs_tx_hstx_top_e4*)&(val))



#define TX_HSTX_TOP_E8                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0xE8)

#define TX_HSTX_TOP_E8_struct                                            rs_tx_hstx_top_e8

typedef struct _rs_tx_hstx_top_e8  rs_tx_hstx_top_e8;
struct _rs_tx_hstx_top_e8 {
    unsigned int regr_hstx_mem_ro_12                        :32;
};
#define tx_hstx_top_e8(val) ((rs_tx_hstx_top_e8*)&(val))



#define TX_HSTX_TOP_EC                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0xEC)

#define TX_HSTX_TOP_EC_struct                                            rs_tx_hstx_top_ec

typedef struct _rs_tx_hstx_top_ec  rs_tx_hstx_top_ec;
struct _rs_tx_hstx_top_ec {
    unsigned int regr_hstx_mem_ro_13                        :32;
};
#define tx_hstx_top_ec(val) ((rs_tx_hstx_top_ec*)&(val))



#define TX_HSTX_TOP_F0                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0xF0)

#define TX_HSTX_TOP_F0_struct                                            rs_tx_hstx_top_f0

typedef struct _rs_tx_hstx_top_f0  rs_tx_hstx_top_f0;
struct _rs_tx_hstx_top_f0 {
    unsigned int regr_hstx_mem_ro_14                        :32;
};
#define tx_hstx_top_f0(val) ((rs_tx_hstx_top_f0*)&(val))



#define TX_HSTX_TOP_F4                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0xF4)

#define TX_HSTX_TOP_F4_struct                                            rs_tx_hstx_top_f4

typedef struct _rs_tx_hstx_top_f4  rs_tx_hstx_top_f4;
struct _rs_tx_hstx_top_f4 {
    unsigned int regr_hstx_mem_ro_15                        :32;
};
#define tx_hstx_top_f4(val) ((rs_tx_hstx_top_f4*)&(val))



#define TX_HSTX_TOP_F8                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0xF8)

#define TX_HSTX_TOP_F8_struct                                            rs_tx_hstx_top_f8

typedef struct _rs_tx_hstx_top_f8  rs_tx_hstx_top_f8;
struct _rs_tx_hstx_top_f8 {
    unsigned int regr_hstx_mem_ro_16                        :32;
};
#define tx_hstx_top_f8(val) ((rs_tx_hstx_top_f8*)&(val))



#define TX_HSTX_TOP_FC                                                   (HV_HSTX_TOP_BASE_ADDRESS + 0xFC)

#define TX_HSTX_TOP_FC_struct                                            rs_tx_hstx_top_fc

typedef struct _rs_tx_hstx_top_fc  rs_tx_hstx_top_fc;
struct _rs_tx_hstx_top_fc {
    unsigned int regr_hstx_mem_ro_all                       : 4;
    unsigned int reserved                                   :28;
};
#define tx_hstx_top_fc(val) ((rs_tx_hstx_top_fc*)&(val))



#endif