#ifndef _HV_PAGE_HT7315_KOSD_CPR_TOP0_DEC_00_H_
#define _HV_PAGE_HT7315_KOSD_CPR_TOP0_DEC_00_H_

#ifndef HV_KOSD_CPR_TOP0_DEC_00_BASE_ADDRESS
    #define HV_KOSD_CPR_TOP0_DEC_00_BASE_ADDRESS                                         0x11020800
#endif


#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_00                                 (HV_KOSD_CPR_TOP0_DEC_00_BASE_ADDRESS + 0x00)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_00_struct                          rs_disp_top_kosd_cpr_top0_dec_00_00

typedef struct _rs_disp_top_kosd_cpr_top0_dec_00_00  rs_disp_top_kosd_cpr_top0_dec_00_00;
struct _rs_disp_top_kosd_cpr_top0_dec_00_00 {
    unsigned int reg_00_bypass_mode                         : 1;
    unsigned int reg_00_422_mode                            : 1;
    unsigned int reg_00_anchor_en                           : 1;
    unsigned int reg_00_lastline_en                         : 1;
    unsigned int reg_00_pred_mode                           : 2;
    unsigned int reg_00_dict_en                             : 1;
    unsigned int reg_00_dict_mode                           : 1;
    unsigned int reg_00_erosion_en                          : 1;
    unsigned int reg_00_enc_3d_mode                         : 1;
    unsigned int reg_00_enc_3d_format                       : 2;
    unsigned int reg_00_dec_3d_mode                         : 1;
    unsigned int reg_00_dec_3d_format                       : 1;
    unsigned int reg_00_sram_ls_en                          : 1;
    unsigned int reg_00_sram_ls_value                       : 1;
    unsigned int reg_00_cpr_segmode                         : 1;
    unsigned int reg_00_en                                  : 1;
    unsigned int reg_00_en_no_latch                         : 1;
    unsigned int reg_00_vflip                               : 1;
    unsigned int reserved                                   :12;
};
#define disp_top_kosd_cpr_top0_dec_00_00(val) ((rs_disp_top_kosd_cpr_top0_dec_00_00*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_04                                 (HV_KOSD_CPR_TOP0_DEC_00_BASE_ADDRESS + 0x04)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_04_struct                          rs_disp_top_kosd_cpr_top0_dec_00_04

typedef struct _rs_disp_top_kosd_cpr_top0_dec_00_04  rs_disp_top_kosd_cpr_top0_dec_00_04;
struct _rs_disp_top_kosd_cpr_top0_dec_00_04 {
    unsigned int reg_00_hact                                :13;
    unsigned int reg_00_vact                                :13;
    unsigned int reserved                                   : 6;
};
#define disp_top_kosd_cpr_top0_dec_00_04(val) ((rs_disp_top_kosd_cpr_top0_dec_00_04*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_08                                 (HV_KOSD_CPR_TOP0_DEC_00_BASE_ADDRESS + 0x08)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_08_struct                          rs_disp_top_kosd_cpr_top0_dec_00_08

typedef struct _rs_disp_top_kosd_cpr_top0_dec_00_08  rs_disp_top_kosd_cpr_top0_dec_00_08;
struct _rs_disp_top_kosd_cpr_top0_dec_00_08 {
    unsigned int reg_00_bp_penalty                          : 8;
    unsigned int reg_00_k_init                              : 4;
    unsigned int reg_00_lr_inv                              : 1;
    unsigned int reg_00_lf_pmap_shift                       : 3;
    unsigned int reg_00_overlap_num                         : 8;
    unsigned int reg_00_curve_anchor2                       : 8;
};
#define disp_top_kosd_cpr_top0_dec_00_08(val) ((rs_disp_top_kosd_cpr_top0_dec_00_08*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_0C                                 (HV_KOSD_CPR_TOP0_DEC_00_BASE_ADDRESS + 0x0C)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_0C_struct                          rs_disp_top_kosd_cpr_top0_dec_00_0c

typedef struct _rs_disp_top_kosd_cpr_top0_dec_00_0c  rs_disp_top_kosd_cpr_top0_dec_00_0c;
struct _rs_disp_top_kosd_cpr_top0_dec_00_0c {
    unsigned int reg_00_curve_anchor0                       :32;
};
#define disp_top_kosd_cpr_top0_dec_00_0c(val) ((rs_disp_top_kosd_cpr_top0_dec_00_0c*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_10                                 (HV_KOSD_CPR_TOP0_DEC_00_BASE_ADDRESS + 0x10)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_10_struct                          rs_disp_top_kosd_cpr_top0_dec_00_10

typedef struct _rs_disp_top_kosd_cpr_top0_dec_00_10  rs_disp_top_kosd_cpr_top0_dec_00_10;
struct _rs_disp_top_kosd_cpr_top0_dec_00_10 {
    unsigned int reg_00_curve_anchor1                       :32;
};
#define disp_top_kosd_cpr_top0_dec_00_10(val) ((rs_disp_top_kosd_cpr_top0_dec_00_10*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_14                                 (HV_KOSD_CPR_TOP0_DEC_00_BASE_ADDRESS + 0x14)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_14_struct                          rs_disp_top_kosd_cpr_top0_dec_00_14

typedef struct _rs_disp_top_kosd_cpr_top0_dec_00_14  rs_disp_top_kosd_cpr_top0_dec_00_14;
struct _rs_disp_top_kosd_cpr_top0_dec_00_14 {
    unsigned int reg_00_lf_budget_packet                    : 8;
    unsigned int reserved                                   :24;
};
#define disp_top_kosd_cpr_top0_dec_00_14(val) ((rs_disp_top_kosd_cpr_top0_dec_00_14*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_18                                 (HV_KOSD_CPR_TOP0_DEC_00_BASE_ADDRESS + 0x18)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_18_struct                          rs_disp_top_kosd_cpr_top0_dec_00_18

typedef struct _rs_disp_top_kosd_cpr_top0_dec_00_18  rs_disp_top_kosd_cpr_top0_dec_00_18;
struct _rs_disp_top_kosd_cpr_top0_dec_00_18 {
    unsigned int reg_00_lf_budget_init_start                :16;
    unsigned int reserved                                   :16;
};
#define disp_top_kosd_cpr_top0_dec_00_18(val) ((rs_disp_top_kosd_cpr_top0_dec_00_18*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_1C                                 (HV_KOSD_CPR_TOP0_DEC_00_BASE_ADDRESS + 0x1C)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_1C_struct                          rs_disp_top_kosd_cpr_top0_dec_00_1c

typedef struct _rs_disp_top_kosd_cpr_top0_dec_00_1c  rs_disp_top_kosd_cpr_top0_dec_00_1c;
struct _rs_disp_top_kosd_cpr_top0_dec_00_1c {
    unsigned int reg_00_lf_budget_init_end                  :16;
    unsigned int reserved                                   :16;
};
#define disp_top_kosd_cpr_top0_dec_00_1c(val) ((rs_disp_top_kosd_cpr_top0_dec_00_1c*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_20                                 (HV_KOSD_CPR_TOP0_DEC_00_BASE_ADDRESS + 0x20)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_20_struct                          rs_disp_top_kosd_cpr_top0_dec_00_20

typedef struct _rs_disp_top_kosd_cpr_top0_dec_00_20  rs_disp_top_kosd_cpr_top0_dec_00_20;
struct _rs_disp_top_kosd_cpr_top0_dec_00_20 {
    unsigned int reg_00_lf_budget_credits0                  : 8;
    unsigned int reg_00_lf_budget_credits1                  : 8;
    unsigned int reserved                                   :16;
};
#define disp_top_kosd_cpr_top0_dec_00_20(val) ((rs_disp_top_kosd_cpr_top0_dec_00_20*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_24                                 (HV_KOSD_CPR_TOP0_DEC_00_BASE_ADDRESS + 0x24)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_24_struct                          rs_disp_top_kosd_cpr_top0_dec_00_24

typedef struct _rs_disp_top_kosd_cpr_top0_dec_00_24  rs_disp_top_kosd_cpr_top0_dec_00_24;
struct _rs_disp_top_kosd_cpr_top0_dec_00_24 {
    unsigned int reg_00_lf_budget_credits2                  : 8;
    unsigned int reg_00_lf_budget_credits3                  : 8;
    unsigned int reserved                                   :16;
};
#define disp_top_kosd_cpr_top0_dec_00_24(val) ((rs_disp_top_kosd_cpr_top0_dec_00_24*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_28                                 (HV_KOSD_CPR_TOP0_DEC_00_BASE_ADDRESS + 0x28)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_28_struct                          rs_disp_top_kosd_cpr_top0_dec_00_28

typedef struct _rs_disp_top_kosd_cpr_top0_dec_00_28  rs_disp_top_kosd_cpr_top0_dec_00_28;
struct _rs_disp_top_kosd_cpr_top0_dec_00_28 {
    unsigned int reg_00_lf_budget_credits4                  : 8;
    unsigned int reg_00_lf_budget_credits5                  : 8;
    unsigned int reserved                                   :16;
};
#define disp_top_kosd_cpr_top0_dec_00_28(val) ((rs_disp_top_kosd_cpr_top0_dec_00_28*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_2C                                 (HV_KOSD_CPR_TOP0_DEC_00_BASE_ADDRESS + 0x2C)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_2C_struct                          rs_disp_top_kosd_cpr_top0_dec_00_2c

typedef struct _rs_disp_top_kosd_cpr_top0_dec_00_2c  rs_disp_top_kosd_cpr_top0_dec_00_2c;
struct _rs_disp_top_kosd_cpr_top0_dec_00_2c {
    unsigned int reg_00_lf_budget_credits6                  : 8;
    unsigned int reg_00_lf_budget_credits7                  : 8;
    unsigned int reserved                                   :16;
};
#define disp_top_kosd_cpr_top0_dec_00_2c(val) ((rs_disp_top_kosd_cpr_top0_dec_00_2c*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_30                                 (HV_KOSD_CPR_TOP0_DEC_00_BASE_ADDRESS + 0x30)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_30_struct                          rs_disp_top_kosd_cpr_top0_dec_00_30

typedef struct _rs_disp_top_kosd_cpr_top0_dec_00_30  rs_disp_top_kosd_cpr_top0_dec_00_30;
struct _rs_disp_top_kosd_cpr_top0_dec_00_30 {
    unsigned int reg_00_lf_curve_qbpp0                      :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_00_30(val) ((rs_disp_top_kosd_cpr_top0_dec_00_30*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_34                                 (HV_KOSD_CPR_TOP0_DEC_00_BASE_ADDRESS + 0x34)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_34_struct                          rs_disp_top_kosd_cpr_top0_dec_00_34

typedef struct _rs_disp_top_kosd_cpr_top0_dec_00_34  rs_disp_top_kosd_cpr_top0_dec_00_34;
struct _rs_disp_top_kosd_cpr_top0_dec_00_34 {
    unsigned int reg_00_lf_curve_qbpp1                      :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_00_34(val) ((rs_disp_top_kosd_cpr_top0_dec_00_34*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_38                                 (HV_KOSD_CPR_TOP0_DEC_00_BASE_ADDRESS + 0x38)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_38_struct                          rs_disp_top_kosd_cpr_top0_dec_00_38

typedef struct _rs_disp_top_kosd_cpr_top0_dec_00_38  rs_disp_top_kosd_cpr_top0_dec_00_38;
struct _rs_disp_top_kosd_cpr_top0_dec_00_38 {
    unsigned int reg_00_lf_curve_qbpp2                      :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_00_38(val) ((rs_disp_top_kosd_cpr_top0_dec_00_38*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_3C                                 (HV_KOSD_CPR_TOP0_DEC_00_BASE_ADDRESS + 0x3C)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_3C_struct                          rs_disp_top_kosd_cpr_top0_dec_00_3c

typedef struct _rs_disp_top_kosd_cpr_top0_dec_00_3c  rs_disp_top_kosd_cpr_top0_dec_00_3c;
struct _rs_disp_top_kosd_cpr_top0_dec_00_3c {
    unsigned int reg_00_lf_curve_qbpp3                      :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_00_3c(val) ((rs_disp_top_kosd_cpr_top0_dec_00_3c*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_40                                 (HV_KOSD_CPR_TOP0_DEC_00_BASE_ADDRESS + 0x40)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_40_struct                          rs_disp_top_kosd_cpr_top0_dec_00_40

typedef struct _rs_disp_top_kosd_cpr_top0_dec_00_40  rs_disp_top_kosd_cpr_top0_dec_00_40;
struct _rs_disp_top_kosd_cpr_top0_dec_00_40 {
    unsigned int reg_00_lf_curve_qbpp4                      :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_00_40(val) ((rs_disp_top_kosd_cpr_top0_dec_00_40*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_44                                 (HV_KOSD_CPR_TOP0_DEC_00_BASE_ADDRESS + 0x44)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_44_struct                          rs_disp_top_kosd_cpr_top0_dec_00_44

typedef struct _rs_disp_top_kosd_cpr_top0_dec_00_44  rs_disp_top_kosd_cpr_top0_dec_00_44;
struct _rs_disp_top_kosd_cpr_top0_dec_00_44 {
    unsigned int reg_00_lf_curve_qbpp5                      :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_00_44(val) ((rs_disp_top_kosd_cpr_top0_dec_00_44*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_48                                 (HV_KOSD_CPR_TOP0_DEC_00_BASE_ADDRESS + 0x48)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_48_struct                          rs_disp_top_kosd_cpr_top0_dec_00_48

typedef struct _rs_disp_top_kosd_cpr_top0_dec_00_48  rs_disp_top_kosd_cpr_top0_dec_00_48;
struct _rs_disp_top_kosd_cpr_top0_dec_00_48 {
    unsigned int reg_00_lf_curve_qbpp6                      :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_00_48(val) ((rs_disp_top_kosd_cpr_top0_dec_00_48*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_4C                                 (HV_KOSD_CPR_TOP0_DEC_00_BASE_ADDRESS + 0x4C)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_4C_struct                          rs_disp_top_kosd_cpr_top0_dec_00_4c

typedef struct _rs_disp_top_kosd_cpr_top0_dec_00_4c  rs_disp_top_kosd_cpr_top0_dec_00_4c;
struct _rs_disp_top_kosd_cpr_top0_dec_00_4c {
    unsigned int reg_00_lf_curve_qbpp7                      :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_00_4c(val) ((rs_disp_top_kosd_cpr_top0_dec_00_4c*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_50                                 (HV_KOSD_CPR_TOP0_DEC_00_BASE_ADDRESS + 0x50)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_50_struct                          rs_disp_top_kosd_cpr_top0_dec_00_50

typedef struct _rs_disp_top_kosd_cpr_top0_dec_00_50  rs_disp_top_kosd_cpr_top0_dec_00_50;
struct _rs_disp_top_kosd_cpr_top0_dec_00_50 {
    unsigned int reg_00_lf_curve_trunc0_var0                :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_00_50(val) ((rs_disp_top_kosd_cpr_top0_dec_00_50*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_54                                 (HV_KOSD_CPR_TOP0_DEC_00_BASE_ADDRESS + 0x54)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_54_struct                          rs_disp_top_kosd_cpr_top0_dec_00_54

typedef struct _rs_disp_top_kosd_cpr_top0_dec_00_54  rs_disp_top_kosd_cpr_top0_dec_00_54;
struct _rs_disp_top_kosd_cpr_top0_dec_00_54 {
    unsigned int reg_00_lf_curve_trunc1_var0                :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_00_54(val) ((rs_disp_top_kosd_cpr_top0_dec_00_54*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_58                                 (HV_KOSD_CPR_TOP0_DEC_00_BASE_ADDRESS + 0x58)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_58_struct                          rs_disp_top_kosd_cpr_top0_dec_00_58

typedef struct _rs_disp_top_kosd_cpr_top0_dec_00_58  rs_disp_top_kosd_cpr_top0_dec_00_58;
struct _rs_disp_top_kosd_cpr_top0_dec_00_58 {
    unsigned int reg_00_lf_curve_trunc2_var0                :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_00_58(val) ((rs_disp_top_kosd_cpr_top0_dec_00_58*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_5C                                 (HV_KOSD_CPR_TOP0_DEC_00_BASE_ADDRESS + 0x5C)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_5C_struct                          rs_disp_top_kosd_cpr_top0_dec_00_5c

typedef struct _rs_disp_top_kosd_cpr_top0_dec_00_5c  rs_disp_top_kosd_cpr_top0_dec_00_5c;
struct _rs_disp_top_kosd_cpr_top0_dec_00_5c {
    unsigned int reg_00_lf_curve_trunc3_var0                :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_00_5c(val) ((rs_disp_top_kosd_cpr_top0_dec_00_5c*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_60                                 (HV_KOSD_CPR_TOP0_DEC_00_BASE_ADDRESS + 0x60)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_60_struct                          rs_disp_top_kosd_cpr_top0_dec_00_60

typedef struct _rs_disp_top_kosd_cpr_top0_dec_00_60  rs_disp_top_kosd_cpr_top0_dec_00_60;
struct _rs_disp_top_kosd_cpr_top0_dec_00_60 {
    unsigned int reg_00_lf_curve_trunc4_var0                :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_00_60(val) ((rs_disp_top_kosd_cpr_top0_dec_00_60*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_64                                 (HV_KOSD_CPR_TOP0_DEC_00_BASE_ADDRESS + 0x64)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_64_struct                          rs_disp_top_kosd_cpr_top0_dec_00_64

typedef struct _rs_disp_top_kosd_cpr_top0_dec_00_64  rs_disp_top_kosd_cpr_top0_dec_00_64;
struct _rs_disp_top_kosd_cpr_top0_dec_00_64 {
    unsigned int reg_00_lf_curve_trunc5_var0                :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_00_64(val) ((rs_disp_top_kosd_cpr_top0_dec_00_64*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_68                                 (HV_KOSD_CPR_TOP0_DEC_00_BASE_ADDRESS + 0x68)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_68_struct                          rs_disp_top_kosd_cpr_top0_dec_00_68

typedef struct _rs_disp_top_kosd_cpr_top0_dec_00_68  rs_disp_top_kosd_cpr_top0_dec_00_68;
struct _rs_disp_top_kosd_cpr_top0_dec_00_68 {
    unsigned int reg_00_lf_curve_trunc6_var0                :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_00_68(val) ((rs_disp_top_kosd_cpr_top0_dec_00_68*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_6C                                 (HV_KOSD_CPR_TOP0_DEC_00_BASE_ADDRESS + 0x6C)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_6C_struct                          rs_disp_top_kosd_cpr_top0_dec_00_6c

typedef struct _rs_disp_top_kosd_cpr_top0_dec_00_6c  rs_disp_top_kosd_cpr_top0_dec_00_6c;
struct _rs_disp_top_kosd_cpr_top0_dec_00_6c {
    unsigned int reg_00_lf_curve_trunc7_var0                :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_00_6c(val) ((rs_disp_top_kosd_cpr_top0_dec_00_6c*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_70                                 (HV_KOSD_CPR_TOP0_DEC_00_BASE_ADDRESS + 0x70)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_70_struct                          rs_disp_top_kosd_cpr_top0_dec_00_70

typedef struct _rs_disp_top_kosd_cpr_top0_dec_00_70  rs_disp_top_kosd_cpr_top0_dec_00_70;
struct _rs_disp_top_kosd_cpr_top0_dec_00_70 {
    unsigned int reg_00_lf_curve_trunc0_var1                :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_00_70(val) ((rs_disp_top_kosd_cpr_top0_dec_00_70*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_74                                 (HV_KOSD_CPR_TOP0_DEC_00_BASE_ADDRESS + 0x74)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_74_struct                          rs_disp_top_kosd_cpr_top0_dec_00_74

typedef struct _rs_disp_top_kosd_cpr_top0_dec_00_74  rs_disp_top_kosd_cpr_top0_dec_00_74;
struct _rs_disp_top_kosd_cpr_top0_dec_00_74 {
    unsigned int reg_00_lf_curve_trunc1_var1                :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_00_74(val) ((rs_disp_top_kosd_cpr_top0_dec_00_74*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_78                                 (HV_KOSD_CPR_TOP0_DEC_00_BASE_ADDRESS + 0x78)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_78_struct                          rs_disp_top_kosd_cpr_top0_dec_00_78

typedef struct _rs_disp_top_kosd_cpr_top0_dec_00_78  rs_disp_top_kosd_cpr_top0_dec_00_78;
struct _rs_disp_top_kosd_cpr_top0_dec_00_78 {
    unsigned int reg_00_lf_curve_trunc2_var1                :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_00_78(val) ((rs_disp_top_kosd_cpr_top0_dec_00_78*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_7C                                 (HV_KOSD_CPR_TOP0_DEC_00_BASE_ADDRESS + 0x7C)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_7C_struct                          rs_disp_top_kosd_cpr_top0_dec_00_7c

typedef struct _rs_disp_top_kosd_cpr_top0_dec_00_7c  rs_disp_top_kosd_cpr_top0_dec_00_7c;
struct _rs_disp_top_kosd_cpr_top0_dec_00_7c {
    unsigned int reg_00_lf_curve_trunc3_var1                :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_00_7c(val) ((rs_disp_top_kosd_cpr_top0_dec_00_7c*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_80                                 (HV_KOSD_CPR_TOP0_DEC_00_BASE_ADDRESS + 0x80)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_80_struct                          rs_disp_top_kosd_cpr_top0_dec_00_80

typedef struct _rs_disp_top_kosd_cpr_top0_dec_00_80  rs_disp_top_kosd_cpr_top0_dec_00_80;
struct _rs_disp_top_kosd_cpr_top0_dec_00_80 {
    unsigned int reg_00_lf_curve_trunc4_var1                :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_00_80(val) ((rs_disp_top_kosd_cpr_top0_dec_00_80*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_84                                 (HV_KOSD_CPR_TOP0_DEC_00_BASE_ADDRESS + 0x84)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_84_struct                          rs_disp_top_kosd_cpr_top0_dec_00_84

typedef struct _rs_disp_top_kosd_cpr_top0_dec_00_84  rs_disp_top_kosd_cpr_top0_dec_00_84;
struct _rs_disp_top_kosd_cpr_top0_dec_00_84 {
    unsigned int reg_00_lf_curve_trunc5_var1                :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_00_84(val) ((rs_disp_top_kosd_cpr_top0_dec_00_84*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_88                                 (HV_KOSD_CPR_TOP0_DEC_00_BASE_ADDRESS + 0x88)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_88_struct                          rs_disp_top_kosd_cpr_top0_dec_00_88

typedef struct _rs_disp_top_kosd_cpr_top0_dec_00_88  rs_disp_top_kosd_cpr_top0_dec_00_88;
struct _rs_disp_top_kosd_cpr_top0_dec_00_88 {
    unsigned int reg_00_lf_curve_trunc6_var1                :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_00_88(val) ((rs_disp_top_kosd_cpr_top0_dec_00_88*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_8C                                 (HV_KOSD_CPR_TOP0_DEC_00_BASE_ADDRESS + 0x8C)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_8C_struct                          rs_disp_top_kosd_cpr_top0_dec_00_8c

typedef struct _rs_disp_top_kosd_cpr_top0_dec_00_8c  rs_disp_top_kosd_cpr_top0_dec_00_8c;
struct _rs_disp_top_kosd_cpr_top0_dec_00_8c {
    unsigned int reg_00_lf_curve_trunc7_var1                :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_00_8c(val) ((rs_disp_top_kosd_cpr_top0_dec_00_8c*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_90                                 (HV_KOSD_CPR_TOP0_DEC_00_BASE_ADDRESS + 0x90)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_90_struct                          rs_disp_top_kosd_cpr_top0_dec_00_90

typedef struct _rs_disp_top_kosd_cpr_top0_dec_00_90  rs_disp_top_kosd_cpr_top0_dec_00_90;
struct _rs_disp_top_kosd_cpr_top0_dec_00_90 {
    unsigned int reg_00_lf_curve_trunc0_var2                :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_00_90(val) ((rs_disp_top_kosd_cpr_top0_dec_00_90*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_94                                 (HV_KOSD_CPR_TOP0_DEC_00_BASE_ADDRESS + 0x94)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_94_struct                          rs_disp_top_kosd_cpr_top0_dec_00_94

typedef struct _rs_disp_top_kosd_cpr_top0_dec_00_94  rs_disp_top_kosd_cpr_top0_dec_00_94;
struct _rs_disp_top_kosd_cpr_top0_dec_00_94 {
    unsigned int reg_00_lf_curve_trunc1_var2                :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_00_94(val) ((rs_disp_top_kosd_cpr_top0_dec_00_94*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_98                                 (HV_KOSD_CPR_TOP0_DEC_00_BASE_ADDRESS + 0x98)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_98_struct                          rs_disp_top_kosd_cpr_top0_dec_00_98

typedef struct _rs_disp_top_kosd_cpr_top0_dec_00_98  rs_disp_top_kosd_cpr_top0_dec_00_98;
struct _rs_disp_top_kosd_cpr_top0_dec_00_98 {
    unsigned int reg_00_lf_curve_trunc2_var2                :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_00_98(val) ((rs_disp_top_kosd_cpr_top0_dec_00_98*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_9C                                 (HV_KOSD_CPR_TOP0_DEC_00_BASE_ADDRESS + 0x9C)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_9C_struct                          rs_disp_top_kosd_cpr_top0_dec_00_9c

typedef struct _rs_disp_top_kosd_cpr_top0_dec_00_9c  rs_disp_top_kosd_cpr_top0_dec_00_9c;
struct _rs_disp_top_kosd_cpr_top0_dec_00_9c {
    unsigned int reg_00_lf_curve_trunc3_var2                :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_00_9c(val) ((rs_disp_top_kosd_cpr_top0_dec_00_9c*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_A0                                 (HV_KOSD_CPR_TOP0_DEC_00_BASE_ADDRESS + 0xA0)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_A0_struct                          rs_disp_top_kosd_cpr_top0_dec_00_a0

typedef struct _rs_disp_top_kosd_cpr_top0_dec_00_a0  rs_disp_top_kosd_cpr_top0_dec_00_a0;
struct _rs_disp_top_kosd_cpr_top0_dec_00_a0 {
    unsigned int reg_00_lf_curve_trunc4_var2                :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_00_a0(val) ((rs_disp_top_kosd_cpr_top0_dec_00_a0*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_A4                                 (HV_KOSD_CPR_TOP0_DEC_00_BASE_ADDRESS + 0xA4)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_A4_struct                          rs_disp_top_kosd_cpr_top0_dec_00_a4

typedef struct _rs_disp_top_kosd_cpr_top0_dec_00_a4  rs_disp_top_kosd_cpr_top0_dec_00_a4;
struct _rs_disp_top_kosd_cpr_top0_dec_00_a4 {
    unsigned int reg_00_lf_curve_trunc5_var2                :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_00_a4(val) ((rs_disp_top_kosd_cpr_top0_dec_00_a4*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_A8                                 (HV_KOSD_CPR_TOP0_DEC_00_BASE_ADDRESS + 0xA8)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_A8_struct                          rs_disp_top_kosd_cpr_top0_dec_00_a8

typedef struct _rs_disp_top_kosd_cpr_top0_dec_00_a8  rs_disp_top_kosd_cpr_top0_dec_00_a8;
struct _rs_disp_top_kosd_cpr_top0_dec_00_a8 {
    unsigned int reg_00_lf_curve_trunc6_var2                :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_00_a8(val) ((rs_disp_top_kosd_cpr_top0_dec_00_a8*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_AC                                 (HV_KOSD_CPR_TOP0_DEC_00_BASE_ADDRESS + 0xAC)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_AC_struct                          rs_disp_top_kosd_cpr_top0_dec_00_ac

typedef struct _rs_disp_top_kosd_cpr_top0_dec_00_ac  rs_disp_top_kosd_cpr_top0_dec_00_ac;
struct _rs_disp_top_kosd_cpr_top0_dec_00_ac {
    unsigned int reg_00_lf_curve_trunc7_var2                :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_00_ac(val) ((rs_disp_top_kosd_cpr_top0_dec_00_ac*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_B0                                 (HV_KOSD_CPR_TOP0_DEC_00_BASE_ADDRESS + 0xB0)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_B0_struct                          rs_disp_top_kosd_cpr_top0_dec_00_b0

typedef struct _rs_disp_top_kosd_cpr_top0_dec_00_b0  rs_disp_top_kosd_cpr_top0_dec_00_b0;
struct _rs_disp_top_kosd_cpr_top0_dec_00_b0 {
    unsigned int reg_00_i_lf_delay_cnt                      :16;
    unsigned int reserved                                   :16;
};
#define disp_top_kosd_cpr_top0_dec_00_b0(val) ((rs_disp_top_kosd_cpr_top0_dec_00_b0*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_BC                                 (HV_KOSD_CPR_TOP0_DEC_00_BASE_ADDRESS + 0xBC)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_BC_struct                          rs_disp_top_kosd_cpr_top0_dec_00_bc

typedef struct _rs_disp_top_kosd_cpr_top0_dec_00_bc  rs_disp_top_kosd_cpr_top0_dec_00_bc;
struct _rs_disp_top_kosd_cpr_top0_dec_00_bc {
    unsigned int reg_00_erosion_xratio                      : 8;
    unsigned int reg_00_erosion_yratio                      : 8;
    unsigned int reserved                                   :16;
};
#define disp_top_kosd_cpr_top0_dec_00_bc(val) ((rs_disp_top_kosd_cpr_top0_dec_00_bc*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_C0                                 (HV_KOSD_CPR_TOP0_DEC_00_BASE_ADDRESS + 0xC0)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_C0_struct                          rs_disp_top_kosd_cpr_top0_dec_00_c0

typedef struct _rs_disp_top_kosd_cpr_top0_dec_00_c0  rs_disp_top_kosd_cpr_top0_dec_00_c0;
struct _rs_disp_top_kosd_cpr_top0_dec_00_c0 {
    unsigned int reg_00_lf_motion_diff_thd                  : 8;
    unsigned int reg_00_lf_motion_diff_slp                  : 3;
    unsigned int reserved                                   :21;
};
#define disp_top_kosd_cpr_top0_dec_00_c0(val) ((rs_disp_top_kosd_cpr_top0_dec_00_c0*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_C4                                 (HV_KOSD_CPR_TOP0_DEC_00_BASE_ADDRESS + 0xC4)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_C4_struct                          rs_disp_top_kosd_cpr_top0_dec_00_c4

typedef struct _rs_disp_top_kosd_cpr_top0_dec_00_c4  rs_disp_top_kosd_cpr_top0_dec_00_c4;
struct _rs_disp_top_kosd_cpr_top0_dec_00_c4 {
    unsigned int reg_00_lf_varchk_thd_00                    : 8;
    unsigned int reg_00_lf_varchk_thd_01                    : 8;
    unsigned int reg_00_lf_varchk_thd_10                    : 8;
    unsigned int reg_00_lf_varchk_thd_11                    : 8;
};
#define disp_top_kosd_cpr_top0_dec_00_c4(val) ((rs_disp_top_kosd_cpr_top0_dec_00_c4*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_CC                                 (HV_KOSD_CPR_TOP0_DEC_00_BASE_ADDRESS + 0xCC)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_CC_struct                          rs_disp_top_kosd_cpr_top0_dec_00_cc

typedef struct _rs_disp_top_kosd_cpr_top0_dec_00_cc  rs_disp_top_kosd_cpr_top0_dec_00_cc;
struct _rs_disp_top_kosd_cpr_top0_dec_00_cc {
    unsigned int reg_00_lf_dict_penalty00                   : 8;
    unsigned int reg_00_lf_dict_penalty01                   : 8;
    unsigned int reg_00_lf_dict_penalty02                   : 8;
    unsigned int reg_00_lf_dict_penalty03                   : 8;
};
#define disp_top_kosd_cpr_top0_dec_00_cc(val) ((rs_disp_top_kosd_cpr_top0_dec_00_cc*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_D0                                 (HV_KOSD_CPR_TOP0_DEC_00_BASE_ADDRESS + 0xD0)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_D0_struct                          rs_disp_top_kosd_cpr_top0_dec_00_d0

typedef struct _rs_disp_top_kosd_cpr_top0_dec_00_d0  rs_disp_top_kosd_cpr_top0_dec_00_d0;
struct _rs_disp_top_kosd_cpr_top0_dec_00_d0 {
    unsigned int reg_00_lf_dict_penalty04                   : 8;
    unsigned int reg_00_lf_dict_penalty05                   : 8;
    unsigned int reg_00_lf_dict_penalty06                   : 8;
    unsigned int reg_00_lf_dict_penalty07                   : 8;
};
#define disp_top_kosd_cpr_top0_dec_00_d0(val) ((rs_disp_top_kosd_cpr_top0_dec_00_d0*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_D4                                 (HV_KOSD_CPR_TOP0_DEC_00_BASE_ADDRESS + 0xD4)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_D4_struct                          rs_disp_top_kosd_cpr_top0_dec_00_d4

typedef struct _rs_disp_top_kosd_cpr_top0_dec_00_d4  rs_disp_top_kosd_cpr_top0_dec_00_d4;
struct _rs_disp_top_kosd_cpr_top0_dec_00_d4 {
    unsigned int reg_00_lf_dict_penalty08                   : 8;
    unsigned int reg_00_lf_dict_penalty09                   : 8;
    unsigned int reg_00_lf_dict_penalty10                   : 8;
    unsigned int reg_00_lf_dict_penalty11                   : 8;
};
#define disp_top_kosd_cpr_top0_dec_00_d4(val) ((rs_disp_top_kosd_cpr_top0_dec_00_d4*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_D8                                 (HV_KOSD_CPR_TOP0_DEC_00_BASE_ADDRESS + 0xD8)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_D8_struct                          rs_disp_top_kosd_cpr_top0_dec_00_d8

typedef struct _rs_disp_top_kosd_cpr_top0_dec_00_d8  rs_disp_top_kosd_cpr_top0_dec_00_d8;
struct _rs_disp_top_kosd_cpr_top0_dec_00_d8 {
    unsigned int reg_00_lf_dict_penalty12                   : 8;
    unsigned int reg_00_lf_dict_penalty13                   : 8;
    unsigned int reg_00_lf_dict_penalty14                   : 8;
    unsigned int reg_00_lf_dict_penalty15                   : 8;
};
#define disp_top_kosd_cpr_top0_dec_00_d8(val) ((rs_disp_top_kosd_cpr_top0_dec_00_d8*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_DC                                 (HV_KOSD_CPR_TOP0_DEC_00_BASE_ADDRESS + 0xDC)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_DC_struct                          rs_disp_top_kosd_cpr_top0_dec_00_dc

typedef struct _rs_disp_top_kosd_cpr_top0_dec_00_dc  rs_disp_top_kosd_cpr_top0_dec_00_dc;
struct _rs_disp_top_kosd_cpr_top0_dec_00_dc {
    unsigned int reg_00_mem_data_proc_0                     : 8;
    unsigned int reg_00_mem_data_proc_1                     : 8;
    unsigned int mem_reg_00_rec_data                        : 8;
    unsigned int mem_reg_00_post                            : 8;
};
#define disp_top_kosd_cpr_top0_dec_00_dc(val) ((rs_disp_top_kosd_cpr_top0_dec_00_dc*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_E0                                 (HV_KOSD_CPR_TOP0_DEC_00_BASE_ADDRESS + 0xE0)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_E0_struct                          rs_disp_top_kosd_cpr_top0_dec_00_e0

typedef struct _rs_disp_top_kosd_cpr_top0_dec_00_e0  rs_disp_top_kosd_cpr_top0_dec_00_e0;
struct _rs_disp_top_kosd_cpr_top0_dec_00_e0 {
    unsigned int mem_reg_00_hs2de                           : 8;
    unsigned int reserved                                   :24;
};
#define disp_top_kosd_cpr_top0_dec_00_e0(val) ((rs_disp_top_kosd_cpr_top0_dec_00_e0*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_E4                                 (HV_KOSD_CPR_TOP0_DEC_00_BASE_ADDRESS + 0xE4)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_00_E4_struct                          rs_disp_top_kosd_cpr_top0_dec_00_e4

typedef struct _rs_disp_top_kosd_cpr_top0_dec_00_e4  rs_disp_top_kosd_cpr_top0_dec_00_e4;
struct _rs_disp_top_kosd_cpr_top0_dec_00_e4 {
    unsigned int reg_00_delay_num                           :13;
    unsigned int reg_00_YUV_format                          : 1;
    unsigned int reserved                                   :18;
};
#define disp_top_kosd_cpr_top0_dec_00_e4(val) ((rs_disp_top_kosd_cpr_top0_dec_00_e4*)&(val))



#endif