#ifndef _HV_PAGE_HT7315_KOSD_CPR_TOP0_DEC_02_H_
#define _HV_PAGE_HT7315_KOSD_CPR_TOP0_DEC_02_H_

#ifndef HV_KOSD_CPR_TOP0_DEC_02_BASE_ADDRESS
    #define HV_KOSD_CPR_TOP0_DEC_02_BASE_ADDRESS                                         0x11024700
#endif


#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_00                                 (HV_KOSD_CPR_TOP0_DEC_02_BASE_ADDRESS + 0x00)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_00_struct                          rs_disp_top_kosd_cpr_top0_dec_02_00

typedef struct _rs_disp_top_kosd_cpr_top0_dec_02_00  rs_disp_top_kosd_cpr_top0_dec_02_00;
struct _rs_disp_top_kosd_cpr_top0_dec_02_00 {
    unsigned int reg_02_bypass_mode                         : 1;
    unsigned int reg_02_422_mode                            : 1;
    unsigned int reg_02_anchor_en                           : 1;
    unsigned int reg_02_lastline_en                         : 1;
    unsigned int reg_02_pred_mode                           : 2;
    unsigned int reg_02_dict_en                             : 1;
    unsigned int reg_02_dict_mode                           : 1;
    unsigned int reg_02_erosion_en                          : 1;
    unsigned int reg_02_enc_3d_mode                         : 1;
    unsigned int reg_02_enc_3d_format                       : 2;
    unsigned int reg_02_dec_3d_mode                         : 1;
    unsigned int reg_02_dec_3d_format                       : 1;
    unsigned int reg_02_sram_ls_en                          : 1;
    unsigned int reg_02_sram_ls_value                       : 1;
    unsigned int reg_02_cpr_segmode                         : 1;
    unsigned int reg_02_en                                  : 1;
    unsigned int reg_02_en_no_latch                         : 1;
    unsigned int reg_02_vflip                               : 1;
    unsigned int reserved                                   :12;
};
#define disp_top_kosd_cpr_top0_dec_02_00(val) ((rs_disp_top_kosd_cpr_top0_dec_02_00*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_04                                 (HV_KOSD_CPR_TOP0_DEC_02_BASE_ADDRESS + 0x04)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_04_struct                          rs_disp_top_kosd_cpr_top0_dec_02_04

typedef struct _rs_disp_top_kosd_cpr_top0_dec_02_04  rs_disp_top_kosd_cpr_top0_dec_02_04;
struct _rs_disp_top_kosd_cpr_top0_dec_02_04 {
    unsigned int reg_02_hact                                :13;
    unsigned int reg_02_vact                                :13;
    unsigned int reserved                                   : 6;
};
#define disp_top_kosd_cpr_top0_dec_02_04(val) ((rs_disp_top_kosd_cpr_top0_dec_02_04*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_08                                 (HV_KOSD_CPR_TOP0_DEC_02_BASE_ADDRESS + 0x08)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_08_struct                          rs_disp_top_kosd_cpr_top0_dec_02_08

typedef struct _rs_disp_top_kosd_cpr_top0_dec_02_08  rs_disp_top_kosd_cpr_top0_dec_02_08;
struct _rs_disp_top_kosd_cpr_top0_dec_02_08 {
    unsigned int reg_02_bp_penalty                          : 8;
    unsigned int reg_02_k_init                              : 4;
    unsigned int reg_02_lr_inv                              : 1;
    unsigned int reg_02_lf_pmap_shift                       : 3;
    unsigned int reg_02_overlap_num                         : 8;
    unsigned int reg_02_curve_anchor2                       : 8;
};
#define disp_top_kosd_cpr_top0_dec_02_08(val) ((rs_disp_top_kosd_cpr_top0_dec_02_08*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_0C                                 (HV_KOSD_CPR_TOP0_DEC_02_BASE_ADDRESS + 0x0C)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_0C_struct                          rs_disp_top_kosd_cpr_top0_dec_02_0c

typedef struct _rs_disp_top_kosd_cpr_top0_dec_02_0c  rs_disp_top_kosd_cpr_top0_dec_02_0c;
struct _rs_disp_top_kosd_cpr_top0_dec_02_0c {
    unsigned int reg_02_curve_anchor0                       :32;
};
#define disp_top_kosd_cpr_top0_dec_02_0c(val) ((rs_disp_top_kosd_cpr_top0_dec_02_0c*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_10                                 (HV_KOSD_CPR_TOP0_DEC_02_BASE_ADDRESS + 0x10)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_10_struct                          rs_disp_top_kosd_cpr_top0_dec_02_10

typedef struct _rs_disp_top_kosd_cpr_top0_dec_02_10  rs_disp_top_kosd_cpr_top0_dec_02_10;
struct _rs_disp_top_kosd_cpr_top0_dec_02_10 {
    unsigned int reg_02_curve_anchor1                       :32;
};
#define disp_top_kosd_cpr_top0_dec_02_10(val) ((rs_disp_top_kosd_cpr_top0_dec_02_10*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_14                                 (HV_KOSD_CPR_TOP0_DEC_02_BASE_ADDRESS + 0x14)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_14_struct                          rs_disp_top_kosd_cpr_top0_dec_02_14

typedef struct _rs_disp_top_kosd_cpr_top0_dec_02_14  rs_disp_top_kosd_cpr_top0_dec_02_14;
struct _rs_disp_top_kosd_cpr_top0_dec_02_14 {
    unsigned int reg_02_lf_budget_packet                    : 8;
    unsigned int reserved                                   :24;
};
#define disp_top_kosd_cpr_top0_dec_02_14(val) ((rs_disp_top_kosd_cpr_top0_dec_02_14*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_18                                 (HV_KOSD_CPR_TOP0_DEC_02_BASE_ADDRESS + 0x18)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_18_struct                          rs_disp_top_kosd_cpr_top0_dec_02_18

typedef struct _rs_disp_top_kosd_cpr_top0_dec_02_18  rs_disp_top_kosd_cpr_top0_dec_02_18;
struct _rs_disp_top_kosd_cpr_top0_dec_02_18 {
    unsigned int reg_02_lf_budget_init_start                :16;
    unsigned int reserved                                   :16;
};
#define disp_top_kosd_cpr_top0_dec_02_18(val) ((rs_disp_top_kosd_cpr_top0_dec_02_18*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_1C                                 (HV_KOSD_CPR_TOP0_DEC_02_BASE_ADDRESS + 0x1C)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_1C_struct                          rs_disp_top_kosd_cpr_top0_dec_02_1c

typedef struct _rs_disp_top_kosd_cpr_top0_dec_02_1c  rs_disp_top_kosd_cpr_top0_dec_02_1c;
struct _rs_disp_top_kosd_cpr_top0_dec_02_1c {
    unsigned int reg_02_lf_budget_init_end                  :16;
    unsigned int reserved                                   :16;
};
#define disp_top_kosd_cpr_top0_dec_02_1c(val) ((rs_disp_top_kosd_cpr_top0_dec_02_1c*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_20                                 (HV_KOSD_CPR_TOP0_DEC_02_BASE_ADDRESS + 0x20)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_20_struct                          rs_disp_top_kosd_cpr_top0_dec_02_20

typedef struct _rs_disp_top_kosd_cpr_top0_dec_02_20  rs_disp_top_kosd_cpr_top0_dec_02_20;
struct _rs_disp_top_kosd_cpr_top0_dec_02_20 {
    unsigned int reg_02_lf_budget_credits0                  : 8;
    unsigned int reg_02_lf_budget_credits1                  : 8;
    unsigned int reserved                                   :16;
};
#define disp_top_kosd_cpr_top0_dec_02_20(val) ((rs_disp_top_kosd_cpr_top0_dec_02_20*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_24                                 (HV_KOSD_CPR_TOP0_DEC_02_BASE_ADDRESS + 0x24)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_24_struct                          rs_disp_top_kosd_cpr_top0_dec_02_24

typedef struct _rs_disp_top_kosd_cpr_top0_dec_02_24  rs_disp_top_kosd_cpr_top0_dec_02_24;
struct _rs_disp_top_kosd_cpr_top0_dec_02_24 {
    unsigned int reg_02_lf_budget_credits2                  : 8;
    unsigned int reg_02_lf_budget_credits3                  : 8;
    unsigned int reserved                                   :16;
};
#define disp_top_kosd_cpr_top0_dec_02_24(val) ((rs_disp_top_kosd_cpr_top0_dec_02_24*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_28                                 (HV_KOSD_CPR_TOP0_DEC_02_BASE_ADDRESS + 0x28)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_28_struct                          rs_disp_top_kosd_cpr_top0_dec_02_28

typedef struct _rs_disp_top_kosd_cpr_top0_dec_02_28  rs_disp_top_kosd_cpr_top0_dec_02_28;
struct _rs_disp_top_kosd_cpr_top0_dec_02_28 {
    unsigned int reg_02_lf_budget_credits4                  : 8;
    unsigned int reg_02_lf_budget_credits5                  : 8;
    unsigned int reserved                                   :16;
};
#define disp_top_kosd_cpr_top0_dec_02_28(val) ((rs_disp_top_kosd_cpr_top0_dec_02_28*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_2C                                 (HV_KOSD_CPR_TOP0_DEC_02_BASE_ADDRESS + 0x2C)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_2C_struct                          rs_disp_top_kosd_cpr_top0_dec_02_2c

typedef struct _rs_disp_top_kosd_cpr_top0_dec_02_2c  rs_disp_top_kosd_cpr_top0_dec_02_2c;
struct _rs_disp_top_kosd_cpr_top0_dec_02_2c {
    unsigned int reg_02_lf_budget_credits6                  : 8;
    unsigned int reg_02_lf_budget_credits7                  : 8;
    unsigned int reserved                                   :16;
};
#define disp_top_kosd_cpr_top0_dec_02_2c(val) ((rs_disp_top_kosd_cpr_top0_dec_02_2c*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_30                                 (HV_KOSD_CPR_TOP0_DEC_02_BASE_ADDRESS + 0x30)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_30_struct                          rs_disp_top_kosd_cpr_top0_dec_02_30

typedef struct _rs_disp_top_kosd_cpr_top0_dec_02_30  rs_disp_top_kosd_cpr_top0_dec_02_30;
struct _rs_disp_top_kosd_cpr_top0_dec_02_30 {
    unsigned int reg_02_lf_curve_qbpp0                      :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_02_30(val) ((rs_disp_top_kosd_cpr_top0_dec_02_30*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_34                                 (HV_KOSD_CPR_TOP0_DEC_02_BASE_ADDRESS + 0x34)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_34_struct                          rs_disp_top_kosd_cpr_top0_dec_02_34

typedef struct _rs_disp_top_kosd_cpr_top0_dec_02_34  rs_disp_top_kosd_cpr_top0_dec_02_34;
struct _rs_disp_top_kosd_cpr_top0_dec_02_34 {
    unsigned int reg_02_lf_curve_qbpp1                      :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_02_34(val) ((rs_disp_top_kosd_cpr_top0_dec_02_34*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_38                                 (HV_KOSD_CPR_TOP0_DEC_02_BASE_ADDRESS + 0x38)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_38_struct                          rs_disp_top_kosd_cpr_top0_dec_02_38

typedef struct _rs_disp_top_kosd_cpr_top0_dec_02_38  rs_disp_top_kosd_cpr_top0_dec_02_38;
struct _rs_disp_top_kosd_cpr_top0_dec_02_38 {
    unsigned int reg_02_lf_curve_qbpp2                      :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_02_38(val) ((rs_disp_top_kosd_cpr_top0_dec_02_38*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_3C                                 (HV_KOSD_CPR_TOP0_DEC_02_BASE_ADDRESS + 0x3C)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_3C_struct                          rs_disp_top_kosd_cpr_top0_dec_02_3c

typedef struct _rs_disp_top_kosd_cpr_top0_dec_02_3c  rs_disp_top_kosd_cpr_top0_dec_02_3c;
struct _rs_disp_top_kosd_cpr_top0_dec_02_3c {
    unsigned int reg_02_lf_curve_qbpp3                      :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_02_3c(val) ((rs_disp_top_kosd_cpr_top0_dec_02_3c*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_40                                 (HV_KOSD_CPR_TOP0_DEC_02_BASE_ADDRESS + 0x40)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_40_struct                          rs_disp_top_kosd_cpr_top0_dec_02_40

typedef struct _rs_disp_top_kosd_cpr_top0_dec_02_40  rs_disp_top_kosd_cpr_top0_dec_02_40;
struct _rs_disp_top_kosd_cpr_top0_dec_02_40 {
    unsigned int reg_02_lf_curve_qbpp4                      :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_02_40(val) ((rs_disp_top_kosd_cpr_top0_dec_02_40*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_44                                 (HV_KOSD_CPR_TOP0_DEC_02_BASE_ADDRESS + 0x44)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_44_struct                          rs_disp_top_kosd_cpr_top0_dec_02_44

typedef struct _rs_disp_top_kosd_cpr_top0_dec_02_44  rs_disp_top_kosd_cpr_top0_dec_02_44;
struct _rs_disp_top_kosd_cpr_top0_dec_02_44 {
    unsigned int reg_02_lf_curve_qbpp5                      :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_02_44(val) ((rs_disp_top_kosd_cpr_top0_dec_02_44*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_48                                 (HV_KOSD_CPR_TOP0_DEC_02_BASE_ADDRESS + 0x48)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_48_struct                          rs_disp_top_kosd_cpr_top0_dec_02_48

typedef struct _rs_disp_top_kosd_cpr_top0_dec_02_48  rs_disp_top_kosd_cpr_top0_dec_02_48;
struct _rs_disp_top_kosd_cpr_top0_dec_02_48 {
    unsigned int reg_02_lf_curve_qbpp6                      :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_02_48(val) ((rs_disp_top_kosd_cpr_top0_dec_02_48*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_4C                                 (HV_KOSD_CPR_TOP0_DEC_02_BASE_ADDRESS + 0x4C)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_4C_struct                          rs_disp_top_kosd_cpr_top0_dec_02_4c

typedef struct _rs_disp_top_kosd_cpr_top0_dec_02_4c  rs_disp_top_kosd_cpr_top0_dec_02_4c;
struct _rs_disp_top_kosd_cpr_top0_dec_02_4c {
    unsigned int reg_02_lf_curve_qbpp7                      :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_02_4c(val) ((rs_disp_top_kosd_cpr_top0_dec_02_4c*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_50                                 (HV_KOSD_CPR_TOP0_DEC_02_BASE_ADDRESS + 0x50)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_50_struct                          rs_disp_top_kosd_cpr_top0_dec_02_50

typedef struct _rs_disp_top_kosd_cpr_top0_dec_02_50  rs_disp_top_kosd_cpr_top0_dec_02_50;
struct _rs_disp_top_kosd_cpr_top0_dec_02_50 {
    unsigned int reg_02_lf_curve_trunc0_var0                :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_02_50(val) ((rs_disp_top_kosd_cpr_top0_dec_02_50*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_54                                 (HV_KOSD_CPR_TOP0_DEC_02_BASE_ADDRESS + 0x54)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_54_struct                          rs_disp_top_kosd_cpr_top0_dec_02_54

typedef struct _rs_disp_top_kosd_cpr_top0_dec_02_54  rs_disp_top_kosd_cpr_top0_dec_02_54;
struct _rs_disp_top_kosd_cpr_top0_dec_02_54 {
    unsigned int reg_02_lf_curve_trunc1_var0                :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_02_54(val) ((rs_disp_top_kosd_cpr_top0_dec_02_54*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_58                                 (HV_KOSD_CPR_TOP0_DEC_02_BASE_ADDRESS + 0x58)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_58_struct                          rs_disp_top_kosd_cpr_top0_dec_02_58

typedef struct _rs_disp_top_kosd_cpr_top0_dec_02_58  rs_disp_top_kosd_cpr_top0_dec_02_58;
struct _rs_disp_top_kosd_cpr_top0_dec_02_58 {
    unsigned int reg_02_lf_curve_trunc2_var0                :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_02_58(val) ((rs_disp_top_kosd_cpr_top0_dec_02_58*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_5C                                 (HV_KOSD_CPR_TOP0_DEC_02_BASE_ADDRESS + 0x5C)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_5C_struct                          rs_disp_top_kosd_cpr_top0_dec_02_5c

typedef struct _rs_disp_top_kosd_cpr_top0_dec_02_5c  rs_disp_top_kosd_cpr_top0_dec_02_5c;
struct _rs_disp_top_kosd_cpr_top0_dec_02_5c {
    unsigned int reg_02_lf_curve_trunc3_var0                :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_02_5c(val) ((rs_disp_top_kosd_cpr_top0_dec_02_5c*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_60                                 (HV_KOSD_CPR_TOP0_DEC_02_BASE_ADDRESS + 0x60)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_60_struct                          rs_disp_top_kosd_cpr_top0_dec_02_60

typedef struct _rs_disp_top_kosd_cpr_top0_dec_02_60  rs_disp_top_kosd_cpr_top0_dec_02_60;
struct _rs_disp_top_kosd_cpr_top0_dec_02_60 {
    unsigned int reg_02_lf_curve_trunc4_var0                :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_02_60(val) ((rs_disp_top_kosd_cpr_top0_dec_02_60*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_64                                 (HV_KOSD_CPR_TOP0_DEC_02_BASE_ADDRESS + 0x64)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_64_struct                          rs_disp_top_kosd_cpr_top0_dec_02_64

typedef struct _rs_disp_top_kosd_cpr_top0_dec_02_64  rs_disp_top_kosd_cpr_top0_dec_02_64;
struct _rs_disp_top_kosd_cpr_top0_dec_02_64 {
    unsigned int reg_02_lf_curve_trunc5_var0                :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_02_64(val) ((rs_disp_top_kosd_cpr_top0_dec_02_64*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_68                                 (HV_KOSD_CPR_TOP0_DEC_02_BASE_ADDRESS + 0x68)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_68_struct                          rs_disp_top_kosd_cpr_top0_dec_02_68

typedef struct _rs_disp_top_kosd_cpr_top0_dec_02_68  rs_disp_top_kosd_cpr_top0_dec_02_68;
struct _rs_disp_top_kosd_cpr_top0_dec_02_68 {
    unsigned int reg_02_lf_curve_trunc6_var0                :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_02_68(val) ((rs_disp_top_kosd_cpr_top0_dec_02_68*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_6C                                 (HV_KOSD_CPR_TOP0_DEC_02_BASE_ADDRESS + 0x6C)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_6C_struct                          rs_disp_top_kosd_cpr_top0_dec_02_6c

typedef struct _rs_disp_top_kosd_cpr_top0_dec_02_6c  rs_disp_top_kosd_cpr_top0_dec_02_6c;
struct _rs_disp_top_kosd_cpr_top0_dec_02_6c {
    unsigned int reg_02_lf_curve_trunc7_var0                :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_02_6c(val) ((rs_disp_top_kosd_cpr_top0_dec_02_6c*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_70                                 (HV_KOSD_CPR_TOP0_DEC_02_BASE_ADDRESS + 0x70)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_70_struct                          rs_disp_top_kosd_cpr_top0_dec_02_70

typedef struct _rs_disp_top_kosd_cpr_top0_dec_02_70  rs_disp_top_kosd_cpr_top0_dec_02_70;
struct _rs_disp_top_kosd_cpr_top0_dec_02_70 {
    unsigned int reg_02_lf_curve_trunc0_var1                :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_02_70(val) ((rs_disp_top_kosd_cpr_top0_dec_02_70*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_74                                 (HV_KOSD_CPR_TOP0_DEC_02_BASE_ADDRESS + 0x74)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_74_struct                          rs_disp_top_kosd_cpr_top0_dec_02_74

typedef struct _rs_disp_top_kosd_cpr_top0_dec_02_74  rs_disp_top_kosd_cpr_top0_dec_02_74;
struct _rs_disp_top_kosd_cpr_top0_dec_02_74 {
    unsigned int reg_02_lf_curve_trunc1_var1                :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_02_74(val) ((rs_disp_top_kosd_cpr_top0_dec_02_74*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_78                                 (HV_KOSD_CPR_TOP0_DEC_02_BASE_ADDRESS + 0x78)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_78_struct                          rs_disp_top_kosd_cpr_top0_dec_02_78

typedef struct _rs_disp_top_kosd_cpr_top0_dec_02_78  rs_disp_top_kosd_cpr_top0_dec_02_78;
struct _rs_disp_top_kosd_cpr_top0_dec_02_78 {
    unsigned int reg_02_lf_curve_trunc2_var1                :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_02_78(val) ((rs_disp_top_kosd_cpr_top0_dec_02_78*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_7C                                 (HV_KOSD_CPR_TOP0_DEC_02_BASE_ADDRESS + 0x7C)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_7C_struct                          rs_disp_top_kosd_cpr_top0_dec_02_7c

typedef struct _rs_disp_top_kosd_cpr_top0_dec_02_7c  rs_disp_top_kosd_cpr_top0_dec_02_7c;
struct _rs_disp_top_kosd_cpr_top0_dec_02_7c {
    unsigned int reg_02_lf_curve_trunc3_var1                :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_02_7c(val) ((rs_disp_top_kosd_cpr_top0_dec_02_7c*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_80                                 (HV_KOSD_CPR_TOP0_DEC_02_BASE_ADDRESS + 0x80)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_80_struct                          rs_disp_top_kosd_cpr_top0_dec_02_80

typedef struct _rs_disp_top_kosd_cpr_top0_dec_02_80  rs_disp_top_kosd_cpr_top0_dec_02_80;
struct _rs_disp_top_kosd_cpr_top0_dec_02_80 {
    unsigned int reg_02_lf_curve_trunc4_var1                :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_02_80(val) ((rs_disp_top_kosd_cpr_top0_dec_02_80*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_84                                 (HV_KOSD_CPR_TOP0_DEC_02_BASE_ADDRESS + 0x84)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_84_struct                          rs_disp_top_kosd_cpr_top0_dec_02_84

typedef struct _rs_disp_top_kosd_cpr_top0_dec_02_84  rs_disp_top_kosd_cpr_top0_dec_02_84;
struct _rs_disp_top_kosd_cpr_top0_dec_02_84 {
    unsigned int reg_02_lf_curve_trunc5_var1                :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_02_84(val) ((rs_disp_top_kosd_cpr_top0_dec_02_84*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_88                                 (HV_KOSD_CPR_TOP0_DEC_02_BASE_ADDRESS + 0x88)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_88_struct                          rs_disp_top_kosd_cpr_top0_dec_02_88

typedef struct _rs_disp_top_kosd_cpr_top0_dec_02_88  rs_disp_top_kosd_cpr_top0_dec_02_88;
struct _rs_disp_top_kosd_cpr_top0_dec_02_88 {
    unsigned int reg_02_lf_curve_trunc6_var1                :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_02_88(val) ((rs_disp_top_kosd_cpr_top0_dec_02_88*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_8C                                 (HV_KOSD_CPR_TOP0_DEC_02_BASE_ADDRESS + 0x8C)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_8C_struct                          rs_disp_top_kosd_cpr_top0_dec_02_8c

typedef struct _rs_disp_top_kosd_cpr_top0_dec_02_8c  rs_disp_top_kosd_cpr_top0_dec_02_8c;
struct _rs_disp_top_kosd_cpr_top0_dec_02_8c {
    unsigned int reg_02_lf_curve_trunc7_var1                :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_02_8c(val) ((rs_disp_top_kosd_cpr_top0_dec_02_8c*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_90                                 (HV_KOSD_CPR_TOP0_DEC_02_BASE_ADDRESS + 0x90)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_90_struct                          rs_disp_top_kosd_cpr_top0_dec_02_90

typedef struct _rs_disp_top_kosd_cpr_top0_dec_02_90  rs_disp_top_kosd_cpr_top0_dec_02_90;
struct _rs_disp_top_kosd_cpr_top0_dec_02_90 {
    unsigned int reg_02_lf_curve_trunc0_var2                :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_02_90(val) ((rs_disp_top_kosd_cpr_top0_dec_02_90*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_94                                 (HV_KOSD_CPR_TOP0_DEC_02_BASE_ADDRESS + 0x94)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_94_struct                          rs_disp_top_kosd_cpr_top0_dec_02_94

typedef struct _rs_disp_top_kosd_cpr_top0_dec_02_94  rs_disp_top_kosd_cpr_top0_dec_02_94;
struct _rs_disp_top_kosd_cpr_top0_dec_02_94 {
    unsigned int reg_02_lf_curve_trunc1_var2                :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_02_94(val) ((rs_disp_top_kosd_cpr_top0_dec_02_94*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_98                                 (HV_KOSD_CPR_TOP0_DEC_02_BASE_ADDRESS + 0x98)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_98_struct                          rs_disp_top_kosd_cpr_top0_dec_02_98

typedef struct _rs_disp_top_kosd_cpr_top0_dec_02_98  rs_disp_top_kosd_cpr_top0_dec_02_98;
struct _rs_disp_top_kosd_cpr_top0_dec_02_98 {
    unsigned int reg_02_lf_curve_trunc2_var2                :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_02_98(val) ((rs_disp_top_kosd_cpr_top0_dec_02_98*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_9C                                 (HV_KOSD_CPR_TOP0_DEC_02_BASE_ADDRESS + 0x9C)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_9C_struct                          rs_disp_top_kosd_cpr_top0_dec_02_9c

typedef struct _rs_disp_top_kosd_cpr_top0_dec_02_9c  rs_disp_top_kosd_cpr_top0_dec_02_9c;
struct _rs_disp_top_kosd_cpr_top0_dec_02_9c {
    unsigned int reg_02_lf_curve_trunc3_var2                :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_02_9c(val) ((rs_disp_top_kosd_cpr_top0_dec_02_9c*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_A0                                 (HV_KOSD_CPR_TOP0_DEC_02_BASE_ADDRESS + 0xA0)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_A0_struct                          rs_disp_top_kosd_cpr_top0_dec_02_a0

typedef struct _rs_disp_top_kosd_cpr_top0_dec_02_a0  rs_disp_top_kosd_cpr_top0_dec_02_a0;
struct _rs_disp_top_kosd_cpr_top0_dec_02_a0 {
    unsigned int reg_02_lf_curve_trunc4_var2                :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_02_a0(val) ((rs_disp_top_kosd_cpr_top0_dec_02_a0*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_A4                                 (HV_KOSD_CPR_TOP0_DEC_02_BASE_ADDRESS + 0xA4)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_A4_struct                          rs_disp_top_kosd_cpr_top0_dec_02_a4

typedef struct _rs_disp_top_kosd_cpr_top0_dec_02_a4  rs_disp_top_kosd_cpr_top0_dec_02_a4;
struct _rs_disp_top_kosd_cpr_top0_dec_02_a4 {
    unsigned int reg_02_lf_curve_trunc5_var2                :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_02_a4(val) ((rs_disp_top_kosd_cpr_top0_dec_02_a4*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_A8                                 (HV_KOSD_CPR_TOP0_DEC_02_BASE_ADDRESS + 0xA8)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_A8_struct                          rs_disp_top_kosd_cpr_top0_dec_02_a8

typedef struct _rs_disp_top_kosd_cpr_top0_dec_02_a8  rs_disp_top_kosd_cpr_top0_dec_02_a8;
struct _rs_disp_top_kosd_cpr_top0_dec_02_a8 {
    unsigned int reg_02_lf_curve_trunc6_var2                :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_02_a8(val) ((rs_disp_top_kosd_cpr_top0_dec_02_a8*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_AC                                 (HV_KOSD_CPR_TOP0_DEC_02_BASE_ADDRESS + 0xAC)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_AC_struct                          rs_disp_top_kosd_cpr_top0_dec_02_ac

typedef struct _rs_disp_top_kosd_cpr_top0_dec_02_ac  rs_disp_top_kosd_cpr_top0_dec_02_ac;
struct _rs_disp_top_kosd_cpr_top0_dec_02_ac {
    unsigned int reg_02_lf_curve_trunc7_var2                :12;
    unsigned int reserved                                   :20;
};
#define disp_top_kosd_cpr_top0_dec_02_ac(val) ((rs_disp_top_kosd_cpr_top0_dec_02_ac*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_B0                                 (HV_KOSD_CPR_TOP0_DEC_02_BASE_ADDRESS + 0xB0)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_B0_struct                          rs_disp_top_kosd_cpr_top0_dec_02_b0

typedef struct _rs_disp_top_kosd_cpr_top0_dec_02_b0  rs_disp_top_kosd_cpr_top0_dec_02_b0;
struct _rs_disp_top_kosd_cpr_top0_dec_02_b0 {
    unsigned int reg_02_i_lf_delay_cnt                      :16;
    unsigned int reserved                                   :16;
};
#define disp_top_kosd_cpr_top0_dec_02_b0(val) ((rs_disp_top_kosd_cpr_top0_dec_02_b0*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_BC                                 (HV_KOSD_CPR_TOP0_DEC_02_BASE_ADDRESS + 0xBC)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_BC_struct                          rs_disp_top_kosd_cpr_top0_dec_02_bc

typedef struct _rs_disp_top_kosd_cpr_top0_dec_02_bc  rs_disp_top_kosd_cpr_top0_dec_02_bc;
struct _rs_disp_top_kosd_cpr_top0_dec_02_bc {
    unsigned int reg_02_erosion_xratio                      : 8;
    unsigned int reg_02_erosion_yratio                      : 8;
    unsigned int reserved                                   :16;
};
#define disp_top_kosd_cpr_top0_dec_02_bc(val) ((rs_disp_top_kosd_cpr_top0_dec_02_bc*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_C0                                 (HV_KOSD_CPR_TOP0_DEC_02_BASE_ADDRESS + 0xC0)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_C0_struct                          rs_disp_top_kosd_cpr_top0_dec_02_c0

typedef struct _rs_disp_top_kosd_cpr_top0_dec_02_c0  rs_disp_top_kosd_cpr_top0_dec_02_c0;
struct _rs_disp_top_kosd_cpr_top0_dec_02_c0 {
    unsigned int reg_02_lf_motion_diff_thd                  : 8;
    unsigned int reg_02_lf_motion_diff_slp                  : 3;
    unsigned int reserved                                   :21;
};
#define disp_top_kosd_cpr_top0_dec_02_c0(val) ((rs_disp_top_kosd_cpr_top0_dec_02_c0*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_C4                                 (HV_KOSD_CPR_TOP0_DEC_02_BASE_ADDRESS + 0xC4)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_C4_struct                          rs_disp_top_kosd_cpr_top0_dec_02_c4

typedef struct _rs_disp_top_kosd_cpr_top0_dec_02_c4  rs_disp_top_kosd_cpr_top0_dec_02_c4;
struct _rs_disp_top_kosd_cpr_top0_dec_02_c4 {
    unsigned int reg_02_lf_varchk_thd_00                    : 8;
    unsigned int reg_02_lf_varchk_thd_01                    : 8;
    unsigned int reg_02_lf_varchk_thd_10                    : 8;
    unsigned int reg_02_lf_varchk_thd_11                    : 8;
};
#define disp_top_kosd_cpr_top0_dec_02_c4(val) ((rs_disp_top_kosd_cpr_top0_dec_02_c4*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_CC                                 (HV_KOSD_CPR_TOP0_DEC_02_BASE_ADDRESS + 0xCC)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_CC_struct                          rs_disp_top_kosd_cpr_top0_dec_02_cc

typedef struct _rs_disp_top_kosd_cpr_top0_dec_02_cc  rs_disp_top_kosd_cpr_top0_dec_02_cc;
struct _rs_disp_top_kosd_cpr_top0_dec_02_cc {
    unsigned int reg_02_lf_dict_penalty00                   : 8;
    unsigned int reg_02_lf_dict_penalty01                   : 8;
    unsigned int reg_02_lf_dict_penalty02                   : 8;
    unsigned int reg_02_lf_dict_penalty03                   : 8;
};
#define disp_top_kosd_cpr_top0_dec_02_cc(val) ((rs_disp_top_kosd_cpr_top0_dec_02_cc*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_D0                                 (HV_KOSD_CPR_TOP0_DEC_02_BASE_ADDRESS + 0xD0)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_D0_struct                          rs_disp_top_kosd_cpr_top0_dec_02_d0

typedef struct _rs_disp_top_kosd_cpr_top0_dec_02_d0  rs_disp_top_kosd_cpr_top0_dec_02_d0;
struct _rs_disp_top_kosd_cpr_top0_dec_02_d0 {
    unsigned int reg_02_lf_dict_penalty04                   : 8;
    unsigned int reg_02_lf_dict_penalty05                   : 8;
    unsigned int reg_02_lf_dict_penalty06                   : 8;
    unsigned int reg_02_lf_dict_penalty07                   : 8;
};
#define disp_top_kosd_cpr_top0_dec_02_d0(val) ((rs_disp_top_kosd_cpr_top0_dec_02_d0*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_D4                                 (HV_KOSD_CPR_TOP0_DEC_02_BASE_ADDRESS + 0xD4)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_D4_struct                          rs_disp_top_kosd_cpr_top0_dec_02_d4

typedef struct _rs_disp_top_kosd_cpr_top0_dec_02_d4  rs_disp_top_kosd_cpr_top0_dec_02_d4;
struct _rs_disp_top_kosd_cpr_top0_dec_02_d4 {
    unsigned int reg_02_lf_dict_penalty08                   : 8;
    unsigned int reg_02_lf_dict_penalty09                   : 8;
    unsigned int reg_02_lf_dict_penalty10                   : 8;
    unsigned int reg_02_lf_dict_penalty11                   : 8;
};
#define disp_top_kosd_cpr_top0_dec_02_d4(val) ((rs_disp_top_kosd_cpr_top0_dec_02_d4*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_D8                                 (HV_KOSD_CPR_TOP0_DEC_02_BASE_ADDRESS + 0xD8)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_D8_struct                          rs_disp_top_kosd_cpr_top0_dec_02_d8

typedef struct _rs_disp_top_kosd_cpr_top0_dec_02_d8  rs_disp_top_kosd_cpr_top0_dec_02_d8;
struct _rs_disp_top_kosd_cpr_top0_dec_02_d8 {
    unsigned int reg_02_lf_dict_penalty12                   : 8;
    unsigned int reg_02_lf_dict_penalty13                   : 8;
    unsigned int reg_02_lf_dict_penalty14                   : 8;
    unsigned int reg_02_lf_dict_penalty15                   : 8;
};
#define disp_top_kosd_cpr_top0_dec_02_d8(val) ((rs_disp_top_kosd_cpr_top0_dec_02_d8*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_DC                                 (HV_KOSD_CPR_TOP0_DEC_02_BASE_ADDRESS + 0xDC)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_DC_struct                          rs_disp_top_kosd_cpr_top0_dec_02_dc

typedef struct _rs_disp_top_kosd_cpr_top0_dec_02_dc  rs_disp_top_kosd_cpr_top0_dec_02_dc;
struct _rs_disp_top_kosd_cpr_top0_dec_02_dc {
    unsigned int reg_02_mem_data_proc_0                     : 8;
    unsigned int reg_02_mem_data_proc_1                     : 8;
    unsigned int mem_reg_02_rec_data                        : 8;
    unsigned int mem_reg_02_post                            : 8;
};
#define disp_top_kosd_cpr_top0_dec_02_dc(val) ((rs_disp_top_kosd_cpr_top0_dec_02_dc*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_E0                                 (HV_KOSD_CPR_TOP0_DEC_02_BASE_ADDRESS + 0xE0)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_E0_struct                          rs_disp_top_kosd_cpr_top0_dec_02_e0

typedef struct _rs_disp_top_kosd_cpr_top0_dec_02_e0  rs_disp_top_kosd_cpr_top0_dec_02_e0;
struct _rs_disp_top_kosd_cpr_top0_dec_02_e0 {
    unsigned int mem_reg_02_hs2de                           : 8;
    unsigned int reserved                                   :24;
};
#define disp_top_kosd_cpr_top0_dec_02_e0(val) ((rs_disp_top_kosd_cpr_top0_dec_02_e0*)&(val))



#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_E4                                 (HV_KOSD_CPR_TOP0_DEC_02_BASE_ADDRESS + 0xE4)

#define DISP_TOP_KOSD_CPR_TOP0_DEC_02_E4_struct                          rs_disp_top_kosd_cpr_top0_dec_02_e4

typedef struct _rs_disp_top_kosd_cpr_top0_dec_02_e4  rs_disp_top_kosd_cpr_top0_dec_02_e4;
struct _rs_disp_top_kosd_cpr_top0_dec_02_e4 {
    unsigned int reg_02_delay_num                           :13;
    unsigned int reg_02_YUV_format                          : 1;
    unsigned int reserved                                   :18;
};
#define disp_top_kosd_cpr_top0_dec_02_e4(val) ((rs_disp_top_kosd_cpr_top0_dec_02_e4*)&(val))



#endif