#ifndef _HV_PAGE_HT7315_KOSD_CPR_TOP1_DEC_00_H_
#define _HV_PAGE_HT7315_KOSD_CPR_TOP1_DEC_00_H_

#ifndef HV_KOSD_CPR_TOP1_DEC_00_BASE_ADDRESS
    #define HV_KOSD_CPR_TOP1_DEC_00_BASE_ADDRESS                                         0x11020900
#endif


#define DISP_TOP_KOSD_CPR_TOP1_DEC_00_00                                 (HV_KOSD_CPR_TOP1_DEC_00_BASE_ADDRESS + 0x00)

#define DISP_TOP_KOSD_CPR_TOP1_DEC_00_00_struct                          rs_disp_top_kosd_cpr_top1_dec_00_00

typedef struct _rs_disp_top_kosd_cpr_top1_dec_00_00  rs_disp_top_kosd_cpr_top1_dec_00_00;
struct _rs_disp_top_kosd_cpr_top1_dec_00_00 {
    unsigned int reg_00_patt_dec_en                         : 1;
    unsigned int reg_00_patt_dec_timing                     : 1;
    unsigned int reg_00_patt_dec_mode                       : 3;
    unsigned int reg_00_en                                  : 1;
    unsigned int reg_00_en_no_latch                         : 1;
    unsigned int reserved                                   :25;
};
#define disp_top_kosd_cpr_top1_dec_00_00(val) ((rs_disp_top_kosd_cpr_top1_dec_00_00*)&(val))



#define DISP_TOP_KOSD_CPR_TOP1_DEC_00_04                                 (HV_KOSD_CPR_TOP1_DEC_00_BASE_ADDRESS + 0x04)

#define DISP_TOP_KOSD_CPR_TOP1_DEC_00_04_struct                          rs_disp_top_kosd_cpr_top1_dec_00_04

typedef struct _rs_disp_top_kosd_cpr_top1_dec_00_04  rs_disp_top_kosd_cpr_top1_dec_00_04;
struct _rs_disp_top_kosd_cpr_top1_dec_00_04 {
    unsigned int reg_00_patt_dec_pos_x0                     :12;
    unsigned int reg_00_patt_dec_pos_y0                     :12;
    unsigned int reserved                                   : 8;
};
#define disp_top_kosd_cpr_top1_dec_00_04(val) ((rs_disp_top_kosd_cpr_top1_dec_00_04*)&(val))



#define DISP_TOP_KOSD_CPR_TOP1_DEC_00_08                                 (HV_KOSD_CPR_TOP1_DEC_00_BASE_ADDRESS + 0x08)

#define DISP_TOP_KOSD_CPR_TOP1_DEC_00_08_struct                          rs_disp_top_kosd_cpr_top1_dec_00_08

typedef struct _rs_disp_top_kosd_cpr_top1_dec_00_08  rs_disp_top_kosd_cpr_top1_dec_00_08;
struct _rs_disp_top_kosd_cpr_top1_dec_00_08 {
    unsigned int reg_00_patt_dec_pos_x1                     :12;
    unsigned int reg_00_patt_dec_pos_y1                     :12;
    unsigned int reserved                                   : 8;
};
#define disp_top_kosd_cpr_top1_dec_00_08(val) ((rs_disp_top_kosd_cpr_top1_dec_00_08*)&(val))



#define DISP_TOP_KOSD_CPR_TOP1_DEC_00_0C                                 (HV_KOSD_CPR_TOP1_DEC_00_BASE_ADDRESS + 0x0C)

#define DISP_TOP_KOSD_CPR_TOP1_DEC_00_0C_struct                          rs_disp_top_kosd_cpr_top1_dec_00_0c

typedef struct _rs_disp_top_kosd_cpr_top1_dec_00_0c  rs_disp_top_kosd_cpr_top1_dec_00_0c;
struct _rs_disp_top_kosd_cpr_top1_dec_00_0c {
    unsigned int reg_00_patt_dec_setting_y0                 :10;
    unsigned int reg_00_patt_dec_setting_u0                 :10;
    unsigned int reg_00_patt_dec_setting_v0                 :10;
    unsigned int reserved                                   : 2;
};
#define disp_top_kosd_cpr_top1_dec_00_0c(val) ((rs_disp_top_kosd_cpr_top1_dec_00_0c*)&(val))



#define DISP_TOP_KOSD_CPR_TOP1_DEC_00_10                                 (HV_KOSD_CPR_TOP1_DEC_00_BASE_ADDRESS + 0x10)

#define DISP_TOP_KOSD_CPR_TOP1_DEC_00_10_struct                          rs_disp_top_kosd_cpr_top1_dec_00_10

typedef struct _rs_disp_top_kosd_cpr_top1_dec_00_10  rs_disp_top_kosd_cpr_top1_dec_00_10;
struct _rs_disp_top_kosd_cpr_top1_dec_00_10 {
    unsigned int reg_00_patt_dec_setting_y1                 :10;
    unsigned int reg_00_patt_dec_setting_u1                 :10;
    unsigned int reg_00_patt_dec_setting_v1                 :10;
    unsigned int reserved                                   : 2;
};
#define disp_top_kosd_cpr_top1_dec_00_10(val) ((rs_disp_top_kosd_cpr_top1_dec_00_10*)&(val))



#define DISP_TOP_KOSD_CPR_TOP1_DEC_00_14                                 (HV_KOSD_CPR_TOP1_DEC_00_BASE_ADDRESS + 0x14)

#define DISP_TOP_KOSD_CPR_TOP1_DEC_00_14_struct                          rs_disp_top_kosd_cpr_top1_dec_00_14

typedef struct _rs_disp_top_kosd_cpr_top1_dec_00_14  rs_disp_top_kosd_cpr_top1_dec_00_14;
struct _rs_disp_top_kosd_cpr_top1_dec_00_14 {
    unsigned int reg_00_dbg_lf_dict_en                      : 1;
    unsigned int reg_00_dbg_lf_var_lev_en                   : 1;
    unsigned int reg_00_dbg_lf_var_lev_value                : 2;
    unsigned int reg_00_dbg_lf_cuv_idx_en                   : 1;
    unsigned int reg_00_dbg_lf_cuv_idx_value                : 3;
    unsigned int reg_00_dbg_fsm_mode                        : 1;
    unsigned int reserved                                   :23;
};
#define disp_top_kosd_cpr_top1_dec_00_14(val) ((rs_disp_top_kosd_cpr_top1_dec_00_14*)&(val))



#define DISP_TOP_KOSD_CPR_TOP1_DEC_00_18                                 (HV_KOSD_CPR_TOP1_DEC_00_BASE_ADDRESS + 0x18)

#define DISP_TOP_KOSD_CPR_TOP1_DEC_00_18_struct                          rs_disp_top_kosd_cpr_top1_dec_00_18

typedef struct _rs_disp_top_kosd_cpr_top1_dec_00_18  rs_disp_top_kosd_cpr_top1_dec_00_18;
struct _rs_disp_top_kosd_cpr_top1_dec_00_18 {
    unsigned int reg_00_dec_dept_channel                    :32;
};
#define disp_top_kosd_cpr_top1_dec_00_18(val) ((rs_disp_top_kosd_cpr_top1_dec_00_18*)&(val))



#define DISP_TOP_KOSD_CPR_TOP1_DEC_00_1C                                 (HV_KOSD_CPR_TOP1_DEC_00_BASE_ADDRESS + 0x1C)

#define DISP_TOP_KOSD_CPR_TOP1_DEC_00_1C_struct                          rs_disp_top_kosd_cpr_top1_dec_00_1c

typedef struct _rs_disp_top_kosd_cpr_top1_dec_00_1c  rs_disp_top_kosd_cpr_top1_dec_00_1c;
struct _rs_disp_top_kosd_cpr_top1_dec_00_1c {
    unsigned int reg_00_delay_gap                           :32;
};
#define disp_top_kosd_cpr_top1_dec_00_1c(val) ((rs_disp_top_kosd_cpr_top1_dec_00_1c*)&(val))



#define DISP_TOP_KOSD_CPR_TOP1_DEC_00_20                                 (HV_KOSD_CPR_TOP1_DEC_00_BASE_ADDRESS + 0x20)

#define DISP_TOP_KOSD_CPR_TOP1_DEC_00_20_struct                          rs_disp_top_kosd_cpr_top1_dec_00_20

typedef struct _rs_disp_top_kosd_cpr_top1_dec_00_20  rs_disp_top_kosd_cpr_top1_dec_00_20;
struct _rs_disp_top_kosd_cpr_top1_dec_00_20 {
    unsigned int reg_00_delay_vs                            :32;
};
#define disp_top_kosd_cpr_top1_dec_00_20(val) ((rs_disp_top_kosd_cpr_top1_dec_00_20*)&(val))



#define DISP_TOP_KOSD_CPR_TOP1_DEC_00_24                                 (HV_KOSD_CPR_TOP1_DEC_00_BASE_ADDRESS + 0x24)

#define DISP_TOP_KOSD_CPR_TOP1_DEC_00_24_struct                          rs_disp_top_kosd_cpr_top1_dec_00_24

typedef struct _rs_disp_top_kosd_cpr_top1_dec_00_24  rs_disp_top_kosd_cpr_top1_dec_00_24;
struct _rs_disp_top_kosd_cpr_top1_dec_00_24 {
    unsigned int reg_00_dynamic_crc_enable                  : 1;
    unsigned int reserved                                   :31;
};
#define disp_top_kosd_cpr_top1_dec_00_24(val) ((rs_disp_top_kosd_cpr_top1_dec_00_24*)&(val))



#define DISP_TOP_KOSD_CPR_TOP1_DEC_00_28                                 (HV_KOSD_CPR_TOP1_DEC_00_BASE_ADDRESS + 0x28)

#define DISP_TOP_KOSD_CPR_TOP1_DEC_00_28_struct                          rs_disp_top_kosd_cpr_top1_dec_00_28

typedef struct _rs_disp_top_kosd_cpr_top1_dec_00_28  rs_disp_top_kosd_cpr_top1_dec_00_28;
struct _rs_disp_top_kosd_cpr_top1_dec_00_28 {
    unsigned int reg_00_sram_ls_en                          : 1;
    unsigned int reg_00_sram_ls_value                       : 1;
    unsigned int reg_00_ksoc_cpr_pre_hact                   :13;
    unsigned int reg_00_ksoc_cpr_pre_rstart                 :13;
    unsigned int reg_00_ksoc_cpr_segmode                    : 1;
    unsigned int reg_00_ksoc_cpr_overlap_en                 : 1;
    unsigned int reserved                                   : 2;
};
#define disp_top_kosd_cpr_top1_dec_00_28(val) ((rs_disp_top_kosd_cpr_top1_dec_00_28*)&(val))



#define DISP_TOP_KOSD_CPR_TOP1_DEC_00_E0                                 (HV_KOSD_CPR_TOP1_DEC_00_BASE_ADDRESS + 0xE0)

#define DISP_TOP_KOSD_CPR_TOP1_DEC_00_E0_struct                          rs_disp_top_kosd_cpr_top1_dec_00_e0

typedef struct _rs_disp_top_kosd_cpr_top1_dec_00_e0  rs_disp_top_kosd_cpr_top1_dec_00_e0;
struct _rs_disp_top_kosd_cpr_top1_dec_00_e0 {
    unsigned int regr_00_dynamic_crc1_out                   :32;
};
#define disp_top_kosd_cpr_top1_dec_00_e0(val) ((rs_disp_top_kosd_cpr_top1_dec_00_e0*)&(val))



#define DISP_TOP_KOSD_CPR_TOP1_DEC_00_E4                                 (HV_KOSD_CPR_TOP1_DEC_00_BASE_ADDRESS + 0xE4)

#define DISP_TOP_KOSD_CPR_TOP1_DEC_00_E4_struct                          rs_disp_top_kosd_cpr_top1_dec_00_e4

typedef struct _rs_disp_top_kosd_cpr_top1_dec_00_e4  rs_disp_top_kosd_cpr_top1_dec_00_e4;
struct _rs_disp_top_kosd_cpr_top1_dec_00_e4 {
    unsigned int regr_00_dynamic_crc2_out                   :32;
};
#define disp_top_kosd_cpr_top1_dec_00_e4(val) ((rs_disp_top_kosd_cpr_top1_dec_00_e4*)&(val))



#define DISP_TOP_KOSD_CPR_TOP1_DEC_00_E8                                 (HV_KOSD_CPR_TOP1_DEC_00_BASE_ADDRESS + 0xE8)

#define DISP_TOP_KOSD_CPR_TOP1_DEC_00_E8_struct                          rs_disp_top_kosd_cpr_top1_dec_00_e8

typedef struct _rs_disp_top_kosd_cpr_top1_dec_00_e8  rs_disp_top_kosd_cpr_top1_dec_00_e8;
struct _rs_disp_top_kosd_cpr_top1_dec_00_e8 {
    unsigned int regr_00_dynamic_crc3_out                   :32;
};
#define disp_top_kosd_cpr_top1_dec_00_e8(val) ((rs_disp_top_kosd_cpr_top1_dec_00_e8*)&(val))



#define DISP_TOP_KOSD_CPR_TOP1_DEC_00_EC                                 (HV_KOSD_CPR_TOP1_DEC_00_BASE_ADDRESS + 0xEC)

#define DISP_TOP_KOSD_CPR_TOP1_DEC_00_EC_struct                          rs_disp_top_kosd_cpr_top1_dec_00_ec

typedef struct _rs_disp_top_kosd_cpr_top1_dec_00_ec  rs_disp_top_kosd_cpr_top1_dec_00_ec;
struct _rs_disp_top_kosd_cpr_top1_dec_00_ec {
    unsigned int regr_00_dec_dept                           :32;
};
#define disp_top_kosd_cpr_top1_dec_00_ec(val) ((rs_disp_top_kosd_cpr_top1_dec_00_ec*)&(val))



#define DISP_TOP_KOSD_CPR_TOP1_DEC_00_F0                                 (HV_KOSD_CPR_TOP1_DEC_00_BASE_ADDRESS + 0xF0)

#define DISP_TOP_KOSD_CPR_TOP1_DEC_00_F0_struct                          rs_disp_top_kosd_cpr_top1_dec_00_f0

typedef struct _rs_disp_top_kosd_cpr_top1_dec_00_f0  rs_disp_top_kosd_cpr_top1_dec_00_f0;
struct _rs_disp_top_kosd_cpr_top1_dec_00_f0 {
    unsigned int regr_00_enc_lf_debug0                      :32;
};
#define disp_top_kosd_cpr_top1_dec_00_f0(val) ((rs_disp_top_kosd_cpr_top1_dec_00_f0*)&(val))



#define DISP_TOP_KOSD_CPR_TOP1_DEC_00_F4                                 (HV_KOSD_CPR_TOP1_DEC_00_BASE_ADDRESS + 0xF4)

#define DISP_TOP_KOSD_CPR_TOP1_DEC_00_F4_struct                          rs_disp_top_kosd_cpr_top1_dec_00_f4

typedef struct _rs_disp_top_kosd_cpr_top1_dec_00_f4  rs_disp_top_kosd_cpr_top1_dec_00_f4;
struct _rs_disp_top_kosd_cpr_top1_dec_00_f4 {
    unsigned int regr_00_dec_debug                          :32;
};
#define disp_top_kosd_cpr_top1_dec_00_f4(val) ((rs_disp_top_kosd_cpr_top1_dec_00_f4*)&(val))



#define DISP_TOP_KOSD_CPR_TOP1_DEC_00_F8                                 (HV_KOSD_CPR_TOP1_DEC_00_BASE_ADDRESS + 0xF8)

#define DISP_TOP_KOSD_CPR_TOP1_DEC_00_F8_struct                          rs_disp_top_kosd_cpr_top1_dec_00_f8

typedef struct _rs_disp_top_kosd_cpr_top1_dec_00_f8  rs_disp_top_kosd_cpr_top1_dec_00_f8;
struct _rs_disp_top_kosd_cpr_top1_dec_00_f8 {
    unsigned int regr_00_dec_patt_debug                     :32;
};
#define disp_top_kosd_cpr_top1_dec_00_f8(val) ((rs_disp_top_kosd_cpr_top1_dec_00_f8*)&(val))



#define DISP_TOP_KOSD_CPR_TOP1_DEC_00_FC                                 (HV_KOSD_CPR_TOP1_DEC_00_BASE_ADDRESS + 0xFC)

#define DISP_TOP_KOSD_CPR_TOP1_DEC_00_FC_struct                          rs_disp_top_kosd_cpr_top1_dec_00_fc

typedef struct _rs_disp_top_kosd_cpr_top1_dec_00_fc  rs_disp_top_kosd_cpr_top1_dec_00_fc;
struct _rs_disp_top_kosd_cpr_top1_dec_00_fc {
    unsigned int regr_00_enc_lf_state_err                   : 2;
    unsigned int regr_00_enc_lf_last_err                    : 1;
    unsigned int reserved                                   :29;
};
#define disp_top_kosd_cpr_top1_dec_00_fc(val) ((rs_disp_top_kosd_cpr_top1_dec_00_fc*)&(val))



#endif