#ifndef _HV_PAGE_HT7315_KOSD_CPR_TOP1_DEC_03_H_
#define _HV_PAGE_HT7315_KOSD_CPR_TOP1_DEC_03_H_

#ifndef HV_KOSD_CPR_TOP1_DEC_03_BASE_ADDRESS
    #define HV_KOSD_CPR_TOP1_DEC_03_BASE_ADDRESS                                         0x11024A00
#endif


#define DISP_TOP_KOSD_CPR_TOP1_DEC_03_00                                 (HV_KOSD_CPR_TOP1_DEC_03_BASE_ADDRESS + 0x00)

#define DISP_TOP_KOSD_CPR_TOP1_DEC_03_00_struct                          rs_disp_top_kosd_cpr_top1_dec_03_00

typedef struct _rs_disp_top_kosd_cpr_top1_dec_03_00  rs_disp_top_kosd_cpr_top1_dec_03_00;
struct _rs_disp_top_kosd_cpr_top1_dec_03_00 {
    unsigned int reg_03_patt_dec_en                         : 1;
    unsigned int reg_03_patt_dec_timing                     : 1;
    unsigned int reg_03_patt_dec_mode                       : 3;
    unsigned int reg_03_en                                  : 1;
    unsigned int reg_03_en_no_latch                         : 1;
    unsigned int reserved                                   :25;
};
#define disp_top_kosd_cpr_top1_dec_03_00(val) ((rs_disp_top_kosd_cpr_top1_dec_03_00*)&(val))



#define DISP_TOP_KOSD_CPR_TOP1_DEC_03_04                                 (HV_KOSD_CPR_TOP1_DEC_03_BASE_ADDRESS + 0x04)

#define DISP_TOP_KOSD_CPR_TOP1_DEC_03_04_struct                          rs_disp_top_kosd_cpr_top1_dec_03_04

typedef struct _rs_disp_top_kosd_cpr_top1_dec_03_04  rs_disp_top_kosd_cpr_top1_dec_03_04;
struct _rs_disp_top_kosd_cpr_top1_dec_03_04 {
    unsigned int reg_03_patt_dec_pos_x0                     :12;
    unsigned int reg_03_patt_dec_pos_y0                     :12;
    unsigned int reserved                                   : 8;
};
#define disp_top_kosd_cpr_top1_dec_03_04(val) ((rs_disp_top_kosd_cpr_top1_dec_03_04*)&(val))



#define DISP_TOP_KOSD_CPR_TOP1_DEC_03_08                                 (HV_KOSD_CPR_TOP1_DEC_03_BASE_ADDRESS + 0x08)

#define DISP_TOP_KOSD_CPR_TOP1_DEC_03_08_struct                          rs_disp_top_kosd_cpr_top1_dec_03_08

typedef struct _rs_disp_top_kosd_cpr_top1_dec_03_08  rs_disp_top_kosd_cpr_top1_dec_03_08;
struct _rs_disp_top_kosd_cpr_top1_dec_03_08 {
    unsigned int reg_03_patt_dec_pos_x1                     :12;
    unsigned int reg_03_patt_dec_pos_y1                     :12;
    unsigned int reserved                                   : 8;
};
#define disp_top_kosd_cpr_top1_dec_03_08(val) ((rs_disp_top_kosd_cpr_top1_dec_03_08*)&(val))



#define DISP_TOP_KOSD_CPR_TOP1_DEC_03_0C                                 (HV_KOSD_CPR_TOP1_DEC_03_BASE_ADDRESS + 0x0C)

#define DISP_TOP_KOSD_CPR_TOP1_DEC_03_0C_struct                          rs_disp_top_kosd_cpr_top1_dec_03_0c

typedef struct _rs_disp_top_kosd_cpr_top1_dec_03_0c  rs_disp_top_kosd_cpr_top1_dec_03_0c;
struct _rs_disp_top_kosd_cpr_top1_dec_03_0c {
    unsigned int reg_03_patt_dec_setting_y0                 :10;
    unsigned int reg_03_patt_dec_setting_u0                 :10;
    unsigned int reg_03_patt_dec_setting_v0                 :10;
    unsigned int reserved                                   : 2;
};
#define disp_top_kosd_cpr_top1_dec_03_0c(val) ((rs_disp_top_kosd_cpr_top1_dec_03_0c*)&(val))



#define DISP_TOP_KOSD_CPR_TOP1_DEC_03_10                                 (HV_KOSD_CPR_TOP1_DEC_03_BASE_ADDRESS + 0x10)

#define DISP_TOP_KOSD_CPR_TOP1_DEC_03_10_struct                          rs_disp_top_kosd_cpr_top1_dec_03_10

typedef struct _rs_disp_top_kosd_cpr_top1_dec_03_10  rs_disp_top_kosd_cpr_top1_dec_03_10;
struct _rs_disp_top_kosd_cpr_top1_dec_03_10 {
    unsigned int reg_03_patt_dec_setting_y1                 :10;
    unsigned int reg_03_patt_dec_setting_u1                 :10;
    unsigned int reg_03_patt_dec_setting_v1                 :10;
    unsigned int reserved                                   : 2;
};
#define disp_top_kosd_cpr_top1_dec_03_10(val) ((rs_disp_top_kosd_cpr_top1_dec_03_10*)&(val))



#define DISP_TOP_KOSD_CPR_TOP1_DEC_03_14                                 (HV_KOSD_CPR_TOP1_DEC_03_BASE_ADDRESS + 0x14)

#define DISP_TOP_KOSD_CPR_TOP1_DEC_03_14_struct                          rs_disp_top_kosd_cpr_top1_dec_03_14

typedef struct _rs_disp_top_kosd_cpr_top1_dec_03_14  rs_disp_top_kosd_cpr_top1_dec_03_14;
struct _rs_disp_top_kosd_cpr_top1_dec_03_14 {
    unsigned int reg_03_dbg_lf_dict_en                      : 1;
    unsigned int reg_03_dbg_lf_var_lev_en                   : 1;
    unsigned int reg_03_dbg_lf_var_lev_value                : 2;
    unsigned int reg_03_dbg_lf_cuv_idx_en                   : 1;
    unsigned int reg_03_dbg_lf_cuv_idx_value                : 3;
    unsigned int reg_03_dbg_fsm_mode                        : 1;
    unsigned int reserved                                   :23;
};
#define disp_top_kosd_cpr_top1_dec_03_14(val) ((rs_disp_top_kosd_cpr_top1_dec_03_14*)&(val))



#define DISP_TOP_KOSD_CPR_TOP1_DEC_03_18                                 (HV_KOSD_CPR_TOP1_DEC_03_BASE_ADDRESS + 0x18)

#define DISP_TOP_KOSD_CPR_TOP1_DEC_03_18_struct                          rs_disp_top_kosd_cpr_top1_dec_03_18

typedef struct _rs_disp_top_kosd_cpr_top1_dec_03_18  rs_disp_top_kosd_cpr_top1_dec_03_18;
struct _rs_disp_top_kosd_cpr_top1_dec_03_18 {
    unsigned int reg_03_dec_dept_channel                    :32;
};
#define disp_top_kosd_cpr_top1_dec_03_18(val) ((rs_disp_top_kosd_cpr_top1_dec_03_18*)&(val))



#define DISP_TOP_KOSD_CPR_TOP1_DEC_03_1C                                 (HV_KOSD_CPR_TOP1_DEC_03_BASE_ADDRESS + 0x1C)

#define DISP_TOP_KOSD_CPR_TOP1_DEC_03_1C_struct                          rs_disp_top_kosd_cpr_top1_dec_03_1c

typedef struct _rs_disp_top_kosd_cpr_top1_dec_03_1c  rs_disp_top_kosd_cpr_top1_dec_03_1c;
struct _rs_disp_top_kosd_cpr_top1_dec_03_1c {
    unsigned int reg_03_delay_gap                           :32;
};
#define disp_top_kosd_cpr_top1_dec_03_1c(val) ((rs_disp_top_kosd_cpr_top1_dec_03_1c*)&(val))



#define DISP_TOP_KOSD_CPR_TOP1_DEC_03_20                                 (HV_KOSD_CPR_TOP1_DEC_03_BASE_ADDRESS + 0x20)

#define DISP_TOP_KOSD_CPR_TOP1_DEC_03_20_struct                          rs_disp_top_kosd_cpr_top1_dec_03_20

typedef struct _rs_disp_top_kosd_cpr_top1_dec_03_20  rs_disp_top_kosd_cpr_top1_dec_03_20;
struct _rs_disp_top_kosd_cpr_top1_dec_03_20 {
    unsigned int reg_03_delay_vs                            :32;
};
#define disp_top_kosd_cpr_top1_dec_03_20(val) ((rs_disp_top_kosd_cpr_top1_dec_03_20*)&(val))



#define DISP_TOP_KOSD_CPR_TOP1_DEC_03_24                                 (HV_KOSD_CPR_TOP1_DEC_03_BASE_ADDRESS + 0x24)

#define DISP_TOP_KOSD_CPR_TOP1_DEC_03_24_struct                          rs_disp_top_kosd_cpr_top1_dec_03_24

typedef struct _rs_disp_top_kosd_cpr_top1_dec_03_24  rs_disp_top_kosd_cpr_top1_dec_03_24;
struct _rs_disp_top_kosd_cpr_top1_dec_03_24 {
    unsigned int reg_03_dynamic_crc_enable                  : 1;
    unsigned int reserved                                   :31;
};
#define disp_top_kosd_cpr_top1_dec_03_24(val) ((rs_disp_top_kosd_cpr_top1_dec_03_24*)&(val))



#define DISP_TOP_KOSD_CPR_TOP1_DEC_03_28                                 (HV_KOSD_CPR_TOP1_DEC_03_BASE_ADDRESS + 0x28)

#define DISP_TOP_KOSD_CPR_TOP1_DEC_03_28_struct                          rs_disp_top_kosd_cpr_top1_dec_03_28

typedef struct _rs_disp_top_kosd_cpr_top1_dec_03_28  rs_disp_top_kosd_cpr_top1_dec_03_28;
struct _rs_disp_top_kosd_cpr_top1_dec_03_28 {
    unsigned int reg_03_sram_ls_en                          : 1;
    unsigned int reg_03_sram_ls_value                       : 1;
    unsigned int reg_03_ksoc_cpr_pre_hact                   :13;
    unsigned int reg_03_ksoc_cpr_pre_rstart                 :13;
    unsigned int reg_03_ksoc_cpr_segmode                    : 1;
    unsigned int reg_03_ksoc_cpr_overlap_en                 : 1;
    unsigned int reserved                                   : 2;
};
#define disp_top_kosd_cpr_top1_dec_03_28(val) ((rs_disp_top_kosd_cpr_top1_dec_03_28*)&(val))



#define DISP_TOP_KOSD_CPR_TOP1_DEC_03_E0                                 (HV_KOSD_CPR_TOP1_DEC_03_BASE_ADDRESS + 0xE0)

#define DISP_TOP_KOSD_CPR_TOP1_DEC_03_E0_struct                          rs_disp_top_kosd_cpr_top1_dec_03_e0

typedef struct _rs_disp_top_kosd_cpr_top1_dec_03_e0  rs_disp_top_kosd_cpr_top1_dec_03_e0;
struct _rs_disp_top_kosd_cpr_top1_dec_03_e0 {
    unsigned int regr_03_dynamic_crc1_out                   :32;
};
#define disp_top_kosd_cpr_top1_dec_03_e0(val) ((rs_disp_top_kosd_cpr_top1_dec_03_e0*)&(val))



#define DISP_TOP_KOSD_CPR_TOP1_DEC_03_E4                                 (HV_KOSD_CPR_TOP1_DEC_03_BASE_ADDRESS + 0xE4)

#define DISP_TOP_KOSD_CPR_TOP1_DEC_03_E4_struct                          rs_disp_top_kosd_cpr_top1_dec_03_e4

typedef struct _rs_disp_top_kosd_cpr_top1_dec_03_e4  rs_disp_top_kosd_cpr_top1_dec_03_e4;
struct _rs_disp_top_kosd_cpr_top1_dec_03_e4 {
    unsigned int regr_03_dynamic_crc2_out                   :32;
};
#define disp_top_kosd_cpr_top1_dec_03_e4(val) ((rs_disp_top_kosd_cpr_top1_dec_03_e4*)&(val))



#define DISP_TOP_KOSD_CPR_TOP1_DEC_03_E8                                 (HV_KOSD_CPR_TOP1_DEC_03_BASE_ADDRESS + 0xE8)

#define DISP_TOP_KOSD_CPR_TOP1_DEC_03_E8_struct                          rs_disp_top_kosd_cpr_top1_dec_03_e8

typedef struct _rs_disp_top_kosd_cpr_top1_dec_03_e8  rs_disp_top_kosd_cpr_top1_dec_03_e8;
struct _rs_disp_top_kosd_cpr_top1_dec_03_e8 {
    unsigned int regr_03_dynamic_crc3_out                   :32;
};
#define disp_top_kosd_cpr_top1_dec_03_e8(val) ((rs_disp_top_kosd_cpr_top1_dec_03_e8*)&(val))



#define DISP_TOP_KOSD_CPR_TOP1_DEC_03_EC                                 (HV_KOSD_CPR_TOP1_DEC_03_BASE_ADDRESS + 0xEC)

#define DISP_TOP_KOSD_CPR_TOP1_DEC_03_EC_struct                          rs_disp_top_kosd_cpr_top1_dec_03_ec

typedef struct _rs_disp_top_kosd_cpr_top1_dec_03_ec  rs_disp_top_kosd_cpr_top1_dec_03_ec;
struct _rs_disp_top_kosd_cpr_top1_dec_03_ec {
    unsigned int regr_03_dec_dept                           :32;
};
#define disp_top_kosd_cpr_top1_dec_03_ec(val) ((rs_disp_top_kosd_cpr_top1_dec_03_ec*)&(val))



#define DISP_TOP_KOSD_CPR_TOP1_DEC_03_F0                                 (HV_KOSD_CPR_TOP1_DEC_03_BASE_ADDRESS + 0xF0)

#define DISP_TOP_KOSD_CPR_TOP1_DEC_03_F0_struct                          rs_disp_top_kosd_cpr_top1_dec_03_f0

typedef struct _rs_disp_top_kosd_cpr_top1_dec_03_f0  rs_disp_top_kosd_cpr_top1_dec_03_f0;
struct _rs_disp_top_kosd_cpr_top1_dec_03_f0 {
    unsigned int regr_03_enc_lf_debug0                      :32;
};
#define disp_top_kosd_cpr_top1_dec_03_f0(val) ((rs_disp_top_kosd_cpr_top1_dec_03_f0*)&(val))



#define DISP_TOP_KOSD_CPR_TOP1_DEC_03_F4                                 (HV_KOSD_CPR_TOP1_DEC_03_BASE_ADDRESS + 0xF4)

#define DISP_TOP_KOSD_CPR_TOP1_DEC_03_F4_struct                          rs_disp_top_kosd_cpr_top1_dec_03_f4

typedef struct _rs_disp_top_kosd_cpr_top1_dec_03_f4  rs_disp_top_kosd_cpr_top1_dec_03_f4;
struct _rs_disp_top_kosd_cpr_top1_dec_03_f4 {
    unsigned int regr_03_dec_debug                          :32;
};
#define disp_top_kosd_cpr_top1_dec_03_f4(val) ((rs_disp_top_kosd_cpr_top1_dec_03_f4*)&(val))



#define DISP_TOP_KOSD_CPR_TOP1_DEC_03_F8                                 (HV_KOSD_CPR_TOP1_DEC_03_BASE_ADDRESS + 0xF8)

#define DISP_TOP_KOSD_CPR_TOP1_DEC_03_F8_struct                          rs_disp_top_kosd_cpr_top1_dec_03_f8

typedef struct _rs_disp_top_kosd_cpr_top1_dec_03_f8  rs_disp_top_kosd_cpr_top1_dec_03_f8;
struct _rs_disp_top_kosd_cpr_top1_dec_03_f8 {
    unsigned int regr_03_dec_patt_debug                     :32;
};
#define disp_top_kosd_cpr_top1_dec_03_f8(val) ((rs_disp_top_kosd_cpr_top1_dec_03_f8*)&(val))



#define DISP_TOP_KOSD_CPR_TOP1_DEC_03_FC                                 (HV_KOSD_CPR_TOP1_DEC_03_BASE_ADDRESS + 0xFC)

#define DISP_TOP_KOSD_CPR_TOP1_DEC_03_FC_struct                          rs_disp_top_kosd_cpr_top1_dec_03_fc

typedef struct _rs_disp_top_kosd_cpr_top1_dec_03_fc  rs_disp_top_kosd_cpr_top1_dec_03_fc;
struct _rs_disp_top_kosd_cpr_top1_dec_03_fc {
    unsigned int regr_03_enc_lf_state_err                   : 2;
    unsigned int regr_03_enc_lf_last_err                    : 1;
    unsigned int reserved                                   :29;
};
#define disp_top_kosd_cpr_top1_dec_03_fc(val) ((rs_disp_top_kosd_cpr_top1_dec_03_fc*)&(val))



#endif