#ifndef _HV_PAGE_HT7315_KOSD_TOP_H_
#define _HV_PAGE_HT7315_KOSD_TOP_H_

#ifndef HV_KOSD_TOP_BASE_ADDRESS
    #define HV_KOSD_TOP_BASE_ADDRESS                                         0x11029A00
#endif


#define DISP_TOP_KOSD_TOP_00                                             (HV_KOSD_TOP_BASE_ADDRESS + 0x00)

#define DISP_TOP_KOSD_TOP_00_struct                                      rs_disp_top_kosd_top_00

typedef struct _rs_disp_top_kosd_top_00  rs_disp_top_kosd_top_00;
struct _rs_disp_top_kosd_top_00 {
    unsigned int reg_en                                     : 1;
    unsigned int reg_en_no_latch                            : 1;
    unsigned int reg_osd_engine_patt_en                     : 1;
    unsigned int reg_osd_engine_patt_mode                   : 2;
    unsigned int osd_engine_win3_bld_en                     : 1;
    unsigned int osd_engine_winall_bld0_en                  : 1;
    unsigned int osd_engine_winall_bld1_en                  : 1;
    unsigned int osd_bmp_bld0_en                            : 1;
    unsigned int osd_bmp_bld1_en                            : 1;
    unsigned int reserved                                   :22;
};
#define disp_top_kosd_top_00(val) ((rs_disp_top_kosd_top_00*)&(val))



#define DISP_TOP_KOSD_TOP_04                                             (HV_KOSD_TOP_BASE_ADDRESS + 0x04)

#define DISP_TOP_KOSD_TOP_04_struct                                      rs_disp_top_kosd_top_04

typedef struct _rs_disp_top_kosd_top_04  rs_disp_top_kosd_top_04;
struct _rs_disp_top_kosd_top_04 {
    unsigned int reg_osd_engine_patt_r                      : 8;
    unsigned int reg_osd_engine_patt_g                      : 8;
    unsigned int reg_osd_engine_patt_b                      : 8;
    unsigned int reg_osd_engine_patt_a                      : 8;
};
#define disp_top_kosd_top_04(val) ((rs_disp_top_kosd_top_04*)&(val))



#define DISP_TOP_KOSD_TOP_08                                             (HV_KOSD_TOP_BASE_ADDRESS + 0x08)

#define DISP_TOP_KOSD_TOP_08_struct                                      rs_disp_top_kosd_top_08

typedef struct _rs_disp_top_kosd_top_08  rs_disp_top_kosd_top_08;
struct _rs_disp_top_kosd_top_08 {
    unsigned int reg_osd_engine_patt_hstart                 :14;
    unsigned int reg_osd_engine_patt_hend                   :14;
    unsigned int reserved                                   : 4;
};
#define disp_top_kosd_top_08(val) ((rs_disp_top_kosd_top_08*)&(val))



#define DISP_TOP_KOSD_TOP_0C                                             (HV_KOSD_TOP_BASE_ADDRESS + 0x0C)

#define DISP_TOP_KOSD_TOP_0C_struct                                      rs_disp_top_kosd_top_0c

typedef struct _rs_disp_top_kosd_top_0c  rs_disp_top_kosd_top_0c;
struct _rs_disp_top_kosd_top_0c {
    unsigned int reg_osd_engine_patt_vstart                 :14;
    unsigned int reg_osd_engine_patt_vend                   :14;
    unsigned int reserved                                   : 4;
};
#define disp_top_kosd_top_0c(val) ((rs_disp_top_kosd_top_0c*)&(val))



#define DISP_TOP_KOSD_TOP_14                                             (HV_KOSD_TOP_BASE_ADDRESS + 0x14)

#define DISP_TOP_KOSD_TOP_14_struct                                      rs_disp_top_kosd_top_14

typedef struct _rs_disp_top_kosd_top_14  rs_disp_top_kosd_top_14;
struct _rs_disp_top_kosd_top_14 {
    unsigned int reg_osd_bmp_en                             : 1;
    unsigned int reg_osd_bmp_patt_en                        : 1;
    unsigned int reg_osd_bmp_hstart                         :16;
    unsigned int reserved                                   :14;
};
#define disp_top_kosd_top_14(val) ((rs_disp_top_kosd_top_14*)&(val))



#define DISP_TOP_KOSD_TOP_18                                             (HV_KOSD_TOP_BASE_ADDRESS + 0x18)

#define DISP_TOP_KOSD_TOP_18_struct                                      rs_disp_top_kosd_top_18

typedef struct _rs_disp_top_kosd_top_18  rs_disp_top_kosd_top_18;
struct _rs_disp_top_kosd_top_18 {
    unsigned int reg_osd_bmp_hend                           :16;
    unsigned int reg_osd_bmp_vstart                         :16;
};
#define disp_top_kosd_top_18(val) ((rs_disp_top_kosd_top_18*)&(val))



#define DISP_TOP_KOSD_TOP_1C                                             (HV_KOSD_TOP_BASE_ADDRESS + 0x1C)

#define DISP_TOP_KOSD_TOP_1C_struct                                      rs_disp_top_kosd_top_1c

typedef struct _rs_disp_top_kosd_top_1c  rs_disp_top_kosd_top_1c;
struct _rs_disp_top_kosd_top_1c {
    unsigned int reg_osd_bmp_vend                           :16;
    unsigned int reg_osd_bmp_hact                           :16;
};
#define disp_top_kosd_top_1c(val) ((rs_disp_top_kosd_top_1c*)&(val))



#define DISP_TOP_KOSD_TOP_20                                             (HV_KOSD_TOP_BASE_ADDRESS + 0x20)

#define DISP_TOP_KOSD_TOP_20_struct                                      rs_disp_top_kosd_top_20

typedef struct _rs_disp_top_kosd_top_20  rs_disp_top_kosd_top_20;
struct _rs_disp_top_kosd_top_20 {
    unsigned int osd_win3all_alpha_ctrl                     : 2;
    unsigned int osd_win3all_alpha_select                   : 2;
    unsigned int osd_win3all_alpha_set                      : 1;
    unsigned int osd_win3all_alpha_coef                     : 1;
    unsigned int osd_win3all_alpha_bg_output                : 1;
    unsigned int osd_win3all_alpha_switch                   : 1;
    unsigned int osd_win3all_alpha_value                    : 8;
    unsigned int osd_win3all_bg_color                       :16;
};
#define disp_top_kosd_top_20(val) ((rs_disp_top_kosd_top_20*)&(val))



#define DISP_TOP_KOSD_TOP_24                                             (HV_KOSD_TOP_BASE_ADDRESS + 0x24)

#define DISP_TOP_KOSD_TOP_24_struct                                      rs_disp_top_kosd_top_24

typedef struct _rs_disp_top_kosd_top_24  rs_disp_top_kosd_top_24;
struct _rs_disp_top_kosd_top_24 {
    unsigned int osd_win3all_bmp_alpha_ctrl                 : 2;
    unsigned int osd_win3all_bmp_alpha_select               : 2;
    unsigned int osd_win3all_bmp_alpha_set                  : 1;
    unsigned int osd_win3all_bmp_alpha_coef                 : 1;
    unsigned int osd_win3all_bmp_alpha_bg_output            : 1;
    unsigned int osd_win3all_bmp_alpha_switch               : 1;
    unsigned int osd_win3all_bmp_alpha_value                : 8;
    unsigned int osd_win3all_bmp_bg_color                   :16;
};
#define disp_top_kosd_top_24(val) ((rs_disp_top_kosd_top_24*)&(val))



#define DISP_TOP_KOSD_TOP_28                                             (HV_KOSD_TOP_BASE_ADDRESS + 0x28)

#define DISP_TOP_KOSD_TOP_28_struct                                      rs_disp_top_kosd_top_28

typedef struct _rs_disp_top_kosd_top_28  rs_disp_top_kosd_top_28;
struct _rs_disp_top_kosd_top_28 {
    unsigned int osd_winall_bmp_alpha_ctrl                  : 2;
    unsigned int osd_winall_bmp_alpha_select                : 2;
    unsigned int osd_winall_bmp_alpha_set                   : 1;
    unsigned int osd_winall_bmp_alpha_coef                  : 1;
    unsigned int osd_winall_bmp_alpha_bg_output             : 1;
    unsigned int osd_winall_bmp_alpha_switch                : 1;
    unsigned int osd_winall_bmp_alpha_value                 : 8;
    unsigned int osd_winall_bmp_bg_color                    :16;
};
#define disp_top_kosd_top_28(val) ((rs_disp_top_kosd_top_28*)&(val))



#define DISP_TOP_KOSD_TOP_2C                                             (HV_KOSD_TOP_BASE_ADDRESS + 0x2C)

#define DISP_TOP_KOSD_TOP_2C_struct                                      rs_disp_top_kosd_top_2c

typedef struct _rs_disp_top_kosd_top_2c  rs_disp_top_kosd_top_2c;
struct _rs_disp_top_kosd_top_2c {
    unsigned int reg_wrot_mode                              : 2;
    unsigned int reg_wrot_ready_limit_mode                  : 2;
    unsigned int reserved                                   :28;
};
#define disp_top_kosd_top_2c(val) ((rs_disp_top_kosd_top_2c*)&(val))



#define DISP_TOP_KOSD_TOP_30                                             (HV_KOSD_TOP_BASE_ADDRESS + 0x30)

#define DISP_TOP_KOSD_TOP_30_struct                                      rs_disp_top_kosd_top_30

typedef struct _rs_disp_top_kosd_top_30  rs_disp_top_kosd_top_30;
struct _rs_disp_top_kosd_top_30 {
    unsigned int regs_bmp_pixel_format                      : 3;
    unsigned int reg_osd_bmp_full_mode                      : 1;
    unsigned int reserved                                   :28;
};
#define disp_top_kosd_top_30(val) ((rs_disp_top_kosd_top_30*)&(val))



#define DISP_TOP_KOSD_TOP_34                                             (HV_KOSD_TOP_BASE_ADDRESS + 0x34)

#define DISP_TOP_KOSD_TOP_34_struct                                      rs_disp_top_kosd_top_34

typedef struct _rs_disp_top_kosd_top_34  rs_disp_top_kosd_top_34;
struct _rs_disp_top_kosd_top_34 {
    unsigned int regs_bmp_alpha                             : 8;
    unsigned int regs_bmp_r                                 : 8;
    unsigned int regs_bmp_g                                 : 8;
    unsigned int regs_bmp_b                                 : 8;
};
#define disp_top_kosd_top_34(val) ((rs_disp_top_kosd_top_34*)&(val))



#define DISP_TOP_KOSD_TOP_38                                             (HV_KOSD_TOP_BASE_ADDRESS + 0x38)

#define DISP_TOP_KOSD_TOP_38_struct                                      rs_disp_top_kosd_top_38

typedef struct _rs_disp_top_kosd_top_38  rs_disp_top_kosd_top_38;
struct _rs_disp_top_kosd_top_38 {
    unsigned int regs_color_key                             :24;
    unsigned int reserved                                   : 7;
    unsigned int regs_color_key_enable                      : 1;
};
#define disp_top_kosd_top_38(val) ((rs_disp_top_kosd_top_38*)&(val))



#define DISP_TOP_KOSD_TOP_3C                                             (HV_KOSD_TOP_BASE_ADDRESS + 0x3C)

#define DISP_TOP_KOSD_TOP_3C_struct                                      rs_disp_top_kosd_top_3c

typedef struct _rs_disp_top_kosd_top_3c  rs_disp_top_kosd_top_3c;
struct _rs_disp_top_kosd_top_3c {
    unsigned int regs_force_alpha_en                        : 1;
    unsigned int regs_force_alpha_mode                      : 1;
    unsigned int regs_force_color_en                        : 1;
    unsigned int regs_display_en                            : 1;
    unsigned int regs_wdma_format                           : 3;
    unsigned int reserved                                   :25;
};
#define disp_top_kosd_top_3c(val) ((rs_disp_top_kosd_top_3c*)&(val))



#define DISP_TOP_KOSD_TOP_40                                             (HV_KOSD_TOP_BASE_ADDRESS + 0x40)

#define DISP_TOP_KOSD_TOP_40_struct                                      rs_disp_top_kosd_top_40

typedef struct _rs_disp_top_kosd_top_40  rs_disp_top_kosd_top_40;
struct _rs_disp_top_kosd_top_40 {
    unsigned int reg_osd_ctrl_en                            : 1;
    unsigned int reg_osd_ctrl_init                          : 1;
    unsigned int reserved                                   : 6;
    unsigned int reg_osd_ctrl_vmsk                          : 8;
    unsigned int reg_osd_ctrl_hdly                          :16;
};
#define disp_top_kosd_top_40(val) ((rs_disp_top_kosd_top_40*)&(val))



#define DISP_TOP_KOSD_TOP_44                                             (HV_KOSD_TOP_BASE_ADDRESS + 0x44)

#define DISP_TOP_KOSD_TOP_44_struct                                      rs_disp_top_kosd_top_44

typedef struct _rs_disp_top_kosd_top_44  rs_disp_top_kosd_top_44;
struct _rs_disp_top_kosd_top_44 {
    unsigned int reg_osd_ctrl_htot                          :16;
    unsigned int reg_osd_ctrl_vtot                          :16;
};
#define disp_top_kosd_top_44(val) ((rs_disp_top_kosd_top_44*)&(val))



#define DISP_TOP_KOSD_TOP_48                                             (HV_KOSD_TOP_BASE_ADDRESS + 0x48)

#define DISP_TOP_KOSD_TOP_48_struct                                      rs_disp_top_kosd_top_48

typedef struct _rs_disp_top_kosd_top_48  rs_disp_top_kosd_top_48;
struct _rs_disp_top_kosd_top_48 {
    unsigned int reg_osd_ctrl_hact                          :16;
    unsigned int reg_osd_ctrl_vact                          :16;
};
#define disp_top_kosd_top_48(val) ((rs_disp_top_kosd_top_48*)&(val))



#define DISP_TOP_KOSD_TOP_4C                                             (HV_KOSD_TOP_BASE_ADDRESS + 0x4C)

#define DISP_TOP_KOSD_TOP_4C_struct                                      rs_disp_top_kosd_top_4c

typedef struct _rs_disp_top_kosd_top_4c  rs_disp_top_kosd_top_4c;
struct _rs_disp_top_kosd_top_4c {
    unsigned int reg_osd_ctrl_hbph                          :12;
    unsigned int reserved                                   : 4;
    unsigned int reg_osd_ctrl_vbph                          :12;
    unsigned int reserved_1                                 : 4;
};
#define disp_top_kosd_top_4c(val) ((rs_disp_top_kosd_top_4c*)&(val))



#define DISP_TOP_KOSD_TOP_50                                             (HV_KOSD_TOP_BASE_ADDRESS + 0x50)

#define DISP_TOP_KOSD_TOP_50_struct                                      rs_disp_top_kosd_top_50

typedef struct _rs_disp_top_kosd_top_50  rs_disp_top_kosd_top_50;
struct _rs_disp_top_kosd_top_50 {
    unsigned int reg_osd_ctrl_hsyn                          :12;
    unsigned int reserved                                   : 4;
    unsigned int reg_osd_ctrl_vsyn                          :12;
    unsigned int reserved_1                                 : 4;
};
#define disp_top_kosd_top_50(val) ((rs_disp_top_kosd_top_50*)&(val))



#define DISP_TOP_KOSD_TOP_54                                             (HV_KOSD_TOP_BASE_ADDRESS + 0x54)

#define DISP_TOP_KOSD_TOP_54_struct                                      rs_disp_top_kosd_top_54

typedef struct _rs_disp_top_kosd_top_54  rs_disp_top_kosd_top_54;
struct _rs_disp_top_kosd_top_54 {
    unsigned int reg_osd_ctrl_osd_hact                      :16;
    unsigned int reserved                                   :16;
};
#define disp_top_kosd_top_54(val) ((rs_disp_top_kosd_top_54*)&(val))



#define DISP_TOP_KOSD_TOP_58                                             (HV_KOSD_TOP_BASE_ADDRESS + 0x58)

#define DISP_TOP_KOSD_TOP_58_struct                                      rs_disp_top_kosd_top_58

typedef struct _rs_disp_top_kosd_top_58  rs_disp_top_kosd_top_58;
struct _rs_disp_top_kosd_top_58 {
    unsigned int reg_cnt_htotal                             :16;
    unsigned int reg_cnt_vthr                               :16;
};
#define disp_top_kosd_top_58(val) ((rs_disp_top_kosd_top_58*)&(val))



#define DISP_TOP_KOSD_TOP_5C                                             (HV_KOSD_TOP_BASE_ADDRESS + 0x5C)

#define DISP_TOP_KOSD_TOP_5C_struct                                      rs_disp_top_kosd_top_5c

typedef struct _rs_disp_top_kosd_top_5c  rs_disp_top_kosd_top_5c;
struct _rs_disp_top_kosd_top_5c {
    unsigned int reg_en_apb_enable                          : 1;
    unsigned int reserved                                   :31;
};
#define disp_top_kosd_top_5c(val) ((rs_disp_top_kosd_top_5c*)&(val))



#define DISP_TOP_KOSD_TOP_60                                             (HV_KOSD_TOP_BASE_ADDRESS + 0x60)

#define DISP_TOP_KOSD_TOP_60_struct                                      rs_disp_top_kosd_top_60

typedef struct _rs_disp_top_kosd_top_60  rs_disp_top_kosd_top_60;
struct _rs_disp_top_kosd_top_60 {
    unsigned int reg_vs_cnt_clr                             : 1;
    unsigned int regr_vs_cnt_neq                            : 1;
    unsigned int reserved                                   :30;
};
#define disp_top_kosd_top_60(val) ((rs_disp_top_kosd_top_60*)&(val))



#define DISP_TOP_KOSD_TOP_64                                             (HV_KOSD_TOP_BASE_ADDRESS + 0x64)

#define DISP_TOP_KOSD_TOP_64_struct                                      rs_disp_top_kosd_top_64

typedef struct _rs_disp_top_kosd_top_64  rs_disp_top_kosd_top_64;
struct _rs_disp_top_kosd_top_64 {
    unsigned int regr_osd_cnt                               :32;
};
#define disp_top_kosd_top_64(val) ((rs_disp_top_kosd_top_64*)&(val))



#define DISP_TOP_KOSD_TOP_68                                             (HV_KOSD_TOP_BASE_ADDRESS + 0x68)

#define DISP_TOP_KOSD_TOP_68_struct                                      rs_disp_top_kosd_top_68

typedef struct _rs_disp_top_kosd_top_68  rs_disp_top_kosd_top_68;
struct _rs_disp_top_kosd_top_68 {
    unsigned int regr_disp_cnt                              :32;
};
#define disp_top_kosd_top_68(val) ((rs_disp_top_kosd_top_68*)&(val))



#define DISP_TOP_KOSD_TOP_6C                                             (HV_KOSD_TOP_BASE_ADDRESS + 0x6C)

#define DISP_TOP_KOSD_TOP_6C_struct                                      rs_disp_top_kosd_top_6c

typedef struct _rs_disp_top_kosd_top_6c  rs_disp_top_kosd_top_6c;
struct _rs_disp_top_kosd_top_6c {
    unsigned int regr_wdma_data_cnt                         :16;
    unsigned int reserved                                   :16;
};
#define disp_top_kosd_top_6c(val) ((rs_disp_top_kosd_top_6c*)&(val))



#define DISP_TOP_KOSD_TOP_70                                             (HV_KOSD_TOP_BASE_ADDRESS + 0x70)

#define DISP_TOP_KOSD_TOP_70_struct                                      rs_disp_top_kosd_top_70

typedef struct _rs_disp_top_kosd_top_70  rs_disp_top_kosd_top_70;
struct _rs_disp_top_kosd_top_70 {
    unsigned int regs_wdma_color_key                        :24;
    unsigned int reserved                                   : 8;
};
#define disp_top_kosd_top_70(val) ((rs_disp_top_kosd_top_70*)&(val))



#endif