#ifndef _HV_PAGE_HT7315_KV_DIMMER_CTRL_REG2_H_
#define _HV_PAGE_HT7315_KV_DIMMER_CTRL_REG2_H_

#ifndef HV_KV_DIMMER_CTRL_REG2_BASE_ADDRESS
    #define HV_KV_DIMMER_CTRL_REG2_BASE_ADDRESS                                         0x11045B00
#endif


#define RX_KV_DIMMER_CTRL_REG2_00                                        (HV_KV_DIMMER_CTRL_REG2_BASE_ADDRESS + 0x00)

#define RX_KV_DIMMER_CTRL_REG2_00_struct                                 rs_rx_kv_dimmer_ctrl_reg2_00

typedef struct _rs_rx_kv_dimmer_ctrl_reg2_00  rs_rx_kv_dimmer_ctrl_reg2_00;
struct _rs_rx_kv_dimmer_ctrl_reg2_00 {
    unsigned int reg_dimctrl_data_lenth_01                  :16;
    unsigned int reserved                                   :12;
    unsigned int reg_dimctrl_data_width_01                  : 4;
};
#define rx_kv_dimmer_ctrl_reg2_00(val) ((rs_rx_kv_dimmer_ctrl_reg2_00*)&(val))



#define RX_KV_DIMMER_CTRL_REG2_REG_DIMCTRL_CMD_LENTH_01                  (HV_KV_DIMMER_CTRL_REG2_BASE_ADDRESS + 0x04)

#define RX_KV_DIMMER_CTRL_REG2_REG_DIMCTRL_CMD_LENTH_01_struct           rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_01

typedef struct _rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_01  rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_01;
struct _rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_01 {
    unsigned int reg_dimctrl_cmd_lenth_01                   :16;
    unsigned int reg_dimctrl_cmd_width_01                   : 4;
    unsigned int reg_dimcmd_mode_01                         : 4;
    unsigned int reserved                                   : 8;
};
#define rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_01(val) ((rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_01*)&(val))



#define RX_KV_DIMMER_CTRL_REG2_08                                        (HV_KV_DIMMER_CTRL_REG2_BASE_ADDRESS + 0x08)

#define RX_KV_DIMMER_CTRL_REG2_08_struct                                 rs_rx_kv_dimmer_ctrl_reg2_08

typedef struct _rs_rx_kv_dimmer_ctrl_reg2_08  rs_rx_kv_dimmer_ctrl_reg2_08;
struct _rs_rx_kv_dimmer_ctrl_reg2_08 {
    unsigned int reg_dimctrl_data_lenth_02                  :16;
    unsigned int reserved                                   :12;
    unsigned int reg_dimctrl_data_width_02                  : 4;
};
#define rx_kv_dimmer_ctrl_reg2_08(val) ((rs_rx_kv_dimmer_ctrl_reg2_08*)&(val))



#define RX_KV_DIMMER_CTRL_REG2_REG_DIMCTRL_CMD_LENTH_02                  (HV_KV_DIMMER_CTRL_REG2_BASE_ADDRESS + 0x0C)

#define RX_KV_DIMMER_CTRL_REG2_REG_DIMCTRL_CMD_LENTH_02_struct           rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_02

typedef struct _rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_02  rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_02;
struct _rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_02 {
    unsigned int reg_dimctrl_cmd_lenth_02                   :16;
    unsigned int reg_dimctrl_cmd_width_02                   : 4;
    unsigned int reg_dimcmd_mode_02                         : 4;
    unsigned int reserved                                   : 8;
};
#define rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_02(val) ((rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_02*)&(val))



#define RX_KV_DIMMER_CTRL_REG2_10                                        (HV_KV_DIMMER_CTRL_REG2_BASE_ADDRESS + 0x10)

#define RX_KV_DIMMER_CTRL_REG2_10_struct                                 rs_rx_kv_dimmer_ctrl_reg2_10

typedef struct _rs_rx_kv_dimmer_ctrl_reg2_10  rs_rx_kv_dimmer_ctrl_reg2_10;
struct _rs_rx_kv_dimmer_ctrl_reg2_10 {
    unsigned int reg_dimctrl_data_lenth_03                  :16;
    unsigned int reserved                                   :12;
    unsigned int reg_dimctrl_data_width_03                  : 4;
};
#define rx_kv_dimmer_ctrl_reg2_10(val) ((rs_rx_kv_dimmer_ctrl_reg2_10*)&(val))



#define RX_KV_DIMMER_CTRL_REG2_REG_DIMCTRL_CMD_LENTH_03                  (HV_KV_DIMMER_CTRL_REG2_BASE_ADDRESS + 0x14)

#define RX_KV_DIMMER_CTRL_REG2_REG_DIMCTRL_CMD_LENTH_03_struct           rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_03

typedef struct _rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_03  rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_03;
struct _rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_03 {
    unsigned int reg_dimctrl_cmd_lenth_03                   :16;
    unsigned int reg_dimctrl_cmd_width_03                   : 4;
    unsigned int reg_dimcmd_mode_03                         : 4;
    unsigned int reserved                                   : 8;
};
#define rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_03(val) ((rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_03*)&(val))



#define RX_KV_DIMMER_CTRL_REG2_18                                        (HV_KV_DIMMER_CTRL_REG2_BASE_ADDRESS + 0x18)

#define RX_KV_DIMMER_CTRL_REG2_18_struct                                 rs_rx_kv_dimmer_ctrl_reg2_18

typedef struct _rs_rx_kv_dimmer_ctrl_reg2_18  rs_rx_kv_dimmer_ctrl_reg2_18;
struct _rs_rx_kv_dimmer_ctrl_reg2_18 {
    unsigned int reg_dimctrl_data_lenth_04                  :16;
    unsigned int reserved                                   :12;
    unsigned int reg_dimctrl_data_width_04                  : 4;
};
#define rx_kv_dimmer_ctrl_reg2_18(val) ((rs_rx_kv_dimmer_ctrl_reg2_18*)&(val))



#define RX_KV_DIMMER_CTRL_REG2_REG_DIMCTRL_CMD_LENTH_04                  (HV_KV_DIMMER_CTRL_REG2_BASE_ADDRESS + 0x1C)

#define RX_KV_DIMMER_CTRL_REG2_REG_DIMCTRL_CMD_LENTH_04_struct           rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_04

typedef struct _rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_04  rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_04;
struct _rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_04 {
    unsigned int reg_dimctrl_cmd_lenth_04                   :16;
    unsigned int reg_dimctrl_cmd_width_04                   : 4;
    unsigned int reg_dimcmd_mode_04                         : 4;
    unsigned int reserved                                   : 8;
};
#define rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_04(val) ((rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_04*)&(val))



#define RX_KV_DIMMER_CTRL_REG2_20                                        (HV_KV_DIMMER_CTRL_REG2_BASE_ADDRESS + 0x20)

#define RX_KV_DIMMER_CTRL_REG2_20_struct                                 rs_rx_kv_dimmer_ctrl_reg2_20

typedef struct _rs_rx_kv_dimmer_ctrl_reg2_20  rs_rx_kv_dimmer_ctrl_reg2_20;
struct _rs_rx_kv_dimmer_ctrl_reg2_20 {
    unsigned int reg_dimctrl_data_lenth_05                  :16;
    unsigned int reserved                                   :12;
    unsigned int reg_dimctrl_data_width_05                  : 4;
};
#define rx_kv_dimmer_ctrl_reg2_20(val) ((rs_rx_kv_dimmer_ctrl_reg2_20*)&(val))



#define RX_KV_DIMMER_CTRL_REG2_REG_DIMCTRL_CMD_LENTH_05                  (HV_KV_DIMMER_CTRL_REG2_BASE_ADDRESS + 0x24)

#define RX_KV_DIMMER_CTRL_REG2_REG_DIMCTRL_CMD_LENTH_05_struct           rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_05

typedef struct _rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_05  rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_05;
struct _rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_05 {
    unsigned int reg_dimctrl_cmd_lenth_05                   :16;
    unsigned int reg_dimctrl_cmd_width_05                   : 4;
    unsigned int reg_dimcmd_mode_05                         : 4;
    unsigned int reserved                                   : 8;
};
#define rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_05(val) ((rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_05*)&(val))



#define RX_KV_DIMMER_CTRL_REG2_28                                        (HV_KV_DIMMER_CTRL_REG2_BASE_ADDRESS + 0x28)

#define RX_KV_DIMMER_CTRL_REG2_28_struct                                 rs_rx_kv_dimmer_ctrl_reg2_28

typedef struct _rs_rx_kv_dimmer_ctrl_reg2_28  rs_rx_kv_dimmer_ctrl_reg2_28;
struct _rs_rx_kv_dimmer_ctrl_reg2_28 {
    unsigned int reg_dimctrl_data_lenth_06                  :16;
    unsigned int reserved                                   :12;
    unsigned int reg_dimctrl_data_width_06                  : 4;
};
#define rx_kv_dimmer_ctrl_reg2_28(val) ((rs_rx_kv_dimmer_ctrl_reg2_28*)&(val))



#define RX_KV_DIMMER_CTRL_REG2_REG_DIMCTRL_CMD_LENTH_06                  (HV_KV_DIMMER_CTRL_REG2_BASE_ADDRESS + 0x2C)

#define RX_KV_DIMMER_CTRL_REG2_REG_DIMCTRL_CMD_LENTH_06_struct           rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_06

typedef struct _rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_06  rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_06;
struct _rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_06 {
    unsigned int reg_dimctrl_cmd_lenth_06                   :16;
    unsigned int reg_dimctrl_cmd_width_06                   : 4;
    unsigned int reg_dimcmd_mode_06                         : 4;
    unsigned int reserved                                   : 8;
};
#define rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_06(val) ((rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_06*)&(val))



#define RX_KV_DIMMER_CTRL_REG2_30                                        (HV_KV_DIMMER_CTRL_REG2_BASE_ADDRESS + 0x30)

#define RX_KV_DIMMER_CTRL_REG2_30_struct                                 rs_rx_kv_dimmer_ctrl_reg2_30

typedef struct _rs_rx_kv_dimmer_ctrl_reg2_30  rs_rx_kv_dimmer_ctrl_reg2_30;
struct _rs_rx_kv_dimmer_ctrl_reg2_30 {
    unsigned int reg_dimctrl_data_lenth_07                  :16;
    unsigned int reserved                                   :12;
    unsigned int reg_dimctrl_data_width_07                  : 4;
};
#define rx_kv_dimmer_ctrl_reg2_30(val) ((rs_rx_kv_dimmer_ctrl_reg2_30*)&(val))



#define RX_KV_DIMMER_CTRL_REG2_REG_DIMCTRL_CMD_LENTH_07                  (HV_KV_DIMMER_CTRL_REG2_BASE_ADDRESS + 0x34)

#define RX_KV_DIMMER_CTRL_REG2_REG_DIMCTRL_CMD_LENTH_07_struct           rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_07

typedef struct _rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_07  rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_07;
struct _rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_07 {
    unsigned int reg_dimctrl_cmd_lenth_07                   :16;
    unsigned int reg_dimctrl_cmd_width_07                   : 4;
    unsigned int reg_dimcmd_mode_07                         : 4;
    unsigned int reserved                                   : 8;
};
#define rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_07(val) ((rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_07*)&(val))



#define RX_KV_DIMMER_CTRL_REG2_38                                        (HV_KV_DIMMER_CTRL_REG2_BASE_ADDRESS + 0x38)

#define RX_KV_DIMMER_CTRL_REG2_38_struct                                 rs_rx_kv_dimmer_ctrl_reg2_38

typedef struct _rs_rx_kv_dimmer_ctrl_reg2_38  rs_rx_kv_dimmer_ctrl_reg2_38;
struct _rs_rx_kv_dimmer_ctrl_reg2_38 {
    unsigned int reg_dimctrl_data_lenth_08                  :16;
    unsigned int reserved                                   :12;
    unsigned int reg_dimctrl_data_width_08                  : 4;
};
#define rx_kv_dimmer_ctrl_reg2_38(val) ((rs_rx_kv_dimmer_ctrl_reg2_38*)&(val))



#define RX_KV_DIMMER_CTRL_REG2_REG_DIMCTRL_CMD_LENTH_08                  (HV_KV_DIMMER_CTRL_REG2_BASE_ADDRESS + 0x3C)

#define RX_KV_DIMMER_CTRL_REG2_REG_DIMCTRL_CMD_LENTH_08_struct           rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_08

typedef struct _rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_08  rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_08;
struct _rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_08 {
    unsigned int reg_dimctrl_cmd_lenth_08                   :16;
    unsigned int reg_dimctrl_cmd_width_08                   : 4;
    unsigned int reg_dimcmd_mode_08                         : 4;
    unsigned int reserved                                   : 8;
};
#define rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_08(val) ((rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_08*)&(val))



#define RX_KV_DIMMER_CTRL_REG2_40                                        (HV_KV_DIMMER_CTRL_REG2_BASE_ADDRESS + 0x40)

#define RX_KV_DIMMER_CTRL_REG2_40_struct                                 rs_rx_kv_dimmer_ctrl_reg2_40

typedef struct _rs_rx_kv_dimmer_ctrl_reg2_40  rs_rx_kv_dimmer_ctrl_reg2_40;
struct _rs_rx_kv_dimmer_ctrl_reg2_40 {
    unsigned int reg_dimctrl_data_lenth_09                  :16;
    unsigned int reserved                                   :12;
    unsigned int reg_dimctrl_data_width_09                  : 4;
};
#define rx_kv_dimmer_ctrl_reg2_40(val) ((rs_rx_kv_dimmer_ctrl_reg2_40*)&(val))



#define RX_KV_DIMMER_CTRL_REG2_REG_DIMCTRL_CMD_LENTH_09                  (HV_KV_DIMMER_CTRL_REG2_BASE_ADDRESS + 0x44)

#define RX_KV_DIMMER_CTRL_REG2_REG_DIMCTRL_CMD_LENTH_09_struct           rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_09

typedef struct _rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_09  rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_09;
struct _rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_09 {
    unsigned int reg_dimctrl_cmd_lenth_09                   :16;
    unsigned int reg_dimctrl_cmd_width_09                   : 4;
    unsigned int reg_dimcmd_mode_09                         : 4;
    unsigned int reserved                                   : 8;
};
#define rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_09(val) ((rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_09*)&(val))



#define RX_KV_DIMMER_CTRL_REG2_48                                        (HV_KV_DIMMER_CTRL_REG2_BASE_ADDRESS + 0x48)

#define RX_KV_DIMMER_CTRL_REG2_48_struct                                 rs_rx_kv_dimmer_ctrl_reg2_48

typedef struct _rs_rx_kv_dimmer_ctrl_reg2_48  rs_rx_kv_dimmer_ctrl_reg2_48;
struct _rs_rx_kv_dimmer_ctrl_reg2_48 {
    unsigned int reg_dimctrl_data_lenth_10                  :16;
    unsigned int reserved                                   :12;
    unsigned int reg_dimctrl_data_width_10                  : 4;
};
#define rx_kv_dimmer_ctrl_reg2_48(val) ((rs_rx_kv_dimmer_ctrl_reg2_48*)&(val))



#define RX_KV_DIMMER_CTRL_REG2_REG_DIMCTRL_CMD_LENTH_10                  (HV_KV_DIMMER_CTRL_REG2_BASE_ADDRESS + 0x4C)

#define RX_KV_DIMMER_CTRL_REG2_REG_DIMCTRL_CMD_LENTH_10_struct           rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_10

typedef struct _rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_10  rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_10;
struct _rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_10 {
    unsigned int reg_dimctrl_cmd_lenth_10                   :16;
    unsigned int reg_dimctrl_cmd_width_10                   : 4;
    unsigned int reg_dimcmd_mode_10                         : 4;
    unsigned int reserved                                   : 8;
};
#define rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_10(val) ((rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_10*)&(val))



#define RX_KV_DIMMER_CTRL_REG2_50                                        (HV_KV_DIMMER_CTRL_REG2_BASE_ADDRESS + 0x50)

#define RX_KV_DIMMER_CTRL_REG2_50_struct                                 rs_rx_kv_dimmer_ctrl_reg2_50

typedef struct _rs_rx_kv_dimmer_ctrl_reg2_50  rs_rx_kv_dimmer_ctrl_reg2_50;
struct _rs_rx_kv_dimmer_ctrl_reg2_50 {
    unsigned int reg_dimctrl_data_lenth_11                  :16;
    unsigned int reserved                                   :12;
    unsigned int reg_dimctrl_data_width_11                  : 4;
};
#define rx_kv_dimmer_ctrl_reg2_50(val) ((rs_rx_kv_dimmer_ctrl_reg2_50*)&(val))



#define RX_KV_DIMMER_CTRL_REG2_REG_DIMCTRL_CMD_LENTH_11                  (HV_KV_DIMMER_CTRL_REG2_BASE_ADDRESS + 0x54)

#define RX_KV_DIMMER_CTRL_REG2_REG_DIMCTRL_CMD_LENTH_11_struct           rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_11

typedef struct _rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_11  rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_11;
struct _rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_11 {
    unsigned int reg_dimctrl_cmd_lenth_11                   :16;
    unsigned int reg_dimctrl_cmd_width_11                   : 4;
    unsigned int reg_dimcmd_mode_11                         : 4;
    unsigned int reserved                                   : 8;
};
#define rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_11(val) ((rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_11*)&(val))



#define RX_KV_DIMMER_CTRL_REG2_58                                        (HV_KV_DIMMER_CTRL_REG2_BASE_ADDRESS + 0x58)

#define RX_KV_DIMMER_CTRL_REG2_58_struct                                 rs_rx_kv_dimmer_ctrl_reg2_58

typedef struct _rs_rx_kv_dimmer_ctrl_reg2_58  rs_rx_kv_dimmer_ctrl_reg2_58;
struct _rs_rx_kv_dimmer_ctrl_reg2_58 {
    unsigned int reg_dimctrl_data_lenth_12                  :16;
    unsigned int reserved                                   :12;
    unsigned int reg_dimctrl_data_width_12                  : 4;
};
#define rx_kv_dimmer_ctrl_reg2_58(val) ((rs_rx_kv_dimmer_ctrl_reg2_58*)&(val))



#define RX_KV_DIMMER_CTRL_REG2_REG_DIMCTRL_CMD_LENTH_12                  (HV_KV_DIMMER_CTRL_REG2_BASE_ADDRESS + 0x5C)

#define RX_KV_DIMMER_CTRL_REG2_REG_DIMCTRL_CMD_LENTH_12_struct           rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_12

typedef struct _rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_12  rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_12;
struct _rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_12 {
    unsigned int reg_dimctrl_cmd_lenth_12                   :16;
    unsigned int reg_dimctrl_cmd_width_12                   : 4;
    unsigned int reg_dimcmd_mode_12                         : 4;
    unsigned int reserved                                   : 8;
};
#define rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_12(val) ((rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_12*)&(val))



#define RX_KV_DIMMER_CTRL_REG2_60                                        (HV_KV_DIMMER_CTRL_REG2_BASE_ADDRESS + 0x60)

#define RX_KV_DIMMER_CTRL_REG2_60_struct                                 rs_rx_kv_dimmer_ctrl_reg2_60

typedef struct _rs_rx_kv_dimmer_ctrl_reg2_60  rs_rx_kv_dimmer_ctrl_reg2_60;
struct _rs_rx_kv_dimmer_ctrl_reg2_60 {
    unsigned int reg_dimctrl_data_lenth_13                  :16;
    unsigned int reserved                                   :12;
    unsigned int reg_dimctrl_data_width_13                  : 4;
};
#define rx_kv_dimmer_ctrl_reg2_60(val) ((rs_rx_kv_dimmer_ctrl_reg2_60*)&(val))



#define RX_KV_DIMMER_CTRL_REG2_REG_DIMCTRL_CMD_LENTH_13                  (HV_KV_DIMMER_CTRL_REG2_BASE_ADDRESS + 0x64)

#define RX_KV_DIMMER_CTRL_REG2_REG_DIMCTRL_CMD_LENTH_13_struct           rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_13

typedef struct _rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_13  rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_13;
struct _rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_13 {
    unsigned int reg_dimctrl_cmd_lenth_13                   :16;
    unsigned int reg_dimctrl_cmd_width_13                   : 4;
    unsigned int reg_dimcmd_mode_13                         : 4;
    unsigned int reserved                                   : 8;
};
#define rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_13(val) ((rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_13*)&(val))



#define RX_KV_DIMMER_CTRL_REG2_68                                        (HV_KV_DIMMER_CTRL_REG2_BASE_ADDRESS + 0x68)

#define RX_KV_DIMMER_CTRL_REG2_68_struct                                 rs_rx_kv_dimmer_ctrl_reg2_68

typedef struct _rs_rx_kv_dimmer_ctrl_reg2_68  rs_rx_kv_dimmer_ctrl_reg2_68;
struct _rs_rx_kv_dimmer_ctrl_reg2_68 {
    unsigned int reg_dimctrl_data_lenth_14                  :16;
    unsigned int reserved                                   :12;
    unsigned int reg_dimctrl_data_width_14                  : 4;
};
#define rx_kv_dimmer_ctrl_reg2_68(val) ((rs_rx_kv_dimmer_ctrl_reg2_68*)&(val))



#define RX_KV_DIMMER_CTRL_REG2_REG_DIMCTRL_CMD_LENTH_14                  (HV_KV_DIMMER_CTRL_REG2_BASE_ADDRESS + 0x6C)

#define RX_KV_DIMMER_CTRL_REG2_REG_DIMCTRL_CMD_LENTH_14_struct           rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_14

typedef struct _rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_14  rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_14;
struct _rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_14 {
    unsigned int reg_dimctrl_cmd_lenth_14                   :16;
    unsigned int reg_dimctrl_cmd_width_14                   : 4;
    unsigned int reg_dimcmd_mode_14                         : 4;
    unsigned int reserved                                   : 8;
};
#define rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_14(val) ((rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_14*)&(val))



#define RX_KV_DIMMER_CTRL_REG2_70                                        (HV_KV_DIMMER_CTRL_REG2_BASE_ADDRESS + 0x70)

#define RX_KV_DIMMER_CTRL_REG2_70_struct                                 rs_rx_kv_dimmer_ctrl_reg2_70

typedef struct _rs_rx_kv_dimmer_ctrl_reg2_70  rs_rx_kv_dimmer_ctrl_reg2_70;
struct _rs_rx_kv_dimmer_ctrl_reg2_70 {
    unsigned int reg_dimctrl_data_lenth_15                  :16;
    unsigned int reserved                                   :12;
    unsigned int reg_dimctrl_data_width_15                  : 4;
};
#define rx_kv_dimmer_ctrl_reg2_70(val) ((rs_rx_kv_dimmer_ctrl_reg2_70*)&(val))



#define RX_KV_DIMMER_CTRL_REG2_REG_DIMCTRL_CMD_LENTH_15                  (HV_KV_DIMMER_CTRL_REG2_BASE_ADDRESS + 0x74)

#define RX_KV_DIMMER_CTRL_REG2_REG_DIMCTRL_CMD_LENTH_15_struct           rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_15

typedef struct _rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_15  rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_15;
struct _rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_15 {
    unsigned int reg_dimctrl_cmd_lenth_15                   :16;
    unsigned int reg_dimctrl_cmd_width_15                   : 4;
    unsigned int reg_dimcmd_mode_15                         : 4;
    unsigned int reserved                                   : 8;
};
#define rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_15(val) ((rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_15*)&(val))



#define RX_KV_DIMMER_CTRL_REG2_78                                        (HV_KV_DIMMER_CTRL_REG2_BASE_ADDRESS + 0x78)

#define RX_KV_DIMMER_CTRL_REG2_78_struct                                 rs_rx_kv_dimmer_ctrl_reg2_78

typedef struct _rs_rx_kv_dimmer_ctrl_reg2_78  rs_rx_kv_dimmer_ctrl_reg2_78;
struct _rs_rx_kv_dimmer_ctrl_reg2_78 {
    unsigned int reg_dimctrl_data_lenth_16                  :16;
    unsigned int reserved                                   :12;
    unsigned int reg_dimctrl_data_width_16                  : 4;
};
#define rx_kv_dimmer_ctrl_reg2_78(val) ((rs_rx_kv_dimmer_ctrl_reg2_78*)&(val))



#define RX_KV_DIMMER_CTRL_REG2_REG_DIMCTRL_CMD_LENTH_16                  (HV_KV_DIMMER_CTRL_REG2_BASE_ADDRESS + 0x7C)

#define RX_KV_DIMMER_CTRL_REG2_REG_DIMCTRL_CMD_LENTH_16_struct           rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_16

typedef struct _rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_16  rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_16;
struct _rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_16 {
    unsigned int reg_dimctrl_cmd_lenth_16                   :16;
    unsigned int reg_dimctrl_cmd_width_16                   : 4;
    unsigned int reg_dimcmd_mode_16                         : 4;
    unsigned int reserved                                   : 8;
};
#define rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_16(val) ((rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_16*)&(val))



#define RX_KV_DIMMER_CTRL_REG2_80                                        (HV_KV_DIMMER_CTRL_REG2_BASE_ADDRESS + 0x80)

#define RX_KV_DIMMER_CTRL_REG2_80_struct                                 rs_rx_kv_dimmer_ctrl_reg2_80

typedef struct _rs_rx_kv_dimmer_ctrl_reg2_80  rs_rx_kv_dimmer_ctrl_reg2_80;
struct _rs_rx_kv_dimmer_ctrl_reg2_80 {
    unsigned int reg_dimctrl_data_lenth_17                  :16;
    unsigned int reserved                                   :12;
    unsigned int reg_dimctrl_data_width_17                  : 4;
};
#define rx_kv_dimmer_ctrl_reg2_80(val) ((rs_rx_kv_dimmer_ctrl_reg2_80*)&(val))



#define RX_KV_DIMMER_CTRL_REG2_REG_DIMCTRL_CMD_LENTH_17                  (HV_KV_DIMMER_CTRL_REG2_BASE_ADDRESS + 0x84)

#define RX_KV_DIMMER_CTRL_REG2_REG_DIMCTRL_CMD_LENTH_17_struct           rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_17

typedef struct _rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_17  rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_17;
struct _rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_17 {
    unsigned int reg_dimctrl_cmd_lenth_17                   :16;
    unsigned int reg_dimctrl_cmd_width_17                   : 4;
    unsigned int reg_dimcmd_mode_17                         : 4;
    unsigned int reserved                                   : 8;
};
#define rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_17(val) ((rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_17*)&(val))



#define RX_KV_DIMMER_CTRL_REG2_88                                        (HV_KV_DIMMER_CTRL_REG2_BASE_ADDRESS + 0x88)

#define RX_KV_DIMMER_CTRL_REG2_88_struct                                 rs_rx_kv_dimmer_ctrl_reg2_88

typedef struct _rs_rx_kv_dimmer_ctrl_reg2_88  rs_rx_kv_dimmer_ctrl_reg2_88;
struct _rs_rx_kv_dimmer_ctrl_reg2_88 {
    unsigned int reg_dimctrl_data_lenth_18                  :16;
    unsigned int reserved                                   :12;
    unsigned int reg_dimctrl_data_width_18                  : 4;
};
#define rx_kv_dimmer_ctrl_reg2_88(val) ((rs_rx_kv_dimmer_ctrl_reg2_88*)&(val))



#define RX_KV_DIMMER_CTRL_REG2_REG_DIMCTRL_CMD_LENTH_18                  (HV_KV_DIMMER_CTRL_REG2_BASE_ADDRESS + 0x8C)

#define RX_KV_DIMMER_CTRL_REG2_REG_DIMCTRL_CMD_LENTH_18_struct           rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_18

typedef struct _rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_18  rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_18;
struct _rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_18 {
    unsigned int reg_dimctrl_cmd_lenth_18                   :16;
    unsigned int reg_dimctrl_cmd_width_18                   : 4;
    unsigned int reg_dimcmd_mode_18                         : 4;
    unsigned int reserved                                   : 8;
};
#define rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_18(val) ((rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_18*)&(val))



#define RX_KV_DIMMER_CTRL_REG2_90                                        (HV_KV_DIMMER_CTRL_REG2_BASE_ADDRESS + 0x90)

#define RX_KV_DIMMER_CTRL_REG2_90_struct                                 rs_rx_kv_dimmer_ctrl_reg2_90

typedef struct _rs_rx_kv_dimmer_ctrl_reg2_90  rs_rx_kv_dimmer_ctrl_reg2_90;
struct _rs_rx_kv_dimmer_ctrl_reg2_90 {
    unsigned int reg_dimctrl_data_lenth_19                  :16;
    unsigned int reserved                                   :12;
    unsigned int reg_dimctrl_data_width_19                  : 4;
};
#define rx_kv_dimmer_ctrl_reg2_90(val) ((rs_rx_kv_dimmer_ctrl_reg2_90*)&(val))



#define RX_KV_DIMMER_CTRL_REG2_REG_DIMCTRL_CMD_LENTH_19                  (HV_KV_DIMMER_CTRL_REG2_BASE_ADDRESS + 0x94)

#define RX_KV_DIMMER_CTRL_REG2_REG_DIMCTRL_CMD_LENTH_19_struct           rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_19

typedef struct _rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_19  rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_19;
struct _rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_19 {
    unsigned int reg_dimctrl_cmd_lenth_19                   :16;
    unsigned int reg_dimctrl_cmd_width_19                   : 4;
    unsigned int reg_dimcmd_mode_19                         : 4;
    unsigned int reserved                                   : 8;
};
#define rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_19(val) ((rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_19*)&(val))



#define RX_KV_DIMMER_CTRL_REG2_98                                        (HV_KV_DIMMER_CTRL_REG2_BASE_ADDRESS + 0x98)

#define RX_KV_DIMMER_CTRL_REG2_98_struct                                 rs_rx_kv_dimmer_ctrl_reg2_98

typedef struct _rs_rx_kv_dimmer_ctrl_reg2_98  rs_rx_kv_dimmer_ctrl_reg2_98;
struct _rs_rx_kv_dimmer_ctrl_reg2_98 {
    unsigned int reg_dimctrl_data_lenth_20                  :16;
    unsigned int reserved                                   :12;
    unsigned int reg_dimctrl_data_width_20                  : 4;
};
#define rx_kv_dimmer_ctrl_reg2_98(val) ((rs_rx_kv_dimmer_ctrl_reg2_98*)&(val))



#define RX_KV_DIMMER_CTRL_REG2_REG_DIMCTRL_CMD_LENTH_20                  (HV_KV_DIMMER_CTRL_REG2_BASE_ADDRESS + 0x9C)

#define RX_KV_DIMMER_CTRL_REG2_REG_DIMCTRL_CMD_LENTH_20_struct           rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_20

typedef struct _rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_20  rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_20;
struct _rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_20 {
    unsigned int reg_dimctrl_cmd_lenth_20                   :16;
    unsigned int reg_dimctrl_cmd_width_20                   : 4;
    unsigned int reg_dimcmd_mode_20                         : 4;
    unsigned int reserved                                   : 8;
};
#define rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_20(val) ((rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_20*)&(val))



#define RX_KV_DIMMER_CTRL_REG2_A0                                        (HV_KV_DIMMER_CTRL_REG2_BASE_ADDRESS + 0xA0)

#define RX_KV_DIMMER_CTRL_REG2_A0_struct                                 rs_rx_kv_dimmer_ctrl_reg2_a0

typedef struct _rs_rx_kv_dimmer_ctrl_reg2_a0  rs_rx_kv_dimmer_ctrl_reg2_a0;
struct _rs_rx_kv_dimmer_ctrl_reg2_a0 {
    unsigned int reg_dimctrl_data_lenth_21                  :16;
    unsigned int reserved                                   :12;
    unsigned int reg_dimctrl_data_width_21                  : 4;
};
#define rx_kv_dimmer_ctrl_reg2_a0(val) ((rs_rx_kv_dimmer_ctrl_reg2_a0*)&(val))



#define RX_KV_DIMMER_CTRL_REG2_REG_DIMCTRL_CMD_LENTH_21                  (HV_KV_DIMMER_CTRL_REG2_BASE_ADDRESS + 0xA4)

#define RX_KV_DIMMER_CTRL_REG2_REG_DIMCTRL_CMD_LENTH_21_struct           rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_21

typedef struct _rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_21  rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_21;
struct _rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_21 {
    unsigned int reg_dimctrl_cmd_lenth_21                   :16;
    unsigned int reg_dimctrl_cmd_width_21                   : 4;
    unsigned int reg_dimcmd_mode_21                         : 4;
    unsigned int reserved                                   : 8;
};
#define rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_21(val) ((rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_21*)&(val))



#define RX_KV_DIMMER_CTRL_REG2_A8                                        (HV_KV_DIMMER_CTRL_REG2_BASE_ADDRESS + 0xA8)

#define RX_KV_DIMMER_CTRL_REG2_A8_struct                                 rs_rx_kv_dimmer_ctrl_reg2_a8

typedef struct _rs_rx_kv_dimmer_ctrl_reg2_a8  rs_rx_kv_dimmer_ctrl_reg2_a8;
struct _rs_rx_kv_dimmer_ctrl_reg2_a8 {
    unsigned int reg_dimctrl_data_lenth_22                  :16;
    unsigned int reserved                                   :12;
    unsigned int reg_dimctrl_data_width_22                  : 4;
};
#define rx_kv_dimmer_ctrl_reg2_a8(val) ((rs_rx_kv_dimmer_ctrl_reg2_a8*)&(val))



#define RX_KV_DIMMER_CTRL_REG2_REG_DIMCTRL_CMD_LENTH_22                  (HV_KV_DIMMER_CTRL_REG2_BASE_ADDRESS + 0xAC)

#define RX_KV_DIMMER_CTRL_REG2_REG_DIMCTRL_CMD_LENTH_22_struct           rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_22

typedef struct _rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_22  rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_22;
struct _rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_22 {
    unsigned int reg_dimctrl_cmd_lenth_22                   :16;
    unsigned int reg_dimctrl_cmd_width_22                   : 4;
    unsigned int reg_dimcmd_mode_22                         : 4;
    unsigned int reserved                                   : 8;
};
#define rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_22(val) ((rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_22*)&(val))



#define RX_KV_DIMMER_CTRL_REG2_B0                                        (HV_KV_DIMMER_CTRL_REG2_BASE_ADDRESS + 0xB0)

#define RX_KV_DIMMER_CTRL_REG2_B0_struct                                 rs_rx_kv_dimmer_ctrl_reg2_b0

typedef struct _rs_rx_kv_dimmer_ctrl_reg2_b0  rs_rx_kv_dimmer_ctrl_reg2_b0;
struct _rs_rx_kv_dimmer_ctrl_reg2_b0 {
    unsigned int reg_dimctrl_data_lenth_23                  :16;
    unsigned int reserved                                   :12;
    unsigned int reg_dimctrl_data_width_23                  : 4;
};
#define rx_kv_dimmer_ctrl_reg2_b0(val) ((rs_rx_kv_dimmer_ctrl_reg2_b0*)&(val))



#define RX_KV_DIMMER_CTRL_REG2_REG_DIMCTRL_CMD_LENTH_23                  (HV_KV_DIMMER_CTRL_REG2_BASE_ADDRESS + 0xB4)

#define RX_KV_DIMMER_CTRL_REG2_REG_DIMCTRL_CMD_LENTH_23_struct           rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_23

typedef struct _rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_23  rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_23;
struct _rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_23 {
    unsigned int reg_dimctrl_cmd_lenth_23                   :16;
    unsigned int reg_dimctrl_cmd_width_23                   : 4;
    unsigned int reg_dimcmd_mode_23                         : 4;
    unsigned int reserved                                   : 8;
};
#define rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_23(val) ((rs_rx_kv_dimmer_ctrl_reg2_reg_dimctrl_cmd_lenth_23*)&(val))



#endif