#ifndef _HV_PAGE_HT7315_KV_RECT_P0_01_H_
#define _HV_PAGE_HT7315_KV_RECT_P0_01_H_

#ifndef HV_KV_RECT_P0_01_BASE_ADDRESS
    #define HV_KV_RECT_P0_01_BASE_ADDRESS                                         0x11063800
#endif


#define OSD_KV_RECT_P0_01_00                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0x00)

#define OSD_KV_RECT_P0_01_00_struct                                      rs_osd_kv_rect_p0_01_00

typedef struct _rs_osd_kv_rect_p0_01_00  rs_osd_kv_rect_p0_01_00;
struct _rs_osd_kv_rect_p0_01_00 {
    unsigned int reg_01_enable_rect0                        : 1;
    unsigned int reg_01_border_enable_rect0                 : 1;
    unsigned int reg_01_shadow_enable_rect0                 : 1;
    unsigned int reg_01_gradient_enable_rect0               : 1;
    unsigned int reg_01_fill_rect0                          : 1;
    unsigned int reserved                                   : 3;
    unsigned int reg_01_border_type_rect0                   : 4;
    unsigned int reg_01_border_size_x_rect0                 : 4;
    unsigned int reg_01_border_size_y_rect0                 : 4;
    unsigned int reg_01_shadow_type_rect0                   : 2;
    unsigned int reserved_1                                 : 2;
    unsigned int reg_01_shadow_size_x_rect0                 : 4;
    unsigned int reg_01_shadow_size_y_rect0                 : 4;
};
#define osd_kv_rect_p0_01_00(val) ((rs_osd_kv_rect_p0_01_00*)&(val))



#define OSD_KV_RECT_P0_01_04                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0x04)

#define OSD_KV_RECT_P0_01_04_struct                                      rs_osd_kv_rect_p0_01_04

typedef struct _rs_osd_kv_rect_p0_01_04  rs_osd_kv_rect_p0_01_04;
struct _rs_osd_kv_rect_p0_01_04 {
    unsigned int reg_01_start_x_rect0                       :14;
    unsigned int reserved                                   : 2;
    unsigned int reg_01_start_y_rect0                       :13;
    unsigned int reserved_1                                 : 3;
};
#define osd_kv_rect_p0_01_04(val) ((rs_osd_kv_rect_p0_01_04*)&(val))



#define OSD_KV_RECT_P0_01_08                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0x08)

#define OSD_KV_RECT_P0_01_08_struct                                      rs_osd_kv_rect_p0_01_08

typedef struct _rs_osd_kv_rect_p0_01_08  rs_osd_kv_rect_p0_01_08;
struct _rs_osd_kv_rect_p0_01_08 {
    unsigned int reg_01_size_x_rect0                        :14;
    unsigned int reserved                                   : 2;
    unsigned int reg_01_size_y_rect0                        :13;
    unsigned int reserved_1                                 : 3;
};
#define osd_kv_rect_p0_01_08(val) ((rs_osd_kv_rect_p0_01_08*)&(val))



#define OSD_KV_RECT_P0_01_0C                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0x0C)

#define OSD_KV_RECT_P0_01_0C_struct                                      rs_osd_kv_rect_p0_01_0c

typedef struct _rs_osd_kv_rect_p0_01_0c  rs_osd_kv_rect_p0_01_0c;
struct _rs_osd_kv_rect_p0_01_0c {
    unsigned int reg_01_border_color0_rect0                 :16;
    unsigned int reg_01_border_color1_rect0                 :16;
};
#define osd_kv_rect_p0_01_0c(val) ((rs_osd_kv_rect_p0_01_0c*)&(val))



#define OSD_KV_RECT_P0_01_10                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0x10)

#define OSD_KV_RECT_P0_01_10_struct                                      rs_osd_kv_rect_p0_01_10

typedef struct _rs_osd_kv_rect_p0_01_10  rs_osd_kv_rect_p0_01_10;
struct _rs_osd_kv_rect_p0_01_10 {
    unsigned int reg_01_border_color2_rect0                 :16;
    unsigned int reg_01_border_color3_rect0                 :16;
};
#define osd_kv_rect_p0_01_10(val) ((rs_osd_kv_rect_p0_01_10*)&(val))



#define OSD_KV_RECT_P0_01_14                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0x14)

#define OSD_KV_RECT_P0_01_14_struct                                      rs_osd_kv_rect_p0_01_14

typedef struct _rs_osd_kv_rect_p0_01_14  rs_osd_kv_rect_p0_01_14;
struct _rs_osd_kv_rect_p0_01_14 {
    unsigned int reg_01_shadow_color_rect0                  :16;
    unsigned int reserved                                   : 8;
    unsigned int reg_01_gradient_type_rect0                 : 8;
};
#define osd_kv_rect_p0_01_14(val) ((rs_osd_kv_rect_p0_01_14*)&(val))



#define OSD_KV_RECT_P0_01_18                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0x18)

#define OSD_KV_RECT_P0_01_18_struct                                      rs_osd_kv_rect_p0_01_18

typedef struct _rs_osd_kv_rect_p0_01_18  rs_osd_kv_rect_p0_01_18;
struct _rs_osd_kv_rect_p0_01_18 {
    unsigned int reg_01_gradient_step_factor_r_rect0        :10;
    unsigned int reg_01_gradient_step_factor_g_rect0        :10;
    unsigned int reg_01_gradient_step_factor_b_rect0        :10;
    unsigned int reserved                                   : 2;
};
#define osd_kv_rect_p0_01_18(val) ((rs_osd_kv_rect_p0_01_18*)&(val))



#define OSD_KV_RECT_P0_01_1C                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0x1C)

#define OSD_KV_RECT_P0_01_1C_struct                                      rs_osd_kv_rect_p0_01_1c

typedef struct _rs_osd_kv_rect_p0_01_1c  rs_osd_kv_rect_p0_01_1c;
struct _rs_osd_kv_rect_p0_01_1c {
    unsigned int reg_01_bg_start_color_rect0                :16;
    unsigned int reg_01_bg_end_color_rect0                  :16;
};
#define osd_kv_rect_p0_01_1c(val) ((rs_osd_kv_rect_p0_01_1c*)&(val))



#define OSD_KV_RECT_P0_01_20                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0x20)

#define OSD_KV_RECT_P0_01_20_struct                                      rs_osd_kv_rect_p0_01_20

typedef struct _rs_osd_kv_rect_p0_01_20  rs_osd_kv_rect_p0_01_20;
struct _rs_osd_kv_rect_p0_01_20 {
    unsigned int reg_01_enable_rect1                        : 1;
    unsigned int reg_01_border_enable_rect1                 : 1;
    unsigned int reg_01_shadow_enable_rect1                 : 1;
    unsigned int reg_01_gradient_enable_rect1               : 1;
    unsigned int reg_01_fill_rect1                          : 1;
    unsigned int reserved                                   : 3;
    unsigned int reg_01_border_type_rect1                   : 4;
    unsigned int reg_01_border_size_x_rect1                 : 4;
    unsigned int reg_01_border_size_y_rect1                 : 4;
    unsigned int reg_01_shadow_type_rect1                   : 2;
    unsigned int reserved_1                                 : 2;
    unsigned int reg_01_shadow_size_x_rect1                 : 4;
    unsigned int reg_01_shadow_size_y_rect1                 : 4;
};
#define osd_kv_rect_p0_01_20(val) ((rs_osd_kv_rect_p0_01_20*)&(val))



#define OSD_KV_RECT_P0_01_24                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0x24)

#define OSD_KV_RECT_P0_01_24_struct                                      rs_osd_kv_rect_p0_01_24

typedef struct _rs_osd_kv_rect_p0_01_24  rs_osd_kv_rect_p0_01_24;
struct _rs_osd_kv_rect_p0_01_24 {
    unsigned int reg_01_start_x_rect1                       :14;
    unsigned int reserved                                   : 2;
    unsigned int reg_01_start_y_rect1                       :13;
    unsigned int reserved_1                                 : 3;
};
#define osd_kv_rect_p0_01_24(val) ((rs_osd_kv_rect_p0_01_24*)&(val))



#define OSD_KV_RECT_P0_01_28                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0x28)

#define OSD_KV_RECT_P0_01_28_struct                                      rs_osd_kv_rect_p0_01_28

typedef struct _rs_osd_kv_rect_p0_01_28  rs_osd_kv_rect_p0_01_28;
struct _rs_osd_kv_rect_p0_01_28 {
    unsigned int reg_01_size_x_rect1                        :14;
    unsigned int reserved                                   : 2;
    unsigned int reg_01_size_y_rect1                        :13;
    unsigned int reserved_1                                 : 3;
};
#define osd_kv_rect_p0_01_28(val) ((rs_osd_kv_rect_p0_01_28*)&(val))



#define OSD_KV_RECT_P0_01_2C                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0x2C)

#define OSD_KV_RECT_P0_01_2C_struct                                      rs_osd_kv_rect_p0_01_2c

typedef struct _rs_osd_kv_rect_p0_01_2c  rs_osd_kv_rect_p0_01_2c;
struct _rs_osd_kv_rect_p0_01_2c {
    unsigned int reg_01_border_color0_rect1                 :16;
    unsigned int reg_01_border_color1_rect1                 :16;
};
#define osd_kv_rect_p0_01_2c(val) ((rs_osd_kv_rect_p0_01_2c*)&(val))



#define OSD_KV_RECT_P0_01_30                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0x30)

#define OSD_KV_RECT_P0_01_30_struct                                      rs_osd_kv_rect_p0_01_30

typedef struct _rs_osd_kv_rect_p0_01_30  rs_osd_kv_rect_p0_01_30;
struct _rs_osd_kv_rect_p0_01_30 {
    unsigned int reg_01_border_color2_rect1                 :16;
    unsigned int reg_01_border_color3_rect1                 :16;
};
#define osd_kv_rect_p0_01_30(val) ((rs_osd_kv_rect_p0_01_30*)&(val))



#define OSD_KV_RECT_P0_01_34                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0x34)

#define OSD_KV_RECT_P0_01_34_struct                                      rs_osd_kv_rect_p0_01_34

typedef struct _rs_osd_kv_rect_p0_01_34  rs_osd_kv_rect_p0_01_34;
struct _rs_osd_kv_rect_p0_01_34 {
    unsigned int reg_01_shadow_color_rect1                  :16;
    unsigned int reserved                                   : 8;
    unsigned int reg_01_gradient_type_rect1                 : 8;
};
#define osd_kv_rect_p0_01_34(val) ((rs_osd_kv_rect_p0_01_34*)&(val))



#define OSD_KV_RECT_P0_01_38                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0x38)

#define OSD_KV_RECT_P0_01_38_struct                                      rs_osd_kv_rect_p0_01_38

typedef struct _rs_osd_kv_rect_p0_01_38  rs_osd_kv_rect_p0_01_38;
struct _rs_osd_kv_rect_p0_01_38 {
    unsigned int reg_01_gradient_step_factor_r_rect1        :10;
    unsigned int reg_01_gradient_step_factor_g_rect1        :10;
    unsigned int reg_01_gradient_step_factor_b_rect1        :10;
    unsigned int reserved                                   : 2;
};
#define osd_kv_rect_p0_01_38(val) ((rs_osd_kv_rect_p0_01_38*)&(val))



#define OSD_KV_RECT_P0_01_3C                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0x3C)

#define OSD_KV_RECT_P0_01_3C_struct                                      rs_osd_kv_rect_p0_01_3c

typedef struct _rs_osd_kv_rect_p0_01_3c  rs_osd_kv_rect_p0_01_3c;
struct _rs_osd_kv_rect_p0_01_3c {
    unsigned int reg_01_bg_start_color_rect1                :16;
    unsigned int reg_01_bg_end_color_rect1                  :16;
};
#define osd_kv_rect_p0_01_3c(val) ((rs_osd_kv_rect_p0_01_3c*)&(val))



#define OSD_KV_RECT_P0_01_40                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0x40)

#define OSD_KV_RECT_P0_01_40_struct                                      rs_osd_kv_rect_p0_01_40

typedef struct _rs_osd_kv_rect_p0_01_40  rs_osd_kv_rect_p0_01_40;
struct _rs_osd_kv_rect_p0_01_40 {
    unsigned int reg_01_enable_rect2                        : 1;
    unsigned int reg_01_border_enable_rect2                 : 1;
    unsigned int reg_01_shadow_enable_rect2                 : 1;
    unsigned int reg_01_gradient_enable_rect2               : 1;
    unsigned int reg_01_fill_rect2                          : 1;
    unsigned int reserved                                   : 3;
    unsigned int reg_01_border_type_rect2                   : 4;
    unsigned int reg_01_border_size_x_rect2                 : 4;
    unsigned int reg_01_border_size_y_rect2                 : 4;
    unsigned int reg_01_shadow_type_rect2                   : 2;
    unsigned int reserved_1                                 : 2;
    unsigned int reg_01_shadow_size_x_rect2                 : 4;
    unsigned int reg_01_shadow_size_y_rect2                 : 4;
};
#define osd_kv_rect_p0_01_40(val) ((rs_osd_kv_rect_p0_01_40*)&(val))



#define OSD_KV_RECT_P0_01_44                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0x44)

#define OSD_KV_RECT_P0_01_44_struct                                      rs_osd_kv_rect_p0_01_44

typedef struct _rs_osd_kv_rect_p0_01_44  rs_osd_kv_rect_p0_01_44;
struct _rs_osd_kv_rect_p0_01_44 {
    unsigned int reg_01_start_x_rect2                       :14;
    unsigned int reserved                                   : 2;
    unsigned int reg_01_start_y_rect2                       :13;
    unsigned int reserved_1                                 : 3;
};
#define osd_kv_rect_p0_01_44(val) ((rs_osd_kv_rect_p0_01_44*)&(val))



#define OSD_KV_RECT_P0_01_48                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0x48)

#define OSD_KV_RECT_P0_01_48_struct                                      rs_osd_kv_rect_p0_01_48

typedef struct _rs_osd_kv_rect_p0_01_48  rs_osd_kv_rect_p0_01_48;
struct _rs_osd_kv_rect_p0_01_48 {
    unsigned int reg_01_size_x_rect2                        :14;
    unsigned int reserved                                   : 2;
    unsigned int reg_01_size_y_rect2                        :13;
    unsigned int reserved_1                                 : 3;
};
#define osd_kv_rect_p0_01_48(val) ((rs_osd_kv_rect_p0_01_48*)&(val))



#define OSD_KV_RECT_P0_01_4C                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0x4C)

#define OSD_KV_RECT_P0_01_4C_struct                                      rs_osd_kv_rect_p0_01_4c

typedef struct _rs_osd_kv_rect_p0_01_4c  rs_osd_kv_rect_p0_01_4c;
struct _rs_osd_kv_rect_p0_01_4c {
    unsigned int reg_01_border_color0_rect2                 :16;
    unsigned int reg_01_border_color1_rect2                 :16;
};
#define osd_kv_rect_p0_01_4c(val) ((rs_osd_kv_rect_p0_01_4c*)&(val))



#define OSD_KV_RECT_P0_01_50                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0x50)

#define OSD_KV_RECT_P0_01_50_struct                                      rs_osd_kv_rect_p0_01_50

typedef struct _rs_osd_kv_rect_p0_01_50  rs_osd_kv_rect_p0_01_50;
struct _rs_osd_kv_rect_p0_01_50 {
    unsigned int reg_01_border_color2_rect2                 :16;
    unsigned int reg_01_border_color3_rect2                 :16;
};
#define osd_kv_rect_p0_01_50(val) ((rs_osd_kv_rect_p0_01_50*)&(val))



#define OSD_KV_RECT_P0_01_54                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0x54)

#define OSD_KV_RECT_P0_01_54_struct                                      rs_osd_kv_rect_p0_01_54

typedef struct _rs_osd_kv_rect_p0_01_54  rs_osd_kv_rect_p0_01_54;
struct _rs_osd_kv_rect_p0_01_54 {
    unsigned int reg_01_shadow_color_rect2                  :16;
    unsigned int reserved                                   : 8;
    unsigned int reg_01_gradient_type_rect2                 : 8;
};
#define osd_kv_rect_p0_01_54(val) ((rs_osd_kv_rect_p0_01_54*)&(val))



#define OSD_KV_RECT_P0_01_58                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0x58)

#define OSD_KV_RECT_P0_01_58_struct                                      rs_osd_kv_rect_p0_01_58

typedef struct _rs_osd_kv_rect_p0_01_58  rs_osd_kv_rect_p0_01_58;
struct _rs_osd_kv_rect_p0_01_58 {
    unsigned int reg_01_gradient_step_factor_r_rect2        :10;
    unsigned int reg_01_gradient_step_factor_g_rect2        :10;
    unsigned int reg_01_gradient_step_factor_b_rect2        :10;
    unsigned int reserved                                   : 2;
};
#define osd_kv_rect_p0_01_58(val) ((rs_osd_kv_rect_p0_01_58*)&(val))



#define OSD_KV_RECT_P0_01_5C                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0x5C)

#define OSD_KV_RECT_P0_01_5C_struct                                      rs_osd_kv_rect_p0_01_5c

typedef struct _rs_osd_kv_rect_p0_01_5c  rs_osd_kv_rect_p0_01_5c;
struct _rs_osd_kv_rect_p0_01_5c {
    unsigned int reg_01_bg_start_color_rect2                :16;
    unsigned int reg_01_bg_end_color_rect2                  :16;
};
#define osd_kv_rect_p0_01_5c(val) ((rs_osd_kv_rect_p0_01_5c*)&(val))



#define OSD_KV_RECT_P0_01_60                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0x60)

#define OSD_KV_RECT_P0_01_60_struct                                      rs_osd_kv_rect_p0_01_60

typedef struct _rs_osd_kv_rect_p0_01_60  rs_osd_kv_rect_p0_01_60;
struct _rs_osd_kv_rect_p0_01_60 {
    unsigned int reg_01_enable_rect3                        : 1;
    unsigned int reg_01_border_enable_rect3                 : 1;
    unsigned int reg_01_shadow_enable_rect3                 : 1;
    unsigned int reg_01_gradient_enable_rect3               : 1;
    unsigned int reg_01_fill_rect3                          : 1;
    unsigned int reserved                                   : 3;
    unsigned int reg_01_border_type_rect3                   : 4;
    unsigned int reg_01_border_size_x_rect3                 : 4;
    unsigned int reg_01_border_size_y_rect3                 : 4;
    unsigned int reg_01_shadow_type_rect3                   : 2;
    unsigned int reserved_1                                 : 2;
    unsigned int reg_01_shadow_size_x_rect3                 : 4;
    unsigned int reg_01_shadow_size_y_rect3                 : 4;
};
#define osd_kv_rect_p0_01_60(val) ((rs_osd_kv_rect_p0_01_60*)&(val))



#define OSD_KV_RECT_P0_01_64                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0x64)

#define OSD_KV_RECT_P0_01_64_struct                                      rs_osd_kv_rect_p0_01_64

typedef struct _rs_osd_kv_rect_p0_01_64  rs_osd_kv_rect_p0_01_64;
struct _rs_osd_kv_rect_p0_01_64 {
    unsigned int reg_01_start_x_rect3                       :14;
    unsigned int reserved                                   : 2;
    unsigned int reg_01_start_y_rect3                       :13;
    unsigned int reserved_1                                 : 3;
};
#define osd_kv_rect_p0_01_64(val) ((rs_osd_kv_rect_p0_01_64*)&(val))



#define OSD_KV_RECT_P0_01_68                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0x68)

#define OSD_KV_RECT_P0_01_68_struct                                      rs_osd_kv_rect_p0_01_68

typedef struct _rs_osd_kv_rect_p0_01_68  rs_osd_kv_rect_p0_01_68;
struct _rs_osd_kv_rect_p0_01_68 {
    unsigned int reg_01_size_x_rect3                        :14;
    unsigned int reserved                                   : 2;
    unsigned int reg_01_size_y_rect3                        :13;
    unsigned int reserved_1                                 : 3;
};
#define osd_kv_rect_p0_01_68(val) ((rs_osd_kv_rect_p0_01_68*)&(val))



#define OSD_KV_RECT_P0_01_6C                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0x6C)

#define OSD_KV_RECT_P0_01_6C_struct                                      rs_osd_kv_rect_p0_01_6c

typedef struct _rs_osd_kv_rect_p0_01_6c  rs_osd_kv_rect_p0_01_6c;
struct _rs_osd_kv_rect_p0_01_6c {
    unsigned int reg_01_border_color0_rect3                 :16;
    unsigned int reg_01_border_color1_rect3                 :16;
};
#define osd_kv_rect_p0_01_6c(val) ((rs_osd_kv_rect_p0_01_6c*)&(val))



#define OSD_KV_RECT_P0_01_70                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0x70)

#define OSD_KV_RECT_P0_01_70_struct                                      rs_osd_kv_rect_p0_01_70

typedef struct _rs_osd_kv_rect_p0_01_70  rs_osd_kv_rect_p0_01_70;
struct _rs_osd_kv_rect_p0_01_70 {
    unsigned int reg_01_border_color2_rect3                 :16;
    unsigned int reg_01_border_color3_rect3                 :16;
};
#define osd_kv_rect_p0_01_70(val) ((rs_osd_kv_rect_p0_01_70*)&(val))



#define OSD_KV_RECT_P0_01_74                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0x74)

#define OSD_KV_RECT_P0_01_74_struct                                      rs_osd_kv_rect_p0_01_74

typedef struct _rs_osd_kv_rect_p0_01_74  rs_osd_kv_rect_p0_01_74;
struct _rs_osd_kv_rect_p0_01_74 {
    unsigned int reg_01_shadow_color_rect3                  :16;
    unsigned int reserved                                   : 8;
    unsigned int reg_01_gradient_type_rect3                 : 8;
};
#define osd_kv_rect_p0_01_74(val) ((rs_osd_kv_rect_p0_01_74*)&(val))



#define OSD_KV_RECT_P0_01_78                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0x78)

#define OSD_KV_RECT_P0_01_78_struct                                      rs_osd_kv_rect_p0_01_78

typedef struct _rs_osd_kv_rect_p0_01_78  rs_osd_kv_rect_p0_01_78;
struct _rs_osd_kv_rect_p0_01_78 {
    unsigned int reg_01_gradient_step_factor_r_rect3        :10;
    unsigned int reg_01_gradient_step_factor_g_rect3        :10;
    unsigned int reg_01_gradient_step_factor_b_rect3        :10;
    unsigned int reserved                                   : 2;
};
#define osd_kv_rect_p0_01_78(val) ((rs_osd_kv_rect_p0_01_78*)&(val))



#define OSD_KV_RECT_P0_01_7C                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0x7C)

#define OSD_KV_RECT_P0_01_7C_struct                                      rs_osd_kv_rect_p0_01_7c

typedef struct _rs_osd_kv_rect_p0_01_7c  rs_osd_kv_rect_p0_01_7c;
struct _rs_osd_kv_rect_p0_01_7c {
    unsigned int reg_01_bg_start_color_rect3                :16;
    unsigned int reg_01_bg_end_color_rect3                  :16;
};
#define osd_kv_rect_p0_01_7c(val) ((rs_osd_kv_rect_p0_01_7c*)&(val))



#define OSD_KV_RECT_P0_01_80                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0x80)

#define OSD_KV_RECT_P0_01_80_struct                                      rs_osd_kv_rect_p0_01_80

typedef struct _rs_osd_kv_rect_p0_01_80  rs_osd_kv_rect_p0_01_80;
struct _rs_osd_kv_rect_p0_01_80 {
    unsigned int reg_01_enable_rect10                       : 1;
    unsigned int reg_01_border_enable_rect10                : 1;
    unsigned int reg_01_shadow_enable_rect10                : 1;
    unsigned int reg_01_gradient_enable_rect10              : 1;
    unsigned int reg_01_fill_rect10                         : 1;
    unsigned int reserved                                   : 3;
    unsigned int reg_01_border_type_rect10                  : 4;
    unsigned int reg_01_border_size_x_rect10                : 4;
    unsigned int reg_01_border_size_y_rect10                : 4;
    unsigned int reg_01_shadow_type_rect10                  : 2;
    unsigned int reserved_1                                 : 2;
    unsigned int reg_01_shadow_size_x_rect10                : 4;
    unsigned int reg_01_shadow_size_y_rect10                : 4;
};
#define osd_kv_rect_p0_01_80(val) ((rs_osd_kv_rect_p0_01_80*)&(val))



#define OSD_KV_RECT_P0_01_84                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0x84)

#define OSD_KV_RECT_P0_01_84_struct                                      rs_osd_kv_rect_p0_01_84

typedef struct _rs_osd_kv_rect_p0_01_84  rs_osd_kv_rect_p0_01_84;
struct _rs_osd_kv_rect_p0_01_84 {
    unsigned int reg_01_start_x_rect10                      :14;
    unsigned int reserved                                   : 2;
    unsigned int reg_01_start_y_rect10                      :13;
    unsigned int reserved_1                                 : 3;
};
#define osd_kv_rect_p0_01_84(val) ((rs_osd_kv_rect_p0_01_84*)&(val))



#define OSD_KV_RECT_P0_01_88                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0x88)

#define OSD_KV_RECT_P0_01_88_struct                                      rs_osd_kv_rect_p0_01_88

typedef struct _rs_osd_kv_rect_p0_01_88  rs_osd_kv_rect_p0_01_88;
struct _rs_osd_kv_rect_p0_01_88 {
    unsigned int reg_01_size_x_rect10                       :14;
    unsigned int reserved                                   : 2;
    unsigned int reg_01_size_y_rect10                       :13;
    unsigned int reserved_1                                 : 3;
};
#define osd_kv_rect_p0_01_88(val) ((rs_osd_kv_rect_p0_01_88*)&(val))



#define OSD_KV_RECT_P0_01_8C                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0x8C)

#define OSD_KV_RECT_P0_01_8C_struct                                      rs_osd_kv_rect_p0_01_8c

typedef struct _rs_osd_kv_rect_p0_01_8c  rs_osd_kv_rect_p0_01_8c;
struct _rs_osd_kv_rect_p0_01_8c {
    unsigned int reg_01_border_color0_rect10                :16;
    unsigned int reg_01_border_color1_rect10                :16;
};
#define osd_kv_rect_p0_01_8c(val) ((rs_osd_kv_rect_p0_01_8c*)&(val))



#define OSD_KV_RECT_P0_01_90                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0x90)

#define OSD_KV_RECT_P0_01_90_struct                                      rs_osd_kv_rect_p0_01_90

typedef struct _rs_osd_kv_rect_p0_01_90  rs_osd_kv_rect_p0_01_90;
struct _rs_osd_kv_rect_p0_01_90 {
    unsigned int reg_01_border_color2_rect10                :16;
    unsigned int reg_01_border_color3_rect10                :16;
};
#define osd_kv_rect_p0_01_90(val) ((rs_osd_kv_rect_p0_01_90*)&(val))



#define OSD_KV_RECT_P0_01_94                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0x94)

#define OSD_KV_RECT_P0_01_94_struct                                      rs_osd_kv_rect_p0_01_94

typedef struct _rs_osd_kv_rect_p0_01_94  rs_osd_kv_rect_p0_01_94;
struct _rs_osd_kv_rect_p0_01_94 {
    unsigned int reg_01_shadow_color_rect10                 :16;
    unsigned int reserved                                   : 8;
    unsigned int reg_01_gradient_type_rect10                : 8;
};
#define osd_kv_rect_p0_01_94(val) ((rs_osd_kv_rect_p0_01_94*)&(val))



#define OSD_KV_RECT_P0_01_98                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0x98)

#define OSD_KV_RECT_P0_01_98_struct                                      rs_osd_kv_rect_p0_01_98

typedef struct _rs_osd_kv_rect_p0_01_98  rs_osd_kv_rect_p0_01_98;
struct _rs_osd_kv_rect_p0_01_98 {
    unsigned int reg_01_gradient_step_factor_r_rect10       :10;
    unsigned int reg_01_gradient_step_factor_g_rect10       :10;
    unsigned int reg_01_gradient_step_factor_b_rect10       :10;
    unsigned int reserved                                   : 2;
};
#define osd_kv_rect_p0_01_98(val) ((rs_osd_kv_rect_p0_01_98*)&(val))



#define OSD_KV_RECT_P0_01_9C                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0x9C)

#define OSD_KV_RECT_P0_01_9C_struct                                      rs_osd_kv_rect_p0_01_9c

typedef struct _rs_osd_kv_rect_p0_01_9c  rs_osd_kv_rect_p0_01_9c;
struct _rs_osd_kv_rect_p0_01_9c {
    unsigned int reg_01_bg_start_color_rect10               :16;
    unsigned int reg_01_bg_end_color_rect10                 :16;
};
#define osd_kv_rect_p0_01_9c(val) ((rs_osd_kv_rect_p0_01_9c*)&(val))



#define OSD_KV_RECT_P0_01_A0                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0xA0)

#define OSD_KV_RECT_P0_01_A0_struct                                      rs_osd_kv_rect_p0_01_a0

typedef struct _rs_osd_kv_rect_p0_01_a0  rs_osd_kv_rect_p0_01_a0;
struct _rs_osd_kv_rect_p0_01_a0 {
    unsigned int reg_01_enable_rect11                       : 1;
    unsigned int reg_01_border_enable_rect11                : 1;
    unsigned int reg_01_shadow_enable_rect11                : 1;
    unsigned int reg_01_gradient_enable_rect11              : 1;
    unsigned int reg_01_fill_rect11                         : 1;
    unsigned int reserved                                   : 3;
    unsigned int reg_01_border_type_rect11                  : 4;
    unsigned int reg_01_border_size_x_rect11                : 4;
    unsigned int reg_01_border_size_y_rect11                : 4;
    unsigned int reg_01_shadow_type_rect11                  : 2;
    unsigned int reserved_1                                 : 2;
    unsigned int reg_01_shadow_size_x_rect11                : 4;
    unsigned int reg_01_shadow_size_y_rect11                : 4;
};
#define osd_kv_rect_p0_01_a0(val) ((rs_osd_kv_rect_p0_01_a0*)&(val))



#define OSD_KV_RECT_P0_01_A4                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0xA4)

#define OSD_KV_RECT_P0_01_A4_struct                                      rs_osd_kv_rect_p0_01_a4

typedef struct _rs_osd_kv_rect_p0_01_a4  rs_osd_kv_rect_p0_01_a4;
struct _rs_osd_kv_rect_p0_01_a4 {
    unsigned int reg_01_start_x_rect11                      :14;
    unsigned int reserved                                   : 2;
    unsigned int reg_01_start_y_rect11                      :13;
    unsigned int reserved_1                                 : 3;
};
#define osd_kv_rect_p0_01_a4(val) ((rs_osd_kv_rect_p0_01_a4*)&(val))



#define OSD_KV_RECT_P0_01_A8                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0xA8)

#define OSD_KV_RECT_P0_01_A8_struct                                      rs_osd_kv_rect_p0_01_a8

typedef struct _rs_osd_kv_rect_p0_01_a8  rs_osd_kv_rect_p0_01_a8;
struct _rs_osd_kv_rect_p0_01_a8 {
    unsigned int reg_01_size_x_rect11                       :14;
    unsigned int reserved                                   : 2;
    unsigned int reg_01_size_y_rect11                       :13;
    unsigned int reserved_1                                 : 3;
};
#define osd_kv_rect_p0_01_a8(val) ((rs_osd_kv_rect_p0_01_a8*)&(val))



#define OSD_KV_RECT_P0_01_AC                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0xAC)

#define OSD_KV_RECT_P0_01_AC_struct                                      rs_osd_kv_rect_p0_01_ac

typedef struct _rs_osd_kv_rect_p0_01_ac  rs_osd_kv_rect_p0_01_ac;
struct _rs_osd_kv_rect_p0_01_ac {
    unsigned int reg_01_border_color0_rect11                :16;
    unsigned int reg_01_border_color1_rect11                :16;
};
#define osd_kv_rect_p0_01_ac(val) ((rs_osd_kv_rect_p0_01_ac*)&(val))



#define OSD_KV_RECT_P0_01_B0                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0xB0)

#define OSD_KV_RECT_P0_01_B0_struct                                      rs_osd_kv_rect_p0_01_b0

typedef struct _rs_osd_kv_rect_p0_01_b0  rs_osd_kv_rect_p0_01_b0;
struct _rs_osd_kv_rect_p0_01_b0 {
    unsigned int reg_01_border_color2_rect11                :16;
    unsigned int reg_01_border_color3_rect11                :16;
};
#define osd_kv_rect_p0_01_b0(val) ((rs_osd_kv_rect_p0_01_b0*)&(val))



#define OSD_KV_RECT_P0_01_B4                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0xB4)

#define OSD_KV_RECT_P0_01_B4_struct                                      rs_osd_kv_rect_p0_01_b4

typedef struct _rs_osd_kv_rect_p0_01_b4  rs_osd_kv_rect_p0_01_b4;
struct _rs_osd_kv_rect_p0_01_b4 {
    unsigned int reg_01_shadow_color_rect11                 :16;
    unsigned int reserved                                   : 8;
    unsigned int reg_01_gradient_type_rect11                : 8;
};
#define osd_kv_rect_p0_01_b4(val) ((rs_osd_kv_rect_p0_01_b4*)&(val))



#define OSD_KV_RECT_P0_01_B8                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0xB8)

#define OSD_KV_RECT_P0_01_B8_struct                                      rs_osd_kv_rect_p0_01_b8

typedef struct _rs_osd_kv_rect_p0_01_b8  rs_osd_kv_rect_p0_01_b8;
struct _rs_osd_kv_rect_p0_01_b8 {
    unsigned int reg_01_gradient_step_factor_r_rect11       :10;
    unsigned int reg_01_gradient_step_factor_g_rect11       :10;
    unsigned int reg_01_gradient_step_factor_b_rect11       :10;
    unsigned int reserved                                   : 2;
};
#define osd_kv_rect_p0_01_b8(val) ((rs_osd_kv_rect_p0_01_b8*)&(val))



#define OSD_KV_RECT_P0_01_BC                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0xBC)

#define OSD_KV_RECT_P0_01_BC_struct                                      rs_osd_kv_rect_p0_01_bc

typedef struct _rs_osd_kv_rect_p0_01_bc  rs_osd_kv_rect_p0_01_bc;
struct _rs_osd_kv_rect_p0_01_bc {
    unsigned int reg_01_bg_start_color_rect11               :16;
    unsigned int reg_01_bg_end_color_rect11                 :16;
};
#define osd_kv_rect_p0_01_bc(val) ((rs_osd_kv_rect_p0_01_bc*)&(val))



#define OSD_KV_RECT_P0_01_C0                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0xC0)

#define OSD_KV_RECT_P0_01_C0_struct                                      rs_osd_kv_rect_p0_01_c0

typedef struct _rs_osd_kv_rect_p0_01_c0  rs_osd_kv_rect_p0_01_c0;
struct _rs_osd_kv_rect_p0_01_c0 {
    unsigned int reg_01_enable_rect12                       : 1;
    unsigned int reg_01_border_enable_rect12                : 1;
    unsigned int reg_01_shadow_enable_rect12                : 1;
    unsigned int reg_01_gradient_enable_rect12              : 1;
    unsigned int reg_01_fill_rect12                         : 1;
    unsigned int reserved                                   : 3;
    unsigned int reg_01_border_type_rect12                  : 4;
    unsigned int reg_01_border_size_x_rect12                : 4;
    unsigned int reg_01_border_size_y_rect12                : 4;
    unsigned int reg_01_shadow_type_rect12                  : 2;
    unsigned int reserved_1                                 : 2;
    unsigned int reg_01_shadow_size_x_rect12                : 4;
    unsigned int reg_01_shadow_size_y_rect12                : 4;
};
#define osd_kv_rect_p0_01_c0(val) ((rs_osd_kv_rect_p0_01_c0*)&(val))



#define OSD_KV_RECT_P0_01_C4                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0xC4)

#define OSD_KV_RECT_P0_01_C4_struct                                      rs_osd_kv_rect_p0_01_c4

typedef struct _rs_osd_kv_rect_p0_01_c4  rs_osd_kv_rect_p0_01_c4;
struct _rs_osd_kv_rect_p0_01_c4 {
    unsigned int reg_01_start_x_rect12                      :14;
    unsigned int reserved                                   : 2;
    unsigned int reg_01_start_y_rect12                      :13;
    unsigned int reserved_1                                 : 3;
};
#define osd_kv_rect_p0_01_c4(val) ((rs_osd_kv_rect_p0_01_c4*)&(val))



#define OSD_KV_RECT_P0_01_C8                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0xC8)

#define OSD_KV_RECT_P0_01_C8_struct                                      rs_osd_kv_rect_p0_01_c8

typedef struct _rs_osd_kv_rect_p0_01_c8  rs_osd_kv_rect_p0_01_c8;
struct _rs_osd_kv_rect_p0_01_c8 {
    unsigned int reg_01_size_x_rect12                       :14;
    unsigned int reserved                                   : 2;
    unsigned int reg_01_size_y_rect12                       :13;
    unsigned int reserved_1                                 : 3;
};
#define osd_kv_rect_p0_01_c8(val) ((rs_osd_kv_rect_p0_01_c8*)&(val))



#define OSD_KV_RECT_P0_01_CC                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0xCC)

#define OSD_KV_RECT_P0_01_CC_struct                                      rs_osd_kv_rect_p0_01_cc

typedef struct _rs_osd_kv_rect_p0_01_cc  rs_osd_kv_rect_p0_01_cc;
struct _rs_osd_kv_rect_p0_01_cc {
    unsigned int reg_01_border_color0_rect12                :16;
    unsigned int reg_01_border_color1_rect12                :16;
};
#define osd_kv_rect_p0_01_cc(val) ((rs_osd_kv_rect_p0_01_cc*)&(val))



#define OSD_KV_RECT_P0_01_D0                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0xD0)

#define OSD_KV_RECT_P0_01_D0_struct                                      rs_osd_kv_rect_p0_01_d0

typedef struct _rs_osd_kv_rect_p0_01_d0  rs_osd_kv_rect_p0_01_d0;
struct _rs_osd_kv_rect_p0_01_d0 {
    unsigned int reg_01_border_color2_rect12                :16;
    unsigned int reg_01_border_color3_rect12                :16;
};
#define osd_kv_rect_p0_01_d0(val) ((rs_osd_kv_rect_p0_01_d0*)&(val))



#define OSD_KV_RECT_P0_01_D4                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0xD4)

#define OSD_KV_RECT_P0_01_D4_struct                                      rs_osd_kv_rect_p0_01_d4

typedef struct _rs_osd_kv_rect_p0_01_d4  rs_osd_kv_rect_p0_01_d4;
struct _rs_osd_kv_rect_p0_01_d4 {
    unsigned int reg_01_shadow_color_rect12                 :16;
    unsigned int reserved                                   : 8;
    unsigned int reg_01_gradient_type_rect12                : 8;
};
#define osd_kv_rect_p0_01_d4(val) ((rs_osd_kv_rect_p0_01_d4*)&(val))



#define OSD_KV_RECT_P0_01_D8                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0xD8)

#define OSD_KV_RECT_P0_01_D8_struct                                      rs_osd_kv_rect_p0_01_d8

typedef struct _rs_osd_kv_rect_p0_01_d8  rs_osd_kv_rect_p0_01_d8;
struct _rs_osd_kv_rect_p0_01_d8 {
    unsigned int reg_01_gradient_step_factor_r_rect12       :10;
    unsigned int reg_01_gradient_step_factor_g_rect12       :10;
    unsigned int reg_01_gradient_step_factor_b_rect12       :10;
    unsigned int reserved                                   : 2;
};
#define osd_kv_rect_p0_01_d8(val) ((rs_osd_kv_rect_p0_01_d8*)&(val))



#define OSD_KV_RECT_P0_01_DC                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0xDC)

#define OSD_KV_RECT_P0_01_DC_struct                                      rs_osd_kv_rect_p0_01_dc

typedef struct _rs_osd_kv_rect_p0_01_dc  rs_osd_kv_rect_p0_01_dc;
struct _rs_osd_kv_rect_p0_01_dc {
    unsigned int reg_01_bg_start_color_rect12               :16;
    unsigned int reg_01_bg_end_color_rect12                 :16;
};
#define osd_kv_rect_p0_01_dc(val) ((rs_osd_kv_rect_p0_01_dc*)&(val))



#define OSD_KV_RECT_P0_01_E0                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0xE0)

#define OSD_KV_RECT_P0_01_E0_struct                                      rs_osd_kv_rect_p0_01_e0

typedef struct _rs_osd_kv_rect_p0_01_e0  rs_osd_kv_rect_p0_01_e0;
struct _rs_osd_kv_rect_p0_01_e0 {
    unsigned int reg_01_enable_rect13                       : 1;
    unsigned int reg_01_border_enable_rect13                : 1;
    unsigned int reg_01_shadow_enable_rect13                : 1;
    unsigned int reg_01_gradient_enable_rect13              : 1;
    unsigned int reg_01_fill_rect13                         : 1;
    unsigned int reserved                                   : 3;
    unsigned int reg_01_border_type_rect13                  : 4;
    unsigned int reg_01_border_size_x_rect13                : 4;
    unsigned int reg_01_border_size_y_rect13                : 4;
    unsigned int reg_01_shadow_type_rect13                  : 2;
    unsigned int reserved_1                                 : 2;
    unsigned int reg_01_shadow_size_x_rect13                : 4;
    unsigned int reg_01_shadow_size_y_rect13                : 4;
};
#define osd_kv_rect_p0_01_e0(val) ((rs_osd_kv_rect_p0_01_e0*)&(val))



#define OSD_KV_RECT_P0_01_E4                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0xE4)

#define OSD_KV_RECT_P0_01_E4_struct                                      rs_osd_kv_rect_p0_01_e4

typedef struct _rs_osd_kv_rect_p0_01_e4  rs_osd_kv_rect_p0_01_e4;
struct _rs_osd_kv_rect_p0_01_e4 {
    unsigned int reg_01_start_x_rect13                      :14;
    unsigned int reserved                                   : 2;
    unsigned int reg_01_start_y_rect13                      :13;
    unsigned int reserved_1                                 : 3;
};
#define osd_kv_rect_p0_01_e4(val) ((rs_osd_kv_rect_p0_01_e4*)&(val))



#define OSD_KV_RECT_P0_01_E8                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0xE8)

#define OSD_KV_RECT_P0_01_E8_struct                                      rs_osd_kv_rect_p0_01_e8

typedef struct _rs_osd_kv_rect_p0_01_e8  rs_osd_kv_rect_p0_01_e8;
struct _rs_osd_kv_rect_p0_01_e8 {
    unsigned int reg_01_size_x_rect13                       :14;
    unsigned int reserved                                   : 2;
    unsigned int reg_01_size_y_rect13                       :13;
    unsigned int reserved_1                                 : 3;
};
#define osd_kv_rect_p0_01_e8(val) ((rs_osd_kv_rect_p0_01_e8*)&(val))



#define OSD_KV_RECT_P0_01_EC                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0xEC)

#define OSD_KV_RECT_P0_01_EC_struct                                      rs_osd_kv_rect_p0_01_ec

typedef struct _rs_osd_kv_rect_p0_01_ec  rs_osd_kv_rect_p0_01_ec;
struct _rs_osd_kv_rect_p0_01_ec {
    unsigned int reg_01_border_color0_rect13                :16;
    unsigned int reg_01_border_color1_rect13                :16;
};
#define osd_kv_rect_p0_01_ec(val) ((rs_osd_kv_rect_p0_01_ec*)&(val))



#define OSD_KV_RECT_P0_01_F0                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0xF0)

#define OSD_KV_RECT_P0_01_F0_struct                                      rs_osd_kv_rect_p0_01_f0

typedef struct _rs_osd_kv_rect_p0_01_f0  rs_osd_kv_rect_p0_01_f0;
struct _rs_osd_kv_rect_p0_01_f0 {
    unsigned int reg_01_border_color2_rect13                :16;
    unsigned int reg_01_border_color3_rect13                :16;
};
#define osd_kv_rect_p0_01_f0(val) ((rs_osd_kv_rect_p0_01_f0*)&(val))



#define OSD_KV_RECT_P0_01_F4                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0xF4)

#define OSD_KV_RECT_P0_01_F4_struct                                      rs_osd_kv_rect_p0_01_f4

typedef struct _rs_osd_kv_rect_p0_01_f4  rs_osd_kv_rect_p0_01_f4;
struct _rs_osd_kv_rect_p0_01_f4 {
    unsigned int reg_01_shadow_color_rect13                 :16;
    unsigned int reserved                                   : 8;
    unsigned int reg_01_gradient_type_rect13                : 8;
};
#define osd_kv_rect_p0_01_f4(val) ((rs_osd_kv_rect_p0_01_f4*)&(val))



#define OSD_KV_RECT_P0_01_F8                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0xF8)

#define OSD_KV_RECT_P0_01_F8_struct                                      rs_osd_kv_rect_p0_01_f8

typedef struct _rs_osd_kv_rect_p0_01_f8  rs_osd_kv_rect_p0_01_f8;
struct _rs_osd_kv_rect_p0_01_f8 {
    unsigned int reg_01_gradient_step_factor_r_rect13       :10;
    unsigned int reg_01_gradient_step_factor_g_rect13       :10;
    unsigned int reg_01_gradient_step_factor_b_rect13       :10;
    unsigned int reserved                                   : 2;
};
#define osd_kv_rect_p0_01_f8(val) ((rs_osd_kv_rect_p0_01_f8*)&(val))



#define OSD_KV_RECT_P0_01_FC                                             (HV_KV_RECT_P0_01_BASE_ADDRESS + 0xFC)

#define OSD_KV_RECT_P0_01_FC_struct                                      rs_osd_kv_rect_p0_01_fc

typedef struct _rs_osd_kv_rect_p0_01_fc  rs_osd_kv_rect_p0_01_fc;
struct _rs_osd_kv_rect_p0_01_fc {
    unsigned int reg_01_bg_start_color_rect13               :16;
    unsigned int reg_01_bg_end_color_rect13                 :16;
};
#define osd_kv_rect_p0_01_fc(val) ((rs_osd_kv_rect_p0_01_fc*)&(val))



#endif