#ifndef _HV_PAGE_HT7315_KV_RECT_P6_01_H_
#define _HV_PAGE_HT7315_KV_RECT_P6_01_H_

#ifndef HV_KV_RECT_P6_01_BASE_ADDRESS
    #define HV_KV_RECT_P6_01_BASE_ADDRESS                                         0x11063E00
#endif


#define OSD_KV_RECT_P6_01_00                                             (HV_KV_RECT_P6_01_BASE_ADDRESS + 0x00)

#define OSD_KV_RECT_P6_01_00_struct                                      rs_osd_kv_rect_p6_01_00

typedef struct _rs_osd_kv_rect_p6_01_00  rs_osd_kv_rect_p6_01_00;
struct _rs_osd_kv_rect_p6_01_00 {
    unsigned int reg_01_hs_select                           : 2;
    unsigned int reg_01_vs_select                           : 1;
    unsigned int reserved                                   : 4;
    unsigned int reg_01_win_timing_enable                   : 1;
    unsigned int reserved_1                                 :16;
    unsigned int reg_01_win_hs_dly                          : 8;
};
#define osd_kv_rect_p6_01_00(val) ((rs_osd_kv_rect_p6_01_00*)&(val))



#define OSD_KV_RECT_P6_01_04                                             (HV_KV_RECT_P6_01_BASE_ADDRESS + 0x04)

#define OSD_KV_RECT_P6_01_04_struct                                      rs_osd_kv_rect_p6_01_04

typedef struct _rs_osd_kv_rect_p6_01_04  rs_osd_kv_rect_p6_01_04;
struct _rs_osd_kv_rect_p6_01_04 {
    unsigned int reg_01_win_stax                            :14;
    unsigned int reserved                                   : 2;
    unsigned int reg_01_win_stay                            :13;
    unsigned int reserved_1                                 : 3;
};
#define osd_kv_rect_p6_01_04(val) ((rs_osd_kv_rect_p6_01_04*)&(val))



#define OSD_KV_RECT_P6_01_08                                             (HV_KV_RECT_P6_01_BASE_ADDRESS + 0x08)

#define OSD_KV_RECT_P6_01_08_struct                                      rs_osd_kv_rect_p6_01_08

typedef struct _rs_osd_kv_rect_p6_01_08  rs_osd_kv_rect_p6_01_08;
struct _rs_osd_kv_rect_p6_01_08 {
    unsigned int reg_01_win_sizex                           :14;
    unsigned int reserved                                   : 1;
    unsigned int reg_01_win_sizey                           :13;
    unsigned int reg_01_win_dlyy                            : 4;
};
#define osd_kv_rect_p6_01_08(val) ((rs_osd_kv_rect_p6_01_08*)&(val))



#define OSD_KV_RECT_P6_01_0C                                             (HV_KV_RECT_P6_01_BASE_ADDRESS + 0x0C)

#define OSD_KV_RECT_P6_01_0C_struct                                      rs_osd_kv_rect_p6_01_0c

typedef struct _rs_osd_kv_rect_p6_01_0c  rs_osd_kv_rect_p6_01_0c;
struct _rs_osd_kv_rect_p6_01_0c {
    unsigned int reg_01_rect_line_priority_ctrl             : 2;
    unsigned int reg_01_rect_priority_ctrl                  : 2;
    unsigned int reserved                                   : 2;
    unsigned int reg_01_enable_bg                           : 1;
    unsigned int reg_01_disable_sw                          : 1;
    unsigned int reg_01_alpha                               : 8;
    unsigned int reg_01_bg_color                            :16;
};
#define osd_kv_rect_p6_01_0c(val) ((rs_osd_kv_rect_p6_01_0c*)&(val))



#define OSD_KV_RECT_P6_01_10                                             (HV_KV_RECT_P6_01_BASE_ADDRESS + 0x10)

#define OSD_KV_RECT_P6_01_10_struct                                      rs_osd_kv_rect_p6_01_10

typedef struct _rs_osd_kv_rect_p6_01_10  rs_osd_kv_rect_p6_01_10;
struct _rs_osd_kv_rect_p6_01_10 {
    unsigned int reserved                                   :24;
    unsigned int reg_01_bg_alpha                            : 8;
};
#define osd_kv_rect_p6_01_10(val) ((rs_osd_kv_rect_p6_01_10*)&(val))



#define OSD_KV_RECT_P6_01_14                                             (HV_KV_RECT_P6_01_BASE_ADDRESS + 0x14)

#define OSD_KV_RECT_P6_01_14_struct                                      rs_osd_kv_rect_p6_01_14

typedef struct _rs_osd_kv_rect_p6_01_14  rs_osd_kv_rect_p6_01_14;
struct _rs_osd_kv_rect_p6_01_14 {
    unsigned int reg_01_win_bd_r                            : 8;
    unsigned int reg_01_win_bd_g                            : 8;
    unsigned int reg_01_win_bd_b                            : 8;
    unsigned int reserved                                   : 7;
    unsigned int reg_01_win_bd_ctrl                         : 1;
};
#define osd_kv_rect_p6_01_14(val) ((rs_osd_kv_rect_p6_01_14*)&(val))



#endif