#ifndef _HV_PAGE_HT7315_KV_WIN_P2_03_H_
#define _HV_PAGE_HT7315_KV_WIN_P2_03_H_

#ifndef HV_KV_WIN_P2_03_BASE_ADDRESS
    #define HV_KV_WIN_P2_03_BASE_ADDRESS                                         0x11062A00
#endif


#define OSD_KV_WIN_P2_03_40                                              (HV_KV_WIN_P2_03_BASE_ADDRESS + 0x40)

#define OSD_KV_WIN_P2_03_40_struct                                       rs_osd_kv_win_p2_03_40

typedef struct _rs_osd_kv_win_p2_03_40  rs_osd_kv_win_p2_03_40;
struct _rs_osd_kv_win_p2_03_40 {
    unsigned int reg_03_num_h_line01                        : 4;
    unsigned int reg_03_num_v_line01                        : 4;
    unsigned int reg_03_hl_num_h_0_line01                   : 4;
    unsigned int reg_03_hl_num_v_0_line01                   : 4;
    unsigned int reg_03_h_space_line01                      : 8;
    unsigned int reg_03_v_space_line01                      : 8;
};
#define osd_kv_win_p2_03_40(val) ((rs_osd_kv_win_p2_03_40*)&(val))



#define OSD_KV_WIN_P2_03_44                                              (HV_KV_WIN_P2_03_BASE_ADDRESS + 0x44)

#define OSD_KV_WIN_P2_03_44_struct                                       rs_osd_kv_win_p2_03_44

typedef struct _rs_osd_kv_win_p2_03_44  rs_osd_kv_win_p2_03_44;
struct _rs_osd_kv_win_p2_03_44 {
    unsigned int reg_03_start_x_line01                      :14;
    unsigned int reserved                                   : 2;
    unsigned int reg_03_start_y_line01                      :13;
    unsigned int reserved_1                                 : 3;
};
#define osd_kv_win_p2_03_44(val) ((rs_osd_kv_win_p2_03_44*)&(val))



#define OSD_KV_WIN_P2_03_48                                              (HV_KV_WIN_P2_03_BASE_ADDRESS + 0x48)

#define OSD_KV_WIN_P2_03_48_struct                                       rs_osd_kv_win_p2_03_48

typedef struct _rs_osd_kv_win_p2_03_48  rs_osd_kv_win_p2_03_48;
struct _rs_osd_kv_win_p2_03_48 {
    unsigned int reg_03_size_x                              :14;
    unsigned int reserved                                   : 2;
    unsigned int reg_03_size_y                              :13;
    unsigned int reserved_1                                 : 3;
};
#define osd_kv_win_p2_03_48(val) ((rs_osd_kv_win_p2_03_48*)&(val))



#define OSD_KV_WIN_P2_03_4C                                              (HV_KV_WIN_P2_03_BASE_ADDRESS + 0x4C)

#define OSD_KV_WIN_P2_03_4C_struct                                       rs_osd_kv_win_p2_03_4c

typedef struct _rs_osd_kv_win_p2_03_4c  rs_osd_kv_win_p2_03_4c;
struct _rs_osd_kv_win_p2_03_4c {
    unsigned int reg_03_enable0_line0                       : 1;
    unsigned int reg_03_fill_line0                          : 1;
    unsigned int reserved                                   :18;
    unsigned int reg_03_hl_num_h_1_line01                   : 4;
    unsigned int reg_03_hl_num_v_1_line01                   : 4;
    unsigned int reg_03_hl_mode_select_line01               : 2;
    unsigned int reg_03_hl_mode_h_line01                    : 1;
    unsigned int reg_03_hl_mode_v_line01                    : 1;
};
#define osd_kv_win_p2_03_4c(val) ((rs_osd_kv_win_p2_03_4c*)&(val))



#define OSD_KV_WIN_P2_03_50                                              (HV_KV_WIN_P2_03_BASE_ADDRESS + 0x50)

#define OSD_KV_WIN_P2_03_50_struct                                       rs_osd_kv_win_p2_03_50

typedef struct _rs_osd_kv_win_p2_03_50  rs_osd_kv_win_p2_03_50;
struct _rs_osd_kv_win_p2_03_50 {
    unsigned int reg_03_color00_line0                       :16;
    unsigned int reg_03_color01_line0                       :16;
};
#define osd_kv_win_p2_03_50(val) ((rs_osd_kv_win_p2_03_50*)&(val))



#define OSD_KV_WIN_P2_03_54                                              (HV_KV_WIN_P2_03_BASE_ADDRESS + 0x54)

#define OSD_KV_WIN_P2_03_54_struct                                       rs_osd_kv_win_p2_03_54

typedef struct _rs_osd_kv_win_p2_03_54  rs_osd_kv_win_p2_03_54;
struct _rs_osd_kv_win_p2_03_54 {
    unsigned int reg_03_enable1_line1                       : 1;
    unsigned int reg_03_fill_line1                          : 1;
    unsigned int reserved                                   :30;
};
#define osd_kv_win_p2_03_54(val) ((rs_osd_kv_win_p2_03_54*)&(val))



#define OSD_KV_WIN_P2_03_58                                              (HV_KV_WIN_P2_03_BASE_ADDRESS + 0x58)

#define OSD_KV_WIN_P2_03_58_struct                                       rs_osd_kv_win_p2_03_58

typedef struct _rs_osd_kv_win_p2_03_58  rs_osd_kv_win_p2_03_58;
struct _rs_osd_kv_win_p2_03_58 {
    unsigned int reg_03_color10_line1                       :16;
    unsigned int reg_03_color11_line1                       :16;
};
#define osd_kv_win_p2_03_58(val) ((rs_osd_kv_win_p2_03_58*)&(val))



#define OSD_KV_WIN_P2_03_60                                              (HV_KV_WIN_P2_03_BASE_ADDRESS + 0x60)

#define OSD_KV_WIN_P2_03_60_struct                                       rs_osd_kv_win_p2_03_60

typedef struct _rs_osd_kv_win_p2_03_60  rs_osd_kv_win_p2_03_60;
struct _rs_osd_kv_win_p2_03_60 {
    unsigned int reg_03_num_h_line23                        : 4;
    unsigned int reg_03_num_v_line23                        : 4;
    unsigned int reg_03_hl_num_h_0_line23                   : 4;
    unsigned int reg_03_hl_num_v_0_line23                   : 4;
    unsigned int reg_03_h_space_line23                      : 8;
    unsigned int reg_03_v_space_line23                      : 8;
};
#define osd_kv_win_p2_03_60(val) ((rs_osd_kv_win_p2_03_60*)&(val))



#define OSD_KV_WIN_P2_03_64                                              (HV_KV_WIN_P2_03_BASE_ADDRESS + 0x64)

#define OSD_KV_WIN_P2_03_64_struct                                       rs_osd_kv_win_p2_03_64

typedef struct _rs_osd_kv_win_p2_03_64  rs_osd_kv_win_p2_03_64;
struct _rs_osd_kv_win_p2_03_64 {
    unsigned int reg_03_start_x_line23                      :14;
    unsigned int reserved                                   : 2;
    unsigned int reg_03_start_y_line23                      :13;
    unsigned int reserved_1                                 : 3;
};
#define osd_kv_win_p2_03_64(val) ((rs_osd_kv_win_p2_03_64*)&(val))



#define OSD_KV_WIN_P2_03_68                                              (HV_KV_WIN_P2_03_BASE_ADDRESS + 0x68)

#define OSD_KV_WIN_P2_03_68_struct                                       rs_osd_kv_win_p2_03_68

typedef struct _rs_osd_kv_win_p2_03_68  rs_osd_kv_win_p2_03_68;
struct _rs_osd_kv_win_p2_03_68 {
    unsigned int reg_03_size_x_line23                       :14;
    unsigned int reserved                                   : 2;
    unsigned int reg_03_size_y_line23                       :13;
    unsigned int reserved_1                                 : 3;
};
#define osd_kv_win_p2_03_68(val) ((rs_osd_kv_win_p2_03_68*)&(val))



#define OSD_KV_WIN_P2_03_6C                                              (HV_KV_WIN_P2_03_BASE_ADDRESS + 0x6C)

#define OSD_KV_WIN_P2_03_6C_struct                                       rs_osd_kv_win_p2_03_6c

typedef struct _rs_osd_kv_win_p2_03_6c  rs_osd_kv_win_p2_03_6c;
struct _rs_osd_kv_win_p2_03_6c {
    unsigned int reg_03_enable0_line2                       : 1;
    unsigned int reg_03_fill_line2                          : 1;
    unsigned int reserved                                   :18;
    unsigned int reg_03_hl_num_h_1_line23                   : 4;
    unsigned int reg_03_hl_num_v_1_line23                   : 4;
    unsigned int reg_03_hl_mode_select_line23               : 2;
    unsigned int reg_03_hl_mode_h_line23                    : 1;
    unsigned int reg_03_hl_mode_v_line23                    : 1;
};
#define osd_kv_win_p2_03_6c(val) ((rs_osd_kv_win_p2_03_6c*)&(val))



#define OSD_KV_WIN_P2_03_70                                              (HV_KV_WIN_P2_03_BASE_ADDRESS + 0x70)

#define OSD_KV_WIN_P2_03_70_struct                                       rs_osd_kv_win_p2_03_70

typedef struct _rs_osd_kv_win_p2_03_70  rs_osd_kv_win_p2_03_70;
struct _rs_osd_kv_win_p2_03_70 {
    unsigned int reg_03_color00_line2                       :16;
    unsigned int reg_03_color01_line2                       :16;
};
#define osd_kv_win_p2_03_70(val) ((rs_osd_kv_win_p2_03_70*)&(val))



#define OSD_KV_WIN_P2_03_74                                              (HV_KV_WIN_P2_03_BASE_ADDRESS + 0x74)

#define OSD_KV_WIN_P2_03_74_struct                                       rs_osd_kv_win_p2_03_74

typedef struct _rs_osd_kv_win_p2_03_74  rs_osd_kv_win_p2_03_74;
struct _rs_osd_kv_win_p2_03_74 {
    unsigned int reg_03_enable1_line3                       : 1;
    unsigned int reg_03_fill_line3                          : 1;
    unsigned int reserved                                   :30;
};
#define osd_kv_win_p2_03_74(val) ((rs_osd_kv_win_p2_03_74*)&(val))



#define OSD_KV_WIN_P2_03_78                                              (HV_KV_WIN_P2_03_BASE_ADDRESS + 0x78)

#define OSD_KV_WIN_P2_03_78_struct                                       rs_osd_kv_win_p2_03_78

typedef struct _rs_osd_kv_win_p2_03_78  rs_osd_kv_win_p2_03_78;
struct _rs_osd_kv_win_p2_03_78 {
    unsigned int reg_03_color10_line3                       :16;
    unsigned int reg_03_color11_line3                       :16;
};
#define osd_kv_win_p2_03_78(val) ((rs_osd_kv_win_p2_03_78*)&(val))



#endif