#ifndef _HV_PAGE_HT7315_KV_WIN_P4_03_H_
#define _HV_PAGE_HT7315_KV_WIN_P4_03_H_

#ifndef HV_KV_WIN_P4_03_BASE_ADDRESS
    #define HV_KV_WIN_P4_03_BASE_ADDRESS                                         0x11062C00
#endif


#define OSD_KV_WIN_P4_03_00                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0x00)

#define OSD_KV_WIN_P4_03_00_struct                                       rs_osd_kv_win_p4_03_00

typedef struct _rs_osd_kv_win_p4_03_00  rs_osd_kv_win_p4_03_00;
struct _rs_osd_kv_win_p4_03_00 {
    unsigned int reg_03_enable_rect0                        : 1;
    unsigned int reg_03_border_enable_rect0                 : 1;
    unsigned int reg_03_shadow_enable_rect0                 : 1;
    unsigned int reg_03_gradient_enable_rect0               : 1;
    unsigned int reg_03_fill_enable_rect0                   : 1;
    unsigned int reserved                                   : 3;
    unsigned int reg_03_border_type_rect0                   : 4;
    unsigned int reg_03_border_size_x_rect0                 : 4;
    unsigned int reg_03_border_size_y_rect0                 : 4;
    unsigned int reg_03_shadow_type_rect0                   : 2;
    unsigned int reserved_1                                 : 2;
    unsigned int reg_03_shadow_size_x_rect0                 : 4;
    unsigned int reg_03_shadow_size_y_rect0                 : 4;
};
#define osd_kv_win_p4_03_00(val) ((rs_osd_kv_win_p4_03_00*)&(val))



#define OSD_KV_WIN_P4_03_04                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0x04)

#define OSD_KV_WIN_P4_03_04_struct                                       rs_osd_kv_win_p4_03_04

typedef struct _rs_osd_kv_win_p4_03_04  rs_osd_kv_win_p4_03_04;
struct _rs_osd_kv_win_p4_03_04 {
    unsigned int reg_03_start_x_rect0                       :14;
    unsigned int reserved                                   : 2;
    unsigned int reg_03_start_y_rect0                       :13;
    unsigned int reserved_1                                 : 3;
};
#define osd_kv_win_p4_03_04(val) ((rs_osd_kv_win_p4_03_04*)&(val))



#define OSD_KV_WIN_P4_03_08                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0x08)

#define OSD_KV_WIN_P4_03_08_struct                                       rs_osd_kv_win_p4_03_08

typedef struct _rs_osd_kv_win_p4_03_08  rs_osd_kv_win_p4_03_08;
struct _rs_osd_kv_win_p4_03_08 {
    unsigned int reg_03_size_x_rect0                        :14;
    unsigned int reserved                                   : 2;
    unsigned int reg_03_size_y_rect0                        :13;
    unsigned int reserved_1                                 : 3;
};
#define osd_kv_win_p4_03_08(val) ((rs_osd_kv_win_p4_03_08*)&(val))



#define OSD_KV_WIN_P4_03_0C                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0x0C)

#define OSD_KV_WIN_P4_03_0C_struct                                       rs_osd_kv_win_p4_03_0c

typedef struct _rs_osd_kv_win_p4_03_0c  rs_osd_kv_win_p4_03_0c;
struct _rs_osd_kv_win_p4_03_0c {
    unsigned int reg_03_border_color0_rect0                 :16;
    unsigned int reg_03_border_color1_rect0                 :16;
};
#define osd_kv_win_p4_03_0c(val) ((rs_osd_kv_win_p4_03_0c*)&(val))



#define OSD_KV_WIN_P4_03_10                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0x10)

#define OSD_KV_WIN_P4_03_10_struct                                       rs_osd_kv_win_p4_03_10

typedef struct _rs_osd_kv_win_p4_03_10  rs_osd_kv_win_p4_03_10;
struct _rs_osd_kv_win_p4_03_10 {
    unsigned int reg_03_border_color2_rect0                 :16;
    unsigned int reg_03_border_color3_rect0                 :16;
};
#define osd_kv_win_p4_03_10(val) ((rs_osd_kv_win_p4_03_10*)&(val))



#define OSD_KV_WIN_P4_03_14                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0x14)

#define OSD_KV_WIN_P4_03_14_struct                                       rs_osd_kv_win_p4_03_14

typedef struct _rs_osd_kv_win_p4_03_14  rs_osd_kv_win_p4_03_14;
struct _rs_osd_kv_win_p4_03_14 {
    unsigned int reg_03_shadow_color_rect0                  :16;
    unsigned int reserved                                   : 8;
    unsigned int reg_03_gradient_type_rect0                 : 8;
};
#define osd_kv_win_p4_03_14(val) ((rs_osd_kv_win_p4_03_14*)&(val))



#define OSD_KV_WIN_P4_03_18                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0x18)

#define OSD_KV_WIN_P4_03_18_struct                                       rs_osd_kv_win_p4_03_18

typedef struct _rs_osd_kv_win_p4_03_18  rs_osd_kv_win_p4_03_18;
struct _rs_osd_kv_win_p4_03_18 {
    unsigned int reg_03_gradient_step_factor_r_rect0        :10;
    unsigned int reg_03_gradient_step_factor_g_rect0        :10;
    unsigned int reg_03_gradient_step_factor_b_rect0        :10;
    unsigned int reserved                                   : 2;
};
#define osd_kv_win_p4_03_18(val) ((rs_osd_kv_win_p4_03_18*)&(val))



#define OSD_KV_WIN_P4_03_1C                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0x1C)

#define OSD_KV_WIN_P4_03_1C_struct                                       rs_osd_kv_win_p4_03_1c

typedef struct _rs_osd_kv_win_p4_03_1c  rs_osd_kv_win_p4_03_1c;
struct _rs_osd_kv_win_p4_03_1c {
    unsigned int reg_03_bg_start_color_rect0                :16;
    unsigned int reg_03_bg_end_color_rect0                  :16;
};
#define osd_kv_win_p4_03_1c(val) ((rs_osd_kv_win_p4_03_1c*)&(val))



#define OSD_KV_WIN_P4_03_20                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0x20)

#define OSD_KV_WIN_P4_03_20_struct                                       rs_osd_kv_win_p4_03_20

typedef struct _rs_osd_kv_win_p4_03_20  rs_osd_kv_win_p4_03_20;
struct _rs_osd_kv_win_p4_03_20 {
    unsigned int reg_03_enable_rect1                        : 1;
    unsigned int reg_03_border_enable_rect1                 : 1;
    unsigned int reg_03_shadow_enable_rect1                 : 1;
    unsigned int reg_03_gradient_enable_rect1               : 1;
    unsigned int reg_03_filling_enable_rect1                : 1;
    unsigned int reserved                                   : 3;
    unsigned int reg_03_border_type_rect1                   : 4;
    unsigned int reg_03_border_size_x_rect1                 : 4;
    unsigned int reg_03_border_size_y_rect1                 : 4;
    unsigned int reg_03_shadow_type_rect1                   : 2;
    unsigned int reserved_1                                 : 2;
    unsigned int reg_03_shadow_size_x_rect1                 : 4;
    unsigned int reg_03_shadow_size_y_rect1                 : 4;
};
#define osd_kv_win_p4_03_20(val) ((rs_osd_kv_win_p4_03_20*)&(val))



#define OSD_KV_WIN_P4_03_24                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0x24)

#define OSD_KV_WIN_P4_03_24_struct                                       rs_osd_kv_win_p4_03_24

typedef struct _rs_osd_kv_win_p4_03_24  rs_osd_kv_win_p4_03_24;
struct _rs_osd_kv_win_p4_03_24 {
    unsigned int reg_03_start_x_rect1                       :14;
    unsigned int reserved                                   : 2;
    unsigned int reg_03_start_y_rect1                       :13;
    unsigned int reserved_1                                 : 3;
};
#define osd_kv_win_p4_03_24(val) ((rs_osd_kv_win_p4_03_24*)&(val))



#define OSD_KV_WIN_P4_03_28                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0x28)

#define OSD_KV_WIN_P4_03_28_struct                                       rs_osd_kv_win_p4_03_28

typedef struct _rs_osd_kv_win_p4_03_28  rs_osd_kv_win_p4_03_28;
struct _rs_osd_kv_win_p4_03_28 {
    unsigned int reg_03_size_x_rect1                        :14;
    unsigned int reserved                                   : 2;
    unsigned int reg_03_size_y_rect1                        :13;
    unsigned int reserved_1                                 : 3;
};
#define osd_kv_win_p4_03_28(val) ((rs_osd_kv_win_p4_03_28*)&(val))



#define OSD_KV_WIN_P4_03_2C                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0x2C)

#define OSD_KV_WIN_P4_03_2C_struct                                       rs_osd_kv_win_p4_03_2c

typedef struct _rs_osd_kv_win_p4_03_2c  rs_osd_kv_win_p4_03_2c;
struct _rs_osd_kv_win_p4_03_2c {
    unsigned int reg_03_border_color0_rect1                 :16;
    unsigned int reg_03_border_color1_rect1                 :16;
};
#define osd_kv_win_p4_03_2c(val) ((rs_osd_kv_win_p4_03_2c*)&(val))



#define OSD_KV_WIN_P4_03_30                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0x30)

#define OSD_KV_WIN_P4_03_30_struct                                       rs_osd_kv_win_p4_03_30

typedef struct _rs_osd_kv_win_p4_03_30  rs_osd_kv_win_p4_03_30;
struct _rs_osd_kv_win_p4_03_30 {
    unsigned int reg_03_border_color2_rect1                 :16;
    unsigned int reg_03_border_color3_rect1                 :16;
};
#define osd_kv_win_p4_03_30(val) ((rs_osd_kv_win_p4_03_30*)&(val))



#define OSD_KV_WIN_P4_03_34                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0x34)

#define OSD_KV_WIN_P4_03_34_struct                                       rs_osd_kv_win_p4_03_34

typedef struct _rs_osd_kv_win_p4_03_34  rs_osd_kv_win_p4_03_34;
struct _rs_osd_kv_win_p4_03_34 {
    unsigned int reg_03_shadow_color_rect1                  :16;
    unsigned int reserved                                   : 8;
    unsigned int reg_03_gradient_type_rect1                 : 8;
};
#define osd_kv_win_p4_03_34(val) ((rs_osd_kv_win_p4_03_34*)&(val))



#define OSD_KV_WIN_P4_03_38                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0x38)

#define OSD_KV_WIN_P4_03_38_struct                                       rs_osd_kv_win_p4_03_38

typedef struct _rs_osd_kv_win_p4_03_38  rs_osd_kv_win_p4_03_38;
struct _rs_osd_kv_win_p4_03_38 {
    unsigned int reg_03_gradient_step_factor_r_rect1        :10;
    unsigned int reg_03_gradient_step_factor_g_rect1        :10;
    unsigned int reg_03_gradient_step_factor_b_rect1        :10;
    unsigned int reserved                                   : 2;
};
#define osd_kv_win_p4_03_38(val) ((rs_osd_kv_win_p4_03_38*)&(val))



#define OSD_KV_WIN_P4_03_3C                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0x3C)

#define OSD_KV_WIN_P4_03_3C_struct                                       rs_osd_kv_win_p4_03_3c

typedef struct _rs_osd_kv_win_p4_03_3c  rs_osd_kv_win_p4_03_3c;
struct _rs_osd_kv_win_p4_03_3c {
    unsigned int reg_03_bg_start_color_rect1                :16;
    unsigned int reg_03_bg_end_color_rect1                  :16;
};
#define osd_kv_win_p4_03_3c(val) ((rs_osd_kv_win_p4_03_3c*)&(val))



#define OSD_KV_WIN_P4_03_40                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0x40)

#define OSD_KV_WIN_P4_03_40_struct                                       rs_osd_kv_win_p4_03_40

typedef struct _rs_osd_kv_win_p4_03_40  rs_osd_kv_win_p4_03_40;
struct _rs_osd_kv_win_p4_03_40 {
    unsigned int reg_03_enable_rect2                        : 1;
    unsigned int reg_03_border_enable_rect2                 : 1;
    unsigned int reg_03_shadow_enable_rect2                 : 1;
    unsigned int reg_03_gradient_enable_rect2               : 1;
    unsigned int reg_03_filling_enable_rect2                : 1;
    unsigned int reserved                                   : 3;
    unsigned int reg_03_border_type_rect2                   : 4;
    unsigned int reg_03_border_size_x_rect2                 : 4;
    unsigned int reg_03_border_size_y_rect2                 : 4;
    unsigned int reg_03_shadow_type_rect2                   : 2;
    unsigned int reserved_1                                 : 2;
    unsigned int reg_03_shadow_size_x_rect2                 : 4;
    unsigned int reg_03_shadow_size_y_rect2                 : 4;
};
#define osd_kv_win_p4_03_40(val) ((rs_osd_kv_win_p4_03_40*)&(val))



#define OSD_KV_WIN_P4_03_44                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0x44)

#define OSD_KV_WIN_P4_03_44_struct                                       rs_osd_kv_win_p4_03_44

typedef struct _rs_osd_kv_win_p4_03_44  rs_osd_kv_win_p4_03_44;
struct _rs_osd_kv_win_p4_03_44 {
    unsigned int reg_03_start_x_rect2                       :14;
    unsigned int reserved                                   : 2;
    unsigned int reg_03_start_y_rect2                       :13;
    unsigned int reserved_1                                 : 3;
};
#define osd_kv_win_p4_03_44(val) ((rs_osd_kv_win_p4_03_44*)&(val))



#define OSD_KV_WIN_P4_03_48                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0x48)

#define OSD_KV_WIN_P4_03_48_struct                                       rs_osd_kv_win_p4_03_48

typedef struct _rs_osd_kv_win_p4_03_48  rs_osd_kv_win_p4_03_48;
struct _rs_osd_kv_win_p4_03_48 {
    unsigned int reg_03_size_x_rect2                        :14;
    unsigned int reserved                                   : 2;
    unsigned int reg_03_size_y_rect2                        :13;
    unsigned int reserved_1                                 : 3;
};
#define osd_kv_win_p4_03_48(val) ((rs_osd_kv_win_p4_03_48*)&(val))



#define OSD_KV_WIN_P4_03_4C                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0x4C)

#define OSD_KV_WIN_P4_03_4C_struct                                       rs_osd_kv_win_p4_03_4c

typedef struct _rs_osd_kv_win_p4_03_4c  rs_osd_kv_win_p4_03_4c;
struct _rs_osd_kv_win_p4_03_4c {
    unsigned int reg_03_border_color0_rect2                 :16;
    unsigned int reg_03_border_color1_rect2                 :16;
};
#define osd_kv_win_p4_03_4c(val) ((rs_osd_kv_win_p4_03_4c*)&(val))



#define OSD_KV_WIN_P4_03_50                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0x50)

#define OSD_KV_WIN_P4_03_50_struct                                       rs_osd_kv_win_p4_03_50

typedef struct _rs_osd_kv_win_p4_03_50  rs_osd_kv_win_p4_03_50;
struct _rs_osd_kv_win_p4_03_50 {
    unsigned int reg_03_border_color2_rect2                 :16;
    unsigned int reg_03_border_color3_rect2                 :16;
};
#define osd_kv_win_p4_03_50(val) ((rs_osd_kv_win_p4_03_50*)&(val))



#define OSD_KV_WIN_P4_03_54                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0x54)

#define OSD_KV_WIN_P4_03_54_struct                                       rs_osd_kv_win_p4_03_54

typedef struct _rs_osd_kv_win_p4_03_54  rs_osd_kv_win_p4_03_54;
struct _rs_osd_kv_win_p4_03_54 {
    unsigned int reg_03_shadow_color_rect2                  :16;
    unsigned int reserved                                   : 8;
    unsigned int reg_03_gradient_type_rect2                 : 8;
};
#define osd_kv_win_p4_03_54(val) ((rs_osd_kv_win_p4_03_54*)&(val))



#define OSD_KV_WIN_P4_03_58                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0x58)

#define OSD_KV_WIN_P4_03_58_struct                                       rs_osd_kv_win_p4_03_58

typedef struct _rs_osd_kv_win_p4_03_58  rs_osd_kv_win_p4_03_58;
struct _rs_osd_kv_win_p4_03_58 {
    unsigned int reg_03_gradient_step_factor_r_rect2        :10;
    unsigned int reg_03_gradient_step_factor_g_rect2        :10;
    unsigned int reg_03_gradient_step_factor_b_rect2        :10;
    unsigned int reserved                                   : 2;
};
#define osd_kv_win_p4_03_58(val) ((rs_osd_kv_win_p4_03_58*)&(val))



#define OSD_KV_WIN_P4_03_5C                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0x5C)

#define OSD_KV_WIN_P4_03_5C_struct                                       rs_osd_kv_win_p4_03_5c

typedef struct _rs_osd_kv_win_p4_03_5c  rs_osd_kv_win_p4_03_5c;
struct _rs_osd_kv_win_p4_03_5c {
    unsigned int reg_03_bg_start_color_rect2                :16;
    unsigned int reg_03_bg_end_color_rect2                  :16;
};
#define osd_kv_win_p4_03_5c(val) ((rs_osd_kv_win_p4_03_5c*)&(val))



#define OSD_KV_WIN_P4_03_60                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0x60)

#define OSD_KV_WIN_P4_03_60_struct                                       rs_osd_kv_win_p4_03_60

typedef struct _rs_osd_kv_win_p4_03_60  rs_osd_kv_win_p4_03_60;
struct _rs_osd_kv_win_p4_03_60 {
    unsigned int reg_03_enable_rect3                        : 1;
    unsigned int reg_03_border_enable_rect3                 : 1;
    unsigned int reg_03_shadow_enable_rect3                 : 1;
    unsigned int reg_03_gradient_enable_rect3               : 1;
    unsigned int reg_03_filling_enable_rect3                : 1;
    unsigned int reserved                                   : 3;
    unsigned int reg_03_border_type_rect3                   : 4;
    unsigned int reg_03_border_size_x_rect3                 : 4;
    unsigned int reg_03_border_size_y_rect3                 : 4;
    unsigned int reg_03_shadow_type_rect3                   : 2;
    unsigned int reserved_1                                 : 2;
    unsigned int reg_03_shadow_size_x_rect3                 : 4;
    unsigned int reg_03_shadow_size_y_rect3                 : 4;
};
#define osd_kv_win_p4_03_60(val) ((rs_osd_kv_win_p4_03_60*)&(val))



#define OSD_KV_WIN_P4_03_64                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0x64)

#define OSD_KV_WIN_P4_03_64_struct                                       rs_osd_kv_win_p4_03_64

typedef struct _rs_osd_kv_win_p4_03_64  rs_osd_kv_win_p4_03_64;
struct _rs_osd_kv_win_p4_03_64 {
    unsigned int reg_03_start_x_rect3                       :14;
    unsigned int reserved                                   : 2;
    unsigned int reg_03_start_y_rect3                       :13;
    unsigned int reserved_1                                 : 3;
};
#define osd_kv_win_p4_03_64(val) ((rs_osd_kv_win_p4_03_64*)&(val))



#define OSD_KV_WIN_P4_03_68                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0x68)

#define OSD_KV_WIN_P4_03_68_struct                                       rs_osd_kv_win_p4_03_68

typedef struct _rs_osd_kv_win_p4_03_68  rs_osd_kv_win_p4_03_68;
struct _rs_osd_kv_win_p4_03_68 {
    unsigned int reg_03_size_x_rect3                        :14;
    unsigned int reserved                                   : 2;
    unsigned int reg_03_size_y_rect3                        :13;
    unsigned int reserved_1                                 : 3;
};
#define osd_kv_win_p4_03_68(val) ((rs_osd_kv_win_p4_03_68*)&(val))



#define OSD_KV_WIN_P4_03_6C                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0x6C)

#define OSD_KV_WIN_P4_03_6C_struct                                       rs_osd_kv_win_p4_03_6c

typedef struct _rs_osd_kv_win_p4_03_6c  rs_osd_kv_win_p4_03_6c;
struct _rs_osd_kv_win_p4_03_6c {
    unsigned int reg_03_border_color0_rect3                 :16;
    unsigned int reg_03_border_color1_rect3                 :16;
};
#define osd_kv_win_p4_03_6c(val) ((rs_osd_kv_win_p4_03_6c*)&(val))



#define OSD_KV_WIN_P4_03_70                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0x70)

#define OSD_KV_WIN_P4_03_70_struct                                       rs_osd_kv_win_p4_03_70

typedef struct _rs_osd_kv_win_p4_03_70  rs_osd_kv_win_p4_03_70;
struct _rs_osd_kv_win_p4_03_70 {
    unsigned int reg_03_border_color2_rect3                 :16;
    unsigned int reg_03_border_color3_rect3                 :16;
};
#define osd_kv_win_p4_03_70(val) ((rs_osd_kv_win_p4_03_70*)&(val))



#define OSD_KV_WIN_P4_03_74                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0x74)

#define OSD_KV_WIN_P4_03_74_struct                                       rs_osd_kv_win_p4_03_74

typedef struct _rs_osd_kv_win_p4_03_74  rs_osd_kv_win_p4_03_74;
struct _rs_osd_kv_win_p4_03_74 {
    unsigned int reg_03_shadow_color_rect3                  :16;
    unsigned int reserved                                   : 8;
    unsigned int reg_03_gradient_type_rect3                 : 8;
};
#define osd_kv_win_p4_03_74(val) ((rs_osd_kv_win_p4_03_74*)&(val))



#define OSD_KV_WIN_P4_03_78                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0x78)

#define OSD_KV_WIN_P4_03_78_struct                                       rs_osd_kv_win_p4_03_78

typedef struct _rs_osd_kv_win_p4_03_78  rs_osd_kv_win_p4_03_78;
struct _rs_osd_kv_win_p4_03_78 {
    unsigned int reg_03_gradient_step_factor_r_rect3        :10;
    unsigned int reg_03_gradient_step_factor_g_rect3        :10;
    unsigned int reg_03_gradient_step_factor_b_rect3        :10;
    unsigned int reserved                                   : 2;
};
#define osd_kv_win_p4_03_78(val) ((rs_osd_kv_win_p4_03_78*)&(val))



#define OSD_KV_WIN_P4_03_7C                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0x7C)

#define OSD_KV_WIN_P4_03_7C_struct                                       rs_osd_kv_win_p4_03_7c

typedef struct _rs_osd_kv_win_p4_03_7c  rs_osd_kv_win_p4_03_7c;
struct _rs_osd_kv_win_p4_03_7c {
    unsigned int reg_03_bg_start_color_rect3                :16;
    unsigned int reg_03_bg_end_color_rect3                  :16;
};
#define osd_kv_win_p4_03_7c(val) ((rs_osd_kv_win_p4_03_7c*)&(val))



#define OSD_KV_WIN_P4_03_80                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0x80)

#define OSD_KV_WIN_P4_03_80_struct                                       rs_osd_kv_win_p4_03_80

typedef struct _rs_osd_kv_win_p4_03_80  rs_osd_kv_win_p4_03_80;
struct _rs_osd_kv_win_p4_03_80 {
    unsigned int reg_03_rect0_enable_rect20                 : 1;
    unsigned int reg_03_rect0_border_enable_rect20          : 1;
    unsigned int reg_03_rect0_shadow_enable_rect20          : 1;
    unsigned int reg_03_rect0_gradient_enable_rect20        : 1;
    unsigned int reg_03_rect1_enable_rect20                 : 1;
    unsigned int reg_03_rect1_border_enable_rect20          : 1;
    unsigned int reg_03_rect1_shadow_enable_rect20          : 1;
    unsigned int reg_03_rect1_gradient_enable_rect20        : 1;
    unsigned int reg_03_border_type_rect20                  : 4;
    unsigned int reg_03_border_size_x_rect20                : 4;
    unsigned int reg_03_border_size_y_rect20                : 4;
    unsigned int reg_03_shadow_type_rect20                  : 2;
    unsigned int reg_03_rect0_fill_rect20                   : 1;
    unsigned int reg_03_rect1_fill_rect20                   : 1;
    unsigned int reg_03_shadow_size_x_rect20                : 4;
    unsigned int reg_03_shadow_size_y_rect20                : 4;
};
#define osd_kv_win_p4_03_80(val) ((rs_osd_kv_win_p4_03_80*)&(val))



#define OSD_KV_WIN_P4_03_84                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0x84)

#define OSD_KV_WIN_P4_03_84_struct                                       rs_osd_kv_win_p4_03_84

typedef struct _rs_osd_kv_win_p4_03_84  rs_osd_kv_win_p4_03_84;
struct _rs_osd_kv_win_p4_03_84 {
    unsigned int reg_03_num_h_rect20                        : 4;
    unsigned int reg_03_num_v_rect20                        : 4;
    unsigned int reg_03_hl_rect_num_h0_rect20               : 4;
    unsigned int reg_03_hl_rect_num_v0_rect20               : 4;
    unsigned int reg_03_h_space_rect20                      : 8;
    unsigned int reg_03_v_space_rect20                      : 8;
};
#define osd_kv_win_p4_03_84(val) ((rs_osd_kv_win_p4_03_84*)&(val))



#define OSD_KV_WIN_P4_03_88                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0x88)

#define OSD_KV_WIN_P4_03_88_struct                                       rs_osd_kv_win_p4_03_88

typedef struct _rs_osd_kv_win_p4_03_88  rs_osd_kv_win_p4_03_88;
struct _rs_osd_kv_win_p4_03_88 {
    unsigned int reserved                                   :12;
    unsigned int reg_03_hl_rect_num_h1_rect20               : 4;
    unsigned int reserved_1                                 :12;
    unsigned int reg_03_hl_rect_num_v1_rect20               : 4;
};
#define osd_kv_win_p4_03_88(val) ((rs_osd_kv_win_p4_03_88*)&(val))



#define OSD_KV_WIN_P4_03_8C                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0x8C)

#define OSD_KV_WIN_P4_03_8C_struct                                       rs_osd_kv_win_p4_03_8c

typedef struct _rs_osd_kv_win_p4_03_8c  rs_osd_kv_win_p4_03_8c;
struct _rs_osd_kv_win_p4_03_8c {
    unsigned int reg_03_size_x_rect20                       :14;
    unsigned int reserved                                   : 1;
    unsigned int reg_03_size_y_rect20                       :13;
    unsigned int reg_03_hl_mode_select_rect20               : 2;
    unsigned int reg_03_hl_mode_h_rect20                    : 1;
    unsigned int reg_03_hl_mode_v_rect20                    : 1;
};
#define osd_kv_win_p4_03_8c(val) ((rs_osd_kv_win_p4_03_8c*)&(val))



#define OSD_KV_WIN_P4_03_90                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0x90)

#define OSD_KV_WIN_P4_03_90_struct                                       rs_osd_kv_win_p4_03_90

typedef struct _rs_osd_kv_win_p4_03_90  rs_osd_kv_win_p4_03_90;
struct _rs_osd_kv_win_p4_03_90 {
    unsigned int reg_03_rect0_border_color0_rect20          :16;
    unsigned int reg_03_rect0_border_color1_rect20          :16;
};
#define osd_kv_win_p4_03_90(val) ((rs_osd_kv_win_p4_03_90*)&(val))



#define OSD_KV_WIN_P4_03_94                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0x94)

#define OSD_KV_WIN_P4_03_94_struct                                       rs_osd_kv_win_p4_03_94

typedef struct _rs_osd_kv_win_p4_03_94  rs_osd_kv_win_p4_03_94;
struct _rs_osd_kv_win_p4_03_94 {
    unsigned int reg_03_rect0_border_color2_rect20          :16;
    unsigned int reg_03_rect0_border_color3_rect20          :16;
};
#define osd_kv_win_p4_03_94(val) ((rs_osd_kv_win_p4_03_94*)&(val))



#define OSD_KV_WIN_P4_03_98                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0x98)

#define OSD_KV_WIN_P4_03_98_struct                                       rs_osd_kv_win_p4_03_98

typedef struct _rs_osd_kv_win_p4_03_98  rs_osd_kv_win_p4_03_98;
struct _rs_osd_kv_win_p4_03_98 {
    unsigned int reg_03_rect0_shadow_color_rect20           :16;
    unsigned int reserved                                   : 8;
    unsigned int reg_03_rect0_gradient_type_rect20          : 8;
};
#define osd_kv_win_p4_03_98(val) ((rs_osd_kv_win_p4_03_98*)&(val))



#define OSD_KV_WIN_P4_03_9C                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0x9C)

#define OSD_KV_WIN_P4_03_9C_struct                                       rs_osd_kv_win_p4_03_9c

typedef struct _rs_osd_kv_win_p4_03_9c  rs_osd_kv_win_p4_03_9c;
struct _rs_osd_kv_win_p4_03_9c {
    unsigned int reg_03_rect0_gradient_step_factor_r_rect20 :10;
    unsigned int reg_03_rect0_gradient_step_factor_g_rect20 :10;
    unsigned int reg_03_rect0_gradient_step_factor_b_rect20 :10;
    unsigned int reserved                                   : 2;
};
#define osd_kv_win_p4_03_9c(val) ((rs_osd_kv_win_p4_03_9c*)&(val))



#define OSD_KV_WIN_P4_03_A0                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0xA0)

#define OSD_KV_WIN_P4_03_A0_struct                                       rs_osd_kv_win_p4_03_a0

typedef struct _rs_osd_kv_win_p4_03_a0  rs_osd_kv_win_p4_03_a0;
struct _rs_osd_kv_win_p4_03_a0 {
    unsigned int reg_03_rect0_bg_start_color_rect20         :16;
    unsigned int reg_03_rect0_bg_end_color_rect20           :16;
};
#define osd_kv_win_p4_03_a0(val) ((rs_osd_kv_win_p4_03_a0*)&(val))



#define OSD_KV_WIN_P4_03_A4                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0xA4)

#define OSD_KV_WIN_P4_03_A4_struct                                       rs_osd_kv_win_p4_03_a4

typedef struct _rs_osd_kv_win_p4_03_a4  rs_osd_kv_win_p4_03_a4;
struct _rs_osd_kv_win_p4_03_a4 {
    unsigned int reg_03_rect1_border_color0_rect20          :16;
    unsigned int reg_03_rect1_border_color1_rect20          :16;
};
#define osd_kv_win_p4_03_a4(val) ((rs_osd_kv_win_p4_03_a4*)&(val))



#define OSD_KV_WIN_P4_03_A8                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0xA8)

#define OSD_KV_WIN_P4_03_A8_struct                                       rs_osd_kv_win_p4_03_a8

typedef struct _rs_osd_kv_win_p4_03_a8  rs_osd_kv_win_p4_03_a8;
struct _rs_osd_kv_win_p4_03_a8 {
    unsigned int reg_03_rect1_border_color2_rect20          :16;
    unsigned int reg_03_rect1_border_color3_rect20          :16;
};
#define osd_kv_win_p4_03_a8(val) ((rs_osd_kv_win_p4_03_a8*)&(val))



#define OSD_KV_WIN_P4_03_AC                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0xAC)

#define OSD_KV_WIN_P4_03_AC_struct                                       rs_osd_kv_win_p4_03_ac

typedef struct _rs_osd_kv_win_p4_03_ac  rs_osd_kv_win_p4_03_ac;
struct _rs_osd_kv_win_p4_03_ac {
    unsigned int reg_03_rect1_shadow_color_rect20           :16;
    unsigned int reserved                                   : 8;
    unsigned int reg_03_rect1_gradient_type_rect20          : 8;
};
#define osd_kv_win_p4_03_ac(val) ((rs_osd_kv_win_p4_03_ac*)&(val))



#define OSD_KV_WIN_P4_03_B0                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0xB0)

#define OSD_KV_WIN_P4_03_B0_struct                                       rs_osd_kv_win_p4_03_b0

typedef struct _rs_osd_kv_win_p4_03_b0  rs_osd_kv_win_p4_03_b0;
struct _rs_osd_kv_win_p4_03_b0 {
    unsigned int reg_03_rect1_gradient_step_factor_r_rect20 :10;
    unsigned int reg_03_rect1_gradient_step_factor_g_rect20 :10;
    unsigned int reg_03_rect1_gradient_step_factor_b_rect20 :10;
    unsigned int reserved                                   : 2;
};
#define osd_kv_win_p4_03_b0(val) ((rs_osd_kv_win_p4_03_b0*)&(val))



#define OSD_KV_WIN_P4_03_B4                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0xB4)

#define OSD_KV_WIN_P4_03_B4_struct                                       rs_osd_kv_win_p4_03_b4

typedef struct _rs_osd_kv_win_p4_03_b4  rs_osd_kv_win_p4_03_b4;
struct _rs_osd_kv_win_p4_03_b4 {
    unsigned int reg_03_rect1_bg_start_color_rect20         :16;
    unsigned int reg_03_rect1_bg_end_color_rect20           :16;
};
#define osd_kv_win_p4_03_b4(val) ((rs_osd_kv_win_p4_03_b4*)&(val))



#define OSD_KV_WIN_P4_03_B8                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0xB8)

#define OSD_KV_WIN_P4_03_B8_struct                                       rs_osd_kv_win_p4_03_b8

typedef struct _rs_osd_kv_win_p4_03_b8  rs_osd_kv_win_p4_03_b8;
struct _rs_osd_kv_win_p4_03_b8 {
    unsigned int reg_03_start_x_rect20                      :14;
    unsigned int reserved                                   : 2;
    unsigned int reg_03_start_y_rect20                      :13;
    unsigned int reserved_1                                 : 3;
};
#define osd_kv_win_p4_03_b8(val) ((rs_osd_kv_win_p4_03_b8*)&(val))



#define OSD_KV_WIN_P4_03_C0                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0xC0)

#define OSD_KV_WIN_P4_03_C0_struct                                       rs_osd_kv_win_p4_03_c0

typedef struct _rs_osd_kv_win_p4_03_c0  rs_osd_kv_win_p4_03_c0;
struct _rs_osd_kv_win_p4_03_c0 {
    unsigned int reg_03_rect0_enable_rect22                 : 1;
    unsigned int reg_03_rect0_border_enable_rect22          : 1;
    unsigned int reg_03_rect0_shadow_enable_rect22          : 1;
    unsigned int reg_03_rect0_gradient_enable_rect22        : 1;
    unsigned int reg_03_rect1_enable_rect22                 : 1;
    unsigned int reg_03_rect1_border_enable_rect22          : 1;
    unsigned int reg_03_rect1_shadow_enable_rect22          : 1;
    unsigned int reg_03_rect1_gradient_enable_rect22        : 1;
    unsigned int reg_03_border_type_rect22                  : 4;
    unsigned int reg_03_border_size_x_rect22                : 4;
    unsigned int reg_03_border_size_y_rect22                : 4;
    unsigned int reg_03_shadow_type_rect22                  : 2;
    unsigned int reg_03_rect0_fill_rect22                   : 1;
    unsigned int reg_03_rect1_fill_rect22                   : 1;
    unsigned int reg_03_shadow_size_x_rect22                : 4;
    unsigned int reg_03_shadow_size_y_rect22                : 4;
};
#define osd_kv_win_p4_03_c0(val) ((rs_osd_kv_win_p4_03_c0*)&(val))



#define OSD_KV_WIN_P4_03_C4                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0xC4)

#define OSD_KV_WIN_P4_03_C4_struct                                       rs_osd_kv_win_p4_03_c4

typedef struct _rs_osd_kv_win_p4_03_c4  rs_osd_kv_win_p4_03_c4;
struct _rs_osd_kv_win_p4_03_c4 {
    unsigned int reg_03_num_h_rect22                        : 4;
    unsigned int reg_03_num_v_rect22                        : 4;
    unsigned int reg_03_hl_rect_num_h0_rect22               : 4;
    unsigned int reg_03_hl_rect_num_v0_rect22               : 4;
    unsigned int reg_03_h_space_rect22                      : 8;
    unsigned int reg_03_v_space_rect22                      : 8;
};
#define osd_kv_win_p4_03_c4(val) ((rs_osd_kv_win_p4_03_c4*)&(val))



#define OSD_KV_WIN_P4_03_C8                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0xC8)

#define OSD_KV_WIN_P4_03_C8_struct                                       rs_osd_kv_win_p4_03_c8

typedef struct _rs_osd_kv_win_p4_03_c8  rs_osd_kv_win_p4_03_c8;
struct _rs_osd_kv_win_p4_03_c8 {
    unsigned int reserved                                   :12;
    unsigned int reg_03_hl_rect_num_h1_rect22               : 4;
    unsigned int reserved_1                                 :12;
    unsigned int reg_03_hl_rect_num_v1_rect22               : 4;
};
#define osd_kv_win_p4_03_c8(val) ((rs_osd_kv_win_p4_03_c8*)&(val))



#define OSD_KV_WIN_P4_03_CC                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0xCC)

#define OSD_KV_WIN_P4_03_CC_struct                                       rs_osd_kv_win_p4_03_cc

typedef struct _rs_osd_kv_win_p4_03_cc  rs_osd_kv_win_p4_03_cc;
struct _rs_osd_kv_win_p4_03_cc {
    unsigned int reg_03_size_x_rect22                       :14;
    unsigned int reserved                                   : 1;
    unsigned int reg_03_size_y_rect22                       :13;
    unsigned int reg_03_highlight_mode_select_rect22        : 2;
    unsigned int reg_03_H_highlight_mode_select_rect22      : 1;
    unsigned int reg_03_V_highlight_mode_select_rect22      : 1;
};
#define osd_kv_win_p4_03_cc(val) ((rs_osd_kv_win_p4_03_cc*)&(val))



#define OSD_KV_WIN_P4_03_D0                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0xD0)

#define OSD_KV_WIN_P4_03_D0_struct                                       rs_osd_kv_win_p4_03_d0

typedef struct _rs_osd_kv_win_p4_03_d0  rs_osd_kv_win_p4_03_d0;
struct _rs_osd_kv_win_p4_03_d0 {
    unsigned int reg_03_rect0_border_color0_rect22          :16;
    unsigned int reg_03_rect0_border_color1_rect22          :16;
};
#define osd_kv_win_p4_03_d0(val) ((rs_osd_kv_win_p4_03_d0*)&(val))



#define OSD_KV_WIN_P4_03_D4                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0xD4)

#define OSD_KV_WIN_P4_03_D4_struct                                       rs_osd_kv_win_p4_03_d4

typedef struct _rs_osd_kv_win_p4_03_d4  rs_osd_kv_win_p4_03_d4;
struct _rs_osd_kv_win_p4_03_d4 {
    unsigned int reg_03_rect0_border_color2_rect22          :16;
    unsigned int reg_03_rect0_border_color3_rect22          :16;
};
#define osd_kv_win_p4_03_d4(val) ((rs_osd_kv_win_p4_03_d4*)&(val))



#define OSD_KV_WIN_P4_03_D8                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0xD8)

#define OSD_KV_WIN_P4_03_D8_struct                                       rs_osd_kv_win_p4_03_d8

typedef struct _rs_osd_kv_win_p4_03_d8  rs_osd_kv_win_p4_03_d8;
struct _rs_osd_kv_win_p4_03_d8 {
    unsigned int reg_03_rect0_shadow_color_rect22           :16;
    unsigned int reserved                                   : 8;
    unsigned int reg_03_rect0_gradient_type_rect22          : 8;
};
#define osd_kv_win_p4_03_d8(val) ((rs_osd_kv_win_p4_03_d8*)&(val))



#define OSD_KV_WIN_P4_03_DC                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0xDC)

#define OSD_KV_WIN_P4_03_DC_struct                                       rs_osd_kv_win_p4_03_dc

typedef struct _rs_osd_kv_win_p4_03_dc  rs_osd_kv_win_p4_03_dc;
struct _rs_osd_kv_win_p4_03_dc {
    unsigned int reg_03_rect0_gradient_step_factor_r_rect22 :10;
    unsigned int reg_03_rect0_gradient_step_factor_g_rect22 :10;
    unsigned int reg_03_rect0_gradient_step_factor_b_rect22 :10;
    unsigned int reserved                                   : 2;
};
#define osd_kv_win_p4_03_dc(val) ((rs_osd_kv_win_p4_03_dc*)&(val))



#define OSD_KV_WIN_P4_03_E0                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0xE0)

#define OSD_KV_WIN_P4_03_E0_struct                                       rs_osd_kv_win_p4_03_e0

typedef struct _rs_osd_kv_win_p4_03_e0  rs_osd_kv_win_p4_03_e0;
struct _rs_osd_kv_win_p4_03_e0 {
    unsigned int reg_03_rect0_bg_start_color_rect22         :16;
    unsigned int reg_03_rect0_bg_end_color_rect22           :16;
};
#define osd_kv_win_p4_03_e0(val) ((rs_osd_kv_win_p4_03_e0*)&(val))



#define OSD_KV_WIN_P4_03_E4                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0xE4)

#define OSD_KV_WIN_P4_03_E4_struct                                       rs_osd_kv_win_p4_03_e4

typedef struct _rs_osd_kv_win_p4_03_e4  rs_osd_kv_win_p4_03_e4;
struct _rs_osd_kv_win_p4_03_e4 {
    unsigned int reg_03_rect1_border_color0_rect22          :16;
    unsigned int reg_03_rect1_border_color1_rect22          :16;
};
#define osd_kv_win_p4_03_e4(val) ((rs_osd_kv_win_p4_03_e4*)&(val))



#define OSD_KV_WIN_P4_03_E8                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0xE8)

#define OSD_KV_WIN_P4_03_E8_struct                                       rs_osd_kv_win_p4_03_e8

typedef struct _rs_osd_kv_win_p4_03_e8  rs_osd_kv_win_p4_03_e8;
struct _rs_osd_kv_win_p4_03_e8 {
    unsigned int reg_03_rect1_border_color2_rect22          :16;
    unsigned int reg_03_rect1_border_color3_rect22          :16;
};
#define osd_kv_win_p4_03_e8(val) ((rs_osd_kv_win_p4_03_e8*)&(val))



#define OSD_KV_WIN_P4_03_EC                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0xEC)

#define OSD_KV_WIN_P4_03_EC_struct                                       rs_osd_kv_win_p4_03_ec

typedef struct _rs_osd_kv_win_p4_03_ec  rs_osd_kv_win_p4_03_ec;
struct _rs_osd_kv_win_p4_03_ec {
    unsigned int reg_03_rect1_shadow_color_rect22           :16;
    unsigned int reserved                                   : 8;
    unsigned int reg_03_rect1_gradient_type_rect22          : 8;
};
#define osd_kv_win_p4_03_ec(val) ((rs_osd_kv_win_p4_03_ec*)&(val))



#define OSD_KV_WIN_P4_03_F0                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0xF0)

#define OSD_KV_WIN_P4_03_F0_struct                                       rs_osd_kv_win_p4_03_f0

typedef struct _rs_osd_kv_win_p4_03_f0  rs_osd_kv_win_p4_03_f0;
struct _rs_osd_kv_win_p4_03_f0 {
    unsigned int reg_03_rect1_gradient_step_factor_r_rect22 :10;
    unsigned int reg_03_rect1_gradient_step_factor_g_rect22 :10;
    unsigned int reg_03_rect1_gradient_step_factor_b_rect22 :10;
    unsigned int reserved                                   : 2;
};
#define osd_kv_win_p4_03_f0(val) ((rs_osd_kv_win_p4_03_f0*)&(val))



#define OSD_KV_WIN_P4_03_F4                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0xF4)

#define OSD_KV_WIN_P4_03_F4_struct                                       rs_osd_kv_win_p4_03_f4

typedef struct _rs_osd_kv_win_p4_03_f4  rs_osd_kv_win_p4_03_f4;
struct _rs_osd_kv_win_p4_03_f4 {
    unsigned int reg_03_rect1_bg_start_color_rect22         :16;
    unsigned int reg_03_rect1_bg_end_color_rect22           :16;
};
#define osd_kv_win_p4_03_f4(val) ((rs_osd_kv_win_p4_03_f4*)&(val))



#define OSD_KV_WIN_P4_03_F8                                              (HV_KV_WIN_P4_03_BASE_ADDRESS + 0xF8)

#define OSD_KV_WIN_P4_03_F8_struct                                       rs_osd_kv_win_p4_03_f8

typedef struct _rs_osd_kv_win_p4_03_f8  rs_osd_kv_win_p4_03_f8;
struct _rs_osd_kv_win_p4_03_f8 {
    unsigned int reg_03_start_x_rect22                      :14;
    unsigned int reserved                                   : 2;
    unsigned int reg_03_start_y_rect22                      :13;
    unsigned int reserved_1                                 : 3;
};
#define osd_kv_win_p4_03_f8(val) ((rs_osd_kv_win_p4_03_f8*)&(val))



#endif