#ifndef _HV_PAGE_HT7315_KV_WIN_P6_00_H_
#define _HV_PAGE_HT7315_KV_WIN_P6_00_H_

#ifndef HV_KV_WIN_P6_00_BASE_ADDRESS
    #define HV_KV_WIN_P6_00_BASE_ADDRESS                                         0x11061600
#endif


#define OSD_KV_WIN_P6_00_00                                              (HV_KV_WIN_P6_00_BASE_ADDRESS + 0x00)

#define OSD_KV_WIN_P6_00_00_struct                                       rs_osd_kv_win_p6_00_00

typedef struct _rs_osd_kv_win_p6_00_00  rs_osd_kv_win_p6_00_00;
struct _rs_osd_kv_win_p6_00_00 {
    unsigned int reg_00_hs_select                           : 3;
    unsigned int reg_00_vs_select                           : 1;
    unsigned int reserved                                   : 3;
    unsigned int reg_00_win_timing_enable                   : 1;
    unsigned int reg_00_bd_sizex                            : 4;
    unsigned int reg_00_bd_sizey                            : 4;
    unsigned int reserved_1                                 : 8;
    unsigned int reg_00_win_hs_dly                          : 8;
};
#define osd_kv_win_p6_00_00(val) ((rs_osd_kv_win_p6_00_00*)&(val))



#define OSD_KV_WIN_P6_00_04                                              (HV_KV_WIN_P6_00_BASE_ADDRESS + 0x04)

#define OSD_KV_WIN_P6_00_04_struct                                       rs_osd_kv_win_p6_00_04

typedef struct _rs_osd_kv_win_p6_00_04  rs_osd_kv_win_p6_00_04;
struct _rs_osd_kv_win_p6_00_04 {
    unsigned int reg_00_win_stax                            :14;
    unsigned int reserved                                   : 2;
    unsigned int reg_00_win_stay                            :13;
    unsigned int reserved_1                                 : 3;
};
#define osd_kv_win_p6_00_04(val) ((rs_osd_kv_win_p6_00_04*)&(val))



#define OSD_KV_WIN_P6_00_08                                              (HV_KV_WIN_P6_00_BASE_ADDRESS + 0x08)

#define OSD_KV_WIN_P6_00_08_struct                                       rs_osd_kv_win_p6_00_08

typedef struct _rs_osd_kv_win_p6_00_08  rs_osd_kv_win_p6_00_08;
struct _rs_osd_kv_win_p6_00_08 {
    unsigned int reg_00_win_sizex                           :14;
    unsigned int reserved                                   : 1;
    unsigned int reg_00_win_sizey                           :13;
    unsigned int reg_00_win_ydly_font                       : 4;
};
#define osd_kv_win_p6_00_08(val) ((rs_osd_kv_win_p6_00_08*)&(val))



#define OSD_KV_WIN_P6_00_0C                                              (HV_KV_WIN_P6_00_BASE_ADDRESS + 0x0C)

#define OSD_KV_WIN_P6_00_0C_struct                                       rs_osd_kv_win_p6_00_0c

typedef struct _rs_osd_kv_win_p6_00_0c  rs_osd_kv_win_p6_00_0c;
struct _rs_osd_kv_win_p6_00_0c {
    unsigned int reg_00_alpha_ctrl                          : 2;
    unsigned int reg_00_alpha_select                        : 2;
    unsigned int reg_00_alpha_set                           : 1;
    unsigned int reg_00_alpha_coef                          : 1;
    unsigned int reg_00_bg_output_enable_rect_font          : 1;
    unsigned int reg_00_alpha_switch                        : 1;
    unsigned int reg_00_bg_alpha                            : 8;
    unsigned int reg_00_bg_color                            :16;
};
#define osd_kv_win_p6_00_0c(val) ((rs_osd_kv_win_p6_00_0c*)&(val))



#define OSD_KV_WIN_P6_00_10                                              (HV_KV_WIN_P6_00_BASE_ADDRESS + 0x10)

#define OSD_KV_WIN_P6_00_10_struct                                       rs_osd_kv_win_p6_00_10

typedef struct _rs_osd_kv_win_p6_00_10  rs_osd_kv_win_p6_00_10;
struct _rs_osd_kv_win_p6_00_10 {
    unsigned int reg_00_rect_line_priority_ctrl             : 2;
    unsigned int reg_00_rect_priority_ctrl                  : 2;
    unsigned int reserved                                   : 2;
    unsigned int reg_00_bg_output_enable_line               : 1;
    unsigned int reg_00_disable_sw                          : 1;
    unsigned int reg_00_rect_alpha                          : 8;
    unsigned int reg_00_RGB565_for_background               :16;
};
#define osd_kv_win_p6_00_10(val) ((rs_osd_kv_win_p6_00_10*)&(val))



#define OSD_KV_WIN_P6_00_14                                              (HV_KV_WIN_P6_00_BASE_ADDRESS + 0x14)

#define OSD_KV_WIN_P6_00_14_struct                                       rs_osd_kv_win_p6_00_14

typedef struct _rs_osd_kv_win_p6_00_14  rs_osd_kv_win_p6_00_14;
struct _rs_osd_kv_win_p6_00_14 {
    unsigned int reg_00_win_bd_r                            : 8;
    unsigned int reg_00_win_bd_g                            : 8;
    unsigned int reg_00_win_bd_b                            : 8;
    unsigned int reserved                                   : 7;
    unsigned int reg_00_win_bd_ctrl                         : 1;
};
#define osd_kv_win_p6_00_14(val) ((rs_osd_kv_win_p6_00_14*)&(val))



#endif