#ifndef _HV_PAGE_HT7315_P2P_TX_READBACK_H_
#define _HV_PAGE_HT7315_P2P_TX_READBACK_H_

#ifndef HV_P2P_TX_READBACK_BASE_ADDRESS
    #define HV_P2P_TX_READBACK_BASE_ADDRESS                                         0x1105EB00
#endif


#define TX_P2P_TX_READBACK_00                                            (HV_P2P_TX_READBACK_BASE_ADDRESS + 0x00)

#define TX_P2P_TX_READBACK_00_struct                                     rs_tx_p2p_tx_readback_00

typedef struct _rs_tx_p2p_tx_readback_00  rs_tx_p2p_tx_readback_00;
struct _rs_tx_p2p_tx_readback_00 {
    unsigned int regr_epi_lock                              : 1;
    unsigned int regr_epi_state                             : 4;
    unsigned int reserved                                   :27;
};
#define tx_p2p_tx_readback_00(val) ((rs_tx_p2p_tx_readback_00*)&(val))



#define TX_P2P_TX_READBACK_BOE_P2P_READBACK_0                            (HV_P2P_TX_READBACK_BASE_ADDRESS + 0x10)

#define TX_P2P_TX_READBACK_BOE_P2P_READBACK_0_struct                     rs_tx_p2p_tx_readback_boe_p2p_readback_0

typedef struct _rs_tx_p2p_tx_readback_boe_p2p_readback_0  rs_tx_p2p_tx_readback_boe_p2p_readback_0;
struct _rs_tx_p2p_tx_readback_boe_p2p_readback_0 {
    unsigned int regr_boe_tx_out_ctrl_fsm_state_lane0       : 4;
    unsigned int regr_boe_tx_out_ctrl_fsm_state_lane1       : 4;
    unsigned int regr_boe_tx_fsm_state                      : 3;
    unsigned int regr_boe_tx_bcc_mode3_en                   : 1;
    unsigned int regr_boe_tx_bcc_receive_valid              : 1;
    unsigned int regr_boe_tx_bcc_receive_num                : 7;
    unsigned int regr_boe_tx_training_timeout_flag          : 1;
    unsigned int reserved                                   :11;
};
#define tx_p2p_tx_readback_boe_p2p_readback_0(val) ((rs_tx_p2p_tx_readback_boe_p2p_readback_0*)&(val))



#define TX_P2P_TX_READBACK_BOE_P2P_READBACK_1                            (HV_P2P_TX_READBACK_BASE_ADDRESS + 0x14)

#define TX_P2P_TX_READBACK_BOE_P2P_READBACK_1_struct                     rs_tx_p2p_tx_readback_boe_p2p_readback_1

typedef struct _rs_tx_p2p_tx_readback_boe_p2p_readback_1  rs_tx_p2p_tx_readback_boe_p2p_readback_1;
struct _rs_tx_p2p_tx_readback_boe_p2p_readback_1 {
    unsigned int regr_boe_tx_bcc_receive_data_0             : 8;
    unsigned int regr_boe_tx_bcc_receive_data_1             : 8;
    unsigned int regr_boe_tx_bcc_receive_data_2             : 8;
    unsigned int regr_boe_tx_bcc_receive_data_3             : 8;
};
#define tx_p2p_tx_readback_boe_p2p_readback_1(val) ((rs_tx_p2p_tx_readback_boe_p2p_readback_1*)&(val))



#define TX_P2P_TX_READBACK_BOE_P2P_READBACK_2                            (HV_P2P_TX_READBACK_BASE_ADDRESS + 0x18)

#define TX_P2P_TX_READBACK_BOE_P2P_READBACK_2_struct                     rs_tx_p2p_tx_readback_boe_p2p_readback_2

typedef struct _rs_tx_p2p_tx_readback_boe_p2p_readback_2  rs_tx_p2p_tx_readback_boe_p2p_readback_2;
struct _rs_tx_p2p_tx_readback_boe_p2p_readback_2 {
    unsigned int regr_boe_tx_bcc_receive_data_4             : 8;
    unsigned int regr_boe_tx_bcc_receive_data_5             : 8;
    unsigned int regr_boe_tx_bcc_receive_data_6             : 8;
    unsigned int regr_boe_tx_bcc_receive_data_7             : 8;
};
#define tx_p2p_tx_readback_boe_p2p_readback_2(val) ((rs_tx_p2p_tx_readback_boe_p2p_readback_2*)&(val))



#define TX_P2P_TX_READBACK_BOE_P2P_READBACK_3                            (HV_P2P_TX_READBACK_BASE_ADDRESS + 0x1C)

#define TX_P2P_TX_READBACK_BOE_P2P_READBACK_3_struct                     rs_tx_p2p_tx_readback_boe_p2p_readback_3

typedef struct _rs_tx_p2p_tx_readback_boe_p2p_readback_3  rs_tx_p2p_tx_readback_boe_p2p_readback_3;
struct _rs_tx_p2p_tx_readback_boe_p2p_readback_3 {
    unsigned int regr_boe_tx_bcc_receive_data_8             : 8;
    unsigned int regr_boe_tx_bcc_receive_data_9             : 8;
    unsigned int regr_boe_tx_bcc_receive_data_10            : 8;
    unsigned int regr_boe_tx_bcc_receive_data_11            : 8;
};
#define tx_p2p_tx_readback_boe_p2p_readback_3(val) ((rs_tx_p2p_tx_readback_boe_p2p_readback_3*)&(val))



#define TX_P2P_TX_READBACK_BOE_P2P_READBACK_4                            (HV_P2P_TX_READBACK_BASE_ADDRESS + 0x20)

#define TX_P2P_TX_READBACK_BOE_P2P_READBACK_4_struct                     rs_tx_p2p_tx_readback_boe_p2p_readback_4

typedef struct _rs_tx_p2p_tx_readback_boe_p2p_readback_4  rs_tx_p2p_tx_readback_boe_p2p_readback_4;
struct _rs_tx_p2p_tx_readback_boe_p2p_readback_4 {
    unsigned int regr_boe_tx_bcc_receive_data_12            : 8;
    unsigned int regr_boe_tx_bcc_receive_data_13            : 8;
    unsigned int regr_boe_tx_bcc_receive_data_14            : 8;
    unsigned int regr_boe_tx_bcc_receive_data_15            : 8;
};
#define tx_p2p_tx_readback_boe_p2p_readback_4(val) ((rs_tx_p2p_tx_readback_boe_p2p_readback_4*)&(val))



#define TX_P2P_TX_READBACK_CMPI_TX_READBACK_0                            (HV_P2P_TX_READBACK_BASE_ADDRESS + 0x24)

#define TX_P2P_TX_READBACK_CMPI_TX_READBACK_0_struct                     rs_tx_p2p_tx_readback_cmpi_tx_readback_0

typedef struct _rs_tx_p2p_tx_readback_cmpi_tx_readback_0  rs_tx_p2p_tx_readback_cmpi_tx_readback_0;
struct _rs_tx_p2p_tx_readback_cmpi_tx_readback_0 {
    unsigned int regr_cmpi_tld_rising                       :12;
    unsigned int regr_cmpi_lock_use                         : 1;
    unsigned int reserved                                   :19;
};
#define tx_p2p_tx_readback_cmpi_tx_readback_0(val) ((rs_tx_p2p_tx_readback_cmpi_tx_readback_0*)&(val))



#define TX_P2P_TX_READBACK_ISP_TX_READBACK_0                             (HV_P2P_TX_READBACK_BASE_ADDRESS + 0x28)

#define TX_P2P_TX_READBACK_ISP_TX_READBACK_0_struct                      rs_tx_p2p_tx_readback_isp_tx_readback_0

typedef struct _rs_tx_p2p_tx_readback_isp_tx_readback_0  rs_tx_p2p_tx_readback_isp_tx_readback_0;
struct _rs_tx_p2p_tx_readback_isp_tx_readback_0 {
    unsigned int regr_isp_out_ctrl_state                    : 3;
    unsigned int regr_isp_out_process_state                 : 4;
    unsigned int reserved                                   :25;
};
#define tx_p2p_tx_readback_isp_tx_readback_0(val) ((rs_tx_p2p_tx_readback_isp_tx_readback_0*)&(val))



#define TX_P2P_TX_READBACK_USIT_TX_READBACK_0                            (HV_P2P_TX_READBACK_BASE_ADDRESS + 0x2C)

#define TX_P2P_TX_READBACK_USIT_TX_READBACK_0_struct                     rs_tx_p2p_tx_readback_usit_tx_readback_0

typedef struct _rs_tx_p2p_tx_readback_usit_tx_readback_0  rs_tx_p2p_tx_readback_usit_tx_readback_0;
struct _rs_tx_p2p_tx_readback_usit_tx_readback_0 {
    unsigned int regr_usit_gamma_last_position              : 1;
    unsigned int regr_usit_fsm_state                        : 3;
    unsigned int regr_usit_err_flag                         : 3;
    unsigned int reserved                                   :25;
};
#define tx_p2p_tx_readback_usit_tx_readback_0(val) ((rs_tx_p2p_tx_readback_usit_tx_readback_0*)&(val))



#define TX_P2P_TX_READBACK_30                                            (HV_P2P_TX_READBACK_BASE_ADDRESS + 0x30)

#define TX_P2P_TX_READBACK_30_struct                                     rs_tx_p2p_tx_readback_30

typedef struct _rs_tx_p2p_tx_readback_30  rs_tx_p2p_tx_readback_30;
struct _rs_tx_p2p_tx_readback_30 {
    unsigned int regr_epi_ctr_start                         :32;
};
#define tx_p2p_tx_readback_30(val) ((rs_tx_p2p_tx_readback_30*)&(val))



#define TX_P2P_TX_READBACK_34                                            (HV_P2P_TX_READBACK_BASE_ADDRESS + 0x34)

#define TX_P2P_TX_READBACK_34_struct                                     rs_tx_p2p_tx_readback_34

typedef struct _rs_tx_p2p_tx_readback_34  rs_tx_p2p_tx_readback_34;
struct _rs_tx_p2p_tx_readback_34 {
    unsigned int regr_epi_ctr1                              :32;
};
#define tx_p2p_tx_readback_34(val) ((rs_tx_p2p_tx_readback_34*)&(val))



#define TX_P2P_TX_READBACK_38                                            (HV_P2P_TX_READBACK_BASE_ADDRESS + 0x38)

#define TX_P2P_TX_READBACK_38_struct                                     rs_tx_p2p_tx_readback_38

typedef struct _rs_tx_p2p_tx_readback_38  rs_tx_p2p_tx_readback_38;
struct _rs_tx_p2p_tx_readback_38 {
    unsigned int regr_epi_ctr2                              :32;
};
#define tx_p2p_tx_readback_38(val) ((rs_tx_p2p_tx_readback_38*)&(val))



#define TX_P2P_TX_READBACK_3C                                            (HV_P2P_TX_READBACK_BASE_ADDRESS + 0x3C)

#define TX_P2P_TX_READBACK_3C_struct                                     rs_tx_p2p_tx_readback_3c

typedef struct _rs_tx_p2p_tx_readback_3c  rs_tx_p2p_tx_readback_3c;
struct _rs_tx_p2p_tx_readback_3c {
    unsigned int regr_epi_ctr3                              :32;
};
#define tx_p2p_tx_readback_3c(val) ((rs_tx_p2p_tx_readback_3c*)&(val))



#define TX_P2P_TX_READBACK_40                                            (HV_P2P_TX_READBACK_BASE_ADDRESS + 0x40)

#define TX_P2P_TX_READBACK_40_struct                                     rs_tx_p2p_tx_readback_40

typedef struct _rs_tx_p2p_tx_readback_40  rs_tx_p2p_tx_readback_40;
struct _rs_tx_p2p_tx_readback_40 {
    unsigned int regr_epi_data_start                        :32;
};
#define tx_p2p_tx_readback_40(val) ((rs_tx_p2p_tx_readback_40*)&(val))



#define TX_P2P_TX_READBACK_CSPI_READBACK_0                               (HV_P2P_TX_READBACK_BASE_ADDRESS + 0x44)

#define TX_P2P_TX_READBACK_CSPI_READBACK_0_struct                        rs_tx_p2p_tx_readback_cspi_readback_0

typedef struct _rs_tx_p2p_tx_readback_cspi_readback_0  rs_tx_p2p_tx_readback_cspi_readback_0;
struct _rs_tx_p2p_tx_readback_cspi_readback_0 {
    unsigned int regr_cspi_aeq_fbd_data_valid               : 1;
    unsigned int regr_cspi_aeq_fbd_data_valid_cnt           : 4;
    unsigned int regr_cspi_aeq_fbd_data_header              :16;
    unsigned int regr_cspi_aeq_fbd_data_end                 : 1;
    unsigned int reserved                                   :10;
};
#define tx_p2p_tx_readback_cspi_readback_0(val) ((rs_tx_p2p_tx_readback_cspi_readback_0*)&(val))



#define TX_P2P_TX_READBACK_CSPI_READBACK_1                               (HV_P2P_TX_READBACK_BASE_ADDRESS + 0x48)

#define TX_P2P_TX_READBACK_CSPI_READBACK_1_struct                        rs_tx_p2p_tx_readback_cspi_readback_1

typedef struct _rs_tx_p2p_tx_readback_cspi_readback_1  rs_tx_p2p_tx_readback_cspi_readback_1;
struct _rs_tx_p2p_tx_readback_cspi_readback_1 {
    unsigned int regr_cspi_aeq_fbd_data_out1                :32;
};
#define tx_p2p_tx_readback_cspi_readback_1(val) ((rs_tx_p2p_tx_readback_cspi_readback_1*)&(val))



#define TX_P2P_TX_READBACK_CSPI_READBACK_2                               (HV_P2P_TX_READBACK_BASE_ADDRESS + 0x4C)

#define TX_P2P_TX_READBACK_CSPI_READBACK_2_struct                        rs_tx_p2p_tx_readback_cspi_readback_2

typedef struct _rs_tx_p2p_tx_readback_cspi_readback_2  rs_tx_p2p_tx_readback_cspi_readback_2;
struct _rs_tx_p2p_tx_readback_cspi_readback_2 {
    unsigned int regr_cspi_aeq_fbd_data_out0                :32;
};
#define tx_p2p_tx_readback_cspi_readback_2(val) ((rs_tx_p2p_tx_readback_cspi_readback_2*)&(val))



#define TX_P2P_TX_READBACK_CSPI_READBACK_3                               (HV_P2P_TX_READBACK_BASE_ADDRESS + 0x50)

#define TX_P2P_TX_READBACK_CSPI_READBACK_3_struct                        rs_tx_p2p_tx_readback_cspi_readback_3

typedef struct _rs_tx_p2p_tx_readback_cspi_readback_3  rs_tx_p2p_tx_readback_cspi_readback_3;
struct _rs_tx_p2p_tx_readback_cspi_readback_3 {
    unsigned int regr_cspi_aeq_fbd_data_header_n            :16;
    unsigned int regr_cspi_aeq_fbd_data_end_n               : 1;
    unsigned int reserved                                   :15;
};
#define tx_p2p_tx_readback_cspi_readback_3(val) ((rs_tx_p2p_tx_readback_cspi_readback_3*)&(val))



#define TX_P2P_TX_READBACK_CSPI_READBACK_4                               (HV_P2P_TX_READBACK_BASE_ADDRESS + 0x54)

#define TX_P2P_TX_READBACK_CSPI_READBACK_4_struct                        rs_tx_p2p_tx_readback_cspi_readback_4

typedef struct _rs_tx_p2p_tx_readback_cspi_readback_4  rs_tx_p2p_tx_readback_cspi_readback_4;
struct _rs_tx_p2p_tx_readback_cspi_readback_4 {
    unsigned int regr_cspi_aeq_fbd_data_out1_n              :32;
};
#define tx_p2p_tx_readback_cspi_readback_4(val) ((rs_tx_p2p_tx_readback_cspi_readback_4*)&(val))



#define TX_P2P_TX_READBACK_CSPI_READBACK_5                               (HV_P2P_TX_READBACK_BASE_ADDRESS + 0x58)

#define TX_P2P_TX_READBACK_CSPI_READBACK_5_struct                        rs_tx_p2p_tx_readback_cspi_readback_5

typedef struct _rs_tx_p2p_tx_readback_cspi_readback_5  rs_tx_p2p_tx_readback_cspi_readback_5;
struct _rs_tx_p2p_tx_readback_cspi_readback_5 {
    unsigned int regr_cspi_aeq_fbd_data_out0_n              :32;
};
#define tx_p2p_tx_readback_cspi_readback_5(val) ((rs_tx_p2p_tx_readback_cspi_readback_5*)&(val))



#endif