#ifndef _HV_PAGE_HT7315_PTC_INP_PATT_TOP1_01_H_
#define _HV_PAGE_HT7315_PTC_INP_PATT_TOP1_01_H_

#ifndef HV_PTC_INP_PATT_TOP1_01_BASE_ADDRESS
    #define HV_PTC_INP_PATT_TOP1_01_BASE_ADDRESS                                         0x11044B00
#endif


#define RX_PTC_INP_PATT_TOP1_01_00                                       (HV_PTC_INP_PATT_TOP1_01_BASE_ADDRESS + 0x00)

#define RX_PTC_INP_PATT_TOP1_01_00_struct                                rs_rx_ptc_inp_patt_top1_01_00

typedef struct _rs_rx_ptc_inp_patt_top1_01_00  rs_rx_ptc_inp_patt_top1_01_00;
struct _rs_rx_ptc_inp_patt_top1_01_00 {
    unsigned int reg_01_ptc_inp_patt_box_w                  :12;
    unsigned int reg_01_ptc_inp_patt_box_h                  :12;
    unsigned int reserved                                   : 8;
};
#define rx_ptc_inp_patt_top1_01_00(val) ((rs_rx_ptc_inp_patt_top1_01_00*)&(val))



#define RX_PTC_INP_PATT_TOP1_01_04                                       (HV_PTC_INP_PATT_TOP1_01_BASE_ADDRESS + 0x04)

#define RX_PTC_INP_PATT_TOP1_01_04_struct                                rs_rx_ptc_inp_patt_top1_01_04

typedef struct _rs_rx_ptc_inp_patt_top1_01_04  rs_rx_ptc_inp_patt_top1_01_04;
struct _rs_rx_ptc_inp_patt_top1_01_04 {
    unsigned int reg_01_ptc_inp_patt_hp1                    :12;
    unsigned int reg_01_ptc_inp_patt_hp2                    :12;
    unsigned int reserved                                   : 8;
};
#define rx_ptc_inp_patt_top1_01_04(val) ((rs_rx_ptc_inp_patt_top1_01_04*)&(val))



#define RX_PTC_INP_PATT_TOP1_01_08                                       (HV_PTC_INP_PATT_TOP1_01_BASE_ADDRESS + 0x08)

#define RX_PTC_INP_PATT_TOP1_01_08_struct                                rs_rx_ptc_inp_patt_top1_01_08

typedef struct _rs_rx_ptc_inp_patt_top1_01_08  rs_rx_ptc_inp_patt_top1_01_08;
struct _rs_rx_ptc_inp_patt_top1_01_08 {
    unsigned int reg_01_ptc_inp_patt_vp1                    :12;
    unsigned int reg_01_ptc_inp_patt_vp2                    :12;
    unsigned int reserved                                   : 8;
};
#define rx_ptc_inp_patt_top1_01_08(val) ((rs_rx_ptc_inp_patt_top1_01_08*)&(val))



#define RX_PTC_INP_PATT_TOP1_01_0C                                       (HV_PTC_INP_PATT_TOP1_01_BASE_ADDRESS + 0x0C)

#define RX_PTC_INP_PATT_TOP1_01_0C_struct                                rs_rx_ptc_inp_patt_top1_01_0c

typedef struct _rs_rx_ptc_inp_patt_top1_01_0c  rs_rx_ptc_inp_patt_top1_01_0c;
struct _rs_rx_ptc_inp_patt_top1_01_0c {
    unsigned int reg_01_ptc_inp_patt_gray_row0_cl0          : 6;
    unsigned int reg_01_ptc_inp_patt_gray_row0_cl1          : 6;
    unsigned int reg_01_ptc_inp_patt_gray_row0_cl2          : 6;
    unsigned int reg_01_ptc_inp_patt_gray_row0_cl3          : 6;
    unsigned int reserved                                   : 8;
};
#define rx_ptc_inp_patt_top1_01_0c(val) ((rs_rx_ptc_inp_patt_top1_01_0c*)&(val))



#define RX_PTC_INP_PATT_TOP1_01_10                                       (HV_PTC_INP_PATT_TOP1_01_BASE_ADDRESS + 0x10)

#define RX_PTC_INP_PATT_TOP1_01_10_struct                                rs_rx_ptc_inp_patt_top1_01_10

typedef struct _rs_rx_ptc_inp_patt_top1_01_10  rs_rx_ptc_inp_patt_top1_01_10;
struct _rs_rx_ptc_inp_patt_top1_01_10 {
    unsigned int reg_01_ptc_inp_patt_gray_row1_cl0          : 6;
    unsigned int reg_01_ptc_inp_patt_gray_row1_cl1          : 6;
    unsigned int reg_01_ptc_inp_patt_gray_row1_cl2          : 6;
    unsigned int reg_01_ptc_inp_patt_gray_row1_cl3          : 6;
    unsigned int reserved                                   : 8;
};
#define rx_ptc_inp_patt_top1_01_10(val) ((rs_rx_ptc_inp_patt_top1_01_10*)&(val))



#define RX_PTC_INP_PATT_TOP1_01_14                                       (HV_PTC_INP_PATT_TOP1_01_BASE_ADDRESS + 0x14)

#define RX_PTC_INP_PATT_TOP1_01_14_struct                                rs_rx_ptc_inp_patt_top1_01_14

typedef struct _rs_rx_ptc_inp_patt_top1_01_14  rs_rx_ptc_inp_patt_top1_01_14;
struct _rs_rx_ptc_inp_patt_top1_01_14 {
    unsigned int reg_01_ptc_inp_patt_gray_row2_cl0          : 6;
    unsigned int reg_01_ptc_inp_patt_gray_row2_cl1          : 6;
    unsigned int reg_01_ptc_inp_patt_gray_row2_cl2          : 6;
    unsigned int reg_01_ptc_inp_patt_gray_row2_cl3          : 6;
    unsigned int reserved                                   : 8;
};
#define rx_ptc_inp_patt_top1_01_14(val) ((rs_rx_ptc_inp_patt_top1_01_14*)&(val))



#define RX_PTC_INP_PATT_TOP1_01_18                                       (HV_PTC_INP_PATT_TOP1_01_BASE_ADDRESS + 0x18)

#define RX_PTC_INP_PATT_TOP1_01_18_struct                                rs_rx_ptc_inp_patt_top1_01_18

typedef struct _rs_rx_ptc_inp_patt_top1_01_18  rs_rx_ptc_inp_patt_top1_01_18;
struct _rs_rx_ptc_inp_patt_top1_01_18 {
    unsigned int reg_01_ptc_inp_patt_gray_row3_cl0          : 6;
    unsigned int reg_01_ptc_inp_patt_gray_row3_cl1          : 6;
    unsigned int reg_01_ptc_inp_patt_gray_row3_cl2          : 6;
    unsigned int reg_01_ptc_inp_patt_gray_row3_cl3          : 6;
    unsigned int reserved                                   : 8;
};
#define rx_ptc_inp_patt_top1_01_18(val) ((rs_rx_ptc_inp_patt_top1_01_18*)&(val))



#define RX_PTC_INP_PATT_TOP1_01_1C                                       (HV_PTC_INP_PATT_TOP1_01_BASE_ADDRESS + 0x1C)

#define RX_PTC_INP_PATT_TOP1_01_1C_struct                                rs_rx_ptc_inp_patt_top1_01_1c

typedef struct _rs_rx_ptc_inp_patt_top1_01_1c  rs_rx_ptc_inp_patt_top1_01_1c;
struct _rs_rx_ptc_inp_patt_top1_01_1c {
    unsigned int reg_01_ptc_inp_patt_cross_x0               :16;
    unsigned int reg_01_ptc_inp_patt_cross_x1               :16;
};
#define rx_ptc_inp_patt_top1_01_1c(val) ((rs_rx_ptc_inp_patt_top1_01_1c*)&(val))



#define RX_PTC_INP_PATT_TOP1_01_20                                       (HV_PTC_INP_PATT_TOP1_01_BASE_ADDRESS + 0x20)

#define RX_PTC_INP_PATT_TOP1_01_20_struct                                rs_rx_ptc_inp_patt_top1_01_20

typedef struct _rs_rx_ptc_inp_patt_top1_01_20  rs_rx_ptc_inp_patt_top1_01_20;
struct _rs_rx_ptc_inp_patt_top1_01_20 {
    unsigned int reg_01_ptc_inp_patt_cross_y0               :16;
    unsigned int reg_01_ptc_inp_patt_cross_y1               :16;
};
#define rx_ptc_inp_patt_top1_01_20(val) ((rs_rx_ptc_inp_patt_top1_01_20*)&(val))



#define RX_PTC_INP_PATT_TOP1_01_24                                       (HV_PTC_INP_PATT_TOP1_01_BASE_ADDRESS + 0x24)

#define RX_PTC_INP_PATT_TOP1_01_24_struct                                rs_rx_ptc_inp_patt_top1_01_24

typedef struct _rs_rx_ptc_inp_patt_top1_01_24  rs_rx_ptc_inp_patt_top1_01_24;
struct _rs_rx_ptc_inp_patt_top1_01_24 {
    unsigned int reg_01_ptc_inp_patt_colorbar_level         :10;
    unsigned int reg_01_ptc_inp_patt_hcolorbar_width        :10;
    unsigned int reg_01_ptc_inp_patt_vcolorbar_height       :10;
    unsigned int reserved                                   : 2;
};
#define rx_ptc_inp_patt_top1_01_24(val) ((rs_rx_ptc_inp_patt_top1_01_24*)&(val))



#endif