#ifndef _HV_PAGE_HT7315_REG_SH5_TOP2_H_
#define _HV_PAGE_HT7315_REG_SH5_TOP2_H_

#ifndef HV_REG_SH5_TOP2_BASE_ADDRESS
    #define HV_REG_SH5_TOP2_BASE_ADDRESS                                         0x11011900
#endif


#define SYS_REG_SH5_TOP2_00                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0x00)

#define SYS_REG_SH5_TOP2_00_struct                                       rs_sys_reg_sh5_top2_00

typedef struct _rs_sys_reg_sh5_top2_00  rs_sys_reg_sh5_top2_00;
struct _rs_sys_reg_sh5_top2_00 {
    unsigned int reg_sw_used_0                              :32;
};
#define sys_reg_sh5_top2_00(val) ((rs_sys_reg_sh5_top2_00*)&(val))



#define SYS_REG_SH5_TOP2_04                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0x04)

#define SYS_REG_SH5_TOP2_04_struct                                       rs_sys_reg_sh5_top2_04

typedef struct _rs_sys_reg_sh5_top2_04  rs_sys_reg_sh5_top2_04;
struct _rs_sys_reg_sh5_top2_04 {
    unsigned int reg_sw_used_1                              :32;
};
#define sys_reg_sh5_top2_04(val) ((rs_sys_reg_sh5_top2_04*)&(val))



#define SYS_REG_SH5_TOP2_08                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0x08)

#define SYS_REG_SH5_TOP2_08_struct                                       rs_sys_reg_sh5_top2_08

typedef struct _rs_sys_reg_sh5_top2_08  rs_sys_reg_sh5_top2_08;
struct _rs_sys_reg_sh5_top2_08 {
    unsigned int reg_sw_used_2                              :32;
};
#define sys_reg_sh5_top2_08(val) ((rs_sys_reg_sh5_top2_08*)&(val))



#define SYS_REG_SH5_TOP2_0C                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0x0C)

#define SYS_REG_SH5_TOP2_0C_struct                                       rs_sys_reg_sh5_top2_0c

typedef struct _rs_sys_reg_sh5_top2_0c  rs_sys_reg_sh5_top2_0c;
struct _rs_sys_reg_sh5_top2_0c {
    unsigned int reg_sw_used_3                              :32;
};
#define sys_reg_sh5_top2_0c(val) ((rs_sys_reg_sh5_top2_0c*)&(val))



#define SYS_REG_SH5_TOP2_10                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0x10)

#define SYS_REG_SH5_TOP2_10_struct                                       rs_sys_reg_sh5_top2_10

typedef struct _rs_sys_reg_sh5_top2_10  rs_sys_reg_sh5_top2_10;
struct _rs_sys_reg_sh5_top2_10 {
    unsigned int reg_sw_used_4                              :32;
};
#define sys_reg_sh5_top2_10(val) ((rs_sys_reg_sh5_top2_10*)&(val))



#define SYS_REG_SH5_TOP2_14                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0x14)

#define SYS_REG_SH5_TOP2_14_struct                                       rs_sys_reg_sh5_top2_14

typedef struct _rs_sys_reg_sh5_top2_14  rs_sys_reg_sh5_top2_14;
struct _rs_sys_reg_sh5_top2_14 {
    unsigned int reg_sw_used_5                              :32;
};
#define sys_reg_sh5_top2_14(val) ((rs_sys_reg_sh5_top2_14*)&(val))



#define SYS_REG_SH5_TOP2_18                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0x18)

#define SYS_REG_SH5_TOP2_18_struct                                       rs_sys_reg_sh5_top2_18

typedef struct _rs_sys_reg_sh5_top2_18  rs_sys_reg_sh5_top2_18;
struct _rs_sys_reg_sh5_top2_18 {
    unsigned int reg_sw_used_6                              :32;
};
#define sys_reg_sh5_top2_18(val) ((rs_sys_reg_sh5_top2_18*)&(val))



#define SYS_REG_SH5_TOP2_1C                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0x1C)

#define SYS_REG_SH5_TOP2_1C_struct                                       rs_sys_reg_sh5_top2_1c

typedef struct _rs_sys_reg_sh5_top2_1c  rs_sys_reg_sh5_top2_1c;
struct _rs_sys_reg_sh5_top2_1c {
    unsigned int reg_sw_used_7                              :32;
};
#define sys_reg_sh5_top2_1c(val) ((rs_sys_reg_sh5_top2_1c*)&(val))



#define SYS_REG_SH5_TOP2_20                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0x20)

#define SYS_REG_SH5_TOP2_20_struct                                       rs_sys_reg_sh5_top2_20

typedef struct _rs_sys_reg_sh5_top2_20  rs_sys_reg_sh5_top2_20;
struct _rs_sys_reg_sh5_top2_20 {
    unsigned int reg_sw_used_8                              :32;
};
#define sys_reg_sh5_top2_20(val) ((rs_sys_reg_sh5_top2_20*)&(val))



#define SYS_REG_SH5_TOP2_24                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0x24)

#define SYS_REG_SH5_TOP2_24_struct                                       rs_sys_reg_sh5_top2_24

typedef struct _rs_sys_reg_sh5_top2_24  rs_sys_reg_sh5_top2_24;
struct _rs_sys_reg_sh5_top2_24 {
    unsigned int reg_sw_used_9                              :32;
};
#define sys_reg_sh5_top2_24(val) ((rs_sys_reg_sh5_top2_24*)&(val))



#define SYS_REG_SH5_TOP2_28                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0x28)

#define SYS_REG_SH5_TOP2_28_struct                                       rs_sys_reg_sh5_top2_28

typedef struct _rs_sys_reg_sh5_top2_28  rs_sys_reg_sh5_top2_28;
struct _rs_sys_reg_sh5_top2_28 {
    unsigned int reg_sw_used_10                             :32;
};
#define sys_reg_sh5_top2_28(val) ((rs_sys_reg_sh5_top2_28*)&(val))



#define SYS_REG_SH5_TOP2_2C                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0x2C)

#define SYS_REG_SH5_TOP2_2C_struct                                       rs_sys_reg_sh5_top2_2c

typedef struct _rs_sys_reg_sh5_top2_2c  rs_sys_reg_sh5_top2_2c;
struct _rs_sys_reg_sh5_top2_2c {
    unsigned int reg_sw_used_11                             :32;
};
#define sys_reg_sh5_top2_2c(val) ((rs_sys_reg_sh5_top2_2c*)&(val))



#define SYS_REG_SH5_TOP2_30                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0x30)

#define SYS_REG_SH5_TOP2_30_struct                                       rs_sys_reg_sh5_top2_30

typedef struct _rs_sys_reg_sh5_top2_30  rs_sys_reg_sh5_top2_30;
struct _rs_sys_reg_sh5_top2_30 {
    unsigned int reg_sw_used_12                             :32;
};
#define sys_reg_sh5_top2_30(val) ((rs_sys_reg_sh5_top2_30*)&(val))



#define SYS_REG_SH5_TOP2_34                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0x34)

#define SYS_REG_SH5_TOP2_34_struct                                       rs_sys_reg_sh5_top2_34

typedef struct _rs_sys_reg_sh5_top2_34  rs_sys_reg_sh5_top2_34;
struct _rs_sys_reg_sh5_top2_34 {
    unsigned int reg_sw_used_13                             :32;
};
#define sys_reg_sh5_top2_34(val) ((rs_sys_reg_sh5_top2_34*)&(val))



#define SYS_REG_SH5_TOP2_38                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0x38)

#define SYS_REG_SH5_TOP2_38_struct                                       rs_sys_reg_sh5_top2_38

typedef struct _rs_sys_reg_sh5_top2_38  rs_sys_reg_sh5_top2_38;
struct _rs_sys_reg_sh5_top2_38 {
    unsigned int reg_sw_used_14                             :32;
};
#define sys_reg_sh5_top2_38(val) ((rs_sys_reg_sh5_top2_38*)&(val))



#define SYS_REG_SH5_TOP2_3C                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0x3C)

#define SYS_REG_SH5_TOP2_3C_struct                                       rs_sys_reg_sh5_top2_3c

typedef struct _rs_sys_reg_sh5_top2_3c  rs_sys_reg_sh5_top2_3c;
struct _rs_sys_reg_sh5_top2_3c {
    unsigned int reg_sw_used_15                             :32;
};
#define sys_reg_sh5_top2_3c(val) ((rs_sys_reg_sh5_top2_3c*)&(val))



#define SYS_REG_SH5_TOP2_40                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0x40)

#define SYS_REG_SH5_TOP2_40_struct                                       rs_sys_reg_sh5_top2_40

typedef struct _rs_sys_reg_sh5_top2_40  rs_sys_reg_sh5_top2_40;
struct _rs_sys_reg_sh5_top2_40 {
    unsigned int reg_sw_used_16                             :32;
};
#define sys_reg_sh5_top2_40(val) ((rs_sys_reg_sh5_top2_40*)&(val))



#define SYS_REG_SH5_TOP2_44                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0x44)

#define SYS_REG_SH5_TOP2_44_struct                                       rs_sys_reg_sh5_top2_44

typedef struct _rs_sys_reg_sh5_top2_44  rs_sys_reg_sh5_top2_44;
struct _rs_sys_reg_sh5_top2_44 {
    unsigned int reg_sw_used_17                             :32;
};
#define sys_reg_sh5_top2_44(val) ((rs_sys_reg_sh5_top2_44*)&(val))



#define SYS_REG_SH5_TOP2_48                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0x48)

#define SYS_REG_SH5_TOP2_48_struct                                       rs_sys_reg_sh5_top2_48

typedef struct _rs_sys_reg_sh5_top2_48  rs_sys_reg_sh5_top2_48;
struct _rs_sys_reg_sh5_top2_48 {
    unsigned int reg_sw_used_18                             :32;
};
#define sys_reg_sh5_top2_48(val) ((rs_sys_reg_sh5_top2_48*)&(val))



#define SYS_REG_SH5_TOP2_4C                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0x4C)

#define SYS_REG_SH5_TOP2_4C_struct                                       rs_sys_reg_sh5_top2_4c

typedef struct _rs_sys_reg_sh5_top2_4c  rs_sys_reg_sh5_top2_4c;
struct _rs_sys_reg_sh5_top2_4c {
    unsigned int reg_sw_used_19                             :32;
};
#define sys_reg_sh5_top2_4c(val) ((rs_sys_reg_sh5_top2_4c*)&(val))



#define SYS_REG_SH5_TOP2_50                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0x50)

#define SYS_REG_SH5_TOP2_50_struct                                       rs_sys_reg_sh5_top2_50

typedef struct _rs_sys_reg_sh5_top2_50  rs_sys_reg_sh5_top2_50;
struct _rs_sys_reg_sh5_top2_50 {
    unsigned int reg_sw_used_20                             :32;
};
#define sys_reg_sh5_top2_50(val) ((rs_sys_reg_sh5_top2_50*)&(val))



#define SYS_REG_SH5_TOP2_54                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0x54)

#define SYS_REG_SH5_TOP2_54_struct                                       rs_sys_reg_sh5_top2_54

typedef struct _rs_sys_reg_sh5_top2_54  rs_sys_reg_sh5_top2_54;
struct _rs_sys_reg_sh5_top2_54 {
    unsigned int reg_sw_used_21                             :32;
};
#define sys_reg_sh5_top2_54(val) ((rs_sys_reg_sh5_top2_54*)&(val))



#define SYS_REG_SH5_TOP2_58                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0x58)

#define SYS_REG_SH5_TOP2_58_struct                                       rs_sys_reg_sh5_top2_58

typedef struct _rs_sys_reg_sh5_top2_58  rs_sys_reg_sh5_top2_58;
struct _rs_sys_reg_sh5_top2_58 {
    unsigned int reg_sw_used_22                             :32;
};
#define sys_reg_sh5_top2_58(val) ((rs_sys_reg_sh5_top2_58*)&(val))



#define SYS_REG_SH5_TOP2_5C                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0x5C)

#define SYS_REG_SH5_TOP2_5C_struct                                       rs_sys_reg_sh5_top2_5c

typedef struct _rs_sys_reg_sh5_top2_5c  rs_sys_reg_sh5_top2_5c;
struct _rs_sys_reg_sh5_top2_5c {
    unsigned int reg_sw_used_23                             :32;
};
#define sys_reg_sh5_top2_5c(val) ((rs_sys_reg_sh5_top2_5c*)&(val))



#define SYS_REG_SH5_TOP2_60                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0x60)

#define SYS_REG_SH5_TOP2_60_struct                                       rs_sys_reg_sh5_top2_60

typedef struct _rs_sys_reg_sh5_top2_60  rs_sys_reg_sh5_top2_60;
struct _rs_sys_reg_sh5_top2_60 {
    unsigned int reg_sw_used_24                             :32;
};
#define sys_reg_sh5_top2_60(val) ((rs_sys_reg_sh5_top2_60*)&(val))



#define SYS_REG_SH5_TOP2_64                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0x64)

#define SYS_REG_SH5_TOP2_64_struct                                       rs_sys_reg_sh5_top2_64

typedef struct _rs_sys_reg_sh5_top2_64  rs_sys_reg_sh5_top2_64;
struct _rs_sys_reg_sh5_top2_64 {
    unsigned int reg_sw_used_25                             :32;
};
#define sys_reg_sh5_top2_64(val) ((rs_sys_reg_sh5_top2_64*)&(val))



#define SYS_REG_SH5_TOP2_68                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0x68)

#define SYS_REG_SH5_TOP2_68_struct                                       rs_sys_reg_sh5_top2_68

typedef struct _rs_sys_reg_sh5_top2_68  rs_sys_reg_sh5_top2_68;
struct _rs_sys_reg_sh5_top2_68 {
    unsigned int reg_sw_used_26                             :32;
};
#define sys_reg_sh5_top2_68(val) ((rs_sys_reg_sh5_top2_68*)&(val))



#define SYS_REG_SH5_TOP2_6C                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0x6C)

#define SYS_REG_SH5_TOP2_6C_struct                                       rs_sys_reg_sh5_top2_6c

typedef struct _rs_sys_reg_sh5_top2_6c  rs_sys_reg_sh5_top2_6c;
struct _rs_sys_reg_sh5_top2_6c {
    unsigned int reg_sw_used_27                             :32;
};
#define sys_reg_sh5_top2_6c(val) ((rs_sys_reg_sh5_top2_6c*)&(val))



#define SYS_REG_SH5_TOP2_70                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0x70)

#define SYS_REG_SH5_TOP2_70_struct                                       rs_sys_reg_sh5_top2_70

typedef struct _rs_sys_reg_sh5_top2_70  rs_sys_reg_sh5_top2_70;
struct _rs_sys_reg_sh5_top2_70 {
    unsigned int reg_sw_used_28                             :32;
};
#define sys_reg_sh5_top2_70(val) ((rs_sys_reg_sh5_top2_70*)&(val))



#define SYS_REG_SH5_TOP2_74                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0x74)

#define SYS_REG_SH5_TOP2_74_struct                                       rs_sys_reg_sh5_top2_74

typedef struct _rs_sys_reg_sh5_top2_74  rs_sys_reg_sh5_top2_74;
struct _rs_sys_reg_sh5_top2_74 {
    unsigned int reg_sw_used_29                             :32;
};
#define sys_reg_sh5_top2_74(val) ((rs_sys_reg_sh5_top2_74*)&(val))



#define SYS_REG_SH5_TOP2_78                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0x78)

#define SYS_REG_SH5_TOP2_78_struct                                       rs_sys_reg_sh5_top2_78

typedef struct _rs_sys_reg_sh5_top2_78  rs_sys_reg_sh5_top2_78;
struct _rs_sys_reg_sh5_top2_78 {
    unsigned int reg_sw_used_30                             :32;
};
#define sys_reg_sh5_top2_78(val) ((rs_sys_reg_sh5_top2_78*)&(val))



#define SYS_REG_SH5_TOP2_7C                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0x7C)

#define SYS_REG_SH5_TOP2_7C_struct                                       rs_sys_reg_sh5_top2_7c

typedef struct _rs_sys_reg_sh5_top2_7c  rs_sys_reg_sh5_top2_7c;
struct _rs_sys_reg_sh5_top2_7c {
    unsigned int reg_sw_used_31                             :32;
};
#define sys_reg_sh5_top2_7c(val) ((rs_sys_reg_sh5_top2_7c*)&(val))



#define SYS_REG_SH5_TOP2_80                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0x80)

#define SYS_REG_SH5_TOP2_80_struct                                       rs_sys_reg_sh5_top2_80

typedef struct _rs_sys_reg_sh5_top2_80  rs_sys_reg_sh5_top2_80;
struct _rs_sys_reg_sh5_top2_80 {
    unsigned int reg_sw_used_32                             :32;
};
#define sys_reg_sh5_top2_80(val) ((rs_sys_reg_sh5_top2_80*)&(val))



#define SYS_REG_SH5_TOP2_84                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0x84)

#define SYS_REG_SH5_TOP2_84_struct                                       rs_sys_reg_sh5_top2_84

typedef struct _rs_sys_reg_sh5_top2_84  rs_sys_reg_sh5_top2_84;
struct _rs_sys_reg_sh5_top2_84 {
    unsigned int reg_sw_used_33                             :32;
};
#define sys_reg_sh5_top2_84(val) ((rs_sys_reg_sh5_top2_84*)&(val))



#define SYS_REG_SH5_TOP2_88                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0x88)

#define SYS_REG_SH5_TOP2_88_struct                                       rs_sys_reg_sh5_top2_88

typedef struct _rs_sys_reg_sh5_top2_88  rs_sys_reg_sh5_top2_88;
struct _rs_sys_reg_sh5_top2_88 {
    unsigned int reg_sw_used_34                             :32;
};
#define sys_reg_sh5_top2_88(val) ((rs_sys_reg_sh5_top2_88*)&(val))



#define SYS_REG_SH5_TOP2_8C                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0x8C)

#define SYS_REG_SH5_TOP2_8C_struct                                       rs_sys_reg_sh5_top2_8c

typedef struct _rs_sys_reg_sh5_top2_8c  rs_sys_reg_sh5_top2_8c;
struct _rs_sys_reg_sh5_top2_8c {
    unsigned int reg_sw_used_35                             :32;
};
#define sys_reg_sh5_top2_8c(val) ((rs_sys_reg_sh5_top2_8c*)&(val))



#define SYS_REG_SH5_TOP2_90                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0x90)

#define SYS_REG_SH5_TOP2_90_struct                                       rs_sys_reg_sh5_top2_90

typedef struct _rs_sys_reg_sh5_top2_90  rs_sys_reg_sh5_top2_90;
struct _rs_sys_reg_sh5_top2_90 {
    unsigned int reg_sw_used_36                             :32;
};
#define sys_reg_sh5_top2_90(val) ((rs_sys_reg_sh5_top2_90*)&(val))



#define SYS_REG_SH5_TOP2_94                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0x94)

#define SYS_REG_SH5_TOP2_94_struct                                       rs_sys_reg_sh5_top2_94

typedef struct _rs_sys_reg_sh5_top2_94  rs_sys_reg_sh5_top2_94;
struct _rs_sys_reg_sh5_top2_94 {
    unsigned int reg_sw_used_37                             :32;
};
#define sys_reg_sh5_top2_94(val) ((rs_sys_reg_sh5_top2_94*)&(val))



#define SYS_REG_SH5_TOP2_98                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0x98)

#define SYS_REG_SH5_TOP2_98_struct                                       rs_sys_reg_sh5_top2_98

typedef struct _rs_sys_reg_sh5_top2_98  rs_sys_reg_sh5_top2_98;
struct _rs_sys_reg_sh5_top2_98 {
    unsigned int reg_sw_used_38                             :32;
};
#define sys_reg_sh5_top2_98(val) ((rs_sys_reg_sh5_top2_98*)&(val))



#define SYS_REG_SH5_TOP2_9C                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0x9C)

#define SYS_REG_SH5_TOP2_9C_struct                                       rs_sys_reg_sh5_top2_9c

typedef struct _rs_sys_reg_sh5_top2_9c  rs_sys_reg_sh5_top2_9c;
struct _rs_sys_reg_sh5_top2_9c {
    unsigned int reg_sw_used_39                             :32;
};
#define sys_reg_sh5_top2_9c(val) ((rs_sys_reg_sh5_top2_9c*)&(val))



#define SYS_REG_SH5_TOP2_A0                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0xA0)

#define SYS_REG_SH5_TOP2_A0_struct                                       rs_sys_reg_sh5_top2_a0

typedef struct _rs_sys_reg_sh5_top2_a0  rs_sys_reg_sh5_top2_a0;
struct _rs_sys_reg_sh5_top2_a0 {
    unsigned int reg_sw_used_40                             :32;
};
#define sys_reg_sh5_top2_a0(val) ((rs_sys_reg_sh5_top2_a0*)&(val))



#define SYS_REG_SH5_TOP2_A4                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0xA4)

#define SYS_REG_SH5_TOP2_A4_struct                                       rs_sys_reg_sh5_top2_a4

typedef struct _rs_sys_reg_sh5_top2_a4  rs_sys_reg_sh5_top2_a4;
struct _rs_sys_reg_sh5_top2_a4 {
    unsigned int reg_sw_used_41                             :32;
};
#define sys_reg_sh5_top2_a4(val) ((rs_sys_reg_sh5_top2_a4*)&(val))



#define SYS_REG_SH5_TOP2_A8                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0xA8)

#define SYS_REG_SH5_TOP2_A8_struct                                       rs_sys_reg_sh5_top2_a8

typedef struct _rs_sys_reg_sh5_top2_a8  rs_sys_reg_sh5_top2_a8;
struct _rs_sys_reg_sh5_top2_a8 {
    unsigned int reg_sw_used_42                             :32;
};
#define sys_reg_sh5_top2_a8(val) ((rs_sys_reg_sh5_top2_a8*)&(val))



#define SYS_REG_SH5_TOP2_AC                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0xAC)

#define SYS_REG_SH5_TOP2_AC_struct                                       rs_sys_reg_sh5_top2_ac

typedef struct _rs_sys_reg_sh5_top2_ac  rs_sys_reg_sh5_top2_ac;
struct _rs_sys_reg_sh5_top2_ac {
    unsigned int reg_sw_used_43                             :32;
};
#define sys_reg_sh5_top2_ac(val) ((rs_sys_reg_sh5_top2_ac*)&(val))



#define SYS_REG_SH5_TOP2_B0                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0xB0)

#define SYS_REG_SH5_TOP2_B0_struct                                       rs_sys_reg_sh5_top2_b0

typedef struct _rs_sys_reg_sh5_top2_b0  rs_sys_reg_sh5_top2_b0;
struct _rs_sys_reg_sh5_top2_b0 {
    unsigned int reg_sw_used_44                             :32;
};
#define sys_reg_sh5_top2_b0(val) ((rs_sys_reg_sh5_top2_b0*)&(val))



#define SYS_REG_SH5_TOP2_B4                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0xB4)

#define SYS_REG_SH5_TOP2_B4_struct                                       rs_sys_reg_sh5_top2_b4

typedef struct _rs_sys_reg_sh5_top2_b4  rs_sys_reg_sh5_top2_b4;
struct _rs_sys_reg_sh5_top2_b4 {
    unsigned int reg_sw_used_45                             :32;
};
#define sys_reg_sh5_top2_b4(val) ((rs_sys_reg_sh5_top2_b4*)&(val))



#define SYS_REG_SH5_TOP2_B8                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0xB8)

#define SYS_REG_SH5_TOP2_B8_struct                                       rs_sys_reg_sh5_top2_b8

typedef struct _rs_sys_reg_sh5_top2_b8  rs_sys_reg_sh5_top2_b8;
struct _rs_sys_reg_sh5_top2_b8 {
    unsigned int reg_sw_used_46                             :32;
};
#define sys_reg_sh5_top2_b8(val) ((rs_sys_reg_sh5_top2_b8*)&(val))



#define SYS_REG_SH5_TOP2_BC                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0xBC)

#define SYS_REG_SH5_TOP2_BC_struct                                       rs_sys_reg_sh5_top2_bc

typedef struct _rs_sys_reg_sh5_top2_bc  rs_sys_reg_sh5_top2_bc;
struct _rs_sys_reg_sh5_top2_bc {
    unsigned int reg_sw_used_47                             :32;
};
#define sys_reg_sh5_top2_bc(val) ((rs_sys_reg_sh5_top2_bc*)&(val))



#define SYS_REG_SH5_TOP2_C0                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0xC0)

#define SYS_REG_SH5_TOP2_C0_struct                                       rs_sys_reg_sh5_top2_c0

typedef struct _rs_sys_reg_sh5_top2_c0  rs_sys_reg_sh5_top2_c0;
struct _rs_sys_reg_sh5_top2_c0 {
    unsigned int reg_sw_used_48                             :32;
};
#define sys_reg_sh5_top2_c0(val) ((rs_sys_reg_sh5_top2_c0*)&(val))



#define SYS_REG_SH5_TOP2_C4                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0xC4)

#define SYS_REG_SH5_TOP2_C4_struct                                       rs_sys_reg_sh5_top2_c4

typedef struct _rs_sys_reg_sh5_top2_c4  rs_sys_reg_sh5_top2_c4;
struct _rs_sys_reg_sh5_top2_c4 {
    unsigned int reg_sw_used_49                             :32;
};
#define sys_reg_sh5_top2_c4(val) ((rs_sys_reg_sh5_top2_c4*)&(val))



#define SYS_REG_SH5_TOP2_C8                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0xC8)

#define SYS_REG_SH5_TOP2_C8_struct                                       rs_sys_reg_sh5_top2_c8

typedef struct _rs_sys_reg_sh5_top2_c8  rs_sys_reg_sh5_top2_c8;
struct _rs_sys_reg_sh5_top2_c8 {
    unsigned int reg_sw_used_50                             :32;
};
#define sys_reg_sh5_top2_c8(val) ((rs_sys_reg_sh5_top2_c8*)&(val))



#define SYS_REG_SH5_TOP2_CC                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0xCC)

#define SYS_REG_SH5_TOP2_CC_struct                                       rs_sys_reg_sh5_top2_cc

typedef struct _rs_sys_reg_sh5_top2_cc  rs_sys_reg_sh5_top2_cc;
struct _rs_sys_reg_sh5_top2_cc {
    unsigned int reg_sw_used_51                             :32;
};
#define sys_reg_sh5_top2_cc(val) ((rs_sys_reg_sh5_top2_cc*)&(val))



#define SYS_REG_SH5_TOP2_D0                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0xD0)

#define SYS_REG_SH5_TOP2_D0_struct                                       rs_sys_reg_sh5_top2_d0

typedef struct _rs_sys_reg_sh5_top2_d0  rs_sys_reg_sh5_top2_d0;
struct _rs_sys_reg_sh5_top2_d0 {
    unsigned int reg_sw_used_52                             :32;
};
#define sys_reg_sh5_top2_d0(val) ((rs_sys_reg_sh5_top2_d0*)&(val))



#define SYS_REG_SH5_TOP2_D4                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0xD4)

#define SYS_REG_SH5_TOP2_D4_struct                                       rs_sys_reg_sh5_top2_d4

typedef struct _rs_sys_reg_sh5_top2_d4  rs_sys_reg_sh5_top2_d4;
struct _rs_sys_reg_sh5_top2_d4 {
    unsigned int reg_sw_used_53                             :32;
};
#define sys_reg_sh5_top2_d4(val) ((rs_sys_reg_sh5_top2_d4*)&(val))



#define SYS_REG_SH5_TOP2_D8                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0xD8)

#define SYS_REG_SH5_TOP2_D8_struct                                       rs_sys_reg_sh5_top2_d8

typedef struct _rs_sys_reg_sh5_top2_d8  rs_sys_reg_sh5_top2_d8;
struct _rs_sys_reg_sh5_top2_d8 {
    unsigned int reg_sw_used_54                             :32;
};
#define sys_reg_sh5_top2_d8(val) ((rs_sys_reg_sh5_top2_d8*)&(val))



#define SYS_REG_SH5_TOP2_DC                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0xDC)

#define SYS_REG_SH5_TOP2_DC_struct                                       rs_sys_reg_sh5_top2_dc

typedef struct _rs_sys_reg_sh5_top2_dc  rs_sys_reg_sh5_top2_dc;
struct _rs_sys_reg_sh5_top2_dc {
    unsigned int reg_sw_used_55                             :32;
};
#define sys_reg_sh5_top2_dc(val) ((rs_sys_reg_sh5_top2_dc*)&(val))



#define SYS_REG_SH5_TOP2_E0                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0xE0)

#define SYS_REG_SH5_TOP2_E0_struct                                       rs_sys_reg_sh5_top2_e0

typedef struct _rs_sys_reg_sh5_top2_e0  rs_sys_reg_sh5_top2_e0;
struct _rs_sys_reg_sh5_top2_e0 {
    unsigned int reg_sw_used_56                             :32;
};
#define sys_reg_sh5_top2_e0(val) ((rs_sys_reg_sh5_top2_e0*)&(val))



#define SYS_REG_SH5_TOP2_E4                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0xE4)

#define SYS_REG_SH5_TOP2_E4_struct                                       rs_sys_reg_sh5_top2_e4

typedef struct _rs_sys_reg_sh5_top2_e4  rs_sys_reg_sh5_top2_e4;
struct _rs_sys_reg_sh5_top2_e4 {
    unsigned int reg_sw_used_57                             :32;
};
#define sys_reg_sh5_top2_e4(val) ((rs_sys_reg_sh5_top2_e4*)&(val))



#define SYS_REG_SH5_TOP2_E8                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0xE8)

#define SYS_REG_SH5_TOP2_E8_struct                                       rs_sys_reg_sh5_top2_e8

typedef struct _rs_sys_reg_sh5_top2_e8  rs_sys_reg_sh5_top2_e8;
struct _rs_sys_reg_sh5_top2_e8 {
    unsigned int reg_sw_used_58                             :32;
};
#define sys_reg_sh5_top2_e8(val) ((rs_sys_reg_sh5_top2_e8*)&(val))



#define SYS_REG_SH5_TOP2_EC                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0xEC)

#define SYS_REG_SH5_TOP2_EC_struct                                       rs_sys_reg_sh5_top2_ec

typedef struct _rs_sys_reg_sh5_top2_ec  rs_sys_reg_sh5_top2_ec;
struct _rs_sys_reg_sh5_top2_ec {
    unsigned int reg_sw_used_59                             :32;
};
#define sys_reg_sh5_top2_ec(val) ((rs_sys_reg_sh5_top2_ec*)&(val))



#define SYS_REG_SH5_TOP2_F0                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0xF0)

#define SYS_REG_SH5_TOP2_F0_struct                                       rs_sys_reg_sh5_top2_f0

typedef struct _rs_sys_reg_sh5_top2_f0  rs_sys_reg_sh5_top2_f0;
struct _rs_sys_reg_sh5_top2_f0 {
    unsigned int reg_sw_used_60                             :32;
};
#define sys_reg_sh5_top2_f0(val) ((rs_sys_reg_sh5_top2_f0*)&(val))



#define SYS_REG_SH5_TOP2_F4                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0xF4)

#define SYS_REG_SH5_TOP2_F4_struct                                       rs_sys_reg_sh5_top2_f4

typedef struct _rs_sys_reg_sh5_top2_f4  rs_sys_reg_sh5_top2_f4;
struct _rs_sys_reg_sh5_top2_f4 {
    unsigned int reg_sw_used_61                             :32;
};
#define sys_reg_sh5_top2_f4(val) ((rs_sys_reg_sh5_top2_f4*)&(val))



#define SYS_REG_SH5_TOP2_F8                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0xF8)

#define SYS_REG_SH5_TOP2_F8_struct                                       rs_sys_reg_sh5_top2_f8

typedef struct _rs_sys_reg_sh5_top2_f8  rs_sys_reg_sh5_top2_f8;
struct _rs_sys_reg_sh5_top2_f8 {
    unsigned int reg_sw_used_62                             :32;
};
#define sys_reg_sh5_top2_f8(val) ((rs_sys_reg_sh5_top2_f8*)&(val))



#define SYS_REG_SH5_TOP2_FC                                              (HV_REG_SH5_TOP2_BASE_ADDRESS + 0xFC)

#define SYS_REG_SH5_TOP2_FC_struct                                       rs_sys_reg_sh5_top2_fc

typedef struct _rs_sys_reg_sh5_top2_fc  rs_sys_reg_sh5_top2_fc;
struct _rs_sys_reg_sh5_top2_fc {
    unsigned int reg_sw_used_63                             :32;
};
#define sys_reg_sh5_top2_fc(val) ((rs_sys_reg_sh5_top2_fc*)&(val))



#endif