#ifndef _HV_PAGE_HT7315_RX_PHY_T22_NOLINK_03_H_
#define _HV_PAGE_HT7315_RX_PHY_T22_NOLINK_03_H_

#ifndef HV_RX_PHY_T22_NOLINK_03_BASE_ADDRESS
    #define HV_RX_PHY_T22_NOLINK_03_BASE_ADDRESS                                         0x11046300
#endif


#define RX_RX_PHY_T22_NOLINK_03_00                                       (HV_RX_PHY_T22_NOLINK_03_BASE_ADDRESS + 0x00)

#define RX_RX_PHY_T22_NOLINK_03_00_struct                                rs_rx_rx_phy_t22_nolink_03_00

typedef struct _rs_rx_rx_phy_t22_nolink_03_00  rs_rx_rx_phy_t22_nolink_03_00;
struct _rs_rx_rx_phy_t22_nolink_03_00 {
    unsigned int reg_03_rx_phy_inv_pn_en                    : 4;
    unsigned int reg_03_rx_phy_inv_xsb_en                   : 4;
    unsigned int reg_03_rx_phy_inv_port_en                  : 4;
    unsigned int reserved                                   :20;
};
#define rx_rx_phy_t22_nolink_03_00(val) ((rs_rx_rx_phy_t22_nolink_03_00*)&(val))



#define RX_RX_PHY_T22_NOLINK_03_04                                       (HV_RX_PHY_T22_NOLINK_03_BASE_ADDRESS + 0x04)

#define RX_RX_PHY_T22_NOLINK_03_04_struct                                rs_rx_rx_phy_t22_nolink_03_04

typedef struct _rs_rx_rx_phy_t22_nolink_03_04  rs_rx_rx_phy_t22_nolink_03_04;
struct _rs_rx_rx_phy_t22_nolink_03_04 {
    unsigned int reg_03_rx_phy_eq_sw_en                     : 1;
    unsigned int reg_03_rx_phy_dfe_sw_en                    : 1;
    unsigned int reg_03_rx_phy_vos_sw_en                    : 1;
    unsigned int reserved                                   : 9;
    unsigned int reg_03_rx_phy_ana_rst_mode                 : 2;
    unsigned int reserved_1                                 : 1;
    unsigned int reg_03_rx_phy_vos_rst_n                    : 1;
    unsigned int reg_03_rx_phy_sw_rst_n                     : 1;
    unsigned int reg_03_rx_phy_hw_stb_en                    : 1;
    unsigned int reg_03_rx_phy_hw_lane_pd                   : 4;
    unsigned int reg_03_rx_phy_eq_negcap                    : 3;
    unsigned int reserved_2                                 : 3;
    unsigned int reg_03_rx_phy_ctl_lane_rst_en              : 1;
    unsigned int reg_03_rx_phy_ctl_lane_pd_en               : 1;
    unsigned int reg_03_rx_phy_ref_clk_sel                  : 2;
};
#define rx_rx_phy_t22_nolink_03_04(val) ((rs_rx_rx_phy_t22_nolink_03_04*)&(val))



#define RX_RX_PHY_T22_NOLINK_03_10                                       (HV_RX_PHY_T22_NOLINK_03_BASE_ADDRESS + 0x10)

#define RX_RX_PHY_T22_NOLINK_03_10_struct                                rs_rx_rx_phy_t22_nolink_03_10

typedef struct _rs_rx_rx_phy_t22_nolink_03_10  rs_rx_rx_phy_t22_nolink_03_10;
struct _rs_rx_rx_phy_t22_nolink_03_10 {
    unsigned int reg_03_rx_phy_lane_rstn                    : 4;
    unsigned int reg_03_rx_phy_lane_pd                      : 4;
    unsigned int reg_03_rx_phy_lane_ckref_sel               : 4;
    unsigned int reg_03_rx_phy_clk_lane_sel                 : 4;
    unsigned int reg_03_rx_phy_lane_fast_lock_force         : 4;
    unsigned int reg_03_rx_phy_lane_fine_lock_en            : 4;
    unsigned int reg_03_rx_phy_lane_cr_done_en              : 4;
    unsigned int reg_03_rx_phy_eqck_stb_en                  : 4;
};
#define rx_rx_phy_t22_nolink_03_10(val) ((rs_rx_rx_phy_t22_nolink_03_10*)&(val))



#define RX_RX_PHY_T22_NOLINK_03_14                                       (HV_RX_PHY_T22_NOLINK_03_BASE_ADDRESS + 0x14)

#define RX_RX_PHY_T22_NOLINK_03_14_struct                                rs_rx_rx_phy_t22_nolink_03_14

typedef struct _rs_rx_rx_phy_t22_nolink_03_14  rs_rx_rx_phy_t22_nolink_03_14;
struct _rs_rx_rx_phy_t22_nolink_03_14 {
    unsigned int reg_03_rx_phy_rterm                        : 4;
    unsigned int reg_03_rx_phy_cr_done_cnt                  : 8;
    unsigned int reg_03_rx_phy_dly_ctrl                     : 3;
    unsigned int reg_03_rx_phy_icp_bias_tune                : 3;
    unsigned int reg_03_rx_phy_lock_wd_sel                  : 2;
    unsigned int reg_03_rx_phy_lane_ck_inv_en               : 4;
    unsigned int reg_03_rx_phy_lane_dout_inv_en             : 4;
    unsigned int reg_03_rx_phy_dout_width_sel               : 2;
    unsigned int reg_03_rx_phy_ckref_sel                    : 2;
};
#define rx_rx_phy_t22_nolink_03_14(val) ((rs_rx_rx_phy_t22_nolink_03_14*)&(val))



#define RX_RX_PHY_T22_NOLINK_03_18                                       (HV_RX_PHY_T22_NOLINK_03_BASE_ADDRESS + 0x18)

#define RX_RX_PHY_T22_NOLINK_03_18_struct                                rs_rx_rx_phy_t22_nolink_03_18

typedef struct _rs_rx_rx_phy_t22_nolink_03_18  rs_rx_rx_phy_t22_nolink_03_18;
struct _rs_rx_rx_phy_t22_nolink_03_18 {
    unsigned int reg_03_rx_phy_ana_test_sel                 : 6;
    unsigned int reg_03_rx_phy_eq_out_zero                  : 4;
    unsigned int reg_03_rx_phy_eq_vos_det                   : 4;
    unsigned int reg_03_rx_phy_stb_en                       : 1;
    unsigned int reg_03_rx_phy_training_mode                : 1;
    unsigned int reg_03_rx_phy_training_ctrl                : 1;
    unsigned int reg_03_rx_phy_lock_enhance                 : 1;
    unsigned int reg_03_rx_phy_loopdiv_stb_en               : 1;
    unsigned int reg_03_rx_phy_vco_overflow_rst_en          : 1;
    unsigned int reg_03_rx_phy_free_run                     : 1;
    unsigned int reg_03_rx_phy_bias_slf_en                  : 1;
    unsigned int reg_03_rx_phy_test_ana_loop                : 8;
    unsigned int reserved                                   : 2;
};
#define rx_rx_phy_t22_nolink_03_18(val) ((rs_rx_rx_phy_t22_nolink_03_18*)&(val))



#define RX_RX_PHY_T22_NOLINK_03_1C                                       (HV_RX_PHY_T22_NOLINK_03_BASE_ADDRESS + 0x1C)

#define RX_RX_PHY_T22_NOLINK_03_1C_struct                                rs_rx_rx_phy_t22_nolink_03_1c

typedef struct _rs_rx_rx_phy_t22_nolink_03_1c  rs_rx_rx_phy_t22_nolink_03_1c;
struct _rs_rx_rx_phy_t22_nolink_03_1c {
    unsigned int reg_03_rx_phy_eq_lane0_rz                  : 3;
    unsigned int reg_03_rx_phy_eq_lane0_cz                  : 3;
    unsigned int reg_03_rx_phy_eq_lane1_rz                  : 3;
    unsigned int reg_03_rx_phy_eq_lane1_cz                  : 3;
    unsigned int reg_03_rx_phy_eq_lane2_rz                  : 3;
    unsigned int reg_03_rx_phy_eq_lane2_cz                  : 3;
    unsigned int reg_03_rx_phy_eq_lane3_rz                  : 3;
    unsigned int reg_03_rx_phy_eq_lane3_cz                  : 3;
    unsigned int reserved                                   : 8;
};
#define rx_rx_phy_t22_nolink_03_1c(val) ((rs_rx_rx_phy_t22_nolink_03_1c*)&(val))



#define RX_RX_PHY_T22_NOLINK_03_20                                       (HV_RX_PHY_T22_NOLINK_03_BASE_ADDRESS + 0x20)

#define RX_RX_PHY_T22_NOLINK_03_20_struct                                rs_rx_rx_phy_t22_nolink_03_20

typedef struct _rs_rx_rx_phy_t22_nolink_03_20  rs_rx_rx_phy_t22_nolink_03_20;
struct _rs_rx_rx_phy_t22_nolink_03_20 {
    unsigned int reg_03_rx_phy_eq_lane0_xcap                : 3;
    unsigned int reg_03_rx_phy_eq_lane1_xcap                : 3;
    unsigned int reg_03_rx_phy_eq_lane2_xcap                : 3;
    unsigned int reg_03_rx_phy_eq_lane3_xcap                : 3;
    unsigned int reg_03_rx_phy_sigdet_en                    : 4;
    unsigned int reg_03_rx_phy_sigdet_vth                   : 2;
    unsigned int reg_03_rx_phy_sigdet_hys                   : 2;
    unsigned int reg_03_rx_phy_sigdet_ckdivn                : 2;
    unsigned int reg_03_rx_phy_sigdet_lpfcnt                : 2;
    unsigned int reg_03_rx_phy_sigdet_training              : 4;
    unsigned int reg_03_rx_phy_sigdet_dem                   : 1;
    unsigned int reserved                                   : 3;
};
#define rx_rx_phy_t22_nolink_03_20(val) ((rs_rx_rx_phy_t22_nolink_03_20*)&(val))



#define RX_RX_PHY_T22_NOLINK_03_24                                       (HV_RX_PHY_T22_NOLINK_03_BASE_ADDRESS + 0x24)

#define RX_RX_PHY_T22_NOLINK_03_24_struct                                rs_rx_rx_phy_t22_nolink_03_24

typedef struct _rs_rx_rx_phy_t22_nolink_03_24  rs_rx_rx_phy_t22_nolink_03_24;
struct _rs_rx_rx_phy_t22_nolink_03_24 {
    unsigned int reg_03_rx_phy_fast_lock_rlpf               : 4;
    unsigned int reg_03_rx_phy_fine_lock_rlpf               : 4;
    unsigned int reg_03_rx_phy_cdr_rlpf                     : 4;
    unsigned int reg_03_rx_phy_fast_lock_icp                : 4;
    unsigned int reg_03_rx_phy_fine_lock_icp                : 4;
    unsigned int reg_03_rx_phy_cdr_icp                      : 4;
    unsigned int reg_03_rx_phy_kvco_ctrl                    : 4;
    unsigned int reg_03_rx_phy_bbpd_mode                    : 2;
    unsigned int reserved                                   : 2;
};
#define rx_rx_phy_t22_nolink_03_24(val) ((rs_rx_rx_phy_t22_nolink_03_24*)&(val))



#define RX_RX_PHY_T22_NOLINK_03_28                                       (HV_RX_PHY_T22_NOLINK_03_BASE_ADDRESS + 0x28)

#define RX_RX_PHY_T22_NOLINK_03_28_struct                                rs_rx_rx_phy_t22_nolink_03_28

typedef struct _rs_rx_rx_phy_t22_nolink_03_28  rs_rx_rx_phy_t22_nolink_03_28;
struct _rs_rx_rx_phy_t22_nolink_03_28 {
    unsigned int reg_03_rx_phy_cr_prediv                    : 6;
    unsigned int reg_03_rx_phy_cr_fbdiv                     :10;
    unsigned int reg_03_rx_phy_osr                          : 2;
    unsigned int reg_03_rx_phy_eq_bnd_sel                   : 2;
    unsigned int reg_03_rx_phy_eq_lp_mode                   : 2;
    unsigned int reserved                                   :10;
};
#define rx_rx_phy_t22_nolink_03_28(val) ((rs_rx_rx_phy_t22_nolink_03_28*)&(val))



#define RX_RX_PHY_T22_NOLINK_03_2C                                       (HV_RX_PHY_T22_NOLINK_03_BASE_ADDRESS + 0x2C)

#define RX_RX_PHY_T22_NOLINK_03_2C_struct                                rs_rx_rx_phy_t22_nolink_03_2c

typedef struct _rs_rx_rx_phy_t22_nolink_03_2c  rs_rx_rx_phy_t22_nolink_03_2c;
struct _rs_rx_rx_phy_t22_nolink_03_2c {
    unsigned int reg_03_rx_phy_mst_fdpll_pd                 : 1;
    unsigned int reg_03_rx_phy_mst_fd_lock_en               : 1;
    unsigned int reg_03_rx_phy_mst_prediv                   : 6;
    unsigned int reg_03_rx_phy_mst_fbdiv                    :10;
    unsigned int reg_03_rx_phy_mst_rlpf                     : 4;
    unsigned int reg_03_rx_phy_mst_icp_ctrl1                : 2;
    unsigned int reg_03_rx_phy_mst_icp_ctrl2                : 2;
    unsigned int reg_03_rx_phy_mst_kvco_ctrl                : 6;
};
#define rx_rx_phy_t22_nolink_03_2c(val) ((rs_rx_rx_phy_t22_nolink_03_2c*)&(val))



#define RX_RX_PHY_T22_NOLINK_03_30                                       (HV_RX_PHY_T22_NOLINK_03_BASE_ADDRESS + 0x30)

#define RX_RX_PHY_T22_NOLINK_03_30_struct                                rs_rx_rx_phy_t22_nolink_03_30

typedef struct _rs_rx_rx_phy_t22_nolink_03_30  rs_rx_rx_phy_t22_nolink_03_30;
struct _rs_rx_rx_phy_t22_nolink_03_30 {
    unsigned int reg_03_rx_phy_mst_lock_force               : 1;
    unsigned int reg_03_rx_phy_mst_training_mode            : 1;
    unsigned int reg_03_rx_phy_mst_done_cnt                 : 4;
    unsigned int reg_03_rx_phy_mst_stb_mode                 : 2;
    unsigned int reg_03_rx_phy_dfe_tap_ctrl                 : 8;
    unsigned int reg_03_rx_phy_vos_cal_ctrl                 : 8;
    unsigned int reg_03_rx_phy_dummy1                       : 4;
    unsigned int reg_03_rx_phy_eq_negcap_bw1                : 3;
    unsigned int reserved                                   : 1;
};
#define rx_rx_phy_t22_nolink_03_30(val) ((rs_rx_rx_phy_t22_nolink_03_30*)&(val))



#define RX_RX_PHY_T22_NOLINK_03_34                                       (HV_RX_PHY_T22_NOLINK_03_BASE_ADDRESS + 0x34)

#define RX_RX_PHY_T22_NOLINK_03_34_struct                                rs_rx_rx_phy_t22_nolink_03_34

typedef struct _rs_rx_rx_phy_t22_nolink_03_34  rs_rx_rx_phy_t22_nolink_03_34;
struct _rs_rx_rx_phy_t22_nolink_03_34 {
    unsigned int reg_03_rx_phy_lane0_tap1                   : 6;
    unsigned int reg_03_rx_phy_lane0_tap2                   : 5;
    unsigned int reg_03_rx_phy_lane0_tap3                   : 4;
    unsigned int reg_03_rx_phy_lane1_tap1                   : 6;
    unsigned int reg_03_rx_phy_lane1_tap2                   : 5;
    unsigned int reg_03_rx_phy_lane1_tap3                   : 4;
    unsigned int reserved                                   : 2;
};
#define rx_rx_phy_t22_nolink_03_34(val) ((rs_rx_rx_phy_t22_nolink_03_34*)&(val))



#define RX_RX_PHY_T22_NOLINK_03_38                                       (HV_RX_PHY_T22_NOLINK_03_BASE_ADDRESS + 0x38)

#define RX_RX_PHY_T22_NOLINK_03_38_struct                                rs_rx_rx_phy_t22_nolink_03_38

typedef struct _rs_rx_rx_phy_t22_nolink_03_38  rs_rx_rx_phy_t22_nolink_03_38;
struct _rs_rx_rx_phy_t22_nolink_03_38 {
    unsigned int reg_03_rx_phy_lane2_tap1                   : 6;
    unsigned int reg_03_rx_phy_lane2_tap2                   : 5;
    unsigned int reg_03_rx_phy_lane2_tap3                   : 4;
    unsigned int reg_03_rx_phy_lane3_tap1                   : 6;
    unsigned int reg_03_rx_phy_lane3_tap2                   : 5;
    unsigned int reg_03_rx_phy_lane3_tap3                   : 4;
    unsigned int reserved                                   : 2;
};
#define rx_rx_phy_t22_nolink_03_38(val) ((rs_rx_rx_phy_t22_nolink_03_38*)&(val))



#define RX_RX_PHY_T22_NOLINK_03_3C                                       (HV_RX_PHY_T22_NOLINK_03_BASE_ADDRESS + 0x3C)

#define RX_RX_PHY_T22_NOLINK_03_3C_struct                                rs_rx_rx_phy_t22_nolink_03_3c

typedef struct _rs_rx_rx_phy_t22_nolink_03_3c  rs_rx_rx_phy_t22_nolink_03_3c;
struct _rs_rx_rx_phy_t22_nolink_03_3c {
    unsigned int reg_03_rx_phy_lane0_ds0_vos                : 4;
    unsigned int reg_03_rx_phy_lane0_ds1_vos                : 4;
    unsigned int reg_03_rx_phy_lane0_ds2_vos                : 4;
    unsigned int reg_03_rx_phy_lane0_ds3_vos                : 4;
    unsigned int reg_03_rx_phy_lane0_ds4_vos                : 4;
    unsigned int reg_03_rx_phy_lane0_ds5_vos                : 4;
    unsigned int reg_03_rx_phy_lane0_ds6_vos                : 4;
    unsigned int reg_03_rx_phy_lane0_ds7_vos                : 4;
};
#define rx_rx_phy_t22_nolink_03_3c(val) ((rs_rx_rx_phy_t22_nolink_03_3c*)&(val))



#define RX_RX_PHY_T22_NOLINK_03_40                                       (HV_RX_PHY_T22_NOLINK_03_BASE_ADDRESS + 0x40)

#define RX_RX_PHY_T22_NOLINK_03_40_struct                                rs_rx_rx_phy_t22_nolink_03_40

typedef struct _rs_rx_rx_phy_t22_nolink_03_40  rs_rx_rx_phy_t22_nolink_03_40;
struct _rs_rx_rx_phy_t22_nolink_03_40 {
    unsigned int reg_03_rx_phy_lane1_ds0_vos                : 4;
    unsigned int reg_03_rx_phy_lane1_ds1_vos                : 4;
    unsigned int reg_03_rx_phy_lane1_ds2_vos                : 4;
    unsigned int reg_03_rx_phy_lane1_ds3_vos                : 4;
    unsigned int reg_03_rx_phy_lane1_ds4_vos                : 4;
    unsigned int reg_03_rx_phy_lane1_ds5_vos                : 4;
    unsigned int reg_03_rx_phy_lane1_ds6_vos                : 4;
    unsigned int reg_03_rx_phy_lane1_ds7_vos                : 4;
};
#define rx_rx_phy_t22_nolink_03_40(val) ((rs_rx_rx_phy_t22_nolink_03_40*)&(val))



#define RX_RX_PHY_T22_NOLINK_03_44                                       (HV_RX_PHY_T22_NOLINK_03_BASE_ADDRESS + 0x44)

#define RX_RX_PHY_T22_NOLINK_03_44_struct                                rs_rx_rx_phy_t22_nolink_03_44

typedef struct _rs_rx_rx_phy_t22_nolink_03_44  rs_rx_rx_phy_t22_nolink_03_44;
struct _rs_rx_rx_phy_t22_nolink_03_44 {
    unsigned int reg_03_rx_phy_lane2_ds0_vos                : 4;
    unsigned int reg_03_rx_phy_lane2_ds1_vos                : 4;
    unsigned int reg_03_rx_phy_lane2_ds2_vos                : 4;
    unsigned int reg_03_rx_phy_lane2_ds3_vos                : 4;
    unsigned int reg_03_rx_phy_lane2_ds4_vos                : 4;
    unsigned int reg_03_rx_phy_lane2_ds5_vos                : 4;
    unsigned int reg_03_rx_phy_lane2_ds6_vos                : 4;
    unsigned int reg_03_rx_phy_lane2_ds7_vos                : 4;
};
#define rx_rx_phy_t22_nolink_03_44(val) ((rs_rx_rx_phy_t22_nolink_03_44*)&(val))



#define RX_RX_PHY_T22_NOLINK_03_48                                       (HV_RX_PHY_T22_NOLINK_03_BASE_ADDRESS + 0x48)

#define RX_RX_PHY_T22_NOLINK_03_48_struct                                rs_rx_rx_phy_t22_nolink_03_48

typedef struct _rs_rx_rx_phy_t22_nolink_03_48  rs_rx_rx_phy_t22_nolink_03_48;
struct _rs_rx_rx_phy_t22_nolink_03_48 {
    unsigned int reg_03_rx_phy_lane3_ds0_vos                : 4;
    unsigned int reg_03_rx_phy_lane3_ds1_vos                : 4;
    unsigned int reg_03_rx_phy_lane3_ds2_vos                : 4;
    unsigned int reg_03_rx_phy_lane3_ds3_vos                : 4;
    unsigned int reg_03_rx_phy_lane3_ds4_vos                : 4;
    unsigned int reg_03_rx_phy_lane3_ds5_vos                : 4;
    unsigned int reg_03_rx_phy_lane3_ds6_vos                : 4;
    unsigned int reg_03_rx_phy_lane3_ds7_vos                : 4;
};
#define rx_rx_phy_t22_nolink_03_48(val) ((rs_rx_rx_phy_t22_nolink_03_48*)&(val))



#define RX_RX_PHY_T22_NOLINK_03_4C                                       (HV_RX_PHY_T22_NOLINK_03_BASE_ADDRESS + 0x4C)

#define RX_RX_PHY_T22_NOLINK_03_4C_struct                                rs_rx_rx_phy_t22_nolink_03_4c

typedef struct _rs_rx_rx_phy_t22_nolink_03_4c  rs_rx_rx_phy_t22_nolink_03_4c;
struct _rs_rx_rx_phy_t22_nolink_03_4c {
    unsigned int reg_03_rx_phy_dout_width_sel_bw0           : 2;
    unsigned int reg_03_rx_phy_dout_width_sel_bw1           : 2;
    unsigned int reg_03_rx_phy_dout_width_sel_bw2           : 2;
    unsigned int reg_03_rx_phy_dout_width_sel_bw3           : 2;
    unsigned int reg_03_rx_phy_eq_negcap_bw0                : 3;
    unsigned int reg_03_rx_phy_mux_mode                     : 1;
    unsigned int reg_03_rx_phy_eq_lp_mode_bw0               : 2;
    unsigned int reg_03_rx_phy_eq_lp_mode_bw1               : 2;
    unsigned int reg_03_rx_phy_eq_lp_mode_bw2               : 2;
    unsigned int reg_03_rx_phy_eq_lp_mode_bw3               : 2;
    unsigned int reg_03_rx_phy_cr_prediv_bw0                : 6;
    unsigned int reg_03_rx_phy_cr_prediv_bw1                : 6;
};
#define rx_rx_phy_t22_nolink_03_4c(val) ((rs_rx_rx_phy_t22_nolink_03_4c*)&(val))



#define RX_RX_PHY_T22_NOLINK_03_50                                       (HV_RX_PHY_T22_NOLINK_03_BASE_ADDRESS + 0x50)

#define RX_RX_PHY_T22_NOLINK_03_50_struct                                rs_rx_rx_phy_t22_nolink_03_50

typedef struct _rs_rx_rx_phy_t22_nolink_03_50  rs_rx_rx_phy_t22_nolink_03_50;
struct _rs_rx_rx_phy_t22_nolink_03_50 {
    unsigned int reg_03_rx_phy_cr_prediv_bw2                : 6;
    unsigned int reg_03_rx_phy_cr_prediv_bw3                : 6;
    unsigned int reg_03_rx_phy_cr_fbdiv_bw0                 :10;
    unsigned int reg_03_rx_phy_cr_fbdiv_bw1                 :10;
};
#define rx_rx_phy_t22_nolink_03_50(val) ((rs_rx_rx_phy_t22_nolink_03_50*)&(val))



#define RX_RX_PHY_T22_NOLINK_03_54                                       (HV_RX_PHY_T22_NOLINK_03_BASE_ADDRESS + 0x54)

#define RX_RX_PHY_T22_NOLINK_03_54_struct                                rs_rx_rx_phy_t22_nolink_03_54

typedef struct _rs_rx_rx_phy_t22_nolink_03_54  rs_rx_rx_phy_t22_nolink_03_54;
struct _rs_rx_rx_phy_t22_nolink_03_54 {
    unsigned int reg_03_rx_phy_cr_fbdiv_bw2                 :10;
    unsigned int reg_03_rx_phy_cr_fbdiv_bw3                 :10;
    unsigned int reg_03_rx_phy_mst_prediv_bw0               : 6;
    unsigned int reg_03_rx_phy_mst_prediv_bw1               : 6;
};
#define rx_rx_phy_t22_nolink_03_54(val) ((rs_rx_rx_phy_t22_nolink_03_54*)&(val))



#define RX_RX_PHY_T22_NOLINK_03_58                                       (HV_RX_PHY_T22_NOLINK_03_BASE_ADDRESS + 0x58)

#define RX_RX_PHY_T22_NOLINK_03_58_struct                                rs_rx_rx_phy_t22_nolink_03_58

typedef struct _rs_rx_rx_phy_t22_nolink_03_58  rs_rx_rx_phy_t22_nolink_03_58;
struct _rs_rx_rx_phy_t22_nolink_03_58 {
    unsigned int reg_03_rx_phy_mst_prediv_bw2               : 6;
    unsigned int reg_03_rx_phy_mst_prediv_bw3               : 6;
    unsigned int reg_03_rx_phy_mst_fbdiv_bw0                :10;
    unsigned int reg_03_rx_phy_mst_fbdiv_bw1                :10;
};
#define rx_rx_phy_t22_nolink_03_58(val) ((rs_rx_rx_phy_t22_nolink_03_58*)&(val))



#define RX_RX_PHY_T22_NOLINK_03_5C                                       (HV_RX_PHY_T22_NOLINK_03_BASE_ADDRESS + 0x5C)

#define RX_RX_PHY_T22_NOLINK_03_5C_struct                                rs_rx_rx_phy_t22_nolink_03_5c

typedef struct _rs_rx_rx_phy_t22_nolink_03_5c  rs_rx_rx_phy_t22_nolink_03_5c;
struct _rs_rx_rx_phy_t22_nolink_03_5c {
    unsigned int reg_03_rx_phy_mst_fbdiv_bw2                :10;
    unsigned int reg_03_rx_phy_mst_fbdiv_bw3                :10;
    unsigned int reg_03_rx_phy_bw_set_en                    : 1;
    unsigned int reg_03_rx_phy_bw_set                       : 4;
    unsigned int reg_03_rx_phy_lane_vld_bw_en               : 1;
    unsigned int reg_03_rx_phy_eq_negcap_bw2                : 3;
    unsigned int reg_03_rx_phy_eq_negcap_bw3                : 3;
};
#define rx_rx_phy_t22_nolink_03_5c(val) ((rs_rx_rx_phy_t22_nolink_03_5c*)&(val))



#define RX_RX_PHY_T22_NOLINK_03_60                                       (HV_RX_PHY_T22_NOLINK_03_BASE_ADDRESS + 0x60)

#define RX_RX_PHY_T22_NOLINK_03_60_struct                                rs_rx_rx_phy_t22_nolink_03_60

typedef struct _rs_rx_rx_phy_t22_nolink_03_60  rs_rx_rx_phy_t22_nolink_03_60;
struct _rs_rx_rx_phy_t22_nolink_03_60 {
    unsigned int reg_03_rx_phy_osr_bw0                      : 2;
    unsigned int reg_03_rx_phy_osr_bw1                      : 2;
    unsigned int reg_03_rx_phy_osr_bw2                      : 2;
    unsigned int reg_03_rx_phy_osr_bw3                      : 2;
    unsigned int reg_03_rx_phy_eq_bnd_sel_bw0               : 2;
    unsigned int reg_03_rx_phy_eq_bnd_sel_bw1               : 2;
    unsigned int reg_03_rx_phy_eq_bnd_sel_bw2               : 2;
    unsigned int reg_03_rx_phy_eq_bnd_sel_bw3               : 2;
    unsigned int reg_03_rx_phy_clk_frq_th0                  :16;
};
#define rx_rx_phy_t22_nolink_03_60(val) ((rs_rx_rx_phy_t22_nolink_03_60*)&(val))



#define RX_RX_PHY_T22_NOLINK_03_64                                       (HV_RX_PHY_T22_NOLINK_03_BASE_ADDRESS + 0x64)

#define RX_RX_PHY_T22_NOLINK_03_64_struct                                rs_rx_rx_phy_t22_nolink_03_64

typedef struct _rs_rx_rx_phy_t22_nolink_03_64  rs_rx_rx_phy_t22_nolink_03_64;
struct _rs_rx_rx_phy_t22_nolink_03_64 {
    unsigned int reg_03_rx_phy_clk_frq_th1                  :16;
    unsigned int reg_03_rx_phy_clk_frq_th2                  :16;
};
#define rx_rx_phy_t22_nolink_03_64(val) ((rs_rx_rx_phy_t22_nolink_03_64*)&(val))



#define RX_RX_PHY_T22_NOLINK_03_6C                                       (HV_RX_PHY_T22_NOLINK_03_BASE_ADDRESS + 0x6C)

#define RX_RX_PHY_T22_NOLINK_03_6C_struct                                rs_rx_rx_phy_t22_nolink_03_6c

typedef struct _rs_rx_rx_phy_t22_nolink_03_6c  rs_rx_rx_phy_t22_nolink_03_6c;
struct _rs_rx_rx_phy_t22_nolink_03_6c {
    unsigned int reg_03_rx_phy_eq_00                        : 9;
    unsigned int reserved                                   : 7;
    unsigned int reg_03_rx_phy_eq_01                        : 9;
    unsigned int reserved_1                                 : 7;
};
#define rx_rx_phy_t22_nolink_03_6c(val) ((rs_rx_rx_phy_t22_nolink_03_6c*)&(val))



#define RX_RX_PHY_T22_NOLINK_03_70                                       (HV_RX_PHY_T22_NOLINK_03_BASE_ADDRESS + 0x70)

#define RX_RX_PHY_T22_NOLINK_03_70_struct                                rs_rx_rx_phy_t22_nolink_03_70

typedef struct _rs_rx_rx_phy_t22_nolink_03_70  rs_rx_rx_phy_t22_nolink_03_70;
struct _rs_rx_rx_phy_t22_nolink_03_70 {
    unsigned int reg_03_rx_phy_eq_02                        : 9;
    unsigned int reserved                                   : 7;
    unsigned int reg_03_rx_phy_eq_03                        : 9;
    unsigned int reserved_1                                 : 7;
};
#define rx_rx_phy_t22_nolink_03_70(val) ((rs_rx_rx_phy_t22_nolink_03_70*)&(val))



#define RX_RX_PHY_T22_NOLINK_03_74                                       (HV_RX_PHY_T22_NOLINK_03_BASE_ADDRESS + 0x74)

#define RX_RX_PHY_T22_NOLINK_03_74_struct                                rs_rx_rx_phy_t22_nolink_03_74

typedef struct _rs_rx_rx_phy_t22_nolink_03_74  rs_rx_rx_phy_t22_nolink_03_74;
struct _rs_rx_rx_phy_t22_nolink_03_74 {
    unsigned int reg_03_rx_phy_eq_04                        : 9;
    unsigned int reserved                                   : 7;
    unsigned int reg_03_rx_phy_eq_05                        : 9;
    unsigned int reserved_1                                 : 7;
};
#define rx_rx_phy_t22_nolink_03_74(val) ((rs_rx_rx_phy_t22_nolink_03_74*)&(val))



#define RX_RX_PHY_T22_NOLINK_03_78                                       (HV_RX_PHY_T22_NOLINK_03_BASE_ADDRESS + 0x78)

#define RX_RX_PHY_T22_NOLINK_03_78_struct                                rs_rx_rx_phy_t22_nolink_03_78

typedef struct _rs_rx_rx_phy_t22_nolink_03_78  rs_rx_rx_phy_t22_nolink_03_78;
struct _rs_rx_rx_phy_t22_nolink_03_78 {
    unsigned int reg_03_rx_phy_eq_06                        : 9;
    unsigned int reserved                                   : 7;
    unsigned int reg_03_rx_phy_eq_07                        : 9;
    unsigned int reserved_1                                 : 7;
};
#define rx_rx_phy_t22_nolink_03_78(val) ((rs_rx_rx_phy_t22_nolink_03_78*)&(val))



#define RX_RX_PHY_T22_NOLINK_03_7C                                       (HV_RX_PHY_T22_NOLINK_03_BASE_ADDRESS + 0x7C)

#define RX_RX_PHY_T22_NOLINK_03_7C_struct                                rs_rx_rx_phy_t22_nolink_03_7c

typedef struct _rs_rx_rx_phy_t22_nolink_03_7c  rs_rx_rx_phy_t22_nolink_03_7c;
struct _rs_rx_rx_phy_t22_nolink_03_7c {
    unsigned int reg_03_rx_phy_eq_08                        : 9;
    unsigned int reserved                                   : 7;
    unsigned int reg_03_rx_phy_eq_09                        : 9;
    unsigned int reserved_1                                 : 7;
};
#define rx_rx_phy_t22_nolink_03_7c(val) ((rs_rx_rx_phy_t22_nolink_03_7c*)&(val))



#define RX_RX_PHY_T22_NOLINK_03_80                                       (HV_RX_PHY_T22_NOLINK_03_BASE_ADDRESS + 0x80)

#define RX_RX_PHY_T22_NOLINK_03_80_struct                                rs_rx_rx_phy_t22_nolink_03_80

typedef struct _rs_rx_rx_phy_t22_nolink_03_80  rs_rx_rx_phy_t22_nolink_03_80;
struct _rs_rx_rx_phy_t22_nolink_03_80 {
    unsigned int reg_03_rx_phy_eq_10                        : 9;
    unsigned int reserved                                   : 7;
    unsigned int reg_03_rx_phy_eq_11                        : 9;
    unsigned int reserved_1                                 : 7;
};
#define rx_rx_phy_t22_nolink_03_80(val) ((rs_rx_rx_phy_t22_nolink_03_80*)&(val))



#define RX_RX_PHY_T22_NOLINK_03_84                                       (HV_RX_PHY_T22_NOLINK_03_BASE_ADDRESS + 0x84)

#define RX_RX_PHY_T22_NOLINK_03_84_struct                                rs_rx_rx_phy_t22_nolink_03_84

typedef struct _rs_rx_rx_phy_t22_nolink_03_84  rs_rx_rx_phy_t22_nolink_03_84;
struct _rs_rx_rx_phy_t22_nolink_03_84 {
    unsigned int reg_03_rx_phy_eq_12                        : 9;
    unsigned int reserved                                   : 7;
    unsigned int reg_03_rx_phy_eq_13                        : 9;
    unsigned int reserved_1                                 : 7;
};
#define rx_rx_phy_t22_nolink_03_84(val) ((rs_rx_rx_phy_t22_nolink_03_84*)&(val))



#define RX_RX_PHY_T22_NOLINK_03_88                                       (HV_RX_PHY_T22_NOLINK_03_BASE_ADDRESS + 0x88)

#define RX_RX_PHY_T22_NOLINK_03_88_struct                                rs_rx_rx_phy_t22_nolink_03_88

typedef struct _rs_rx_rx_phy_t22_nolink_03_88  rs_rx_rx_phy_t22_nolink_03_88;
struct _rs_rx_rx_phy_t22_nolink_03_88 {
    unsigned int reg_03_rx_phy_eq_14                        : 9;
    unsigned int reserved                                   : 7;
    unsigned int reg_03_rx_phy_eq_15                        : 9;
    unsigned int reg_03_rx_phy_cr_prediv_vos                : 6;
    unsigned int reserved_1                                 : 1;
};
#define rx_rx_phy_t22_nolink_03_88(val) ((rs_rx_rx_phy_t22_nolink_03_88*)&(val))



#define RX_RX_PHY_T22_NOLINK_03_8C                                       (HV_RX_PHY_T22_NOLINK_03_BASE_ADDRESS + 0x8C)

#define RX_RX_PHY_T22_NOLINK_03_8C_struct                                rs_rx_rx_phy_t22_nolink_03_8c

typedef struct _rs_rx_rx_phy_t22_nolink_03_8c  rs_rx_rx_phy_t22_nolink_03_8c;
struct _rs_rx_rx_phy_t22_nolink_03_8c {
    unsigned int reg_03_rx_phy_eq_out_zero_vos              : 4;
    unsigned int reg_03_rx_phy_lane_cr_done_en_vos          : 4;
    unsigned int reg_03_rx_phy_ckref_sel_vos                : 2;
    unsigned int reg_03_rx_phy_lane_ckref_sel_vos           : 4;
    unsigned int reg_03_rx_phy_ref_clk_sel_vos              : 2;
    unsigned int reg_03_rx_phy_osr_vos                      : 2;
    unsigned int reg_03_rx_phy_cr_fbdiv_vos                 :10;
    unsigned int reg_03_rx_phy_clk_lane_sel_vos             : 4;
};
#define rx_rx_phy_t22_nolink_03_8c(val) ((rs_rx_rx_phy_t22_nolink_03_8c*)&(val))



#define RX_RX_PHY_T22_NOLINK_03_90                                       (HV_RX_PHY_T22_NOLINK_03_BASE_ADDRESS + 0x90)

#define RX_RX_PHY_T22_NOLINK_03_90_struct                                rs_rx_rx_phy_t22_nolink_03_90

typedef struct _rs_rx_rx_phy_t22_nolink_03_90  rs_rx_rx_phy_t22_nolink_03_90;
struct _rs_rx_rx_phy_t22_nolink_03_90 {
    unsigned int reg_03_rx_phy_prbs_20b_en                  : 4;
    unsigned int reg_03_rx_phy_prbs_20b_mon_sel             : 2;
    unsigned int reg_03_rx_phy_prbs_20b_pat_sel             : 3;
    unsigned int reg_03_rx_phy_prbs_20b_ucnt_time           :10;
    unsigned int reg_03_rx_phy_prbs_20b_mcnt_time           :10;
    unsigned int reserved                                   : 3;
};
#define rx_rx_phy_t22_nolink_03_90(val) ((rs_rx_rx_phy_t22_nolink_03_90*)&(val))



#define RX_RX_PHY_T22_NOLINK_03_94                                       (HV_RX_PHY_T22_NOLINK_03_BASE_ADDRESS + 0x94)

#define RX_RX_PHY_T22_NOLINK_03_94_struct                                rs_rx_rx_phy_t22_nolink_03_94

typedef struct _rs_rx_rx_phy_t22_nolink_03_94  rs_rx_rx_phy_t22_nolink_03_94;
struct _rs_rx_rx_phy_t22_nolink_03_94 {
    unsigned int reg_03_rx_phy_prbs_20b_match_thd           :10;
    unsigned int reserved                                   :22;
};
#define rx_rx_phy_t22_nolink_03_94(val) ((rs_rx_rx_phy_t22_nolink_03_94*)&(val))



#define RX_RX_PHY_T22_NOLINK_03_98                                       (HV_RX_PHY_T22_NOLINK_03_BASE_ADDRESS + 0x98)

#define RX_RX_PHY_T22_NOLINK_03_98_struct                                rs_rx_rx_phy_t22_nolink_03_98

typedef struct _rs_rx_rx_phy_t22_nolink_03_98  rs_rx_rx_phy_t22_nolink_03_98;
struct _rs_rx_rx_phy_t22_nolink_03_98 {
    unsigned int reg_03_rx_phy_cr_done_cnt_vos              : 8;
    unsigned int reserved                                   :24;
};
#define rx_rx_phy_t22_nolink_03_98(val) ((rs_rx_rx_phy_t22_nolink_03_98*)&(val))



#define RX_RX_PHY_T22_NOLINK_03_D4                                       (HV_RX_PHY_T22_NOLINK_03_BASE_ADDRESS + 0xD4)

#define RX_RX_PHY_T22_NOLINK_03_D4_struct                                rs_rx_rx_phy_t22_nolink_03_d4

typedef struct _rs_rx_rx_phy_t22_nolink_03_d4  rs_rx_rx_phy_t22_nolink_03_d4;
struct _rs_rx_rx_phy_t22_nolink_03_d4 {
    unsigned int regr_03_rx_phy_lane0_data                  :20;
    unsigned int reserved                                   :12;
};
#define rx_rx_phy_t22_nolink_03_d4(val) ((rs_rx_rx_phy_t22_nolink_03_d4*)&(val))



#define RX_RX_PHY_T22_NOLINK_03_D8                                       (HV_RX_PHY_T22_NOLINK_03_BASE_ADDRESS + 0xD8)

#define RX_RX_PHY_T22_NOLINK_03_D8_struct                                rs_rx_rx_phy_t22_nolink_03_d8

typedef struct _rs_rx_rx_phy_t22_nolink_03_d8  rs_rx_rx_phy_t22_nolink_03_d8;
struct _rs_rx_rx_phy_t22_nolink_03_d8 {
    unsigned int regr_03_rx_phy_lane1_data                  :20;
    unsigned int reserved                                   :12;
};
#define rx_rx_phy_t22_nolink_03_d8(val) ((rs_rx_rx_phy_t22_nolink_03_d8*)&(val))



#define RX_RX_PHY_T22_NOLINK_03_DC                                       (HV_RX_PHY_T22_NOLINK_03_BASE_ADDRESS + 0xDC)

#define RX_RX_PHY_T22_NOLINK_03_DC_struct                                rs_rx_rx_phy_t22_nolink_03_dc

typedef struct _rs_rx_rx_phy_t22_nolink_03_dc  rs_rx_rx_phy_t22_nolink_03_dc;
struct _rs_rx_rx_phy_t22_nolink_03_dc {
    unsigned int regr_03_rx_phy_lane2_data                  :20;
    unsigned int reserved                                   :12;
};
#define rx_rx_phy_t22_nolink_03_dc(val) ((rs_rx_rx_phy_t22_nolink_03_dc*)&(val))



#define RX_RX_PHY_T22_NOLINK_03_E0                                       (HV_RX_PHY_T22_NOLINK_03_BASE_ADDRESS + 0xE0)

#define RX_RX_PHY_T22_NOLINK_03_E0_struct                                rs_rx_rx_phy_t22_nolink_03_e0

typedef struct _rs_rx_rx_phy_t22_nolink_03_e0  rs_rx_rx_phy_t22_nolink_03_e0;
struct _rs_rx_rx_phy_t22_nolink_03_e0 {
    unsigned int regr_03_rx_phy_lane3_data                  :20;
    unsigned int reserved                                   :12;
};
#define rx_rx_phy_t22_nolink_03_e0(val) ((rs_rx_rx_phy_t22_nolink_03_e0*)&(val))



#define RX_RX_PHY_T22_NOLINK_03_E4                                       (HV_RX_PHY_T22_NOLINK_03_BASE_ADDRESS + 0xE4)

#define RX_RX_PHY_T22_NOLINK_03_E4_struct                                rs_rx_rx_phy_t22_nolink_03_e4

typedef struct _rs_rx_rx_phy_t22_nolink_03_e4  rs_rx_rx_phy_t22_nolink_03_e4;
struct _rs_rx_rx_phy_t22_nolink_03_e4 {
    unsigned int regr_03_rx_phy_lane_valid                  : 4;
    unsigned int reserved                                   :28;
};
#define rx_rx_phy_t22_nolink_03_e4(val) ((rs_rx_rx_phy_t22_nolink_03_e4*)&(val))



#define RX_RX_PHY_T22_NOLINK_03_E8                                       (HV_RX_PHY_T22_NOLINK_03_BASE_ADDRESS + 0xE8)

#define RX_RX_PHY_T22_NOLINK_03_E8_struct                                rs_rx_rx_phy_t22_nolink_03_e8

typedef struct _rs_rx_rx_phy_t22_nolink_03_e8  rs_rx_rx_phy_t22_nolink_03_e8;
struct _rs_rx_rx_phy_t22_nolink_03_e8 {
    unsigned int regr_03_rx_phy_lane_pll_lock_flag          : 4;
    unsigned int regr_03_rx_phy_lane_pll_fast_lock          : 4;
    unsigned int regr_03_rx_phy_lane_pll_cfd_lock           : 4;
    unsigned int regr_03_rx_phy_lane_pll_ffd_lock           : 4;
    unsigned int regr_03_rx_phy_lane_vctrl_overflow         : 4;
    unsigned int regr_03_rx_phy_lane_sigdet_flag            : 4;
    unsigned int regr_03_rx_phy_mst_lock_cnt_en             : 1;
    unsigned int regr_03_rx_phy_mst_lock_flag               : 1;
    unsigned int regr_03_rx_phy_mst_pll_fd_lock             : 1;
    unsigned int regr_03_rx_phy_mst_vctrl_overflow          : 1;
    unsigned int reserved                                   : 4;
};
#define rx_rx_phy_t22_nolink_03_e8(val) ((rs_rx_rx_phy_t22_nolink_03_e8*)&(val))



#define RX_RX_PHY_T22_NOLINK_03_EC                                       (HV_RX_PHY_T22_NOLINK_03_BASE_ADDRESS + 0xEC)

#define RX_RX_PHY_T22_NOLINK_03_EC_struct                                rs_rx_rx_phy_t22_nolink_03_ec

typedef struct _rs_rx_rx_phy_t22_nolink_03_ec  rs_rx_rx_phy_t22_nolink_03_ec;
struct _rs_rx_rx_phy_t22_nolink_03_ec {
    unsigned int regr_03_rx_phy_eq_lane0_out                : 9;
    unsigned int regr_03_rx_phy_eq_lane1_out                : 9;
    unsigned int regr_03_rx_phy_eq_lane2_out                : 9;
    unsigned int reserved                                   : 5;
};
#define rx_rx_phy_t22_nolink_03_ec(val) ((rs_rx_rx_phy_t22_nolink_03_ec*)&(val))



#define RX_RX_PHY_T22_NOLINK_03_F0                                       (HV_RX_PHY_T22_NOLINK_03_BASE_ADDRESS + 0xF0)

#define RX_RX_PHY_T22_NOLINK_03_F0_struct                                rs_rx_rx_phy_t22_nolink_03_f0

typedef struct _rs_rx_rx_phy_t22_nolink_03_f0  rs_rx_rx_phy_t22_nolink_03_f0;
struct _rs_rx_rx_phy_t22_nolink_03_f0 {
    unsigned int regr_03_rx_phy_eq_lane3_out                : 9;
    unsigned int regr_03_rx_phy_eq_done                     : 4;
    unsigned int regr_03_rx_phy_dfe_state                   :16;
    unsigned int reserved                                   : 3;
};
#define rx_rx_phy_t22_nolink_03_f0(val) ((rs_rx_rx_phy_t22_nolink_03_f0*)&(val))



#define RX_RX_PHY_T22_NOLINK_03_F4                                       (HV_RX_PHY_T22_NOLINK_03_BASE_ADDRESS + 0xF4)

#define RX_RX_PHY_T22_NOLINK_03_F4_struct                                rs_rx_rx_phy_t22_nolink_03_f4

typedef struct _rs_rx_rx_phy_t22_nolink_03_f4  rs_rx_rx_phy_t22_nolink_03_f4;
struct _rs_rx_rx_phy_t22_nolink_03_f4 {
    unsigned int regr_03_rx_phy_prbs_20b_error_1us          :15;
    unsigned int regr_03_rx_phy_prbs_20b_locked             : 4;
    unsigned int regr_03_rx_phy_prbs_20b_error              : 4;
    unsigned int reserved                                   : 9;
};
#define rx_rx_phy_t22_nolink_03_f4(val) ((rs_rx_rx_phy_t22_nolink_03_f4*)&(val))



#define RX_RX_PHY_T22_NOLINK_03_F8                                       (HV_RX_PHY_T22_NOLINK_03_BASE_ADDRESS + 0xF8)

#define RX_RX_PHY_T22_NOLINK_03_F8_struct                                rs_rx_rx_phy_t22_nolink_03_f8

typedef struct _rs_rx_rx_phy_t22_nolink_03_f8  rs_rx_rx_phy_t22_nolink_03_f8;
struct _rs_rx_rx_phy_t22_nolink_03_f8 {
    unsigned int regr_03_rx_phy_prbs_20b_error_1ms          :25;
    unsigned int reserved                                   : 7;
};
#define rx_rx_phy_t22_nolink_03_f8(val) ((rs_rx_rx_phy_t22_nolink_03_f8*)&(val))



#define RX_RX_PHY_T22_NOLINK_03_FC                                       (HV_RX_PHY_T22_NOLINK_03_BASE_ADDRESS + 0xFC)

#define RX_RX_PHY_T22_NOLINK_03_FC_struct                                rs_rx_rx_phy_t22_nolink_03_fc

typedef struct _rs_rx_rx_phy_t22_nolink_03_fc  rs_rx_rx_phy_t22_nolink_03_fc;
struct _rs_rx_rx_phy_t22_nolink_03_fc {
    unsigned int regr_03_rx_phy_prbs_20b_error_total        :32;
};
#define rx_rx_phy_t22_nolink_03_fc(val) ((rs_rx_rx_phy_t22_nolink_03_fc*)&(val))



#endif