#ifndef _HV_PAGE_HT7315_SH5_AXI_BUS_MONITOR_REGMAP_H_
#define _HV_PAGE_HT7315_SH5_AXI_BUS_MONITOR_REGMAP_H_

#ifndef HV_SH5_AXI_BUS_MONITOR_REGMAP_BASE_ADDRESS
    #define HV_SH5_AXI_BUS_MONITOR_REGMAP_BASE_ADDRESS                                         0x11011200
#endif


#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_00                      (HV_SH5_AXI_BUS_MONITOR_REGMAP_BASE_ADDRESS + 0x00)

#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_00_struct               rs_sys_sh5_axi_bus_monitor_regmap_field_enh_00

typedef struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_00  rs_sys_sh5_axi_bus_monitor_regmap_field_enh_00;
struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_00 {
    unsigned int reg_sh5_axi_bus_monitor_araddr_out0        :32;
};
#define sys_sh5_axi_bus_monitor_regmap_field_enh_00(val) ((rs_sys_sh5_axi_bus_monitor_regmap_field_enh_00*)&(val))



#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_04                      (HV_SH5_AXI_BUS_MONITOR_REGMAP_BASE_ADDRESS + 0x04)

#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_04_struct               rs_sys_sh5_axi_bus_monitor_regmap_field_enh_04

typedef struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_04  rs_sys_sh5_axi_bus_monitor_regmap_field_enh_04;
struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_04 {
    unsigned int reg_sh5_axi_bus_monitor_araddr_out1        :32;
};
#define sys_sh5_axi_bus_monitor_regmap_field_enh_04(val) ((rs_sys_sh5_axi_bus_monitor_regmap_field_enh_04*)&(val))



#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_08                      (HV_SH5_AXI_BUS_MONITOR_REGMAP_BASE_ADDRESS + 0x08)

#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_08_struct               rs_sys_sh5_axi_bus_monitor_regmap_field_enh_08

typedef struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_08  rs_sys_sh5_axi_bus_monitor_regmap_field_enh_08;
struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_08 {
    unsigned int reg_sh5_axi_bus_monitor_araddr_out2        :32;
};
#define sys_sh5_axi_bus_monitor_regmap_field_enh_08(val) ((rs_sys_sh5_axi_bus_monitor_regmap_field_enh_08*)&(val))



#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_0C                      (HV_SH5_AXI_BUS_MONITOR_REGMAP_BASE_ADDRESS + 0x0C)

#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_0C_struct               rs_sys_sh5_axi_bus_monitor_regmap_field_enh_0c

typedef struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_0c  rs_sys_sh5_axi_bus_monitor_regmap_field_enh_0c;
struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_0c {
    unsigned int reg_sh5_axi_bus_monitor_araddr_out3        :32;
};
#define sys_sh5_axi_bus_monitor_regmap_field_enh_0c(val) ((rs_sys_sh5_axi_bus_monitor_regmap_field_enh_0c*)&(val))



#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_10                      (HV_SH5_AXI_BUS_MONITOR_REGMAP_BASE_ADDRESS + 0x10)

#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_10_struct               rs_sys_sh5_axi_bus_monitor_regmap_field_enh_10

typedef struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_10  rs_sys_sh5_axi_bus_monitor_regmap_field_enh_10;
struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_10 {
    unsigned int reg_sh5_axi_bus_monitor_araddr_out4        :32;
};
#define sys_sh5_axi_bus_monitor_regmap_field_enh_10(val) ((rs_sys_sh5_axi_bus_monitor_regmap_field_enh_10*)&(val))



#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_14                      (HV_SH5_AXI_BUS_MONITOR_REGMAP_BASE_ADDRESS + 0x14)

#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_14_struct               rs_sys_sh5_axi_bus_monitor_regmap_field_enh_14

typedef struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_14  rs_sys_sh5_axi_bus_monitor_regmap_field_enh_14;
struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_14 {
    unsigned int reg_sh5_axi_bus_monitor_araddr_out5        :32;
};
#define sys_sh5_axi_bus_monitor_regmap_field_enh_14(val) ((rs_sys_sh5_axi_bus_monitor_regmap_field_enh_14*)&(val))



#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_18                      (HV_SH5_AXI_BUS_MONITOR_REGMAP_BASE_ADDRESS + 0x18)

#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_18_struct               rs_sys_sh5_axi_bus_monitor_regmap_field_enh_18

typedef struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_18  rs_sys_sh5_axi_bus_monitor_regmap_field_enh_18;
struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_18 {
    unsigned int reg_sh5_axi_bus_monitor_araddr_out6        :32;
};
#define sys_sh5_axi_bus_monitor_regmap_field_enh_18(val) ((rs_sys_sh5_axi_bus_monitor_regmap_field_enh_18*)&(val))



#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_1C                      (HV_SH5_AXI_BUS_MONITOR_REGMAP_BASE_ADDRESS + 0x1C)

#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_1C_struct               rs_sys_sh5_axi_bus_monitor_regmap_field_enh_1c

typedef struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_1c  rs_sys_sh5_axi_bus_monitor_regmap_field_enh_1c;
struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_1c {
    unsigned int reg_sh5_axi_bus_monitor_araddr_out7        :32;
};
#define sys_sh5_axi_bus_monitor_regmap_field_enh_1c(val) ((rs_sys_sh5_axi_bus_monitor_regmap_field_enh_1c*)&(val))



#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_20                      (HV_SH5_AXI_BUS_MONITOR_REGMAP_BASE_ADDRESS + 0x20)

#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_20_struct               rs_sys_sh5_axi_bus_monitor_regmap_field_enh_20

typedef struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_20  rs_sys_sh5_axi_bus_monitor_regmap_field_enh_20;
struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_20 {
    unsigned int reg_sh5_axi_bus_monitor_araddr_out8        :32;
};
#define sys_sh5_axi_bus_monitor_regmap_field_enh_20(val) ((rs_sys_sh5_axi_bus_monitor_regmap_field_enh_20*)&(val))



#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_24                      (HV_SH5_AXI_BUS_MONITOR_REGMAP_BASE_ADDRESS + 0x24)

#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_24_struct               rs_sys_sh5_axi_bus_monitor_regmap_field_enh_24

typedef struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_24  rs_sys_sh5_axi_bus_monitor_regmap_field_enh_24;
struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_24 {
    unsigned int reg_sh5_axi_bus_monitor_araddr_out9        :32;
};
#define sys_sh5_axi_bus_monitor_regmap_field_enh_24(val) ((rs_sys_sh5_axi_bus_monitor_regmap_field_enh_24*)&(val))



#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_28                      (HV_SH5_AXI_BUS_MONITOR_REGMAP_BASE_ADDRESS + 0x28)

#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_28_struct               rs_sys_sh5_axi_bus_monitor_regmap_field_enh_28

typedef struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_28  rs_sys_sh5_axi_bus_monitor_regmap_field_enh_28;
struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_28 {
    unsigned int reg_sh5_axi_bus_monitor_araddr_outa        :32;
};
#define sys_sh5_axi_bus_monitor_regmap_field_enh_28(val) ((rs_sys_sh5_axi_bus_monitor_regmap_field_enh_28*)&(val))



#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_2C                      (HV_SH5_AXI_BUS_MONITOR_REGMAP_BASE_ADDRESS + 0x2C)

#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_2C_struct               rs_sys_sh5_axi_bus_monitor_regmap_field_enh_2c

typedef struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_2c  rs_sys_sh5_axi_bus_monitor_regmap_field_enh_2c;
struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_2c {
    unsigned int reg_sh5_axi_bus_monitor_araddr_outb        :32;
};
#define sys_sh5_axi_bus_monitor_regmap_field_enh_2c(val) ((rs_sys_sh5_axi_bus_monitor_regmap_field_enh_2c*)&(val))



#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_30                      (HV_SH5_AXI_BUS_MONITOR_REGMAP_BASE_ADDRESS + 0x30)

#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_30_struct               rs_sys_sh5_axi_bus_monitor_regmap_field_enh_30

typedef struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_30  rs_sys_sh5_axi_bus_monitor_regmap_field_enh_30;
struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_30 {
    unsigned int reg_sh5_axi_bus_monitor_araddr_outc        :32;
};
#define sys_sh5_axi_bus_monitor_regmap_field_enh_30(val) ((rs_sys_sh5_axi_bus_monitor_regmap_field_enh_30*)&(val))



#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_34                      (HV_SH5_AXI_BUS_MONITOR_REGMAP_BASE_ADDRESS + 0x34)

#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_34_struct               rs_sys_sh5_axi_bus_monitor_regmap_field_enh_34

typedef struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_34  rs_sys_sh5_axi_bus_monitor_regmap_field_enh_34;
struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_34 {
    unsigned int reg_sh5_axi_bus_monitor_araddr_outd        :32;
};
#define sys_sh5_axi_bus_monitor_regmap_field_enh_34(val) ((rs_sys_sh5_axi_bus_monitor_regmap_field_enh_34*)&(val))



#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_38                      (HV_SH5_AXI_BUS_MONITOR_REGMAP_BASE_ADDRESS + 0x38)

#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_38_struct               rs_sys_sh5_axi_bus_monitor_regmap_field_enh_38

typedef struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_38  rs_sys_sh5_axi_bus_monitor_regmap_field_enh_38;
struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_38 {
    unsigned int reg_sh5_axi_bus_monitor_araddr_oute        :32;
};
#define sys_sh5_axi_bus_monitor_regmap_field_enh_38(val) ((rs_sys_sh5_axi_bus_monitor_regmap_field_enh_38*)&(val))



#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_3C                      (HV_SH5_AXI_BUS_MONITOR_REGMAP_BASE_ADDRESS + 0x3C)

#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_3C_struct               rs_sys_sh5_axi_bus_monitor_regmap_field_enh_3c

typedef struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_3c  rs_sys_sh5_axi_bus_monitor_regmap_field_enh_3c;
struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_3c {
    unsigned int reg_sh5_axi_bus_monitor_araddr_outf        :32;
};
#define sys_sh5_axi_bus_monitor_regmap_field_enh_3c(val) ((rs_sys_sh5_axi_bus_monitor_regmap_field_enh_3c*)&(val))



#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_40                      (HV_SH5_AXI_BUS_MONITOR_REGMAP_BASE_ADDRESS + 0x40)

#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_40_struct               rs_sys_sh5_axi_bus_monitor_regmap_field_enh_40

typedef struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_40  rs_sys_sh5_axi_bus_monitor_regmap_field_enh_40;
struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_40 {
    unsigned int reg_sh5_axi_bus_monitor_arburst_out0       : 2;
    unsigned int reg_sh5_axi_bus_monitor_arburst_out1       : 2;
    unsigned int reg_sh5_axi_bus_monitor_arburst_out2       : 2;
    unsigned int reg_sh5_axi_bus_monitor_arburst_out3       : 2;
    unsigned int reg_sh5_axi_bus_monitor_arburst_out4       : 2;
    unsigned int reg_sh5_axi_bus_monitor_arburst_out5       : 2;
    unsigned int reg_sh5_axi_bus_monitor_arburst_out6       : 2;
    unsigned int reg_sh5_axi_bus_monitor_arburst_out7       : 2;
    unsigned int reg_sh5_axi_bus_monitor_arburst_out8       : 2;
    unsigned int reg_sh5_axi_bus_monitor_arburst_out9       : 2;
    unsigned int reg_sh5_axi_bus_monitor_arburst_outa       : 2;
    unsigned int reg_sh5_axi_bus_monitor_arburst_outb       : 2;
    unsigned int reg_sh5_axi_bus_monitor_arburst_outc       : 2;
    unsigned int reg_sh5_axi_bus_monitor_arburst_outd       : 2;
    unsigned int reg_sh5_axi_bus_monitor_arburst_oute       : 2;
    unsigned int reg_sh5_axi_bus_monitor_arburst_outf       : 2;
};
#define sys_sh5_axi_bus_monitor_regmap_field_enh_40(val) ((rs_sys_sh5_axi_bus_monitor_regmap_field_enh_40*)&(val))



#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_44                      (HV_SH5_AXI_BUS_MONITOR_REGMAP_BASE_ADDRESS + 0x44)

#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_44_struct               rs_sys_sh5_axi_bus_monitor_regmap_field_enh_44

typedef struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_44  rs_sys_sh5_axi_bus_monitor_regmap_field_enh_44;
struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_44 {
    unsigned int reg_sh5_axi_bus_monitor_arlen_out0         : 8;
    unsigned int reg_sh5_axi_bus_monitor_arlen_out1         : 8;
    unsigned int reg_sh5_axi_bus_monitor_arlen_out2         : 8;
    unsigned int reg_sh5_axi_bus_monitor_arlen_out3         : 8;
};
#define sys_sh5_axi_bus_monitor_regmap_field_enh_44(val) ((rs_sys_sh5_axi_bus_monitor_regmap_field_enh_44*)&(val))



#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_48                      (HV_SH5_AXI_BUS_MONITOR_REGMAP_BASE_ADDRESS + 0x48)

#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_48_struct               rs_sys_sh5_axi_bus_monitor_regmap_field_enh_48

typedef struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_48  rs_sys_sh5_axi_bus_monitor_regmap_field_enh_48;
struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_48 {
    unsigned int reg_sh5_axi_bus_monitor_arlen_out4         : 8;
    unsigned int reg_sh5_axi_bus_monitor_arlen_out5         : 8;
    unsigned int reg_sh5_axi_bus_monitor_arlen_out6         : 8;
    unsigned int reg_sh5_axi_bus_monitor_arlen_out7         : 8;
};
#define sys_sh5_axi_bus_monitor_regmap_field_enh_48(val) ((rs_sys_sh5_axi_bus_monitor_regmap_field_enh_48*)&(val))



#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_4C                      (HV_SH5_AXI_BUS_MONITOR_REGMAP_BASE_ADDRESS + 0x4C)

#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_4C_struct               rs_sys_sh5_axi_bus_monitor_regmap_field_enh_4c

typedef struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_4c  rs_sys_sh5_axi_bus_monitor_regmap_field_enh_4c;
struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_4c {
    unsigned int reg_sh5_axi_bus_monitor_arlen_out8         : 8;
    unsigned int reg_sh5_axi_bus_monitor_arlen_out9         : 8;
    unsigned int reg_sh5_axi_bus_monitor_arlen_outa         : 8;
    unsigned int reg_sh5_axi_bus_monitor_arlen_outb         : 8;
};
#define sys_sh5_axi_bus_monitor_regmap_field_enh_4c(val) ((rs_sys_sh5_axi_bus_monitor_regmap_field_enh_4c*)&(val))



#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_50                      (HV_SH5_AXI_BUS_MONITOR_REGMAP_BASE_ADDRESS + 0x50)

#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_50_struct               rs_sys_sh5_axi_bus_monitor_regmap_field_enh_50

typedef struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_50  rs_sys_sh5_axi_bus_monitor_regmap_field_enh_50;
struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_50 {
    unsigned int reg_sh5_axi_bus_monitor_arlen_outc         : 8;
    unsigned int reg_sh5_axi_bus_monitor_arlen_outd         : 8;
    unsigned int reg_sh5_axi_bus_monitor_arlen_oute         : 8;
    unsigned int reg_sh5_axi_bus_monitor_arlen_outf         : 8;
};
#define sys_sh5_axi_bus_monitor_regmap_field_enh_50(val) ((rs_sys_sh5_axi_bus_monitor_regmap_field_enh_50*)&(val))



#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_54                                (HV_SH5_AXI_BUS_MONITOR_REGMAP_BASE_ADDRESS + 0x54)

#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_54_struct                         rs_sys_sh5_axi_bus_monitor_regmap_54

typedef struct _rs_sys_sh5_axi_bus_monitor_regmap_54  rs_sys_sh5_axi_bus_monitor_regmap_54;
struct _rs_sys_sh5_axi_bus_monitor_regmap_54 {
    unsigned int reserved                                   : 8;
    unsigned int reg_sh5_axi_bus_monitor_arsize_out0        : 3;
    unsigned int reg_sh5_axi_bus_monitor_arsize_out1        : 3;
    unsigned int reg_sh5_axi_bus_monitor_arsize_out2        : 3;
    unsigned int reg_sh5_axi_bus_monitor_arsize_out3        : 3;
    unsigned int reg_sh5_axi_bus_monitor_arsize_out4        : 3;
    unsigned int reg_sh5_axi_bus_monitor_arsize_out5        : 3;
    unsigned int reg_sh5_axi_bus_monitor_arsize_out6        : 3;
    unsigned int reg_sh5_axi_bus_monitor_arsize_out7        : 3;
};
#define sys_sh5_axi_bus_monitor_regmap_54(val) ((rs_sys_sh5_axi_bus_monitor_regmap_54*)&(val))



#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_58                      (HV_SH5_AXI_BUS_MONITOR_REGMAP_BASE_ADDRESS + 0x58)

#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_58_struct               rs_sys_sh5_axi_bus_monitor_regmap_field_enh_58

typedef struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_58  rs_sys_sh5_axi_bus_monitor_regmap_field_enh_58;
struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_58 {
    unsigned int reg_sh5_axi_bus_monitor_arsize_out8        : 3;
    unsigned int reg_sh5_axi_bus_monitor_arsize_out9        : 3;
    unsigned int reg_sh5_axi_bus_monitor_arsize_outa        : 3;
    unsigned int reg_sh5_axi_bus_monitor_arsize_outb        : 3;
    unsigned int reg_sh5_axi_bus_monitor_arsize_outc        : 3;
    unsigned int reg_sh5_axi_bus_monitor_arsize_outd        : 3;
    unsigned int reg_sh5_axi_bus_monitor_arsize_oute        : 3;
    unsigned int reg_sh5_axi_bus_monitor_arsize_outf        : 3;
    unsigned int reserved                                   : 8;
};
#define sys_sh5_axi_bus_monitor_regmap_field_enh_58(val) ((rs_sys_sh5_axi_bus_monitor_regmap_field_enh_58*)&(val))



#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_5C                      (HV_SH5_AXI_BUS_MONITOR_REGMAP_BASE_ADDRESS + 0x5C)

#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_5C_struct               rs_sys_sh5_axi_bus_monitor_regmap_field_enh_5c

typedef struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_5c  rs_sys_sh5_axi_bus_monitor_regmap_field_enh_5c;
struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_5c {
    unsigned int reg_sh5_axi_bus_monitor_awaddr_out0        :32;
};
#define sys_sh5_axi_bus_monitor_regmap_field_enh_5c(val) ((rs_sys_sh5_axi_bus_monitor_regmap_field_enh_5c*)&(val))



#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_60                      (HV_SH5_AXI_BUS_MONITOR_REGMAP_BASE_ADDRESS + 0x60)

#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_60_struct               rs_sys_sh5_axi_bus_monitor_regmap_field_enh_60

typedef struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_60  rs_sys_sh5_axi_bus_monitor_regmap_field_enh_60;
struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_60 {
    unsigned int reg_sh5_axi_bus_monitor_awaddr_out1        :32;
};
#define sys_sh5_axi_bus_monitor_regmap_field_enh_60(val) ((rs_sys_sh5_axi_bus_monitor_regmap_field_enh_60*)&(val))



#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_64                      (HV_SH5_AXI_BUS_MONITOR_REGMAP_BASE_ADDRESS + 0x64)

#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_64_struct               rs_sys_sh5_axi_bus_monitor_regmap_field_enh_64

typedef struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_64  rs_sys_sh5_axi_bus_monitor_regmap_field_enh_64;
struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_64 {
    unsigned int reg_sh5_axi_bus_monitor_awaddr_out2        :32;
};
#define sys_sh5_axi_bus_monitor_regmap_field_enh_64(val) ((rs_sys_sh5_axi_bus_monitor_regmap_field_enh_64*)&(val))



#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_68                      (HV_SH5_AXI_BUS_MONITOR_REGMAP_BASE_ADDRESS + 0x68)

#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_68_struct               rs_sys_sh5_axi_bus_monitor_regmap_field_enh_68

typedef struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_68  rs_sys_sh5_axi_bus_monitor_regmap_field_enh_68;
struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_68 {
    unsigned int reg_sh5_axi_bus_monitor_awaddr_out3        :32;
};
#define sys_sh5_axi_bus_monitor_regmap_field_enh_68(val) ((rs_sys_sh5_axi_bus_monitor_regmap_field_enh_68*)&(val))



#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_6C                      (HV_SH5_AXI_BUS_MONITOR_REGMAP_BASE_ADDRESS + 0x6C)

#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_6C_struct               rs_sys_sh5_axi_bus_monitor_regmap_field_enh_6c

typedef struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_6c  rs_sys_sh5_axi_bus_monitor_regmap_field_enh_6c;
struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_6c {
    unsigned int reg_sh5_axi_bus_monitor_awaddr_out4        :32;
};
#define sys_sh5_axi_bus_monitor_regmap_field_enh_6c(val) ((rs_sys_sh5_axi_bus_monitor_regmap_field_enh_6c*)&(val))



#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_70                      (HV_SH5_AXI_BUS_MONITOR_REGMAP_BASE_ADDRESS + 0x70)

#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_70_struct               rs_sys_sh5_axi_bus_monitor_regmap_field_enh_70

typedef struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_70  rs_sys_sh5_axi_bus_monitor_regmap_field_enh_70;
struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_70 {
    unsigned int reg_sh5_axi_bus_monitor_awaddr_out5        :32;
};
#define sys_sh5_axi_bus_monitor_regmap_field_enh_70(val) ((rs_sys_sh5_axi_bus_monitor_regmap_field_enh_70*)&(val))



#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_74                      (HV_SH5_AXI_BUS_MONITOR_REGMAP_BASE_ADDRESS + 0x74)

#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_74_struct               rs_sys_sh5_axi_bus_monitor_regmap_field_enh_74

typedef struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_74  rs_sys_sh5_axi_bus_monitor_regmap_field_enh_74;
struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_74 {
    unsigned int reg_sh5_axi_bus_monitor_awaddr_out6        :32;
};
#define sys_sh5_axi_bus_monitor_regmap_field_enh_74(val) ((rs_sys_sh5_axi_bus_monitor_regmap_field_enh_74*)&(val))



#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_78                      (HV_SH5_AXI_BUS_MONITOR_REGMAP_BASE_ADDRESS + 0x78)

#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_78_struct               rs_sys_sh5_axi_bus_monitor_regmap_field_enh_78

typedef struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_78  rs_sys_sh5_axi_bus_monitor_regmap_field_enh_78;
struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_78 {
    unsigned int reg_sh5_axi_bus_monitor_awaddr_out7        :32;
};
#define sys_sh5_axi_bus_monitor_regmap_field_enh_78(val) ((rs_sys_sh5_axi_bus_monitor_regmap_field_enh_78*)&(val))



#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_7C                      (HV_SH5_AXI_BUS_MONITOR_REGMAP_BASE_ADDRESS + 0x7C)

#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_7C_struct               rs_sys_sh5_axi_bus_monitor_regmap_field_enh_7c

typedef struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_7c  rs_sys_sh5_axi_bus_monitor_regmap_field_enh_7c;
struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_7c {
    unsigned int reg_sh5_axi_bus_monitor_awaddr_out8        :32;
};
#define sys_sh5_axi_bus_monitor_regmap_field_enh_7c(val) ((rs_sys_sh5_axi_bus_monitor_regmap_field_enh_7c*)&(val))



#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_80                      (HV_SH5_AXI_BUS_MONITOR_REGMAP_BASE_ADDRESS + 0x80)

#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_80_struct               rs_sys_sh5_axi_bus_monitor_regmap_field_enh_80

typedef struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_80  rs_sys_sh5_axi_bus_monitor_regmap_field_enh_80;
struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_80 {
    unsigned int reg_sh5_axi_bus_monitor_awaddr_out9        :32;
};
#define sys_sh5_axi_bus_monitor_regmap_field_enh_80(val) ((rs_sys_sh5_axi_bus_monitor_regmap_field_enh_80*)&(val))



#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_84                      (HV_SH5_AXI_BUS_MONITOR_REGMAP_BASE_ADDRESS + 0x84)

#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_84_struct               rs_sys_sh5_axi_bus_monitor_regmap_field_enh_84

typedef struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_84  rs_sys_sh5_axi_bus_monitor_regmap_field_enh_84;
struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_84 {
    unsigned int reg_sh5_axi_bus_monitor_awaddr_outa        :32;
};
#define sys_sh5_axi_bus_monitor_regmap_field_enh_84(val) ((rs_sys_sh5_axi_bus_monitor_regmap_field_enh_84*)&(val))



#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_88                      (HV_SH5_AXI_BUS_MONITOR_REGMAP_BASE_ADDRESS + 0x88)

#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_88_struct               rs_sys_sh5_axi_bus_monitor_regmap_field_enh_88

typedef struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_88  rs_sys_sh5_axi_bus_monitor_regmap_field_enh_88;
struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_88 {
    unsigned int reg_sh5_axi_bus_monitor_awaddr_outb        :32;
};
#define sys_sh5_axi_bus_monitor_regmap_field_enh_88(val) ((rs_sys_sh5_axi_bus_monitor_regmap_field_enh_88*)&(val))



#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_8C                      (HV_SH5_AXI_BUS_MONITOR_REGMAP_BASE_ADDRESS + 0x8C)

#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_8C_struct               rs_sys_sh5_axi_bus_monitor_regmap_field_enh_8c

typedef struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_8c  rs_sys_sh5_axi_bus_monitor_regmap_field_enh_8c;
struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_8c {
    unsigned int reg_sh5_axi_bus_monitor_awaddr_outc        :32;
};
#define sys_sh5_axi_bus_monitor_regmap_field_enh_8c(val) ((rs_sys_sh5_axi_bus_monitor_regmap_field_enh_8c*)&(val))



#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_90                      (HV_SH5_AXI_BUS_MONITOR_REGMAP_BASE_ADDRESS + 0x90)

#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_90_struct               rs_sys_sh5_axi_bus_monitor_regmap_field_enh_90

typedef struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_90  rs_sys_sh5_axi_bus_monitor_regmap_field_enh_90;
struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_90 {
    unsigned int reg_sh5_axi_bus_monitor_awaddr_outd        :32;
};
#define sys_sh5_axi_bus_monitor_regmap_field_enh_90(val) ((rs_sys_sh5_axi_bus_monitor_regmap_field_enh_90*)&(val))



#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_94                      (HV_SH5_AXI_BUS_MONITOR_REGMAP_BASE_ADDRESS + 0x94)

#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_94_struct               rs_sys_sh5_axi_bus_monitor_regmap_field_enh_94

typedef struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_94  rs_sys_sh5_axi_bus_monitor_regmap_field_enh_94;
struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_94 {
    unsigned int reg_sh5_axi_bus_monitor_awaddr_oute        :32;
};
#define sys_sh5_axi_bus_monitor_regmap_field_enh_94(val) ((rs_sys_sh5_axi_bus_monitor_regmap_field_enh_94*)&(val))



#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_98                      (HV_SH5_AXI_BUS_MONITOR_REGMAP_BASE_ADDRESS + 0x98)

#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_98_struct               rs_sys_sh5_axi_bus_monitor_regmap_field_enh_98

typedef struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_98  rs_sys_sh5_axi_bus_monitor_regmap_field_enh_98;
struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_98 {
    unsigned int reg_sh5_axi_bus_monitor_awaddr_outf        :32;
};
#define sys_sh5_axi_bus_monitor_regmap_field_enh_98(val) ((rs_sys_sh5_axi_bus_monitor_regmap_field_enh_98*)&(val))



#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_9C                      (HV_SH5_AXI_BUS_MONITOR_REGMAP_BASE_ADDRESS + 0x9C)

#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_9C_struct               rs_sys_sh5_axi_bus_monitor_regmap_field_enh_9c

typedef struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_9c  rs_sys_sh5_axi_bus_monitor_regmap_field_enh_9c;
struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_9c {
    unsigned int reg_sh5_axi_bus_monitor_awburst_out0       : 2;
    unsigned int reg_sh5_axi_bus_monitor_awburst_out1       : 2;
    unsigned int reg_sh5_axi_bus_monitor_awburst_out2       : 2;
    unsigned int reg_sh5_axi_bus_monitor_awburst_out3       : 2;
    unsigned int reg_sh5_axi_bus_monitor_awburst_out4       : 2;
    unsigned int reg_sh5_axi_bus_monitor_awburst_out5       : 2;
    unsigned int reg_sh5_axi_bus_monitor_awburst_out6       : 2;
    unsigned int reg_sh5_axi_bus_monitor_awburst_out7       : 2;
    unsigned int reg_sh5_axi_bus_monitor_awburst_out8       : 2;
    unsigned int reg_sh5_axi_bus_monitor_awburst_out9       : 2;
    unsigned int reg_sh5_axi_bus_monitor_awburst_outa       : 2;
    unsigned int reg_sh5_axi_bus_monitor_awburst_outb       : 2;
    unsigned int reg_sh5_axi_bus_monitor_awburst_outc       : 2;
    unsigned int reg_sh5_axi_bus_monitor_awburst_outd       : 2;
    unsigned int reg_sh5_axi_bus_monitor_awburst_oute       : 2;
    unsigned int reg_sh5_axi_bus_monitor_awburst_outf       : 2;
};
#define sys_sh5_axi_bus_monitor_regmap_field_enh_9c(val) ((rs_sys_sh5_axi_bus_monitor_regmap_field_enh_9c*)&(val))



#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_A0                      (HV_SH5_AXI_BUS_MONITOR_REGMAP_BASE_ADDRESS + 0xA0)

#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_A0_struct               rs_sys_sh5_axi_bus_monitor_regmap_field_enh_a0

typedef struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_a0  rs_sys_sh5_axi_bus_monitor_regmap_field_enh_a0;
struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_a0 {
    unsigned int reg_sh5_axi_bus_monitor_awlen_out0         : 8;
    unsigned int reg_sh5_axi_bus_monitor_awlen_out1         : 8;
    unsigned int reg_sh5_axi_bus_monitor_awlen_out2         : 8;
    unsigned int reg_sh5_axi_bus_monitor_awlen_out3         : 8;
};
#define sys_sh5_axi_bus_monitor_regmap_field_enh_a0(val) ((rs_sys_sh5_axi_bus_monitor_regmap_field_enh_a0*)&(val))



#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_A4                      (HV_SH5_AXI_BUS_MONITOR_REGMAP_BASE_ADDRESS + 0xA4)

#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_A4_struct               rs_sys_sh5_axi_bus_monitor_regmap_field_enh_a4

typedef struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_a4  rs_sys_sh5_axi_bus_monitor_regmap_field_enh_a4;
struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_a4 {
    unsigned int reg_sh5_axi_bus_monitor_awlen_out4         : 8;
    unsigned int reg_sh5_axi_bus_monitor_awlen_out5         : 8;
    unsigned int reg_sh5_axi_bus_monitor_awlen_out6         : 8;
    unsigned int reg_sh5_axi_bus_monitor_awlen_out7         : 8;
};
#define sys_sh5_axi_bus_monitor_regmap_field_enh_a4(val) ((rs_sys_sh5_axi_bus_monitor_regmap_field_enh_a4*)&(val))



#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_A8                      (HV_SH5_AXI_BUS_MONITOR_REGMAP_BASE_ADDRESS + 0xA8)

#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_A8_struct               rs_sys_sh5_axi_bus_monitor_regmap_field_enh_a8

typedef struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_a8  rs_sys_sh5_axi_bus_monitor_regmap_field_enh_a8;
struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_a8 {
    unsigned int reg_sh5_axi_bus_monitor_awlen_out8         : 8;
    unsigned int reg_sh5_axi_bus_monitor_awlen_out9         : 8;
    unsigned int reg_sh5_axi_bus_monitor_awlen_outa         : 8;
    unsigned int reg_sh5_axi_bus_monitor_awlen_outb         : 8;
};
#define sys_sh5_axi_bus_monitor_regmap_field_enh_a8(val) ((rs_sys_sh5_axi_bus_monitor_regmap_field_enh_a8*)&(val))



#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_AC                      (HV_SH5_AXI_BUS_MONITOR_REGMAP_BASE_ADDRESS + 0xAC)

#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_AC_struct               rs_sys_sh5_axi_bus_monitor_regmap_field_enh_ac

typedef struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_ac  rs_sys_sh5_axi_bus_monitor_regmap_field_enh_ac;
struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_ac {
    unsigned int reg_sh5_axi_bus_monitor_awlen_outc         : 8;
    unsigned int reg_sh5_axi_bus_monitor_awlen_outd         : 8;
    unsigned int reg_sh5_axi_bus_monitor_awlen_oute         : 8;
    unsigned int reg_sh5_axi_bus_monitor_awlen_outf         : 8;
};
#define sys_sh5_axi_bus_monitor_regmap_field_enh_ac(val) ((rs_sys_sh5_axi_bus_monitor_regmap_field_enh_ac*)&(val))



#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_B0                      (HV_SH5_AXI_BUS_MONITOR_REGMAP_BASE_ADDRESS + 0xB0)

#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_B0_struct               rs_sys_sh5_axi_bus_monitor_regmap_field_enh_b0

typedef struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_b0  rs_sys_sh5_axi_bus_monitor_regmap_field_enh_b0;
struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_b0 {
    unsigned int reg_sh5_axi_bus_monitor_awsize_out0        : 3;
    unsigned int reg_sh5_axi_bus_monitor_awsize_out1        : 3;
    unsigned int reg_sh5_axi_bus_monitor_awsize_out2        : 3;
    unsigned int reg_sh5_axi_bus_monitor_awsize_out3        : 3;
    unsigned int reg_sh5_axi_bus_monitor_awsize_out4        : 3;
    unsigned int reg_sh5_axi_bus_monitor_awsize_out5        : 3;
    unsigned int reg_sh5_axi_bus_monitor_awsize_out6        : 3;
    unsigned int reg_sh5_axi_bus_monitor_awsize_out7        : 3;
    unsigned int reg_sh5_axi_bus_monitor_awsize_out8        : 3;
    unsigned int reg_sh5_axi_bus_monitor_awsize_out9        : 3;
    unsigned int reserved                                   : 2;
};
#define sys_sh5_axi_bus_monitor_regmap_field_enh_b0(val) ((rs_sys_sh5_axi_bus_monitor_regmap_field_enh_b0*)&(val))



#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_B4                      (HV_SH5_AXI_BUS_MONITOR_REGMAP_BASE_ADDRESS + 0xB4)

#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_B4_struct               rs_sys_sh5_axi_bus_monitor_regmap_field_enh_b4

typedef struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_b4  rs_sys_sh5_axi_bus_monitor_regmap_field_enh_b4;
struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_b4 {
    unsigned int reg_sh5_axi_bus_monitor_awsize_outa        : 3;
    unsigned int reg_sh5_axi_bus_monitor_awsize_outb        : 3;
    unsigned int reg_sh5_axi_bus_monitor_awsize_outc        : 3;
    unsigned int reg_sh5_axi_bus_monitor_awsize_outd        : 3;
    unsigned int reg_sh5_axi_bus_monitor_awsize_oute        : 3;
    unsigned int reg_sh5_axi_bus_monitor_awsize_outf        : 3;
    unsigned int reserved                                   :14;
};
#define sys_sh5_axi_bus_monitor_regmap_field_enh_b4(val) ((rs_sys_sh5_axi_bus_monitor_regmap_field_enh_b4*)&(val))



#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_B8                      (HV_SH5_AXI_BUS_MONITOR_REGMAP_BASE_ADDRESS + 0xB8)

#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_B8_struct               rs_sys_sh5_axi_bus_monitor_regmap_field_enh_b8

typedef struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_b8  rs_sys_sh5_axi_bus_monitor_regmap_field_enh_b8;
struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_b8 {
    unsigned int reg_sh5_axi_bus_monitor_bresp_out0         : 2;
    unsigned int reg_sh5_axi_bus_monitor_bresp_out1         : 2;
    unsigned int reg_sh5_axi_bus_monitor_bresp_out2         : 2;
    unsigned int reg_sh5_axi_bus_monitor_bresp_out3         : 2;
    unsigned int reg_sh5_axi_bus_monitor_bresp_out4         : 2;
    unsigned int reg_sh5_axi_bus_monitor_bresp_out5         : 2;
    unsigned int reg_sh5_axi_bus_monitor_bresp_out6         : 2;
    unsigned int reg_sh5_axi_bus_monitor_bresp_out7         : 2;
    unsigned int reg_sh5_axi_bus_monitor_bresp_out8         : 2;
    unsigned int reg_sh5_axi_bus_monitor_bresp_out9         : 2;
    unsigned int reg_sh5_axi_bus_monitor_bresp_outa         : 2;
    unsigned int reg_sh5_axi_bus_monitor_bresp_outb         : 2;
    unsigned int reg_sh5_axi_bus_monitor_bresp_outc         : 2;
    unsigned int reg_sh5_axi_bus_monitor_bresp_outd         : 2;
    unsigned int reg_sh5_axi_bus_monitor_bresp_oute         : 2;
    unsigned int reg_sh5_axi_bus_monitor_bresp_outf         : 2;
};
#define sys_sh5_axi_bus_monitor_regmap_field_enh_b8(val) ((rs_sys_sh5_axi_bus_monitor_regmap_field_enh_b8*)&(val))



#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_BC                      (HV_SH5_AXI_BUS_MONITOR_REGMAP_BASE_ADDRESS + 0xBC)

#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_BC_struct               rs_sys_sh5_axi_bus_monitor_regmap_field_enh_bc

typedef struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_bc  rs_sys_sh5_axi_bus_monitor_regmap_field_enh_bc;
struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_bc {
    unsigned int reg_sh5_axi_bus_monitor_rlast_out0         : 1;
    unsigned int reg_sh5_axi_bus_monitor_rlast_out1         : 1;
    unsigned int reg_sh5_axi_bus_monitor_rlast_out2         : 1;
    unsigned int reg_sh5_axi_bus_monitor_rlast_out3         : 1;
    unsigned int reg_sh5_axi_bus_monitor_rlast_out4         : 1;
    unsigned int reg_sh5_axi_bus_monitor_rlast_out5         : 1;
    unsigned int reg_sh5_axi_bus_monitor_rlast_out6         : 1;
    unsigned int reg_sh5_axi_bus_monitor_rlast_out7         : 1;
    unsigned int reg_sh5_axi_bus_monitor_rlast_out8         : 1;
    unsigned int reg_sh5_axi_bus_monitor_rlast_out9         : 1;
    unsigned int reg_sh5_axi_bus_monitor_rlast_outa         : 1;
    unsigned int reg_sh5_axi_bus_monitor_rlast_outb         : 1;
    unsigned int reg_sh5_axi_bus_monitor_rlast_outc         : 1;
    unsigned int reg_sh5_axi_bus_monitor_rlast_outd         : 1;
    unsigned int reg_sh5_axi_bus_monitor_rlast_oute         : 1;
    unsigned int reg_sh5_axi_bus_monitor_rlast_outf         : 1;
    unsigned int reg_sh5_axi_bus_monitor_rresp_out0         : 2;
    unsigned int reg_sh5_axi_bus_monitor_rresp_out1         : 2;
    unsigned int reg_sh5_axi_bus_monitor_rresp_out2         : 2;
    unsigned int reg_sh5_axi_bus_monitor_rresp_out3         : 2;
    unsigned int reg_sh5_axi_bus_monitor_rresp_out4         : 2;
    unsigned int reg_sh5_axi_bus_monitor_rresp_out5         : 2;
    unsigned int reg_sh5_axi_bus_monitor_rresp_out6         : 2;
    unsigned int reg_sh5_axi_bus_monitor_rresp_out7         : 2;
};
#define sys_sh5_axi_bus_monitor_regmap_field_enh_bc(val) ((rs_sys_sh5_axi_bus_monitor_regmap_field_enh_bc*)&(val))



#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_C0                      (HV_SH5_AXI_BUS_MONITOR_REGMAP_BASE_ADDRESS + 0xC0)

#define SYS_SH5_AXI_BUS_MONITOR_REGMAP_FIELD_ENH_C0_struct               rs_sys_sh5_axi_bus_monitor_regmap_field_enh_c0

typedef struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_c0  rs_sys_sh5_axi_bus_monitor_regmap_field_enh_c0;
struct _rs_sys_sh5_axi_bus_monitor_regmap_field_enh_c0 {
    unsigned int reg_sh5_axi_bus_monitor_rresp_out8         : 2;
    unsigned int reg_sh5_axi_bus_monitor_rresp_out9         : 2;
    unsigned int reg_sh5_axi_bus_monitor_rresp_outa         : 2;
    unsigned int reg_sh5_axi_bus_monitor_rresp_outb         : 2;
    unsigned int reg_sh5_axi_bus_monitor_rresp_outc         : 2;
    unsigned int reg_sh5_axi_bus_monitor_rresp_outd         : 2;
    unsigned int reg_sh5_axi_bus_monitor_rresp_oute         : 2;
    unsigned int reg_sh5_axi_bus_monitor_rresp_outf         : 2;
    unsigned int reg_sh5_axi_bus_monitor_wlast_out0         : 1;
    unsigned int reg_sh5_axi_bus_monitor_wlast_out1         : 1;
    unsigned int reg_sh5_axi_bus_monitor_wlast_out2         : 1;
    unsigned int reg_sh5_axi_bus_monitor_wlast_out3         : 1;
    unsigned int reg_sh5_axi_bus_monitor_wlast_out4         : 1;
    unsigned int reg_sh5_axi_bus_monitor_wlast_out5         : 1;
    unsigned int reg_sh5_axi_bus_monitor_wlast_out6         : 1;
    unsigned int reg_sh5_axi_bus_monitor_wlast_out7         : 1;
    unsigned int reg_sh5_axi_bus_monitor_wlast_out8         : 1;
    unsigned int reg_sh5_axi_bus_monitor_wlast_out9         : 1;
    unsigned int reg_sh5_axi_bus_monitor_wlast_outa         : 1;
    unsigned int reg_sh5_axi_bus_monitor_wlast_outb         : 1;
    unsigned int reg_sh5_axi_bus_monitor_wlast_outc         : 1;
    unsigned int reg_sh5_axi_bus_monitor_wlast_outd         : 1;
    unsigned int reg_sh5_axi_bus_monitor_wlast_oute         : 1;
    unsigned int reg_sh5_axi_bus_monitor_wlast_outf         : 1;
};
#define sys_sh5_axi_bus_monitor_regmap_field_enh_c0(val) ((rs_sys_sh5_axi_bus_monitor_regmap_field_enh_c0*)&(val))



#endif