#ifndef _HV_PAGE_HT7315_SRP_S_TOP_H_
#define _HV_PAGE_HT7315_SRP_S_TOP_H_

#ifndef HV_SRP_S_TOP_BASE_ADDRESS
    #define HV_SRP_S_TOP_BASE_ADDRESS                                         0x11026400
#endif


#define DISP_TOP_SRP_S_TOP_00                                            (HV_SRP_S_TOP_BASE_ADDRESS + 0x00)

#define DISP_TOP_SRP_S_TOP_00_struct                                     rs_disp_top_srp_s_top_00

typedef struct _rs_disp_top_srp_s_top_00  rs_disp_top_srp_s_top_00;
struct _rs_disp_top_srp_s_top_00 {
    unsigned int reg_en                                     : 1;
    unsigned int reg_en_no_latch                            : 1;
    unsigned int reserved                                   :30;
};
#define disp_top_srp_s_top_00(val) ((rs_disp_top_srp_s_top_00*)&(val))



#define DISP_TOP_SRP_S_TOP_04                                            (HV_SRP_S_TOP_BASE_ADDRESS + 0x04)

#define DISP_TOP_SRP_S_TOP_04_struct                                     rs_disp_top_srp_s_top_04

typedef struct _rs_disp_top_srp_s_top_04  rs_disp_top_srp_s_top_04;
struct _rs_disp_top_srp_s_top_04 {
    unsigned int reserved                                   : 2;
    unsigned int reg_sr_cb_scf_on                           : 1;
    unsigned int reserved_1                                 : 1;
    unsigned int reg_ct_sr_cb_mtx_on                        : 1;
    unsigned int reserved_2                                 : 3;
    unsigned int reg_sr_passthrough                         : 1;
    unsigned int reserved_3                                 :23;
};
#define disp_top_srp_s_top_04(val) ((rs_disp_top_srp_s_top_04*)&(val))



#define DISP_TOP_SRP_S_TOP_08                                            (HV_SRP_S_TOP_BASE_ADDRESS + 0x08)

#define DISP_TOP_SRP_S_TOP_08_struct                                     rs_disp_top_srp_s_top_08

typedef struct _rs_disp_top_srp_s_top_08  rs_disp_top_srp_s_top_08;
struct _rs_disp_top_srp_s_top_08 {
    unsigned int reg_sr_c24_on                              : 1;
    unsigned int reserved                                   : 3;
    unsigned int reg_sr_c24_mode                            : 1;
    unsigned int reg_sr_c24_cr_pos                          : 1;
    unsigned int reserved_1                                 : 2;
    unsigned int reg_sr_c24_htap1                           : 8;
    unsigned int reg_sr_c24_htap2                           : 8;
    unsigned int reserved_2                                 : 8;
};
#define disp_top_srp_s_top_08(val) ((rs_disp_top_srp_s_top_08*)&(val))



#define DISP_TOP_SRP_S_TOP_0C                                            (HV_SRP_S_TOP_BASE_ADDRESS + 0x0C)

#define DISP_TOP_SRP_S_TOP_0C_struct                                     rs_disp_top_srp_s_top_0c

typedef struct _rs_disp_top_srp_s_top_0c  rs_disp_top_srp_s_top_0c;
struct _rs_disp_top_srp_s_top_0c {
    unsigned int reg_sr_c24_hsize                           :13;
    unsigned int reserved                                   : 3;
    unsigned int reg_sr_c24_vsize                           :13;
    unsigned int reserved_1                                 : 3;
};
#define disp_top_srp_s_top_0c(val) ((rs_disp_top_srp_s_top_0c*)&(val))



#define DISP_TOP_SRP_S_TOP_10                                            (HV_SRP_S_TOP_BASE_ADDRESS + 0x10)

#define DISP_TOP_SRP_S_TOP_10_struct                                     rs_disp_top_srp_s_top_10

typedef struct _rs_disp_top_srp_s_top_10  rs_disp_top_srp_s_top_10;
struct _rs_disp_top_srp_s_top_10 {
    unsigned int reg_sr_c24_al_ovpix                        : 8;
    unsigned int reg_sr_c24_ar_ovpix                        : 8;
    unsigned int reg_sr_c24_bl_ovpix                        : 8;
    unsigned int reg_sr_c24_br_ovpix                        : 8;
};
#define disp_top_srp_s_top_10(val) ((rs_disp_top_srp_s_top_10*)&(val))



#define DISP_TOP_SRP_S_TOP_14                                            (HV_SRP_S_TOP_BASE_ADDRESS + 0x14)

#define DISP_TOP_SRP_S_TOP_14_struct                                     rs_disp_top_srp_s_top_14

typedef struct _rs_disp_top_srp_s_top_14  rs_disp_top_srp_s_top_14;
struct _rs_disp_top_srp_s_top_14 {
    unsigned int reg_sr_cs1_convert_on                      : 1;
    unsigned int reg_sr_cs1_convert_mode                    : 4;
    unsigned int reserved                                   :27;
};
#define disp_top_srp_s_top_14(val) ((rs_disp_top_srp_s_top_14*)&(val))



#define DISP_TOP_SRP_S_TOP_18                                            (HV_SRP_S_TOP_BASE_ADDRESS + 0x18)

#define DISP_TOP_SRP_S_TOP_18_struct                                     rs_disp_top_srp_s_top_18

typedef struct _rs_disp_top_srp_s_top_18  rs_disp_top_srp_s_top_18;
struct _rs_disp_top_srp_s_top_18 {
    unsigned int reg_sr_cs1_usr_coef00                      :15;
    unsigned int reg_sr_cs1_usr_coef01                      :15;
    unsigned int reserved                                   : 2;
};
#define disp_top_srp_s_top_18(val) ((rs_disp_top_srp_s_top_18*)&(val))



#define DISP_TOP_SRP_S_TOP_1C                                            (HV_SRP_S_TOP_BASE_ADDRESS + 0x1C)

#define DISP_TOP_SRP_S_TOP_1C_struct                                     rs_disp_top_srp_s_top_1c

typedef struct _rs_disp_top_srp_s_top_1c  rs_disp_top_srp_s_top_1c;
struct _rs_disp_top_srp_s_top_1c {
    unsigned int reg_sr_cs1_usr_coef02                      :15;
    unsigned int reg_sr_cs1_usr_coef10                      :15;
    unsigned int reserved                                   : 2;
};
#define disp_top_srp_s_top_1c(val) ((rs_disp_top_srp_s_top_1c*)&(val))



#define DISP_TOP_SRP_S_TOP_20                                            (HV_SRP_S_TOP_BASE_ADDRESS + 0x20)

#define DISP_TOP_SRP_S_TOP_20_struct                                     rs_disp_top_srp_s_top_20

typedef struct _rs_disp_top_srp_s_top_20  rs_disp_top_srp_s_top_20;
struct _rs_disp_top_srp_s_top_20 {
    unsigned int reg_sr_cs1_usr_coef11                      :15;
    unsigned int reg_sr_cs1_usr_coef12                      :15;
    unsigned int reserved                                   : 2;
};
#define disp_top_srp_s_top_20(val) ((rs_disp_top_srp_s_top_20*)&(val))



#define DISP_TOP_SRP_S_TOP_24                                            (HV_SRP_S_TOP_BASE_ADDRESS + 0x24)

#define DISP_TOP_SRP_S_TOP_24_struct                                     rs_disp_top_srp_s_top_24

typedef struct _rs_disp_top_srp_s_top_24  rs_disp_top_srp_s_top_24;
struct _rs_disp_top_srp_s_top_24 {
    unsigned int reg_sr_cs1_usr_coef20                      :15;
    unsigned int reg_sr_cs1_usr_coef21                      :15;
    unsigned int reserved                                   : 2;
};
#define disp_top_srp_s_top_24(val) ((rs_disp_top_srp_s_top_24*)&(val))



#define DISP_TOP_SRP_S_TOP_28                                            (HV_SRP_S_TOP_BASE_ADDRESS + 0x28)

#define DISP_TOP_SRP_S_TOP_28_struct                                     rs_disp_top_srp_s_top_28

typedef struct _rs_disp_top_srp_s_top_28  rs_disp_top_srp_s_top_28;
struct _rs_disp_top_srp_s_top_28 {
    unsigned int reg_sr_cs1_usr_coef22                      :15;
    unsigned int reg_sr_cs1_usr_const0                      :12;
    unsigned int reserved                                   : 5;
};
#define disp_top_srp_s_top_28(val) ((rs_disp_top_srp_s_top_28*)&(val))



#define DISP_TOP_SRP_S_TOP_2C                                            (HV_SRP_S_TOP_BASE_ADDRESS + 0x2C)

#define DISP_TOP_SRP_S_TOP_2C_struct                                     rs_disp_top_srp_s_top_2c

typedef struct _rs_disp_top_srp_s_top_2c  rs_disp_top_srp_s_top_2c;
struct _rs_disp_top_srp_s_top_2c {
    unsigned int reg_sr_cs1_usr_const1                      :12;
    unsigned int reg_sr_cs1_usr_const2                      :12;
    unsigned int reserved                                   : 8;
};
#define disp_top_srp_s_top_2c(val) ((rs_disp_top_srp_s_top_2c*)&(val))



#define DISP_TOP_SRP_S_TOP_3C                                            (HV_SRP_S_TOP_BASE_ADDRESS + 0x3C)

#define DISP_TOP_SRP_S_TOP_3C_struct                                     rs_disp_top_srp_s_top_3c

typedef struct _rs_disp_top_srp_s_top_3c  rs_disp_top_srp_s_top_3c;
struct _rs_disp_top_srp_s_top_3c {
    unsigned int reg_sr_hcb_pre_hsize                       :13;
    unsigned int reserved                                   : 3;
    unsigned int reg_sr_hcb_pre_vsize                       :13;
    unsigned int reserved_1                                 : 3;
};
#define disp_top_srp_s_top_3c(val) ((rs_disp_top_srp_s_top_3c*)&(val))



#define DISP_TOP_SRP_S_TOP_40                                            (HV_SRP_S_TOP_BASE_ADDRESS + 0x40)

#define DISP_TOP_SRP_S_TOP_40_struct                                     rs_disp_top_srp_s_top_40

typedef struct _rs_disp_top_srp_s_top_40  rs_disp_top_srp_s_top_40;
struct _rs_disp_top_srp_s_top_40 {
    unsigned int reg_sr_hcb_pre_al_in_ovpix                 : 8;
    unsigned int reg_sr_hcb_pre_ar_in_ovpix                 : 8;
    unsigned int reg_sr_hcb_pre_al_out_ovpix                : 8;
    unsigned int reg_sr_hcb_pre_ar_out_ovpix                : 8;
};
#define disp_top_srp_s_top_40(val) ((rs_disp_top_srp_s_top_40*)&(val))



#define DISP_TOP_SRP_S_TOP_44                                            (HV_SRP_S_TOP_BASE_ADDRESS + 0x44)

#define DISP_TOP_SRP_S_TOP_44_struct                                     rs_disp_top_srp_s_top_44

typedef struct _rs_disp_top_srp_s_top_44  rs_disp_top_srp_s_top_44;
struct _rs_disp_top_srp_s_top_44 {
    unsigned int reg_sr_hcb_pre_bl_in_ovpix                 : 8;
    unsigned int reg_sr_hcb_pre_br_in_ovpix                 : 8;
    unsigned int reg_sr_hcb_pre_bl_out_ovpix                : 8;
    unsigned int reg_sr_hcb_pre_br_out_ovpix                : 8;
};
#define disp_top_srp_s_top_44(val) ((rs_disp_top_srp_s_top_44*)&(val))



#define DISP_TOP_SRP_S_TOP_48                                            (HV_SRP_S_TOP_BASE_ADDRESS + 0x48)

#define DISP_TOP_SRP_S_TOP_48_struct                                     rs_disp_top_srp_s_top_48

typedef struct _rs_disp_top_srp_s_top_48  rs_disp_top_srp_s_top_48;
struct _rs_disp_top_srp_s_top_48 {
    unsigned int reg_sr_spat_on                             : 1;
    unsigned int reserved                                   : 7;
    unsigned int reg_sr_spat_mode                           : 8;
    unsigned int reg_sr_spat_width                          :13;
    unsigned int reserved_1                                 : 3;
};
#define disp_top_srp_s_top_48(val) ((rs_disp_top_srp_s_top_48*)&(val))



#define DISP_TOP_SRP_S_TOP_4C                                            (HV_SRP_S_TOP_BASE_ADDRESS + 0x4C)

#define DISP_TOP_SRP_S_TOP_4C_struct                                     rs_disp_top_srp_s_top_4c

typedef struct _rs_disp_top_srp_s_top_4c  rs_disp_top_srp_s_top_4c;
struct _rs_disp_top_srp_s_top_4c {
    unsigned int reg_sr_spat_test                           :32;
};
#define disp_top_srp_s_top_4c(val) ((rs_disp_top_srp_s_top_4c*)&(val))



#define DISP_TOP_SRP_S_TOP_50                                            (HV_SRP_S_TOP_BASE_ADDRESS + 0x50)

#define DISP_TOP_SRP_S_TOP_50_struct                                     rs_disp_top_srp_s_top_50

typedef struct _rs_disp_top_srp_s_top_50  rs_disp_top_srp_s_top_50;
struct _rs_disp_top_srp_s_top_50 {
    unsigned int reg_sr_spat_stapix_a                       :14;
    unsigned int reserved                                   : 2;
    unsigned int reg_sr_spat_stapix_b                       :14;
    unsigned int reserved_1                                 : 2;
};
#define disp_top_srp_s_top_50(val) ((rs_disp_top_srp_s_top_50*)&(val))



#define DISP_TOP_SRP_S_TOP_54                                            (HV_SRP_S_TOP_BASE_ADDRESS + 0x54)

#define DISP_TOP_SRP_S_TOP_54_struct                                     rs_disp_top_srp_s_top_54

typedef struct _rs_disp_top_srp_s_top_54  rs_disp_top_srp_s_top_54;
struct _rs_disp_top_srp_s_top_54 {
    unsigned int reg_slc_hcnt_init_a                        : 7;
    unsigned int reserved                                   : 1;
    unsigned int reg_slc_pcnt_init_a                        : 8;
    unsigned int reg_slc_hcnt_init_b                        : 7;
    unsigned int reserved_1                                 : 1;
    unsigned int reg_slc_pcnt_init_b                        : 8;
};
#define disp_top_srp_s_top_54(val) ((rs_disp_top_srp_s_top_54*)&(val))



#define DISP_TOP_SRP_S_TOP_58                                            (HV_SRP_S_TOP_BASE_ADDRESS + 0x58)

#define DISP_TOP_SRP_S_TOP_58_struct                                     rs_disp_top_srp_s_top_58

typedef struct _rs_disp_top_srp_s_top_58  rs_disp_top_srp_s_top_58;
struct _rs_disp_top_srp_s_top_58 {
    unsigned int reg_sr_hcb_hsize                           :13;
    unsigned int reserved                                   : 3;
    unsigned int reg_sr_hcb_vsize                           :13;
    unsigned int reserved_1                                 : 3;
};
#define disp_top_srp_s_top_58(val) ((rs_disp_top_srp_s_top_58*)&(val))



#define DISP_TOP_SRP_S_TOP_5C                                            (HV_SRP_S_TOP_BASE_ADDRESS + 0x5C)

#define DISP_TOP_SRP_S_TOP_5C_struct                                     rs_disp_top_srp_s_top_5c

typedef struct _rs_disp_top_srp_s_top_5c  rs_disp_top_srp_s_top_5c;
struct _rs_disp_top_srp_s_top_5c {
    unsigned int reg_sr_hcb_al_in_ovpix                     : 8;
    unsigned int reg_sr_hcb_ar_in_ovpix                     : 8;
    unsigned int reg_sr_hcb_al_out_ovpix                    : 8;
    unsigned int reg_sr_hcb_ar_out_ovpix                    : 8;
};
#define disp_top_srp_s_top_5c(val) ((rs_disp_top_srp_s_top_5c*)&(val))



#define DISP_TOP_SRP_S_TOP_60                                            (HV_SRP_S_TOP_BASE_ADDRESS + 0x60)

#define DISP_TOP_SRP_S_TOP_60_struct                                     rs_disp_top_srp_s_top_60

typedef struct _rs_disp_top_srp_s_top_60  rs_disp_top_srp_s_top_60;
struct _rs_disp_top_srp_s_top_60 {
    unsigned int reg_sr_hcb_bl_in_ovpix                     : 8;
    unsigned int reg_sr_hcb_br_in_ovpix                     : 8;
    unsigned int reg_sr_hcb_bl_out_ovpix                    : 8;
    unsigned int reg_sr_hcb_br_out_ovpix                    : 8;
};
#define disp_top_srp_s_top_60(val) ((rs_disp_top_srp_s_top_60*)&(val))



#define DISP_TOP_SRP_S_TOP_64                                            (HV_SRP_S_TOP_BASE_ADDRESS + 0x64)

#define DISP_TOP_SRP_S_TOP_64_struct                                     rs_disp_top_srp_s_top_64

typedef struct _rs_disp_top_srp_s_top_64  rs_disp_top_srp_s_top_64;
struct _rs_disp_top_srp_s_top_64 {
    unsigned int reg_mon_ch_sel                             : 4;
    unsigned int reg_mon_enable                             : 1;
    unsigned int reserved                                   :27;
};
#define disp_top_srp_s_top_64(val) ((rs_disp_top_srp_s_top_64*)&(val))



#define DISP_TOP_SRP_S_TOP_68                                            (HV_SRP_S_TOP_BASE_ADDRESS + 0x68)

#define DISP_TOP_SRP_S_TOP_68_struct                                     rs_disp_top_srp_s_top_68

typedef struct _rs_disp_top_srp_s_top_68  rs_disp_top_srp_s_top_68;
struct _rs_disp_top_srp_s_top_68 {
    unsigned int reg_mon_width                              :16;
    unsigned int reg_mon_height                             :16;
};
#define disp_top_srp_s_top_68(val) ((rs_disp_top_srp_s_top_68*)&(val))



#define DISP_TOP_SRP_S_TOP_6C                                            (HV_SRP_S_TOP_BASE_ADDRESS + 0x6C)

#define DISP_TOP_SRP_S_TOP_6C_struct                                     rs_disp_top_srp_s_top_6c

typedef struct _rs_disp_top_srp_s_top_6c  rs_disp_top_srp_s_top_6c;
struct _rs_disp_top_srp_s_top_6c {
    unsigned int reg_sr_ibit                                : 5;
    unsigned int reserved                                   :27;
};
#define disp_top_srp_s_top_6c(val) ((rs_disp_top_srp_s_top_6c*)&(val))



#define DISP_TOP_SRP_S_TOP_88                                            (HV_SRP_S_TOP_BASE_ADDRESS + 0x88)

#define DISP_TOP_SRP_S_TOP_88_struct                                     rs_disp_top_srp_s_top_88

typedef struct _rs_disp_top_srp_s_top_88  rs_disp_top_srp_s_top_88;
struct _rs_disp_top_srp_s_top_88 {
    unsigned int reg_cursor_en                              : 1;
    unsigned int reg_cursor_3d                              : 1;
    unsigned int reg_cursor_lr                              : 1;
    unsigned int reg_cursor_hwidth                          : 4;
    unsigned int reg_cursor_vwidth                          : 4;
    unsigned int reg_cursor_color                           : 3;
    unsigned int regr_cursor_data0                          :12;
    unsigned int reserved                                   : 6;
};
#define disp_top_srp_s_top_88(val) ((rs_disp_top_srp_s_top_88*)&(val))



#define DISP_TOP_SRP_S_TOP_8C                                            (HV_SRP_S_TOP_BASE_ADDRESS + 0x8C)

#define DISP_TOP_SRP_S_TOP_8C_struct                                     rs_disp_top_srp_s_top_8c

typedef struct _rs_disp_top_srp_s_top_8c  rs_disp_top_srp_s_top_8c;
struct _rs_disp_top_srp_s_top_8c {
    unsigned int reg_cursor_hcnt                            :16;
    unsigned int reg_cursor_vcnt                            :16;
};
#define disp_top_srp_s_top_8c(val) ((rs_disp_top_srp_s_top_8c*)&(val))



#define DISP_TOP_SRP_S_TOP_90                                            (HV_SRP_S_TOP_BASE_ADDRESS + 0x90)

#define DISP_TOP_SRP_S_TOP_90_struct                                     rs_disp_top_srp_s_top_90

typedef struct _rs_disp_top_srp_s_top_90  rs_disp_top_srp_s_top_90;
struct _rs_disp_top_srp_s_top_90 {
    unsigned int regr_cursor_data1                          :12;
    unsigned int regr_cursor_data2                          :12;
    unsigned int reserved                                   : 8;
};
#define disp_top_srp_s_top_90(val) ((rs_disp_top_srp_s_top_90*)&(val))



#define DISP_TOP_SRP_S_TOP_98                                            (HV_SRP_S_TOP_BASE_ADDRESS + 0x98)

#define DISP_TOP_SRP_S_TOP_98_struct                                     rs_disp_top_srp_s_top_98

typedef struct _rs_disp_top_srp_s_top_98  rs_disp_top_srp_s_top_98;
struct _rs_disp_top_srp_s_top_98 {
    unsigned int regr_mon_frame_lin_num                     :16;
    unsigned int regr_mon_frame_htotal                      :16;
};
#define disp_top_srp_s_top_98(val) ((rs_disp_top_srp_s_top_98*)&(val))



#define DISP_TOP_SRP_S_TOP_9C                                            (HV_SRP_S_TOP_BASE_ADDRESS + 0x9C)

#define DISP_TOP_SRP_S_TOP_9C_struct                                     rs_disp_top_srp_s_top_9c

typedef struct _rs_disp_top_srp_s_top_9c  rs_disp_top_srp_s_top_9c;
struct _rs_disp_top_srp_s_top_9c {
    unsigned int regr_mon_frame_pxl_num                     :32;
};
#define disp_top_srp_s_top_9c(val) ((rs_disp_top_srp_s_top_9c*)&(val))



#define DISP_TOP_SRP_S_TOP_A0                                            (HV_SRP_S_TOP_BASE_ADDRESS + 0xA0)

#define DISP_TOP_SRP_S_TOP_A0_struct                                     rs_disp_top_srp_s_top_a0

typedef struct _rs_disp_top_srp_s_top_a0  rs_disp_top_srp_s_top_a0;
struct _rs_disp_top_srp_s_top_a0 {
    unsigned int regr_sr_mem_ro0                            :32;
};
#define disp_top_srp_s_top_a0(val) ((rs_disp_top_srp_s_top_a0*)&(val))



#define DISP_TOP_SRP_S_TOP_B8                                            (HV_SRP_S_TOP_BASE_ADDRESS + 0xB8)

#define DISP_TOP_SRP_S_TOP_B8_struct                                     rs_disp_top_srp_s_top_b8

typedef struct _rs_disp_top_srp_s_top_b8  rs_disp_top_srp_s_top_b8;
struct _rs_disp_top_srp_s_top_b8 {
    unsigned int reg_mtx_ct_en_usrmx_through                : 1;
    unsigned int reg_mtx_en_umx_demo_en                     : 1;
    unsigned int reg_mtx_hsize                              :13;
    unsigned int reg_mtx_vsize                              :13;
    unsigned int reg_mtx_de_mode_en                         : 1;
    unsigned int reserved                                   : 3;
};
#define disp_top_srp_s_top_b8(val) ((rs_disp_top_srp_s_top_b8*)&(val))



#define DISP_TOP_SRP_S_TOP_BC                                            (HV_SRP_S_TOP_BASE_ADDRESS + 0xBC)

#define DISP_TOP_SRP_S_TOP_BC_struct                                     rs_disp_top_srp_s_top_bc

typedef struct _rs_disp_top_srp_s_top_bc  rs_disp_top_srp_s_top_bc;
struct _rs_disp_top_srp_s_top_bc {
    unsigned int reg_mtx_ct_en_usrmx_ofs_in_r               :14;
    unsigned int reg_mtx_ct_en_usrmx_ofs_in_g               :14;
    unsigned int reserved                                   : 4;
};
#define disp_top_srp_s_top_bc(val) ((rs_disp_top_srp_s_top_bc*)&(val))



#define DISP_TOP_SRP_S_TOP_C0                                            (HV_SRP_S_TOP_BASE_ADDRESS + 0xC0)

#define DISP_TOP_SRP_S_TOP_C0_struct                                     rs_disp_top_srp_s_top_c0

typedef struct _rs_disp_top_srp_s_top_c0  rs_disp_top_srp_s_top_c0;
struct _rs_disp_top_srp_s_top_c0 {
    unsigned int reg_mtx_ct_en_usrmx_ofs_in_b               :14;
    unsigned int reg_mtx_ct_en_usrmx_r_r                    :16;
    unsigned int reserved                                   : 2;
};
#define disp_top_srp_s_top_c0(val) ((rs_disp_top_srp_s_top_c0*)&(val))



#define DISP_TOP_SRP_S_TOP_C4                                            (HV_SRP_S_TOP_BASE_ADDRESS + 0xC4)

#define DISP_TOP_SRP_S_TOP_C4_struct                                     rs_disp_top_srp_s_top_c4

typedef struct _rs_disp_top_srp_s_top_c4  rs_disp_top_srp_s_top_c4;
struct _rs_disp_top_srp_s_top_c4 {
    unsigned int reg_mtx_ct_en_usrmx_g_r                    :16;
    unsigned int reg_mtx_ct_en_usrmx_b_r                    :16;
};
#define disp_top_srp_s_top_c4(val) ((rs_disp_top_srp_s_top_c4*)&(val))



#define DISP_TOP_SRP_S_TOP_C8                                            (HV_SRP_S_TOP_BASE_ADDRESS + 0xC8)

#define DISP_TOP_SRP_S_TOP_C8_struct                                     rs_disp_top_srp_s_top_c8

typedef struct _rs_disp_top_srp_s_top_c8  rs_disp_top_srp_s_top_c8;
struct _rs_disp_top_srp_s_top_c8 {
    unsigned int reg_mtx_ct_en_usrmx_r_g                    :16;
    unsigned int reg_mtx_ct_en_usrmx_g_g                    :16;
};
#define disp_top_srp_s_top_c8(val) ((rs_disp_top_srp_s_top_c8*)&(val))



#define DISP_TOP_SRP_S_TOP_CC                                            (HV_SRP_S_TOP_BASE_ADDRESS + 0xCC)

#define DISP_TOP_SRP_S_TOP_CC_struct                                     rs_disp_top_srp_s_top_cc

typedef struct _rs_disp_top_srp_s_top_cc  rs_disp_top_srp_s_top_cc;
struct _rs_disp_top_srp_s_top_cc {
    unsigned int reg_mtx_ct_en_usrmx_b_g                    :16;
    unsigned int reg_mtx_ct_en_usrmx_r_b                    :16;
};
#define disp_top_srp_s_top_cc(val) ((rs_disp_top_srp_s_top_cc*)&(val))



#define DISP_TOP_SRP_S_TOP_D0                                            (HV_SRP_S_TOP_BASE_ADDRESS + 0xD0)

#define DISP_TOP_SRP_S_TOP_D0_struct                                     rs_disp_top_srp_s_top_d0

typedef struct _rs_disp_top_srp_s_top_d0  rs_disp_top_srp_s_top_d0;
struct _rs_disp_top_srp_s_top_d0 {
    unsigned int reg_mtx_ct_en_usrmx_g_b                    :16;
    unsigned int reg_mtx_ct_en_usrmx_b_b                    :16;
};
#define disp_top_srp_s_top_d0(val) ((rs_disp_top_srp_s_top_d0*)&(val))



#define DISP_TOP_SRP_S_TOP_D4                                            (HV_SRP_S_TOP_BASE_ADDRESS + 0xD4)

#define DISP_TOP_SRP_S_TOP_D4_struct                                     rs_disp_top_srp_s_top_d4

typedef struct _rs_disp_top_srp_s_top_d4  rs_disp_top_srp_s_top_d4;
struct _rs_disp_top_srp_s_top_d4 {
    unsigned int reg_mtx_ct_en_usrmx_ofs_out_r              :14;
    unsigned int reg_mtx_ct_en_usrmx_ofs_out_g              :14;
    unsigned int reserved                                   : 4;
};
#define disp_top_srp_s_top_d4(val) ((rs_disp_top_srp_s_top_d4*)&(val))



#define DISP_TOP_SRP_S_TOP_D8                                            (HV_SRP_S_TOP_BASE_ADDRESS + 0xD8)

#define DISP_TOP_SRP_S_TOP_D8_struct                                     rs_disp_top_srp_s_top_d8

typedef struct _rs_disp_top_srp_s_top_d8  rs_disp_top_srp_s_top_d8;
struct _rs_disp_top_srp_s_top_d8 {
    unsigned int reg_mtx_ct_en_usrmx_ofs_out_b              :14;
    unsigned int reserved                                   :18;
};
#define disp_top_srp_s_top_d8(val) ((rs_disp_top_srp_s_top_d8*)&(val))



#endif