#ifndef _HV_PAGE_HT7315_SUB_LDG_MEM_PAGE1_H_
#define _HV_PAGE_HT7315_SUB_LDG_MEM_PAGE1_H_

#ifndef HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS
    #define HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS                                         0x11028A00
#endif


#define DISP_TOP_SUB_LDG_MEM_PAGE1_00                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0x00)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_00_struct                             rs_disp_top_sub_ldg_mem_page1_00

typedef struct _rs_disp_top_sub_ldg_mem_page1_00  rs_disp_top_sub_ldg_mem_page1_00;
struct _rs_disp_top_sub_ldg_mem_page1_00 {
    unsigned int mem_comm                                   : 8;
    unsigned int mem_reg                                    : 8;
    unsigned int reserved                                   :16;
};
#define disp_top_sub_ldg_mem_page1_00(val) ((rs_disp_top_sub_ldg_mem_page1_00*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_04                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0x04)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_04_struct                             rs_disp_top_sub_ldg_mem_page1_04

typedef struct _rs_disp_top_sub_ldg_mem_page1_04  rs_disp_top_sub_ldg_mem_page1_04;
struct _rs_disp_top_sub_ldg_mem_page1_04 {
    unsigned int mem_ema1                                   :16;
    unsigned int mem_ema2                                   :16;
};
#define disp_top_sub_ldg_mem_page1_04(val) ((rs_disp_top_sub_ldg_mem_page1_04*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_08                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0x08)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_08_struct                             rs_disp_top_sub_ldg_mem_page1_08

typedef struct _rs_disp_top_sub_ldg_mem_page1_08  rs_disp_top_sub_ldg_mem_page1_08;
struct _rs_disp_top_sub_ldg_mem_page1_08 {
    unsigned int mem_ema3                                   :16;
    unsigned int mem_ema4                                   :16;
};
#define disp_top_sub_ldg_mem_page1_08(val) ((rs_disp_top_sub_ldg_mem_page1_08*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_0C                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0x0C)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_0C_struct                             rs_disp_top_sub_ldg_mem_page1_0c

typedef struct _rs_disp_top_sub_ldg_mem_page1_0c  rs_disp_top_sub_ldg_mem_page1_0c;
struct _rs_disp_top_sub_ldg_mem_page1_0c {
    unsigned int mem_ema5                                   :16;
    unsigned int mem_ema6                                   :16;
};
#define disp_top_sub_ldg_mem_page1_0c(val) ((rs_disp_top_sub_ldg_mem_page1_0c*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_10                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0x10)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_10_struct                             rs_disp_top_sub_ldg_mem_page1_10

typedef struct _rs_disp_top_sub_ldg_mem_page1_10  rs_disp_top_sub_ldg_mem_page1_10;
struct _rs_disp_top_sub_ldg_mem_page1_10 {
    unsigned int mem_ema7                                   :16;
    unsigned int mem_ema8                                   :16;
};
#define disp_top_sub_ldg_mem_page1_10(val) ((rs_disp_top_sub_ldg_mem_page1_10*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_14                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0x14)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_14_struct                             rs_disp_top_sub_ldg_mem_page1_14

typedef struct _rs_disp_top_sub_ldg_mem_page1_14  rs_disp_top_sub_ldg_mem_page1_14;
struct _rs_disp_top_sub_ldg_mem_page1_14 {
    unsigned int mem_ema9                                   :16;
    unsigned int mem_ema10                                  :16;
};
#define disp_top_sub_ldg_mem_page1_14(val) ((rs_disp_top_sub_ldg_mem_page1_14*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_18                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0x18)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_18_struct                             rs_disp_top_sub_ldg_mem_page1_18

typedef struct _rs_disp_top_sub_ldg_mem_page1_18  rs_disp_top_sub_ldg_mem_page1_18;
struct _rs_disp_top_sub_ldg_mem_page1_18 {
    unsigned int mem_ema11                                  :16;
    unsigned int mem_ema12                                  :16;
};
#define disp_top_sub_ldg_mem_page1_18(val) ((rs_disp_top_sub_ldg_mem_page1_18*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_1C                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0x1C)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_1C_struct                             rs_disp_top_sub_ldg_mem_page1_1c

typedef struct _rs_disp_top_sub_ldg_mem_page1_1c  rs_disp_top_sub_ldg_mem_page1_1c;
struct _rs_disp_top_sub_ldg_mem_page1_1c {
    unsigned int mem_ema13                                  :16;
    unsigned int mem_ema14                                  :16;
};
#define disp_top_sub_ldg_mem_page1_1c(val) ((rs_disp_top_sub_ldg_mem_page1_1c*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_20                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0x20)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_20_struct                             rs_disp_top_sub_ldg_mem_page1_20

typedef struct _rs_disp_top_sub_ldg_mem_page1_20  rs_disp_top_sub_ldg_mem_page1_20;
struct _rs_disp_top_sub_ldg_mem_page1_20 {
    unsigned int mem_ema15                                  :16;
    unsigned int mem_ema16                                  :16;
};
#define disp_top_sub_ldg_mem_page1_20(val) ((rs_disp_top_sub_ldg_mem_page1_20*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_24                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0x24)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_24_struct                             rs_disp_top_sub_ldg_mem_page1_24

typedef struct _rs_disp_top_sub_ldg_mem_page1_24  rs_disp_top_sub_ldg_mem_page1_24;
struct _rs_disp_top_sub_ldg_mem_page1_24 {
    unsigned int mem_ema17                                  :16;
    unsigned int mem_ema18                                  :16;
};
#define disp_top_sub_ldg_mem_page1_24(val) ((rs_disp_top_sub_ldg_mem_page1_24*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_28                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0x28)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_28_struct                             rs_disp_top_sub_ldg_mem_page1_28

typedef struct _rs_disp_top_sub_ldg_mem_page1_28  rs_disp_top_sub_ldg_mem_page1_28;
struct _rs_disp_top_sub_ldg_mem_page1_28 {
    unsigned int mem_ema19                                  :16;
    unsigned int mem_ema20                                  :16;
};
#define disp_top_sub_ldg_mem_page1_28(val) ((rs_disp_top_sub_ldg_mem_page1_28*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_2C                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0x2C)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_2C_struct                             rs_disp_top_sub_ldg_mem_page1_2c

typedef struct _rs_disp_top_sub_ldg_mem_page1_2c  rs_disp_top_sub_ldg_mem_page1_2c;
struct _rs_disp_top_sub_ldg_mem_page1_2c {
    unsigned int mem_ema21                                  :16;
    unsigned int mem_ema22                                  :16;
};
#define disp_top_sub_ldg_mem_page1_2c(val) ((rs_disp_top_sub_ldg_mem_page1_2c*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_30                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0x30)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_30_struct                             rs_disp_top_sub_ldg_mem_page1_30

typedef struct _rs_disp_top_sub_ldg_mem_page1_30  rs_disp_top_sub_ldg_mem_page1_30;
struct _rs_disp_top_sub_ldg_mem_page1_30 {
    unsigned int mem_ema23                                  :16;
    unsigned int mem_ema24                                  :16;
};
#define disp_top_sub_ldg_mem_page1_30(val) ((rs_disp_top_sub_ldg_mem_page1_30*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_34                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0x34)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_34_struct                             rs_disp_top_sub_ldg_mem_page1_34

typedef struct _rs_disp_top_sub_ldg_mem_page1_34  rs_disp_top_sub_ldg_mem_page1_34;
struct _rs_disp_top_sub_ldg_mem_page1_34 {
    unsigned int mem_ema25                                  :16;
    unsigned int mem_ema26                                  :16;
};
#define disp_top_sub_ldg_mem_page1_34(val) ((rs_disp_top_sub_ldg_mem_page1_34*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_38                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0x38)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_38_struct                             rs_disp_top_sub_ldg_mem_page1_38

typedef struct _rs_disp_top_sub_ldg_mem_page1_38  rs_disp_top_sub_ldg_mem_page1_38;
struct _rs_disp_top_sub_ldg_mem_page1_38 {
    unsigned int mem_ema27                                  :16;
    unsigned int mem_ema28                                  :16;
};
#define disp_top_sub_ldg_mem_page1_38(val) ((rs_disp_top_sub_ldg_mem_page1_38*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_3C                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0x3C)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_3C_struct                             rs_disp_top_sub_ldg_mem_page1_3c

typedef struct _rs_disp_top_sub_ldg_mem_page1_3c  rs_disp_top_sub_ldg_mem_page1_3c;
struct _rs_disp_top_sub_ldg_mem_page1_3c {
    unsigned int mem_ema29                                  :16;
    unsigned int mem_ema30                                  :16;
};
#define disp_top_sub_ldg_mem_page1_3c(val) ((rs_disp_top_sub_ldg_mem_page1_3c*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_40                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0x40)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_40_struct                             rs_disp_top_sub_ldg_mem_page1_40

typedef struct _rs_disp_top_sub_ldg_mem_page1_40  rs_disp_top_sub_ldg_mem_page1_40;
struct _rs_disp_top_sub_ldg_mem_page1_40 {
    unsigned int mem_ema31                                  :16;
    unsigned int mem_ema32                                  :16;
};
#define disp_top_sub_ldg_mem_page1_40(val) ((rs_disp_top_sub_ldg_mem_page1_40*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_44                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0x44)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_44_struct                             rs_disp_top_sub_ldg_mem_page1_44

typedef struct _rs_disp_top_sub_ldg_mem_page1_44  rs_disp_top_sub_ldg_mem_page1_44;
struct _rs_disp_top_sub_ldg_mem_page1_44 {
    unsigned int mem_ema33                                  :16;
    unsigned int mem_ema34                                  :16;
};
#define disp_top_sub_ldg_mem_page1_44(val) ((rs_disp_top_sub_ldg_mem_page1_44*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_48                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0x48)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_48_struct                             rs_disp_top_sub_ldg_mem_page1_48

typedef struct _rs_disp_top_sub_ldg_mem_page1_48  rs_disp_top_sub_ldg_mem_page1_48;
struct _rs_disp_top_sub_ldg_mem_page1_48 {
    unsigned int mem_ema35                                  :16;
    unsigned int mem_ema36                                  :16;
};
#define disp_top_sub_ldg_mem_page1_48(val) ((rs_disp_top_sub_ldg_mem_page1_48*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_4C                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0x4C)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_4C_struct                             rs_disp_top_sub_ldg_mem_page1_4c

typedef struct _rs_disp_top_sub_ldg_mem_page1_4c  rs_disp_top_sub_ldg_mem_page1_4c;
struct _rs_disp_top_sub_ldg_mem_page1_4c {
    unsigned int mem_ema37                                  :16;
    unsigned int mem_ema38                                  :16;
};
#define disp_top_sub_ldg_mem_page1_4c(val) ((rs_disp_top_sub_ldg_mem_page1_4c*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_50                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0x50)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_50_struct                             rs_disp_top_sub_ldg_mem_page1_50

typedef struct _rs_disp_top_sub_ldg_mem_page1_50  rs_disp_top_sub_ldg_mem_page1_50;
struct _rs_disp_top_sub_ldg_mem_page1_50 {
    unsigned int mem_ema39                                  :16;
    unsigned int mem_ema40                                  :16;
};
#define disp_top_sub_ldg_mem_page1_50(val) ((rs_disp_top_sub_ldg_mem_page1_50*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_54                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0x54)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_54_struct                             rs_disp_top_sub_ldg_mem_page1_54

typedef struct _rs_disp_top_sub_ldg_mem_page1_54  rs_disp_top_sub_ldg_mem_page1_54;
struct _rs_disp_top_sub_ldg_mem_page1_54 {
    unsigned int mem_ema41                                  :16;
    unsigned int mem_ema42                                  :16;
};
#define disp_top_sub_ldg_mem_page1_54(val) ((rs_disp_top_sub_ldg_mem_page1_54*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_58                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0x58)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_58_struct                             rs_disp_top_sub_ldg_mem_page1_58

typedef struct _rs_disp_top_sub_ldg_mem_page1_58  rs_disp_top_sub_ldg_mem_page1_58;
struct _rs_disp_top_sub_ldg_mem_page1_58 {
    unsigned int mem_ema43                                  :16;
    unsigned int mem_ema44                                  :16;
};
#define disp_top_sub_ldg_mem_page1_58(val) ((rs_disp_top_sub_ldg_mem_page1_58*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_5C                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0x5C)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_5C_struct                             rs_disp_top_sub_ldg_mem_page1_5c

typedef struct _rs_disp_top_sub_ldg_mem_page1_5c  rs_disp_top_sub_ldg_mem_page1_5c;
struct _rs_disp_top_sub_ldg_mem_page1_5c {
    unsigned int mem_ema45                                  :16;
    unsigned int mem_ema46                                  :16;
};
#define disp_top_sub_ldg_mem_page1_5c(val) ((rs_disp_top_sub_ldg_mem_page1_5c*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_60                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0x60)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_60_struct                             rs_disp_top_sub_ldg_mem_page1_60

typedef struct _rs_disp_top_sub_ldg_mem_page1_60  rs_disp_top_sub_ldg_mem_page1_60;
struct _rs_disp_top_sub_ldg_mem_page1_60 {
    unsigned int mem_ema47                                  :16;
    unsigned int mem_ema48                                  :16;
};
#define disp_top_sub_ldg_mem_page1_60(val) ((rs_disp_top_sub_ldg_mem_page1_60*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_64                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0x64)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_64_struct                             rs_disp_top_sub_ldg_mem_page1_64

typedef struct _rs_disp_top_sub_ldg_mem_page1_64  rs_disp_top_sub_ldg_mem_page1_64;
struct _rs_disp_top_sub_ldg_mem_page1_64 {
    unsigned int mem_ema49                                  :16;
    unsigned int mem_ema50                                  :16;
};
#define disp_top_sub_ldg_mem_page1_64(val) ((rs_disp_top_sub_ldg_mem_page1_64*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_68                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0x68)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_68_struct                             rs_disp_top_sub_ldg_mem_page1_68

typedef struct _rs_disp_top_sub_ldg_mem_page1_68  rs_disp_top_sub_ldg_mem_page1_68;
struct _rs_disp_top_sub_ldg_mem_page1_68 {
    unsigned int mem_ema51                                  :16;
    unsigned int mem_ema52                                  :16;
};
#define disp_top_sub_ldg_mem_page1_68(val) ((rs_disp_top_sub_ldg_mem_page1_68*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_6C                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0x6C)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_6C_struct                             rs_disp_top_sub_ldg_mem_page1_6c

typedef struct _rs_disp_top_sub_ldg_mem_page1_6c  rs_disp_top_sub_ldg_mem_page1_6c;
struct _rs_disp_top_sub_ldg_mem_page1_6c {
    unsigned int mem_ema53                                  :16;
    unsigned int mem_ema54                                  :16;
};
#define disp_top_sub_ldg_mem_page1_6c(val) ((rs_disp_top_sub_ldg_mem_page1_6c*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_70                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0x70)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_70_struct                             rs_disp_top_sub_ldg_mem_page1_70

typedef struct _rs_disp_top_sub_ldg_mem_page1_70  rs_disp_top_sub_ldg_mem_page1_70;
struct _rs_disp_top_sub_ldg_mem_page1_70 {
    unsigned int mem_ema55                                  :16;
    unsigned int mem_ema56                                  :16;
};
#define disp_top_sub_ldg_mem_page1_70(val) ((rs_disp_top_sub_ldg_mem_page1_70*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_74                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0x74)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_74_struct                             rs_disp_top_sub_ldg_mem_page1_74

typedef struct _rs_disp_top_sub_ldg_mem_page1_74  rs_disp_top_sub_ldg_mem_page1_74;
struct _rs_disp_top_sub_ldg_mem_page1_74 {
    unsigned int mem_ema57                                  :16;
    unsigned int mem_ema58                                  :16;
};
#define disp_top_sub_ldg_mem_page1_74(val) ((rs_disp_top_sub_ldg_mem_page1_74*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_78                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0x78)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_78_struct                             rs_disp_top_sub_ldg_mem_page1_78

typedef struct _rs_disp_top_sub_ldg_mem_page1_78  rs_disp_top_sub_ldg_mem_page1_78;
struct _rs_disp_top_sub_ldg_mem_page1_78 {
    unsigned int mem_ema59                                  :16;
    unsigned int mem_ema60                                  :16;
};
#define disp_top_sub_ldg_mem_page1_78(val) ((rs_disp_top_sub_ldg_mem_page1_78*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_7C                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0x7C)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_7C_struct                             rs_disp_top_sub_ldg_mem_page1_7c

typedef struct _rs_disp_top_sub_ldg_mem_page1_7c  rs_disp_top_sub_ldg_mem_page1_7c;
struct _rs_disp_top_sub_ldg_mem_page1_7c {
    unsigned int mem_ema61                                  :16;
    unsigned int mem_ema62                                  :16;
};
#define disp_top_sub_ldg_mem_page1_7c(val) ((rs_disp_top_sub_ldg_mem_page1_7c*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_80                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0x80)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_80_struct                             rs_disp_top_sub_ldg_mem_page1_80

typedef struct _rs_disp_top_sub_ldg_mem_page1_80  rs_disp_top_sub_ldg_mem_page1_80;
struct _rs_disp_top_sub_ldg_mem_page1_80 {
    unsigned int mem_ema63                                  :16;
    unsigned int mem_ema64                                  :16;
};
#define disp_top_sub_ldg_mem_page1_80(val) ((rs_disp_top_sub_ldg_mem_page1_80*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_84                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0x84)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_84_struct                             rs_disp_top_sub_ldg_mem_page1_84

typedef struct _rs_disp_top_sub_ldg_mem_page1_84  rs_disp_top_sub_ldg_mem_page1_84;
struct _rs_disp_top_sub_ldg_mem_page1_84 {
    unsigned int mem_ema65                                  :16;
    unsigned int mem_ema66                                  :16;
};
#define disp_top_sub_ldg_mem_page1_84(val) ((rs_disp_top_sub_ldg_mem_page1_84*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_88                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0x88)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_88_struct                             rs_disp_top_sub_ldg_mem_page1_88

typedef struct _rs_disp_top_sub_ldg_mem_page1_88  rs_disp_top_sub_ldg_mem_page1_88;
struct _rs_disp_top_sub_ldg_mem_page1_88 {
    unsigned int mem_ema67                                  :16;
    unsigned int mem_ema68                                  :16;
};
#define disp_top_sub_ldg_mem_page1_88(val) ((rs_disp_top_sub_ldg_mem_page1_88*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_8C                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0x8C)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_8C_struct                             rs_disp_top_sub_ldg_mem_page1_8c

typedef struct _rs_disp_top_sub_ldg_mem_page1_8c  rs_disp_top_sub_ldg_mem_page1_8c;
struct _rs_disp_top_sub_ldg_mem_page1_8c {
    unsigned int mem_ema69                                  :16;
    unsigned int mem_ema70                                  :16;
};
#define disp_top_sub_ldg_mem_page1_8c(val) ((rs_disp_top_sub_ldg_mem_page1_8c*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_90                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0x90)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_90_struct                             rs_disp_top_sub_ldg_mem_page1_90

typedef struct _rs_disp_top_sub_ldg_mem_page1_90  rs_disp_top_sub_ldg_mem_page1_90;
struct _rs_disp_top_sub_ldg_mem_page1_90 {
    unsigned int mem_ema71                                  :16;
    unsigned int mem_ema72                                  :16;
};
#define disp_top_sub_ldg_mem_page1_90(val) ((rs_disp_top_sub_ldg_mem_page1_90*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_94                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0x94)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_94_struct                             rs_disp_top_sub_ldg_mem_page1_94

typedef struct _rs_disp_top_sub_ldg_mem_page1_94  rs_disp_top_sub_ldg_mem_page1_94;
struct _rs_disp_top_sub_ldg_mem_page1_94 {
    unsigned int mem_ema73                                  :16;
    unsigned int mem_ema74                                  :16;
};
#define disp_top_sub_ldg_mem_page1_94(val) ((rs_disp_top_sub_ldg_mem_page1_94*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_98                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0x98)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_98_struct                             rs_disp_top_sub_ldg_mem_page1_98

typedef struct _rs_disp_top_sub_ldg_mem_page1_98  rs_disp_top_sub_ldg_mem_page1_98;
struct _rs_disp_top_sub_ldg_mem_page1_98 {
    unsigned int mem_ema75                                  :16;
    unsigned int mem_ema76                                  :16;
};
#define disp_top_sub_ldg_mem_page1_98(val) ((rs_disp_top_sub_ldg_mem_page1_98*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_9C                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0x9C)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_9C_struct                             rs_disp_top_sub_ldg_mem_page1_9c

typedef struct _rs_disp_top_sub_ldg_mem_page1_9c  rs_disp_top_sub_ldg_mem_page1_9c;
struct _rs_disp_top_sub_ldg_mem_page1_9c {
    unsigned int mem_ema77                                  :16;
    unsigned int mem_ema78                                  :16;
};
#define disp_top_sub_ldg_mem_page1_9c(val) ((rs_disp_top_sub_ldg_mem_page1_9c*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_A0                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0xA0)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_A0_struct                             rs_disp_top_sub_ldg_mem_page1_a0

typedef struct _rs_disp_top_sub_ldg_mem_page1_a0  rs_disp_top_sub_ldg_mem_page1_a0;
struct _rs_disp_top_sub_ldg_mem_page1_a0 {
    unsigned int mem_ema79                                  :16;
    unsigned int mem_ema80                                  :16;
};
#define disp_top_sub_ldg_mem_page1_a0(val) ((rs_disp_top_sub_ldg_mem_page1_a0*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_A4                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0xA4)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_A4_struct                             rs_disp_top_sub_ldg_mem_page1_a4

typedef struct _rs_disp_top_sub_ldg_mem_page1_a4  rs_disp_top_sub_ldg_mem_page1_a4;
struct _rs_disp_top_sub_ldg_mem_page1_a4 {
    unsigned int mem_ema81                                  :16;
    unsigned int mem_ema82                                  :16;
};
#define disp_top_sub_ldg_mem_page1_a4(val) ((rs_disp_top_sub_ldg_mem_page1_a4*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_A8                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0xA8)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_A8_struct                             rs_disp_top_sub_ldg_mem_page1_a8

typedef struct _rs_disp_top_sub_ldg_mem_page1_a8  rs_disp_top_sub_ldg_mem_page1_a8;
struct _rs_disp_top_sub_ldg_mem_page1_a8 {
    unsigned int mem_ema83                                  :16;
    unsigned int mem_ema84                                  :16;
};
#define disp_top_sub_ldg_mem_page1_a8(val) ((rs_disp_top_sub_ldg_mem_page1_a8*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_AC                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0xAC)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_AC_struct                             rs_disp_top_sub_ldg_mem_page1_ac

typedef struct _rs_disp_top_sub_ldg_mem_page1_ac  rs_disp_top_sub_ldg_mem_page1_ac;
struct _rs_disp_top_sub_ldg_mem_page1_ac {
    unsigned int mem_ema85                                  :16;
    unsigned int mem_ema86                                  :16;
};
#define disp_top_sub_ldg_mem_page1_ac(val) ((rs_disp_top_sub_ldg_mem_page1_ac*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_B0                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0xB0)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_B0_struct                             rs_disp_top_sub_ldg_mem_page1_b0

typedef struct _rs_disp_top_sub_ldg_mem_page1_b0  rs_disp_top_sub_ldg_mem_page1_b0;
struct _rs_disp_top_sub_ldg_mem_page1_b0 {
    unsigned int mem_ema87                                  :16;
    unsigned int mem_ema88                                  :16;
};
#define disp_top_sub_ldg_mem_page1_b0(val) ((rs_disp_top_sub_ldg_mem_page1_b0*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_B4                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0xB4)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_B4_struct                             rs_disp_top_sub_ldg_mem_page1_b4

typedef struct _rs_disp_top_sub_ldg_mem_page1_b4  rs_disp_top_sub_ldg_mem_page1_b4;
struct _rs_disp_top_sub_ldg_mem_page1_b4 {
    unsigned int mem_ema89                                  :16;
    unsigned int mem_ema90                                  :16;
};
#define disp_top_sub_ldg_mem_page1_b4(val) ((rs_disp_top_sub_ldg_mem_page1_b4*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_B8                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0xB8)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_B8_struct                             rs_disp_top_sub_ldg_mem_page1_b8

typedef struct _rs_disp_top_sub_ldg_mem_page1_b8  rs_disp_top_sub_ldg_mem_page1_b8;
struct _rs_disp_top_sub_ldg_mem_page1_b8 {
    unsigned int mem_ema91                                  :16;
    unsigned int mem_ema92                                  :16;
};
#define disp_top_sub_ldg_mem_page1_b8(val) ((rs_disp_top_sub_ldg_mem_page1_b8*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_BC                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0xBC)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_BC_struct                             rs_disp_top_sub_ldg_mem_page1_bc

typedef struct _rs_disp_top_sub_ldg_mem_page1_bc  rs_disp_top_sub_ldg_mem_page1_bc;
struct _rs_disp_top_sub_ldg_mem_page1_bc {
    unsigned int mem_ema93                                  :16;
    unsigned int mem_ema94                                  :16;
};
#define disp_top_sub_ldg_mem_page1_bc(val) ((rs_disp_top_sub_ldg_mem_page1_bc*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_C0                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0xC0)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_C0_struct                             rs_disp_top_sub_ldg_mem_page1_c0

typedef struct _rs_disp_top_sub_ldg_mem_page1_c0  rs_disp_top_sub_ldg_mem_page1_c0;
struct _rs_disp_top_sub_ldg_mem_page1_c0 {
    unsigned int mem_ema95                                  :16;
    unsigned int mem_ema96                                  :16;
};
#define disp_top_sub_ldg_mem_page1_c0(val) ((rs_disp_top_sub_ldg_mem_page1_c0*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_C4                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0xC4)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_C4_struct                             rs_disp_top_sub_ldg_mem_page1_c4

typedef struct _rs_disp_top_sub_ldg_mem_page1_c4  rs_disp_top_sub_ldg_mem_page1_c4;
struct _rs_disp_top_sub_ldg_mem_page1_c4 {
    unsigned int mem_ema97                                  :16;
    unsigned int mem_ema98                                  :16;
};
#define disp_top_sub_ldg_mem_page1_c4(val) ((rs_disp_top_sub_ldg_mem_page1_c4*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_C8                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0xC8)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_C8_struct                             rs_disp_top_sub_ldg_mem_page1_c8

typedef struct _rs_disp_top_sub_ldg_mem_page1_c8  rs_disp_top_sub_ldg_mem_page1_c8;
struct _rs_disp_top_sub_ldg_mem_page1_c8 {
    unsigned int mem_ema99                                  :16;
    unsigned int mem_ema100                                 :16;
};
#define disp_top_sub_ldg_mem_page1_c8(val) ((rs_disp_top_sub_ldg_mem_page1_c8*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_CC                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0xCC)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_CC_struct                             rs_disp_top_sub_ldg_mem_page1_cc

typedef struct _rs_disp_top_sub_ldg_mem_page1_cc  rs_disp_top_sub_ldg_mem_page1_cc;
struct _rs_disp_top_sub_ldg_mem_page1_cc {
    unsigned int mem_ema101                                 :16;
    unsigned int mem_ema102                                 :16;
};
#define disp_top_sub_ldg_mem_page1_cc(val) ((rs_disp_top_sub_ldg_mem_page1_cc*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_D0                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0xD0)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_D0_struct                             rs_disp_top_sub_ldg_mem_page1_d0

typedef struct _rs_disp_top_sub_ldg_mem_page1_d0  rs_disp_top_sub_ldg_mem_page1_d0;
struct _rs_disp_top_sub_ldg_mem_page1_d0 {
    unsigned int mem_ema103                                 :16;
    unsigned int mem_ema104                                 :16;
};
#define disp_top_sub_ldg_mem_page1_d0(val) ((rs_disp_top_sub_ldg_mem_page1_d0*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_D4                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0xD4)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_D4_struct                             rs_disp_top_sub_ldg_mem_page1_d4

typedef struct _rs_disp_top_sub_ldg_mem_page1_d4  rs_disp_top_sub_ldg_mem_page1_d4;
struct _rs_disp_top_sub_ldg_mem_page1_d4 {
    unsigned int mem_ema105                                 :16;
    unsigned int mem_ema106                                 :16;
};
#define disp_top_sub_ldg_mem_page1_d4(val) ((rs_disp_top_sub_ldg_mem_page1_d4*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_D8                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0xD8)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_D8_struct                             rs_disp_top_sub_ldg_mem_page1_d8

typedef struct _rs_disp_top_sub_ldg_mem_page1_d8  rs_disp_top_sub_ldg_mem_page1_d8;
struct _rs_disp_top_sub_ldg_mem_page1_d8 {
    unsigned int mem_ema107                                 :16;
    unsigned int mem_ema108                                 :16;
};
#define disp_top_sub_ldg_mem_page1_d8(val) ((rs_disp_top_sub_ldg_mem_page1_d8*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_DC                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0xDC)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_DC_struct                             rs_disp_top_sub_ldg_mem_page1_dc

typedef struct _rs_disp_top_sub_ldg_mem_page1_dc  rs_disp_top_sub_ldg_mem_page1_dc;
struct _rs_disp_top_sub_ldg_mem_page1_dc {
    unsigned int mem_ema109                                 :16;
    unsigned int mem_ema110                                 :16;
};
#define disp_top_sub_ldg_mem_page1_dc(val) ((rs_disp_top_sub_ldg_mem_page1_dc*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_E0                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0xE0)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_E0_struct                             rs_disp_top_sub_ldg_mem_page1_e0

typedef struct _rs_disp_top_sub_ldg_mem_page1_e0  rs_disp_top_sub_ldg_mem_page1_e0;
struct _rs_disp_top_sub_ldg_mem_page1_e0 {
    unsigned int mem_ema111                                 :16;
    unsigned int mem_ema112                                 :16;
};
#define disp_top_sub_ldg_mem_page1_e0(val) ((rs_disp_top_sub_ldg_mem_page1_e0*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_E4                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0xE4)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_E4_struct                             rs_disp_top_sub_ldg_mem_page1_e4

typedef struct _rs_disp_top_sub_ldg_mem_page1_e4  rs_disp_top_sub_ldg_mem_page1_e4;
struct _rs_disp_top_sub_ldg_mem_page1_e4 {
    unsigned int mem_ema113                                 :16;
    unsigned int mem_ema114                                 :16;
};
#define disp_top_sub_ldg_mem_page1_e4(val) ((rs_disp_top_sub_ldg_mem_page1_e4*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_E8                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0xE8)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_E8_struct                             rs_disp_top_sub_ldg_mem_page1_e8

typedef struct _rs_disp_top_sub_ldg_mem_page1_e8  rs_disp_top_sub_ldg_mem_page1_e8;
struct _rs_disp_top_sub_ldg_mem_page1_e8 {
    unsigned int mem_ema115                                 :16;
    unsigned int mem_ema116                                 :16;
};
#define disp_top_sub_ldg_mem_page1_e8(val) ((rs_disp_top_sub_ldg_mem_page1_e8*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_EC                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0xEC)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_EC_struct                             rs_disp_top_sub_ldg_mem_page1_ec

typedef struct _rs_disp_top_sub_ldg_mem_page1_ec  rs_disp_top_sub_ldg_mem_page1_ec;
struct _rs_disp_top_sub_ldg_mem_page1_ec {
    unsigned int mem_ema117                                 :16;
    unsigned int mem_ema118                                 :16;
};
#define disp_top_sub_ldg_mem_page1_ec(val) ((rs_disp_top_sub_ldg_mem_page1_ec*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_F0                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0xF0)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_F0_struct                             rs_disp_top_sub_ldg_mem_page1_f0

typedef struct _rs_disp_top_sub_ldg_mem_page1_f0  rs_disp_top_sub_ldg_mem_page1_f0;
struct _rs_disp_top_sub_ldg_mem_page1_f0 {
    unsigned int mem_ema119                                 :16;
    unsigned int mem_ema120                                 :16;
};
#define disp_top_sub_ldg_mem_page1_f0(val) ((rs_disp_top_sub_ldg_mem_page1_f0*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_F4                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0xF4)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_F4_struct                             rs_disp_top_sub_ldg_mem_page1_f4

typedef struct _rs_disp_top_sub_ldg_mem_page1_f4  rs_disp_top_sub_ldg_mem_page1_f4;
struct _rs_disp_top_sub_ldg_mem_page1_f4 {
    unsigned int mem_ema121                                 :16;
    unsigned int mem_ema122                                 :16;
};
#define disp_top_sub_ldg_mem_page1_f4(val) ((rs_disp_top_sub_ldg_mem_page1_f4*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_F8                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0xF8)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_F8_struct                             rs_disp_top_sub_ldg_mem_page1_f8

typedef struct _rs_disp_top_sub_ldg_mem_page1_f8  rs_disp_top_sub_ldg_mem_page1_f8;
struct _rs_disp_top_sub_ldg_mem_page1_f8 {
    unsigned int mem_ema123                                 :16;
    unsigned int mem_ema124                                 :16;
};
#define disp_top_sub_ldg_mem_page1_f8(val) ((rs_disp_top_sub_ldg_mem_page1_f8*)&(val))



#define DISP_TOP_SUB_LDG_MEM_PAGE1_FC                                    (HV_SUB_LDG_MEM_PAGE1_BASE_ADDRESS + 0xFC)

#define DISP_TOP_SUB_LDG_MEM_PAGE1_FC_struct                             rs_disp_top_sub_ldg_mem_page1_fc

typedef struct _rs_disp_top_sub_ldg_mem_page1_fc  rs_disp_top_sub_ldg_mem_page1_fc;
struct _rs_disp_top_sub_ldg_mem_page1_fc {
    unsigned int mem_ema125                                 :16;
    unsigned int mem_ema126                                 :16;
};
#define disp_top_sub_ldg_mem_page1_fc(val) ((rs_disp_top_sub_ldg_mem_page1_fc*)&(val))



#endif