#ifndef _HV_PAGE_HT7315_SUB_OSD_TOP_H_
#define _HV_PAGE_HT7315_SUB_OSD_TOP_H_

#ifndef HV_SUB_OSD_TOP_BASE_ADDRESS
    #define HV_SUB_OSD_TOP_BASE_ADDRESS                                         0x11029B00
#endif


#define DISP_TOP_SUB_OSD_TOP_00                                          (HV_SUB_OSD_TOP_BASE_ADDRESS + 0x00)

#define DISP_TOP_SUB_OSD_TOP_00_struct                                   rs_disp_top_sub_osd_top_00

typedef struct _rs_disp_top_sub_osd_top_00  rs_disp_top_sub_osd_top_00;
struct _rs_disp_top_sub_osd_top_00 {
    unsigned int reg_osd_wcg_bypass                         : 1;
    unsigned int reg_gmi_enable                             : 1;
    unsigned int reg_gmi_lut_en                             : 1;
    unsigned int reg_gmi_id                                 : 4;
    unsigned int reserved                                   :25;
};
#define disp_top_sub_osd_top_00(val) ((rs_disp_top_sub_osd_top_00*)&(val))



#define DISP_TOP_SUB_OSD_TOP_04                                          (HV_SUB_OSD_TOP_BASE_ADDRESS + 0x04)

#define DISP_TOP_SUB_OSD_TOP_04_struct                                   rs_disp_top_sub_osd_top_04

typedef struct _rs_disp_top_sub_osd_top_04  rs_disp_top_sub_osd_top_04;
struct _rs_disp_top_sub_osd_top_04 {
    unsigned int reg_mtx_enable                             : 1;
    unsigned int reserved                                   :31;
};
#define disp_top_sub_osd_top_04(val) ((rs_disp_top_sub_osd_top_04*)&(val))



#define DISP_TOP_SUB_OSD_TOP_08                                          (HV_SUB_OSD_TOP_BASE_ADDRESS + 0x08)

#define DISP_TOP_SUB_OSD_TOP_08_struct                                   rs_disp_top_sub_osd_top_08

typedef struct _rs_disp_top_sub_osd_top_08  rs_disp_top_sub_osd_top_08;
struct _rs_disp_top_sub_osd_top_08 {
    unsigned int ct_pq_ofs_in_r                             :17;
    unsigned int reserved                                   :15;
};
#define disp_top_sub_osd_top_08(val) ((rs_disp_top_sub_osd_top_08*)&(val))



#define DISP_TOP_SUB_OSD_TOP_0C                                          (HV_SUB_OSD_TOP_BASE_ADDRESS + 0x0C)

#define DISP_TOP_SUB_OSD_TOP_0C_struct                                   rs_disp_top_sub_osd_top_0c

typedef struct _rs_disp_top_sub_osd_top_0c  rs_disp_top_sub_osd_top_0c;
struct _rs_disp_top_sub_osd_top_0c {
    unsigned int ct_pq_ofs_in_g                             :17;
    unsigned int reserved                                   :15;
};
#define disp_top_sub_osd_top_0c(val) ((rs_disp_top_sub_osd_top_0c*)&(val))



#define DISP_TOP_SUB_OSD_TOP_10                                          (HV_SUB_OSD_TOP_BASE_ADDRESS + 0x10)

#define DISP_TOP_SUB_OSD_TOP_10_struct                                   rs_disp_top_sub_osd_top_10

typedef struct _rs_disp_top_sub_osd_top_10  rs_disp_top_sub_osd_top_10;
struct _rs_disp_top_sub_osd_top_10 {
    unsigned int ct_pq_ofs_in_b                             :17;
    unsigned int reserved                                   :15;
};
#define disp_top_sub_osd_top_10(val) ((rs_disp_top_sub_osd_top_10*)&(val))



#define DISP_TOP_SUB_OSD_TOP_14                                          (HV_SUB_OSD_TOP_BASE_ADDRESS + 0x14)

#define DISP_TOP_SUB_OSD_TOP_14_struct                                   rs_disp_top_sub_osd_top_14

typedef struct _rs_disp_top_sub_osd_top_14  rs_disp_top_sub_osd_top_14;
struct _rs_disp_top_sub_osd_top_14 {
    unsigned int ct_pq_r_g_coef                             :16;
    unsigned int ct_pq_r_r_coef                             :16;
};
#define disp_top_sub_osd_top_14(val) ((rs_disp_top_sub_osd_top_14*)&(val))



#define DISP_TOP_SUB_OSD_TOP_18                                          (HV_SUB_OSD_TOP_BASE_ADDRESS + 0x18)

#define DISP_TOP_SUB_OSD_TOP_18_struct                                   rs_disp_top_sub_osd_top_18

typedef struct _rs_disp_top_sub_osd_top_18  rs_disp_top_sub_osd_top_18;
struct _rs_disp_top_sub_osd_top_18 {
    unsigned int ct_pq_g_r_coef                             :16;
    unsigned int ct_pq_r_b_coef                             :16;
};
#define disp_top_sub_osd_top_18(val) ((rs_disp_top_sub_osd_top_18*)&(val))



#define DISP_TOP_SUB_OSD_TOP_1C                                          (HV_SUB_OSD_TOP_BASE_ADDRESS + 0x1C)

#define DISP_TOP_SUB_OSD_TOP_1C_struct                                   rs_disp_top_sub_osd_top_1c

typedef struct _rs_disp_top_sub_osd_top_1c  rs_disp_top_sub_osd_top_1c;
struct _rs_disp_top_sub_osd_top_1c {
    unsigned int ct_pq_g_b_coef                             :16;
    unsigned int ct_pq_g_g_coef                             :16;
};
#define disp_top_sub_osd_top_1c(val) ((rs_disp_top_sub_osd_top_1c*)&(val))



#define DISP_TOP_SUB_OSD_TOP_20                                          (HV_SUB_OSD_TOP_BASE_ADDRESS + 0x20)

#define DISP_TOP_SUB_OSD_TOP_20_struct                                   rs_disp_top_sub_osd_top_20

typedef struct _rs_disp_top_sub_osd_top_20  rs_disp_top_sub_osd_top_20;
struct _rs_disp_top_sub_osd_top_20 {
    unsigned int ct_pq_b_g_coef                             :16;
    unsigned int ct_pq_b_r_coef                             :16;
};
#define disp_top_sub_osd_top_20(val) ((rs_disp_top_sub_osd_top_20*)&(val))



#define DISP_TOP_SUB_OSD_TOP_24                                          (HV_SUB_OSD_TOP_BASE_ADDRESS + 0x24)

#define DISP_TOP_SUB_OSD_TOP_24_struct                                   rs_disp_top_sub_osd_top_24

typedef struct _rs_disp_top_sub_osd_top_24  rs_disp_top_sub_osd_top_24;
struct _rs_disp_top_sub_osd_top_24 {
    unsigned int reserved                                   :16;
    unsigned int ct_pq_b_b_coef                             :16;
};
#define disp_top_sub_osd_top_24(val) ((rs_disp_top_sub_osd_top_24*)&(val))



#define DISP_TOP_SUB_OSD_TOP_28                                          (HV_SUB_OSD_TOP_BASE_ADDRESS + 0x28)

#define DISP_TOP_SUB_OSD_TOP_28_struct                                   rs_disp_top_sub_osd_top_28

typedef struct _rs_disp_top_sub_osd_top_28  rs_disp_top_sub_osd_top_28;
struct _rs_disp_top_sub_osd_top_28 {
    unsigned int ct_pq_ofs_out_r                            :17;
    unsigned int reserved                                   :15;
};
#define disp_top_sub_osd_top_28(val) ((rs_disp_top_sub_osd_top_28*)&(val))



#define DISP_TOP_SUB_OSD_TOP_2C                                          (HV_SUB_OSD_TOP_BASE_ADDRESS + 0x2C)

#define DISP_TOP_SUB_OSD_TOP_2C_struct                                   rs_disp_top_sub_osd_top_2c

typedef struct _rs_disp_top_sub_osd_top_2c  rs_disp_top_sub_osd_top_2c;
struct _rs_disp_top_sub_osd_top_2c {
    unsigned int ct_pq_ofs_out_g                            :17;
    unsigned int reserved                                   :15;
};
#define disp_top_sub_osd_top_2c(val) ((rs_disp_top_sub_osd_top_2c*)&(val))



#define DISP_TOP_SUB_OSD_TOP_30                                          (HV_SUB_OSD_TOP_BASE_ADDRESS + 0x30)

#define DISP_TOP_SUB_OSD_TOP_30_struct                                   rs_disp_top_sub_osd_top_30

typedef struct _rs_disp_top_sub_osd_top_30  rs_disp_top_sub_osd_top_30;
struct _rs_disp_top_sub_osd_top_30 {
    unsigned int ct_pq_ofs_out_b                            :17;
    unsigned int reserved                                   :15;
};
#define disp_top_sub_osd_top_30(val) ((rs_disp_top_sub_osd_top_30*)&(val))



#define DISP_TOP_SUB_OSD_TOP_34                                          (HV_SUB_OSD_TOP_BASE_ADDRESS + 0x34)

#define DISP_TOP_SUB_OSD_TOP_34_struct                                   rs_disp_top_sub_osd_top_34

typedef struct _rs_disp_top_sub_osd_top_34  rs_disp_top_sub_osd_top_34;
struct _rs_disp_top_sub_osd_top_34 {
    unsigned int reg_gmd_enable                             : 1;
    unsigned int reg_gmd_lut_en                             : 1;
    unsigned int reg_gmd_id                                 : 4;
    unsigned int reserved                                   :26;
};
#define disp_top_sub_osd_top_34(val) ((rs_disp_top_sub_osd_top_34*)&(val))



#define DISP_TOP_SUB_OSD_TOP_38                                          (HV_SUB_OSD_TOP_BASE_ADDRESS + 0x38)

#define DISP_TOP_SUB_OSD_TOP_38_struct                                   rs_disp_top_sub_osd_top_38

typedef struct _rs_disp_top_sub_osd_top_38  rs_disp_top_sub_osd_top_38;
struct _rs_disp_top_sub_osd_top_38 {
    unsigned int reg_cursor_en                              : 1;
    unsigned int reg_cursor_3d                              : 1;
    unsigned int reg_cursor_lr                              : 1;
    unsigned int wcg_in_smple_en                            : 1;
    unsigned int wcg_gmi_smple_en                           : 1;
    unsigned int wcg_mtx_smple_en                           : 1;
    unsigned int wcg_gmd_smple_en                           : 1;
    unsigned int reserved                                   :25;
};
#define disp_top_sub_osd_top_38(val) ((rs_disp_top_sub_osd_top_38*)&(val))



#define DISP_TOP_SUB_OSD_TOP_3C                                          (HV_SUB_OSD_TOP_BASE_ADDRESS + 0x3C)

#define DISP_TOP_SUB_OSD_TOP_3C_struct                                   rs_disp_top_sub_osd_top_3c

typedef struct _rs_disp_top_sub_osd_top_3c  rs_disp_top_sub_osd_top_3c;
struct _rs_disp_top_sub_osd_top_3c {
    unsigned int reg_cursor_hcnt                            :16;
    unsigned int reg_cursor_vcnt                            :16;
};
#define disp_top_sub_osd_top_3c(val) ((rs_disp_top_sub_osd_top_3c*)&(val))



#define DISP_TOP_SUB_OSD_TOP_40                                          (HV_SUB_OSD_TOP_BASE_ADDRESS + 0x40)

#define DISP_TOP_SUB_OSD_TOP_40_struct                                   rs_disp_top_sub_osd_top_40

typedef struct _rs_disp_top_sub_osd_top_40  rs_disp_top_sub_osd_top_40;
struct _rs_disp_top_sub_osd_top_40 {
    unsigned int reg_cursor_hwidth                          : 4;
    unsigned int reg_cursor_vwidth                          : 4;
    unsigned int reg_cursor_color                           : 3;
    unsigned int reserved                                   :21;
};
#define disp_top_sub_osd_top_40(val) ((rs_disp_top_sub_osd_top_40*)&(val))



#define DISP_TOP_SUB_OSD_TOP_44                                          (HV_SUB_OSD_TOP_BASE_ADDRESS + 0x44)

#define DISP_TOP_SUB_OSD_TOP_44_struct                                   rs_disp_top_sub_osd_top_44

typedef struct _rs_disp_top_sub_osd_top_44  rs_disp_top_sub_osd_top_44;
struct _rs_disp_top_sub_osd_top_44 {
    unsigned int regr_cursor_data_r                         :32;
};
#define disp_top_sub_osd_top_44(val) ((rs_disp_top_sub_osd_top_44*)&(val))



#define DISP_TOP_SUB_OSD_TOP_48                                          (HV_SUB_OSD_TOP_BASE_ADDRESS + 0x48)

#define DISP_TOP_SUB_OSD_TOP_48_struct                                   rs_disp_top_sub_osd_top_48

typedef struct _rs_disp_top_sub_osd_top_48  rs_disp_top_sub_osd_top_48;
struct _rs_disp_top_sub_osd_top_48 {
    unsigned int regr_cursor_data_g                         :32;
};
#define disp_top_sub_osd_top_48(val) ((rs_disp_top_sub_osd_top_48*)&(val))



#define DISP_TOP_SUB_OSD_TOP_4C                                          (HV_SUB_OSD_TOP_BASE_ADDRESS + 0x4C)

#define DISP_TOP_SUB_OSD_TOP_4C_struct                                   rs_disp_top_sub_osd_top_4c

typedef struct _rs_disp_top_sub_osd_top_4c  rs_disp_top_sub_osd_top_4c;
struct _rs_disp_top_sub_osd_top_4c {
    unsigned int regr_cursor_data_b                         :32;
};
#define disp_top_sub_osd_top_4c(val) ((rs_disp_top_sub_osd_top_4c*)&(val))



#define DISP_TOP_SUB_OSD_TOP_50                                          (HV_SUB_OSD_TOP_BASE_ADDRESS + 0x50)

#define DISP_TOP_SUB_OSD_TOP_50_struct                                   rs_disp_top_sub_osd_top_50

typedef struct _rs_disp_top_sub_osd_top_50  rs_disp_top_sub_osd_top_50;
struct _rs_disp_top_sub_osd_top_50 {
    unsigned int wcg_gmi_force_en                           : 1;
    unsigned int wcg_mtx_force_en                           : 1;
    unsigned int wcg_gmd_force_en                           : 1;
    unsigned int reserved                                   :29;
};
#define disp_top_sub_osd_top_50(val) ((rs_disp_top_sub_osd_top_50*)&(val))



#define DISP_TOP_SUB_OSD_TOP_54                                          (HV_SUB_OSD_TOP_BASE_ADDRESS + 0x54)

#define DISP_TOP_SUB_OSD_TOP_54_struct                                   rs_disp_top_sub_osd_top_54

typedef struct _rs_disp_top_sub_osd_top_54  rs_disp_top_sub_osd_top_54;
struct _rs_disp_top_sub_osd_top_54 {
    unsigned int pattern_data_r                             :32;
};
#define disp_top_sub_osd_top_54(val) ((rs_disp_top_sub_osd_top_54*)&(val))



#define DISP_TOP_SUB_OSD_TOP_58                                          (HV_SUB_OSD_TOP_BASE_ADDRESS + 0x58)

#define DISP_TOP_SUB_OSD_TOP_58_struct                                   rs_disp_top_sub_osd_top_58

typedef struct _rs_disp_top_sub_osd_top_58  rs_disp_top_sub_osd_top_58;
struct _rs_disp_top_sub_osd_top_58 {
    unsigned int pattern_data_g                             :32;
};
#define disp_top_sub_osd_top_58(val) ((rs_disp_top_sub_osd_top_58*)&(val))



#define DISP_TOP_SUB_OSD_TOP_5C                                          (HV_SUB_OSD_TOP_BASE_ADDRESS + 0x5C)

#define DISP_TOP_SUB_OSD_TOP_5C_struct                                   rs_disp_top_sub_osd_top_5c

typedef struct _rs_disp_top_sub_osd_top_5c  rs_disp_top_sub_osd_top_5c;
struct _rs_disp_top_sub_osd_top_5c {
    unsigned int pattern_data_b                             :32;
};
#define disp_top_sub_osd_top_5c(val) ((rs_disp_top_sub_osd_top_5c*)&(val))



#define DISP_TOP_SUB_OSD_TOP_60                                          (HV_SUB_OSD_TOP_BASE_ADDRESS + 0x60)

#define DISP_TOP_SUB_OSD_TOP_60_struct                                   rs_disp_top_sub_osd_top_60

typedef struct _rs_disp_top_sub_osd_top_60  rs_disp_top_sub_osd_top_60;
struct _rs_disp_top_sub_osd_top_60 {
    unsigned int debug_en                                   : 1;
    unsigned int debug_mode                                 : 1;
    unsigned int reserved                                   : 2;
    unsigned int debug_gmi_lut_sel                          : 3;
    unsigned int reserved_1                                 : 1;
    unsigned int debug_gmd_lut_sel                          : 6;
    unsigned int reserved_2                                 : 2;
    unsigned int debug_addr                                 :10;
    unsigned int reserved_3                                 : 6;
};
#define disp_top_sub_osd_top_60(val) ((rs_disp_top_sub_osd_top_60*)&(val))



#define DISP_TOP_SUB_OSD_TOP_64                                          (HV_SUB_OSD_TOP_BASE_ADDRESS + 0x64)

#define DISP_TOP_SUB_OSD_TOP_64_struct                                   rs_disp_top_sub_osd_top_64

typedef struct _rs_disp_top_sub_osd_top_64  rs_disp_top_sub_osd_top_64;
struct _rs_disp_top_sub_osd_top_64 {
    unsigned int debug_wdata                                :32;
};
#define disp_top_sub_osd_top_64(val) ((rs_disp_top_sub_osd_top_64*)&(val))



#define DISP_TOP_SUB_OSD_TOP_68                                          (HV_SUB_OSD_TOP_BASE_ADDRESS + 0x68)

#define DISP_TOP_SUB_OSD_TOP_68_struct                                   rs_disp_top_sub_osd_top_68

typedef struct _rs_disp_top_sub_osd_top_68  rs_disp_top_sub_osd_top_68;
struct _rs_disp_top_sub_osd_top_68 {
    unsigned int debug_rdata                                :32;
};
#define disp_top_sub_osd_top_68(val) ((rs_disp_top_sub_osd_top_68*)&(val))



#define DISP_TOP_SUB_OSD_TOP_6C                                          (HV_SUB_OSD_TOP_BASE_ADDRESS + 0x6C)

#define DISP_TOP_SUB_OSD_TOP_6C_struct                                   rs_disp_top_sub_osd_top_6c

typedef struct _rs_disp_top_sub_osd_top_6c  rs_disp_top_sub_osd_top_6c;
struct _rs_disp_top_sub_osd_top_6c {
    unsigned int reg_kosd_sw0_apb_reset                     : 1;
    unsigned int reg_kosd_sw1_apb_reset                     : 1;
    unsigned int reserved                                   : 6;
    unsigned int reg_map_en                                 : 1;
    unsigned int reg_map_xsb                                : 1;
    unsigned int reserved_1                                 : 6;
    unsigned int reg_map_patt                               : 8;
    unsigned int reserved_2                                 : 8;
};
#define disp_top_sub_osd_top_6c(val) ((rs_disp_top_sub_osd_top_6c*)&(val))



#define DISP_TOP_SUB_OSD_TOP_70                                          (HV_SUB_OSD_TOP_BASE_ADDRESS + 0x70)

#define DISP_TOP_SUB_OSD_TOP_70_struct                                   rs_disp_top_sub_osd_top_70

typedef struct _rs_disp_top_sub_osd_top_70  rs_disp_top_sub_osd_top_70;
struct _rs_disp_top_sub_osd_top_70 {
    unsigned int reg_osd_bld_en                             : 1;
    unsigned int reg_ddr_bld_en                             : 1;
    unsigned int reg_osd_alpha_force_en                     : 1;
    unsigned int reg_hs_bld_mode                            : 1;
    unsigned int reg_hs_bld_mode_sel                        : 1;
    unsigned int reserved                                   : 3;
    unsigned int reg_osd_alpha_force_value                  : 8;
    unsigned int reg_osd_pre_scl_hsize                      :16;
};
#define disp_top_sub_osd_top_70(val) ((rs_disp_top_sub_osd_top_70*)&(val))



#define DISP_TOP_SUB_OSD_TOP_74                                          (HV_SUB_OSD_TOP_BASE_ADDRESS + 0x74)

#define DISP_TOP_SUB_OSD_TOP_74_struct                                   rs_disp_top_sub_osd_top_74

typedef struct _rs_disp_top_sub_osd_top_74  rs_disp_top_sub_osd_top_74;
struct _rs_disp_top_sub_osd_top_74 {
    unsigned int reg_osd_pre_scl_vsize                      :16;
    unsigned int reg_osd_pre_scl_htotal                     :16;
};
#define disp_top_sub_osd_top_74(val) ((rs_disp_top_sub_osd_top_74*)&(val))



#define DISP_TOP_SUB_OSD_TOP_78                                          (HV_SUB_OSD_TOP_BASE_ADDRESS + 0x78)

#define DISP_TOP_SUB_OSD_TOP_78_struct                                   rs_disp_top_sub_osd_top_78

typedef struct _rs_disp_top_sub_osd_top_78  rs_disp_top_sub_osd_top_78;
struct _rs_disp_top_sub_osd_top_78 {
    unsigned int reg_osd_hstart                             :16;
    unsigned int reg_osd_vstart                             :16;
};
#define disp_top_sub_osd_top_78(val) ((rs_disp_top_sub_osd_top_78*)&(val))



#define DISP_TOP_SUB_OSD_TOP_7C                                          (HV_SUB_OSD_TOP_BASE_ADDRESS + 0x7C)

#define DISP_TOP_SUB_OSD_TOP_7C_struct                                   rs_disp_top_sub_osd_top_7c

typedef struct _rs_disp_top_sub_osd_top_7c  rs_disp_top_sub_osd_top_7c;
struct _rs_disp_top_sub_osd_top_7c {
    unsigned int reg_osd_width                              :16;
    unsigned int reg_osd_height                             :16;
};
#define disp_top_sub_osd_top_7c(val) ((rs_disp_top_sub_osd_top_7c*)&(val))



#define DISP_TOP_SUB_OSD_TOP_80                                          (HV_SUB_OSD_TOP_BASE_ADDRESS + 0x80)

#define DISP_TOP_SUB_OSD_TOP_80_struct                                   rs_disp_top_sub_osd_top_80

typedef struct _rs_disp_top_sub_osd_top_80  rs_disp_top_sub_osd_top_80;
struct _rs_disp_top_sub_osd_top_80 {
    unsigned int reg_ddr_hstart                             :16;
    unsigned int reg_ddr_vstart                             :16;
};
#define disp_top_sub_osd_top_80(val) ((rs_disp_top_sub_osd_top_80*)&(val))



#define DISP_TOP_SUB_OSD_TOP_84                                          (HV_SUB_OSD_TOP_BASE_ADDRESS + 0x84)

#define DISP_TOP_SUB_OSD_TOP_84_struct                                   rs_disp_top_sub_osd_top_84

typedef struct _rs_disp_top_sub_osd_top_84  rs_disp_top_sub_osd_top_84;
struct _rs_disp_top_sub_osd_top_84 {
    unsigned int reg_ddr_width                              :16;
    unsigned int reg_ddr_height                             :16;
};
#define disp_top_sub_osd_top_84(val) ((rs_disp_top_sub_osd_top_84*)&(val))



#define DISP_TOP_SUB_OSD_TOP_88                                          (HV_SUB_OSD_TOP_BASE_ADDRESS + 0x88)

#define DISP_TOP_SUB_OSD_TOP_88_struct                                   rs_disp_top_sub_osd_top_88

typedef struct _rs_disp_top_sub_osd_top_88  rs_disp_top_sub_osd_top_88;
struct _rs_disp_top_sub_osd_top_88 {
    unsigned int reg_osd_ofs_in_r                           :16;
    unsigned int reg_osd_ofs_in_g                           :16;
};
#define disp_top_sub_osd_top_88(val) ((rs_disp_top_sub_osd_top_88*)&(val))



#define DISP_TOP_SUB_OSD_TOP_8C                                          (HV_SUB_OSD_TOP_BASE_ADDRESS + 0x8C)

#define DISP_TOP_SUB_OSD_TOP_8C_struct                                   rs_disp_top_sub_osd_top_8c

typedef struct _rs_disp_top_sub_osd_top_8c  rs_disp_top_sub_osd_top_8c;
struct _rs_disp_top_sub_osd_top_8c {
    unsigned int reg_osd_ofs_in_b                           :16;
    unsigned int reg_osd_r_r_coef                           :16;
};
#define disp_top_sub_osd_top_8c(val) ((rs_disp_top_sub_osd_top_8c*)&(val))



#define DISP_TOP_SUB_OSD_TOP_90                                          (HV_SUB_OSD_TOP_BASE_ADDRESS + 0x90)

#define DISP_TOP_SUB_OSD_TOP_90_struct                                   rs_disp_top_sub_osd_top_90

typedef struct _rs_disp_top_sub_osd_top_90  rs_disp_top_sub_osd_top_90;
struct _rs_disp_top_sub_osd_top_90 {
    unsigned int reg_osd_r_g_coef                           :16;
    unsigned int reg_osd_r_b_coef                           :16;
};
#define disp_top_sub_osd_top_90(val) ((rs_disp_top_sub_osd_top_90*)&(val))



#define DISP_TOP_SUB_OSD_TOP_94                                          (HV_SUB_OSD_TOP_BASE_ADDRESS + 0x94)

#define DISP_TOP_SUB_OSD_TOP_94_struct                                   rs_disp_top_sub_osd_top_94

typedef struct _rs_disp_top_sub_osd_top_94  rs_disp_top_sub_osd_top_94;
struct _rs_disp_top_sub_osd_top_94 {
    unsigned int reg_osd_g_r_coef                           :16;
    unsigned int reg_osd_g_g_coef                           :16;
};
#define disp_top_sub_osd_top_94(val) ((rs_disp_top_sub_osd_top_94*)&(val))



#define DISP_TOP_SUB_OSD_TOP_98                                          (HV_SUB_OSD_TOP_BASE_ADDRESS + 0x98)

#define DISP_TOP_SUB_OSD_TOP_98_struct                                   rs_disp_top_sub_osd_top_98

typedef struct _rs_disp_top_sub_osd_top_98  rs_disp_top_sub_osd_top_98;
struct _rs_disp_top_sub_osd_top_98 {
    unsigned int reg_osd_g_b_coef                           :16;
    unsigned int reg_osd_b_r_coef                           :16;
};
#define disp_top_sub_osd_top_98(val) ((rs_disp_top_sub_osd_top_98*)&(val))



#define DISP_TOP_SUB_OSD_TOP_9C                                          (HV_SUB_OSD_TOP_BASE_ADDRESS + 0x9C)

#define DISP_TOP_SUB_OSD_TOP_9C_struct                                   rs_disp_top_sub_osd_top_9c

typedef struct _rs_disp_top_sub_osd_top_9c  rs_disp_top_sub_osd_top_9c;
struct _rs_disp_top_sub_osd_top_9c {
    unsigned int reg_osd_b_g_coef                           :16;
    unsigned int reg_osd_b_b_coef                           :16;
};
#define disp_top_sub_osd_top_9c(val) ((rs_disp_top_sub_osd_top_9c*)&(val))



#define DISP_TOP_SUB_OSD_TOP_A0                                          (HV_SUB_OSD_TOP_BASE_ADDRESS + 0xA0)

#define DISP_TOP_SUB_OSD_TOP_A0_struct                                   rs_disp_top_sub_osd_top_a0

typedef struct _rs_disp_top_sub_osd_top_a0  rs_disp_top_sub_osd_top_a0;
struct _rs_disp_top_sub_osd_top_a0 {
    unsigned int reg_osd_ofs_out_r                          :16;
    unsigned int reg_osd_ofs_out_g                          :16;
};
#define disp_top_sub_osd_top_a0(val) ((rs_disp_top_sub_osd_top_a0*)&(val))



#define DISP_TOP_SUB_OSD_TOP_A4                                          (HV_SUB_OSD_TOP_BASE_ADDRESS + 0xA4)

#define DISP_TOP_SUB_OSD_TOP_A4_struct                                   rs_disp_top_sub_osd_top_a4

typedef struct _rs_disp_top_sub_osd_top_a4  rs_disp_top_sub_osd_top_a4;
struct _rs_disp_top_sub_osd_top_a4 {
    unsigned int reg_osd_ofs_out_b                          :16;
    unsigned int reg_osd_mtx_hsize                          :16;
};
#define disp_top_sub_osd_top_a4(val) ((rs_disp_top_sub_osd_top_a4*)&(val))



#define DISP_TOP_SUB_OSD_TOP_A8                                          (HV_SUB_OSD_TOP_BASE_ADDRESS + 0xA8)

#define DISP_TOP_SUB_OSD_TOP_A8_struct                                   rs_disp_top_sub_osd_top_a8

typedef struct _rs_disp_top_sub_osd_top_a8  rs_disp_top_sub_osd_top_a8;
struct _rs_disp_top_sub_osd_top_a8 {
    unsigned int reg_osd_mtx_vsize                          :16;
    unsigned int reg_en_osd_mtx_through                     : 1;
    unsigned int reserved                                   :15;
};
#define disp_top_sub_osd_top_a8(val) ((rs_disp_top_sub_osd_top_a8*)&(val))



#define DISP_TOP_SUB_OSD_TOP_AC                                          (HV_SUB_OSD_TOP_BASE_ADDRESS + 0xAC)

#define DISP_TOP_SUB_OSD_TOP_AC_struct                                   rs_disp_top_sub_osd_top_ac

typedef struct _rs_disp_top_sub_osd_top_ac  rs_disp_top_sub_osd_top_ac;
struct _rs_disp_top_sub_osd_top_ac {
    unsigned int regs_rdma_pixel_format                     : 3;
    unsigned int regs_rdma_full_mode                        : 1;
    unsigned int reserved                                   :28;
};
#define disp_top_sub_osd_top_ac(val) ((rs_disp_top_sub_osd_top_ac*)&(val))



#define DISP_TOP_SUB_OSD_TOP_B0                                          (HV_SUB_OSD_TOP_BASE_ADDRESS + 0xB0)

#define DISP_TOP_SUB_OSD_TOP_B0_struct                                   rs_disp_top_sub_osd_top_b0

typedef struct _rs_disp_top_sub_osd_top_b0  rs_disp_top_sub_osd_top_b0;
struct _rs_disp_top_sub_osd_top_b0 {
    unsigned int regs_rdma_alpha                            : 8;
    unsigned int regs_rdma_r                                : 8;
    unsigned int regs_rdma_g                                : 8;
    unsigned int regs_rdma_b                                : 8;
};
#define disp_top_sub_osd_top_b0(val) ((rs_disp_top_sub_osd_top_b0*)&(val))



#define DISP_TOP_SUB_OSD_TOP_B4                                          (HV_SUB_OSD_TOP_BASE_ADDRESS + 0xB4)

#define DISP_TOP_SUB_OSD_TOP_B4_struct                                   rs_disp_top_sub_osd_top_b4

typedef struct _rs_disp_top_sub_osd_top_b4  rs_disp_top_sub_osd_top_b4;
struct _rs_disp_top_sub_osd_top_b4 {
    unsigned int regs_rdma_color_key                        :24;
    unsigned int reserved                                   : 7;
    unsigned int regs_rdma_color_key_enable                 : 1;
};
#define disp_top_sub_osd_top_b4(val) ((rs_disp_top_sub_osd_top_b4*)&(val))



#define DISP_TOP_SUB_OSD_TOP_B8                                          (HV_SUB_OSD_TOP_BASE_ADDRESS + 0xB8)

#define DISP_TOP_SUB_OSD_TOP_B8_struct                                   rs_disp_top_sub_osd_top_b8

typedef struct _rs_disp_top_sub_osd_top_b8  rs_disp_top_sub_osd_top_b8;
struct _rs_disp_top_sub_osd_top_b8 {
    unsigned int regs_rdma_force_alpha_en                   : 1;
    unsigned int regs_rdma_force_alpha_mode                 : 1;
    unsigned int regs_rdma_force_color_en                   : 1;
    unsigned int regs_rdma_en                               : 1;
    unsigned int reserved                                   :28;
};
#define disp_top_sub_osd_top_b8(val) ((rs_disp_top_sub_osd_top_b8*)&(val))



#define DISP_TOP_SUB_OSD_TOP_BC                                          (HV_SUB_OSD_TOP_BASE_ADDRESS + 0xBC)

#define DISP_TOP_SUB_OSD_TOP_BC_struct                                   rs_disp_top_sub_osd_top_bc

typedef struct _rs_disp_top_sub_osd_top_bc  rs_disp_top_sub_osd_top_bc;
struct _rs_disp_top_sub_osd_top_bc {
    unsigned int reg_en                                     : 1;
    unsigned int reg_en_no_latch                            : 1;
    unsigned int reserved                                   :30;
};
#define disp_top_sub_osd_top_bc(val) ((rs_disp_top_sub_osd_top_bc*)&(val))



#define DISP_TOP_SUB_OSD_TOP_C0                                          (HV_SUB_OSD_TOP_BASE_ADDRESS + 0xC0)

#define DISP_TOP_SUB_OSD_TOP_C0_struct                                   rs_disp_top_sub_osd_top_c0

typedef struct _rs_disp_top_sub_osd_top_c0  rs_disp_top_sub_osd_top_c0;
struct _rs_disp_top_sub_osd_top_c0 {
    unsigned int reg_mem_reg1                               : 8;
    unsigned int reg_mem_reg2                               : 8;
    unsigned int reg_mem_reg3                               : 8;
    unsigned int reg_mem_reg4                               : 8;
};
#define disp_top_sub_osd_top_c0(val) ((rs_disp_top_sub_osd_top_c0*)&(val))



#define DISP_TOP_SUB_OSD_TOP_C4                                          (HV_SUB_OSD_TOP_BASE_ADDRESS + 0xC4)

#define DISP_TOP_SUB_OSD_TOP_C4_struct                                   rs_disp_top_sub_osd_top_c4

typedef struct _rs_disp_top_sub_osd_top_c4  rs_disp_top_sub_osd_top_c4;
struct _rs_disp_top_sub_osd_top_c4 {
    unsigned int reg_mem_reg5                               : 8;
    unsigned int reg_mem_reg6                               : 8;
    unsigned int reg_mem_reg7                               : 8;
    unsigned int reg_mem_reg8                               : 8;
};
#define disp_top_sub_osd_top_c4(val) ((rs_disp_top_sub_osd_top_c4*)&(val))



#define DISP_TOP_SUB_OSD_TOP_C8                                          (HV_SUB_OSD_TOP_BASE_ADDRESS + 0xC8)

#define DISP_TOP_SUB_OSD_TOP_C8_struct                                   rs_disp_top_sub_osd_top_c8

typedef struct _rs_disp_top_sub_osd_top_c8  rs_disp_top_sub_osd_top_c8;
struct _rs_disp_top_sub_osd_top_c8 {
    unsigned int reg_mem_reg9                               : 8;
    unsigned int reg_mem_reg10                              : 8;
    unsigned int reg_mem_reg11                              : 8;
    unsigned int reg_mem_reg12                              : 8;
};
#define disp_top_sub_osd_top_c8(val) ((rs_disp_top_sub_osd_top_c8*)&(val))



#define DISP_TOP_SUB_OSD_TOP_CC                                          (HV_SUB_OSD_TOP_BASE_ADDRESS + 0xCC)

#define DISP_TOP_SUB_OSD_TOP_CC_struct                                   rs_disp_top_sub_osd_top_cc

typedef struct _rs_disp_top_sub_osd_top_cc  rs_disp_top_sub_osd_top_cc;
struct _rs_disp_top_sub_osd_top_cc {
    unsigned int reg_mem_reg13                              : 8;
    unsigned int reg_mem_reg14                              : 8;
    unsigned int reg_mem_reg15                              : 8;
    unsigned int reg_mem_reg16                              : 8;
};
#define disp_top_sub_osd_top_cc(val) ((rs_disp_top_sub_osd_top_cc*)&(val))



#define DISP_TOP_SUB_OSD_TOP_D0                                          (HV_SUB_OSD_TOP_BASE_ADDRESS + 0xD0)

#define DISP_TOP_SUB_OSD_TOP_D0_struct                                   rs_disp_top_sub_osd_top_d0

typedef struct _rs_disp_top_sub_osd_top_d0  rs_disp_top_sub_osd_top_d0;
struct _rs_disp_top_sub_osd_top_d0 {
    unsigned int reg_mem_reg17                              : 8;
    unsigned int reg_mem_reg18                              : 8;
    unsigned int reg_mem_reg19                              : 8;
    unsigned int reg_mem_reg20                              : 8;
};
#define disp_top_sub_osd_top_d0(val) ((rs_disp_top_sub_osd_top_d0*)&(val))



#define DISP_TOP_SUB_OSD_TOP_D4                                          (HV_SUB_OSD_TOP_BASE_ADDRESS + 0xD4)

#define DISP_TOP_SUB_OSD_TOP_D4_struct                                   rs_disp_top_sub_osd_top_d4

typedef struct _rs_disp_top_sub_osd_top_d4  rs_disp_top_sub_osd_top_d4;
struct _rs_disp_top_sub_osd_top_d4 {
    unsigned int reg_mem_reg21                              : 8;
    unsigned int reg_mem_reg22                              : 8;
    unsigned int reg_mem_reg23                              : 8;
    unsigned int reg_mem_reg24                              : 8;
};
#define disp_top_sub_osd_top_d4(val) ((rs_disp_top_sub_osd_top_d4*)&(val))



#define DISP_TOP_SUB_OSD_TOP_D8                                          (HV_SUB_OSD_TOP_BASE_ADDRESS + 0xD8)

#define DISP_TOP_SUB_OSD_TOP_D8_struct                                   rs_disp_top_sub_osd_top_d8

typedef struct _rs_disp_top_sub_osd_top_d8  rs_disp_top_sub_osd_top_d8;
struct _rs_disp_top_sub_osd_top_d8 {
    unsigned int reg_mem_reg25                              : 8;
    unsigned int reg_mem_reg26                              : 8;
    unsigned int reg_mem_reg27                              : 8;
    unsigned int reg_mem_reg28                              : 8;
};
#define disp_top_sub_osd_top_d8(val) ((rs_disp_top_sub_osd_top_d8*)&(val))



#endif