#ifndef _HV_PAGE_HT7315_TYPEC_PRBS_PATTERN_01_H_
#define _HV_PAGE_HT7315_TYPEC_PRBS_PATTERN_01_H_

#ifndef HV_TYPEC_PRBS_PATTERN_01_BASE_ADDRESS
    #define HV_TYPEC_PRBS_PATTERN_01_BASE_ADDRESS                                         0x1100AC00
#endif


#define STANDBY_TYPEC_PRBS_PATTERN_01_00                                 (HV_TYPEC_PRBS_PATTERN_01_BASE_ADDRESS + 0x00)

#define STANDBY_TYPEC_PRBS_PATTERN_01_00_struct                          rs_standby_typec_prbs_pattern_01_00

typedef struct _rs_standby_typec_prbs_pattern_01_00  rs_standby_typec_prbs_pattern_01_00;
struct _rs_standby_typec_prbs_pattern_01_00 {
    unsigned int reg_01_tx_prbs_en                          : 1;
    unsigned int reg_01_tx_prbs_pat_sel                     : 4;
    unsigned int reg_01_tx_prbs_precoder_en                 : 1;
    unsigned int reg_01_tx_prbs_gray_coding_value           : 8;
    unsigned int reserved                                   :18;
};
#define standby_typec_prbs_pattern_01_00(val) ((rs_standby_typec_prbs_pattern_01_00*)&(val))



#define STANDBY_TYPEC_PRBS_PATTERN_01_04                                 (HV_TYPEC_PRBS_PATTERN_01_BASE_ADDRESS + 0x04)

#define STANDBY_TYPEC_PRBS_PATTERN_01_04_struct                          rs_standby_typec_prbs_pattern_01_04

typedef struct _rs_standby_typec_prbs_pattern_01_04  rs_standby_typec_prbs_pattern_01_04;
struct _rs_standby_typec_prbs_pattern_01_04 {
    unsigned int reg_01_tx_prbs_data0_0                     :32;
};
#define standby_typec_prbs_pattern_01_04(val) ((rs_standby_typec_prbs_pattern_01_04*)&(val))



#define STANDBY_TYPEC_PRBS_PATTERN_01_08                                 (HV_TYPEC_PRBS_PATTERN_01_BASE_ADDRESS + 0x08)

#define STANDBY_TYPEC_PRBS_PATTERN_01_08_struct                          rs_standby_typec_prbs_pattern_01_08

typedef struct _rs_standby_typec_prbs_pattern_01_08  rs_standby_typec_prbs_pattern_01_08;
struct _rs_standby_typec_prbs_pattern_01_08 {
    unsigned int reg_01_tx_prbs_data0_1                     :32;
};
#define standby_typec_prbs_pattern_01_08(val) ((rs_standby_typec_prbs_pattern_01_08*)&(val))



#define STANDBY_TYPEC_PRBS_PATTERN_01_0C                                 (HV_TYPEC_PRBS_PATTERN_01_BASE_ADDRESS + 0x0C)

#define STANDBY_TYPEC_PRBS_PATTERN_01_0C_struct                          rs_standby_typec_prbs_pattern_01_0c

typedef struct _rs_standby_typec_prbs_pattern_01_0c  rs_standby_typec_prbs_pattern_01_0c;
struct _rs_standby_typec_prbs_pattern_01_0c {
    unsigned int reg_01_tx_prbs_data0_2                     :32;
};
#define standby_typec_prbs_pattern_01_0c(val) ((rs_standby_typec_prbs_pattern_01_0c*)&(val))



#define STANDBY_TYPEC_PRBS_PATTERN_01_10                                 (HV_TYPEC_PRBS_PATTERN_01_BASE_ADDRESS + 0x10)

#define STANDBY_TYPEC_PRBS_PATTERN_01_10_struct                          rs_standby_typec_prbs_pattern_01_10

typedef struct _rs_standby_typec_prbs_pattern_01_10  rs_standby_typec_prbs_pattern_01_10;
struct _rs_standby_typec_prbs_pattern_01_10 {
    unsigned int reg_01_tx_prbs_data0_3                     :32;
};
#define standby_typec_prbs_pattern_01_10(val) ((rs_standby_typec_prbs_pattern_01_10*)&(val))



#define STANDBY_TYPEC_PRBS_PATTERN_01_14                                 (HV_TYPEC_PRBS_PATTERN_01_BASE_ADDRESS + 0x14)

#define STANDBY_TYPEC_PRBS_PATTERN_01_14_struct                          rs_standby_typec_prbs_pattern_01_14

typedef struct _rs_standby_typec_prbs_pattern_01_14  rs_standby_typec_prbs_pattern_01_14;
struct _rs_standby_typec_prbs_pattern_01_14 {
    unsigned int reg_01_tx_prbs_data0_4                     :32;
};
#define standby_typec_prbs_pattern_01_14(val) ((rs_standby_typec_prbs_pattern_01_14*)&(val))



#define STANDBY_TYPEC_PRBS_PATTERN_01_18                                 (HV_TYPEC_PRBS_PATTERN_01_BASE_ADDRESS + 0x18)

#define STANDBY_TYPEC_PRBS_PATTERN_01_18_struct                          rs_standby_typec_prbs_pattern_01_18

typedef struct _rs_standby_typec_prbs_pattern_01_18  rs_standby_typec_prbs_pattern_01_18;
struct _rs_standby_typec_prbs_pattern_01_18 {
    unsigned int reg_01_tx_prbs_data1_0                     :32;
};
#define standby_typec_prbs_pattern_01_18(val) ((rs_standby_typec_prbs_pattern_01_18*)&(val))



#define STANDBY_TYPEC_PRBS_PATTERN_01_1C                                 (HV_TYPEC_PRBS_PATTERN_01_BASE_ADDRESS + 0x1C)

#define STANDBY_TYPEC_PRBS_PATTERN_01_1C_struct                          rs_standby_typec_prbs_pattern_01_1c

typedef struct _rs_standby_typec_prbs_pattern_01_1c  rs_standby_typec_prbs_pattern_01_1c;
struct _rs_standby_typec_prbs_pattern_01_1c {
    unsigned int reg_01_tx_prbs_data1_1                     :32;
};
#define standby_typec_prbs_pattern_01_1c(val) ((rs_standby_typec_prbs_pattern_01_1c*)&(val))



#define STANDBY_TYPEC_PRBS_PATTERN_01_20                                 (HV_TYPEC_PRBS_PATTERN_01_BASE_ADDRESS + 0x20)

#define STANDBY_TYPEC_PRBS_PATTERN_01_20_struct                          rs_standby_typec_prbs_pattern_01_20

typedef struct _rs_standby_typec_prbs_pattern_01_20  rs_standby_typec_prbs_pattern_01_20;
struct _rs_standby_typec_prbs_pattern_01_20 {
    unsigned int reg_01_tx_prbs_data1_2                     :32;
};
#define standby_typec_prbs_pattern_01_20(val) ((rs_standby_typec_prbs_pattern_01_20*)&(val))



#define STANDBY_TYPEC_PRBS_PATTERN_01_24                                 (HV_TYPEC_PRBS_PATTERN_01_BASE_ADDRESS + 0x24)

#define STANDBY_TYPEC_PRBS_PATTERN_01_24_struct                          rs_standby_typec_prbs_pattern_01_24

typedef struct _rs_standby_typec_prbs_pattern_01_24  rs_standby_typec_prbs_pattern_01_24;
struct _rs_standby_typec_prbs_pattern_01_24 {
    unsigned int reg_01_tx_prbs_data1_3                     :32;
};
#define standby_typec_prbs_pattern_01_24(val) ((rs_standby_typec_prbs_pattern_01_24*)&(val))



#define STANDBY_TYPEC_PRBS_PATTERN_01_28                                 (HV_TYPEC_PRBS_PATTERN_01_BASE_ADDRESS + 0x28)

#define STANDBY_TYPEC_PRBS_PATTERN_01_28_struct                          rs_standby_typec_prbs_pattern_01_28

typedef struct _rs_standby_typec_prbs_pattern_01_28  rs_standby_typec_prbs_pattern_01_28;
struct _rs_standby_typec_prbs_pattern_01_28 {
    unsigned int reg_01_tx_prbs_data1_4                     :32;
};
#define standby_typec_prbs_pattern_01_28(val) ((rs_standby_typec_prbs_pattern_01_28*)&(val))



#define STANDBY_TYPEC_PRBS_PATTERN_01_2C                                 (HV_TYPEC_PRBS_PATTERN_01_BASE_ADDRESS + 0x2C)

#define STANDBY_TYPEC_PRBS_PATTERN_01_2C_struct                          rs_standby_typec_prbs_pattern_01_2c

typedef struct _rs_standby_typec_prbs_pattern_01_2c  rs_standby_typec_prbs_pattern_01_2c;
struct _rs_standby_typec_prbs_pattern_01_2c {
    unsigned int reg_01_tx_prbs_data2_0                     :32;
};
#define standby_typec_prbs_pattern_01_2c(val) ((rs_standby_typec_prbs_pattern_01_2c*)&(val))



#define STANDBY_TYPEC_PRBS_PATTERN_01_30                                 (HV_TYPEC_PRBS_PATTERN_01_BASE_ADDRESS + 0x30)

#define STANDBY_TYPEC_PRBS_PATTERN_01_30_struct                          rs_standby_typec_prbs_pattern_01_30

typedef struct _rs_standby_typec_prbs_pattern_01_30  rs_standby_typec_prbs_pattern_01_30;
struct _rs_standby_typec_prbs_pattern_01_30 {
    unsigned int reg_01_tx_prbs_data2_1                     :32;
};
#define standby_typec_prbs_pattern_01_30(val) ((rs_standby_typec_prbs_pattern_01_30*)&(val))



#define STANDBY_TYPEC_PRBS_PATTERN_01_34                                 (HV_TYPEC_PRBS_PATTERN_01_BASE_ADDRESS + 0x34)

#define STANDBY_TYPEC_PRBS_PATTERN_01_34_struct                          rs_standby_typec_prbs_pattern_01_34

typedef struct _rs_standby_typec_prbs_pattern_01_34  rs_standby_typec_prbs_pattern_01_34;
struct _rs_standby_typec_prbs_pattern_01_34 {
    unsigned int reg_01_tx_prbs_data2_2                     :32;
};
#define standby_typec_prbs_pattern_01_34(val) ((rs_standby_typec_prbs_pattern_01_34*)&(val))



#define STANDBY_TYPEC_PRBS_PATTERN_01_38                                 (HV_TYPEC_PRBS_PATTERN_01_BASE_ADDRESS + 0x38)

#define STANDBY_TYPEC_PRBS_PATTERN_01_38_struct                          rs_standby_typec_prbs_pattern_01_38

typedef struct _rs_standby_typec_prbs_pattern_01_38  rs_standby_typec_prbs_pattern_01_38;
struct _rs_standby_typec_prbs_pattern_01_38 {
    unsigned int reg_01_tx_prbs_data2_3                     :32;
};
#define standby_typec_prbs_pattern_01_38(val) ((rs_standby_typec_prbs_pattern_01_38*)&(val))



#define STANDBY_TYPEC_PRBS_PATTERN_01_3C                                 (HV_TYPEC_PRBS_PATTERN_01_BASE_ADDRESS + 0x3C)

#define STANDBY_TYPEC_PRBS_PATTERN_01_3C_struct                          rs_standby_typec_prbs_pattern_01_3c

typedef struct _rs_standby_typec_prbs_pattern_01_3c  rs_standby_typec_prbs_pattern_01_3c;
struct _rs_standby_typec_prbs_pattern_01_3c {
    unsigned int reg_01_tx_prbs_data2_4                     :32;
};
#define standby_typec_prbs_pattern_01_3c(val) ((rs_standby_typec_prbs_pattern_01_3c*)&(val))



#define STANDBY_TYPEC_PRBS_PATTERN_01_50                                 (HV_TYPEC_PRBS_PATTERN_01_BASE_ADDRESS + 0x50)

#define STANDBY_TYPEC_PRBS_PATTERN_01_50_struct                          rs_standby_typec_prbs_pattern_01_50

typedef struct _rs_standby_typec_prbs_pattern_01_50  rs_standby_typec_prbs_pattern_01_50;
struct _rs_standby_typec_prbs_pattern_01_50 {
    unsigned int reg_01_rx_prbs_20b_en                      : 1;
    unsigned int reserved                                   : 7;
    unsigned int reg_01_rx_prbs_20b_mon_sel                 : 2;
    unsigned int reserved_1                                 :22;
};
#define standby_typec_prbs_pattern_01_50(val) ((rs_standby_typec_prbs_pattern_01_50*)&(val))



#define STANDBY_TYPEC_PRBS_PATTERN_01_54                                 (HV_TYPEC_PRBS_PATTERN_01_BASE_ADDRESS + 0x54)

#define STANDBY_TYPEC_PRBS_PATTERN_01_54_struct                          rs_standby_typec_prbs_pattern_01_54

typedef struct _rs_standby_typec_prbs_pattern_01_54  rs_standby_typec_prbs_pattern_01_54;
struct _rs_standby_typec_prbs_pattern_01_54 {
    unsigned int reg_01_rx_prbs_20b_pat_sel                 : 4;
    unsigned int reserved                                   : 4;
    unsigned int reg_01_rx_prbs_20b_ucnt_time               :10;
    unsigned int reg_01_rx_prbs_20b_mcnt_time               :10;
    unsigned int reg_01_rx_prbs_20b_match_sel               : 2;
    unsigned int reserved_1                                 : 2;
};
#define standby_typec_prbs_pattern_01_54(val) ((rs_standby_typec_prbs_pattern_01_54*)&(val))



#define STANDBY_TYPEC_PRBS_PATTERN_01_58                                 (HV_TYPEC_PRBS_PATTERN_01_BASE_ADDRESS + 0x58)

#define STANDBY_TYPEC_PRBS_PATTERN_01_58_struct                          rs_standby_typec_prbs_pattern_01_58

typedef struct _rs_standby_typec_prbs_pattern_01_58  rs_standby_typec_prbs_pattern_01_58;
struct _rs_standby_typec_prbs_pattern_01_58 {
    unsigned int reg_01_rx_prbs_20b_match_thd               : 6;
    unsigned int reserved                                   :26;
};
#define standby_typec_prbs_pattern_01_58(val) ((rs_standby_typec_prbs_pattern_01_58*)&(val))



#define STANDBY_TYPEC_PRBS_PATTERN_01_5C                                 (HV_TYPEC_PRBS_PATTERN_01_BASE_ADDRESS + 0x5C)

#define STANDBY_TYPEC_PRBS_PATTERN_01_5C_struct                          rs_standby_typec_prbs_pattern_01_5c

typedef struct _rs_standby_typec_prbs_pattern_01_5c  rs_standby_typec_prbs_pattern_01_5c;
struct _rs_standby_typec_prbs_pattern_01_5c {
    unsigned int regr_01_rx_prbs_20b_error_1us              :15;
    unsigned int reserved                                   : 1;
    unsigned int regr_01_rx_prbs_20b_locked                 : 1;
    unsigned int regr_01_rx_prbs_20b_error_alllane          : 4;
    unsigned int reserved_1                                 :11;
};
#define standby_typec_prbs_pattern_01_5c(val) ((rs_standby_typec_prbs_pattern_01_5c*)&(val))



#define STANDBY_TYPEC_PRBS_PATTERN_01_60                                 (HV_TYPEC_PRBS_PATTERN_01_BASE_ADDRESS + 0x60)

#define STANDBY_TYPEC_PRBS_PATTERN_01_60_struct                          rs_standby_typec_prbs_pattern_01_60

typedef struct _rs_standby_typec_prbs_pattern_01_60  rs_standby_typec_prbs_pattern_01_60;
struct _rs_standby_typec_prbs_pattern_01_60 {
    unsigned int regr_01_rx_prbs_20b_error_1ms              :25;
    unsigned int reserved                                   : 7;
};
#define standby_typec_prbs_pattern_01_60(val) ((rs_standby_typec_prbs_pattern_01_60*)&(val))



#define STANDBY_TYPEC_PRBS_PATTERN_01_64                                 (HV_TYPEC_PRBS_PATTERN_01_BASE_ADDRESS + 0x64)

#define STANDBY_TYPEC_PRBS_PATTERN_01_64_struct                          rs_standby_typec_prbs_pattern_01_64

typedef struct _rs_standby_typec_prbs_pattern_01_64  rs_standby_typec_prbs_pattern_01_64;
struct _rs_standby_typec_prbs_pattern_01_64 {
    unsigned int regr_01_rx_prbs_20b_error_total            :32;
};
#define standby_typec_prbs_pattern_01_64(val) ((rs_standby_typec_prbs_pattern_01_64*)&(val))



#define STANDBY_TYPEC_PRBS_PATTERN_01_68                                 (HV_TYPEC_PRBS_PATTERN_01_BASE_ADDRESS + 0x68)

#define STANDBY_TYPEC_PRBS_PATTERN_01_68_struct                          rs_standby_typec_prbs_pattern_01_68

typedef struct _rs_standby_typec_prbs_pattern_01_68  rs_standby_typec_prbs_pattern_01_68;
struct _rs_standby_typec_prbs_pattern_01_68 {
    unsigned int reg_01_prbs_div_cnt                        : 8;
    unsigned int reserved                                   :24;
};
#define standby_typec_prbs_pattern_01_68(val) ((rs_standby_typec_prbs_pattern_01_68*)&(val))



#endif