#ifndef _HV_PAGE_HT7315_USB_TOP_02_H_
#define _HV_PAGE_HT7315_USB_TOP_02_H_

#ifndef HV_USB_TOP_02_BASE_ADDRESS
    #define HV_USB_TOP_02_BASE_ADDRESS                                         0x11090200
#endif


#define USB_TOP_USB_TOP_02_INTR                                          (HV_USB_TOP_02_BASE_ADDRESS + 0x00)

#define USB_TOP_USB_TOP_02_INTR_struct                                   rs_usb_top_usb_top_02_intr

typedef struct _rs_usb_top_usb_top_02_intr  rs_usb_top_usb_top_02_intr;
struct _rs_usb_top_usb_top_02_intr {
    unsigned int DMA_Channel_1                              : 1;
    unsigned int DMA_Channel_2                              : 1;
    unsigned int DMA_Channel_n                              : 1;
    unsigned int reserved                                   :29;
};
#define usb_top_usb_top_02_intr(val) ((rs_usb_top_usb_top_02_intr*)&(val))



#define USB_TOP_USB_TOP_02_CNTL                                          (HV_USB_TOP_02_BASE_ADDRESS + 0x04)

#define USB_TOP_USB_TOP_02_CNTL_struct                                   rs_usb_top_usb_top_02_cntl

typedef struct _rs_usb_top_usb_top_02_cntl  rs_usb_top_usb_top_02_cntl;
struct _rs_usb_top_usb_top_02_cntl {
    unsigned int EnableDMA                                  : 1;
    unsigned int Direction                                  : 1;
    unsigned int DMAMode                                    : 1;
    unsigned int Interrupt_Enable                           : 1;
    unsigned int EndpointNumber                             : 4;
    unsigned int BusError                                   : 1;
    unsigned int BurstMode                                  : 2;
    unsigned int reserved                                   :21;
};
#define usb_top_usb_top_02_cntl(val) ((rs_usb_top_usb_top_02_cntl*)&(val))



#define USB_TOP_USB_TOP_02_ADDR                                          (HV_USB_TOP_02_BASE_ADDRESS + 0x08)

#define USB_TOP_USB_TOP_02_ADDR_struct                                   rs_usb_top_usb_top_02_addr

typedef struct _rs_usb_top_usb_top_02_addr  rs_usb_top_usb_top_02_addr;
struct _rs_usb_top_usb_top_02_addr {
    unsigned int ADDR                                       :32;
};
#define usb_top_usb_top_02_addr(val) ((rs_usb_top_usb_top_02_addr*)&(val))



#define USB_TOP_USB_TOP_02_COUNT                                         (HV_USB_TOP_02_BASE_ADDRESS + 0x0C)

#define USB_TOP_USB_TOP_02_COUNT_struct                                  rs_usb_top_usb_top_02_count

typedef struct _rs_usb_top_usb_top_02_count  rs_usb_top_usb_top_02_count;
struct _rs_usb_top_usb_top_02_count {
    unsigned int COUNT                                      :32;
};
#define usb_top_usb_top_02_count(val) ((rs_usb_top_usb_top_02_count*)&(val))



#endif