#ifndef _HV_PAGE_HT7315_USB_TYPEC_0_00_H_
#define _HV_PAGE_HT7315_USB_TYPEC_0_00_H_

#ifndef HV_USB_TYPEC_0_00_BASE_ADDRESS
    #define HV_USB_TYPEC_0_00_BASE_ADDRESS                                         0x1100A000
#endif


#define STANDBY_USB_TYPEC_0_00_00                                        (HV_USB_TYPEC_0_00_BASE_ADDRESS + 0x00)

#define STANDBY_USB_TYPEC_0_00_00_struct                                 rs_standby_usb_typec_0_00_00

typedef struct _rs_standby_usb_typec_0_00_00  rs_standby_usb_typec_0_00_00;
struct _rs_standby_usb_typec_0_00_00 {
    unsigned int reserved                                   : 8;
    unsigned int REG_00_RO_2C01_RX_IRQFLAG                  : 8;
    unsigned int REG_00_RO_2C02_TX_IRQFLAG                  : 8;
    unsigned int REG_00_RO_2C03_RXFSM_SOP_IRQFLAG           : 8;
};
#define standby_usb_typec_0_00_00(val) ((rs_standby_usb_typec_0_00_00*)&(val))



#define STANDBY_USB_TYPEC_0_00_04                                        (HV_USB_TYPEC_0_00_BASE_ADDRESS + 0x04)

#define STANDBY_USB_TYPEC_0_00_04_struct                                 rs_standby_usb_typec_0_00_04

typedef struct _rs_standby_usb_typec_0_00_04  rs_standby_usb_typec_0_00_04;
struct _rs_standby_usb_typec_0_00_04 {
    unsigned int REG_00_RO_2C04_RXFSM_SOPP_IRQFLAG          : 8;
    unsigned int REG_00_RO_2C05_TXFSM_SOP_IRQFLAG           : 8;
    unsigned int REG_00_RO_2C06_TXFSM_SOPP_IRQFLAG          : 8;
    unsigned int REG_00_RO_2C07_RSTFSM_IRQFLAG              : 8;
};
#define standby_usb_typec_0_00_04(val) ((rs_standby_usb_typec_0_00_04*)&(val))



#define STANDBY_USB_TYPEC_0_00_08                                        (HV_USB_TYPEC_0_00_BASE_ADDRESS + 0x08)

#define STANDBY_USB_TYPEC_0_00_08_struct                                 rs_standby_usb_typec_0_00_08

typedef struct _rs_standby_usb_typec_0_00_08  rs_standby_usb_typec_0_00_08;
struct _rs_standby_usb_typec_0_00_08 {
    unsigned int REG_00_RO_2C08_PE_TIMER_IRQFLAG            : 8;
    unsigned int REG_00_RO_2C09_PE_TIMER_IRQFLAG            : 8;
    unsigned int REG_00_RO_2C0A_Reserved_for_PE_TIMER_IRQFLAG: 8;
    unsigned int REG_00_RO_2C0B_Reserved_for_PE_TIMER_IRQFLAG: 8;
};
#define standby_usb_typec_0_00_08(val) ((rs_standby_usb_typec_0_00_08*)&(val))



#define STANDBY_USB_TYPEC_0_00_0C                                        (HV_USB_TYPEC_0_00_BASE_ADDRESS + 0x0C)

#define STANDBY_USB_TYPEC_0_00_0C_struct                                 rs_standby_usb_typec_0_00_0c

typedef struct _rs_standby_usb_typec_0_00_0c  rs_standby_usb_typec_0_00_0c;
struct _rs_standby_usb_typec_0_00_0c {
    unsigned int REG_00_RO_2C0C_PD_TOP_IRQFALG              : 8;
    unsigned int REG_00_RO_2C0D_IRQ_PWR_DET                 : 8;
    unsigned int REG_00_RO_2C0E_IRQ_CCVOL_DET               : 8;
    unsigned int REG_00_RO_2C0F_IRQ_MISC                    : 8;
};
#define standby_usb_typec_0_00_0c(val) ((rs_standby_usb_typec_0_00_0c*)&(val))



#define STANDBY_USB_TYPEC_0_00_10                                        (HV_USB_TYPEC_0_00_BASE_ADDRESS + 0x10)

#define STANDBY_USB_TYPEC_0_00_10_struct                                 rs_standby_usb_typec_0_00_10

typedef struct _rs_standby_usb_typec_0_00_10  rs_standby_usb_typec_0_00_10;
struct _rs_standby_usb_typec_0_00_10 {
    unsigned int REG_00_RO_2C10_Reserved                    : 8;
    unsigned int REG_00_RO_2C11_RX_RAW_IRQFLAG              : 8;
    unsigned int REG_00_RO_2C12_TX_RAW_IRQFLAG              : 8;
    unsigned int REG_00_RO_2C13_RXFSM_SOP_RAW_IRQFLAG       : 8;
};
#define standby_usb_typec_0_00_10(val) ((rs_standby_usb_typec_0_00_10*)&(val))



#define STANDBY_USB_TYPEC_0_00_14                                        (HV_USB_TYPEC_0_00_BASE_ADDRESS + 0x14)

#define STANDBY_USB_TYPEC_0_00_14_struct                                 rs_standby_usb_typec_0_00_14

typedef struct _rs_standby_usb_typec_0_00_14  rs_standby_usb_typec_0_00_14;
struct _rs_standby_usb_typec_0_00_14 {
    unsigned int REG_00_RO_2C14_RXFSM_SOPP_RAW_IRQFLAG      : 8;
    unsigned int REG_00_RO_2C15_TXFSM_SOP_RAW_IRQFLAG       : 8;
    unsigned int REG_00_RO_2C16_TXFSM_SOPP_RAW_IRQFLAG      : 8;
    unsigned int REG_00_RO_2C17_RSTFSM_RAW_IRQFLAG          : 8;
};
#define standby_usb_typec_0_00_14(val) ((rs_standby_usb_typec_0_00_14*)&(val))



#define STANDBY_USB_TYPEC_0_00_18                                        (HV_USB_TYPEC_0_00_BASE_ADDRESS + 0x18)

#define STANDBY_USB_TYPEC_0_00_18_struct                                 rs_standby_usb_typec_0_00_18

typedef struct _rs_standby_usb_typec_0_00_18  rs_standby_usb_typec_0_00_18;
struct _rs_standby_usb_typec_0_00_18 {
    unsigned int REG_00_RO_2C18_PE_TIMER_RAW_IRQFLAG        : 8;
    unsigned int REG_00_RO_2C19_PE_TIMER_RAW_IRQFLAG        : 8;
    unsigned int REG_00_RO_2C1A_Reserved_for_PE_TIMER_RAW_IRQFLAG: 8;
    unsigned int REG_00_RO_2C1B_Reserved_for_PE_TIMER_RAW_IRQFLAG: 8;
};
#define standby_usb_typec_0_00_18(val) ((rs_standby_usb_typec_0_00_18*)&(val))



#define STANDBY_USB_TYPEC_0_00_1C                                        (HV_USB_TYPEC_0_00_BASE_ADDRESS + 0x1C)

#define STANDBY_USB_TYPEC_0_00_1C_struct                                 rs_standby_usb_typec_0_00_1c

typedef struct _rs_standby_usb_typec_0_00_1c  rs_standby_usb_typec_0_00_1c;
struct _rs_standby_usb_typec_0_00_1c {
    unsigned int REG_00_RO_2C1C_PD_TOP_RAW_IRQFALG          : 8;
    unsigned int REG_00_RO_2C1D_IRQ_RAW_PWR_DET             : 8;
    unsigned int REG_00_RO_2C1E_IRQ_RAW_CCVOL_DET           : 8;
    unsigned int REG_00_RO_2C1F_IRQ_RAW_MISC                : 8;
};
#define standby_usb_typec_0_00_1c(val) ((rs_standby_usb_typec_0_00_1c*)&(val))



#define STANDBY_USB_TYPEC_0_00_3C                                        (HV_USB_TYPEC_0_00_BASE_ADDRESS + 0x3C)

#define STANDBY_USB_TYPEC_0_00_3C_struct                                 rs_standby_usb_typec_0_00_3c

typedef struct _rs_standby_usb_typec_0_00_3c  rs_standby_usb_typec_0_00_3c;
struct _rs_standby_usb_typec_0_00_3c {
    unsigned int reserved                                   :16;
    unsigned int REG_00_RO_2C3E_PD_RX_status_register       : 8;
    unsigned int REG_00_RO_2C3F_PD_RX_received_SOP_type     : 8;
};
#define standby_usb_typec_0_00_3c(val) ((rs_standby_usb_typec_0_00_3c*)&(val))



#define STANDBY_USB_TYPEC_0_00_40                                        (HV_USB_TYPEC_0_00_BASE_ADDRESS + 0x40)

#define STANDBY_USB_TYPEC_0_00_40_struct                                 rs_standby_usb_typec_0_00_40

typedef struct _rs_standby_usb_typec_0_00_40  rs_standby_usb_typec_0_00_40;
struct _rs_standby_usb_typec_0_00_40 {
    unsigned int REG_00_RO_2C40_PD_RX_status_register       : 8;
    unsigned int REG_00_RO_2C41_PD_RX_Received_CRC          : 8;
    unsigned int REG_00_RO_2C42_PD_RX_Received_CRC          : 8;
    unsigned int REG_00_RO_2C43_PD_RX_Received_CRC          : 8;
};
#define standby_usb_typec_0_00_40(val) ((rs_standby_usb_typec_0_00_40*)&(val))



#define STANDBY_USB_TYPEC_0_00_44                                        (HV_USB_TYPEC_0_00_BASE_ADDRESS + 0x44)

#define STANDBY_USB_TYPEC_0_00_44_struct                                 rs_standby_usb_typec_0_00_44

typedef struct _rs_standby_usb_typec_0_00_44  rs_standby_usb_typec_0_00_44;
struct _rs_standby_usb_typec_0_00_44 {
    unsigned int REG_00_RO_2C44_PD_RX_Received_CRC          : 8;
    unsigned int REG_00_RO_2C45_Reserved                    : 8;
    unsigned int REG_00_RO_2C46_Reserved                    : 8;
    unsigned int REG_00_RO_2C47_Reserved                    : 8;
};
#define standby_usb_typec_0_00_44(val) ((rs_standby_usb_typec_0_00_44*)&(val))



#define STANDBY_USB_TYPEC_0_00_48                                        (HV_USB_TYPEC_0_00_BASE_ADDRESS + 0x48)

#define STANDBY_USB_TYPEC_0_00_48_struct                                 rs_standby_usb_typec_0_00_48

typedef struct _rs_standby_usb_typec_0_00_48  rs_standby_usb_typec_0_00_48;
struct _rs_standby_usb_typec_0_00_48 {
    unsigned int REG_00_RO_2C48_PD_RX_Received_MessageID    : 8;
    unsigned int REG_00_RO_2C49_FSM_for_SOP_status_register : 8;
    unsigned int REG_00_RO_2C4A_FSM_for_SOPP_status_register: 8;
    unsigned int REG_00_RO_2C4B_TX_FSM_for_SOP_status_register: 8;
};
#define standby_usb_typec_0_00_48(val) ((rs_standby_usb_typec_0_00_48*)&(val))



#define STANDBY_USB_TYPEC_0_00_4C                                        (HV_USB_TYPEC_0_00_BASE_ADDRESS + 0x4C)

#define STANDBY_USB_TYPEC_0_00_4C_struct                                 rs_standby_usb_typec_0_00_4c

typedef struct _rs_standby_usb_typec_0_00_4c  rs_standby_usb_typec_0_00_4c;
struct _rs_standby_usb_typec_0_00_4c {
    unsigned int REG_00_RO_2C4C_TX_FSM_for_SOPP_status_register: 8;
    unsigned int REG_00_RO_2C4D_Hard_Reset_FSM_for_SOPs_state: 8;
    unsigned int REG_00_RO_2C4E_PD_PHY_status_register      : 8;
    unsigned int REG_00_RO_2C4F_Resevered                   : 8;
};
#define standby_usb_typec_0_00_4c(val) ((rs_standby_usb_typec_0_00_4c*)&(val))



#define STANDBY_USB_TYPEC_0_00_54                                        (HV_USB_TYPEC_0_00_BASE_ADDRESS + 0x54)

#define STANDBY_USB_TYPEC_0_00_54_struct                                 rs_standby_usb_typec_0_00_54

typedef struct _rs_standby_usb_typec_0_00_54  rs_standby_usb_typec_0_00_54;
struct _rs_standby_usb_typec_0_00_54 {
    unsigned int REG_00_RO_2C54_PD_TXPATH_status_register   : 8;
    unsigned int REG_00_RO_2C55_PD_PHY_FSM_status_register  : 8;
    unsigned int REG_00_RO_2C56_PD_TX_DATA_CRC              : 8;
    unsigned int REG_00_RO_2C57_PD_TX_DATA_CRC              : 8;
};
#define standby_usb_typec_0_00_54(val) ((rs_standby_usb_typec_0_00_54*)&(val))



#define STANDBY_USB_TYPEC_0_00_58                                        (HV_USB_TYPEC_0_00_BASE_ADDRESS + 0x58)

#define STANDBY_USB_TYPEC_0_00_58_struct                                 rs_standby_usb_typec_0_00_58

typedef struct _rs_standby_usb_typec_0_00_58  rs_standby_usb_typec_0_00_58;
struct _rs_standby_usb_typec_0_00_58 {
    unsigned int REG_00_RO_2C58_PD_TX_DATA_CRC              : 8;
    unsigned int REG_00_RO_2C59_PD_TX_DATA_CRC              : 8;
    unsigned int REG_00_RO_2C5A_PD_TX_DATA_CRC_newc         : 8;
    unsigned int REG_00_RO_2C5B_PD_TX_DATA_CRC_newc         : 8;
};
#define standby_usb_typec_0_00_58(val) ((rs_standby_usb_typec_0_00_58*)&(val))



#define STANDBY_USB_TYPEC_0_00_5C                                        (HV_USB_TYPEC_0_00_BASE_ADDRESS + 0x5C)

#define STANDBY_USB_TYPEC_0_00_5C_struct                                 rs_standby_usb_typec_0_00_5c

typedef struct _rs_standby_usb_typec_0_00_5c  rs_standby_usb_typec_0_00_5c;
struct _rs_standby_usb_typec_0_00_5c {
    unsigned int REG_00_RO_2C5C_PE_TIMER_time_out           : 8;
    unsigned int REG_00_RO_2C5D_PE_TIMER_time_out           : 8;
    unsigned int REG_00_RO_2C5E_Reserved                    : 8;
    unsigned int REG_00_RO_2C5F_Reserved                    : 8;
};
#define standby_usb_typec_0_00_5c(val) ((rs_standby_usb_typec_0_00_5c*)&(val))



#define STANDBY_USB_TYPEC_0_00_64                                        (HV_USB_TYPEC_0_00_BASE_ADDRESS + 0x64)

#define STANDBY_USB_TYPEC_0_00_64_struct                                 rs_standby_usb_typec_0_00_64

typedef struct _rs_standby_usb_typec_0_00_64  rs_standby_usb_typec_0_00_64;
struct _rs_standby_usb_typec_0_00_64 {
    unsigned int REG_00_RO_2C64_TRIM_CCSR                   : 5;
    unsigned int REG_00_RO_2C64_CCTX_AUX_DONE               : 1;
    unsigned int REG_00_RO_2C64_SENSE_CC2A                  : 1;
    unsigned int reserved                                   : 1;
    unsigned int REG_00_RO_2C65_SENSE_PULSE_LEN             : 8;
    unsigned int REG_00_RO_2C66_SENSE_CYCLE_NUM             : 8;
    unsigned int REG_00_RO_2C67_reserved                    : 8;
};
#define standby_usb_typec_0_00_64(val) ((rs_standby_usb_typec_0_00_64*)&(val))



#define STANDBY_USB_TYPEC_0_00_80                                        (HV_USB_TYPEC_0_00_BASE_ADDRESS + 0x80)

#define STANDBY_USB_TYPEC_0_00_80_struct                                 rs_standby_usb_typec_0_00_80

typedef struct _rs_standby_usb_typec_0_00_80  rs_standby_usb_typec_0_00_80;
struct _rs_standby_usb_typec_0_00_80 {
    unsigned int REG_00_RO_2C80_cc_power_detect             : 8;
    unsigned int REG_00_RO_2C81_cc_connection_detect        : 8;
    unsigned int REG_00_RO_2C82_cc_connection_detect        : 8;
    unsigned int REG_00_RO_2C83_cc_plug_detect              : 8;
};
#define standby_usb_typec_0_00_80(val) ((rs_standby_usb_typec_0_00_80*)&(val))



#endif