#ifndef _HV_PAGE_HT7315_USB_TYPEC_1_00_H_
#define _HV_PAGE_HT7315_USB_TYPEC_1_00_H_

#ifndef HV_USB_TYPEC_1_00_BASE_ADDRESS
    #define HV_USB_TYPEC_1_00_BASE_ADDRESS                                         0x1100A100
#endif


#define STANDBY_USB_TYPEC_1_00_00                                        (HV_USB_TYPEC_1_00_BASE_ADDRESS + 0x00)

#define STANDBY_USB_TYPEC_1_00_00_struct                                 rs_standby_usb_typec_1_00_00

typedef struct _rs_standby_usb_typec_1_00_00  rs_standby_usb_typec_1_00_00;
struct _rs_standby_usb_typec_1_00_00 {
    unsigned int reserved                                   : 8;
    unsigned int REG_00_RW_2D01_RX_clock                    : 1;
    unsigned int REG_00_RW_2D01_SOP_FSM_clock               : 1;
    unsigned int REG_00_RW_2D01_SOPP_FSM_clock              : 1;
    unsigned int REG_00_RW_2D01_Reset_FSM_clock             : 1;
    unsigned int REG_00_RW_2D01_PE_Timer_clock              : 1;
    unsigned int REG_00_RW_2D01_CC_TX_Auxiliary_logic_clock : 1;
    unsigned int REG_00_RW_2D01_TX_clock                    : 1;
    unsigned int REG_00_RW_2D01_Clock_Gating_Control_for_PD_TX: 1;
    unsigned int REG_00_RW_2D02_RX_SOP_packet_type_setting  : 8;
    unsigned int REG_00_RW_2D03_RXOS_MPAT1                  : 8;
};
#define standby_usb_typec_1_00_00(val) ((rs_standby_usb_typec_1_00_00*)&(val))



#define STANDBY_USB_TYPEC_1_00_04                                        (HV_USB_TYPEC_1_00_BASE_ADDRESS + 0x04)

#define STANDBY_USB_TYPEC_1_00_04_struct                                 rs_standby_usb_typec_1_00_04

typedef struct _rs_standby_usb_typec_1_00_04  rs_standby_usb_typec_1_00_04;
struct _rs_standby_usb_typec_1_00_04 {
    unsigned int REG_00_RW_2D04_RXOS_MPAT2                  : 8;
    unsigned int REG_00_RW_2D05_RXOS_MPAT3                  : 8;
    unsigned int REG_00_RW_2D06_RXOS_MPAT4                  : 8;
    unsigned int REG_00_RW_2D07_TX_SOP_packet_type_setting  : 8;
};
#define standby_usb_typec_1_00_04(val) ((rs_standby_usb_typec_1_00_04*)&(val))



#define STANDBY_USB_TYPEC_1_00_08                                        (HV_USB_TYPEC_1_00_BASE_ADDRESS + 0x08)

#define STANDBY_USB_TYPEC_1_00_08_struct                                 rs_standby_usb_typec_1_00_08

typedef struct _rs_standby_usb_typec_1_00_08  rs_standby_usb_typec_1_00_08;
struct _rs_standby_usb_typec_1_00_08 {
    unsigned int REG_00_RW_2D08_TXOS_MPAT1                  : 8;
    unsigned int REG_00_RW_2D09_TXOS_MPAT2                  : 8;
    unsigned int REG_00_RW_2D0A_TXOS_MPAT3                  : 8;
    unsigned int REG_00_RW_2D0B_TXOS_MPAT4                  : 8;
};
#define standby_usb_typec_1_00_08(val) ((rs_standby_usb_typec_1_00_08*)&(val))



#define STANDBY_USB_TYPEC_1_00_0C                                        (HV_USB_TYPEC_1_00_BASE_ADDRESS + 0x0C)

#define STANDBY_USB_TYPEC_1_00_0C_struct                                 rs_standby_usb_typec_1_00_0c

typedef struct _rs_standby_usb_typec_1_00_0c  rs_standby_usb_typec_1_00_0c;
struct _rs_standby_usb_typec_1_00_0c {
    unsigned int REG_00_RW_2D0C_IDLE_counter_length_bit_8   : 1;
    unsigned int REG_00_RW_2D0C_IDLE_counter_clear_enable   : 1;
    unsigned int REG_00_RW_2D0C_SOP_Search_Window           : 6;
    unsigned int REG_00_RW_2D0D_IDLE_counter_length         : 8;
    unsigned int REG_00_RW_2D0E_CC_Spike_Filter_counter     : 8;
    unsigned int REG_00_RW_2D0F_CRC_check_bypass            : 1;
    unsigned int reg_00_PREDISCTX                           : 2;
    unsigned int REG_00_RW_2D0F_RX_FIFO_reset_control_by_HW : 1;
    unsigned int REG_00_RW_2D0F_BMC_UI_Average_Delay_count  : 4;
};
#define standby_usb_typec_1_00_0c(val) ((rs_standby_usb_typec_1_00_0c*)&(val))



#define STANDBY_USB_TYPEC_1_00_10                                        (HV_USB_TYPEC_1_00_BASE_ADDRESS + 0x10)

#define STANDBY_USB_TYPEC_1_00_10_struct                                 rs_standby_usb_typec_1_00_10

typedef struct _rs_standby_usb_typec_1_00_10  rs_standby_usb_typec_1_00_10;
struct _rs_standby_usb_typec_1_00_10 {
    unsigned int REG_00_RW_2D10_reserved                    : 8;
    unsigned int REG_00_RW_2D11_CC_TXEN_enable              : 1;
    unsigned int REG_00_RW_2D11_CC_RXEN_enable              : 1;
    unsigned int REG_00_RW_2D11_CC_enable_control_mode      : 1;
    unsigned int REG_00_RW_2D11_reserved                    : 3;
    unsigned int REG_00_RW_2D11_Disable_TXHIZ_to_block_CCIN_RX: 1;
    unsigned int REG_00_RW_2D11_all_K_code_are_same_flag_set: 1;
    unsigned int REG_00_RW_2D12_PD_TX_message_control       : 8;
    unsigned int REG_00_RW_2D13_PD_RX_message_control       : 8;
};
#define standby_usb_typec_1_00_10(val) ((rs_standby_usb_typec_1_00_10*)&(val))



#define STANDBY_USB_TYPEC_1_00_14                                        (HV_USB_TYPEC_1_00_BASE_ADDRESS + 0x14)

#define STANDBY_USB_TYPEC_1_00_14_struct                                 rs_standby_usb_typec_1_00_14

typedef struct _rs_standby_usb_typec_1_00_14  rs_standby_usb_typec_1_00_14;
struct _rs_standby_usb_typec_1_00_14 {
    unsigned int REG_00_RW_2D14_PD_TX_message_data_buffer_control: 8;
    unsigned int REG_00_RW_2D15_MSG_TX_BITRATE              : 8;
    unsigned int REG_00_RW_2D16_MSG_TX_CRC_FW               : 8;
    unsigned int REG_00_RW_2D17_MSG_TX_CRC_FW               : 8;
};
#define standby_usb_typec_1_00_14(val) ((rs_standby_usb_typec_1_00_14*)&(val))



#define STANDBY_USB_TYPEC_1_00_18                                        (HV_USB_TYPEC_1_00_BASE_ADDRESS + 0x18)

#define STANDBY_USB_TYPEC_1_00_18_struct                                 rs_standby_usb_typec_1_00_18

typedef struct _rs_standby_usb_typec_1_00_18  rs_standby_usb_typec_1_00_18;
struct _rs_standby_usb_typec_1_00_18 {
    unsigned int REG_00_RW_2D18_MSG_TX_CRC_FW               : 8;
    unsigned int REG_00_RW_2D19_MSG_TX_CRC_FW               : 8;
    unsigned int reserved                                   :16;
};
#define standby_usb_typec_1_00_18(val) ((rs_standby_usb_typec_1_00_18*)&(val))



#define STANDBY_USB_TYPEC_1_00_3C                                        (HV_USB_TYPEC_1_00_BASE_ADDRESS + 0x3C)

#define STANDBY_USB_TYPEC_1_00_3C_struct                                 rs_standby_usb_typec_1_00_3c

typedef struct _rs_standby_usb_typec_1_00_3c  rs_standby_usb_typec_1_00_3c;
struct _rs_standby_usb_typec_1_00_3c {
    unsigned int REG_00_RW_2D3C_CHEN_CTL_BPRX               : 1;
    unsigned int REG_00_RW_2D3C_CHEN_CTL_BPTX               : 1;
    unsigned int REG_00_RW_2D3C_TX_IRQ_MODE                 : 1;
    unsigned int REG_00_RW_2D3C_reserved                    : 5;
    unsigned int REG_00_RW_2D3D_set_to_Cable_plug_mode_if_cable_plug: 1;
    unsigned int REG_00_RW_2D3D_Cable_plug_mode_for_SOP     : 1;
    unsigned int REG_00_RW_2D3D_Cable_plug_mode_for_SOPP    : 1;
    unsigned int REG_00_RW_2D3D_reserved                    : 1;
    unsigned int REG_00_RW_2D3D_TX_Retry_Counter_for_SOP_SOPP: 4;
    unsigned int REG_00_RW_2D3E_MSGID_Reset_register_control_for_SOP: 1;
    unsigned int REG_00_RW_2D3E_MSGID_Reset_select_for_SOP  : 1;
    unsigned int REG_00_RW_2D3E_MSGID_Reset_register_control_for_SOPP: 1;
    unsigned int REG_00_RW_2D3E_MSGID_Reset_select_for_SOPP : 1;
    unsigned int REG_00_RW_2D3E_Reserved                    : 4;
    unsigned int REG_00_RW_2D3F_set_if_MCU_finished_HardReset: 8;
};
#define standby_usb_typec_1_00_3c(val) ((rs_standby_usb_typec_1_00_3c*)&(val))



#define STANDBY_USB_TYPEC_1_00_44                                        (HV_USB_TYPEC_1_00_BASE_ADDRESS + 0x44)

#define STANDBY_USB_TYPEC_1_00_44_struct                                 rs_standby_usb_typec_1_00_44

typedef struct _rs_standby_usb_typec_1_00_44  rs_standby_usb_typec_1_00_44;
struct _rs_standby_usb_typec_1_00_44 {
    unsigned int REG_00_RW_2D44_PE_TIMER_timer_enable       : 8;
    unsigned int REG_00_RW_2D45_PE_TIMER_timer_enable       : 8;
    unsigned int REG_00_RW_2D46_PE_TIMER_timer_enable       : 8;
    unsigned int REG_00_RW_2D47_PE_TIMER_timer_enable       : 8;
};
#define standby_usb_typec_1_00_44(val) ((rs_standby_usb_typec_1_00_44*)&(val))



#define STANDBY_USB_TYPEC_1_00_48                                        (HV_USB_TYPEC_1_00_BASE_ADDRESS + 0x48)

#define STANDBY_USB_TYPEC_1_00_48_struct                                 rs_standby_usb_typec_1_00_48

typedef struct _rs_standby_usb_typec_1_00_48  rs_standby_usb_typec_1_00_48;
struct _rs_standby_usb_typec_1_00_48 {
    unsigned int REG_00_RW_2D48_PE_TIMER_timer_start        : 8;
    unsigned int REG_00_RW_2D49_PE_TIMER_timer_start        : 8;
    unsigned int REG_00_RW_2D4A_PE_TIMER_timer_start        : 8;
    unsigned int REG_00_RW_2D4B_PE_TIMER_timer_start        : 8;
};
#define standby_usb_typec_1_00_48(val) ((rs_standby_usb_typec_1_00_48*)&(val))



#define STANDBY_USB_TYPEC_1_00_4C                                        (HV_USB_TYPEC_1_00_BASE_ADDRESS + 0x4C)

#define STANDBY_USB_TYPEC_1_00_4C_struct                                 rs_standby_usb_typec_1_00_4c

typedef struct _rs_standby_usb_typec_1_00_4c  rs_standby_usb_typec_1_00_4c;
struct _rs_standby_usb_typec_1_00_4c {
    unsigned int REG_00_RW_2D4C_PE_TIMER_timer_stop         : 8;
    unsigned int REG_00_RW_2D4D_PE_TIMER_timer_stop         : 8;
    unsigned int REG_00_RW_2D4E_PE_TIMER_timer_stop         : 8;
    unsigned int REG_00_RW_2D4F_PE_TIMER_timer_stop         : 8;
};
#define standby_usb_typec_1_00_4c(val) ((rs_standby_usb_typec_1_00_4c*)&(val))



#define STANDBY_USB_TYPEC_1_00_50                                        (HV_USB_TYPEC_1_00_BASE_ADDRESS + 0x50)

#define STANDBY_USB_TYPEC_1_00_50_struct                                 rs_standby_usb_typec_1_00_50

typedef struct _rs_standby_usb_typec_1_00_50  rs_standby_usb_typec_1_00_50;
struct _rs_standby_usb_typec_1_00_50 {
    unsigned int REG_00_RW_2D50_PE_TIMER_timeout_value      : 8;
    unsigned int REG_00_RW_2D51_PE_TIMER_timeout_value      : 8;
    unsigned int REG_00_RW_2D52_PE_TIMER_timeout_value      : 8;
    unsigned int REG_00_RW_2D53_PE_TIMER_timeout_value      : 8;
};
#define standby_usb_typec_1_00_50(val) ((rs_standby_usb_typec_1_00_50*)&(val))



#define STANDBY_USB_TYPEC_1_00_54                                        (HV_USB_TYPEC_1_00_BASE_ADDRESS + 0x54)

#define STANDBY_USB_TYPEC_1_00_54_struct                                 rs_standby_usb_typec_1_00_54

typedef struct _rs_standby_usb_typec_1_00_54  rs_standby_usb_typec_1_00_54;
struct _rs_standby_usb_typec_1_00_54 {
    unsigned int REG_00_RW_2D54_PE_TIMER_timeout_value      : 8;
    unsigned int REG_00_RW_2D55_PE_TIMER_timeout_value      : 8;
    unsigned int REG_00_RW_2D56_PE_TIMER_timeout_value      : 8;
    unsigned int REG_00_RW_2D57_PE_TIMER_timeout_value      : 8;
};
#define standby_usb_typec_1_00_54(val) ((rs_standby_usb_typec_1_00_54*)&(val))



#define STANDBY_USB_TYPEC_1_00_58                                        (HV_USB_TYPEC_1_00_BASE_ADDRESS + 0x58)

#define STANDBY_USB_TYPEC_1_00_58_struct                                 rs_standby_usb_typec_1_00_58

typedef struct _rs_standby_usb_typec_1_00_58  rs_standby_usb_typec_1_00_58;
struct _rs_standby_usb_typec_1_00_58 {
    unsigned int REG_00_RW_2D58_PE_TIMER_timeout_value      : 8;
    unsigned int REG_00_RW_2D59_PE_TIMER_timeout_value      : 8;
    unsigned int REG_00_RW_2D5A_PE_TIMER_timeout_value      : 8;
    unsigned int REG_00_RW_2D5B_PE_TIMER_timeout_value      : 8;
};
#define standby_usb_typec_1_00_58(val) ((rs_standby_usb_typec_1_00_58*)&(val))



#define STANDBY_USB_TYPEC_1_00_5C                                        (HV_USB_TYPEC_1_00_BASE_ADDRESS + 0x5C)

#define STANDBY_USB_TYPEC_1_00_5C_struct                                 rs_standby_usb_typec_1_00_5c

typedef struct _rs_standby_usb_typec_1_00_5c  rs_standby_usb_typec_1_00_5c;
struct _rs_standby_usb_typec_1_00_5c {
    unsigned int REG_00_RW_2D5C_PE_TIMER_timeout_value      : 8;
    unsigned int REG_00_RW_2D5D_PE_TIMER_timeout_value      : 8;
    unsigned int REG_00_RW_2D5E_PE_TIMER_timeout_value      : 8;
    unsigned int REG_00_RW_2D5F_PE_TIMER_timeout_value      : 8;
};
#define standby_usb_typec_1_00_5c(val) ((rs_standby_usb_typec_1_00_5c*)&(val))



#define STANDBY_USB_TYPEC_1_00_60                                        (HV_USB_TYPEC_1_00_BASE_ADDRESS + 0x60)

#define STANDBY_USB_TYPEC_1_00_60_struct                                 rs_standby_usb_typec_1_00_60

typedef struct _rs_standby_usb_typec_1_00_60  rs_standby_usb_typec_1_00_60;
struct _rs_standby_usb_typec_1_00_60 {
    unsigned int REG_00_RW_2D60_PE_TIMER_timeout_value      : 8;
    unsigned int REG_00_RW_2D61_PE_TIMER_timeout_value      : 8;
    unsigned int REG_00_RW_2D62_PE_TIMER_timeout_value      : 8;
    unsigned int REG_00_RW_2D63_PE_TIMER_timeout_value      : 8;
};
#define standby_usb_typec_1_00_60(val) ((rs_standby_usb_typec_1_00_60*)&(val))



#define STANDBY_USB_TYPEC_1_00_64                                        (HV_USB_TYPEC_1_00_BASE_ADDRESS + 0x64)

#define STANDBY_USB_TYPEC_1_00_64_struct                                 rs_standby_usb_typec_1_00_64

typedef struct _rs_standby_usb_typec_1_00_64  rs_standby_usb_typec_1_00_64;
struct _rs_standby_usb_typec_1_00_64 {
    unsigned int REG_00_RW_2D64_PE_TIMER_timeout_value      : 8;
    unsigned int REG_00_RW_2D65_PE_TIMER_timeout_value      : 8;
    unsigned int REG_00_RW_2D66_PE_TIMER_timeout_value      : 8;
    unsigned int REG_00_RW_2D67_PE_TIMER_timeout_value      : 8;
};
#define standby_usb_typec_1_00_64(val) ((rs_standby_usb_typec_1_00_64*)&(val))



#define STANDBY_USB_TYPEC_1_00_68                                        (HV_USB_TYPEC_1_00_BASE_ADDRESS + 0x68)

#define STANDBY_USB_TYPEC_1_00_68_struct                                 rs_standby_usb_typec_1_00_68

typedef struct _rs_standby_usb_typec_1_00_68  rs_standby_usb_typec_1_00_68;
struct _rs_standby_usb_typec_1_00_68 {
    unsigned int REG_00_RW_2D68_PE_TIMER_timeout_value      : 8;
    unsigned int REG_00_RW_2D69_PE_TIMER_timeout_value      : 8;
    unsigned int REG_00_RW_2D6A_PE_TIMER_timeout_value      : 8;
    unsigned int REG_00_RW_2D6B_PE_TIMER_timeout_value      : 8;
};
#define standby_usb_typec_1_00_68(val) ((rs_standby_usb_typec_1_00_68*)&(val))



#define STANDBY_USB_TYPEC_1_00_80                                        (HV_USB_TYPEC_1_00_BASE_ADDRESS + 0x80)

#define STANDBY_USB_TYPEC_1_00_80_struct                                 rs_standby_usb_typec_1_00_80

typedef struct _rs_standby_usb_typec_1_00_80  rs_standby_usb_typec_1_00_80;
struct _rs_standby_usb_typec_1_00_80 {
    unsigned int REG_00_RW_2D80_PE_TIMER_timeout_value      : 8;
    unsigned int REG_00_RW_2D81_PD_RX_IRQ_Mask              : 8;
    unsigned int REG_00_RW_2D82_PD_TX_IRQ_Mask              : 8;
    unsigned int REG_00_RW_2D83_PD_RX_FSM_SOP_IRQ_Mask      : 8;
};
#define standby_usb_typec_1_00_80(val) ((rs_standby_usb_typec_1_00_80*)&(val))



#define STANDBY_USB_TYPEC_1_00_84                                        (HV_USB_TYPEC_1_00_BASE_ADDRESS + 0x84)

#define STANDBY_USB_TYPEC_1_00_84_struct                                 rs_standby_usb_typec_1_00_84

typedef struct _rs_standby_usb_typec_1_00_84  rs_standby_usb_typec_1_00_84;
struct _rs_standby_usb_typec_1_00_84 {
    unsigned int REG_00_RW_2D84_PD_RX_FSM_SOPP_IRQ_Mask     : 8;
    unsigned int REG_00_RW_2D85_PD_TX_FSM_SOP_IRQ_Mask      : 8;
    unsigned int REG_00_RW_2D86_PD_TX_FSM_SOPP_IRQ_Mask     : 8;
    unsigned int REG_00_RW_2D87_PD_Reset_FSM_IRQ_Mask       : 8;
};
#define standby_usb_typec_1_00_84(val) ((rs_standby_usb_typec_1_00_84*)&(val))



#define STANDBY_USB_TYPEC_1_00_88                                        (HV_USB_TYPEC_1_00_BASE_ADDRESS + 0x88)

#define STANDBY_USB_TYPEC_1_00_88_struct                                 rs_standby_usb_typec_1_00_88

typedef struct _rs_standby_usb_typec_1_00_88  rs_standby_usb_typec_1_00_88;
struct _rs_standby_usb_typec_1_00_88 {
    unsigned int REG_00_RW_2D88_PE_TIMER_IRQ_Mask           : 8;
    unsigned int REG_00_RW_2D89_PE_TIMER_IRQ_Mask           : 8;
    unsigned int REG_00_RW_2D8A_PE_TIMER_IRQ_Mask           : 8;
    unsigned int REG_00_RW_2D8B_PE_TIMER_IRQ_Mask           : 8;
};
#define standby_usb_typec_1_00_88(val) ((rs_standby_usb_typec_1_00_88*)&(val))



#define STANDBY_USB_TYPEC_1_00_8C                                        (HV_USB_TYPEC_1_00_BASE_ADDRESS + 0x8C)

#define STANDBY_USB_TYPEC_1_00_8C_struct                                 rs_standby_usb_typec_1_00_8c

typedef struct _rs_standby_usb_typec_1_00_8c  rs_standby_usb_typec_1_00_8c;
struct _rs_standby_usb_typec_1_00_8c {
    unsigned int REG_00_RW_2D8C_USBPD_MISC_IRQ_Mask         : 8;
    unsigned int REG_00_RW_2D8D_Reserved                    : 8;
    unsigned int REG_00_RW_2D8E_Reserved                    : 8;
    unsigned int REG_00_RW_2D8F_Reserved                    : 8;
};
#define standby_usb_typec_1_00_8c(val) ((rs_standby_usb_typec_1_00_8c*)&(val))



#define STANDBY_USB_TYPEC_1_00_90                                        (HV_USB_TYPEC_1_00_BASE_ADDRESS + 0x90)

#define STANDBY_USB_TYPEC_1_00_90_struct                                 rs_standby_usb_typec_1_00_90

typedef struct _rs_standby_usb_typec_1_00_90  rs_standby_usb_typec_1_00_90;
struct _rs_standby_usb_typec_1_00_90 {
    unsigned int REG_00_RW_2D90_CCTX_AUX_START              : 1;
    unsigned int REG_00_RW_2D90_CCTX_AUX_STOP               : 1;
    unsigned int REG_00_RW_2D90_CCTX_AUX_EN                 : 1;
    unsigned int REG_00_RW_2D90_Reserved                    : 5;
    unsigned int REG_00_RW_2D91_TRIM_INITIAL                : 8;
    unsigned int REG_00_RW_2D92_TRIM_DOWN_LIMIT             : 5;
    unsigned int REG_00_RW_2D92_TRIM_WINDOW                 : 3;
    unsigned int REG_00_RW_2D93_TRIM_STEP                   : 3;
    unsigned int REG_00_RW_2D93_ADJUST_DIR                  : 1;
    unsigned int REG_00_RW_2D93_Reserved                    : 4;
};
#define standby_usb_typec_1_00_90(val) ((rs_standby_usb_typec_1_00_90*)&(val))



#define STANDBY_USB_TYPEC_1_00_94                                        (HV_USB_TYPEC_1_00_BASE_ADDRESS + 0x94)

#define STANDBY_USB_TYPEC_1_00_94_struct                                 rs_standby_usb_typec_1_00_94

typedef struct _rs_standby_usb_typec_1_00_94  rs_standby_usb_typec_1_00_94;
struct _rs_standby_usb_typec_1_00_94 {
    unsigned int REG_00_RW_2D94_PD_START_DLY                : 8;
    unsigned int REG_00_RW_2D95_PD_START_DLY                : 8;
    unsigned int REG_00_RW_2D96_MAX_CYCLE_NUM               : 5;
    unsigned int REG_00_RW_2D96_MAX_CYCLE_EN                : 3;
    unsigned int REG_00_RW_2D97_Reserved                    : 8;
};
#define standby_usb_typec_1_00_94(val) ((rs_standby_usb_typec_1_00_94*)&(val))



#define STANDBY_USB_TYPEC_1_00_A0                                        (HV_USB_TYPEC_1_00_BASE_ADDRESS + 0xA0)

#define STANDBY_USB_TYPEC_1_00_A0_struct                                 rs_standby_usb_typec_1_00_a0

typedef struct _rs_standby_usb_typec_1_00_a0  rs_standby_usb_typec_1_00_a0;
struct _rs_standby_usb_typec_1_00_a0 {
    unsigned int REG_00_RW_2DA0_CLK_MISC                    : 1;
    unsigned int REG_00_RW_2DA0_CLK_UFP_FSM                 : 1;
    unsigned int REG_00_RW_2DA0_CLK_DRP_FSM                 : 1;
    unsigned int REG_00_RW_2DA0_CLK_TERM_DET                : 1;
    unsigned int REG_00_RW_2DA0_Clock_Gating_Control_for_CC_Detect: 4;
    unsigned int REG_00_RW_2DA1_VBUS_or_VCONN_power_detection_configuration: 8;
    unsigned int REG_00_RW_2DA2_VBUS_or_VCONN_IRQ_edge_setting: 8;
    unsigned int REG_00_RW_2DA3_CCSEL_ANA_FW                : 1;
    unsigned int REG_00_RW_2DA3_CCSEL_ANA_MODE              : 1;
    unsigned int REG_00_RW_2DA3_CCSEL_ANA_INV               : 1;
    unsigned int REG_00_RW_2DA3_Reserved                    : 5;
};
#define standby_usb_typec_1_00_a0(val) ((rs_standby_usb_typec_1_00_a0*)&(val))



#define STANDBY_USB_TYPEC_1_00_A4                                        (HV_USB_TYPEC_1_00_BASE_ADDRESS + 0xA4)

#define STANDBY_USB_TYPEC_1_00_A4_struct                                 rs_standby_usb_typec_1_00_a4

typedef struct _rs_standby_usb_typec_1_00_a4  rs_standby_usb_typec_1_00_a4;
struct _rs_standby_usb_typec_1_00_a4 {
    unsigned int REG_00_RW_2DA4_CCVOL_RD_GND                : 2;
    unsigned int REG_00_RW_2DA4_CCVOL_RD_CON                : 2;
    unsigned int REG_00_RW_2DA4_CCVOL_SWAP                  : 1;
    unsigned int REG_00_RW_2DA4_CCVOL_SEL_FW                : 1;
    unsigned int REG_00_RW_2DA4_CCVOL_SEL_MODE              : 1;
    unsigned int REG_00_RW_2DA4_DBBP_CCVOL                  : 1;
    unsigned int REG_00_RW_2DA5_CCVOL_RP_OPEN               : 2;
    unsigned int REG_00_RW_2DA5_CCVOL_RP_RD                 : 2;
    unsigned int REG_00_RW_2DA5_CCVOL_RP_RA                 : 4;
    unsigned int REG_00_RW_2DA6_Plug_Flip_detection_configuration: 8;
    unsigned int REG_00_RW_2DA7_STATE_DIRECT_TRIG           : 1;
    unsigned int REG_00_RW_2DA7_STATE_DIRECT                : 7;
};
#define standby_usb_typec_1_00_a4(val) ((rs_standby_usb_typec_1_00_a4*)&(val))



#define STANDBY_USB_TYPEC_1_00_A8                                        (HV_USB_TYPEC_1_00_BASE_ADDRESS + 0xA8)

#define STANDBY_USB_TYPEC_1_00_A8_struct                                 rs_standby_usb_typec_1_00_a8

typedef struct _rs_standby_usb_typec_1_00_a8  rs_standby_usb_typec_1_00_a8;
struct _rs_standby_usb_typec_1_00_a8 {
    unsigned int REG_00_RW_2DA8_TERR_RECOV                  : 8;
    unsigned int REG_00_RW_2DA9_Reserved                    : 8;
    unsigned int REG_00_RW_2DAA_Debounce_attach_for_tCCDebounce: 8;
    unsigned int REG_00_RW_2DAB_Debounce_detach_for_tPDDebounce: 8;
};
#define standby_usb_typec_1_00_a8(val) ((rs_standby_usb_typec_1_00_a8*)&(val))



#define STANDBY_USB_TYPEC_1_00_AC                                        (HV_USB_TYPEC_1_00_BASE_ADDRESS + 0xAC)

#define STANDBY_USB_TYPEC_1_00_AC_struct                                 rs_standby_usb_typec_1_00_ac

typedef struct _rs_standby_usb_typec_1_00_ac  rs_standby_usb_typec_1_00_ac;
struct _rs_standby_usb_typec_1_00_ac {
    unsigned int REG_00_RW_2DAC_Debounce_VBUS_ON_for_tVBUSON: 8;
    unsigned int REG_00_RW_2DAD_Debounce_VBUS_OFF_for_tVBUSOFF: 8;
    unsigned int REG_00_RW_2DAE_Debounce_VCONN_ON_for_tVCONNON: 8;
    unsigned int REG_00_RW_2DAF_Debounce_VCONN_OFF_for_tVCONNOFF: 8;
};
#define standby_usb_typec_1_00_ac(val) ((rs_standby_usb_typec_1_00_ac*)&(val))



#define STANDBY_USB_TYPEC_1_00_B0                                        (HV_USB_TYPEC_1_00_BASE_ADDRESS + 0xB0)

#define STANDBY_USB_TYPEC_1_00_B0_struct                                 rs_standby_usb_typec_1_00_b0

typedef struct _rs_standby_usb_typec_1_00_b0  rs_standby_usb_typec_1_00_b0;
struct _rs_standby_usb_typec_1_00_b0 {
    unsigned int REG_00_RW_2DB0_reg_cc_chg_cnt              : 8;
    unsigned int REG_00_RW_2DB1_reg_cc_vol_chg_thd          : 8;
    unsigned int REG_00_RW_2DB2_Reserved                    : 8;
    unsigned int REG_00_RW_2DB3_CCDET_test_signal_index     : 8;
};
#define standby_usb_typec_1_00_b0(val) ((rs_standby_usb_typec_1_00_b0*)&(val))



#define STANDBY_USB_TYPEC_1_00_B4                                        (HV_USB_TYPEC_1_00_BASE_ADDRESS + 0xB4)

#define STANDBY_USB_TYPEC_1_00_B4_struct                                 rs_standby_usb_typec_1_00_b4

typedef struct _rs_standby_usb_typec_1_00_b4  rs_standby_usb_typec_1_00_b4;
struct _rs_standby_usb_typec_1_00_b4 {
    unsigned int REG_00_RW_2DB4_DRP_PERIOD                  : 8;
    unsigned int REG_00_RW_2DB5_DRP_DUTY                    : 8;
    unsigned int REG_00_RW_2DB6_DRP_HOLD                    : 8;
    unsigned int REG_00_RW_2DB7_DRP_LOCK                    : 8;
};
#define standby_usb_typec_1_00_b4(val) ((rs_standby_usb_typec_1_00_b4*)&(val))



#define STANDBY_USB_TYPEC_1_00_CC                                        (HV_USB_TYPEC_1_00_BASE_ADDRESS + 0xCC)

#define STANDBY_USB_TYPEC_1_00_CC_struct                                 rs_standby_usb_typec_1_00_cc

typedef struct _rs_standby_usb_typec_1_00_cc  rs_standby_usb_typec_1_00_cc;
struct _rs_standby_usb_typec_1_00_cc {
    unsigned int REG_00_RW_2DCC_Reserved                    : 8;
    unsigned int REG_00_RW_2DCD_IRQ_mask_for_VBUS_or_VCONN_Power_detection: 8;
    unsigned int REG_00_RW_2DCE_IRQ_mask_for_CC_Voltage_detection: 8;
    unsigned int REG_00_RW_2DCF_IRQ_mask_for_connection_detection_FSM: 8;
};
#define standby_usb_typec_1_00_cc(val) ((rs_standby_usb_typec_1_00_cc*)&(val))



#endif