#ifndef _HV_PAGE_HT7315_USB_TYPEC_PHY_TOP_00_H_
#define _HV_PAGE_HT7315_USB_TYPEC_PHY_TOP_00_H_

#ifndef HV_USB_TYPEC_PHY_TOP_00_BASE_ADDRESS
    #define HV_USB_TYPEC_PHY_TOP_00_BASE_ADDRESS                                         0x1100A400
#endif


#define STANDBY_USB_TYPEC_PHY_TOP_00_00                                  (HV_USB_TYPEC_PHY_TOP_00_BASE_ADDRESS + 0x00)

#define STANDBY_USB_TYPEC_PHY_TOP_00_00_struct                           rs_standby_usb_typec_phy_top_00_00

typedef struct _rs_standby_usb_typec_phy_top_00_00  rs_standby_usb_typec_phy_top_00_00;
struct _rs_standby_usb_typec_phy_top_00_00 {
    unsigned int reg_00_ccphy_adc_brige                     : 4;
    unsigned int reg_00_ccphy_adcib_comp                    : 2;
    unsigned int reg_00_ccphy_adcpulse_mode                 : 1;
    unsigned int reg_00_ccphy_atestsel                      : 4;
    unsigned int reg_00_ccphy_ccrxvrefh                     : 8;
    unsigned int reg_00_ccphy_ccrxvrefl                     : 8;
    unsigned int reg_00_ccphy_divsel                        : 2;
    unsigned int reg_00_ccphy_pd                            : 1;
    unsigned int reg_00_ccphy_radc_en                       : 1;
    unsigned int reg_00_ccphy_rd_deten                      : 1;
};
#define standby_usb_typec_phy_top_00_00(val) ((rs_standby_usb_typec_phy_top_00_00*)&(val))



#define STANDBY_USB_TYPEC_PHY_TOP_00_04                                  (HV_USB_TYPEC_PHY_TOP_00_BASE_ADDRESS + 0x04)

#define STANDBY_USB_TYPEC_PHY_TOP_00_04_struct                           rs_standby_usb_typec_phy_top_00_04

typedef struct _rs_standby_usb_typec_phy_top_00_04  rs_standby_usb_typec_phy_top_00_04;
struct _rs_standby_usb_typec_phy_top_00_04 {
    unsigned int reg_00_ccphy_keep                          : 8;
    unsigned int reg_00_ccphy_rdtrim                        : 4;
    unsigned int reg_00_ccphy_rdtrim_sel                    : 1;
    unsigned int reg_00_ccphy_rptrim                        : 6;
    unsigned int reg_00_ccphy_slpsel                        : 1;
    unsigned int reg_00_ccphy_v1p1_adj                      : 3;
    unsigned int reg_00_ccphy_v1p02_adj                     : 3;
    unsigned int reg_00_ccphy_v1p8_adj                      : 3;
    unsigned int reserved                                   : 3;
};
#define standby_usb_typec_phy_top_00_04(val) ((rs_standby_usb_typec_phy_top_00_04*)&(val))



#define STANDBY_USB_TYPEC_PHY_TOP_00_08                                  (HV_USB_TYPEC_PHY_TOP_00_BASE_ADDRESS + 0x08)

#define STANDBY_USB_TYPEC_PHY_TOP_00_08_struct                           rs_standby_usb_typec_phy_top_00_08

typedef struct _rs_standby_usb_typec_phy_top_00_08  rs_standby_usb_typec_phy_top_00_08;
struct _rs_standby_usb_typec_phy_top_00_08 {
    unsigned int regr_00_ccphy_rdtrim                       : 4;
    unsigned int regr_00_ccphy_rd_cmpout                    : 1;
    unsigned int regr_00_ccphy_rdtrim_done                  : 1;
    unsigned int reserved                                   :26;
};
#define standby_usb_typec_phy_top_00_08(val) ((rs_standby_usb_typec_phy_top_00_08*)&(val))



#define STANDBY_USB_TYPEC_PHY_TOP_00_10                                  (HV_USB_TYPEC_PHY_TOP_00_BASE_ADDRESS + 0x10)

#define STANDBY_USB_TYPEC_PHY_TOP_00_10_struct                           rs_standby_usb_typec_phy_top_00_10

typedef struct _rs_standby_usb_typec_phy_top_00_10  rs_standby_usb_typec_phy_top_00_10;
struct _rs_standby_usb_typec_phy_top_00_10 {
    unsigned int reg_00_ccphy_rstn_cc                       : 1;
    unsigned int reg_00_ccphy_rstn_adc                      : 1;
    unsigned int reg_00_din_rdtrim_start                    : 1;
    unsigned int reg_00_din_sleepmode                       : 1;
    unsigned int reserved                                   :28;
};
#define standby_usb_typec_phy_top_00_10(val) ((rs_standby_usb_typec_phy_top_00_10*)&(val))



#endif