#ifndef _HV_PAGE_HT7315_USB_TYPEC_TOP_00_H_
#define _HV_PAGE_HT7315_USB_TYPEC_TOP_00_H_

#ifndef HV_USB_TYPEC_TOP_00_BASE_ADDRESS
    #define HV_USB_TYPEC_TOP_00_BASE_ADDRESS                                         0x1100A200
#endif


#define STANDBY_USB_TYPEC_TOP_00_00                                      (HV_USB_TYPEC_TOP_00_BASE_ADDRESS + 0x00)

#define STANDBY_USB_TYPEC_TOP_00_00_struct                               rs_standby_usb_typec_top_00_00

typedef struct _rs_standby_usb_typec_top_00_00  rs_standby_usb_typec_top_00_00;
struct _rs_standby_usb_typec_top_00_00 {
    unsigned int reg_00_rstn_peri                           : 1;
    unsigned int reg_00_rstn_ccdet                          : 1;
    unsigned int reg_00_rstn_usbpd                          : 1;
    unsigned int reserved                                   :23;
    unsigned int reg_00_SENSE2A_SEL                         : 1;
    unsigned int reg_00_SENSE2A_FW                          : 1;
    unsigned int reserved_1                                 : 4;
};
#define standby_usb_typec_top_00_00(val) ((rs_standby_usb_typec_top_00_00*)&(val))



#define STANDBY_USB_TYPEC_TOP_00_04                                      (HV_USB_TYPEC_TOP_00_BASE_ADDRESS + 0x04)

#define STANDBY_USB_TYPEC_TOP_00_04_struct                               rs_standby_usb_typec_top_00_04

typedef struct _rs_standby_usb_typec_top_00_04  rs_standby_usb_typec_top_00_04;
struct _rs_standby_usb_typec_top_00_04 {
    unsigned int reg_00_cc1_rd_en                           : 1;
    unsigned int reg_00_cc2_rd_en                           : 1;
    unsigned int reg_00_cc1_rp_en                           : 1;
    unsigned int reg_00_cc2_rp_en                           : 1;
    unsigned int reg_00_cc1_vconn_sel                       : 1;
    unsigned int reg_00_cc2_vconn_sel                       : 1;
    unsigned int reg_00_cc1_det_2bit_en                     : 1;
    unsigned int reg_00_cc2_det_2bit_en                     : 1;
    unsigned int reg_00_sw_ctrl_rd_en                       : 1;
    unsigned int reg_00_sw_ctrl_rp_en                       : 1;
    unsigned int reserved                                   :22;
};
#define standby_usb_typec_top_00_04(val) ((rs_standby_usb_typec_top_00_04*)&(val))



#define STANDBY_USB_TYPEC_TOP_00_08                                      (HV_USB_TYPEC_TOP_00_BASE_ADDRESS + 0x08)

#define STANDBY_USB_TYPEC_TOP_00_08_struct                               rs_standby_usb_typec_top_00_08

typedef struct _rs_standby_usb_typec_top_00_08  rs_standby_usb_typec_top_00_08;
struct _rs_standby_usb_typec_top_00_08 {
    unsigned int reg_00_power_role_state                    : 2;
    unsigned int reg_00_drp_preference                      : 1;
    unsigned int reg_00_self_powered                        : 1;
    unsigned int reg_00_accessory_support                   : 1;
    unsigned int reg_00_audio_accessory_support             : 1;
    unsigned int reg_00_debug_accessory_support             : 1;
    unsigned int reg_00_vconn_powered_accessory_support     : 1;
    unsigned int reg_00_pd_support                          : 1;
    unsigned int reg_00_try_src_support                     : 1;
    unsigned int reg_00_try_snk_support                     : 1;
    unsigned int reg_00_vbus_operating_mode                 : 1;
    unsigned int reserved                                   :20;
};
#define standby_usb_typec_top_00_08(val) ((rs_standby_usb_typec_top_00_08*)&(val))



#define STANDBY_USB_TYPEC_TOP_00_10                                      (HV_USB_TYPEC_TOP_00_BASE_ADDRESS + 0x10)

#define STANDBY_USB_TYPEC_TOP_00_10_struct                               rs_standby_usb_typec_top_00_10

typedef struct _rs_standby_usb_typec_top_00_10  rs_standby_usb_typec_top_00_10;
struct _rs_standby_usb_typec_top_00_10 {
    unsigned int reg_00_vbus_on_thd                         : 8;
    unsigned int reg_00_vbus_off_thd                        : 8;
    unsigned int reserved                                   :16;
};
#define standby_usb_typec_top_00_10(val) ((rs_standby_usb_typec_top_00_10*)&(val))



#define STANDBY_USB_TYPEC_TOP_00_14                                      (HV_USB_TYPEC_TOP_00_BASE_ADDRESS + 0x14)

#define STANDBY_USB_TYPEC_TOP_00_14_struct                               rs_standby_usb_typec_top_00_14

typedef struct _rs_standby_usb_typec_top_00_14  rs_standby_usb_typec_top_00_14;
struct _rs_standby_usb_typec_top_00_14 {
    unsigned int reg_00_vconn_on_thd                        : 8;
    unsigned int reg_00_vconn_off_thd                       : 8;
    unsigned int reserved                                   :16;
};
#define standby_usb_typec_top_00_14(val) ((rs_standby_usb_typec_top_00_14*)&(val))



#define STANDBY_USB_TYPEC_TOP_00_18                                      (HV_USB_TYPEC_TOP_00_BASE_ADDRESS + 0x18)

#define STANDBY_USB_TYPEC_TOP_00_18_struct                               rs_standby_usb_typec_top_00_18

typedef struct _rs_standby_usb_typec_top_00_18  rs_standby_usb_typec_top_00_18;
struct _rs_standby_usb_typec_top_00_18 {
    unsigned int reg_00_vsink_disconnect_vol                : 8;
    unsigned int reg_00_vsink_disconnect_pd_vol             : 8;
    unsigned int reg_00_vsafe0v                             : 8;
    unsigned int reg_00_vvconn_disconnect_vol               : 8;
};
#define standby_usb_typec_top_00_18(val) ((rs_standby_usb_typec_top_00_18*)&(val))



#define STANDBY_USB_TYPEC_TOP_00_1C                                      (HV_USB_TYPEC_TOP_00_BASE_ADDRESS + 0x1C)

#define STANDBY_USB_TYPEC_TOP_00_1C_struct                               rs_standby_usb_typec_top_00_1c

typedef struct _rs_standby_usb_typec_top_00_1c  rs_standby_usb_typec_top_00_1c;
struct _rs_standby_usb_typec_top_00_1c {
    unsigned int reg_00_vvconn_discharge_vol                : 8;
    unsigned int reg_00_vrd_usb_vol                         : 8;
    unsigned int reserved                                   :16;
};
#define standby_usb_typec_top_00_1c(val) ((rs_standby_usb_typec_top_00_1c*)&(val))



#define STANDBY_USB_TYPEC_TOP_00_20                                      (HV_USB_TYPEC_TOP_00_BASE_ADDRESS + 0x20)

#define STANDBY_USB_TYPEC_TOP_00_20_struct                               rs_standby_usb_typec_top_00_20

typedef struct _rs_standby_usb_typec_top_00_20  rs_standby_usb_typec_top_00_20;
struct _rs_standby_usb_typec_top_00_20 {
    unsigned int reg_00_ra_threshold                        : 8;
    unsigned int reg_00_rd_threshold                        : 8;
    unsigned int reg_00_sink_con_threshold                  : 8;
    unsigned int reg_00_cc_adc_in_db                        : 8;
};
#define standby_usb_typec_top_00_20(val) ((rs_standby_usb_typec_top_00_20*)&(val))



#define STANDBY_USB_TYPEC_TOP_00_24                                      (HV_USB_TYPEC_TOP_00_BASE_ADDRESS + 0x24)

#define STANDBY_USB_TYPEC_TOP_00_24_struct                               rs_standby_usb_typec_top_00_24

typedef struct _rs_standby_usb_typec_top_00_24  rs_standby_usb_typec_top_00_24;
struct _rs_standby_usb_typec_top_00_24 {
    unsigned int reg_00_delay_cnt                           :32;
};
#define standby_usb_typec_top_00_24(val) ((rs_standby_usb_typec_top_00_24*)&(val))



#define STANDBY_USB_TYPEC_TOP_00_28                                      (HV_USB_TYPEC_TOP_00_BASE_ADDRESS + 0x28)

#define STANDBY_USB_TYPEC_TOP_00_28_struct                               rs_standby_usb_typec_top_00_28

typedef struct _rs_standby_usb_typec_top_00_28  rs_standby_usb_typec_top_00_28;
struct _rs_standby_usb_typec_top_00_28 {
    unsigned int reg_00_typec_vbus_value                    : 8;
    unsigned int reg_00_typec_vbus_sel                      : 1;
    unsigned int reserved                                   :23;
};
#define standby_usb_typec_top_00_28(val) ((rs_standby_usb_typec_top_00_28*)&(val))



#define STANDBY_USB_TYPEC_TOP_00_30                                      (HV_USB_TYPEC_TOP_00_BASE_ADDRESS + 0x30)

#define STANDBY_USB_TYPEC_TOP_00_30_struct                               rs_standby_usb_typec_top_00_30

typedef struct _rs_standby_usb_typec_top_00_30  rs_standby_usb_typec_top_00_30;
struct _rs_standby_usb_typec_top_00_30 {
    unsigned int reg_00_clk_freq                            : 8;
    unsigned int reg_00_terror_recovery                     : 8;
    unsigned int reg_00_tccdebounce                         : 8;
    unsigned int reg_00_tpddebounce                         : 8;
};
#define standby_usb_typec_top_00_30(val) ((rs_standby_usb_typec_top_00_30*)&(val))



#define STANDBY_USB_TYPEC_TOP_00_34                                      (HV_USB_TYPEC_TOP_00_BASE_ADDRESS + 0x34)

#define STANDBY_USB_TYPEC_TOP_00_34_struct                               rs_standby_usb_typec_top_00_34

typedef struct _rs_standby_usb_typec_top_00_34  rs_standby_usb_typec_top_00_34;
struct _rs_standby_usb_typec_top_00_34 {
    unsigned int reg_00_ttryccdebounce                      : 8;
    unsigned int reg_00_tdrp                                : 8;
    unsigned int reg_00_dcsrc_drp                           : 8;
    unsigned int reg_00_tdrptry                             : 8;
};
#define standby_usb_typec_top_00_34(val) ((rs_standby_usb_typec_top_00_34*)&(val))



#define STANDBY_USB_TYPEC_TOP_00_38                                      (HV_USB_TYPEC_TOP_00_BASE_ADDRESS + 0x38)

#define STANDBY_USB_TYPEC_TOP_00_38_struct                               rs_standby_usb_typec_top_00_38

typedef struct _rs_standby_usb_typec_top_00_38  rs_standby_usb_typec_top_00_38;
struct _rs_standby_usb_typec_top_00_38 {
    unsigned int reg_00_tdrptrywait                         :16;
    unsigned int reg_00_ttrytimeout                         :16;
};
#define standby_usb_typec_top_00_38(val) ((rs_standby_usb_typec_top_00_38*)&(val))



#define STANDBY_USB_TYPEC_TOP_00_3C                                      (HV_USB_TYPEC_TOP_00_BASE_ADDRESS + 0x3C)

#define STANDBY_USB_TYPEC_TOP_00_3C_struct                               rs_standby_usb_typec_top_00_3c

typedef struct _rs_standby_usb_typec_top_00_3c  rs_standby_usb_typec_top_00_3c;
struct _rs_standby_usb_typec_top_00_3c {
    unsigned int reg_00_cmd_direct                          : 5;
    unsigned int reg_00_cmd_direct_en                       : 2;
    unsigned int reg_00_source_vconn_supply                 : 1;
    unsigned int reg_00_oriention_required                  : 1;
    unsigned int reserved                                   :23;
};
#define standby_usb_typec_top_00_3c(val) ((rs_standby_usb_typec_top_00_3c*)&(val))



#define STANDBY_USB_TYPEC_TOP_00_40                                      (HV_USB_TYPEC_TOP_00_BASE_ADDRESS + 0x40)

#define STANDBY_USB_TYPEC_TOP_00_40_struct                               rs_standby_usb_typec_top_00_40

typedef struct _rs_standby_usb_typec_top_00_40  rs_standby_usb_typec_top_00_40;
struct _rs_standby_usb_typec_top_00_40 {
    unsigned int reg_00_vconn_powered_acc                   : 1;
    unsigned int reg_00_vconn_powered_dev                   : 1;
    unsigned int reg_00_pr_swap_inflow                      : 1;
    unsigned int reg_00_pr_swap_rdy                         : 1;
    unsigned int reg_00_pr_swap_accept                      : 1;
    unsigned int reg_00_drp_toggle                          : 1;
    unsigned int reg_00_attached_vconn_powered_acc          : 1;
    unsigned int reg_00_attached_vconn_powered_dev          : 1;
    unsigned int reg_00_dev_enter_alternate_success         : 1;
    unsigned int reserved                                   :23;
};
#define standby_usb_typec_top_00_40(val) ((rs_standby_usb_typec_top_00_40*)&(val))



#define STANDBY_USB_TYPEC_TOP_00_44                                      (HV_USB_TYPEC_TOP_00_BASE_ADDRESS + 0x44)

#define STANDBY_USB_TYPEC_TOP_00_44_struct                               rs_standby_usb_typec_top_00_44

typedef struct _rs_standby_usb_typec_top_00_44  rs_standby_usb_typec_top_00_44;
struct _rs_standby_usb_typec_top_00_44 {
    unsigned int regr_00_vbus_value                         : 8;
    unsigned int reserved                                   : 8;
    unsigned int regr_00_vconn_value                        :12;
    unsigned int reserved_1                                 : 4;
};
#define standby_usb_typec_top_00_44(val) ((rs_standby_usb_typec_top_00_44*)&(val))



#define STANDBY_USB_TYPEC_TOP_00_48                                      (HV_USB_TYPEC_TOP_00_BASE_ADDRESS + 0x48)

#define STANDBY_USB_TYPEC_TOP_00_48_struct                               rs_standby_usb_typec_top_00_48

typedef struct _rs_standby_usb_typec_top_00_48  rs_standby_usb_typec_top_00_48;
struct _rs_standby_usb_typec_top_00_48 {
    unsigned int regr_00_cc1_adc_in                         :12;
    unsigned int reserved                                   : 4;
    unsigned int regr_00_cc2_adc_in                         :12;
    unsigned int reserved_1                                 : 4;
};
#define standby_usb_typec_top_00_48(val) ((rs_standby_usb_typec_top_00_48*)&(val))



#define STANDBY_USB_TYPEC_TOP_00_4C                                      (HV_USB_TYPEC_TOP_00_BASE_ADDRESS + 0x4C)

#define STANDBY_USB_TYPEC_TOP_00_4C_struct                               rs_standby_usb_typec_top_00_4c

typedef struct _rs_standby_usb_typec_top_00_4c  rs_standby_usb_typec_top_00_4c;
struct _rs_standby_usb_typec_top_00_4c {
    unsigned int regr_00_state_c                            : 5;
    unsigned int reserved                                   : 3;
    unsigned int regr_00_cc_turn_on_vbus                    : 1;
    unsigned int regr_00_cc1_turn_on_vconn                  : 1;
    unsigned int regr_00_cc2_turn_on_vconn                  : 1;
    unsigned int regr_00_cc1_resistance                     : 3;
    unsigned int regr_00_cc2_resistance                     : 3;
    unsigned int reserved_1                                 :15;
};
#define standby_usb_typec_top_00_4c(val) ((rs_standby_usb_typec_top_00_4c*)&(val))



#define STANDBY_USB_TYPEC_TOP_00_50                                      (HV_USB_TYPEC_TOP_00_BASE_ADDRESS + 0x50)

#define STANDBY_USB_TYPEC_TOP_00_50_struct                               rs_standby_usb_typec_top_00_50

typedef struct _rs_standby_usb_typec_top_00_50  rs_standby_usb_typec_top_00_50;
struct _rs_standby_usb_typec_top_00_50 {
    unsigned int reg_00_res_en                              : 1;
    unsigned int reg_00_res_seta                            : 1;
    unsigned int reg_00_res_setb                            : 1;
    unsigned int reg_00_aux_pn_set                          : 1;
    unsigned int reg_00_cc1_rd                              : 1;
    unsigned int reg_00_cc2_rd                              : 1;
    unsigned int reg_00_cc1_von_sw                          : 1;
    unsigned int reg_00_cc2_von_sw                          : 1;
    unsigned int reg_00_discha                              : 1;
    unsigned int reg_00_vbus_pmu_en                         : 1;
    unsigned int reg_00_cc_rp_en                            : 1;
    unsigned int reg_00_cc1_disable                         : 2;
    unsigned int reg_00_cc2_disable                         : 2;
    unsigned int reg_00_cc1_tx_bmc                          : 2;
    unsigned int reg_00_cc2_tx_bmc                          : 2;
    unsigned int reserved                                   :13;
};
#define standby_usb_typec_top_00_50(val) ((rs_standby_usb_typec_top_00_50*)&(val))



#define STANDBY_USB_TYPEC_TOP_00_54                                      (HV_USB_TYPEC_TOP_00_BASE_ADDRESS + 0x54)

#define STANDBY_USB_TYPEC_TOP_00_54_struct                               rs_standby_usb_typec_top_00_54

typedef struct _rs_standby_usb_typec_top_00_54  rs_standby_usb_typec_top_00_54;
struct _rs_standby_usb_typec_top_00_54 {
    unsigned int reg_00_cc_rp_en_drp_noreal_chip            : 1;
    unsigned int reg_00_cc_rp_en_drp_real_chip              : 1;
    unsigned int reserved                                   :30;
};
#define standby_usb_typec_top_00_54(val) ((rs_standby_usb_typec_top_00_54*)&(val))



#define STANDBY_USB_TYPEC_TOP_00_60                                      (HV_USB_TYPEC_TOP_00_BASE_ADDRESS + 0x60)

#define STANDBY_USB_TYPEC_TOP_00_60_struct                               rs_standby_usb_typec_top_00_60

typedef struct _rs_standby_usb_typec_top_00_60  rs_standby_usb_typec_top_00_60;
struct _rs_standby_usb_typec_top_00_60 {
    unsigned int reg_00_pattern_en                          : 1;
    unsigned int reserved                                   :31;
};
#define standby_usb_typec_top_00_60(val) ((rs_standby_usb_typec_top_00_60*)&(val))



#define STANDBY_USB_TYPEC_TOP_00_A0                                      (HV_USB_TYPEC_TOP_00_BASE_ADDRESS + 0xA0)

#define STANDBY_USB_TYPEC_TOP_00_A0_struct                               rs_standby_usb_typec_top_00_a0

typedef struct _rs_standby_usb_typec_top_00_a0  rs_standby_usb_typec_top_00_a0;
struct _rs_standby_usb_typec_top_00_a0 {
    unsigned int reg_00_unuse0                              :32;
};
#define standby_usb_typec_top_00_a0(val) ((rs_standby_usb_typec_top_00_a0*)&(val))



#define STANDBY_USB_TYPEC_TOP_00_A4                                      (HV_USB_TYPEC_TOP_00_BASE_ADDRESS + 0xA4)

#define STANDBY_USB_TYPEC_TOP_00_A4_struct                               rs_standby_usb_typec_top_00_a4

typedef struct _rs_standby_usb_typec_top_00_a4  rs_standby_usb_typec_top_00_a4;
struct _rs_standby_usb_typec_top_00_a4 {
    unsigned int reg_00_unuse1                              :32;
};
#define standby_usb_typec_top_00_a4(val) ((rs_standby_usb_typec_top_00_a4*)&(val))



#define STANDBY_USB_TYPEC_TOP_00_A8                                      (HV_USB_TYPEC_TOP_00_BASE_ADDRESS + 0xA8)

#define STANDBY_USB_TYPEC_TOP_00_A8_struct                               rs_standby_usb_typec_top_00_a8

typedef struct _rs_standby_usb_typec_top_00_a8  rs_standby_usb_typec_top_00_a8;
struct _rs_standby_usb_typec_top_00_a8 {
    unsigned int reg_00_unuse2                              :32;
};
#define standby_usb_typec_top_00_a8(val) ((rs_standby_usb_typec_top_00_a8*)&(val))



#define STANDBY_USB_TYPEC_TOP_00_AC                                      (HV_USB_TYPEC_TOP_00_BASE_ADDRESS + 0xAC)

#define STANDBY_USB_TYPEC_TOP_00_AC_struct                               rs_standby_usb_typec_top_00_ac

typedef struct _rs_standby_usb_typec_top_00_ac  rs_standby_usb_typec_top_00_ac;
struct _rs_standby_usb_typec_top_00_ac {
    unsigned int reg_00_pd_bg                               : 1;
    unsigned int reg_00_pd_bginr                            : 1;
    unsigned int reg_00_sw_datalen_en                       : 1;
    unsigned int reserved                                   : 1;
    unsigned int reg_00_sw_datalen                          :10;
    unsigned int reg_00_sw_ctr_extendmsg_en                 : 1;
    unsigned int reg_00_discard                             : 1;
    unsigned int reg_00_spikesize                           : 5;
    unsigned int reserved_1                                 : 3;
    unsigned int reg_00_delta                               : 5;
    unsigned int reg_00_cc1_rprd_keep                       : 1;
    unsigned int reg_00_cc2_rprd_keep                       : 1;
    unsigned int reg_00_cc_state_keep                       : 1;
};
#define standby_usb_typec_top_00_ac(val) ((rs_standby_usb_typec_top_00_ac*)&(val))



#define STANDBY_USB_TYPEC_TOP_00_B0                                      (HV_USB_TYPEC_TOP_00_BASE_ADDRESS + 0xB0)

#define STANDBY_USB_TYPEC_TOP_00_B0_struct                               rs_standby_usb_typec_top_00_b0

typedef struct _rs_standby_usb_typec_top_00_b0  rs_standby_usb_typec_top_00_b0;
struct _rs_standby_usb_typec_top_00_b0 {
    unsigned int reg_00_msg_recv_irq_fake                   : 1;
    unsigned int reg_00_channel_busy_irq_fake               : 1;
    unsigned int reg_00_preamble_det_irq_fake               : 1;
    unsigned int reg_00_dfp_attach_chg_irq_fake             : 1;
    unsigned int reg_00_ufp_attach_chg_irq_fake             : 1;
    unsigned int reg_00_ufp_attach_irq_fake                 : 1;
    unsigned int reserved                                   :26;
};
#define standby_usb_typec_top_00_b0(val) ((rs_standby_usb_typec_top_00_b0*)&(val))



#endif