#ifndef _HV_PAGE_HT7315_USB_TYPEC_TXDATA_0_REG_01_H_
#define _HV_PAGE_HT7315_USB_TYPEC_TXDATA_0_REG_01_H_

#ifndef HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS
    #define HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS                                         0x1100AE00
#endif


#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_00                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0x00)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_00_struct                      rs_standby_usb_typec_txdata_0_reg_01_00

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_00  rs_standby_usb_typec_txdata_0_reg_01_00;
struct _rs_standby_usb_typec_txdata_0_reg_01_00 {
    unsigned int reg_01_tx_msg_header_0                     : 8;
    unsigned int reg_01_tx_msg_header_1                     : 8;
    unsigned int reg_01_tx_msg_data_object_0_0              : 8;
    unsigned int reg_01_tx_msg_data_object_0_1              : 8;
};
#define standby_usb_typec_txdata_0_reg_01_00(val) ((rs_standby_usb_typec_txdata_0_reg_01_00*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_04                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0x04)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_04_struct                      rs_standby_usb_typec_txdata_0_reg_01_04

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_04  rs_standby_usb_typec_txdata_0_reg_01_04;
struct _rs_standby_usb_typec_txdata_0_reg_01_04 {
    unsigned int reg_01_tx_msg_data_object_0_2              : 8;
    unsigned int reg_01_tx_msg_data_object_0_3              : 8;
    unsigned int reg_01_tx_msg_data_object_1_0              : 8;
    unsigned int reg_01_tx_msg_data_object_1_1              : 8;
};
#define standby_usb_typec_txdata_0_reg_01_04(val) ((rs_standby_usb_typec_txdata_0_reg_01_04*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_08                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0x08)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_08_struct                      rs_standby_usb_typec_txdata_0_reg_01_08

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_08  rs_standby_usb_typec_txdata_0_reg_01_08;
struct _rs_standby_usb_typec_txdata_0_reg_01_08 {
    unsigned int reg_01_tx_msg_data_object_1_2              : 8;
    unsigned int reg_01_tx_msg_data_object_1_3              : 8;
    unsigned int reg_01_tx_msg_data_object_2_0              : 8;
    unsigned int reg_01_tx_msg_data_object_2_1              : 8;
};
#define standby_usb_typec_txdata_0_reg_01_08(val) ((rs_standby_usb_typec_txdata_0_reg_01_08*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_0C                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0x0C)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_0C_struct                      rs_standby_usb_typec_txdata_0_reg_01_0c

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_0c  rs_standby_usb_typec_txdata_0_reg_01_0c;
struct _rs_standby_usb_typec_txdata_0_reg_01_0c {
    unsigned int reg_01_tx_msg_data_object_2_2              : 8;
    unsigned int reg_01_tx_msg_data_object_2_3              : 8;
    unsigned int reg_01_tx_msg_data_object_3_0              : 8;
    unsigned int reg_01_tx_msg_data_object_3_1              : 8;
};
#define standby_usb_typec_txdata_0_reg_01_0c(val) ((rs_standby_usb_typec_txdata_0_reg_01_0c*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_10                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0x10)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_10_struct                      rs_standby_usb_typec_txdata_0_reg_01_10

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_10  rs_standby_usb_typec_txdata_0_reg_01_10;
struct _rs_standby_usb_typec_txdata_0_reg_01_10 {
    unsigned int reg_01_tx_msg_data_object_3_2              : 8;
    unsigned int reg_01_tx_msg_data_object_3_3              : 8;
    unsigned int reg_01_tx_msg_data_object_4_0              : 8;
    unsigned int reg_01_tx_msg_data_object_4_1              : 8;
};
#define standby_usb_typec_txdata_0_reg_01_10(val) ((rs_standby_usb_typec_txdata_0_reg_01_10*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_14                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0x14)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_14_struct                      rs_standby_usb_typec_txdata_0_reg_01_14

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_14  rs_standby_usb_typec_txdata_0_reg_01_14;
struct _rs_standby_usb_typec_txdata_0_reg_01_14 {
    unsigned int reg_01_tx_msg_data_object_4_2              : 8;
    unsigned int reg_01_tx_msg_data_object_4_3              : 8;
    unsigned int reg_01_tx_msg_data_object_5_0              : 8;
    unsigned int reg_01_tx_msg_data_object_5_1              : 8;
};
#define standby_usb_typec_txdata_0_reg_01_14(val) ((rs_standby_usb_typec_txdata_0_reg_01_14*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_18                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0x18)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_18_struct                      rs_standby_usb_typec_txdata_0_reg_01_18

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_18  rs_standby_usb_typec_txdata_0_reg_01_18;
struct _rs_standby_usb_typec_txdata_0_reg_01_18 {
    unsigned int reg_01_tx_msg_data_object_5_2              : 8;
    unsigned int reg_01_tx_msg_data_object_5_3              : 8;
    unsigned int reg_01_tx_msg_data_object_6_0              : 8;
    unsigned int reg_01_tx_msg_data_object_6_1              : 8;
};
#define standby_usb_typec_txdata_0_reg_01_18(val) ((rs_standby_usb_typec_txdata_0_reg_01_18*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_1C                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0x1C)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_1C_struct                      rs_standby_usb_typec_txdata_0_reg_01_1c

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_1c  rs_standby_usb_typec_txdata_0_reg_01_1c;
struct _rs_standby_usb_typec_txdata_0_reg_01_1c {
    unsigned int reg_01_tx_msg_data_object_6_2              : 8;
    unsigned int reg_01_tx_msg_data_object_6_3              : 8;
    unsigned int reg_01_tx_msg_data_object_7_0              : 8;
    unsigned int reg_01_tx_msg_data_object_7_1              : 8;
};
#define standby_usb_typec_txdata_0_reg_01_1c(val) ((rs_standby_usb_typec_txdata_0_reg_01_1c*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_20                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0x20)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_20_struct                      rs_standby_usb_typec_txdata_0_reg_01_20

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_20  rs_standby_usb_typec_txdata_0_reg_01_20;
struct _rs_standby_usb_typec_txdata_0_reg_01_20 {
    unsigned int reg_01_tx_msg_data_object_7_2              : 8;
    unsigned int reg_01_tx_msg_data_object_7_3              : 8;
    unsigned int reg_01_tx_msg_data_object_8_0              : 8;
    unsigned int reg_01_tx_msg_data_object_8_1              : 8;
};
#define standby_usb_typec_txdata_0_reg_01_20(val) ((rs_standby_usb_typec_txdata_0_reg_01_20*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_24                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0x24)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_24_struct                      rs_standby_usb_typec_txdata_0_reg_01_24

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_24  rs_standby_usb_typec_txdata_0_reg_01_24;
struct _rs_standby_usb_typec_txdata_0_reg_01_24 {
    unsigned int reg_01_tx_msg_data_object_8_2              : 8;
    unsigned int reg_01_tx_msg_data_object_8_3              : 8;
    unsigned int reg_01_tx_msg_data_object_9_0              : 8;
    unsigned int reg_01_tx_msg_data_object_9_1              : 8;
};
#define standby_usb_typec_txdata_0_reg_01_24(val) ((rs_standby_usb_typec_txdata_0_reg_01_24*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_28                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0x28)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_28_struct                      rs_standby_usb_typec_txdata_0_reg_01_28

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_28  rs_standby_usb_typec_txdata_0_reg_01_28;
struct _rs_standby_usb_typec_txdata_0_reg_01_28 {
    unsigned int reg_01_tx_msg_data_object_9_2              : 8;
    unsigned int reg_01_tx_msg_data_object_9_3              : 8;
    unsigned int reg_01_tx_msg_data_object_10_0             : 8;
    unsigned int reg_01_tx_msg_data_object_10_1             : 8;
};
#define standby_usb_typec_txdata_0_reg_01_28(val) ((rs_standby_usb_typec_txdata_0_reg_01_28*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_2C                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0x2C)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_2C_struct                      rs_standby_usb_typec_txdata_0_reg_01_2c

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_2c  rs_standby_usb_typec_txdata_0_reg_01_2c;
struct _rs_standby_usb_typec_txdata_0_reg_01_2c {
    unsigned int reg_01_tx_msg_data_object_10_2             : 8;
    unsigned int reg_01_tx_msg_data_object_10_3             : 8;
    unsigned int reg_01_tx_msg_data_object_11_0             : 8;
    unsigned int reg_01_tx_msg_data_object_11_1             : 8;
};
#define standby_usb_typec_txdata_0_reg_01_2c(val) ((rs_standby_usb_typec_txdata_0_reg_01_2c*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_30                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0x30)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_30_struct                      rs_standby_usb_typec_txdata_0_reg_01_30

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_30  rs_standby_usb_typec_txdata_0_reg_01_30;
struct _rs_standby_usb_typec_txdata_0_reg_01_30 {
    unsigned int reg_01_tx_msg_data_object_11_2             : 8;
    unsigned int reg_01_tx_msg_data_object_11_3             : 8;
    unsigned int reg_01_tx_msg_data_object_12_0             : 8;
    unsigned int reg_01_tx_msg_data_object_12_1             : 8;
};
#define standby_usb_typec_txdata_0_reg_01_30(val) ((rs_standby_usb_typec_txdata_0_reg_01_30*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_34                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0x34)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_34_struct                      rs_standby_usb_typec_txdata_0_reg_01_34

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_34  rs_standby_usb_typec_txdata_0_reg_01_34;
struct _rs_standby_usb_typec_txdata_0_reg_01_34 {
    unsigned int reg_01_tx_msg_data_object_12_2             : 8;
    unsigned int reg_01_tx_msg_data_object_12_3             : 8;
    unsigned int reg_01_tx_msg_data_object_13_0             : 8;
    unsigned int reg_01_tx_msg_data_object_13_1             : 8;
};
#define standby_usb_typec_txdata_0_reg_01_34(val) ((rs_standby_usb_typec_txdata_0_reg_01_34*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_38                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0x38)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_38_struct                      rs_standby_usb_typec_txdata_0_reg_01_38

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_38  rs_standby_usb_typec_txdata_0_reg_01_38;
struct _rs_standby_usb_typec_txdata_0_reg_01_38 {
    unsigned int reg_01_tx_msg_data_object_13_2             : 8;
    unsigned int reg_01_tx_msg_data_object_13_3             : 8;
    unsigned int reg_01_tx_msg_data_object_14_0             : 8;
    unsigned int reg_01_tx_msg_data_object_14_1             : 8;
};
#define standby_usb_typec_txdata_0_reg_01_38(val) ((rs_standby_usb_typec_txdata_0_reg_01_38*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_3C                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0x3C)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_3C_struct                      rs_standby_usb_typec_txdata_0_reg_01_3c

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_3c  rs_standby_usb_typec_txdata_0_reg_01_3c;
struct _rs_standby_usb_typec_txdata_0_reg_01_3c {
    unsigned int reg_01_tx_msg_data_object_14_2             : 8;
    unsigned int reg_01_tx_msg_data_object_14_3             : 8;
    unsigned int reg_01_tx_msg_data_object_15_0             : 8;
    unsigned int reg_01_tx_msg_data_object_15_1             : 8;
};
#define standby_usb_typec_txdata_0_reg_01_3c(val) ((rs_standby_usb_typec_txdata_0_reg_01_3c*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_40                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0x40)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_40_struct                      rs_standby_usb_typec_txdata_0_reg_01_40

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_40  rs_standby_usb_typec_txdata_0_reg_01_40;
struct _rs_standby_usb_typec_txdata_0_reg_01_40 {
    unsigned int reg_01_tx_msg_data_object_15_2             : 8;
    unsigned int reg_01_tx_msg_data_object_15_3             : 8;
    unsigned int reg_01_tx_msg_data_object_16_0             : 8;
    unsigned int reg_01_tx_msg_data_object_16_1             : 8;
};
#define standby_usb_typec_txdata_0_reg_01_40(val) ((rs_standby_usb_typec_txdata_0_reg_01_40*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_44                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0x44)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_44_struct                      rs_standby_usb_typec_txdata_0_reg_01_44

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_44  rs_standby_usb_typec_txdata_0_reg_01_44;
struct _rs_standby_usb_typec_txdata_0_reg_01_44 {
    unsigned int reg_01_tx_msg_data_object_16_2             : 8;
    unsigned int reg_01_tx_msg_data_object_16_3             : 8;
    unsigned int reg_01_tx_msg_data_object_17_0             : 8;
    unsigned int reg_01_tx_msg_data_object_17_1             : 8;
};
#define standby_usb_typec_txdata_0_reg_01_44(val) ((rs_standby_usb_typec_txdata_0_reg_01_44*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_48                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0x48)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_48_struct                      rs_standby_usb_typec_txdata_0_reg_01_48

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_48  rs_standby_usb_typec_txdata_0_reg_01_48;
struct _rs_standby_usb_typec_txdata_0_reg_01_48 {
    unsigned int reg_01_tx_msg_data_object_17_2             : 8;
    unsigned int reg_01_tx_msg_data_object_17_3             : 8;
    unsigned int reg_01_tx_msg_data_object_18_0             : 8;
    unsigned int reg_01_tx_msg_data_object_18_1             : 8;
};
#define standby_usb_typec_txdata_0_reg_01_48(val) ((rs_standby_usb_typec_txdata_0_reg_01_48*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_4C                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0x4C)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_4C_struct                      rs_standby_usb_typec_txdata_0_reg_01_4c

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_4c  rs_standby_usb_typec_txdata_0_reg_01_4c;
struct _rs_standby_usb_typec_txdata_0_reg_01_4c {
    unsigned int reg_01_tx_msg_data_object_18_2             : 8;
    unsigned int reg_01_tx_msg_data_object_18_3             : 8;
    unsigned int reg_01_tx_msg_data_object_19_0             : 8;
    unsigned int reg_01_tx_msg_data_object_19_1             : 8;
};
#define standby_usb_typec_txdata_0_reg_01_4c(val) ((rs_standby_usb_typec_txdata_0_reg_01_4c*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_50                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0x50)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_50_struct                      rs_standby_usb_typec_txdata_0_reg_01_50

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_50  rs_standby_usb_typec_txdata_0_reg_01_50;
struct _rs_standby_usb_typec_txdata_0_reg_01_50 {
    unsigned int reg_01_tx_msg_data_object_19_2             : 8;
    unsigned int reg_01_tx_msg_data_object_19_3             : 8;
    unsigned int reg_01_tx_msg_data_object_20_0             : 8;
    unsigned int reg_01_tx_msg_data_object_20_1             : 8;
};
#define standby_usb_typec_txdata_0_reg_01_50(val) ((rs_standby_usb_typec_txdata_0_reg_01_50*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_54                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0x54)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_54_struct                      rs_standby_usb_typec_txdata_0_reg_01_54

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_54  rs_standby_usb_typec_txdata_0_reg_01_54;
struct _rs_standby_usb_typec_txdata_0_reg_01_54 {
    unsigned int reg_01_tx_msg_data_object_20_2             : 8;
    unsigned int reg_01_tx_msg_data_object_20_3             : 8;
    unsigned int reg_01_tx_msg_data_object_21_0             : 8;
    unsigned int reg_01_tx_msg_data_object_21_1             : 8;
};
#define standby_usb_typec_txdata_0_reg_01_54(val) ((rs_standby_usb_typec_txdata_0_reg_01_54*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_58                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0x58)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_58_struct                      rs_standby_usb_typec_txdata_0_reg_01_58

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_58  rs_standby_usb_typec_txdata_0_reg_01_58;
struct _rs_standby_usb_typec_txdata_0_reg_01_58 {
    unsigned int reg_01_tx_msg_data_object_21_2             : 8;
    unsigned int reg_01_tx_msg_data_object_21_3             : 8;
    unsigned int reg_01_tx_msg_data_object_22_0             : 8;
    unsigned int reg_01_tx_msg_data_object_22_1             : 8;
};
#define standby_usb_typec_txdata_0_reg_01_58(val) ((rs_standby_usb_typec_txdata_0_reg_01_58*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_5C                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0x5C)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_5C_struct                      rs_standby_usb_typec_txdata_0_reg_01_5c

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_5c  rs_standby_usb_typec_txdata_0_reg_01_5c;
struct _rs_standby_usb_typec_txdata_0_reg_01_5c {
    unsigned int reg_01_tx_msg_data_object_22_2             : 8;
    unsigned int reg_01_tx_msg_data_object_22_3             : 8;
    unsigned int reg_01_tx_msg_data_object_23_0             : 8;
    unsigned int reg_01_tx_msg_data_object_23_1             : 8;
};
#define standby_usb_typec_txdata_0_reg_01_5c(val) ((rs_standby_usb_typec_txdata_0_reg_01_5c*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_60                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0x60)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_60_struct                      rs_standby_usb_typec_txdata_0_reg_01_60

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_60  rs_standby_usb_typec_txdata_0_reg_01_60;
struct _rs_standby_usb_typec_txdata_0_reg_01_60 {
    unsigned int reg_01_tx_msg_data_object_23_2             : 8;
    unsigned int reg_01_tx_msg_data_object_23_3             : 8;
    unsigned int reg_01_tx_msg_data_object_24_0             : 8;
    unsigned int reg_01_tx_msg_data_object_24_1             : 8;
};
#define standby_usb_typec_txdata_0_reg_01_60(val) ((rs_standby_usb_typec_txdata_0_reg_01_60*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_64                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0x64)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_64_struct                      rs_standby_usb_typec_txdata_0_reg_01_64

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_64  rs_standby_usb_typec_txdata_0_reg_01_64;
struct _rs_standby_usb_typec_txdata_0_reg_01_64 {
    unsigned int reg_01_tx_msg_data_object_24_2             : 8;
    unsigned int reg_01_tx_msg_data_object_24_3             : 8;
    unsigned int reg_01_tx_msg_data_object_25_0             : 8;
    unsigned int reg_01_tx_msg_data_object_25_1             : 8;
};
#define standby_usb_typec_txdata_0_reg_01_64(val) ((rs_standby_usb_typec_txdata_0_reg_01_64*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_68                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0x68)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_68_struct                      rs_standby_usb_typec_txdata_0_reg_01_68

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_68  rs_standby_usb_typec_txdata_0_reg_01_68;
struct _rs_standby_usb_typec_txdata_0_reg_01_68 {
    unsigned int reg_01_tx_msg_data_object_25_2             : 8;
    unsigned int reg_01_tx_msg_data_object_25_3             : 8;
    unsigned int reg_01_tx_msg_data_object_26_0             : 8;
    unsigned int reg_01_tx_msg_data_object_26_1             : 8;
};
#define standby_usb_typec_txdata_0_reg_01_68(val) ((rs_standby_usb_typec_txdata_0_reg_01_68*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_6C                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0x6C)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_6C_struct                      rs_standby_usb_typec_txdata_0_reg_01_6c

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_6c  rs_standby_usb_typec_txdata_0_reg_01_6c;
struct _rs_standby_usb_typec_txdata_0_reg_01_6c {
    unsigned int reg_01_tx_msg_data_object_26_2             : 8;
    unsigned int reg_01_tx_msg_data_object_26_3             : 8;
    unsigned int reg_01_tx_msg_data_object_27_0             : 8;
    unsigned int reg_01_tx_msg_data_object_27_1             : 8;
};
#define standby_usb_typec_txdata_0_reg_01_6c(val) ((rs_standby_usb_typec_txdata_0_reg_01_6c*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_70                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0x70)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_70_struct                      rs_standby_usb_typec_txdata_0_reg_01_70

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_70  rs_standby_usb_typec_txdata_0_reg_01_70;
struct _rs_standby_usb_typec_txdata_0_reg_01_70 {
    unsigned int reg_01_tx_msg_data_object_27_2             : 8;
    unsigned int reg_01_tx_msg_data_object_27_3             : 8;
    unsigned int reg_01_tx_msg_data_object_28_0             : 8;
    unsigned int reg_01_tx_msg_data_object_28_1             : 8;
};
#define standby_usb_typec_txdata_0_reg_01_70(val) ((rs_standby_usb_typec_txdata_0_reg_01_70*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_74                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0x74)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_74_struct                      rs_standby_usb_typec_txdata_0_reg_01_74

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_74  rs_standby_usb_typec_txdata_0_reg_01_74;
struct _rs_standby_usb_typec_txdata_0_reg_01_74 {
    unsigned int reg_01_tx_msg_data_object_28_2             : 8;
    unsigned int reg_01_tx_msg_data_object_28_3             : 8;
    unsigned int reg_01_tx_msg_data_object_29_0             : 8;
    unsigned int reg_01_tx_msg_data_object_29_1             : 8;
};
#define standby_usb_typec_txdata_0_reg_01_74(val) ((rs_standby_usb_typec_txdata_0_reg_01_74*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_78                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0x78)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_78_struct                      rs_standby_usb_typec_txdata_0_reg_01_78

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_78  rs_standby_usb_typec_txdata_0_reg_01_78;
struct _rs_standby_usb_typec_txdata_0_reg_01_78 {
    unsigned int reg_01_tx_msg_data_object_29_2             : 8;
    unsigned int reg_01_tx_msg_data_object_29_3             : 8;
    unsigned int reg_01_tx_msg_data_object_30_0             : 8;
    unsigned int reg_01_tx_msg_data_object_30_1             : 8;
};
#define standby_usb_typec_txdata_0_reg_01_78(val) ((rs_standby_usb_typec_txdata_0_reg_01_78*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_7C                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0x7C)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_7C_struct                      rs_standby_usb_typec_txdata_0_reg_01_7c

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_7c  rs_standby_usb_typec_txdata_0_reg_01_7c;
struct _rs_standby_usb_typec_txdata_0_reg_01_7c {
    unsigned int reg_01_tx_msg_data_object_30_2             : 8;
    unsigned int reg_01_tx_msg_data_object_30_3             : 8;
    unsigned int reg_01_tx_msg_data_object_31_0             : 8;
    unsigned int reg_01_tx_msg_data_object_31_1             : 8;
};
#define standby_usb_typec_txdata_0_reg_01_7c(val) ((rs_standby_usb_typec_txdata_0_reg_01_7c*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_80                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0x80)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_80_struct                      rs_standby_usb_typec_txdata_0_reg_01_80

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_80  rs_standby_usb_typec_txdata_0_reg_01_80;
struct _rs_standby_usb_typec_txdata_0_reg_01_80 {
    unsigned int reg_01_tx_msg_data_object_31_2             : 8;
    unsigned int reg_01_tx_msg_data_object_31_3             : 8;
    unsigned int reg_01_tx_msg_data_object_32_0             : 8;
    unsigned int reg_01_tx_msg_data_object_32_1             : 8;
};
#define standby_usb_typec_txdata_0_reg_01_80(val) ((rs_standby_usb_typec_txdata_0_reg_01_80*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_84                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0x84)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_84_struct                      rs_standby_usb_typec_txdata_0_reg_01_84

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_84  rs_standby_usb_typec_txdata_0_reg_01_84;
struct _rs_standby_usb_typec_txdata_0_reg_01_84 {
    unsigned int reg_01_tx_msg_data_object_32_2             : 8;
    unsigned int reg_01_tx_msg_data_object_32_3             : 8;
    unsigned int reg_01_tx_msg_data_object_33_0             : 8;
    unsigned int reg_01_tx_msg_data_object_33_1             : 8;
};
#define standby_usb_typec_txdata_0_reg_01_84(val) ((rs_standby_usb_typec_txdata_0_reg_01_84*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_88                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0x88)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_88_struct                      rs_standby_usb_typec_txdata_0_reg_01_88

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_88  rs_standby_usb_typec_txdata_0_reg_01_88;
struct _rs_standby_usb_typec_txdata_0_reg_01_88 {
    unsigned int reg_01_tx_msg_data_object_33_2             : 8;
    unsigned int reg_01_tx_msg_data_object_33_3             : 8;
    unsigned int reg_01_tx_msg_data_object_34_0             : 8;
    unsigned int reg_01_tx_msg_data_object_34_1             : 8;
};
#define standby_usb_typec_txdata_0_reg_01_88(val) ((rs_standby_usb_typec_txdata_0_reg_01_88*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_8C                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0x8C)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_8C_struct                      rs_standby_usb_typec_txdata_0_reg_01_8c

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_8c  rs_standby_usb_typec_txdata_0_reg_01_8c;
struct _rs_standby_usb_typec_txdata_0_reg_01_8c {
    unsigned int reg_01_tx_msg_data_object_34_2             : 8;
    unsigned int reg_01_tx_msg_data_object_34_3             : 8;
    unsigned int reg_01_tx_msg_data_object_35_0             : 8;
    unsigned int reg_01_tx_msg_data_object_35_1             : 8;
};
#define standby_usb_typec_txdata_0_reg_01_8c(val) ((rs_standby_usb_typec_txdata_0_reg_01_8c*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_90                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0x90)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_90_struct                      rs_standby_usb_typec_txdata_0_reg_01_90

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_90  rs_standby_usb_typec_txdata_0_reg_01_90;
struct _rs_standby_usb_typec_txdata_0_reg_01_90 {
    unsigned int reg_01_tx_msg_data_object_35_2             : 8;
    unsigned int reg_01_tx_msg_data_object_35_3             : 8;
    unsigned int reg_01_tx_msg_data_object_36_0             : 8;
    unsigned int reg_01_tx_msg_data_object_36_1             : 8;
};
#define standby_usb_typec_txdata_0_reg_01_90(val) ((rs_standby_usb_typec_txdata_0_reg_01_90*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_94                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0x94)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_94_struct                      rs_standby_usb_typec_txdata_0_reg_01_94

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_94  rs_standby_usb_typec_txdata_0_reg_01_94;
struct _rs_standby_usb_typec_txdata_0_reg_01_94 {
    unsigned int reg_01_tx_msg_data_object_36_2             : 8;
    unsigned int reg_01_tx_msg_data_object_36_3             : 8;
    unsigned int reg_01_tx_msg_data_object_37_0             : 8;
    unsigned int reg_01_tx_msg_data_object_37_1             : 8;
};
#define standby_usb_typec_txdata_0_reg_01_94(val) ((rs_standby_usb_typec_txdata_0_reg_01_94*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_98                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0x98)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_98_struct                      rs_standby_usb_typec_txdata_0_reg_01_98

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_98  rs_standby_usb_typec_txdata_0_reg_01_98;
struct _rs_standby_usb_typec_txdata_0_reg_01_98 {
    unsigned int reg_01_tx_msg_data_object_37_2             : 8;
    unsigned int reg_01_tx_msg_data_object_37_3             : 8;
    unsigned int reg_01_tx_msg_data_object_38_0             : 8;
    unsigned int reg_01_tx_msg_data_object_38_1             : 8;
};
#define standby_usb_typec_txdata_0_reg_01_98(val) ((rs_standby_usb_typec_txdata_0_reg_01_98*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_9C                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0x9C)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_9C_struct                      rs_standby_usb_typec_txdata_0_reg_01_9c

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_9c  rs_standby_usb_typec_txdata_0_reg_01_9c;
struct _rs_standby_usb_typec_txdata_0_reg_01_9c {
    unsigned int reg_01_tx_msg_data_object_38_2             : 8;
    unsigned int reg_01_tx_msg_data_object_38_3             : 8;
    unsigned int reg_01_tx_msg_data_object_39_0             : 8;
    unsigned int reg_01_tx_msg_data_object_39_1             : 8;
};
#define standby_usb_typec_txdata_0_reg_01_9c(val) ((rs_standby_usb_typec_txdata_0_reg_01_9c*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_A0                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0xA0)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_A0_struct                      rs_standby_usb_typec_txdata_0_reg_01_a0

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_a0  rs_standby_usb_typec_txdata_0_reg_01_a0;
struct _rs_standby_usb_typec_txdata_0_reg_01_a0 {
    unsigned int reg_01_tx_msg_data_object_39_2             : 8;
    unsigned int reg_01_tx_msg_data_object_39_3             : 8;
    unsigned int reg_01_tx_msg_data_object_40_0             : 8;
    unsigned int reg_01_tx_msg_data_object_40_1             : 8;
};
#define standby_usb_typec_txdata_0_reg_01_a0(val) ((rs_standby_usb_typec_txdata_0_reg_01_a0*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_A4                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0xA4)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_A4_struct                      rs_standby_usb_typec_txdata_0_reg_01_a4

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_a4  rs_standby_usb_typec_txdata_0_reg_01_a4;
struct _rs_standby_usb_typec_txdata_0_reg_01_a4 {
    unsigned int reg_01_tx_msg_data_object_40_2             : 8;
    unsigned int reg_01_tx_msg_data_object_40_3             : 8;
    unsigned int reg_01_tx_msg_data_object_41_0             : 8;
    unsigned int reg_01_tx_msg_data_object_41_1             : 8;
};
#define standby_usb_typec_txdata_0_reg_01_a4(val) ((rs_standby_usb_typec_txdata_0_reg_01_a4*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_A8                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0xA8)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_A8_struct                      rs_standby_usb_typec_txdata_0_reg_01_a8

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_a8  rs_standby_usb_typec_txdata_0_reg_01_a8;
struct _rs_standby_usb_typec_txdata_0_reg_01_a8 {
    unsigned int reg_01_tx_msg_data_object_41_2             : 8;
    unsigned int reg_01_tx_msg_data_object_41_3             : 8;
    unsigned int reg_01_tx_msg_data_object_42_0             : 8;
    unsigned int reg_01_tx_msg_data_object_42_1             : 8;
};
#define standby_usb_typec_txdata_0_reg_01_a8(val) ((rs_standby_usb_typec_txdata_0_reg_01_a8*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_AC                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0xAC)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_AC_struct                      rs_standby_usb_typec_txdata_0_reg_01_ac

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_ac  rs_standby_usb_typec_txdata_0_reg_01_ac;
struct _rs_standby_usb_typec_txdata_0_reg_01_ac {
    unsigned int reg_01_tx_msg_data_object_42_2             : 8;
    unsigned int reg_01_tx_msg_data_object_42_3             : 8;
    unsigned int reg_01_tx_msg_data_object_43_0             : 8;
    unsigned int reg_01_tx_msg_data_object_43_1             : 8;
};
#define standby_usb_typec_txdata_0_reg_01_ac(val) ((rs_standby_usb_typec_txdata_0_reg_01_ac*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_B0                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0xB0)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_B0_struct                      rs_standby_usb_typec_txdata_0_reg_01_b0

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_b0  rs_standby_usb_typec_txdata_0_reg_01_b0;
struct _rs_standby_usb_typec_txdata_0_reg_01_b0 {
    unsigned int reg_01_tx_msg_data_object_43_2             : 8;
    unsigned int reg_01_tx_msg_data_object_43_3             : 8;
    unsigned int reg_01_tx_msg_data_object_44_0             : 8;
    unsigned int reg_01_tx_msg_data_object_44_1             : 8;
};
#define standby_usb_typec_txdata_0_reg_01_b0(val) ((rs_standby_usb_typec_txdata_0_reg_01_b0*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_B4                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0xB4)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_B4_struct                      rs_standby_usb_typec_txdata_0_reg_01_b4

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_b4  rs_standby_usb_typec_txdata_0_reg_01_b4;
struct _rs_standby_usb_typec_txdata_0_reg_01_b4 {
    unsigned int reg_01_tx_msg_data_object_44_2             : 8;
    unsigned int reg_01_tx_msg_data_object_44_3             : 8;
    unsigned int reg_01_tx_msg_data_object_45_0             : 8;
    unsigned int reg_01_tx_msg_data_object_45_1             : 8;
};
#define standby_usb_typec_txdata_0_reg_01_b4(val) ((rs_standby_usb_typec_txdata_0_reg_01_b4*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_B8                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0xB8)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_B8_struct                      rs_standby_usb_typec_txdata_0_reg_01_b8

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_b8  rs_standby_usb_typec_txdata_0_reg_01_b8;
struct _rs_standby_usb_typec_txdata_0_reg_01_b8 {
    unsigned int reg_01_tx_msg_data_object_45_2             : 8;
    unsigned int reg_01_tx_msg_data_object_45_3             : 8;
    unsigned int reg_01_tx_msg_data_object_46_0             : 8;
    unsigned int reg_01_tx_msg_data_object_46_1             : 8;
};
#define standby_usb_typec_txdata_0_reg_01_b8(val) ((rs_standby_usb_typec_txdata_0_reg_01_b8*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_BC                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0xBC)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_BC_struct                      rs_standby_usb_typec_txdata_0_reg_01_bc

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_bc  rs_standby_usb_typec_txdata_0_reg_01_bc;
struct _rs_standby_usb_typec_txdata_0_reg_01_bc {
    unsigned int reg_01_tx_msg_data_object_46_2             : 8;
    unsigned int reg_01_tx_msg_data_object_46_3             : 8;
    unsigned int reg_01_tx_msg_data_object_47_0             : 8;
    unsigned int reg_01_tx_msg_data_object_47_1             : 8;
};
#define standby_usb_typec_txdata_0_reg_01_bc(val) ((rs_standby_usb_typec_txdata_0_reg_01_bc*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_C0                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0xC0)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_C0_struct                      rs_standby_usb_typec_txdata_0_reg_01_c0

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_c0  rs_standby_usb_typec_txdata_0_reg_01_c0;
struct _rs_standby_usb_typec_txdata_0_reg_01_c0 {
    unsigned int reg_01_tx_msg_data_object_47_2             : 8;
    unsigned int reg_01_tx_msg_data_object_47_3             : 8;
    unsigned int reg_01_tx_msg_data_object_48_0             : 8;
    unsigned int reg_01_tx_msg_data_object_48_1             : 8;
};
#define standby_usb_typec_txdata_0_reg_01_c0(val) ((rs_standby_usb_typec_txdata_0_reg_01_c0*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_C4                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0xC4)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_C4_struct                      rs_standby_usb_typec_txdata_0_reg_01_c4

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_c4  rs_standby_usb_typec_txdata_0_reg_01_c4;
struct _rs_standby_usb_typec_txdata_0_reg_01_c4 {
    unsigned int reg_01_tx_msg_data_object_48_2             : 8;
    unsigned int reg_01_tx_msg_data_object_48_3             : 8;
    unsigned int reg_01_tx_msg_data_object_49_0             : 8;
    unsigned int reg_01_tx_msg_data_object_49_1             : 8;
};
#define standby_usb_typec_txdata_0_reg_01_c4(val) ((rs_standby_usb_typec_txdata_0_reg_01_c4*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_C8                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0xC8)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_C8_struct                      rs_standby_usb_typec_txdata_0_reg_01_c8

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_c8  rs_standby_usb_typec_txdata_0_reg_01_c8;
struct _rs_standby_usb_typec_txdata_0_reg_01_c8 {
    unsigned int reg_01_tx_msg_data_object_49_2             : 8;
    unsigned int reg_01_tx_msg_data_object_49_3             : 8;
    unsigned int reg_01_tx_msg_data_object_50_0             : 8;
    unsigned int reg_01_tx_msg_data_object_50_1             : 8;
};
#define standby_usb_typec_txdata_0_reg_01_c8(val) ((rs_standby_usb_typec_txdata_0_reg_01_c8*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_CC                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0xCC)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_CC_struct                      rs_standby_usb_typec_txdata_0_reg_01_cc

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_cc  rs_standby_usb_typec_txdata_0_reg_01_cc;
struct _rs_standby_usb_typec_txdata_0_reg_01_cc {
    unsigned int reg_01_tx_msg_data_object_50_2             : 8;
    unsigned int reg_01_tx_msg_data_object_50_3             : 8;
    unsigned int reg_01_tx_msg_data_object_51_0             : 8;
    unsigned int reg_01_tx_msg_data_object_51_1             : 8;
};
#define standby_usb_typec_txdata_0_reg_01_cc(val) ((rs_standby_usb_typec_txdata_0_reg_01_cc*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_D0                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0xD0)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_D0_struct                      rs_standby_usb_typec_txdata_0_reg_01_d0

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_d0  rs_standby_usb_typec_txdata_0_reg_01_d0;
struct _rs_standby_usb_typec_txdata_0_reg_01_d0 {
    unsigned int reg_01_tx_msg_data_object_51_2             : 8;
    unsigned int reg_01_tx_msg_data_object_51_3             : 8;
    unsigned int reg_01_tx_msg_data_object_52_0             : 8;
    unsigned int reg_01_tx_msg_data_object_52_1             : 8;
};
#define standby_usb_typec_txdata_0_reg_01_d0(val) ((rs_standby_usb_typec_txdata_0_reg_01_d0*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_D4                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0xD4)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_D4_struct                      rs_standby_usb_typec_txdata_0_reg_01_d4

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_d4  rs_standby_usb_typec_txdata_0_reg_01_d4;
struct _rs_standby_usb_typec_txdata_0_reg_01_d4 {
    unsigned int reg_01_tx_msg_data_object_52_2             : 8;
    unsigned int reg_01_tx_msg_data_object_52_3             : 8;
    unsigned int reg_01_tx_msg_data_object_53_0             : 8;
    unsigned int reg_01_tx_msg_data_object_53_1             : 8;
};
#define standby_usb_typec_txdata_0_reg_01_d4(val) ((rs_standby_usb_typec_txdata_0_reg_01_d4*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_D8                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0xD8)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_D8_struct                      rs_standby_usb_typec_txdata_0_reg_01_d8

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_d8  rs_standby_usb_typec_txdata_0_reg_01_d8;
struct _rs_standby_usb_typec_txdata_0_reg_01_d8 {
    unsigned int reg_01_tx_msg_data_object_53_2             : 8;
    unsigned int reg_01_tx_msg_data_object_53_3             : 8;
    unsigned int reg_01_tx_msg_data_object_54_0             : 8;
    unsigned int reg_01_tx_msg_data_object_54_1             : 8;
};
#define standby_usb_typec_txdata_0_reg_01_d8(val) ((rs_standby_usb_typec_txdata_0_reg_01_d8*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_DC                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0xDC)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_DC_struct                      rs_standby_usb_typec_txdata_0_reg_01_dc

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_dc  rs_standby_usb_typec_txdata_0_reg_01_dc;
struct _rs_standby_usb_typec_txdata_0_reg_01_dc {
    unsigned int reg_01_tx_msg_data_object_54_2             : 8;
    unsigned int reg_01_tx_msg_data_object_54_3             : 8;
    unsigned int reg_01_tx_msg_data_object_55_0             : 8;
    unsigned int reg_01_tx_msg_data_object_55_1             : 8;
};
#define standby_usb_typec_txdata_0_reg_01_dc(val) ((rs_standby_usb_typec_txdata_0_reg_01_dc*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_E0                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0xE0)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_E0_struct                      rs_standby_usb_typec_txdata_0_reg_01_e0

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_e0  rs_standby_usb_typec_txdata_0_reg_01_e0;
struct _rs_standby_usb_typec_txdata_0_reg_01_e0 {
    unsigned int reg_01_tx_msg_data_object_55_2             : 8;
    unsigned int reg_01_tx_msg_data_object_55_3             : 8;
    unsigned int reg_01_tx_msg_data_object_56_0             : 8;
    unsigned int reg_01_tx_msg_data_object_56_1             : 8;
};
#define standby_usb_typec_txdata_0_reg_01_e0(val) ((rs_standby_usb_typec_txdata_0_reg_01_e0*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_E4                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0xE4)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_E4_struct                      rs_standby_usb_typec_txdata_0_reg_01_e4

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_e4  rs_standby_usb_typec_txdata_0_reg_01_e4;
struct _rs_standby_usb_typec_txdata_0_reg_01_e4 {
    unsigned int reg_01_tx_msg_data_object_56_2             : 8;
    unsigned int reg_01_tx_msg_data_object_56_3             : 8;
    unsigned int reg_01_tx_msg_data_object_57_0             : 8;
    unsigned int reg_01_tx_msg_data_object_57_1             : 8;
};
#define standby_usb_typec_txdata_0_reg_01_e4(val) ((rs_standby_usb_typec_txdata_0_reg_01_e4*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_E8                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0xE8)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_E8_struct                      rs_standby_usb_typec_txdata_0_reg_01_e8

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_e8  rs_standby_usb_typec_txdata_0_reg_01_e8;
struct _rs_standby_usb_typec_txdata_0_reg_01_e8 {
    unsigned int reg_01_tx_msg_data_object_57_2             : 8;
    unsigned int reg_01_tx_msg_data_object_57_3             : 8;
    unsigned int reg_01_tx_msg_data_object_58_0             : 8;
    unsigned int reg_01_tx_msg_data_object_58_1             : 8;
};
#define standby_usb_typec_txdata_0_reg_01_e8(val) ((rs_standby_usb_typec_txdata_0_reg_01_e8*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_EC                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0xEC)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_EC_struct                      rs_standby_usb_typec_txdata_0_reg_01_ec

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_ec  rs_standby_usb_typec_txdata_0_reg_01_ec;
struct _rs_standby_usb_typec_txdata_0_reg_01_ec {
    unsigned int reg_01_tx_msg_data_object_58_2             : 8;
    unsigned int reg_01_tx_msg_data_object_58_3             : 8;
    unsigned int reg_01_tx_msg_data_object_59_0             : 8;
    unsigned int reg_01_tx_msg_data_object_59_1             : 8;
};
#define standby_usb_typec_txdata_0_reg_01_ec(val) ((rs_standby_usb_typec_txdata_0_reg_01_ec*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_F0                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0xF0)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_F0_struct                      rs_standby_usb_typec_txdata_0_reg_01_f0

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_f0  rs_standby_usb_typec_txdata_0_reg_01_f0;
struct _rs_standby_usb_typec_txdata_0_reg_01_f0 {
    unsigned int reg_01_tx_msg_data_object_59_2             : 8;
    unsigned int reg_01_tx_msg_data_object_59_3             : 8;
    unsigned int reg_01_tx_msg_data_object_60_0             : 8;
    unsigned int reg_01_tx_msg_data_object_60_1             : 8;
};
#define standby_usb_typec_txdata_0_reg_01_f0(val) ((rs_standby_usb_typec_txdata_0_reg_01_f0*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_F4                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0xF4)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_F4_struct                      rs_standby_usb_typec_txdata_0_reg_01_f4

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_f4  rs_standby_usb_typec_txdata_0_reg_01_f4;
struct _rs_standby_usb_typec_txdata_0_reg_01_f4 {
    unsigned int reg_01_tx_msg_data_object_60_2             : 8;
    unsigned int reg_01_tx_msg_data_object_60_3             : 8;
    unsigned int reg_01_tx_msg_data_object_61_0             : 8;
    unsigned int reg_01_tx_msg_data_object_61_1             : 8;
};
#define standby_usb_typec_txdata_0_reg_01_f4(val) ((rs_standby_usb_typec_txdata_0_reg_01_f4*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_F8                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0xF8)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_F8_struct                      rs_standby_usb_typec_txdata_0_reg_01_f8

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_f8  rs_standby_usb_typec_txdata_0_reg_01_f8;
struct _rs_standby_usb_typec_txdata_0_reg_01_f8 {
    unsigned int reg_01_tx_msg_data_object_61_2             : 8;
    unsigned int reg_01_tx_msg_data_object_61_3             : 8;
    unsigned int reg_01_tx_msg_data_object_62_0             : 8;
    unsigned int reg_01_tx_msg_data_object_62_1             : 8;
};
#define standby_usb_typec_txdata_0_reg_01_f8(val) ((rs_standby_usb_typec_txdata_0_reg_01_f8*)&(val))



#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_FC                             (HV_USB_TYPEC_TXDATA_0_REG_01_BASE_ADDRESS + 0xFC)

#define STANDBY_USB_TYPEC_TXDATA_0_REG_01_FC_struct                      rs_standby_usb_typec_txdata_0_reg_01_fc

typedef struct _rs_standby_usb_typec_txdata_0_reg_01_fc  rs_standby_usb_typec_txdata_0_reg_01_fc;
struct _rs_standby_usb_typec_txdata_0_reg_01_fc {
    unsigned int reg_01_tx_msg_data_object_62_2             : 8;
    unsigned int reg_01_tx_msg_data_object_62_3             : 8;
    unsigned int reg_01_tx_msg_data_object_63_0             : 8;
    unsigned int reg_01_tx_msg_data_object_63_1             : 8;
};
#define standby_usb_typec_txdata_0_reg_01_fc(val) ((rs_standby_usb_typec_txdata_0_reg_01_fc*)&(val))



#endif