#ifndef _HV_PAGE_HT7315_USIT_TOP2_H_
#define _HV_PAGE_HT7315_USIT_TOP2_H_

#ifndef HV_USIT_TOP2_BASE_ADDRESS
    #define HV_USIT_TOP2_BASE_ADDRESS                                         0x1105E900
#endif


#define TX_USIT_TOP2_CTRL_0                                              (HV_USIT_TOP2_BASE_ADDRESS + 0x00)

#define TX_USIT_TOP2_CTRL_0_struct                                       rs_tx_usit_top2_ctrl_0

typedef struct _rs_tx_usit_top2_ctrl_0  rs_tx_usit_top2_ctrl_0;
struct _rs_tx_usit_top2_ctrl_0 {
    unsigned int reg_usit_sbc_buf00_byte0                   : 8;
    unsigned int reg_usit_sbc_buf00_byte1                   : 8;
    unsigned int reg_usit_sbc_buf00_byte2                   : 8;
    unsigned int reg_usit_sbc_buf00_byte3                   : 8;
};
#define tx_usit_top2_ctrl_0(val) ((rs_tx_usit_top2_ctrl_0*)&(val))



#define TX_USIT_TOP2_CTRL_4                                              (HV_USIT_TOP2_BASE_ADDRESS + 0x04)

#define TX_USIT_TOP2_CTRL_4_struct                                       rs_tx_usit_top2_ctrl_4

typedef struct _rs_tx_usit_top2_ctrl_4  rs_tx_usit_top2_ctrl_4;
struct _rs_tx_usit_top2_ctrl_4 {
    unsigned int reg_usit_sbc_buf01_byte0                   : 8;
    unsigned int reg_usit_sbc_buf01_byte1                   : 8;
    unsigned int reg_usit_sbc_buf01_byte2                   : 8;
    unsigned int reg_usit_sbc_buf01_byte3                   : 8;
};
#define tx_usit_top2_ctrl_4(val) ((rs_tx_usit_top2_ctrl_4*)&(val))



#define TX_USIT_TOP2_CTRL_8                                              (HV_USIT_TOP2_BASE_ADDRESS + 0x08)

#define TX_USIT_TOP2_CTRL_8_struct                                       rs_tx_usit_top2_ctrl_8

typedef struct _rs_tx_usit_top2_ctrl_8  rs_tx_usit_top2_ctrl_8;
struct _rs_tx_usit_top2_ctrl_8 {
    unsigned int reg_usit_sbc_buf02_byte0                   : 8;
    unsigned int reg_usit_sbc_buf02_byte1                   : 8;
    unsigned int reg_usit_sbc_buf02_byte2                   : 8;
    unsigned int reg_usit_sbc_buf02_byte3                   : 8;
};
#define tx_usit_top2_ctrl_8(val) ((rs_tx_usit_top2_ctrl_8*)&(val))



#define TX_USIT_TOP2_CTRL_C                                              (HV_USIT_TOP2_BASE_ADDRESS + 0x0C)

#define TX_USIT_TOP2_CTRL_C_struct                                       rs_tx_usit_top2_ctrl_c

typedef struct _rs_tx_usit_top2_ctrl_c  rs_tx_usit_top2_ctrl_c;
struct _rs_tx_usit_top2_ctrl_c {
    unsigned int reg_usit_sbc_buf03_byte0                   : 8;
    unsigned int reg_usit_sbc_buf03_byte1                   : 8;
    unsigned int reg_usit_sbc_buf03_byte2                   : 8;
    unsigned int reg_usit_sbc_buf03_byte3                   : 8;
};
#define tx_usit_top2_ctrl_c(val) ((rs_tx_usit_top2_ctrl_c*)&(val))



#define TX_USIT_TOP2_CTRL_10                                             (HV_USIT_TOP2_BASE_ADDRESS + 0x10)

#define TX_USIT_TOP2_CTRL_10_struct                                      rs_tx_usit_top2_ctrl_10

typedef struct _rs_tx_usit_top2_ctrl_10  rs_tx_usit_top2_ctrl_10;
struct _rs_tx_usit_top2_ctrl_10 {
    unsigned int reg_usit_sbc_buf04_byte0                   : 8;
    unsigned int reg_usit_sbc_buf04_byte1                   : 8;
    unsigned int reg_usit_sbc_buf04_byte2                   : 8;
    unsigned int reg_usit_sbc_buf04_byte3                   : 8;
};
#define tx_usit_top2_ctrl_10(val) ((rs_tx_usit_top2_ctrl_10*)&(val))



#define TX_USIT_TOP2_CTRL_14                                             (HV_USIT_TOP2_BASE_ADDRESS + 0x14)

#define TX_USIT_TOP2_CTRL_14_struct                                      rs_tx_usit_top2_ctrl_14

typedef struct _rs_tx_usit_top2_ctrl_14  rs_tx_usit_top2_ctrl_14;
struct _rs_tx_usit_top2_ctrl_14 {
    unsigned int reg_usit_sbc_buf05_byte0                   : 8;
    unsigned int reg_usit_sbc_buf05_byte1                   : 8;
    unsigned int reg_usit_sbc_buf05_byte2                   : 8;
    unsigned int reg_usit_sbc_buf05_byte3                   : 8;
};
#define tx_usit_top2_ctrl_14(val) ((rs_tx_usit_top2_ctrl_14*)&(val))



#define TX_USIT_TOP2_CTRL_18                                             (HV_USIT_TOP2_BASE_ADDRESS + 0x18)

#define TX_USIT_TOP2_CTRL_18_struct                                      rs_tx_usit_top2_ctrl_18

typedef struct _rs_tx_usit_top2_ctrl_18  rs_tx_usit_top2_ctrl_18;
struct _rs_tx_usit_top2_ctrl_18 {
    unsigned int reg_usit_sbc_buf06_byte0                   : 8;
    unsigned int reg_usit_sbc_buf06_byte1                   : 8;
    unsigned int reg_usit_sbc_buf06_byte2                   : 8;
    unsigned int reg_usit_sbc_buf06_byte3                   : 8;
};
#define tx_usit_top2_ctrl_18(val) ((rs_tx_usit_top2_ctrl_18*)&(val))



#define TX_USIT_TOP2_CTRL_1C                                             (HV_USIT_TOP2_BASE_ADDRESS + 0x1C)

#define TX_USIT_TOP2_CTRL_1C_struct                                      rs_tx_usit_top2_ctrl_1c

typedef struct _rs_tx_usit_top2_ctrl_1c  rs_tx_usit_top2_ctrl_1c;
struct _rs_tx_usit_top2_ctrl_1c {
    unsigned int reg_usit_sbc_buf07_byte0                   : 8;
    unsigned int reg_usit_sbc_buf07_byte1                   : 8;
    unsigned int reg_usit_sbc_buf07_byte2                   : 8;
    unsigned int reg_usit_sbc_buf07_byte3                   : 8;
};
#define tx_usit_top2_ctrl_1c(val) ((rs_tx_usit_top2_ctrl_1c*)&(val))



#define TX_USIT_TOP2_CTRL_20                                             (HV_USIT_TOP2_BASE_ADDRESS + 0x20)

#define TX_USIT_TOP2_CTRL_20_struct                                      rs_tx_usit_top2_ctrl_20

typedef struct _rs_tx_usit_top2_ctrl_20  rs_tx_usit_top2_ctrl_20;
struct _rs_tx_usit_top2_ctrl_20 {
    unsigned int reg_usit_sbc_buf08_byte0                   : 8;
    unsigned int reg_usit_sbc_buf08_byte1                   : 8;
    unsigned int reg_usit_sbc_buf08_byte2                   : 8;
    unsigned int reg_usit_sbc_buf08_byte3                   : 8;
};
#define tx_usit_top2_ctrl_20(val) ((rs_tx_usit_top2_ctrl_20*)&(val))



#define TX_USIT_TOP2_CTRL_24                                             (HV_USIT_TOP2_BASE_ADDRESS + 0x24)

#define TX_USIT_TOP2_CTRL_24_struct                                      rs_tx_usit_top2_ctrl_24

typedef struct _rs_tx_usit_top2_ctrl_24  rs_tx_usit_top2_ctrl_24;
struct _rs_tx_usit_top2_ctrl_24 {
    unsigned int reg_usit_sbc_buf09_byte0                   : 8;
    unsigned int reg_usit_sbc_buf09_byte1                   : 8;
    unsigned int reg_usit_sbc_buf09_byte2                   : 8;
    unsigned int reg_usit_sbc_buf09_byte3                   : 8;
};
#define tx_usit_top2_ctrl_24(val) ((rs_tx_usit_top2_ctrl_24*)&(val))



#define TX_USIT_TOP2_CTRL_28                                             (HV_USIT_TOP2_BASE_ADDRESS + 0x28)

#define TX_USIT_TOP2_CTRL_28_struct                                      rs_tx_usit_top2_ctrl_28

typedef struct _rs_tx_usit_top2_ctrl_28  rs_tx_usit_top2_ctrl_28;
struct _rs_tx_usit_top2_ctrl_28 {
    unsigned int reg_usit_sbc_buf10_byte0                   : 8;
    unsigned int reg_usit_sbc_buf10_byte1                   : 8;
    unsigned int reg_usit_sbc_buf10_byte2                   : 8;
    unsigned int reg_usit_sbc_buf10_byte3                   : 8;
};
#define tx_usit_top2_ctrl_28(val) ((rs_tx_usit_top2_ctrl_28*)&(val))



#define TX_USIT_TOP2_CTRL_2C                                             (HV_USIT_TOP2_BASE_ADDRESS + 0x2C)

#define TX_USIT_TOP2_CTRL_2C_struct                                      rs_tx_usit_top2_ctrl_2c

typedef struct _rs_tx_usit_top2_ctrl_2c  rs_tx_usit_top2_ctrl_2c;
struct _rs_tx_usit_top2_ctrl_2c {
    unsigned int reg_usit_sbc_buf11_byte0                   : 8;
    unsigned int reg_usit_sbc_buf11_byte1                   : 8;
    unsigned int reg_usit_sbc_buf11_byte2                   : 8;
    unsigned int reg_usit_sbc_buf11_byte3                   : 8;
};
#define tx_usit_top2_ctrl_2c(val) ((rs_tx_usit_top2_ctrl_2c*)&(val))



#define TX_USIT_TOP2_CTRL_30                                             (HV_USIT_TOP2_BASE_ADDRESS + 0x30)

#define TX_USIT_TOP2_CTRL_30_struct                                      rs_tx_usit_top2_ctrl_30

typedef struct _rs_tx_usit_top2_ctrl_30  rs_tx_usit_top2_ctrl_30;
struct _rs_tx_usit_top2_ctrl_30 {
    unsigned int reg_usit_sbc_buf12_byte0                   : 8;
    unsigned int reg_usit_sbc_buf12_byte1                   : 8;
    unsigned int reg_usit_sbc_buf12_byte2                   : 8;
    unsigned int reg_usit_sbc_buf12_byte3                   : 8;
};
#define tx_usit_top2_ctrl_30(val) ((rs_tx_usit_top2_ctrl_30*)&(val))



#define TX_USIT_TOP2_CTRL_34                                             (HV_USIT_TOP2_BASE_ADDRESS + 0x34)

#define TX_USIT_TOP2_CTRL_34_struct                                      rs_tx_usit_top2_ctrl_34

typedef struct _rs_tx_usit_top2_ctrl_34  rs_tx_usit_top2_ctrl_34;
struct _rs_tx_usit_top2_ctrl_34 {
    unsigned int reg_usit_sbc_buf13_byte0                   : 8;
    unsigned int reg_usit_sbc_buf13_byte1                   : 8;
    unsigned int reg_usit_sbc_buf13_byte2                   : 8;
    unsigned int reg_usit_sbc_buf13_byte3                   : 8;
};
#define tx_usit_top2_ctrl_34(val) ((rs_tx_usit_top2_ctrl_34*)&(val))



#define TX_USIT_TOP2_CTRL_38                                             (HV_USIT_TOP2_BASE_ADDRESS + 0x38)

#define TX_USIT_TOP2_CTRL_38_struct                                      rs_tx_usit_top2_ctrl_38

typedef struct _rs_tx_usit_top2_ctrl_38  rs_tx_usit_top2_ctrl_38;
struct _rs_tx_usit_top2_ctrl_38 {
    unsigned int reg_usit_sbc_buf14_byte0                   : 8;
    unsigned int reg_usit_sbc_buf14_byte1                   : 8;
    unsigned int reg_usit_sbc_buf14_byte2                   : 8;
    unsigned int reg_usit_sbc_buf14_byte3                   : 8;
};
#define tx_usit_top2_ctrl_38(val) ((rs_tx_usit_top2_ctrl_38*)&(val))



#define TX_USIT_TOP2_CTRL_3C                                             (HV_USIT_TOP2_BASE_ADDRESS + 0x3C)

#define TX_USIT_TOP2_CTRL_3C_struct                                      rs_tx_usit_top2_ctrl_3c

typedef struct _rs_tx_usit_top2_ctrl_3c  rs_tx_usit_top2_ctrl_3c;
struct _rs_tx_usit_top2_ctrl_3c {
    unsigned int reg_usit_sbc_buf15_byte0                   : 8;
    unsigned int reg_usit_sbc_buf15_byte1                   : 8;
    unsigned int reg_usit_sbc_buf15_byte2                   : 8;
    unsigned int reg_usit_sbc_buf15_byte3                   : 8;
};
#define tx_usit_top2_ctrl_3c(val) ((rs_tx_usit_top2_ctrl_3c*)&(val))



#define TX_USIT_TOP2_CTRL_40                                             (HV_USIT_TOP2_BASE_ADDRESS + 0x40)

#define TX_USIT_TOP2_CTRL_40_struct                                      rs_tx_usit_top2_ctrl_40

typedef struct _rs_tx_usit_top2_ctrl_40  rs_tx_usit_top2_ctrl_40;
struct _rs_tx_usit_top2_ctrl_40 {
    unsigned int reg_usit_sbc_buf16_byte0                   : 8;
    unsigned int reg_usit_sbc_buf16_byte1                   : 8;
    unsigned int reg_usit_sbc_buf16_byte2                   : 8;
    unsigned int reg_usit_sbc_buf16_byte3                   : 8;
};
#define tx_usit_top2_ctrl_40(val) ((rs_tx_usit_top2_ctrl_40*)&(val))



#define TX_USIT_TOP2_CTRL_44                                             (HV_USIT_TOP2_BASE_ADDRESS + 0x44)

#define TX_USIT_TOP2_CTRL_44_struct                                      rs_tx_usit_top2_ctrl_44

typedef struct _rs_tx_usit_top2_ctrl_44  rs_tx_usit_top2_ctrl_44;
struct _rs_tx_usit_top2_ctrl_44 {
    unsigned int reg_usit_sbc_buf17_byte0                   : 8;
    unsigned int reg_usit_sbc_buf17_byte1                   : 8;
    unsigned int reg_usit_sbc_buf17_byte2                   : 8;
    unsigned int reg_usit_sbc_buf17_byte3                   : 8;
};
#define tx_usit_top2_ctrl_44(val) ((rs_tx_usit_top2_ctrl_44*)&(val))



#define TX_USIT_TOP2_CTRL_48                                             (HV_USIT_TOP2_BASE_ADDRESS + 0x48)

#define TX_USIT_TOP2_CTRL_48_struct                                      rs_tx_usit_top2_ctrl_48

typedef struct _rs_tx_usit_top2_ctrl_48  rs_tx_usit_top2_ctrl_48;
struct _rs_tx_usit_top2_ctrl_48 {
    unsigned int reg_usit_sbc_buf18_byte0                   : 8;
    unsigned int reg_usit_sbc_buf18_byte1                   : 8;
    unsigned int reg_usit_sbc_buf18_byte2                   : 8;
    unsigned int reg_usit_sbc_buf18_byte3                   : 8;
};
#define tx_usit_top2_ctrl_48(val) ((rs_tx_usit_top2_ctrl_48*)&(val))



#define TX_USIT_TOP2_CTRL_4C                                             (HV_USIT_TOP2_BASE_ADDRESS + 0x4C)

#define TX_USIT_TOP2_CTRL_4C_struct                                      rs_tx_usit_top2_ctrl_4c

typedef struct _rs_tx_usit_top2_ctrl_4c  rs_tx_usit_top2_ctrl_4c;
struct _rs_tx_usit_top2_ctrl_4c {
    unsigned int reg_usit_sbc_buf19_byte0                   : 8;
    unsigned int reg_usit_sbc_buf19_byte1                   : 8;
    unsigned int reg_usit_sbc_buf19_byte2                   : 8;
    unsigned int reg_usit_sbc_buf19_byte3                   : 8;
};
#define tx_usit_top2_ctrl_4c(val) ((rs_tx_usit_top2_ctrl_4c*)&(val))



#define TX_USIT_TOP2_CTRL_50                                             (HV_USIT_TOP2_BASE_ADDRESS + 0x50)

#define TX_USIT_TOP2_CTRL_50_struct                                      rs_tx_usit_top2_ctrl_50

typedef struct _rs_tx_usit_top2_ctrl_50  rs_tx_usit_top2_ctrl_50;
struct _rs_tx_usit_top2_ctrl_50 {
    unsigned int reg_usit_sbc_buf20_byte0                   : 8;
    unsigned int reg_usit_sbc_buf20_byte1                   : 8;
    unsigned int reg_usit_sbc_buf20_byte2                   : 8;
    unsigned int reg_usit_sbc_buf20_byte3                   : 8;
};
#define tx_usit_top2_ctrl_50(val) ((rs_tx_usit_top2_ctrl_50*)&(val))



#define TX_USIT_TOP2_CTRL_54                                             (HV_USIT_TOP2_BASE_ADDRESS + 0x54)

#define TX_USIT_TOP2_CTRL_54_struct                                      rs_tx_usit_top2_ctrl_54

typedef struct _rs_tx_usit_top2_ctrl_54  rs_tx_usit_top2_ctrl_54;
struct _rs_tx_usit_top2_ctrl_54 {
    unsigned int reg_usit_sbc_buf21_byte0                   : 8;
    unsigned int reg_usit_sbc_buf21_byte1                   : 8;
    unsigned int reg_usit_sbc_buf21_byte2                   : 8;
    unsigned int reg_usit_sbc_buf21_byte3                   : 8;
};
#define tx_usit_top2_ctrl_54(val) ((rs_tx_usit_top2_ctrl_54*)&(val))



#define TX_USIT_TOP2_CTRL_58                                             (HV_USIT_TOP2_BASE_ADDRESS + 0x58)

#define TX_USIT_TOP2_CTRL_58_struct                                      rs_tx_usit_top2_ctrl_58

typedef struct _rs_tx_usit_top2_ctrl_58  rs_tx_usit_top2_ctrl_58;
struct _rs_tx_usit_top2_ctrl_58 {
    unsigned int reg_usit_sbc_buf22_byte0                   : 8;
    unsigned int reg_usit_sbc_buf22_byte1                   : 8;
    unsigned int reg_usit_sbc_buf22_byte2                   : 8;
    unsigned int reg_usit_sbc_buf22_byte3                   : 8;
};
#define tx_usit_top2_ctrl_58(val) ((rs_tx_usit_top2_ctrl_58*)&(val))



#define TX_USIT_TOP2_CTRL_5C                                             (HV_USIT_TOP2_BASE_ADDRESS + 0x5C)

#define TX_USIT_TOP2_CTRL_5C_struct                                      rs_tx_usit_top2_ctrl_5c

typedef struct _rs_tx_usit_top2_ctrl_5c  rs_tx_usit_top2_ctrl_5c;
struct _rs_tx_usit_top2_ctrl_5c {
    unsigned int reg_usit_sbc_buf23_byte0                   : 8;
    unsigned int reg_usit_sbc_buf23_byte1                   : 8;
    unsigned int reg_usit_sbc_buf23_byte2                   : 8;
    unsigned int reg_usit_sbc_buf23_byte3                   : 8;
};
#define tx_usit_top2_ctrl_5c(val) ((rs_tx_usit_top2_ctrl_5c*)&(val))



#define TX_USIT_TOP2_CTRL_60                                             (HV_USIT_TOP2_BASE_ADDRESS + 0x60)

#define TX_USIT_TOP2_CTRL_60_struct                                      rs_tx_usit_top2_ctrl_60

typedef struct _rs_tx_usit_top2_ctrl_60  rs_tx_usit_top2_ctrl_60;
struct _rs_tx_usit_top2_ctrl_60 {
    unsigned int reg_usit_sbc_buf24_byte0                   : 8;
    unsigned int reg_usit_sbc_buf24_byte1                   : 8;
    unsigned int reg_usit_sbc_buf24_byte2                   : 8;
    unsigned int reg_usit_sbc_buf24_byte3                   : 8;
};
#define tx_usit_top2_ctrl_60(val) ((rs_tx_usit_top2_ctrl_60*)&(val))



#define TX_USIT_TOP2_CTRL_64                                             (HV_USIT_TOP2_BASE_ADDRESS + 0x64)

#define TX_USIT_TOP2_CTRL_64_struct                                      rs_tx_usit_top2_ctrl_64

typedef struct _rs_tx_usit_top2_ctrl_64  rs_tx_usit_top2_ctrl_64;
struct _rs_tx_usit_top2_ctrl_64 {
    unsigned int reg_usit_sbc_buf25_byte0                   : 8;
    unsigned int reg_usit_sbc_buf25_byte1                   : 8;
    unsigned int reg_usit_sbc_buf25_byte2                   : 8;
    unsigned int reg_usit_sbc_buf25_byte3                   : 8;
};
#define tx_usit_top2_ctrl_64(val) ((rs_tx_usit_top2_ctrl_64*)&(val))



#define TX_USIT_TOP2_CTRL_68                                             (HV_USIT_TOP2_BASE_ADDRESS + 0x68)

#define TX_USIT_TOP2_CTRL_68_struct                                      rs_tx_usit_top2_ctrl_68

typedef struct _rs_tx_usit_top2_ctrl_68  rs_tx_usit_top2_ctrl_68;
struct _rs_tx_usit_top2_ctrl_68 {
    unsigned int reg_usit_sbc_buf26_byte0                   : 8;
    unsigned int reg_usit_sbc_buf26_byte1                   : 8;
    unsigned int reg_usit_sbc_buf26_byte2                   : 8;
    unsigned int reg_usit_sbc_buf26_byte3                   : 8;
};
#define tx_usit_top2_ctrl_68(val) ((rs_tx_usit_top2_ctrl_68*)&(val))



#define TX_USIT_TOP2_CTRL_6C                                             (HV_USIT_TOP2_BASE_ADDRESS + 0x6C)

#define TX_USIT_TOP2_CTRL_6C_struct                                      rs_tx_usit_top2_ctrl_6c

typedef struct _rs_tx_usit_top2_ctrl_6c  rs_tx_usit_top2_ctrl_6c;
struct _rs_tx_usit_top2_ctrl_6c {
    unsigned int reg_usit_sbc_buf27_byte0                   : 8;
    unsigned int reg_usit_sbc_buf27_byte1                   : 8;
    unsigned int reg_usit_sbc_buf27_byte2                   : 8;
    unsigned int reg_usit_sbc_buf27_byte3                   : 8;
};
#define tx_usit_top2_ctrl_6c(val) ((rs_tx_usit_top2_ctrl_6c*)&(val))



#define TX_USIT_TOP2_CTRL_70                                             (HV_USIT_TOP2_BASE_ADDRESS + 0x70)

#define TX_USIT_TOP2_CTRL_70_struct                                      rs_tx_usit_top2_ctrl_70

typedef struct _rs_tx_usit_top2_ctrl_70  rs_tx_usit_top2_ctrl_70;
struct _rs_tx_usit_top2_ctrl_70 {
    unsigned int reg_usit_sbc_buf28_byte0                   : 8;
    unsigned int reg_usit_sbc_buf28_byte1                   : 8;
    unsigned int reg_usit_sbc_buf28_byte2                   : 8;
    unsigned int reg_usit_sbc_buf28_byte3                   : 8;
};
#define tx_usit_top2_ctrl_70(val) ((rs_tx_usit_top2_ctrl_70*)&(val))



#define TX_USIT_TOP2_CTRL_74                                             (HV_USIT_TOP2_BASE_ADDRESS + 0x74)

#define TX_USIT_TOP2_CTRL_74_struct                                      rs_tx_usit_top2_ctrl_74

typedef struct _rs_tx_usit_top2_ctrl_74  rs_tx_usit_top2_ctrl_74;
struct _rs_tx_usit_top2_ctrl_74 {
    unsigned int reg_usit_sbc_buf29_byte0                   : 8;
    unsigned int reg_usit_sbc_buf29_byte1                   : 8;
    unsigned int reg_usit_sbc_buf29_byte2                   : 8;
    unsigned int reg_usit_sbc_buf29_byte3                   : 8;
};
#define tx_usit_top2_ctrl_74(val) ((rs_tx_usit_top2_ctrl_74*)&(val))



#define TX_USIT_TOP2_CTRL_78                                             (HV_USIT_TOP2_BASE_ADDRESS + 0x78)

#define TX_USIT_TOP2_CTRL_78_struct                                      rs_tx_usit_top2_ctrl_78

typedef struct _rs_tx_usit_top2_ctrl_78  rs_tx_usit_top2_ctrl_78;
struct _rs_tx_usit_top2_ctrl_78 {
    unsigned int reg_usit_sbc_buf30_byte0                   : 8;
    unsigned int reg_usit_sbc_buf30_byte1                   : 8;
    unsigned int reg_usit_sbc_buf30_byte2                   : 8;
    unsigned int reg_usit_sbc_buf30_byte3                   : 8;
};
#define tx_usit_top2_ctrl_78(val) ((rs_tx_usit_top2_ctrl_78*)&(val))



#define TX_USIT_TOP2_CTRL_7C                                             (HV_USIT_TOP2_BASE_ADDRESS + 0x7C)

#define TX_USIT_TOP2_CTRL_7C_struct                                      rs_tx_usit_top2_ctrl_7c

typedef struct _rs_tx_usit_top2_ctrl_7c  rs_tx_usit_top2_ctrl_7c;
struct _rs_tx_usit_top2_ctrl_7c {
    unsigned int reg_usit_sbc_buf31_byte0                   : 8;
    unsigned int reg_usit_sbc_buf31_byte1                   : 8;
    unsigned int reg_usit_sbc_buf31_byte2                   : 8;
    unsigned int reg_usit_sbc_buf31_byte3                   : 8;
};
#define tx_usit_top2_ctrl_7c(val) ((rs_tx_usit_top2_ctrl_7c*)&(val))



#define TX_USIT_TOP2_CTRL_80                                             (HV_USIT_TOP2_BASE_ADDRESS + 0x80)

#define TX_USIT_TOP2_CTRL_80_struct                                      rs_tx_usit_top2_ctrl_80

typedef struct _rs_tx_usit_top2_ctrl_80  rs_tx_usit_top2_ctrl_80;
struct _rs_tx_usit_top2_ctrl_80 {
    unsigned int reg_usit_sbc_buf32_byte0                   : 8;
    unsigned int reg_usit_sbc_buf32_byte1                   : 8;
    unsigned int reg_usit_sbc_buf32_byte2                   : 8;
    unsigned int reg_usit_sbc_buf32_byte3                   : 8;
};
#define tx_usit_top2_ctrl_80(val) ((rs_tx_usit_top2_ctrl_80*)&(val))



#define TX_USIT_TOP2_CTRL_84                                             (HV_USIT_TOP2_BASE_ADDRESS + 0x84)

#define TX_USIT_TOP2_CTRL_84_struct                                      rs_tx_usit_top2_ctrl_84

typedef struct _rs_tx_usit_top2_ctrl_84  rs_tx_usit_top2_ctrl_84;
struct _rs_tx_usit_top2_ctrl_84 {
    unsigned int reg_usit_sbc_buf33_byte0                   : 8;
    unsigned int reg_usit_sbc_buf33_byte1                   : 8;
    unsigned int reg_usit_sbc_buf33_byte2                   : 8;
    unsigned int reg_usit_sbc_buf33_byte3                   : 8;
};
#define tx_usit_top2_ctrl_84(val) ((rs_tx_usit_top2_ctrl_84*)&(val))



#define TX_USIT_TOP2_CTRL_88                                             (HV_USIT_TOP2_BASE_ADDRESS + 0x88)

#define TX_USIT_TOP2_CTRL_88_struct                                      rs_tx_usit_top2_ctrl_88

typedef struct _rs_tx_usit_top2_ctrl_88  rs_tx_usit_top2_ctrl_88;
struct _rs_tx_usit_top2_ctrl_88 {
    unsigned int reg_usit_sbc_buf34_byte0                   : 8;
    unsigned int reg_usit_sbc_buf34_byte1                   : 8;
    unsigned int reg_usit_sbc_buf34_byte2                   : 8;
    unsigned int reg_usit_sbc_buf34_byte3                   : 8;
};
#define tx_usit_top2_ctrl_88(val) ((rs_tx_usit_top2_ctrl_88*)&(val))



#define TX_USIT_TOP2_CTRL_8C                                             (HV_USIT_TOP2_BASE_ADDRESS + 0x8C)

#define TX_USIT_TOP2_CTRL_8C_struct                                      rs_tx_usit_top2_ctrl_8c

typedef struct _rs_tx_usit_top2_ctrl_8c  rs_tx_usit_top2_ctrl_8c;
struct _rs_tx_usit_top2_ctrl_8c {
    unsigned int reg_usit_sbc_buf35_byte0                   : 8;
    unsigned int reg_usit_sbc_buf35_byte1                   : 8;
    unsigned int reg_usit_sbc_buf35_byte2                   : 8;
    unsigned int reg_usit_sbc_buf35_byte3                   : 8;
};
#define tx_usit_top2_ctrl_8c(val) ((rs_tx_usit_top2_ctrl_8c*)&(val))



#define TX_USIT_TOP2_CTRL_90                                             (HV_USIT_TOP2_BASE_ADDRESS + 0x90)

#define TX_USIT_TOP2_CTRL_90_struct                                      rs_tx_usit_top2_ctrl_90

typedef struct _rs_tx_usit_top2_ctrl_90  rs_tx_usit_top2_ctrl_90;
struct _rs_tx_usit_top2_ctrl_90 {
    unsigned int reg_usit_sbc_buf36_byte0                   : 8;
    unsigned int reg_usit_sbc_buf36_byte1                   : 8;
    unsigned int reg_usit_sbc_buf36_byte2                   : 8;
    unsigned int reg_usit_sbc_buf36_byte3                   : 8;
};
#define tx_usit_top2_ctrl_90(val) ((rs_tx_usit_top2_ctrl_90*)&(val))



#define TX_USIT_TOP2_CTRL_94                                             (HV_USIT_TOP2_BASE_ADDRESS + 0x94)

#define TX_USIT_TOP2_CTRL_94_struct                                      rs_tx_usit_top2_ctrl_94

typedef struct _rs_tx_usit_top2_ctrl_94  rs_tx_usit_top2_ctrl_94;
struct _rs_tx_usit_top2_ctrl_94 {
    unsigned int reg_usit_sbc_buf37_byte0                   : 8;
    unsigned int reg_usit_sbc_buf37_byte1                   : 8;
    unsigned int reg_usit_sbc_buf37_byte2                   : 8;
    unsigned int reg_usit_sbc_buf37_byte3                   : 8;
};
#define tx_usit_top2_ctrl_94(val) ((rs_tx_usit_top2_ctrl_94*)&(val))



#define TX_USIT_TOP2_CTRL_98                                             (HV_USIT_TOP2_BASE_ADDRESS + 0x98)

#define TX_USIT_TOP2_CTRL_98_struct                                      rs_tx_usit_top2_ctrl_98

typedef struct _rs_tx_usit_top2_ctrl_98  rs_tx_usit_top2_ctrl_98;
struct _rs_tx_usit_top2_ctrl_98 {
    unsigned int reg_usit_sbc_buf38_byte0                   : 8;
    unsigned int reg_usit_sbc_buf38_byte1                   : 8;
    unsigned int reg_usit_sbc_buf38_byte2                   : 8;
    unsigned int reg_usit_sbc_buf38_byte3                   : 8;
};
#define tx_usit_top2_ctrl_98(val) ((rs_tx_usit_top2_ctrl_98*)&(val))



#define TX_USIT_TOP2_CTRL_9C                                             (HV_USIT_TOP2_BASE_ADDRESS + 0x9C)

#define TX_USIT_TOP2_CTRL_9C_struct                                      rs_tx_usit_top2_ctrl_9c

typedef struct _rs_tx_usit_top2_ctrl_9c  rs_tx_usit_top2_ctrl_9c;
struct _rs_tx_usit_top2_ctrl_9c {
    unsigned int reg_usit_sbc_buf39_byte0                   : 8;
    unsigned int reg_usit_sbc_buf39_byte1                   : 8;
    unsigned int reg_usit_sbc_buf39_byte2                   : 8;
    unsigned int reg_usit_sbc_buf39_byte3                   : 8;
};
#define tx_usit_top2_ctrl_9c(val) ((rs_tx_usit_top2_ctrl_9c*)&(val))



#define TX_USIT_TOP2_CTRL_A0                                             (HV_USIT_TOP2_BASE_ADDRESS + 0xA0)

#define TX_USIT_TOP2_CTRL_A0_struct                                      rs_tx_usit_top2_ctrl_a0

typedef struct _rs_tx_usit_top2_ctrl_a0  rs_tx_usit_top2_ctrl_a0;
struct _rs_tx_usit_top2_ctrl_a0 {
    unsigned int reg_usit_sbc_buf40_byte0                   : 8;
    unsigned int reg_usit_sbc_buf40_byte1                   : 8;
    unsigned int reg_usit_sbc_buf40_byte2                   : 8;
    unsigned int reg_usit_sbc_buf40_byte3                   : 8;
};
#define tx_usit_top2_ctrl_a0(val) ((rs_tx_usit_top2_ctrl_a0*)&(val))



#define TX_USIT_TOP2_CTRL_A4                                             (HV_USIT_TOP2_BASE_ADDRESS + 0xA4)

#define TX_USIT_TOP2_CTRL_A4_struct                                      rs_tx_usit_top2_ctrl_a4

typedef struct _rs_tx_usit_top2_ctrl_a4  rs_tx_usit_top2_ctrl_a4;
struct _rs_tx_usit_top2_ctrl_a4 {
    unsigned int reg_usit_sbc_buf41_byte0                   : 8;
    unsigned int reg_usit_sbc_buf41_byte1                   : 8;
    unsigned int reg_usit_sbc_buf41_byte2                   : 8;
    unsigned int reg_usit_sbc_buf41_byte3                   : 8;
};
#define tx_usit_top2_ctrl_a4(val) ((rs_tx_usit_top2_ctrl_a4*)&(val))



#define TX_USIT_TOP2_CTRL_A8                                             (HV_USIT_TOP2_BASE_ADDRESS + 0xA8)

#define TX_USIT_TOP2_CTRL_A8_struct                                      rs_tx_usit_top2_ctrl_a8

typedef struct _rs_tx_usit_top2_ctrl_a8  rs_tx_usit_top2_ctrl_a8;
struct _rs_tx_usit_top2_ctrl_a8 {
    unsigned int reg_usit_sbc_buf42_byte0                   : 8;
    unsigned int reg_usit_sbc_buf42_byte1                   : 8;
    unsigned int reg_usit_sbc_buf42_byte2                   : 8;
    unsigned int reg_usit_sbc_buf42_byte3                   : 8;
};
#define tx_usit_top2_ctrl_a8(val) ((rs_tx_usit_top2_ctrl_a8*)&(val))



#define TX_USIT_TOP2_CTRL_AC                                             (HV_USIT_TOP2_BASE_ADDRESS + 0xAC)

#define TX_USIT_TOP2_CTRL_AC_struct                                      rs_tx_usit_top2_ctrl_ac

typedef struct _rs_tx_usit_top2_ctrl_ac  rs_tx_usit_top2_ctrl_ac;
struct _rs_tx_usit_top2_ctrl_ac {
    unsigned int reg_usit_sbc_buf43_byte0                   : 8;
    unsigned int reg_usit_sbc_buf43_byte1                   : 8;
    unsigned int reg_usit_sbc_buf43_byte2                   : 8;
    unsigned int reg_usit_sbc_buf43_byte3                   : 8;
};
#define tx_usit_top2_ctrl_ac(val) ((rs_tx_usit_top2_ctrl_ac*)&(val))



#define TX_USIT_TOP2_CTRL_B0                                             (HV_USIT_TOP2_BASE_ADDRESS + 0xB0)

#define TX_USIT_TOP2_CTRL_B0_struct                                      rs_tx_usit_top2_ctrl_b0

typedef struct _rs_tx_usit_top2_ctrl_b0  rs_tx_usit_top2_ctrl_b0;
struct _rs_tx_usit_top2_ctrl_b0 {
    unsigned int reg_usit_sbc_buf44_byte0                   : 8;
    unsigned int reg_usit_sbc_buf44_byte1                   : 8;
    unsigned int reg_usit_sbc_buf44_byte2                   : 8;
    unsigned int reg_usit_sbc_buf44_byte3                   : 8;
};
#define tx_usit_top2_ctrl_b0(val) ((rs_tx_usit_top2_ctrl_b0*)&(val))



#define TX_USIT_TOP2_CTRL_B4                                             (HV_USIT_TOP2_BASE_ADDRESS + 0xB4)

#define TX_USIT_TOP2_CTRL_B4_struct                                      rs_tx_usit_top2_ctrl_b4

typedef struct _rs_tx_usit_top2_ctrl_b4  rs_tx_usit_top2_ctrl_b4;
struct _rs_tx_usit_top2_ctrl_b4 {
    unsigned int reg_usit_sbc_buf45_byte0                   : 8;
    unsigned int reg_usit_sbc_buf45_byte1                   : 8;
    unsigned int reg_usit_sbc_buf45_byte2                   : 8;
    unsigned int reg_usit_sbc_buf45_byte3                   : 8;
};
#define tx_usit_top2_ctrl_b4(val) ((rs_tx_usit_top2_ctrl_b4*)&(val))



#define TX_USIT_TOP2_CTRL_B8                                             (HV_USIT_TOP2_BASE_ADDRESS + 0xB8)

#define TX_USIT_TOP2_CTRL_B8_struct                                      rs_tx_usit_top2_ctrl_b8

typedef struct _rs_tx_usit_top2_ctrl_b8  rs_tx_usit_top2_ctrl_b8;
struct _rs_tx_usit_top2_ctrl_b8 {
    unsigned int reg_usit_sbc_buf46_byte0                   : 8;
    unsigned int reg_usit_sbc_buf46_byte1                   : 8;
    unsigned int reg_usit_sbc_buf46_byte2                   : 8;
    unsigned int reg_usit_sbc_buf46_byte3                   : 8;
};
#define tx_usit_top2_ctrl_b8(val) ((rs_tx_usit_top2_ctrl_b8*)&(val))



#define TX_USIT_TOP2_CTRL_BC                                             (HV_USIT_TOP2_BASE_ADDRESS + 0xBC)

#define TX_USIT_TOP2_CTRL_BC_struct                                      rs_tx_usit_top2_ctrl_bc

typedef struct _rs_tx_usit_top2_ctrl_bc  rs_tx_usit_top2_ctrl_bc;
struct _rs_tx_usit_top2_ctrl_bc {
    unsigned int reg_usit_sbc_buf47_byte0                   : 8;
    unsigned int reg_usit_sbc_buf47_byte1                   : 8;
    unsigned int reg_usit_sbc_buf47_byte2                   : 8;
    unsigned int reg_usit_sbc_buf47_byte3                   : 8;
};
#define tx_usit_top2_ctrl_bc(val) ((rs_tx_usit_top2_ctrl_bc*)&(val))



#define TX_USIT_TOP2_CTRL_C0                                             (HV_USIT_TOP2_BASE_ADDRESS + 0xC0)

#define TX_USIT_TOP2_CTRL_C0_struct                                      rs_tx_usit_top2_ctrl_c0

typedef struct _rs_tx_usit_top2_ctrl_c0  rs_tx_usit_top2_ctrl_c0;
struct _rs_tx_usit_top2_ctrl_c0 {
    unsigned int reg_usit_sbc_buf00_index                   : 8;
    unsigned int reg_usit_sbc_buf01_index                   : 8;
    unsigned int reg_usit_sbc_buf02_index                   : 8;
    unsigned int reg_usit_sbc_buf03_index                   : 8;
};
#define tx_usit_top2_ctrl_c0(val) ((rs_tx_usit_top2_ctrl_c0*)&(val))



#define TX_USIT_TOP2_CTRL_C4                                             (HV_USIT_TOP2_BASE_ADDRESS + 0xC4)

#define TX_USIT_TOP2_CTRL_C4_struct                                      rs_tx_usit_top2_ctrl_c4

typedef struct _rs_tx_usit_top2_ctrl_c4  rs_tx_usit_top2_ctrl_c4;
struct _rs_tx_usit_top2_ctrl_c4 {
    unsigned int reg_usit_sbc_buf04_index                   : 8;
    unsigned int reg_usit_sbc_buf05_index                   : 8;
    unsigned int reg_usit_sbc_buf06_index                   : 8;
    unsigned int reg_usit_sbc_buf07_index                   : 8;
};
#define tx_usit_top2_ctrl_c4(val) ((rs_tx_usit_top2_ctrl_c4*)&(val))



#define TX_USIT_TOP2_CTRL_C8                                             (HV_USIT_TOP2_BASE_ADDRESS + 0xC8)

#define TX_USIT_TOP2_CTRL_C8_struct                                      rs_tx_usit_top2_ctrl_c8

typedef struct _rs_tx_usit_top2_ctrl_c8  rs_tx_usit_top2_ctrl_c8;
struct _rs_tx_usit_top2_ctrl_c8 {
    unsigned int reg_usit_sbc_buf08_index                   : 8;
    unsigned int reg_usit_sbc_buf09_index                   : 8;
    unsigned int reg_usit_sbc_buf10_index                   : 8;
    unsigned int reg_usit_sbc_buf11_index                   : 8;
};
#define tx_usit_top2_ctrl_c8(val) ((rs_tx_usit_top2_ctrl_c8*)&(val))



#define TX_USIT_TOP2_CTRL_CC                                             (HV_USIT_TOP2_BASE_ADDRESS + 0xCC)

#define TX_USIT_TOP2_CTRL_CC_struct                                      rs_tx_usit_top2_ctrl_cc

typedef struct _rs_tx_usit_top2_ctrl_cc  rs_tx_usit_top2_ctrl_cc;
struct _rs_tx_usit_top2_ctrl_cc {
    unsigned int reg_usit_sbc_buf12_index                   : 8;
    unsigned int reg_usit_sbc_buf13_index                   : 8;
    unsigned int reg_usit_sbc_buf14_index                   : 8;
    unsigned int reg_usit_sbc_buf15_index                   : 8;
};
#define tx_usit_top2_ctrl_cc(val) ((rs_tx_usit_top2_ctrl_cc*)&(val))



#define TX_USIT_TOP2_CTRL_D0                                             (HV_USIT_TOP2_BASE_ADDRESS + 0xD0)

#define TX_USIT_TOP2_CTRL_D0_struct                                      rs_tx_usit_top2_ctrl_d0

typedef struct _rs_tx_usit_top2_ctrl_d0  rs_tx_usit_top2_ctrl_d0;
struct _rs_tx_usit_top2_ctrl_d0 {
    unsigned int reg_usit_sbc_buf16_index                   : 8;
    unsigned int reg_usit_sbc_buf17_index                   : 8;
    unsigned int reg_usit_sbc_buf18_index                   : 8;
    unsigned int reg_usit_sbc_buf19_index                   : 8;
};
#define tx_usit_top2_ctrl_d0(val) ((rs_tx_usit_top2_ctrl_d0*)&(val))



#define TX_USIT_TOP2_CTRL_D4                                             (HV_USIT_TOP2_BASE_ADDRESS + 0xD4)

#define TX_USIT_TOP2_CTRL_D4_struct                                      rs_tx_usit_top2_ctrl_d4

typedef struct _rs_tx_usit_top2_ctrl_d4  rs_tx_usit_top2_ctrl_d4;
struct _rs_tx_usit_top2_ctrl_d4 {
    unsigned int reg_usit_sbc_buf20_index                   : 8;
    unsigned int reg_usit_sbc_buf21_index                   : 8;
    unsigned int reg_usit_sbc_buf22_index                   : 8;
    unsigned int reg_usit_sbc_buf23_index                   : 8;
};
#define tx_usit_top2_ctrl_d4(val) ((rs_tx_usit_top2_ctrl_d4*)&(val))



#define TX_USIT_TOP2_CTRL_D8                                             (HV_USIT_TOP2_BASE_ADDRESS + 0xD8)

#define TX_USIT_TOP2_CTRL_D8_struct                                      rs_tx_usit_top2_ctrl_d8

typedef struct _rs_tx_usit_top2_ctrl_d8  rs_tx_usit_top2_ctrl_d8;
struct _rs_tx_usit_top2_ctrl_d8 {
    unsigned int reg_usit_sbc_buf24_index                   : 8;
    unsigned int reg_usit_sbc_buf25_index                   : 8;
    unsigned int reg_usit_sbc_buf26_index                   : 8;
    unsigned int reg_usit_sbc_buf27_index                   : 8;
};
#define tx_usit_top2_ctrl_d8(val) ((rs_tx_usit_top2_ctrl_d8*)&(val))



#define TX_USIT_TOP2_CTRL_DC                                             (HV_USIT_TOP2_BASE_ADDRESS + 0xDC)

#define TX_USIT_TOP2_CTRL_DC_struct                                      rs_tx_usit_top2_ctrl_dc

typedef struct _rs_tx_usit_top2_ctrl_dc  rs_tx_usit_top2_ctrl_dc;
struct _rs_tx_usit_top2_ctrl_dc {
    unsigned int reg_usit_sbc_buf28_index                   : 8;
    unsigned int reg_usit_sbc_buf29_index                   : 8;
    unsigned int reg_usit_sbc_buf30_index                   : 8;
    unsigned int reg_usit_sbc_buf31_index                   : 8;
};
#define tx_usit_top2_ctrl_dc(val) ((rs_tx_usit_top2_ctrl_dc*)&(val))



#define TX_USIT_TOP2_CTRL_E0                                             (HV_USIT_TOP2_BASE_ADDRESS + 0xE0)

#define TX_USIT_TOP2_CTRL_E0_struct                                      rs_tx_usit_top2_ctrl_e0

typedef struct _rs_tx_usit_top2_ctrl_e0  rs_tx_usit_top2_ctrl_e0;
struct _rs_tx_usit_top2_ctrl_e0 {
    unsigned int reg_usit_sbc_buf32_index                   : 8;
    unsigned int reg_usit_sbc_buf33_index                   : 8;
    unsigned int reg_usit_sbc_buf34_index                   : 8;
    unsigned int reg_usit_sbc_buf35_index                   : 8;
};
#define tx_usit_top2_ctrl_e0(val) ((rs_tx_usit_top2_ctrl_e0*)&(val))



#define TX_USIT_TOP2_CTRL_E4                                             (HV_USIT_TOP2_BASE_ADDRESS + 0xE4)

#define TX_USIT_TOP2_CTRL_E4_struct                                      rs_tx_usit_top2_ctrl_e4

typedef struct _rs_tx_usit_top2_ctrl_e4  rs_tx_usit_top2_ctrl_e4;
struct _rs_tx_usit_top2_ctrl_e4 {
    unsigned int reg_usit_sbc_buf36_index                   : 8;
    unsigned int reg_usit_sbc_buf37_index                   : 8;
    unsigned int reg_usit_sbc_buf38_index                   : 8;
    unsigned int reg_usit_sbc_buf39_index                   : 8;
};
#define tx_usit_top2_ctrl_e4(val) ((rs_tx_usit_top2_ctrl_e4*)&(val))



#define TX_USIT_TOP2_CTRL_E8                                             (HV_USIT_TOP2_BASE_ADDRESS + 0xE8)

#define TX_USIT_TOP2_CTRL_E8_struct                                      rs_tx_usit_top2_ctrl_e8

typedef struct _rs_tx_usit_top2_ctrl_e8  rs_tx_usit_top2_ctrl_e8;
struct _rs_tx_usit_top2_ctrl_e8 {
    unsigned int reg_usit_sbc_buf40_index                   : 8;
    unsigned int reg_usit_sbc_buf41_index                   : 8;
    unsigned int reg_usit_sbc_buf42_index                   : 8;
    unsigned int reg_usit_sbc_buf43_index                   : 8;
};
#define tx_usit_top2_ctrl_e8(val) ((rs_tx_usit_top2_ctrl_e8*)&(val))



#define TX_USIT_TOP2_CTRL_EC                                             (HV_USIT_TOP2_BASE_ADDRESS + 0xEC)

#define TX_USIT_TOP2_CTRL_EC_struct                                      rs_tx_usit_top2_ctrl_ec

typedef struct _rs_tx_usit_top2_ctrl_ec  rs_tx_usit_top2_ctrl_ec;
struct _rs_tx_usit_top2_ctrl_ec {
    unsigned int reg_usit_sbc_buf44_index                   : 8;
    unsigned int reg_usit_sbc_buf45_index                   : 8;
    unsigned int reg_usit_sbc_buf46_index                   : 8;
    unsigned int reg_usit_sbc_buf47_index                   : 8;
};
#define tx_usit_top2_ctrl_ec(val) ((rs_tx_usit_top2_ctrl_ec*)&(val))



#endif