
PQ_TARGET_O=
BCON_LIB=$(BUILD_OUT_IMG_DIR)/libbcon.a

include $(BUILD_DIR)/compile/$(CONFIG_CHIP)/common.inc

VPATH += $(SDK_DRIVER_DIR)/BCON/cal/$(CONFIG_CHIP)/src
VPATH += $(SDK_DRIVER_DIR)/BCON/drv/src


INCLUDES += -I$(SDK_DRIVER_DIR)/Arch/$(CONFIG_CHIP)/
INCLUDES += -I$(SDK_DRIVER_DIR)/Arch/$(CONFIG_CHIP)/regs/
INCLUDES += -I$(SDK_DRIVER_DIR)/BCON/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/BCON/cal/ht7315/inc
INCLUDES += -I$(SDK_DIR)/
INCLUDES += -I$(SDK_COMMON_DIR)/
INCLUDES += -I$(SDK_COMMON_DIR)/Event
INCLUDES += -I$(SDK_COMMON_DIR)/Assert
INCLUDES += -I$(SDK_COMMON_DIR)/Util/Utilities/inc
INCLUDES += -I$(SDK_VOS_DIR)/inc
INCLUDES += -I$(SDK_VOS_DIR)/risc/inc

release:$(BCON_LIB)
debug:$(BCON_LIB)

BCON_DIR = $(SDK_DRIVER_DIR)/BCON
VPATH += $(BCON_DIR)
OBJ_BCON_C = $(wildcard $(BCON_DIR)/cal/$(CONFIG_CHIP)/src/*.c)
OBJ_BCON_C += $(wildcard $(BCON_DIR)/drv/src/*.c)
OBJ_BCON_C_NODIR = $(notdir $(OBJ_BCON_C))
OBJ_BCON_C_O = $(OBJ_BCON_C_NODIR:%.c=%.o)
BCON_TARGET_O += $(OBJ_BCON_C_O)
BCON_NO_DIR_O = $(BCON_TARGET_O)
BCON_WITH_DIR_O= $(addprefix $(BUILD_OUT_OBJ_DIR)/,$(BCON_NO_DIR_O))
$(BCON_LIB):$(BCON_NO_DIR_O)
	$(HEADER)$(AR) qc $@ $(BCON_WITH_DIR_O)
	$(HEADER)$(RANLIB) $@
