DPUDCW_LIB=$(BUILD_OUT_IMG_DIR)/libDpuDcw.a
include $(BUILD_DIR)/compile/$(CONFIG_CHIP)/common.inc

VPATH += $(SDK_DRIVER_DIR)/DPU/DCW/cal/$(CONFIG_CHIP)/src

INCLUDES += -I$(SDK_DRIVER_DIR)/DPU/DCW/cal/$(CONFIG_CHIP)/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/Arch/$(CONFIG_CHIP)/regs
INCLUDES += -I$(SDK_VOS_DIR)/inc
INCLUDES += -I$(SDK_VOS_DIR)/risc/inc
INCLUDES += -I$(SDK_COMMON_DIR)

release:$(DPUDCW_LIB)
debug:$(DPUDCW_LIB)

OBJ_DPUDCW_C = $(wildcard $(SDK_DRIVER_DIR)/DPU/DCW/cal/$(CONFIG_CHIP)/src/*.c)
OBJ_DPUDCW_C_NODIR = $(notdir $(OBJ_DPUDCW_C))
OBJ_DPUDCW_C_O = $(OBJ_DPUDCW_C_NODIR:%.c=%.o)
DPUDCW_TARGET_O += $(OBJ_DPUDCW_C_0)
DPUDCW_NO_DIR_O = $(OBJ_DPUDCW_C_O)
DPUDCW_WITH_DIR_O = $(addprefix $(BUILD_OUT_OBJ_DIR)/,$(DPUDCW_NO_DIR_O))
$(DPUDCW_LIB):$(DPUDCW_NO_DIR_O)
	$(HEADER)$(AR) qc $@ $(DPUDCW_WITH_DIR_O)
	$(HEADER)$(RANLIB) $@
