﻿/**
 * @file hv_drv_DynamicColorWin.h
 * @brief Header file of dpu module.
 *
 * @verbatim
 * ==============================================================================
 *                        ##### How to use #####
 * ==============================================================================
 *
 * @endverbatim
 *
 * @author HiView SoC Software Team
 * @version 1.0.0
 * @date 2022-08-22
 */
#ifndef __HV_DRV_DYNAMIC_COLOR_WIN_H__
#define __HV_DRV_DYNAMIC_COLOR_WIN_H__
#if (HV_CONFIG_ON == HV_PROJECT_CONFIG_DPU_BRIGHT_FRAME)

#include "hv_comm_DataType.h"
#include "hv_comm_Define.h"

VOID Hv_Drv_DpuScaler_CalcBrightFramePos(USHORT16 usPanelHactive, USHORT16 usPanelVactive);
VOID Hv_Drv_DpuScaler_CalcBrightFrameSize(USHORT16 usPanelHactive, USHORT16 usPanelVactive);
VOID Hv_Drv_DpuScaler_DcwCapVgsfSettings(const VideoConfigParams* pstVideoConfigParams);
VOID Hv_Drv_DpuScaler_DcwWindowConfig(VOID);
#endif


#endif
