PQ_TARGET_O=
PQ_LIB=$(BUILD_OUT_IMG_DIR)/libpq.a
include $(BUILD_DIR)/compile/$(CONFIG_CHIP)/common.inc

VPATH += $(SDK_DRIVER_DIR)/DPU/PQ/cal/$(CONFIG_CHIP)/src
VPATH += $(SDK_DRIVER_DIR)/DPU/PQ/drv/$(CONFIG_CHIP)/src

INCLUDES += -I$(SDK_DRIVER_DIR)/Arch/$(CONFIG_CHIP)/
INCLUDES += -I$(SDK_DRIVER_DIR)/Arch/$(CONFIG_CHIP)/regs/
INCLUDES += -I$(SDK_DIR)/
INCLUDES += -I$(SDK_COMMON_DIR)/
INCLUDES += -I$(SDK_COMMON_DIR)/Event
INCLUDES += -I$(SDK_COMMON_DIR)/Assert
INCLUDES += -I$(SDK_COMMON_DIR)/Util/Utilities/inc
INCLUDES += -I$(SDK_VOS_DIR)/inc
INCLUDES += -I$(SDK_VOS_DIR)/risc/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/DPU/PQ/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/Peripheral/Drv/Inc
INCLUDES += -I$(SDK_DRIVER_DIR)/TX/MPRT/drv/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/Peripheral/Cal/$(CONFIG_CHIP)/Inc
INCLUDES += -I$(SDK_DRIVER_DIR)/DPU/Scaler/drv/$(CONFIG_CHIP)/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/DPU/Scaler/cal/$(CONFIG_CHIP)/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/DPU/PQ/cal/$(CONFIG_CHIP)/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/DPU/PQ/cal/$(CONFIG_CHIP)/reg/inc

release:$(PQ_LIB)
debug:$(PQ_LIB)

PQ_DIR = $(SDK_DRIVER_DIR)/DPU/PQ
VPATH += $(PQ_DIR)
OBJ_PQ_C = $(wildcard $(PQ_DIR)/cal/$(CONFIG_CHIP)/src/*.c)
OBJ_PQ_C += $(wildcard $(PQ_DIR)/drv/$(CONFIG_CHIP)/src/*.c)
OBJ_PQ_C_NODIR = $(notdir $(OBJ_PQ_C))
OBJ_PQ_C_O = $(OBJ_PQ_C_NODIR:%.c=%.o)
PQ_TARGET_O += $(OBJ_PQ_C_O)
PQ_NO_DIR_O = $(PQ_TARGET_O)
PQ_WITH_DIR_O= $(addprefix $(BUILD_OUT_OBJ_DIR)/,$(PQ_NO_DIR_O))
$(PQ_LIB):$(PQ_NO_DIR_O)
	$(HEADER)$(AR) qc $@ $(PQ_WITH_DIR_O)
	$(HEADER)$(RANLIB) $@
