DISPCTRL_TARGET_O=
DISPCTRL_LIB=$(BUILD_OUT_IMG_DIR)/libDispCtrl.a
include $(BUILD_DIR)/compile/$(CONFIG_CHIP)/common.inc

VPATH = $(SDK_DRIVER_DIR)/DisplayCtrl/cal/$(CONFIG_CHIP)/src
VPATH += $(SDK_DRIVER_DIR)/DisplayCtrl/drv/$(CONFIG_CHIP)/src

INCLUDES += -I$(SDK_DRIVER_DIR)/Arch/$(CONFIG_CHIP)/
INCLUDES += -I$(SDK_DRIVER_DIR)/Arch/$(CONFIG_CHIP)/regs/
INCLUDES += -I$(SDK_DIR)/
INCLUDES += -I$(SDK_COMMON_DIR)/
INCLUDES += -I$(SDK_COMMON_DIR)/Event
INCLUDES += -I$(SDK_COMMON_DIR)/Assert
INCLUDES += -I$(SDK_COMMON_DIR)/Util/Utilities/inc
INCLUDES += -I$(SDK_VOS_DIR)/inc
INCLUDES += -I$(SDK_VOS_DIR)/risc/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/Peripheral/Drv/Inc
INCLUDES += -I$(SDK_DRIVER_DIR)/TX/MPRT/drv/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/Peripheral/Cal/$(CONFIG_CHIP)/Inc
INCLUDES += -I$(SDK_DRIVER_DIR)/DisplayCtrl/cal/$(CONFIG_CHIP)/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/DisplayCtrl/cal/$(CONFIG_CHIP)/reg/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/DisplayCtrl/inc

release:$(DISPCTRL_LIB)
debug:$(DISPCTRL_LIB)

DISPCTRL_DIR = $(SDK_DRIVER_DIR)/DisplayCtrl
OBJ_DISPCTRL_C = $(wildcard $(DISPCTRL_DIR)/cal/$(CONFIG_CHIP)/src/*.c)
OBJ_DISPCTRL_C += $(wildcard $(DISPCTRL_DIR)/drv/$(CONFIG_CHIP)/src/*.c)
OBJ_DISPCTRL_C_NODIR = $(notdir $(OBJ_DISPCTRL_C))
OBJ_DISPCTRL_C_O = $(OBJ_DISPCTRL_C_NODIR:%.c=%.o)
DISPCTRL_TARGET_O += $(OBJ_DISPCTRL_C_O)
DISPCTRL_NO_DIR_O = $(DISPCTRL_TARGET_O)
DISPCTRL_WITH_DIR_O= $(addprefix $(BUILD_OUT_OBJ_DIR)/,$(DISPCTRL_NO_DIR_O))
$(DISPCTRL_LIB):$(DISPCTRL_NO_DIR_O)
	$(HEADER)$(AR) qc $@ $(DISPCTRL_WITH_DIR_O)
	$(HEADER)$(RANLIB) $@
