﻿/**
 * @file hv_drv_Od.h
 * @brief Header file of od module.
 *
 * @verbatim
 * ==============================================================================
 *                        ##### How to use #####
 * ==============================================================================
 *
 * @endverbatim
 *
 * @author HiView SoC Software Team
 * @version 0.0.0
 * @date 2022-04-17
 */

#ifndef _HV_DRV_FRAMERATE_DET_H_
#define _HV_DRV_FRAMERATE_DET_H_

#include "hv_comm_DataType.h"


/**
 * @brief Framerate Detect 使能控制.
 * @param[in] bEnable 控制标志，HV_TRUE-enable，HV_FALSE-disable
 * @return None
 */
VOID Hv_Drv_FramerateDet_Enable(BOOL bEnable);

/**
 * @brief Framerate Detect 初始化，主要是阈值的初始化
 * @return None
 */
VOID Hv_Drv_FramerateDet_Init(const UINT32 *puiFrThreshold);



#endif
