/**
 * @file hv_hdcp_engine_Aes256.h
 * @brief 
 * @verbatim
 * ==============================================================================
 *                        ##### How to use this driver #####
 * ==============================================================================
 * (+)
 * @endverbatim
 *
 * @author HiView SoC Software Team
 * @version 0.0.1
 * @date 2022-08-22
 */


#ifdef __cplusplus
extern "C" {
#endif
#include "Common/hv_comm_DataType.h"
#include "hv_vos_Comm.h"

typedef struct 
{
    UCHAR8 key[32];
    UCHAR8 enckey[32];
    UCHAR8 deckey[32];
} aes256_context;


VOID aes256_init(aes256_context *, const UCHAR8 * /* key */);
VOID aes256_done(aes256_context *);
VOID aes256_encrypt_ecb(aes256_context *, UCHAR8 * /* plaintext */);
VOID aes256_decrypt_ecb(aes256_context *, UCHAR8 * /* cipertext */);

#ifdef __cplusplus
}
#endif
