#ifndef _HV_CAL_OSDREGS_H
#define _HV_CAL_OSDREGS_H

#define OSD_CTRL_BASE_ADDR                  0x11060000
#define OSD_NORMAL_WIN_BASE_ADDR            0x11061000

#define OSD_PALETTE_BUFFER_BASE_ADDR        0x11066000
#define OSD_PALETTE_BUFFER_SIZE             (8 * 1024)

#define OSD_INDEX_BUFFER_BASE_ADDR          0x11068000
#define OSD_INDEX_BUFFER_SIZE               ((UINT32)(16 * 1024))
#define OSD_INDEX_BUFFER_END                (OSD_INDEX_BUFFER_BASE_ADDR + \
                                             OSD_INDEX_BUFFER_SIZE)
#define OSD_RESOURCE_BUFFER_BASE_ADDR       0x11070000
#define OSD_RESOURCE_BUFFER_SIZE            ((UINT32)(64 * 1024))
#define OSD_RESOURCE_BUFFER_END             (OSD_RESOURCE_BUFFER_BASE_ADDR + \
                                             OSD_RESOURCE_BUFFER_SIZE)
#define OSD_WIN_SIZE                        0x800
#define OSD_RECT_SIZE                       0x20
#define OSD_GRID_SIZE                       0x40
#define OSD_LINE_SIZE                       0x20

/* normal window field offsets */
#define _NORMAL_WIN_LINE_OFFSET             0x240
#define _NORMAL_WIN_RECT_OFFSET             0x400
#define _NORMAL_WIN_GRID_OFFSET             0x480

/* rect window field offsets */
#define _RECT_WIN_RECT_OFFSET               0x00
#define _RECT_WIN_LINE_OFFSET               0x400
#define _RECT_WIN_GRID_OFFSET               0x200

#endif
