/**
 * @file hv_cal_VboTxCommon.h
 * @brief Header file of CAL KtxCommon sturct.
 * 
 * @verbatim
 * ==============================================================================
 *                        ##### How to use #####
 * ==============================================================================
 * 
 * 
 * @endverbatim
 *
 * @author HiView SoC Software Team
 * @version 0.0.1
 * @date 2022-08-29
 */

#ifndef _HV_CAL_VBO_TX_COMMON_H_
#define _HV_CAL_VBO_TX_COMMON_H_
#include "hv_comm_DataType.h"

typedef struct _HvVboTopParam
{
    USHORT16    usColorFormat;
    USHORT16    usByteMode;
    USHORT16    usSection;
    USHORT16    usPllStable;
    USHORT16    usFwHtpdnSet;
    USHORT16    usHtpdnModeCtrl;
    USHORT16    usRegDelay;
    USHORT16    usLaneEnable;
    USHORT16    usDebounceCnt;
    USHORT16    usLaneNum;
    USHORT16    usPixelMode;
}HvVboTopParam;

#endif
