/**
 * @file  hv_drv_TypecProjectVersion.h
 * @brief  Project Version Header
 *        This header file maintains the FW release version of PSF
 * @details This file provides the following functions: \n
 *          (1) \n
 *          (2) \n
 *          (3) \n
 *
 * @author HiView SoC Software Team
 * @version 1.0.0
 * @date 2022-08-25
 * @copyright Copyright(c),2022-8, Hiview Software. All rights reserved.
 * @par History:
 * <table>
 * <tr><th>Author                         <th>Date         <th>Change Description
 * <tr><td>Hiview SoC Software Team       <td>2022-08-25   <td>init
 * </table>
*/

 
#ifndef _HV_DRV_TYPECPROJECTVERSION_H_
#define _HV_DRV_TYPECPROJECTVERSION_H_


#define SYSTEM_FW_REV     0x0112U //v1.12 release

/* Configuration and Status register structure version */
#define STRUCT_MAJOR_VERSION    0x01U
#define STRUCT_MINOR_VERSION    0x04U


#endif /*_PROJECT_VERSION_*/


