/*
* @file hv_drv_UsbCoreErrNo.h
* @brief Header file of usb error number.
*
* @author HiView SoC Software Team
* @version 1.0.0
* @date 2022-06-15
*/

#ifndef __HV_DRV_USB_CORE_ERRNO_H
#define __HV_DRV_USB_CORE_ERRNO_H

#define ENOERR          0      /* No error */

#define ESHUTDOWN       108    /* Cannot send after transport endpoint shutdown */

#define EREMOTEIO       121    /* Remote I/O error */

#define ENOTSUPP        524    /* Operation is not supported */

#endif
