
MIDDLEWARE_TARGET_O=
VPATH = 
INCLUDES = -I$(SDK_DIR)
INCLUDES += -I$(SDK_BOOT_DIR)/../Driver/Arch/$(CONFIG_CHIP)
INCLUDES += -I$(SDK_BOOT_DIR)/../Driver/Arch/$(CONFIG_CHIP)/regs
INCLUDES += -I$(SDK_VOS_DIR)/inc
INCLUDES += -I$(SDK_VOS_DIR)/risc/inc

INCLUDES += -I$(SDK_COMMON_DIR)
INCLUDES += -I$(SDK_COMMON_DIR)/Database/inc
INCLUDES += -I$(SDK_COMMON_DIR)/Debug/LetterShell/inc
INCLUDES += -I$(SDK_COMMON_DIR)/Timer/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/Peripheral/inc
INCLUDES += -I$(SDK_COMMON_DIR)/Event
INCLUDES += -I$(SDK_COMMON_DIR)/Assert
INCLUDES += -I$(SDK_COMMON_DIR)/MemParser
INCLUDES += -I$(SDK_COMMON_DIR)/Util/HvQueue/inc
INCLUDES += -I$(SDK_COMMON_DIR)/Util/Utilities/inc

ifeq ($(CONFIG_USER_LED_DRIVER), LED_ON)
    INCLUDES += -I$(SDK_DRIVER_DIR)/3rd/LED/cal/inc
    INCLUDES += -I$(SDK_DRIVER_DIR)/3rd/LED/drv/inc
endif
INCLUDES += -I$(SDK_DRIVER_DIR)/DPU/PQ/drv/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/DPU/Scaler/drv/$(CONFIG_CHIP)/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/TX/VboTx/drv/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/TX/EdpTx/drv/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/TX/MPRT/drv/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/TX/KTX/cal/common
INCLUDES += -I$(SDK_DRIVER_DIR)/TX/KTX/drv/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/Mailbox/drv/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/Mailbox/cal/$(CONFIG_CHIP)/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/HDCP/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/HDCP/drv/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/HDCP/Engine/Common/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/DisplayPort/drv/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/DisplayPort/cal/$(CONFIG_CHIP)/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/HDMI/drv/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/HDMI/cal/common
INCLUDES += -I$(SDK_DRIVER_DIR)/HDMI/cal/$(CONFIG_CHIP)/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/OSD/drv/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/OSD/cal/$(CONFIG_CHIP)/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/PHY/drv/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/PHY/cal/$(CONFIG_CHIP)/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/PLL/drv/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/PLL/cal/$(CONFIG_CHIP)/inc
INCLUDES += -I$(USER_DIR)/$(CONFIG_VENDOR)/$(CONFIG_PROJECT)/Typec
INCLUDES += -I$(USER_DIR)/$(CONFIG_VENDOR)/$(CONFIG_PROJECT)/Typec/Common
INCLUDES += -I$(SDK_DRIVER_DIR)/Typec/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/Typec/inc/App
INCLUDES += -I$(SDK_DRIVER_DIR)/UsbHost/core/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/Peripheral/Drv/Inc
INCLUDES += -I$(SDK_DRIVER_DIR)/Peripheral/Cal/$(CONFIG_CHIP)/Inc

INCLUDES += -I$(USER_OSD_DIR)/Resource/Composer/inc
INCLUDES += -I$(USER_DATABASE_DIR)/inc
INCLUDES += -I$(ROOT_DIR)/user/$(CONFIG_VENDOR)/$(CONFIG_PROJECT)/System
INCLUDES += -I$(ROOT_DIR)/user/$(CONFIG_VENDOR)/$(CONFIG_PROJECT)/EDID
INCLUDES += -I$(ROOT_DIR)/user/$(CONFIG_VENDOR)/$(CONFIG_PROJECT)/Platform/Inc
INCLUDES += -I$(USER_PQ_DIR)/inc
INCLUDES += -I$(USER_DDCCI_DIR)/inc

INCLUDES += -I$(SDK_VOS_DIR)/freertos/FreeRTOS/Include
INCLUDES += -I$(SDK_VOS_DIR)/freertos/FreeRTOS/Source/include
INCLUDES += -I$(SDK_VOS_DIR)/freertos/FreeRTOS/Source/portable/GCC/RISC32


include $(BUILD_DIR)/compile/$(CONFIG_CHIP)/common.inc
include $(SDK_MIDDLEWARE_DIR)/ChannelManager/Makefile.mk
include $(SDK_MIDDLEWARE_DIR)/InputPortManager/Makefile.mk
include $(SDK_MIDDLEWARE_DIR)/OSD/Makefile.mk
include $(SDK_MIDDLEWARE_DIR)/BCON/Makefile.mk
include $(SDK_MIDDLEWARE_DIR)/PanelManager/Makefile.mk
include $(SDK_MIDDLEWARE_DIR)/PowerManager/Makefile.mk
include $(SDK_MIDDLEWARE_DIR)/RunTime/Makefile.mk
include $(SDK_MIDDLEWARE_DIR)/Factory/Makefile.mk
include $(SDK_MIDDLEWARE_DIR)/Factory/Makefile.mk
include $(USER_PQ_DIR)/Makefile.mk
MIDDLEWARE_LIB=$(BUILD_OUT_IMG_DIR)/libmiddleware.a
release:$(MIDDLEWARE_LIB)
debug:$(MIDDLEWARE_LIB)

MIDDLEWARE_NO_DIR_O = $(MIDDLEWARE_TARGET_O)
MIDDLEWARE_WITH_DIR_O= $(addprefix $(BUILD_OUT_OBJ_DIR)/,$(MIDDLEWARE_NO_DIR_O))
$(MIDDLEWARE_LIB):$(MIDDLEWARE_NO_DIR_O)
	$(HEADER)$(AR) qc $@ $(MIDDLEWARE_WITH_DIR_O)
	$(HEADER)$(RANLIB) $@

