/*
 * @file hv_pm51_Assert.h
 * @brief Header file of assert definition.
 *
 * @verbatim
 * ==============================================================================
 *                        ##### How to use #####
 * ==============================================================================
 * (+) Use ()
 *
 * @endverbatim
 * @author HiView SoC Software Team
 * @version 1.0.0
 * @date 2023-03-01
 */

#ifndef __HV_PM51_ASSERT_H__
#define __HV_PM51_ASSERT_H__

#define HV_PM51_ASSERT(cond)                                     \
    do {                                                         \
        if (!(cond)) {                                           \
            while(1);                                            \
        }                                                        \
    } while (0)
    
#endif
