
VOS_TARGET_O=

SDK_VOS_ARCH_DIR ?= $(SDK_VOS_DIR)/risc
SDK_VOS_ARCH_FREERTOS_DIR ?= $(SDK_VOS_DIR)/freertos

include $(BUILD_DIR)/compile/$(CONFIG_CHIP)/common.inc
include $(SDK_VOS_ARCH_DIR)/src/Makefile.mk
include $(SDK_VOS_ARCH_FREERTOS_DIR)/Makefile.mk
include $(SDK_VOS_DIR)/src/Makefile.mk

VPATH = $(SDK_VOS_DIR)/src
VPATH += $(SDK_VOS_ARCH_DIR)/src
VPATH += $(SDK_VOS_ARCH_FREERTOS_DIR)/FreeRTOS/Source
VPATH += $(SDK_VOS_ARCH_FREERTOS_DIR)/FreeRTOS/Source/portable/GCC/RISC32
VPATH += $(SDK_VOS_ARCH_FREERTOS_DIR)/FreeRTOS/Source/portable/MemMang/
VPATH += $(SDK_VOS_ARCH_FREERTOS_DIR)/src

INCLUDES = -I$(SDK_BOOT_DIR)/../Driver/Arch/$(CONFIG_CHIP)
INCLUDES += -I$(SDK_BOOT_DIR)/../Driver/Arch/$(CONFIG_CHIP)/regs
INCLUDES += -I$(SDK_VOS_DIR)/inc
INCLUDES += -I$(SDK_VOS_ARCH_DIR)/inc
INCLUDES += -I$(SDK_COMMON_DIR)/

INCLUDES += -I$(SDK_VOS_ARCH_FREERTOS_DIR)/FreeRTOS/Include
INCLUDES += -I$(SDK_VOS_ARCH_FREERTOS_DIR)/FreeRTOS/Source/include
INCLUDES += -I$(SDK_VOS_ARCH_FREERTOS_DIR)/FreeRTOS/Source/portable/GCC/RISC32
     
ifeq ($(COMPILE_MODE),debug)
INCLUDES += -I$(SDK_COMMON_DIR)/Debug/LetterShell/inc
endif

VOS_LIB=$(BUILD_OUT_IMG_DIR)/libvos.a
release:$(VOS_LIB)
debug:$(VOS_LIB)

VOS_NO_DIR_O = $(VOS_TARGET_O)
VOS_WITH_DIR_O= $(addprefix $(BUILD_OUT_OBJ_DIR)/,$(VOS_NO_DIR_O))
$(VOS_LIB): $(VOS_NO_DIR_O)
	$(HEADER)$(AR) qc $@ $(VOS_WITH_DIR_O)
	$(HEADER)$(RANLIB) $@
