
DDCCI_TARGET_O=
include $(BUILD_DIR)/compile/$(CONFIG_CHIP)/common.inc

VPATH = $(USER_DDCCI_DIR)/src

INCLUDES = -I$(SDK_DIR)
INCLUDES += -I$(SDK_COMMON_DIR)
INCLUDES += -I$(SDK_COMMON_DIR)/Event
INCLUDES += -I$(SDK_COMMON_DIR)/Assert
INCLUDES += -I$(SDK_COMMON_DIR)/OSD/inc
INCLUDES += -I$(SDK_COMMON_DIR)/Util/Utilities/inc
INCLUDES += -I$(SDK_COMMON_DIR)/Util/HvQueue/inc
INCLUDES += -I$(SDK_COMMON_DIR)/MemParser
INCLUDES += -I$(SDK_COMMON_DIR)/Timer/inc

INCLUDES += -I$(SDK_VOS_DIR)/inc
INCLUDES += -I$(SDK_VOS_DIR)/risc/inc
INCLUDES += -I$(SDK_VOS_DIR)/freertos/FreeRTOS/Source/include
INCLUDES += -I$(SDK_DRIVER_DIR)/UsbHost/fatfs
INCLUDES += -I$(SDK_VOS_DIR)/freertos/FreeRTOS/Include
INCLUDES += -I$(SDK_VOS_DIR)/freertos/FreeRTOS/Source/portable/GCC/RISC32
INCLUDES += -I$(USER_DDCCI_DIR)/inc
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/ChannelManager/Audio/inc
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/OSD/inc
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/AppInterface
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/InputPortManager/inc
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/InputPortManager/Ddcci/inc
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/InputPortManager/HDCP/inc
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/InputPortManager/HDMI/inc
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/InputPortManager/DisplayPort/inc
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/ChannelManager/Video/inc
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/ChannelManager/inc
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/RunTime/SystemTask/inc
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/RunTime/UsbTask/inc
INCLUDES += -I$(USER_DIR)/$(CONFIG_VENDOR)/$(CONFIG_PROJECT)/System/EventHub/inc
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/PowerManager/inc
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/PanelManager/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/Peripheral/Drv/Inc
INCLUDES += -I$(SDK_DRIVER_DIR)/Peripheral/Cal/$(CONFIG_CHIP)/Inc
INCLUDES += -I$(SDK_DRIVER_DIR)/HDCP/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/HDCP/drv/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/HDCP/Engine/Common/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/HDMI/drv/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/HDMI/cal/$(CONFIG_CHIP)/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/HDMI/cal/common
INCLUDES += -I$(SDK_DRIVER_DIR)/DisplayPort/drv/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/DisplayPort/cal/$(CONFIG_CHIP)/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/OSD/drv/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/Audio/drv/inc
INCLUDES += -I$(USER_OSD_DIR)/Behaviour/inc
INCLUDES += -I$(USER_OSD_DIR)/Common/inc
INCLUDES += -I$(USER_OSD_DIR)/Resource/Composer/inc
INCLUDES += -I$(USER_OSD_DIR)/Resource/Matrix/include
INCLUDES += -I$(SDK_DRIVER_DIR)/DPU/PQ/inc/
INCLUDES += -I$(USER_DATABASE_DIR)/inc
INCLUDES += -I$(USER_DIR)/$(CONFIG_VENDOR)/$(CONFIG_PROJECT)
INCLUDES += -I$(USER_DIR)/$(CONFIG_VENDOR)/$(CONFIG_PROJECT)/Panel/inc
INCLUDES += -I$(USER_DIR)/$(CONFIG_VENDOR)/$(CONFIG_PROJECT)/Keypad/Inc
INCLUDES += -I$(USER_DIR)/$(CONFIG_VENDOR)/$(CONFIG_PROJECT)/System
INCLUDES += -I$(USER_DIR)/$(CONFIG_VENDOR)/$(CONFIG_PROJECT)/PQ/inc
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/Factory/inc
INCLUDES += -I$(SDK_BOOT_DIR)/../Driver/Arch/$(CONFIG_CHIP)
INCLUDES += -I$(USER_PQ_DIR)/inc
INCLUDES += -I$(USER_EDID_DIR)
INCLUDES += -I$(USER_DIR)/$(CONFIG_VENDOR)/$(CONFIG_PROJECT)/OTA
INCLUDES += -I$(SDK_DRIVER_DIR)/DisplayCtrl/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/Arch/$(CONFIG_CHIP)
INCLUDES += -I$(SDK_DRIVER_DIR)/Arch/$(CONFIG_CHIP)/regs
INCLUDES += -I$(SDK_DRIVER_DIR)/DisplayCtrl/cal/$(CONFIG_CHIP)/reg/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/DPU/PQ/cal/$(CONFIG_CHIP)/reg/inc
INCLUDES += -I$(USER_DDCCI_PRODUCT_DIR)/inc

DDCCI_LIB=$(BUILD_OUT_IMG_DIR)/libddcci.a

include $(USER_DDCCI_PRODUCT_DIR)/Makefile.mk
release:$(DDCCI_LIB)
debug:$(DDCCI_LIB)


OBJ_DDCCI_C = $(wildcard $(USER_DDCCI_DIR)/src/*.c)
OBJ_DDCCI_C_NODIR = $(notdir $(OBJ_DDCCI_C))
OBJ_DDCCI_C_O = $(OBJ_DDCCI_C_NODIR:%.c=%.o)
DDCCI_TARGET_O += $(OBJ_DDCCI_C_O)

DDCCI_NO_DIR_O = $(DDCCI_TARGET_O)
DDCCI_WITH_DIR_O= $(addprefix $(BUILD_OUT_OBJ_DIR)/,$(DDCCI_NO_DIR_O))
$(DDCCI_LIB):$(DDCCI_NO_DIR_O)
	$(HEADER)$(AR) qc $@ $(DDCCI_WITH_DIR_O)
	$(HEADER)$(RANLIB) $@
