/**
 * @file PanelConfig.h
 * @brief Header file of panel_list.
 * 
 * @verbatim
 * ==============================================================================
 *                        ##### How to use #####
 * ==============================================================================
 * 
 * 
 @ endverbatim 
 *
 * @author HiView SoC Software Team
 * @version 0.0.1
 * @date 2022-09-06
 */
#ifndef __USER_HI_VIEW_HT7315_PANEL_LIST_H__
#define __USER_HI_VIEW_HT7315_PANEL_LIST_H__

/*************************************************
   Panel Option Mux
*************************************************/
#ifdef  CONFIG_USER_HKC_EDP_SN270ES01_QHD165
#include "HKC_EDP_SN270ES01_QHD165.h"
#define HV_PROJECT_CONFIG_TCON_POWER_CONTROL          HV_CONFIG_OFF
#endif
#ifdef  CONFIG_USER_SAMSUNG_EDP_ATNA56YX03OLED_FHD60
#include "SAMSUNG_EDP_ATNA56YX03OLED_FHD60.h"
#define HV_PROJECT_CONFIG_TCON_POWER_CONTROL          HV_CONFIG_OFF
#endif
#ifdef  CONFIG_USER_BOE_EDP_ME270QUM_NF2_P0_UD60
#include "BOE_EDP_ME270QUM_NF2_P0_UD60.h"
#define HV_PROJECT_CONFIG_TCON_POWER_CONTROL          HV_CONFIG_OFF
#endif
#ifdef  CONFIG_USER_HIVIEW_VBO_SILICON65VBO_UHD60
#include "HIVIEW_VBO_SILICON65VBO_UHD60.h"
#define HV_PROJECT_CONFIG_TCON_POWER_CONTROL          HV_CONFIG_OFF
#endif
#ifdef  CONFIG_USER_BOE_EDP_MV270QUM_N60_UHD60
#include "BOE_EDP_MV270QUM_N60_UHD60.h"
#define HV_PROJECT_CONFIG_TCON_POWER_CONTROL          HV_CONFIG_OFF
#endif
#ifdef  CONFIG_USER_BOE_EDP_MV270QHM_NF2_QHD165
#include "BOE_EDP_MV270QHM_NF2_QHD165.h"
#define HV_PROJECT_CONFIG_TCON_POWER_CONTROL          HV_CONFIG_OFF
#endif
#ifdef  CONFIG_USER_HKC_EDP_SN270ES01_QHD180
#include "HKC_EDP_SN270ES01_QHD180.h"
#define HV_PROJECT_CONFIG_TCON_POWER_CONTROL          HV_CONFIG_OFF
#endif
#ifdef  CONFIG_USER_LG_EDP_LM270WQA_QHD165
#include "LG_EDP_LM270WQA_QHD165.h"
#define HV_PROJECT_CONFIG_TCON_POWER_CONTROL          HV_CONFIG_OFF
#endif
#ifdef  CONFIG_USER_COST_EDP_SG2701G01_1_QHD165
#include "COST_EDP_SG2701G01_1_QHD165.h"
#define HV_PROJECT_CONFIG_TCON_POWER_CONTROL          HV_CONFIG_OFF
#endif



#endif