/**
 * @file hv_comm_SSCConfig.h
 * @brief Header file of Project.
 *
 * @verbatim
 * ==============================================================================
 *                        ##### How to use #####
 * ==============================================================================
 *
 *
 @ endverbatim
 *
 * @author HiView SoC Software Team
 * @version 1.0.0
 * @date 2023-04-20
 */
#ifndef __DEVICE_SSCG_H__
#define __DEVICE_SSCG_H__

//#define DDR_SPREAD_EN
 /* 30k */
#define DDR_SPREAD_FREQ 30
 /* 0.3% */
#define DDR_SPREAD_STEP 3

//#define EDP_SPREAD_EN
 /* 30k */
#define EDP_SPREAD_FREQ 30
 /* 0.4% */
#define EDP_SPREAD_STEP 4

//#define VBO_SPREAD_EN
 /* 30k */
#define VBO_SPREAD_FREQ 30
 /* 0.2% */
#define VBO_SPREAD_STEP 2

#endif
