/**
 * @file hv_app_DdcciRegister.c
 * @brief ddcci c file.
 * @details This file provides the following functions: \n
 *          (1) A function of other ddcci set. \n
 *          (2) Register handler. \n
 *
 * @author HiView SoC Software Team
 * @version 1.0.0
 * @date 2024-11-08
 * @copyright Copyright(c),2022-8, Hiview Software. All rights reserved.
 * @par History:
 * <table>
 * <tr><th>Author                   <th>Date        <th>Change Description
 * <tr><td>HiView SoC Software Team <td>2024-11-08  <td>create
 * </table>
 */

#include "hv_comm_Assert.h"
#include "hv_comm_Log.h"

#include "hv_app_Ddcci.h"
#include "hv_app_DdcciRegister.h"

static VOID Hv_App_Ddcci_ProcOtherDdcciMsg(UCHAR8 ucSource, UCHAR8 *pucData, USHORT16 usLen)
{
    return;
}

VOID Hv_App_Ddcci_ProductInit(void)
{
    Hv_App_Ddcci_Register(NULL);
}

