
OSD_TARGET_O=
include $(BUILD_DIR)/compile/$(CONFIG_CHIP)/common.inc
include $(USER_OSD_DIR)/Behaviour/Makefile.mk
include $(USER_OSD_DIR)/Common/Makefile.mk
include $(USER_OSD_DIR)/Resource/Makefile.mk

INCLUDES += -I$(SDK_DIR)
INCLUDES += -I$(SDK_COMMON_DIR)
INCLUDES += -I$(SDK_COMMON_DIR)/Event
INCLUDES += -I$(SDK_COMMON_DIR)/Assert
INCLUDES += -I$(SDK_COMMON_DIR)/OSD/inc
INCLUDES += -I$(SDK_COMMON_DIR)/Util/HvQueue/inc
INCLUDES += -I$(SDK_COMMON_DIR)/Timer/inc
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/ChannelManager/inc
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/RunTime/SystemTask/inc
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/RunTime/UsbTask/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/UsbHost/fatfs
INCLUDES += -I$(SDK_VOS_DIR)/freertos/FreeRTOS/Include
INCLUDES += -I$(SDK_VOS_DIR)/freertos/FreeRTOS/Source/include
INCLUDES += -I$(SDK_VOS_DIR)/freertos/FreeRTOS/Source/portable/GCC/RISC32
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/OSD/inc
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/AppInterface
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/Factory/inc
INCLUDES += -I$(SDK_VOS_DIR)/inc
INCLUDES += -I$(SDK_VOS_DIR)/risc/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/OSD/drv/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/OSD/cal/$(CONFIG_CHIP)/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/Peripheral/Drv/Inc
INCLUDES += -I$(SDK_BOOT_DIR)/../Driver/Arch/$(CONFIG_CHIP)
INCLUDES += -I$(ROOT_DIR)/user/$(CONFIG_VENDOR)/$(CONFIG_PROJECT)
INCLUDES += -I$(USER_DATABASE_DIR)/inc
INCLUDES += -I$(USER_OSD_DIR)/Behaviour/inc
INCLUDES += -I$(USER_OSD_DIR)/Common/inc
INCLUDES += -I$(USER_OSD_DIR)/Resource/Composer/inc
INCLUDES += -I$(USER_OSD_DIR)/Resource/Matrix/include
INCLUDES += -I$(ROOT_DIR)/user/$(CONFIG_VENDOR)/$(CONFIG_PROJECT)/Panel/inc
INCLUDES += -I$(ROOT_DIR)/user/$(CONFIG_VENDOR)/$(CONFIG_PROJECT)/System
INCLUDES += -I$(USER_KEYPAD_DIR)/Inc
INCLUDES += -I$(USER_PQ_DIR)/inc

OSD_LIB=$(BUILD_OUT_IMG_DIR)/libosd.a

release:$(OSD_LIB)
debug:$(OSD_LIB)

VPATH += $(USER_OSD_DIR)
OBJ_OSD_C = $(wildcard $(USER_OSD_DIR)/*.c)
OBJ_OSD_C_NODIR = $(notdir $(OBJ_OSD_C))
OBJ_OSD_C_O = $(OBJ_OSD_C_NODIR:%.c=%.o)
OSD_TARGET_O += $(OBJ_OSD_C_O)

OSD_NO_DIR_O = $(OSD_TARGET_O)
OSD_WITH_DIR_O= $(addprefix $(BUILD_OUT_OBJ_DIR)/,$(OSD_NO_DIR_O))
$(OSD_LIB):$(OSD_NO_DIR_O)
	$(HEADER)$(AR) qc $@ $(OSD_WITH_DIR_O)
	$(HEADER)$(RANLIB) $@
